#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1378
#define LARGE_STATE_COUNT 405
#define SYMBOL_COUNT 320
#define ALIAS_COUNT 1
#define TOKEN_COUNT 138
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 40
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 208

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_decimal_integer_literal = 2,
  sym_hex_integer_literal = 3,
  sym_octal_integer_literal = 4,
  sym_binary_integer_literal = 5,
  sym_decimal_floating_point_literal = 6,
  sym_hex_floating_point_literal = 7,
  sym_true = 8,
  sym_false = 9,
  sym_character_literal = 10,
  anon_sym_DQUOTE = 11,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 12,
  sym_string_fragment = 13,
  aux_sym__multiline_string_fragment_token1 = 14,
  aux_sym__multiline_string_fragment_token2 = 15,
  anon_sym_BSLASH_LBRACE = 16,
  anon_sym_RBRACE = 17,
  aux_sym__escape_sequence_token1 = 18,
  sym_escape_sequence = 19,
  sym_null_literal = 20,
  anon_sym_LPAREN = 21,
  anon_sym_RPAREN = 22,
  anon_sym_AMP = 23,
  anon_sym_EQ = 24,
  anon_sym_PLUS_EQ = 25,
  anon_sym_DASH_EQ = 26,
  anon_sym_STAR_EQ = 27,
  anon_sym_SLASH_EQ = 28,
  anon_sym_AMP_EQ = 29,
  anon_sym_PIPE_EQ = 30,
  anon_sym_CARET_EQ = 31,
  anon_sym_PERCENT_EQ = 32,
  anon_sym_LT_LT_EQ = 33,
  anon_sym_GT_GT_EQ = 34,
  anon_sym_GT_GT_GT_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_LT = 37,
  anon_sym_GT_EQ = 38,
  anon_sym_LT_EQ = 39,
  anon_sym_EQ_EQ = 40,
  anon_sym_BANG_EQ = 41,
  anon_sym_AMP_AMP = 42,
  anon_sym_PIPE_PIPE = 43,
  anon_sym_PLUS = 44,
  anon_sym_DASH = 45,
  anon_sym_STAR = 46,
  anon_sym_SLASH = 47,
  anon_sym_PIPE = 48,
  anon_sym_CARET = 49,
  anon_sym_PERCENT = 50,
  anon_sym_LT_LT = 51,
  anon_sym_GT_GT = 52,
  anon_sym_GT_GT_GT = 53,
  anon_sym_instanceof = 54,
  anon_sym_final = 55,
  anon_sym_DASH_GT = 56,
  anon_sym_COMMA = 57,
  anon_sym_QMARK = 58,
  anon_sym_COLON = 59,
  anon_sym_BANG = 60,
  anon_sym_TILDE = 61,
  anon_sym_PLUS_PLUS = 62,
  anon_sym_DASH_DASH = 63,
  anon_sym_new = 64,
  anon_sym_LBRACK = 65,
  anon_sym_RBRACK = 66,
  anon_sym_DOT = 67,
  anon_sym_class = 68,
  anon_sym_COLON_COLON = 69,
  anon_sym_extends = 70,
  anon_sym_switch = 71,
  anon_sym_LBRACE = 72,
  anon_sym_case = 73,
  anon_sym_default = 74,
  sym_underscore_pattern = 75,
  anon_sym_when = 76,
  anon_sym_SEMI = 77,
  anon_sym_assert = 78,
  anon_sym_do = 79,
  anon_sym_while = 80,
  anon_sym_break = 81,
  anon_sym_continue = 82,
  anon_sym_return = 83,
  anon_sym_yield = 84,
  anon_sym_synchronized = 85,
  anon_sym_throw = 86,
  anon_sym_try = 87,
  anon_sym_catch = 88,
  anon_sym_finally = 89,
  anon_sym_if = 90,
  anon_sym_else = 91,
  anon_sym_for = 92,
  anon_sym_AT = 93,
  anon_sym_open = 94,
  anon_sym_module = 95,
  anon_sym_requires = 96,
  anon_sym_transitive = 97,
  anon_sym_static = 98,
  anon_sym_exports = 99,
  anon_sym_to = 100,
  anon_sym_opens = 101,
  anon_sym_uses = 102,
  anon_sym_provides = 103,
  anon_sym_with = 104,
  anon_sym_package = 105,
  anon_sym_import = 106,
  anon_sym_enum = 107,
  anon_sym_public = 108,
  anon_sym_protected = 109,
  anon_sym_private = 110,
  anon_sym_abstract = 111,
  anon_sym_strictfp = 112,
  anon_sym_native = 113,
  anon_sym_transient = 114,
  anon_sym_volatile = 115,
  anon_sym_sealed = 116,
  anon_sym_non_DASHsealed = 117,
  anon_sym_implements = 118,
  anon_sym_permits = 119,
  anon_sym_record = 120,
  anon_sym_ATinterface = 121,
  anon_sym_interface = 122,
  anon_sym_byte = 123,
  anon_sym_short = 124,
  anon_sym_int = 125,
  anon_sym_long = 126,
  anon_sym_char = 127,
  anon_sym_float = 128,
  anon_sym_double = 129,
  sym_boolean_type = 130,
  sym_void_type = 131,
  anon_sym_DOT_DOT_DOT = 132,
  anon_sym_throws = 133,
  sym_this = 134,
  sym_super = 135,
  sym_line_comment = 136,
  sym_block_comment = 137,
  sym_program = 138,
  sym__toplevel_statement = 139,
  sym__literal = 140,
  sym_string_literal = 141,
  sym__string_literal = 142,
  sym__multiline_string_literal = 143,
  sym__multiline_string_fragment = 144,
  sym_string_interpolation = 145,
  sym__escape_sequence = 146,
  sym_expression = 147,
  sym_cast_expression = 148,
  sym_assignment_expression = 149,
  sym_binary_expression = 150,
  sym_instanceof_expression = 151,
  sym_lambda_expression = 152,
  sym_inferred_parameters = 153,
  sym_ternary_expression = 154,
  sym_unary_expression = 155,
  sym_update_expression = 156,
  sym_primary_expression = 157,
  sym_array_creation_expression = 158,
  sym_dimensions_expr = 159,
  sym_parenthesized_expression = 160,
  sym_class_literal = 161,
  sym_object_creation_expression = 162,
  sym__unqualified_object_creation_expression = 163,
  sym_field_access = 164,
  sym_template_expression = 165,
  sym_array_access = 166,
  sym_method_invocation = 167,
  sym_argument_list = 168,
  sym_method_reference = 169,
  sym_type_arguments = 170,
  sym_wildcard = 171,
  sym__wildcard_bounds = 172,
  sym_dimensions = 173,
  sym_switch_expression = 174,
  sym_switch_block = 175,
  sym_switch_block_statement_group = 176,
  sym_switch_rule = 177,
  sym_switch_label = 178,
  sym_pattern = 179,
  sym_type_pattern = 180,
  sym_record_pattern = 181,
  sym_record_pattern_body = 182,
  sym_record_pattern_component = 183,
  sym_guard = 184,
  sym_statement = 185,
  sym_block = 186,
  sym_expression_statement = 187,
  sym_labeled_statement = 188,
  sym_assert_statement = 189,
  sym_do_statement = 190,
  sym_break_statement = 191,
  sym_continue_statement = 192,
  sym_return_statement = 193,
  sym_yield_statement = 194,
  sym_synchronized_statement = 195,
  sym_throw_statement = 196,
  sym_try_statement = 197,
  sym_catch_clause = 198,
  sym_catch_formal_parameter = 199,
  sym_catch_type = 200,
  sym_finally_clause = 201,
  sym_try_with_resources_statement = 202,
  sym_resource_specification = 203,
  sym_resource = 204,
  sym_if_statement = 205,
  sym_while_statement = 206,
  sym_for_statement = 207,
  sym_enhanced_for_statement = 208,
  sym__annotation = 209,
  sym_marker_annotation = 210,
  sym_annotation = 211,
  sym_annotation_argument_list = 212,
  sym_element_value_pair = 213,
  sym__element_value = 214,
  sym_element_value_array_initializer = 215,
  sym_declaration = 216,
  sym_module_declaration = 217,
  sym_module_body = 218,
  sym_module_directive = 219,
  sym_requires_module_directive = 220,
  sym_requires_modifier = 221,
  sym_exports_module_directive = 222,
  sym_opens_module_directive = 223,
  sym_uses_module_directive = 224,
  sym_provides_module_directive = 225,
  sym_package_declaration = 226,
  sym_import_declaration = 227,
  sym_asterisk = 228,
  sym_enum_declaration = 229,
  sym_enum_body = 230,
  sym_enum_body_declarations = 231,
  sym_enum_constant = 232,
  sym_class_declaration = 233,
  sym_modifiers = 234,
  sym_type_parameters = 235,
  sym_type_parameter = 236,
  sym_type_bound = 237,
  sym_superclass = 238,
  sym_super_interfaces = 239,
  sym_type_list = 240,
  sym_permits = 241,
  sym_class_body = 242,
  sym_static_initializer = 243,
  sym_constructor_declaration = 244,
  sym__constructor_declarator = 245,
  sym_constructor_body = 246,
  sym_explicit_constructor_invocation = 247,
  sym_scoped_identifier = 248,
  sym_field_declaration = 249,
  sym_record_declaration = 250,
  sym_annotation_type_declaration = 251,
  sym_annotation_type_body = 252,
  sym_annotation_type_element_declaration = 253,
  sym__default_value = 254,
  sym_interface_declaration = 255,
  sym_extends_interfaces = 256,
  sym_interface_body = 257,
  sym_constant_declaration = 258,
  sym__variable_declarator_list = 259,
  sym_variable_declarator = 260,
  sym__variable_declarator_id = 261,
  sym_array_initializer = 262,
  sym__type = 263,
  sym__unannotated_type = 264,
  sym_annotated_type = 265,
  sym_scoped_type_identifier = 266,
  sym_generic_type = 267,
  sym_array_type = 268,
  sym_integral_type = 269,
  sym_floating_point_type = 270,
  sym__method_header = 271,
  sym__method_declarator = 272,
  sym_formal_parameters = 273,
  sym_formal_parameter = 274,
  sym_receiver_parameter = 275,
  sym_spread_parameter = 276,
  sym_throws = 277,
  sym_local_variable_declaration = 278,
  sym_method_declaration = 279,
  sym_compact_constructor_declaration = 280,
  sym__reserved_identifier = 281,
  aux_sym_program_repeat1 = 282,
  aux_sym__string_literal_repeat1 = 283,
  aux_sym__multiline_string_literal_repeat1 = 284,
  aux_sym_cast_expression_repeat1 = 285,
  aux_sym_inferred_parameters_repeat1 = 286,
  aux_sym_array_creation_expression_repeat1 = 287,
  aux_sym_array_creation_expression_repeat2 = 288,
  aux_sym_argument_list_repeat1 = 289,
  aux_sym_type_arguments_repeat1 = 290,
  aux_sym_dimensions_repeat1 = 291,
  aux_sym_switch_block_repeat1 = 292,
  aux_sym_switch_block_repeat2 = 293,
  aux_sym_switch_block_statement_group_repeat1 = 294,
  aux_sym_switch_block_statement_group_repeat2 = 295,
  aux_sym_record_pattern_body_repeat1 = 296,
  aux_sym_try_statement_repeat1 = 297,
  aux_sym_catch_type_repeat1 = 298,
  aux_sym_resource_specification_repeat1 = 299,
  aux_sym_for_statement_repeat1 = 300,
  aux_sym_for_statement_repeat2 = 301,
  aux_sym_annotation_argument_list_repeat1 = 302,
  aux_sym_element_value_array_initializer_repeat1 = 303,
  aux_sym_module_body_repeat1 = 304,
  aux_sym_requires_module_directive_repeat1 = 305,
  aux_sym_exports_module_directive_repeat1 = 306,
  aux_sym_provides_module_directive_repeat1 = 307,
  aux_sym_enum_body_repeat1 = 308,
  aux_sym_enum_body_declarations_repeat1 = 309,
  aux_sym_modifiers_repeat1 = 310,
  aux_sym_type_parameters_repeat1 = 311,
  aux_sym_type_bound_repeat1 = 312,
  aux_sym_type_list_repeat1 = 313,
  aux_sym_annotation_type_body_repeat1 = 314,
  aux_sym_interface_body_repeat1 = 315,
  aux_sym__variable_declarator_list_repeat1 = 316,
  aux_sym_array_initializer_repeat1 = 317,
  aux_sym_formal_parameters_repeat1 = 318,
  aux_sym_receiver_parameter_repeat1 = 319,
  alias_sym_type_identifier = 320,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_decimal_integer_literal] = "decimal_integer_literal",
  [sym_hex_integer_literal] = "hex_integer_literal",
  [sym_octal_integer_literal] = "octal_integer_literal",
  [sym_binary_integer_literal] = "binary_integer_literal",
  [sym_decimal_floating_point_literal] = "decimal_floating_point_literal",
  [sym_hex_floating_point_literal] = "hex_floating_point_literal",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_character_literal] = "character_literal",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [sym_string_fragment] = "string_fragment",
  [aux_sym__multiline_string_fragment_token1] = "_multiline_string_fragment_token1",
  [aux_sym__multiline_string_fragment_token2] = "_multiline_string_fragment_token2",
  [anon_sym_BSLASH_LBRACE] = "\\{",
  [anon_sym_RBRACE] = "}",
  [aux_sym__escape_sequence_token1] = "_escape_sequence_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_null_literal] = "null_literal",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_GT] = ">",
  [anon_sym_LT] = "<",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_final] = "final",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_COMMA] = ",",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_new] = "new",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_extends] = "extends",
  [anon_sym_switch] = "switch",
  [anon_sym_LBRACE] = "{",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [sym_underscore_pattern] = "underscore_pattern",
  [anon_sym_when] = "when",
  [anon_sym_SEMI] = ";",
  [anon_sym_assert] = "assert",
  [anon_sym_do] = "do",
  [anon_sym_while] = "while",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_return] = "return",
  [anon_sym_yield] = "yield",
  [anon_sym_synchronized] = "synchronized",
  [anon_sym_throw] = "throw",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_AT] = "@",
  [anon_sym_open] = "open",
  [anon_sym_module] = "module",
  [anon_sym_requires] = "requires",
  [anon_sym_transitive] = "transitive",
  [anon_sym_static] = "static",
  [anon_sym_exports] = "exports",
  [anon_sym_to] = "to",
  [anon_sym_opens] = "opens",
  [anon_sym_uses] = "uses",
  [anon_sym_provides] = "provides",
  [anon_sym_with] = "with",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_enum] = "enum",
  [anon_sym_public] = "public",
  [anon_sym_protected] = "protected",
  [anon_sym_private] = "private",
  [anon_sym_abstract] = "abstract",
  [anon_sym_strictfp] = "strictfp",
  [anon_sym_native] = "native",
  [anon_sym_transient] = "transient",
  [anon_sym_volatile] = "volatile",
  [anon_sym_sealed] = "sealed",
  [anon_sym_non_DASHsealed] = "non-sealed",
  [anon_sym_implements] = "implements",
  [anon_sym_permits] = "permits",
  [anon_sym_record] = "record",
  [anon_sym_ATinterface] = "@interface",
  [anon_sym_interface] = "interface",
  [anon_sym_byte] = "byte",
  [anon_sym_short] = "short",
  [anon_sym_int] = "int",
  [anon_sym_long] = "long",
  [anon_sym_char] = "char",
  [anon_sym_float] = "float",
  [anon_sym_double] = "double",
  [sym_boolean_type] = "boolean_type",
  [sym_void_type] = "void_type",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_throws] = "throws",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_line_comment] = "line_comment",
  [sym_block_comment] = "block_comment",
  [sym_program] = "program",
  [sym__toplevel_statement] = "_toplevel_statement",
  [sym__literal] = "_literal",
  [sym_string_literal] = "string_literal",
  [sym__string_literal] = "_string_literal",
  [sym__multiline_string_literal] = "_multiline_string_literal",
  [sym__multiline_string_fragment] = "multiline_string_fragment",
  [sym_string_interpolation] = "string_interpolation",
  [sym__escape_sequence] = "_escape_sequence",
  [sym_expression] = "expression",
  [sym_cast_expression] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_instanceof_expression] = "instanceof_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_inferred_parameters] = "inferred_parameters",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_dimensions_expr] = "dimensions_expr",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_literal] = "class_literal",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__unqualified_object_creation_expression] = "_unqualified_object_creation_expression",
  [sym_field_access] = "field_access",
  [sym_template_expression] = "template_expression",
  [sym_array_access] = "array_access",
  [sym_method_invocation] = "method_invocation",
  [sym_argument_list] = "argument_list",
  [sym_method_reference] = "method_reference",
  [sym_type_arguments] = "type_arguments",
  [sym_wildcard] = "wildcard",
  [sym__wildcard_bounds] = "_wildcard_bounds",
  [sym_dimensions] = "dimensions",
  [sym_switch_expression] = "switch_expression",
  [sym_switch_block] = "switch_block",
  [sym_switch_block_statement_group] = "switch_block_statement_group",
  [sym_switch_rule] = "switch_rule",
  [sym_switch_label] = "switch_label",
  [sym_pattern] = "pattern",
  [sym_type_pattern] = "type_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_record_pattern_body] = "record_pattern_body",
  [sym_record_pattern_component] = "record_pattern_component",
  [sym_guard] = "guard",
  [sym_statement] = "statement",
  [sym_block] = "block",
  [sym_expression_statement] = "expression_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_assert_statement] = "assert_statement",
  [sym_do_statement] = "do_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_return_statement] = "return_statement",
  [sym_yield_statement] = "yield_statement",
  [sym_synchronized_statement] = "synchronized_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_catch_formal_parameter] = "catch_formal_parameter",
  [sym_catch_type] = "catch_type",
  [sym_finally_clause] = "finally_clause",
  [sym_try_with_resources_statement] = "try_with_resources_statement",
  [sym_resource_specification] = "resource_specification",
  [sym_resource] = "resource",
  [sym_if_statement] = "if_statement",
  [sym_while_statement] = "while_statement",
  [sym_for_statement] = "for_statement",
  [sym_enhanced_for_statement] = "enhanced_for_statement",
  [sym__annotation] = "_annotation",
  [sym_marker_annotation] = "marker_annotation",
  [sym_annotation] = "annotation",
  [sym_annotation_argument_list] = "annotation_argument_list",
  [sym_element_value_pair] = "element_value_pair",
  [sym__element_value] = "_element_value",
  [sym_element_value_array_initializer] = "element_value_array_initializer",
  [sym_declaration] = "declaration",
  [sym_module_declaration] = "module_declaration",
  [sym_module_body] = "module_body",
  [sym_module_directive] = "module_directive",
  [sym_requires_module_directive] = "requires_module_directive",
  [sym_requires_modifier] = "requires_modifier",
  [sym_exports_module_directive] = "exports_module_directive",
  [sym_opens_module_directive] = "opens_module_directive",
  [sym_uses_module_directive] = "uses_module_directive",
  [sym_provides_module_directive] = "provides_module_directive",
  [sym_package_declaration] = "package_declaration",
  [sym_import_declaration] = "import_declaration",
  [sym_asterisk] = "asterisk",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_body_declarations] = "enum_body_declarations",
  [sym_enum_constant] = "enum_constant",
  [sym_class_declaration] = "class_declaration",
  [sym_modifiers] = "modifiers",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_type_bound] = "type_bound",
  [sym_superclass] = "superclass",
  [sym_super_interfaces] = "super_interfaces",
  [sym_type_list] = "type_list",
  [sym_permits] = "permits",
  [sym_class_body] = "class_body",
  [sym_static_initializer] = "static_initializer",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_declarator] = "_constructor_declarator",
  [sym_constructor_body] = "constructor_body",
  [sym_explicit_constructor_invocation] = "explicit_constructor_invocation",
  [sym_scoped_identifier] = "scoped_identifier",
  [sym_field_declaration] = "field_declaration",
  [sym_record_declaration] = "record_declaration",
  [sym_annotation_type_declaration] = "annotation_type_declaration",
  [sym_annotation_type_body] = "annotation_type_body",
  [sym_annotation_type_element_declaration] = "annotation_type_element_declaration",
  [sym__default_value] = "_default_value",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_interfaces] = "extends_interfaces",
  [sym_interface_body] = "interface_body",
  [sym_constant_declaration] = "constant_declaration",
  [sym__variable_declarator_list] = "_variable_declarator_list",
  [sym_variable_declarator] = "variable_declarator",
  [sym__variable_declarator_id] = "_variable_declarator_id",
  [sym_array_initializer] = "array_initializer",
  [sym__type] = "_type",
  [sym__unannotated_type] = "_unannotated_type",
  [sym_annotated_type] = "annotated_type",
  [sym_scoped_type_identifier] = "scoped_type_identifier",
  [sym_generic_type] = "generic_type",
  [sym_array_type] = "array_type",
  [sym_integral_type] = "integral_type",
  [sym_floating_point_type] = "floating_point_type",
  [sym__method_header] = "_method_header",
  [sym__method_declarator] = "_method_declarator",
  [sym_formal_parameters] = "formal_parameters",
  [sym_formal_parameter] = "formal_parameter",
  [sym_receiver_parameter] = "receiver_parameter",
  [sym_spread_parameter] = "spread_parameter",
  [sym_throws] = "throws",
  [sym_local_variable_declaration] = "local_variable_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_compact_constructor_declaration] = "compact_constructor_declaration",
  [sym__reserved_identifier] = "_reserved_identifier",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym__string_literal_repeat1] = "_string_literal_repeat1",
  [aux_sym__multiline_string_literal_repeat1] = "_multiline_string_literal_repeat1",
  [aux_sym_cast_expression_repeat1] = "cast_expression_repeat1",
  [aux_sym_inferred_parameters_repeat1] = "inferred_parameters_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_array_creation_expression_repeat2] = "array_creation_expression_repeat2",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_dimensions_repeat1] = "dimensions_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_switch_block_repeat2] = "switch_block_repeat2",
  [aux_sym_switch_block_statement_group_repeat1] = "switch_block_statement_group_repeat1",
  [aux_sym_switch_block_statement_group_repeat2] = "switch_block_statement_group_repeat2",
  [aux_sym_record_pattern_body_repeat1] = "record_pattern_body_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_catch_type_repeat1] = "catch_type_repeat1",
  [aux_sym_resource_specification_repeat1] = "resource_specification_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_for_statement_repeat2] = "for_statement_repeat2",
  [aux_sym_annotation_argument_list_repeat1] = "annotation_argument_list_repeat1",
  [aux_sym_element_value_array_initializer_repeat1] = "element_value_array_initializer_repeat1",
  [aux_sym_module_body_repeat1] = "module_body_repeat1",
  [aux_sym_requires_module_directive_repeat1] = "requires_module_directive_repeat1",
  [aux_sym_exports_module_directive_repeat1] = "exports_module_directive_repeat1",
  [aux_sym_provides_module_directive_repeat1] = "provides_module_directive_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_enum_body_declarations_repeat1] = "enum_body_declarations_repeat1",
  [aux_sym_modifiers_repeat1] = "modifiers_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_type_bound_repeat1] = "type_bound_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_annotation_type_body_repeat1] = "annotation_type_body_repeat1",
  [aux_sym_interface_body_repeat1] = "interface_body_repeat1",
  [aux_sym__variable_declarator_list_repeat1] = "_variable_declarator_list_repeat1",
  [aux_sym_array_initializer_repeat1] = "array_initializer_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_receiver_parameter_repeat1] = "receiver_parameter_repeat1",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_decimal_integer_literal] = sym_decimal_integer_literal,
  [sym_hex_integer_literal] = sym_hex_integer_literal,
  [sym_octal_integer_literal] = sym_octal_integer_literal,
  [sym_binary_integer_literal] = sym_binary_integer_literal,
  [sym_decimal_floating_point_literal] = sym_decimal_floating_point_literal,
  [sym_hex_floating_point_literal] = sym_hex_floating_point_literal,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_character_literal] = sym_character_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [sym_string_fragment] = sym_string_fragment,
  [aux_sym__multiline_string_fragment_token1] = aux_sym__multiline_string_fragment_token1,
  [aux_sym__multiline_string_fragment_token2] = aux_sym__multiline_string_fragment_token2,
  [anon_sym_BSLASH_LBRACE] = anon_sym_BSLASH_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym__escape_sequence_token1] = aux_sym__escape_sequence_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_null_literal] = sym_null_literal,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [sym_underscore_pattern] = sym_underscore_pattern,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_synchronized] = anon_sym_synchronized,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_transitive] = anon_sym_transitive,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_exports] = anon_sym_exports,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_opens] = anon_sym_opens,
  [anon_sym_uses] = anon_sym_uses,
  [anon_sym_provides] = anon_sym_provides,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_strictfp] = anon_sym_strictfp,
  [anon_sym_native] = anon_sym_native,
  [anon_sym_transient] = anon_sym_transient,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_sealed] = anon_sym_sealed,
  [anon_sym_non_DASHsealed] = anon_sym_non_DASHsealed,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_permits] = anon_sym_permits,
  [anon_sym_record] = anon_sym_record,
  [anon_sym_ATinterface] = anon_sym_ATinterface,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_byte] = anon_sym_byte,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_char] = anon_sym_char,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_double] = anon_sym_double,
  [sym_boolean_type] = sym_boolean_type,
  [sym_void_type] = sym_void_type,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_throws] = anon_sym_throws,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_line_comment] = sym_line_comment,
  [sym_block_comment] = sym_block_comment,
  [sym_program] = sym_program,
  [sym__toplevel_statement] = sym__toplevel_statement,
  [sym__literal] = sym__literal,
  [sym_string_literal] = sym_string_literal,
  [sym__string_literal] = sym__string_literal,
  [sym__multiline_string_literal] = sym__multiline_string_literal,
  [sym__multiline_string_fragment] = sym__multiline_string_fragment,
  [sym_string_interpolation] = sym_string_interpolation,
  [sym__escape_sequence] = sym__escape_sequence,
  [sym_expression] = sym_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_instanceof_expression] = sym_instanceof_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_inferred_parameters] = sym_inferred_parameters,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_dimensions_expr] = sym_dimensions_expr,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_literal] = sym_class_literal,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__unqualified_object_creation_expression] = sym__unqualified_object_creation_expression,
  [sym_field_access] = sym_field_access,
  [sym_template_expression] = sym_template_expression,
  [sym_array_access] = sym_array_access,
  [sym_method_invocation] = sym_method_invocation,
  [sym_argument_list] = sym_argument_list,
  [sym_method_reference] = sym_method_reference,
  [sym_type_arguments] = sym_type_arguments,
  [sym_wildcard] = sym_wildcard,
  [sym__wildcard_bounds] = sym__wildcard_bounds,
  [sym_dimensions] = sym_dimensions,
  [sym_switch_expression] = sym_switch_expression,
  [sym_switch_block] = sym_switch_block,
  [sym_switch_block_statement_group] = sym_switch_block_statement_group,
  [sym_switch_rule] = sym_switch_rule,
  [sym_switch_label] = sym_switch_label,
  [sym_pattern] = sym_pattern,
  [sym_type_pattern] = sym_type_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_record_pattern_body] = sym_record_pattern_body,
  [sym_record_pattern_component] = sym_record_pattern_component,
  [sym_guard] = sym_guard,
  [sym_statement] = sym_statement,
  [sym_block] = sym_block,
  [sym_expression_statement] = sym_expression_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_assert_statement] = sym_assert_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_yield_statement] = sym_yield_statement,
  [sym_synchronized_statement] = sym_synchronized_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_catch_formal_parameter] = sym_catch_formal_parameter,
  [sym_catch_type] = sym_catch_type,
  [sym_finally_clause] = sym_finally_clause,
  [sym_try_with_resources_statement] = sym_try_with_resources_statement,
  [sym_resource_specification] = sym_resource_specification,
  [sym_resource] = sym_resource,
  [sym_if_statement] = sym_if_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_enhanced_for_statement] = sym_enhanced_for_statement,
  [sym__annotation] = sym__annotation,
  [sym_marker_annotation] = sym_marker_annotation,
  [sym_annotation] = sym_annotation,
  [sym_annotation_argument_list] = sym_annotation_argument_list,
  [sym_element_value_pair] = sym_element_value_pair,
  [sym__element_value] = sym__element_value,
  [sym_element_value_array_initializer] = sym_element_value_array_initializer,
  [sym_declaration] = sym_declaration,
  [sym_module_declaration] = sym_module_declaration,
  [sym_module_body] = sym_module_body,
  [sym_module_directive] = sym_module_directive,
  [sym_requires_module_directive] = sym_requires_module_directive,
  [sym_requires_modifier] = sym_requires_modifier,
  [sym_exports_module_directive] = sym_exports_module_directive,
  [sym_opens_module_directive] = sym_opens_module_directive,
  [sym_uses_module_directive] = sym_uses_module_directive,
  [sym_provides_module_directive] = sym_provides_module_directive,
  [sym_package_declaration] = sym_package_declaration,
  [sym_import_declaration] = sym_import_declaration,
  [sym_asterisk] = sym_asterisk,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_body_declarations] = sym_enum_body_declarations,
  [sym_enum_constant] = sym_enum_constant,
  [sym_class_declaration] = sym_class_declaration,
  [sym_modifiers] = sym_modifiers,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_type_bound] = sym_type_bound,
  [sym_superclass] = sym_superclass,
  [sym_super_interfaces] = sym_super_interfaces,
  [sym_type_list] = sym_type_list,
  [sym_permits] = sym_permits,
  [sym_class_body] = sym_class_body,
  [sym_static_initializer] = sym_static_initializer,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_declarator] = sym__constructor_declarator,
  [sym_constructor_body] = sym_constructor_body,
  [sym_explicit_constructor_invocation] = sym_explicit_constructor_invocation,
  [sym_scoped_identifier] = sym_scoped_identifier,
  [sym_field_declaration] = sym_field_declaration,
  [sym_record_declaration] = sym_record_declaration,
  [sym_annotation_type_declaration] = sym_annotation_type_declaration,
  [sym_annotation_type_body] = sym_annotation_type_body,
  [sym_annotation_type_element_declaration] = sym_annotation_type_element_declaration,
  [sym__default_value] = sym__default_value,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_interfaces] = sym_extends_interfaces,
  [sym_interface_body] = sym_interface_body,
  [sym_constant_declaration] = sym_constant_declaration,
  [sym__variable_declarator_list] = sym__variable_declarator_list,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym__variable_declarator_id] = sym__variable_declarator_id,
  [sym_array_initializer] = sym_array_initializer,
  [sym__type] = sym__type,
  [sym__unannotated_type] = sym__unannotated_type,
  [sym_annotated_type] = sym_annotated_type,
  [sym_scoped_type_identifier] = sym_scoped_type_identifier,
  [sym_generic_type] = sym_generic_type,
  [sym_array_type] = sym_array_type,
  [sym_integral_type] = sym_integral_type,
  [sym_floating_point_type] = sym_floating_point_type,
  [sym__method_header] = sym__method_header,
  [sym__method_declarator] = sym__method_declarator,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_formal_parameter] = sym_formal_parameter,
  [sym_receiver_parameter] = sym_receiver_parameter,
  [sym_spread_parameter] = sym_spread_parameter,
  [sym_throws] = sym_throws,
  [sym_local_variable_declaration] = sym_local_variable_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_compact_constructor_declaration] = sym_compact_constructor_declaration,
  [sym__reserved_identifier] = sym__reserved_identifier,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym__string_literal_repeat1] = aux_sym__string_literal_repeat1,
  [aux_sym__multiline_string_literal_repeat1] = aux_sym__multiline_string_literal_repeat1,
  [aux_sym_cast_expression_repeat1] = aux_sym_cast_expression_repeat1,
  [aux_sym_inferred_parameters_repeat1] = aux_sym_inferred_parameters_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_array_creation_expression_repeat2] = aux_sym_array_creation_expression_repeat2,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_dimensions_repeat1] = aux_sym_dimensions_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_switch_block_repeat2] = aux_sym_switch_block_repeat2,
  [aux_sym_switch_block_statement_group_repeat1] = aux_sym_switch_block_statement_group_repeat1,
  [aux_sym_switch_block_statement_group_repeat2] = aux_sym_switch_block_statement_group_repeat2,
  [aux_sym_record_pattern_body_repeat1] = aux_sym_record_pattern_body_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_catch_type_repeat1] = aux_sym_catch_type_repeat1,
  [aux_sym_resource_specification_repeat1] = aux_sym_resource_specification_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_for_statement_repeat2] = aux_sym_for_statement_repeat2,
  [aux_sym_annotation_argument_list_repeat1] = aux_sym_annotation_argument_list_repeat1,
  [aux_sym_element_value_array_initializer_repeat1] = aux_sym_element_value_array_initializer_repeat1,
  [aux_sym_module_body_repeat1] = aux_sym_module_body_repeat1,
  [aux_sym_requires_module_directive_repeat1] = aux_sym_requires_module_directive_repeat1,
  [aux_sym_exports_module_directive_repeat1] = aux_sym_exports_module_directive_repeat1,
  [aux_sym_provides_module_directive_repeat1] = aux_sym_provides_module_directive_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_enum_body_declarations_repeat1] = aux_sym_enum_body_declarations_repeat1,
  [aux_sym_modifiers_repeat1] = aux_sym_modifiers_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_type_bound_repeat1] = aux_sym_type_bound_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_annotation_type_body_repeat1] = aux_sym_annotation_type_body_repeat1,
  [aux_sym_interface_body_repeat1] = aux_sym_interface_body_repeat1,
  [aux_sym__variable_declarator_list_repeat1] = aux_sym__variable_declarator_list_repeat1,
  [aux_sym_array_initializer_repeat1] = aux_sym_array_initializer_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_receiver_parameter_repeat1] = aux_sym_receiver_parameter_repeat1,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_octal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__multiline_string_fragment_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_fragment_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASH_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [sym_underscore_pattern] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_synchronized] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transitive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exports] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opens] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uses] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_provides] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strictfp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_native] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_non_DASHsealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_permits] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_record] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATinterface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_char] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_double] = {
    .visible = true,
    .named = false,
  },
  [sym_boolean_type] = {
    .visible = true,
    .named = true,
  },
  [sym_void_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throws] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_line_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__toplevel_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__multiline_string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__multiline_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_string_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instanceof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_inferred_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_dimensions_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__unqualified_object_creation_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_field_access] = {
    .visible = true,
    .named = true,
  },
  [sym_template_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_access] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_method_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__wildcard_bounds] = {
    .visible = false,
    .named = true,
  },
  [sym_dimensions] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block_statement_group] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_rule] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_label] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_type_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern_body] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern_component] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_synchronized_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_type] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_try_with_resources_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_resource_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_resource] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enhanced_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__annotation] = {
    .visible = false,
    .named = true,
  },
  [sym_marker_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_element_value_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__element_value] = {
    .visible = false,
    .named = true,
  },
  [sym_element_value_array_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_module_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module_body] = {
    .visible = true,
    .named = true,
  },
  [sym_module_directive] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_requires_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_exports_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_opens_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_uses_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_provides_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_package_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_asterisk] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body_declarations] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_superclass] = {
    .visible = true,
    .named = true,
  },
  [sym_super_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_permits] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_static_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_body] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_constructor_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_body] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_element_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__default_value] = {
    .visible = false,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator_list] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator_id] = {
    .visible = false,
    .named = true,
  },
  [sym_array_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unannotated_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_annotated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_integral_type] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_type] = {
    .visible = true,
    .named = true,
  },
  [sym__method_header] = {
    .visible = false,
    .named = true,
  },
  [sym__method_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_receiver_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_spread_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_throws] = {
    .visible = true,
    .named = true,
  },
  [sym_local_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_compact_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inferred_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dimensions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_statement_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_statement_group_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_catch_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_resource_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_element_value_array_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exports_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_provides_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_declarations_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_bound_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_type_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__variable_declarator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_receiver_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_arguments = 2,
  field_array = 3,
  field_body = 4,
  field_condition = 5,
  field_consequence = 6,
  field_constructor = 7,
  field_declarator = 8,
  field_dimensions = 9,
  field_element = 10,
  field_field = 11,
  field_index = 12,
  field_init = 13,
  field_interfaces = 14,
  field_key = 15,
  field_left = 16,
  field_modifiers = 17,
  field_module = 18,
  field_modules = 19,
  field_name = 20,
  field_object = 21,
  field_operand = 22,
  field_operator = 23,
  field_package = 24,
  field_parameters = 25,
  field_pattern = 26,
  field_permits = 27,
  field_provided = 28,
  field_provider = 29,
  field_resources = 30,
  field_right = 31,
  field_scope = 32,
  field_superclass = 33,
  field_template_argument = 34,
  field_template_processor = 35,
  field_type = 36,
  field_type_arguments = 37,
  field_type_parameters = 38,
  field_update = 39,
  field_value = 40,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_array] = "array",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_declarator] = "declarator",
  [field_dimensions] = "dimensions",
  [field_element] = "element",
  [field_field] = "field",
  [field_index] = "index",
  [field_init] = "init",
  [field_interfaces] = "interfaces",
  [field_key] = "key",
  [field_left] = "left",
  [field_modifiers] = "modifiers",
  [field_module] = "module",
  [field_modules] = "modules",
  [field_name] = "name",
  [field_object] = "object",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_permits] = "permits",
  [field_provided] = "provided",
  [field_provider] = "provider",
  [field_resources] = "resources",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_superclass] = "superclass",
  [field_template_argument] = "template_argument",
  [field_template_processor] = "template_processor",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 3},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 2},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 2},
  [9] = {.index = 11, .length = 1},
  [10] = {.index = 12, .length = 2},
  [11] = {.index = 14, .length = 4},
  [12] = {.index = 18, .length = 5},
  [13] = {.index = 23, .length = 6},
  [14] = {.index = 29, .length = 3},
  [16] = {.index = 32, .length = 2},
  [17] = {.index = 34, .length = 2},
  [18] = {.index = 32, .length = 2},
  [19] = {.index = 34, .length = 2},
  [20] = {.index = 36, .length = 2},
  [21] = {.index = 38, .length = 2},
  [22] = {.index = 40, .length = 1},
  [23] = {.index = 41, .length = 1},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 2},
  [26] = {.index = 46, .length = 2},
  [27] = {.index = 48, .length = 2},
  [28] = {.index = 50, .length = 3},
  [29] = {.index = 53, .length = 2},
  [31] = {.index = 55, .length = 2},
  [32] = {.index = 57, .length = 2},
  [33] = {.index = 59, .length = 2},
  [34] = {.index = 61, .length = 3},
  [35] = {.index = 64, .length = 5},
  [36] = {.index = 69, .length = 6},
  [37] = {.index = 75, .length = 5},
  [38] = {.index = 80, .length = 2},
  [39] = {.index = 82, .length = 2},
  [40] = {.index = 84, .length = 2},
  [41] = {.index = 86, .length = 2},
  [43] = {.index = 88, .length = 3},
  [44] = {.index = 91, .length = 2},
  [45] = {.index = 93, .length = 1},
  [46] = {.index = 94, .length = 2},
  [47] = {.index = 96, .length = 3},
  [48] = {.index = 99, .length = 3},
  [49] = {.index = 96, .length = 3},
  [50] = {.index = 99, .length = 3},
  [51] = {.index = 102, .length = 3},
  [52] = {.index = 102, .length = 3},
  [53] = {.index = 105, .length = 2},
  [54] = {.index = 107, .length = 2},
  [55] = {.index = 105, .length = 2},
  [56] = {.index = 107, .length = 2},
  [57] = {.index = 109, .length = 3},
  [58] = {.index = 112, .length = 3},
  [59] = {.index = 115, .length = 3},
  [60] = {.index = 118, .length = 3},
  [61] = {.index = 121, .length = 2},
  [62] = {.index = 123, .length = 2},
  [63] = {.index = 125, .length = 3},
  [64] = {.index = 128, .length = 2},
  [65] = {.index = 130, .length = 3},
  [67] = {.index = 133, .length = 2},
  [68] = {.index = 135, .length = 2},
  [69] = {.index = 137, .length = 3},
  [70] = {.index = 140, .length = 2},
  [71] = {.index = 142, .length = 2},
  [72] = {.index = 144, .length = 5},
  [73] = {.index = 149, .length = 3},
  [74] = {.index = 152, .length = 1},
  [75] = {.index = 153, .length = 2},
  [76] = {.index = 155, .length = 3},
  [78] = {.index = 158, .length = 3},
  [79] = {.index = 161, .length = 3},
  [80] = {.index = 161, .length = 3},
  [81] = {.index = 164, .length = 3},
  [82] = {.index = 167, .length = 3},
  [83] = {.index = 164, .length = 3},
  [84] = {.index = 167, .length = 3},
  [85] = {.index = 170, .length = 3},
  [86] = {.index = 170, .length = 3},
  [87] = {.index = 173, .length = 2},
  [88] = {.index = 175, .length = 4},
  [89] = {.index = 179, .length = 4},
  [90] = {.index = 183, .length = 4},
  [91] = {.index = 187, .length = 4},
  [92] = {.index = 191, .length = 4},
  [93] = {.index = 195, .length = 4},
  [94] = {.index = 199, .length = 4},
  [95] = {.index = 203, .length = 2},
  [96] = {.index = 205, .length = 3},
  [97] = {.index = 208, .length = 1},
  [98] = {.index = 209, .length = 2},
  [99] = {.index = 211, .length = 1},
  [100] = {.index = 212, .length = 4},
  [101] = {.index = 216, .length = 4},
  [102] = {.index = 220, .length = 3},
  [103] = {.index = 223, .length = 3},
  [104] = {.index = 226, .length = 2},
  [105] = {.index = 228, .length = 4},
  [106] = {.index = 232, .length = 3},
  [107] = {.index = 235, .length = 3},
  [108] = {.index = 238, .length = 3},
  [109] = {.index = 241, .length = 3},
  [110] = {.index = 244, .length = 3},
  [111] = {.index = 247, .length = 3},
  [112] = {.index = 250, .length = 3},
  [113] = {.index = 253, .length = 2},
  [114] = {.index = 255, .length = 2},
  [115] = {.index = 257, .length = 3},
  [116] = {.index = 257, .length = 3},
  [117] = {.index = 260, .length = 4},
  [118] = {.index = 264, .length = 3},
  [119] = {.index = 267, .length = 4},
  [120] = {.index = 271, .length = 5},
  [121] = {.index = 276, .length = 5},
  [122] = {.index = 281, .length = 5},
  [123] = {.index = 286, .length = 5},
  [124] = {.index = 291, .length = 4},
  [125] = {.index = 295, .length = 2},
  [126] = {.index = 297, .length = 1},
  [127] = {.index = 298, .length = 2},
  [128] = {.index = 300, .length = 2},
  [129] = {.index = 302, .length = 1},
  [130] = {.index = 303, .length = 2},
  [131] = {.index = 305, .length = 1},
  [132] = {.index = 306, .length = 3},
  [133] = {.index = 309, .length = 5},
  [134] = {.index = 314, .length = 4},
  [135] = {.index = 318, .length = 3},
  [136] = {.index = 321, .length = 4},
  [137] = {.index = 325, .length = 4},
  [138] = {.index = 329, .length = 4},
  [139] = {.index = 333, .length = 4},
  [140] = {.index = 337, .length = 4},
  [141] = {.index = 341, .length = 4},
  [142] = {.index = 345, .length = 4},
  [143] = {.index = 349, .length = 4},
  [144] = {.index = 353, .length = 3},
  [145] = {.index = 356, .length = 3},
  [146] = {.index = 359, .length = 4},
  [147] = {.index = 363, .length = 6},
  [148] = {.index = 369, .length = 4},
  [149] = {.index = 373, .length = 1},
  [150] = {.index = 374, .length = 2},
  [151] = {.index = 376, .length = 2},
  [152] = {.index = 378, .length = 1},
  [153] = {.index = 379, .length = 2},
  [154] = {.index = 381, .length = 2},
  [155] = {.index = 383, .length = 2},
  [156] = {.index = 385, .length = 3},
  [157] = {.index = 388, .length = 3},
  [158] = {.index = 391, .length = 2},
  [159] = {.index = 393, .length = 3},
  [160] = {.index = 396, .length = 4},
  [161] = {.index = 400, .length = 5},
  [162] = {.index = 405, .length = 5},
  [163] = {.index = 410, .length = 5},
  [164] = {.index = 415, .length = 5},
  [165] = {.index = 420, .length = 5},
  [166] = {.index = 425, .length = 4},
  [167] = {.index = 429, .length = 2},
  [168] = {.index = 431, .length = 3},
  [169] = {.index = 434, .length = 3},
  [170] = {.index = 437, .length = 3},
  [171] = {.index = 440, .length = 3},
  [172] = {.index = 443, .length = 3},
  [173] = {.index = 446, .length = 5},
  [174] = {.index = 451, .length = 4},
  [175] = {.index = 455, .length = 4},
  [176] = {.index = 459, .length = 2},
  [177] = {.index = 461, .length = 1},
  [178] = {.index = 462, .length = 2},
  [179] = {.index = 464, .length = 6},
  [180] = {.index = 470, .length = 3},
  [181] = {.index = 473, .length = 4},
  [182] = {.index = 477, .length = 4},
  [183] = {.index = 481, .length = 4},
  [184] = {.index = 485, .length = 4},
  [185] = {.index = 489, .length = 4},
  [186] = {.index = 493, .length = 5},
  [187] = {.index = 498, .length = 5},
  [188] = {.index = 503, .length = 1},
  [189] = {.index = 504, .length = 3},
  [190] = {.index = 507, .length = 2},
  [191] = {.index = 509, .length = 1},
  [192] = {.index = 510, .length = 2},
  [193] = {.index = 512, .length = 2},
  [194] = {.index = 514, .length = 2},
  [195] = {.index = 516, .length = 1},
  [196] = {.index = 517, .length = 3},
  [197] = {.index = 520, .length = 3},
  [198] = {.index = 523, .length = 3},
  [199] = {.index = 526, .length = 5},
  [200] = {.index = 531, .length = 5},
  [201] = {.index = 536, .length = 5},
  [202] = {.index = 541, .length = 3},
  [203] = {.index = 544, .length = 3},
  [204] = {.index = 547, .length = 4},
  [205] = {.index = 551, .length = 4},
  [206] = {.index = 555, .length = 6},
  [207] = {.index = 561, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_arguments, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_arguments, 0, .inherited = true},
  [3] =
    {field_operand, 1},
    {field_operator, 0},
  [5] =
    {field_name, 1},
  [6] =
    {field_arguments, 1},
    {field_name, 0},
  [8] =
    {field_name, 0},
  [9] =
    {field_dimensions, 1},
    {field_element, 0},
  [11] =
    {field_declarator, 0},
  [12] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [14] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0},
  [18] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [23] =
    {field_body, 1},
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [29] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0},
  [32] =
    {field_arguments, 2},
    {field_type, 1},
  [34] =
    {field_dimensions, 2},
    {field_type, 1},
  [36] =
    {field_body, 2},
    {field_name, 1},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 2},
  [41] =
    {field_body, 1},
  [42] =
    {field_body, 2},
    {field_resources, 1},
  [44] =
    {field_condition, 1},
    {field_consequence, 2},
  [46] =
    {field_arguments, 2},
    {field_name, 1},
  [48] =
    {field_field, 2},
    {field_object, 0},
  [50] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [53] =
    {field_body, 2},
    {field_parameters, 0},
  [55] =
    {field_left, 0},
    {field_pattern, 2},
  [57] =
    {field_left, 0},
    {field_right, 2},
  [59] =
    {field_template_argument, 2},
    {field_template_processor, 0},
  [61] =
    {field_arguments, 2, .inherited = true},
    {field_type, 2, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
  [64] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [69] =
    {field_body, 2},
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [75] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1},
    {field_type_parameters, 0},
  [80] =
    {field_dimensions, 1},
    {field_name, 0},
  [82] =
    {field_name, 0},
    {field_parameters, 1},
  [84] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0},
  [86] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [88] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 1},
  [91] =
    {field_type, 1},
    {field_value, 3},
  [93] =
    {field_type, 1},
  [94] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [96] =
    {field_dimensions, 2},
    {field_type, 1},
    {field_value, 3},
  [99] =
    {field_dimensions, 2},
    {field_dimensions, 3},
    {field_type, 1},
  [102] =
    {field_arguments, 3},
    {field_type, 2},
    {field_type_arguments, 1},
  [105] =
    {field_arguments, 3},
    {field_type, 2},
  [107] =
    {field_dimensions, 3},
    {field_type, 2},
  [109] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [112] =
    {field_body, 3},
    {field_name, 1},
    {field_superclass, 2},
  [115] =
    {field_body, 3},
    {field_interfaces, 2},
    {field_name, 1},
  [118] =
    {field_body, 3},
    {field_name, 1},
    {field_permits, 2},
  [121] =
    {field_name, 2},
    {field_scope, 0},
  [123] =
    {field_body, 3},
    {field_name, 2},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_body, 3},
    {field_name, 1},
  [130] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [133] =
    {field_left, 0},
    {field_pattern, 3},
  [135] =
    {field_left, 0},
    {field_right, 3},
  [137] =
    {field_left, 0},
    {field_name, 3},
    {field_right, 2},
  [140] =
    {field_array, 0},
    {field_index, 2},
  [142] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1},
  [144] =
    {field_dimensions, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_type, 2},
    {field_type_parameters, 0},
  [149] =
    {field_dimensions, 2},
    {field_name, 0},
    {field_parameters, 1},
  [152] =
    {field_declarator, 1},
  [153] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [155] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_value, 2},
  [158] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
    {field_value, 4},
  [161] =
    {field_arguments, 4},
    {field_type, 3},
    {field_type_arguments, 1},
  [164] =
    {field_dimensions, 3},
    {field_type, 2},
    {field_value, 4},
  [167] =
    {field_dimensions, 3},
    {field_dimensions, 4},
    {field_type, 2},
  [170] =
    {field_arguments, 4},
    {field_type, 3},
    {field_type_arguments, 2},
  [173] =
    {field_body, 1},
    {field_name, 0},
  [175] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [179] =
    {field_body, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [183] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [187] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
    {field_type_parameters, 2},
  [191] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_superclass, 2},
  [195] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
    {field_superclass, 2},
  [199] =
    {field_body, 4},
    {field_interfaces, 2},
    {field_name, 1},
    {field_permits, 3},
  [203] =
    {field_body, 1},
    {field_condition, 3},
  [205] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [208] =
    {field_init, 1},
  [209] =
    {field_init, 0, .inherited = true},
    {field_init, 1, .inherited = true},
  [211] =
    {field_modifiers, 0},
  [212] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [216] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_parameters, 2},
  [220] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [223] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
  [226] =
    {field_field, 4},
    {field_object, 0},
  [228] =
    {field_arguments, 4},
    {field_name, 3},
    {field_object, 0},
    {field_type_arguments, 2},
  [232] =
    {field_left, 0},
    {field_name, 4},
    {field_right, 3},
  [235] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [238] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [241] =
    {field_body, 4},
    {field_name, 2},
    {field_superclass, 3},
  [244] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 2},
  [247] =
    {field_body, 4},
    {field_name, 2},
    {field_permits, 3},
  [250] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [253] =
    {field_body, 4},
    {field_name, 2},
  [255] =
    {field_body, 4},
    {field_name, 3},
  [257] =
    {field_arguments, 5},
    {field_type, 4},
    {field_type_arguments, 2},
  [260] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [264] =
    {field_name, 1},
    {field_parameters, 2},
    {field_type_parameters, 0},
  [267] =
    {field_body, 2},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [271] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [276] =
    {field_body, 5},
    {field_name, 1},
    {field_permits, 4},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [281] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 1},
    {field_permits, 4},
    {field_type_parameters, 2},
  [286] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 1},
    {field_permits, 4},
    {field_superclass, 2},
  [291] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0},
    {field_value, 3},
  [295] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [297] =
    {field_body, 5},
  [298] =
    {field_body, 5},
    {field_init, 2},
  [300] =
    {field_key, 0},
    {field_value, 2},
  [302] =
    {field_module, 1},
  [303] =
    {field_modifiers, 0, .inherited = true},
    {field_modifiers, 1, .inherited = true},
  [305] =
    {field_package, 1},
  [306] =
    {field_arguments, 1},
    {field_body, 2},
    {field_name, 0},
  [309] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [314] =
    {field_body, 5},
    {field_name, 1},
    {field_permits, 4},
    {field_type_parameters, 2},
  [318] =
    {field_arguments, 5},
    {field_name, 4},
    {field_object, 0},
  [321] =
    {field_body, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [325] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [329] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
    {field_type_parameters, 3},
  [333] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_superclass, 3},
  [337] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
    {field_superclass, 3},
  [341] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 2},
    {field_permits, 4},
  [345] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [349] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_parameters, 3},
  [353] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [356] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
  [359] =
    {field_body, 3},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [363] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 1},
    {field_permits, 5},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [369] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 1},
    {field_value, 4},
  [373] =
    {field_body, 4},
  [374] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [376] =
    {field_body, 6},
    {field_update, 4},
  [378] =
    {field_update, 1},
  [379] =
    {field_update, 0, .inherited = true},
    {field_update, 1, .inherited = true},
  [381] =
    {field_body, 6},
    {field_condition, 3},
  [383] =
    {field_body, 6},
    {field_init, 2},
  [385] =
    {field_body, 6},
    {field_init, 2},
    {field_update, 4},
  [388] =
    {field_body, 6},
    {field_condition, 3},
    {field_init, 2},
  [391] =
    {field_modifiers, 1, .inherited = true},
    {field_module, 2},
  [393] =
    {field_arguments, 2},
    {field_body, 3},
    {field_name, 1},
  [396] =
    {field_arguments, 6},
    {field_name, 5},
    {field_object, 0},
    {field_type_arguments, 4},
  [400] =
    {field_body, 6},
    {field_interfaces, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [405] =
    {field_body, 6},
    {field_name, 2},
    {field_permits, 5},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [410] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 2},
    {field_permits, 5},
    {field_type_parameters, 3},
  [415] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 2},
    {field_permits, 5},
    {field_superclass, 3},
  [420] =
    {field_body, 6},
    {field_interfaces, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [425] =
    {field_body, 6},
    {field_name, 2},
    {field_permits, 5},
    {field_type_parameters, 3},
  [429] =
    {field_arguments, 1},
    {field_constructor, 0},
  [431] =
    {field_body, 7},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [434] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [437] =
    {field_body, 7},
    {field_init, 2},
    {field_update, 5},
  [440] =
    {field_body, 7},
    {field_condition, 4},
    {field_init, 2},
  [443] =
    {field_body, 7},
    {field_init, 2},
    {field_init, 3, .inherited = true},
  [446] =
    {field_body, 7},
    {field_dimensions, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type, 2},
    {field_value, 5},
  [451] =
    {field_body, 7},
    {field_init, 2},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [455] =
    {field_body, 7},
    {field_condition, 3},
    {field_init, 2},
    {field_update, 5},
  [459] =
    {field_modules, 3},
    {field_package, 1},
  [461] =
    {field_provided, 1},
  [462] =
    {field_name, 1},
    {field_type, 0},
  [464] =
    {field_body, 7},
    {field_interfaces, 5},
    {field_name, 2},
    {field_permits, 6},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [470] =
    {field_arguments, 2},
    {field_constructor, 1},
    {field_type_arguments, 0},
  [473] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [477] =
    {field_body, 8},
    {field_init, 2},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [481] =
    {field_body, 8},
    {field_condition, 4},
    {field_init, 2},
    {field_update, 6},
  [485] =
    {field_body, 8},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 6},
  [489] =
    {field_body, 8},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
  [493] =
    {field_body, 8},
    {field_dimensions, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type, 3},
    {field_value, 6},
  [498] =
    {field_body, 8},
    {field_condition, 3},
    {field_init, 2},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [503] =
    {field_modules, 1},
  [504] =
    {field_modules, 3},
    {field_modules, 4, .inherited = true},
    {field_package, 1},
  [507] =
    {field_modules, 0, .inherited = true},
    {field_modules, 1, .inherited = true},
  [509] =
    {field_provider, 1},
  [510] =
    {field_provided, 1},
    {field_provider, 4, .inherited = true},
  [512] =
    {field_provider, 0, .inherited = true},
    {field_provider, 1, .inherited = true},
  [514] =
    {field_name, 2},
    {field_type, 1},
  [516] =
    {field_value, 1},
  [517] =
    {field_dimensions, 4},
    {field_name, 1},
    {field_type, 0},
  [520] =
    {field_name, 1},
    {field_type, 0},
    {field_value, 4, .inherited = true},
  [523] =
    {field_arguments, 3},
    {field_constructor, 2},
    {field_object, 0},
  [526] =
    {field_body, 9},
    {field_condition, 4},
    {field_init, 2},
    {field_update, 6},
    {field_update, 7, .inherited = true},
  [531] =
    {field_body, 9},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 6},
    {field_update, 7, .inherited = true},
  [536] =
    {field_body, 9},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 7},
  [541] =
    {field_dimensions, 5},
    {field_name, 2},
    {field_type, 1},
  [544] =
    {field_name, 2},
    {field_type, 1},
    {field_value, 5, .inherited = true},
  [547] =
    {field_dimensions, 4},
    {field_name, 1},
    {field_type, 0},
    {field_value, 5, .inherited = true},
  [551] =
    {field_arguments, 4},
    {field_constructor, 3},
    {field_object, 0},
    {field_type_arguments, 2},
  [555] =
    {field_body, 10},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 7},
    {field_update, 8, .inherited = true},
  [561] =
    {field_dimensions, 5},
    {field_name, 2},
    {field_type, 1},
    {field_value, 6, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [1] = alias_sym_type_identifier,
  },
  [18] = {
    [1] = alias_sym_type_identifier,
  },
  [19] = {
    [1] = alias_sym_type_identifier,
  },
  [30] = {
    [0] = alias_sym_type_identifier,
    [2] = alias_sym_type_identifier,
  },
  [42] = {
    [2] = alias_sym_type_identifier,
  },
  [49] = {
    [1] = alias_sym_type_identifier,
  },
  [50] = {
    [1] = alias_sym_type_identifier,
  },
  [52] = {
    [2] = alias_sym_type_identifier,
  },
  [55] = {
    [2] = alias_sym_type_identifier,
  },
  [56] = {
    [2] = alias_sym_type_identifier,
  },
  [66] = {
    [0] = alias_sym_type_identifier,
    [3] = alias_sym_type_identifier,
  },
  [77] = {
    [3] = alias_sym_type_identifier,
  },
  [80] = {
    [3] = alias_sym_type_identifier,
  },
  [83] = {
    [2] = alias_sym_type_identifier,
  },
  [84] = {
    [2] = alias_sym_type_identifier,
  },
  [86] = {
    [3] = alias_sym_type_identifier,
  },
  [116] = {
    [4] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 9,
  [14] = 8,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 15,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 16,
  [47] = 47,
  [48] = 21,
  [49] = 22,
  [50] = 47,
  [51] = 18,
  [52] = 19,
  [53] = 20,
  [54] = 23,
  [55] = 25,
  [56] = 26,
  [57] = 27,
  [58] = 28,
  [59] = 29,
  [60] = 30,
  [61] = 31,
  [62] = 32,
  [63] = 33,
  [64] = 34,
  [65] = 35,
  [66] = 36,
  [67] = 37,
  [68] = 38,
  [69] = 15,
  [70] = 40,
  [71] = 41,
  [72] = 42,
  [73] = 43,
  [74] = 44,
  [75] = 45,
  [76] = 16,
  [77] = 21,
  [78] = 22,
  [79] = 47,
  [80] = 18,
  [81] = 19,
  [82] = 20,
  [83] = 23,
  [84] = 24,
  [85] = 25,
  [86] = 26,
  [87] = 27,
  [88] = 28,
  [89] = 29,
  [90] = 30,
  [91] = 31,
  [92] = 32,
  [93] = 33,
  [94] = 34,
  [95] = 35,
  [96] = 36,
  [97] = 37,
  [98] = 38,
  [99] = 40,
  [100] = 41,
  [101] = 42,
  [102] = 43,
  [103] = 44,
  [104] = 45,
  [105] = 24,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 115,
  [118] = 118,
  [119] = 118,
  [120] = 118,
  [121] = 121,
  [122] = 121,
  [123] = 123,
  [124] = 124,
  [125] = 123,
  [126] = 123,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 130,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 134,
  [142] = 142,
  [143] = 143,
  [144] = 143,
  [145] = 145,
  [146] = 146,
  [147] = 146,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 155,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 157,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 149,
  [167] = 167,
  [168] = 164,
  [169] = 169,
  [170] = 146,
  [171] = 148,
  [172] = 150,
  [173] = 152,
  [174] = 153,
  [175] = 154,
  [176] = 164,
  [177] = 169,
  [178] = 148,
  [179] = 150,
  [180] = 152,
  [181] = 153,
  [182] = 154,
  [183] = 160,
  [184] = 161,
  [185] = 165,
  [186] = 149,
  [187] = 160,
  [188] = 161,
  [189] = 165,
  [190] = 169,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 205,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 203,
  [216] = 191,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 213,
  [222] = 222,
  [223] = 223,
  [224] = 192,
  [225] = 193,
  [226] = 226,
  [227] = 201,
  [228] = 194,
  [229] = 195,
  [230] = 196,
  [231] = 197,
  [232] = 198,
  [233] = 199,
  [234] = 222,
  [235] = 223,
  [236] = 202,
  [237] = 200,
  [238] = 204,
  [239] = 239,
  [240] = 240,
  [241] = 207,
  [242] = 201,
  [243] = 209,
  [244] = 212,
  [245] = 219,
  [246] = 207,
  [247] = 247,
  [248] = 248,
  [249] = 114,
  [250] = 109,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 389,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 400,
  [402] = 400,
  [403] = 403,
  [404] = 403,
  [405] = 136,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 412,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 415,
  [418] = 418,
  [419] = 419,
  [420] = 419,
  [421] = 419,
  [422] = 415,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 411,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 438,
  [441] = 441,
  [442] = 442,
  [443] = 427,
  [444] = 444,
  [445] = 438,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 439,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 347,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 382,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 428,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 429,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 459,
  [503] = 458,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 460,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 437,
  [559] = 436,
  [560] = 483,
  [561] = 432,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 431,
  [581] = 498,
  [582] = 430,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 484,
  [624] = 624,
  [625] = 509,
  [626] = 626,
  [627] = 505,
  [628] = 468,
  [629] = 613,
  [630] = 626,
  [631] = 631,
  [632] = 631,
  [633] = 614,
  [634] = 610,
  [635] = 618,
  [636] = 636,
  [637] = 457,
  [638] = 619,
  [639] = 639,
  [640] = 621,
  [641] = 611,
  [642] = 456,
  [643] = 620,
  [644] = 617,
  [645] = 645,
  [646] = 622,
  [647] = 612,
  [648] = 615,
  [649] = 616,
  [650] = 650,
  [651] = 651,
  [652] = 650,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 549,
  [664] = 650,
  [665] = 510,
  [666] = 540,
  [667] = 121,
  [668] = 654,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 659,
  [673] = 661,
  [674] = 669,
  [675] = 670,
  [676] = 671,
  [677] = 655,
  [678] = 657,
  [679] = 660,
  [680] = 659,
  [681] = 661,
  [682] = 669,
  [683] = 670,
  [684] = 671,
  [685] = 655,
  [686] = 657,
  [687] = 660,
  [688] = 571,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 574,
  [693] = 452,
  [694] = 694,
  [695] = 461,
  [696] = 467,
  [697] = 470,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 466,
  [703] = 463,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 451,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 690,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 721,
  [727] = 727,
  [728] = 711,
  [729] = 727,
  [730] = 473,
  [731] = 474,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 453,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 732,
  [740] = 724,
  [741] = 732,
  [742] = 742,
  [743] = 724,
  [744] = 736,
  [745] = 738,
  [746] = 742,
  [747] = 727,
  [748] = 736,
  [749] = 738,
  [750] = 742,
  [751] = 712,
  [752] = 475,
  [753] = 476,
  [754] = 484,
  [755] = 755,
  [756] = 756,
  [757] = 469,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 468,
  [766] = 136,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 764,
  [771] = 764,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 781,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 785,
  [789] = 789,
  [790] = 787,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 540,
  [796] = 510,
  [797] = 797,
  [798] = 794,
  [799] = 799,
  [800] = 549,
  [801] = 801,
  [802] = 802,
  [803] = 571,
  [804] = 794,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 807,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 461,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 433,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 469,
  [833] = 829,
  [834] = 435,
  [835] = 835,
  [836] = 829,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 839,
  [841] = 841,
  [842] = 838,
  [843] = 843,
  [844] = 843,
  [845] = 845,
  [846] = 841,
  [847] = 442,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 447,
  [859] = 859,
  [860] = 855,
  [861] = 850,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 446,
  [867] = 448,
  [868] = 450,
  [869] = 449,
  [870] = 863,
  [871] = 447,
  [872] = 862,
  [873] = 873,
  [874] = 873,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 875,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 480,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 909,
  [912] = 909,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 792,
  [950] = 942,
  [951] = 944,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 948,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 947,
  [962] = 945,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 963,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 946,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 981,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1008,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 968,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1015,
  [1057] = 1057,
  [1058] = 1031,
  [1059] = 1008,
  [1060] = 1060,
  [1061] = 1031,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1088,
  [1099] = 1095,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1030,
  [1103] = 1094,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1101,
  [1115] = 1094,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1063,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1105,
  [1137] = 1137,
  [1138] = 1101,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1076,
  [1143] = 1084,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1110,
  [1147] = 1083,
  [1148] = 1086,
  [1149] = 1113,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1105,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1140,
  [1156] = 1076,
  [1157] = 1084,
  [1158] = 1158,
  [1159] = 1110,
  [1160] = 1083,
  [1161] = 1086,
  [1162] = 1113,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1063,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1131,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1140,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1216,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1231,
  [1261] = 1216,
  [1262] = 389,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1231,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1228,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1300,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1317,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1304,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1325,
  [1337] = 1337,
  [1338] = 1304,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1300,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1327,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1307,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1314,
  [1361] = 1361,
  [1362] = 1298,
  [1363] = 1353,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1298,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f},
  {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a},
  {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd},
  {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33},
  {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde},
  {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56},
  {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30},
  {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0},
  {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731},
  {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8},
  {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16},
  {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23},
  {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6},
  {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c},
  {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128},
  {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3},
  {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae},
  {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029},
  {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e},
  {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b},
  {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3},
  {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7},
  {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4},
  {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf},
  {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4},
  {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2},
  {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d},
  {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d},
  {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375},
  {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527},
  {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9},
  {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805},
  {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2},
  {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17},
  {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075},
  {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2},
  {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288},
  {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330},
  {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461},
  {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa},
  {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913},
  {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3},
  {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08},
  {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65},
  {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0},
  {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38},
  {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08},
  {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167},
  {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f},
  {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a},
  {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5},
  {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788},
  {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27},
  {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b},
  {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f},
  {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89},
  {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1},
  {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xa2, 0xa2}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(69);
      ADVANCE_MAP(
        '!', 182,
        '"', 102,
        '%', 171,
        '&', 131,
        '\'', 23,
        '(', 127,
        ')', 128,
        '*', 162,
        '+', 158,
        ',', 179,
        '-', 159,
        '.', 190,
        '/', 164,
        '0', 71,
        ':', 181,
        ';', 194,
        '<', 149,
        '=', 133,
        '>', 146,
        '?', 180,
        '@', 196,
        '[', 186,
        '\\', 44,
        ']', 187,
        '^', 169,
        'n', 202,
        '{', 193,
        '|', 166,
        '}', 119,
        '~', 183,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(73);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(203);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 182,
        '"', 102,
        '%', 171,
        '&', 131,
        '\'', 23,
        '(', 127,
        ')', 128,
        '*', 162,
        '+', 158,
        ',', 179,
        '-', 159,
        '.', 190,
        '/', 164,
        '0', 71,
        ':', 181,
        ';', 194,
        '<', 149,
        '=', 133,
        '>', 146,
        '?', 180,
        '@', 195,
        '[', 186,
        ']', 187,
        '^', 169,
        '{', 193,
        '|', 166,
        '}', 119,
        '~', 183,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(73);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(203);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 182,
        '"', 102,
        '%', 171,
        '&', 131,
        '\'', 23,
        '(', 127,
        ')', 128,
        '*', 162,
        '+', 158,
        ',', 179,
        '-', 159,
        '.', 191,
        '/', 164,
        '0', 71,
        ':', 20,
        ';', 194,
        '<', 149,
        '=', 133,
        '>', 146,
        '?', 180,
        '@', 195,
        '[', 186,
        '^', 169,
        'n', 202,
        '|', 166,
        '}', 119,
        '~', 183,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(73);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(203);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 21,
        '%', 170,
        '&', 130,
        '(', 127,
        ')', 128,
        '*', 161,
        '+', 157,
        ',', 179,
        '-', 160,
        '.', 188,
        '/', 163,
        ':', 181,
        ';', 194,
        '<', 150,
        '=', 133,
        '>', 147,
        '?', 180,
        '@', 195,
        '[', 186,
        ']', 187,
        '^', 168,
        'n', 202,
        '|', 167,
        '}', 119,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(203);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 21,
        '%', 170,
        '&', 130,
        '(', 127,
        ')', 128,
        '*', 161,
        '+', 157,
        ',', 179,
        '-', 160,
        '.', 188,
        '/', 163,
        ':', 181,
        ';', 194,
        '<', 150,
        '=', 22,
        '>', 147,
        '?', 180,
        '@', 195,
        '[', 186,
        ']', 187,
        '^', 168,
        '{', 193,
        '|', 167,
        '}', 119,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(203);
      END_STATE();
    case 5:
      if (lookahead == '"') ADVANCE(103);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(116);
      if (lookahead == '/') ADVANCE(111);
      if (lookahead == '\\') ADVANCE(44);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(114);
      if (lookahead != 0) ADVANCE(115);
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(117);
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(101);
      if (lookahead == '/') ADVANCE(105);
      if (lookahead == '\\') ADVANCE(45);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(108);
      if (lookahead != 0) ADVANCE(109);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '&', 129,
        '(', 127,
        ')', 128,
        ',', 179,
        '.', 189,
        '/', 11,
        ':', 181,
        ';', 194,
        '<', 148,
        '=', 132,
        '>', 145,
        '?', 180,
        '@', 195,
        '[', 186,
        '{', 193,
        '|', 165,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(203);
      END_STATE();
    case 10:
      if (lookahead == '\'') ADVANCE(100);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(10);
      END_STATE();
    case 11:
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(204);
      END_STATE();
    case 12:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead == '/') ADVANCE(205);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 13:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(89);
      if (lookahead == '_') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(14);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(199);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 17:
      if (lookahead == '/') ADVANCE(11);
      if (lookahead == '<') ADVANCE(148);
      if (lookahead == '@') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(203);
      END_STATE();
    case 18:
      if (lookahead == '0') ADVANCE(99);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(19);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(97);
      END_STATE();
    case 19:
      if (lookahead == '0') ADVANCE(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(97);
      END_STATE();
    case 20:
      if (lookahead == ':') ADVANCE(192);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(154);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(153);
      END_STATE();
    case 23:
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'') ADVANCE(10);
      END_STATE();
    case 24:
      if (lookahead == '_') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      END_STATE();
    case 25:
      if (lookahead == '_') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(72);
      END_STATE();
    case 26:
      if (lookahead == '_') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(78);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 27:
      if (lookahead == '_') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 28:
      if (lookahead == '_') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(39);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(31);
      END_STATE();
    case 31:
      if (lookahead == 'c') ADVANCE(36);
      END_STATE();
    case 32:
      if (lookahead == 'd') ADVANCE(197);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(29);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(198);
      END_STATE();
    case 37:
      if (lookahead == 'f') ADVANCE(30);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 39:
      if (lookahead == 'l') ADVANCE(35);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 41:
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 42:
      if (lookahead == 's') ADVANCE(34);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(33);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(121);
      if (lookahead == 'x') ADVANCE(123);
      if (lookahead == '{') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(122);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          ('r' <= lookahead && lookahead <= 't')) ADVANCE(124);
      if (lookahead != 0) ADVANCE(120);
      END_STATE();
    case 45:
      if (lookahead == 'u') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(64);
      if (lookahead == '{') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(126);
      if (lookahead != 0) ADVANCE(124);
      END_STATE();
    case 46:
      if (lookahead == '{') ADVANCE(118);
      END_STATE();
    case 47:
      if (lookahead == '{') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 48:
      if (lookahead == '}') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 49:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 50:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(85);
      END_STATE();
    case 51:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(82);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(83);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(87);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(14);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(72);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(78);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(64);
      END_STATE();
    case 66:
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 67:
      if (eof) ADVANCE(69);
      ADVANCE_MAP(
        '!', 182,
        '"', 102,
        '%', 171,
        '&', 131,
        '\'', 23,
        '(', 127,
        ')', 128,
        '*', 162,
        '+', 158,
        ',', 179,
        '-', 159,
        '.', 190,
        '/', 164,
        '0', 71,
        ':', 181,
        ';', 194,
        '<', 149,
        '=', 133,
        '>', 146,
        '?', 180,
        '@', 196,
        '[', 186,
        '\\', 46,
        ']', 187,
        '^', 169,
        'n', 202,
        '{', 193,
        '|', 166,
        '}', 119,
        '~', 183,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(73);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(203);
      END_STATE();
    case 68:
      if (eof) ADVANCE(69);
      ADVANCE_MAP(
        '!', 182,
        '"', 102,
        '%', 170,
        '&', 130,
        '\'', 23,
        '(', 127,
        ')', 128,
        '*', 161,
        '+', 157,
        ',', 179,
        '-', 160,
        '.', 191,
        '/', 163,
        '0', 71,
        ':', 181,
        ';', 194,
        '<', 150,
        '=', 22,
        '>', 147,
        '?', 180,
        '@', 196,
        '[', 186,
        ']', 187,
        '^', 168,
        'n', 202,
        '{', 193,
        '|', 167,
        '}', 119,
        '~', 183,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(73);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(203);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 89,
        '_', 54,
        'B', 50,
        'b', 50,
        'E', 49,
        'e', 49,
        'L', 70,
        'l', 70,
        'O', 52,
        'o', 52,
        'P', 49,
        'p', 49,
        'X', 16,
        'x', 16,
        '8', 14,
        '9', 14,
        'D', 86,
        'F', 86,
        'd', 86,
        'f', 86,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(82);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 89,
        '_', 25,
        'E', 49,
        'e', 49,
        'L', 70,
        'l', 70,
        'P', 49,
        'p', 49,
        'D', 86,
        'F', 86,
        'd', 86,
        'f', 86,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(72);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 89,
        '_', 56,
        'E', 49,
        'e', 49,
        'L', 70,
        'l', 70,
        'P', 49,
        'p', 49,
        'D', 86,
        'F', 86,
        'd', 86,
        'f', 86,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(72);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '_', 24,
        'E', 49,
        'e', 49,
        'L', 70,
        'l', 70,
        'P', 49,
        'p', 49,
        'D', 86,
        'F', 86,
        'd', 86,
        'f', 86,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      ADVANCE_MAP(
        '.', 98,
        '0', 79,
        '_', 61,
        '+', 19,
        '-', 19,
        'E', 76,
        'e', 76,
        'L', 75,
        'l', 75,
        'P', 18,
        'p', 18,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      ADVANCE_MAP(
        '.', 98,
        '_', 57,
        'E', 76,
        'e', 76,
        'L', 75,
        'l', 75,
        'P', 18,
        'p', 18,
        'D', 80,
        'F', 80,
        'd', 80,
        'f', 80,
      );
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(78);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      ADVANCE_MAP(
        '.', 98,
        '_', 26,
        'E', 76,
        'e', 76,
        'L', 75,
        'l', 75,
        'P', 18,
        'p', 18,
        'D', 80,
        'F', 80,
        'd', 80,
        'f', 80,
      );
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(78);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      ADVANCE_MAP(
        '.', 98,
        '_', 61,
        'E', 76,
        'e', 76,
        'L', 75,
        'l', 75,
        'P', 18,
        'p', 18,
        'D', 80,
        'F', 80,
        'd', 80,
        'f', 80,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(80);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      ADVANCE_MAP(
        '.', 98,
        '_', 61,
        'E', 76,
        'e', 76,
        'L', 75,
        'l', 75,
        'P', 18,
        'p', 18,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      if (lookahead == '.') ADVANCE(89);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(82);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(83);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_binary_integer_literal);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_binary_integer_literal);
      if (lookahead == '_') ADVANCE(50);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(84);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(85);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(87);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(87);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      ADVANCE_MAP(
        '0', 92,
        '_', 62,
        '+', 19,
        '-', 19,
        'E', 91,
        'e', 91,
        'P', 18,
        'p', 18,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(94);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      ADVANCE_MAP(
        '_', 62,
        'E', 91,
        'e', 91,
        'P', 18,
        'p', 18,
        'D', 93,
        'F', 93,
        'd', 93,
        'f', 93,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(93);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(91);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(18);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      ADVANCE_MAP(
        '_', 59,
        'E', 91,
        'e', 91,
        'P', 18,
        'p', 18,
        'D', 93,
        'F', 93,
        'd', 93,
        'f', 93,
      );
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      ADVANCE_MAP(
        '_', 28,
        'E', 91,
        'e', 91,
        'P', 18,
        'p', 18,
        'D', 93,
        'F', 93,
        'd', 93,
        'f', 93,
      );
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(27);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(58);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(91);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(18);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(90);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_character_literal);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(5);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '\n') ADVANCE(109);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(107);
      if (lookahead == '/') ADVANCE(104);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(109);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(106);
      if (lookahead == '/') ADVANCE(109);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(107);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(106);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '/') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(109);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '\n') ADVANCE(115);
      if (lookahead == '"' ||
          lookahead == '\\') ADVANCE(204);
      if (lookahead != 0) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '*') ADVANCE(113);
      if (lookahead == '/') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(115);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '*') ADVANCE(112);
      if (lookahead == '/') ADVANCE(115);
      if (lookahead == '"' ||
          lookahead == '\\') ADVANCE(13);
      if (lookahead != 0) ADVANCE(113);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '*') ADVANCE(112);
      if (lookahead == '"' ||
          lookahead == '\\') ADVANCE(13);
      if (lookahead != 0) ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '/') ADVANCE(111);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(114);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token2);
      if (lookahead == '"') ADVANCE(5);
      if (lookahead == '\\') ADVANCE(7);
      if (lookahead != 0) ADVANCE(117);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token2);
      if (lookahead == '\\') ADVANCE(7);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_BSLASH_LBRACE);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (lookahead == '{') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(124);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(155);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(155);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(153);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(151);
      if (lookahead == '>') ADVANCE(174);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(151);
      if (lookahead == '>') ADVANCE(175);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(173);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(172);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(184);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(184);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(185);
      if (lookahead == '=') ADVANCE(135);
      if (lookahead == '>') ADVANCE(178);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(185);
      if (lookahead == '>') ADVANCE(178);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(204);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(204);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '|') ADVANCE(156);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(156);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(143);
      if (lookahead == '>') ADVANCE(177);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(176);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(192);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(154);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(15);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(87);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(87);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_non_DASHsealed);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_ATinterface);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(42);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(203);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(200);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(203);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(201);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(203);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(203);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(204);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_block_comment);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'c', 4,
        'd', 5,
        'e', 6,
        'f', 7,
        'i', 8,
        'l', 9,
        'm', 10,
        'n', 11,
        'o', 12,
        'p', 13,
        'r', 14,
        's', 15,
        't', 16,
        'u', 17,
        'v', 18,
        'w', 19,
        'y', 20,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_underscore_pattern);
      END_STATE();
    case 2:
      if (lookahead == 'b') ADVANCE(21);
      if (lookahead == 's') ADVANCE(22);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'r') ADVANCE(24);
      if (lookahead == 'y') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(26);
      if (lookahead == 'h') ADVANCE(27);
      if (lookahead == 'l') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 'x') ADVANCE(34);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'l') ADVANCE(37);
      if (lookahead == 'o') ADVANCE(38);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(39);
      if (lookahead == 'm') ADVANCE(40);
      if (lookahead == 'n') ADVANCE(41);
      END_STATE();
    case 9:
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(43);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(44);
      if (lookahead == 'e') ADVANCE(45);
      if (lookahead == 'u') ADVANCE(46);
      END_STATE();
    case 12:
      if (lookahead == 'p') ADVANCE(47);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'e') ADVANCE(49);
      if (lookahead == 'r') ADVANCE(50);
      if (lookahead == 'u') ADVANCE(51);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(53);
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 't') ADVANCE(55);
      if (lookahead == 'u') ADVANCE(56);
      if (lookahead == 'w') ADVANCE(57);
      if (lookahead == 'y') ADVANCE(58);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(59);
      if (lookahead == 'o') ADVANCE(60);
      if (lookahead == 'r') ADVANCE(61);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 18:
      if (lookahead == 'o') ADVANCE(63);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(64);
      if (lookahead == 'i') ADVANCE(65);
      END_STATE();
    case 20:
      if (lookahead == 'i') ADVANCE(66);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(68);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 26:
      if (lookahead == 's') ADVANCE(72);
      if (lookahead == 't') ADVANCE(73);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(74);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(75);
      END_STATE();
    case 29:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(77);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(78);
      END_STATE();
    case 32:
      if (lookahead == 's') ADVANCE(79);
      END_STATE();
    case 33:
      if (lookahead == 'u') ADVANCE(80);
      END_STATE();
    case 34:
      if (lookahead == 'p') ADVANCE(81);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(84);
      END_STATE();
    case 37:
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 38:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(87);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(88);
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(90);
      END_STATE();
    case 43:
      if (lookahead == 'd') ADVANCE(91);
      END_STATE();
    case 44:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 45:
      if (lookahead == 'w') ADVANCE(93);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(94);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 48:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 49:
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(98);
      if (lookahead == 'o') ADVANCE(99);
      END_STATE();
    case 51:
      if (lookahead == 'b') ADVANCE(100);
      END_STATE();
    case 52:
      if (lookahead == 'c') ADVANCE(101);
      if (lookahead == 'q') ADVANCE(102);
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 54:
      if (lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(106);
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 56:
      if (lookahead == 'p') ADVANCE(108);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(109);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 59:
      if (lookahead == 'i') ADVANCE(111);
      if (lookahead == 'r') ADVANCE(112);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(113);
      if (lookahead == 'u') ADVANCE(114);
      if (lookahead == 'y') ADVANCE(115);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(117);
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(119);
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 69:
      if (lookahead == 'l') ADVANCE(125);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(126);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 73:
      if (lookahead == 'c') ADVANCE(129);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 75:
      if (lookahead == 's') ADVANCE(131);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 77:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 78:
      if (lookahead == 'b') ADVANCE(134);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 80:
      if (lookahead == 'm') ADVANCE(136);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(137);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 83:
      if (lookahead == 's') ADVANCE(139);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(140);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(141);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(142);
      if (lookahead == 'o') ADVANCE(143);
      END_STATE();
    case 88:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 90:
      if (lookahead == 'g') ADVANCE(146);
      END_STATE();
    case 91:
      if (lookahead == 'u') ADVANCE(147);
      END_STATE();
    case 92:
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(149);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(150);
      END_STATE();
    case 96:
      if (lookahead == 'k') ADVANCE(151);
      END_STATE();
    case 97:
      if (lookahead == 'm') ADVANCE(152);
      END_STATE();
    case 98:
      if (lookahead == 'v') ADVANCE(153);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(154);
      if (lookahead == 'v') ADVANCE(155);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(156);
      END_STATE();
    case 101:
      if (lookahead == 'o') ADVANCE(157);
      END_STATE();
    case 102:
      if (lookahead == 'u') ADVANCE(158);
      END_STATE();
    case 103:
      if (lookahead == 'u') ADVANCE(159);
      END_STATE();
    case 104:
      if (lookahead == 'l') ADVANCE(160);
      END_STATE();
    case 105:
      if (lookahead == 'r') ADVANCE(161);
      END_STATE();
    case 106:
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 107:
      if (lookahead == 'i') ADVANCE(163);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(165);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(166);
      END_STATE();
    case 111:
      if (lookahead == 's') ADVANCE(167);
      END_STATE();
    case 112:
      if (lookahead == 'o') ADVANCE(168);
      END_STATE();
    case 113:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(170);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 116:
      if (lookahead == 's') ADVANCE(171);
      END_STATE();
    case 117:
      if (lookahead == 'd') ADVANCE(172);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 119:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 120:
      if (lookahead == 'l') ADVANCE(175);
      END_STATE();
    case 121:
      if (lookahead == 'h') ADVANCE(176);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(178);
      END_STATE();
    case 124:
      if (lookahead == 'r') ADVANCE(179);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 126:
      if (lookahead == 'k') ADVANCE(181);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_byte);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 129:
      if (lookahead == 'h') ADVANCE(182);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_char);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'i') ADVANCE(184);
      END_STATE();
    case 133:
      if (lookahead == 'u') ADVANCE(185);
      END_STATE();
    case 134:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 137:
      if (lookahead == 'r') ADVANCE(187);
      END_STATE();
    case 138:
      if (lookahead == 'n') ADVANCE(188);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(189);
      END_STATE();
    case 140:
      if (lookahead == 'l') ADVANCE(190);
      END_STATE();
    case 141:
      if (lookahead == 't') ADVANCE(191);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 143:
      if (lookahead == 'r') ADVANCE(193);
      END_STATE();
    case 144:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 145:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(196);
      END_STATE();
    case 148:
      if (lookahead == 'v') ADVANCE(197);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == 's') ADVANCE(198);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(199);
      END_STATE();
    case 152:
      if (lookahead == 'i') ADVANCE(200);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(201);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 155:
      if (lookahead == 'i') ADVANCE(203);
      END_STATE();
    case 156:
      if (lookahead == 'i') ADVANCE(204);
      END_STATE();
    case 157:
      if (lookahead == 'r') ADVANCE(205);
      END_STATE();
    case 158:
      if (lookahead == 'i') ADVANCE(206);
      END_STATE();
    case 159:
      if (lookahead == 'r') ADVANCE(207);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(210);
      END_STATE();
    case 163:
      if (lookahead == 'c') ADVANCE(211);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(212);
      END_STATE();
    case 165:
      if (lookahead == 'c') ADVANCE(213);
      END_STATE();
    case 166:
      if (lookahead == 'h') ADVANCE(214);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 168:
      if (lookahead == 'w') ADVANCE(215);
      END_STATE();
    case 169:
      if (lookahead == 's') ADVANCE(216);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_uses);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_void_type);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(217);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 175:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 177:
      if (lookahead == 'd') ADVANCE(219);
      END_STATE();
    case 178:
      if (lookahead == 'a') ADVANCE(220);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 180:
      if (lookahead == 'a') ADVANCE(222);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 184:
      if (lookahead == 'n') ADVANCE(223);
      END_STATE();
    case 185:
      if (lookahead == 'l') ADVANCE(224);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 187:
      if (lookahead == 't') ADVANCE(226);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(227);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 192:
      if (lookahead == 'm') ADVANCE(229);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(230);
      END_STATE();
    case 194:
      if (lookahead == 'n') ADVANCE(231);
      END_STATE();
    case 195:
      if (lookahead == 'f') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(233);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(234);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_opens);
      END_STATE();
    case 199:
      if (lookahead == 'g') ADVANCE(235);
      END_STATE();
    case 200:
      if (lookahead == 't') ADVANCE(236);
      END_STATE();
    case 201:
      if (lookahead == 't') ADVANCE(237);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(238);
      END_STATE();
    case 203:
      if (lookahead == 'd') ADVANCE(239);
      END_STATE();
    case 204:
      if (lookahead == 'c') ADVANCE(240);
      END_STATE();
    case 205:
      if (lookahead == 'd') ADVANCE(241);
      END_STATE();
    case 206:
      if (lookahead == 'r') ADVANCE(242);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(243);
      END_STATE();
    case 208:
      if (lookahead == 'd') ADVANCE(244);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 210:
      if (lookahead == 'c') ADVANCE(245);
      END_STATE();
    case 211:
      if (lookahead == 't') ADVANCE(246);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 213:
      if (lookahead == 'h') ADVANCE(247);
      END_STATE();
    case 214:
      if (lookahead == 'r') ADVANCE(248);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_throw);
      if (lookahead == 's') ADVANCE(249);
      END_STATE();
    case 216:
      if (lookahead == 'i') ADVANCE(250);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(251);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 220:
      if (lookahead == 'c') ADVANCE(252);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 222:
      if (lookahead == 'n') ADVANCE(253);
      END_STATE();
    case 223:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 224:
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_double);
      END_STATE();
    case 226:
      if (lookahead == 's') ADVANCE(256);
      END_STATE();
    case 227:
      if (lookahead == 's') ADVANCE(257);
      END_STATE();
    case 228:
      if (lookahead == 'y') ADVANCE(258);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(259);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 231:
      if (lookahead == 'c') ADVANCE(260);
      END_STATE();
    case 232:
      if (lookahead == 'a') ADVANCE(261);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_native);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 236:
      if (lookahead == 's') ADVANCE(263);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(264);
      END_STATE();
    case 238:
      if (lookahead == 't') ADVANCE(265);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_record);
      END_STATE();
    case 242:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 246:
      if (lookahead == 'f') ADVANCE(268);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 248:
      if (lookahead == 'o') ADVANCE(269);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_throws);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(270);
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 251:
      if (lookahead == 'l') ADVANCE(272);
      END_STATE();
    case 252:
      if (lookahead == 't') ADVANCE(273);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_boolean_type);
      END_STATE();
    case 254:
      if (lookahead == 'e') ADVANCE(274);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_exports);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 259:
      if (lookahead == 'n') ADVANCE(275);
      END_STATE();
    case 260:
      if (lookahead == 'e') ADVANCE(276);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(277);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_permits);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(278);
      END_STATE();
    case 266:
      if (lookahead == 's') ADVANCE(279);
      END_STATE();
    case 267:
      if (lookahead == 's') ADVANCE(280);
      END_STATE();
    case 268:
      if (lookahead == 'p') ADVANCE(281);
      END_STATE();
    case 269:
      if (lookahead == 'n') ADVANCE(282);
      END_STATE();
    case 270:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 271:
      if (lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 272:
      if (lookahead == 'e') ADVANCE(285);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 275:
      if (lookahead == 't') ADVANCE(286);
      END_STATE();
    case 276:
      if (lookahead == 'o') ADVANCE(287);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(288);
      END_STATE();
    case 278:
      if (lookahead == 'd') ADVANCE(289);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_provides);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_strictfp);
      END_STATE();
    case 282:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 283:
      if (lookahead == 't') ADVANCE(291);
      END_STATE();
    case 284:
      if (lookahead == 'v') ADVANCE(292);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 286:
      if (lookahead == 's') ADVANCE(293);
      END_STATE();
    case 287:
      if (lookahead == 'f') ADVANCE(294);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 290:
      if (lookahead == 'z') ADVANCE(295);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_transient);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(296);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_transitive);
      END_STATE();
    case 297:
      if (lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_synchronized);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 0},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 0},
  [4] = {.lex_state = 0},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 0},
  [7] = {.lex_state = 0},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 0},
  [10] = {.lex_state = 0},
  [11] = {.lex_state = 0},
  [12] = {.lex_state = 0},
  [13] = {.lex_state = 0},
  [14] = {.lex_state = 0},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 0},
  [17] = {.lex_state = 0},
  [18] = {.lex_state = 0},
  [19] = {.lex_state = 0},
  [20] = {.lex_state = 0},
  [21] = {.lex_state = 0},
  [22] = {.lex_state = 0},
  [23] = {.lex_state = 0},
  [24] = {.lex_state = 0},
  [25] = {.lex_state = 0},
  [26] = {.lex_state = 0},
  [27] = {.lex_state = 0},
  [28] = {.lex_state = 0},
  [29] = {.lex_state = 0},
  [30] = {.lex_state = 0},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 0},
  [33] = {.lex_state = 0},
  [34] = {.lex_state = 0},
  [35] = {.lex_state = 0},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 0},
  [39] = {.lex_state = 0},
  [40] = {.lex_state = 0},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 0},
  [43] = {.lex_state = 0},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 0},
  [46] = {.lex_state = 0},
  [47] = {.lex_state = 0},
  [48] = {.lex_state = 0},
  [49] = {.lex_state = 0},
  [50] = {.lex_state = 0},
  [51] = {.lex_state = 0},
  [52] = {.lex_state = 0},
  [53] = {.lex_state = 0},
  [54] = {.lex_state = 0},
  [55] = {.lex_state = 0},
  [56] = {.lex_state = 0},
  [57] = {.lex_state = 0},
  [58] = {.lex_state = 0},
  [59] = {.lex_state = 0},
  [60] = {.lex_state = 0},
  [61] = {.lex_state = 0},
  [62] = {.lex_state = 0},
  [63] = {.lex_state = 0},
  [64] = {.lex_state = 0},
  [65] = {.lex_state = 0},
  [66] = {.lex_state = 0},
  [67] = {.lex_state = 0},
  [68] = {.lex_state = 0},
  [69] = {.lex_state = 0},
  [70] = {.lex_state = 0},
  [71] = {.lex_state = 0},
  [72] = {.lex_state = 0},
  [73] = {.lex_state = 0},
  [74] = {.lex_state = 0},
  [75] = {.lex_state = 0},
  [76] = {.lex_state = 0},
  [77] = {.lex_state = 0},
  [78] = {.lex_state = 0},
  [79] = {.lex_state = 0},
  [80] = {.lex_state = 0},
  [81] = {.lex_state = 0},
  [82] = {.lex_state = 0},
  [83] = {.lex_state = 0},
  [84] = {.lex_state = 0},
  [85] = {.lex_state = 0},
  [86] = {.lex_state = 0},
  [87] = {.lex_state = 0},
  [88] = {.lex_state = 0},
  [89] = {.lex_state = 0},
  [90] = {.lex_state = 0},
  [91] = {.lex_state = 0},
  [92] = {.lex_state = 0},
  [93] = {.lex_state = 0},
  [94] = {.lex_state = 0},
  [95] = {.lex_state = 0},
  [96] = {.lex_state = 0},
  [97] = {.lex_state = 0},
  [98] = {.lex_state = 0},
  [99] = {.lex_state = 0},
  [100] = {.lex_state = 0},
  [101] = {.lex_state = 0},
  [102] = {.lex_state = 0},
  [103] = {.lex_state = 0},
  [104] = {.lex_state = 0},
  [105] = {.lex_state = 0},
  [106] = {.lex_state = 1},
  [107] = {.lex_state = 68},
  [108] = {.lex_state = 68},
  [109] = {.lex_state = 68},
  [110] = {.lex_state = 68},
  [111] = {.lex_state = 68},
  [112] = {.lex_state = 68},
  [113] = {.lex_state = 68},
  [114] = {.lex_state = 68},
  [115] = {.lex_state = 2},
  [116] = {.lex_state = 2},
  [117] = {.lex_state = 2},
  [118] = {.lex_state = 2},
  [119] = {.lex_state = 2},
  [120] = {.lex_state = 2},
  [121] = {.lex_state = 68},
  [122] = {.lex_state = 68},
  [123] = {.lex_state = 1},
  [124] = {.lex_state = 1},
  [125] = {.lex_state = 1},
  [126] = {.lex_state = 1},
  [127] = {.lex_state = 1},
  [128] = {.lex_state = 1},
  [129] = {.lex_state = 1},
  [130] = {.lex_state = 1},
  [131] = {.lex_state = 1},
  [132] = {.lex_state = 1},
  [133] = {.lex_state = 1},
  [134] = {.lex_state = 1},
  [135] = {.lex_state = 1},
  [136] = {.lex_state = 0},
  [137] = {.lex_state = 1},
  [138] = {.lex_state = 1},
  [139] = {.lex_state = 1},
  [140] = {.lex_state = 1},
  [141] = {.lex_state = 1},
  [142] = {.lex_state = 1},
  [143] = {.lex_state = 1},
  [144] = {.lex_state = 1},
  [145] = {.lex_state = 1},
  [146] = {.lex_state = 1},
  [147] = {.lex_state = 1},
  [148] = {.lex_state = 1},
  [149] = {.lex_state = 1},
  [150] = {.lex_state = 1},
  [151] = {.lex_state = 1},
  [152] = {.lex_state = 1},
  [153] = {.lex_state = 1},
  [154] = {.lex_state = 1},
  [155] = {.lex_state = 1},
  [156] = {.lex_state = 1},
  [157] = {.lex_state = 1},
  [158] = {.lex_state = 0},
  [159] = {.lex_state = 0},
  [160] = {.lex_state = 1},
  [161] = {.lex_state = 1},
  [162] = {.lex_state = 1},
  [163] = {.lex_state = 0},
  [164] = {.lex_state = 1},
  [165] = {.lex_state = 1},
  [166] = {.lex_state = 1},
  [167] = {.lex_state = 1},
  [168] = {.lex_state = 1},
  [169] = {.lex_state = 1},
  [170] = {.lex_state = 1},
  [171] = {.lex_state = 1},
  [172] = {.lex_state = 1},
  [173] = {.lex_state = 1},
  [174] = {.lex_state = 1},
  [175] = {.lex_state = 1},
  [176] = {.lex_state = 1},
  [177] = {.lex_state = 1},
  [178] = {.lex_state = 1},
  [179] = {.lex_state = 1},
  [180] = {.lex_state = 1},
  [181] = {.lex_state = 1},
  [182] = {.lex_state = 1},
  [183] = {.lex_state = 1},
  [184] = {.lex_state = 1},
  [185] = {.lex_state = 1},
  [186] = {.lex_state = 1},
  [187] = {.lex_state = 1},
  [188] = {.lex_state = 1},
  [189] = {.lex_state = 1},
  [190] = {.lex_state = 1},
  [191] = {.lex_state = 1},
  [192] = {.lex_state = 1},
  [193] = {.lex_state = 1},
  [194] = {.lex_state = 1},
  [195] = {.lex_state = 1},
  [196] = {.lex_state = 1},
  [197] = {.lex_state = 1},
  [198] = {.lex_state = 1},
  [199] = {.lex_state = 1},
  [200] = {.lex_state = 1},
  [201] = {.lex_state = 1},
  [202] = {.lex_state = 1},
  [203] = {.lex_state = 1},
  [204] = {.lex_state = 1},
  [205] = {.lex_state = 1},
  [206] = {.lex_state = 1},
  [207] = {.lex_state = 1},
  [208] = {.lex_state = 1},
  [209] = {.lex_state = 1},
  [210] = {.lex_state = 1},
  [211] = {.lex_state = 1},
  [212] = {.lex_state = 1},
  [213] = {.lex_state = 1},
  [214] = {.lex_state = 0},
  [215] = {.lex_state = 1},
  [216] = {.lex_state = 1},
  [217] = {.lex_state = 1},
  [218] = {.lex_state = 1},
  [219] = {.lex_state = 1},
  [220] = {.lex_state = 1},
  [221] = {.lex_state = 1},
  [222] = {.lex_state = 1},
  [223] = {.lex_state = 1},
  [224] = {.lex_state = 1},
  [225] = {.lex_state = 1},
  [226] = {.lex_state = 1},
  [227] = {.lex_state = 1},
  [228] = {.lex_state = 1},
  [229] = {.lex_state = 1},
  [230] = {.lex_state = 1},
  [231] = {.lex_state = 1},
  [232] = {.lex_state = 1},
  [233] = {.lex_state = 1},
  [234] = {.lex_state = 1},
  [235] = {.lex_state = 1},
  [236] = {.lex_state = 1},
  [237] = {.lex_state = 1},
  [238] = {.lex_state = 1},
  [239] = {.lex_state = 1},
  [240] = {.lex_state = 1},
  [241] = {.lex_state = 1},
  [242] = {.lex_state = 1},
  [243] = {.lex_state = 1},
  [244] = {.lex_state = 1},
  [245] = {.lex_state = 1},
  [246] = {.lex_state = 1},
  [247] = {.lex_state = 1},
  [248] = {.lex_state = 2},
  [249] = {.lex_state = 0},
  [250] = {.lex_state = 0},
  [251] = {.lex_state = 2},
  [252] = {.lex_state = 0},
  [253] = {.lex_state = 2},
  [254] = {.lex_state = 2},
  [255] = {.lex_state = 0},
  [256] = {.lex_state = 0},
  [257] = {.lex_state = 0},
  [258] = {.lex_state = 0},
  [259] = {.lex_state = 0},
  [260] = {.lex_state = 0},
  [261] = {.lex_state = 0},
  [262] = {.lex_state = 0},
  [263] = {.lex_state = 0},
  [264] = {.lex_state = 0},
  [265] = {.lex_state = 0},
  [266] = {.lex_state = 0},
  [267] = {.lex_state = 0},
  [268] = {.lex_state = 0},
  [269] = {.lex_state = 0},
  [270] = {.lex_state = 0},
  [271] = {.lex_state = 0},
  [272] = {.lex_state = 0},
  [273] = {.lex_state = 0},
  [274] = {.lex_state = 0},
  [275] = {.lex_state = 0},
  [276] = {.lex_state = 0},
  [277] = {.lex_state = 0},
  [278] = {.lex_state = 0},
  [279] = {.lex_state = 0},
  [280] = {.lex_state = 0},
  [281] = {.lex_state = 0},
  [282] = {.lex_state = 0},
  [283] = {.lex_state = 0},
  [284] = {.lex_state = 0},
  [285] = {.lex_state = 0},
  [286] = {.lex_state = 0},
  [287] = {.lex_state = 0},
  [288] = {.lex_state = 0},
  [289] = {.lex_state = 0},
  [290] = {.lex_state = 0},
  [291] = {.lex_state = 0},
  [292] = {.lex_state = 0},
  [293] = {.lex_state = 0},
  [294] = {.lex_state = 0},
  [295] = {.lex_state = 0},
  [296] = {.lex_state = 0},
  [297] = {.lex_state = 0},
  [298] = {.lex_state = 0},
  [299] = {.lex_state = 0},
  [300] = {.lex_state = 0},
  [301] = {.lex_state = 0},
  [302] = {.lex_state = 0},
  [303] = {.lex_state = 0},
  [304] = {.lex_state = 0},
  [305] = {.lex_state = 0},
  [306] = {.lex_state = 0},
  [307] = {.lex_state = 0},
  [308] = {.lex_state = 0},
  [309] = {.lex_state = 0},
  [310] = {.lex_state = 0},
  [311] = {.lex_state = 0},
  [312] = {.lex_state = 0},
  [313] = {.lex_state = 0},
  [314] = {.lex_state = 0},
  [315] = {.lex_state = 0},
  [316] = {.lex_state = 0},
  [317] = {.lex_state = 0},
  [318] = {.lex_state = 0},
  [319] = {.lex_state = 0},
  [320] = {.lex_state = 0},
  [321] = {.lex_state = 0},
  [322] = {.lex_state = 0},
  [323] = {.lex_state = 0},
  [324] = {.lex_state = 0},
  [325] = {.lex_state = 0},
  [326] = {.lex_state = 0},
  [327] = {.lex_state = 0},
  [328] = {.lex_state = 0},
  [329] = {.lex_state = 0},
  [330] = {.lex_state = 0},
  [331] = {.lex_state = 0},
  [332] = {.lex_state = 0},
  [333] = {.lex_state = 0},
  [334] = {.lex_state = 0},
  [335] = {.lex_state = 0},
  [336] = {.lex_state = 0},
  [337] = {.lex_state = 0},
  [338] = {.lex_state = 0},
  [339] = {.lex_state = 0},
  [340] = {.lex_state = 0},
  [341] = {.lex_state = 0},
  [342] = {.lex_state = 0},
  [343] = {.lex_state = 0},
  [344] = {.lex_state = 0},
  [345] = {.lex_state = 0},
  [346] = {.lex_state = 0},
  [347] = {.lex_state = 0},
  [348] = {.lex_state = 0},
  [349] = {.lex_state = 0},
  [350] = {.lex_state = 0},
  [351] = {.lex_state = 0},
  [352] = {.lex_state = 0},
  [353] = {.lex_state = 0},
  [354] = {.lex_state = 0},
  [355] = {.lex_state = 0},
  [356] = {.lex_state = 0},
  [357] = {.lex_state = 0},
  [358] = {.lex_state = 0},
  [359] = {.lex_state = 0},
  [360] = {.lex_state = 0},
  [361] = {.lex_state = 0},
  [362] = {.lex_state = 0},
  [363] = {.lex_state = 0},
  [364] = {.lex_state = 0},
  [365] = {.lex_state = 0},
  [366] = {.lex_state = 0},
  [367] = {.lex_state = 0},
  [368] = {.lex_state = 0},
  [369] = {.lex_state = 0},
  [370] = {.lex_state = 0},
  [371] = {.lex_state = 0},
  [372] = {.lex_state = 0},
  [373] = {.lex_state = 0},
  [374] = {.lex_state = 0},
  [375] = {.lex_state = 0},
  [376] = {.lex_state = 0},
  [377] = {.lex_state = 0},
  [378] = {.lex_state = 0},
  [379] = {.lex_state = 0},
  [380] = {.lex_state = 0},
  [381] = {.lex_state = 0},
  [382] = {.lex_state = 0},
  [383] = {.lex_state = 0},
  [384] = {.lex_state = 0},
  [385] = {.lex_state = 0},
  [386] = {.lex_state = 0},
  [387] = {.lex_state = 0},
  [388] = {.lex_state = 0},
  [389] = {.lex_state = 0},
  [390] = {.lex_state = 0},
  [391] = {.lex_state = 0},
  [392] = {.lex_state = 0},
  [393] = {.lex_state = 0},
  [394] = {.lex_state = 0},
  [395] = {.lex_state = 0},
  [396] = {.lex_state = 0},
  [397] = {.lex_state = 0},
  [398] = {.lex_state = 0},
  [399] = {.lex_state = 0},
  [400] = {.lex_state = 0},
  [401] = {.lex_state = 0},
  [402] = {.lex_state = 2},
  [403] = {.lex_state = 1},
  [404] = {.lex_state = 1},
  [405] = {.lex_state = 3},
  [406] = {.lex_state = 0},
  [407] = {.lex_state = 0},
  [408] = {.lex_state = 0},
  [409] = {.lex_state = 0},
  [410] = {.lex_state = 0},
  [411] = {.lex_state = 1},
  [412] = {.lex_state = 1},
  [413] = {.lex_state = 1},
  [414] = {.lex_state = 0},
  [415] = {.lex_state = 1},
  [416] = {.lex_state = 0},
  [417] = {.lex_state = 1},
  [418] = {.lex_state = 0},
  [419] = {.lex_state = 1},
  [420] = {.lex_state = 1},
  [421] = {.lex_state = 1},
  [422] = {.lex_state = 1},
  [423] = {.lex_state = 1},
  [424] = {.lex_state = 0},
  [425] = {.lex_state = 0},
  [426] = {.lex_state = 0},
  [427] = {.lex_state = 1},
  [428] = {.lex_state = 1},
  [429] = {.lex_state = 1},
  [430] = {.lex_state = 4},
  [431] = {.lex_state = 4},
  [432] = {.lex_state = 1},
  [433] = {.lex_state = 4},
  [434] = {.lex_state = 1},
  [435] = {.lex_state = 4},
  [436] = {.lex_state = 1},
  [437] = {.lex_state = 1},
  [438] = {.lex_state = 1},
  [439] = {.lex_state = 1},
  [440] = {.lex_state = 1},
  [441] = {.lex_state = 1},
  [442] = {.lex_state = 4},
  [443] = {.lex_state = 1},
  [444] = {.lex_state = 1},
  [445] = {.lex_state = 1},
  [446] = {.lex_state = 4},
  [447] = {.lex_state = 4},
  [448] = {.lex_state = 4},
  [449] = {.lex_state = 4},
  [450] = {.lex_state = 4},
  [451] = {.lex_state = 4},
  [452] = {.lex_state = 4},
  [453] = {.lex_state = 4},
  [454] = {.lex_state = 1},
  [455] = {.lex_state = 1},
  [456] = {.lex_state = 4},
  [457] = {.lex_state = 4},
  [458] = {.lex_state = 4},
  [459] = {.lex_state = 4},
  [460] = {.lex_state = 4},
  [461] = {.lex_state = 4},
  [462] = {.lex_state = 1},
  [463] = {.lex_state = 4},
  [464] = {.lex_state = 4},
  [465] = {.lex_state = 1},
  [466] = {.lex_state = 4},
  [467] = {.lex_state = 4},
  [468] = {.lex_state = 0},
  [469] = {.lex_state = 4},
  [470] = {.lex_state = 4},
  [471] = {.lex_state = 2},
  [472] = {.lex_state = 1},
  [473] = {.lex_state = 4},
  [474] = {.lex_state = 4},
  [475] = {.lex_state = 4},
  [476] = {.lex_state = 4},
  [477] = {.lex_state = 4},
  [478] = {.lex_state = 2},
  [479] = {.lex_state = 4},
  [480] = {.lex_state = 4},
  [481] = {.lex_state = 2},
  [482] = {.lex_state = 2},
  [483] = {.lex_state = 4},
  [484] = {.lex_state = 0},
  [485] = {.lex_state = 4},
  [486] = {.lex_state = 4},
  [487] = {.lex_state = 4},
  [488] = {.lex_state = 4},
  [489] = {.lex_state = 4},
  [490] = {.lex_state = 4},
  [491] = {.lex_state = 4},
  [492] = {.lex_state = 4},
  [493] = {.lex_state = 4},
  [494] = {.lex_state = 4},
  [495] = {.lex_state = 4},
  [496] = {.lex_state = 4},
  [497] = {.lex_state = 4},
  [498] = {.lex_state = 4},
  [499] = {.lex_state = 4},
  [500] = {.lex_state = 4},
  [501] = {.lex_state = 4},
  [502] = {.lex_state = 9},
  [503] = {.lex_state = 9},
  [504] = {.lex_state = 4},
  [505] = {.lex_state = 0},
  [506] = {.lex_state = 4},
  [507] = {.lex_state = 9},
  [508] = {.lex_state = 4},
  [509] = {.lex_state = 0},
  [510] = {.lex_state = 0},
  [511] = {.lex_state = 4},
  [512] = {.lex_state = 4},
  [513] = {.lex_state = 4},
  [514] = {.lex_state = 4},
  [515] = {.lex_state = 4},
  [516] = {.lex_state = 4},
  [517] = {.lex_state = 4},
  [518] = {.lex_state = 4},
  [519] = {.lex_state = 4},
  [520] = {.lex_state = 4},
  [521] = {.lex_state = 4},
  [522] = {.lex_state = 0},
  [523] = {.lex_state = 0},
  [524] = {.lex_state = 0},
  [525] = {.lex_state = 4},
  [526] = {.lex_state = 4},
  [527] = {.lex_state = 4},
  [528] = {.lex_state = 4},
  [529] = {.lex_state = 4},
  [530] = {.lex_state = 4},
  [531] = {.lex_state = 4},
  [532] = {.lex_state = 4},
  [533] = {.lex_state = 4},
  [534] = {.lex_state = 4},
  [535] = {.lex_state = 0},
  [536] = {.lex_state = 0},
  [537] = {.lex_state = 0},
  [538] = {.lex_state = 0},
  [539] = {.lex_state = 0},
  [540] = {.lex_state = 0},
  [541] = {.lex_state = 4},
  [542] = {.lex_state = 4},
  [543] = {.lex_state = 4},
  [544] = {.lex_state = 4},
  [545] = {.lex_state = 4},
  [546] = {.lex_state = 0},
  [547] = {.lex_state = 0},
  [548] = {.lex_state = 0},
  [549] = {.lex_state = 0},
  [550] = {.lex_state = 4},
  [551] = {.lex_state = 4},
  [552] = {.lex_state = 0},
  [553] = {.lex_state = 4},
  [554] = {.lex_state = 4},
  [555] = {.lex_state = 4},
  [556] = {.lex_state = 4},
  [557] = {.lex_state = 4},
  [558] = {.lex_state = 4},
  [559] = {.lex_state = 4},
  [560] = {.lex_state = 4},
  [561] = {.lex_state = 4},
  [562] = {.lex_state = 4},
  [563] = {.lex_state = 4},
  [564] = {.lex_state = 4},
  [565] = {.lex_state = 4},
  [566] = {.lex_state = 4},
  [567] = {.lex_state = 4},
  [568] = {.lex_state = 4},
  [569] = {.lex_state = 4},
  [570] = {.lex_state = 4},
  [571] = {.lex_state = 0},
  [572] = {.lex_state = 4},
  [573] = {.lex_state = 4},
  [574] = {.lex_state = 0},
  [575] = {.lex_state = 4},
  [576] = {.lex_state = 0},
  [577] = {.lex_state = 0},
  [578] = {.lex_state = 0},
  [579] = {.lex_state = 0},
  [580] = {.lex_state = 9},
  [581] = {.lex_state = 4},
  [582] = {.lex_state = 9},
  [583] = {.lex_state = 1},
  [584] = {.lex_state = 4},
  [585] = {.lex_state = 4},
  [586] = {.lex_state = 4},
  [587] = {.lex_state = 0},
  [588] = {.lex_state = 1},
  [589] = {.lex_state = 4},
  [590] = {.lex_state = 4},
  [591] = {.lex_state = 0},
  [592] = {.lex_state = 0},
  [593] = {.lex_state = 0},
  [594] = {.lex_state = 0},
  [595] = {.lex_state = 0},
  [596] = {.lex_state = 0},
  [597] = {.lex_state = 0},
  [598] = {.lex_state = 4},
  [599] = {.lex_state = 4},
  [600] = {.lex_state = 4},
  [601] = {.lex_state = 4},
  [602] = {.lex_state = 4},
  [603] = {.lex_state = 4},
  [604] = {.lex_state = 4},
  [605] = {.lex_state = 4},
  [606] = {.lex_state = 4},
  [607] = {.lex_state = 4},
  [608] = {.lex_state = 4},
  [609] = {.lex_state = 4},
  [610] = {.lex_state = 4},
  [611] = {.lex_state = 4},
  [612] = {.lex_state = 4},
  [613] = {.lex_state = 4},
  [614] = {.lex_state = 4},
  [615] = {.lex_state = 4},
  [616] = {.lex_state = 4},
  [617] = {.lex_state = 4},
  [618] = {.lex_state = 4},
  [619] = {.lex_state = 4},
  [620] = {.lex_state = 4},
  [621] = {.lex_state = 4},
  [622] = {.lex_state = 4},
  [623] = {.lex_state = 2},
  [624] = {.lex_state = 4},
  [625] = {.lex_state = 2},
  [626] = {.lex_state = 4},
  [627] = {.lex_state = 2},
  [628] = {.lex_state = 2},
  [629] = {.lex_state = 4},
  [630] = {.lex_state = 4},
  [631] = {.lex_state = 4},
  [632] = {.lex_state = 4},
  [633] = {.lex_state = 4},
  [634] = {.lex_state = 4},
  [635] = {.lex_state = 4},
  [636] = {.lex_state = 4},
  [637] = {.lex_state = 9},
  [638] = {.lex_state = 4},
  [639] = {.lex_state = 1},
  [640] = {.lex_state = 4},
  [641] = {.lex_state = 4},
  [642] = {.lex_state = 9},
  [643] = {.lex_state = 4},
  [644] = {.lex_state = 4},
  [645] = {.lex_state = 4},
  [646] = {.lex_state = 4},
  [647] = {.lex_state = 4},
  [648] = {.lex_state = 4},
  [649] = {.lex_state = 4},
  [650] = {.lex_state = 4},
  [651] = {.lex_state = 1},
  [652] = {.lex_state = 4},
  [653] = {.lex_state = 4},
  [654] = {.lex_state = 9},
  [655] = {.lex_state = 4},
  [656] = {.lex_state = 2},
  [657] = {.lex_state = 4},
  [658] = {.lex_state = 4},
  [659] = {.lex_state = 4},
  [660] = {.lex_state = 4},
  [661] = {.lex_state = 4},
  [662] = {.lex_state = 4},
  [663] = {.lex_state = 2},
  [664] = {.lex_state = 4},
  [665] = {.lex_state = 2},
  [666] = {.lex_state = 2},
  [667] = {.lex_state = 4},
  [668] = {.lex_state = 9},
  [669] = {.lex_state = 4},
  [670] = {.lex_state = 4},
  [671] = {.lex_state = 4},
  [672] = {.lex_state = 4},
  [673] = {.lex_state = 4},
  [674] = {.lex_state = 4},
  [675] = {.lex_state = 4},
  [676] = {.lex_state = 4},
  [677] = {.lex_state = 4},
  [678] = {.lex_state = 4},
  [679] = {.lex_state = 4},
  [680] = {.lex_state = 4},
  [681] = {.lex_state = 4},
  [682] = {.lex_state = 4},
  [683] = {.lex_state = 4},
  [684] = {.lex_state = 4},
  [685] = {.lex_state = 4},
  [686] = {.lex_state = 4},
  [687] = {.lex_state = 4},
  [688] = {.lex_state = 2},
  [689] = {.lex_state = 17},
  [690] = {.lex_state = 4},
  [691] = {.lex_state = 4},
  [692] = {.lex_state = 2},
  [693] = {.lex_state = 9},
  [694] = {.lex_state = 2},
  [695] = {.lex_state = 9},
  [696] = {.lex_state = 9},
  [697] = {.lex_state = 9},
  [698] = {.lex_state = 4},
  [699] = {.lex_state = 4},
  [700] = {.lex_state = 4},
  [701] = {.lex_state = 4},
  [702] = {.lex_state = 9},
  [703] = {.lex_state = 9},
  [704] = {.lex_state = 1},
  [705] = {.lex_state = 4},
  [706] = {.lex_state = 1},
  [707] = {.lex_state = 2},
  [708] = {.lex_state = 4},
  [709] = {.lex_state = 4},
  [710] = {.lex_state = 1},
  [711] = {.lex_state = 4},
  [712] = {.lex_state = 4},
  [713] = {.lex_state = 17},
  [714] = {.lex_state = 4},
  [715] = {.lex_state = 9},
  [716] = {.lex_state = 1},
  [717] = {.lex_state = 1},
  [718] = {.lex_state = 17},
  [719] = {.lex_state = 4},
  [720] = {.lex_state = 4},
  [721] = {.lex_state = 4},
  [722] = {.lex_state = 4},
  [723] = {.lex_state = 4},
  [724] = {.lex_state = 4},
  [725] = {.lex_state = 4},
  [726] = {.lex_state = 4},
  [727] = {.lex_state = 4},
  [728] = {.lex_state = 4},
  [729] = {.lex_state = 4},
  [730] = {.lex_state = 9},
  [731] = {.lex_state = 9},
  [732] = {.lex_state = 4},
  [733] = {.lex_state = 4},
  [734] = {.lex_state = 1},
  [735] = {.lex_state = 9},
  [736] = {.lex_state = 4},
  [737] = {.lex_state = 4},
  [738] = {.lex_state = 4},
  [739] = {.lex_state = 4},
  [740] = {.lex_state = 4},
  [741] = {.lex_state = 4},
  [742] = {.lex_state = 4},
  [743] = {.lex_state = 4},
  [744] = {.lex_state = 4},
  [745] = {.lex_state = 4},
  [746] = {.lex_state = 4},
  [747] = {.lex_state = 4},
  [748] = {.lex_state = 4},
  [749] = {.lex_state = 4},
  [750] = {.lex_state = 4},
  [751] = {.lex_state = 4},
  [752] = {.lex_state = 9},
  [753] = {.lex_state = 9},
  [754] = {.lex_state = 1},
  [755] = {.lex_state = 1},
  [756] = {.lex_state = 1},
  [757] = {.lex_state = 9},
  [758] = {.lex_state = 1},
  [759] = {.lex_state = 1},
  [760] = {.lex_state = 1},
  [761] = {.lex_state = 1},
  [762] = {.lex_state = 1},
  [763] = {.lex_state = 1},
  [764] = {.lex_state = 1},
  [765] = {.lex_state = 1},
  [766] = {.lex_state = 1},
  [767] = {.lex_state = 2},
  [768] = {.lex_state = 1},
  [769] = {.lex_state = 1},
  [770] = {.lex_state = 1},
  [771] = {.lex_state = 1},
  [772] = {.lex_state = 1},
  [773] = {.lex_state = 17},
  [774] = {.lex_state = 1},
  [775] = {.lex_state = 1},
  [776] = {.lex_state = 1},
  [777] = {.lex_state = 1},
  [778] = {.lex_state = 1},
  [779] = {.lex_state = 1},
  [780] = {.lex_state = 1},
  [781] = {.lex_state = 1},
  [782] = {.lex_state = 1},
  [783] = {.lex_state = 1},
  [784] = {.lex_state = 1},
  [785] = {.lex_state = 1},
  [786] = {.lex_state = 1},
  [787] = {.lex_state = 1},
  [788] = {.lex_state = 1},
  [789] = {.lex_state = 1},
  [790] = {.lex_state = 1},
  [791] = {.lex_state = 1},
  [792] = {.lex_state = 1},
  [793] = {.lex_state = 1},
  [794] = {.lex_state = 1},
  [795] = {.lex_state = 1},
  [796] = {.lex_state = 1},
  [797] = {.lex_state = 1},
  [798] = {.lex_state = 1},
  [799] = {.lex_state = 1},
  [800] = {.lex_state = 1},
  [801] = {.lex_state = 1},
  [802] = {.lex_state = 17},
  [803] = {.lex_state = 1},
  [804] = {.lex_state = 1},
  [805] = {.lex_state = 1},
  [806] = {.lex_state = 1},
  [807] = {.lex_state = 1},
  [808] = {.lex_state = 1},
  [809] = {.lex_state = 1},
  [810] = {.lex_state = 1},
  [811] = {.lex_state = 1},
  [812] = {.lex_state = 1},
  [813] = {.lex_state = 1},
  [814] = {.lex_state = 1},
  [815] = {.lex_state = 1},
  [816] = {.lex_state = 1},
  [817] = {.lex_state = 1},
  [818] = {.lex_state = 1},
  [819] = {.lex_state = 1},
  [820] = {.lex_state = 1},
  [821] = {.lex_state = 1},
  [822] = {.lex_state = 1},
  [823] = {.lex_state = 1},
  [824] = {.lex_state = 1},
  [825] = {.lex_state = 1},
  [826] = {.lex_state = 9},
  [827] = {.lex_state = 1},
  [828] = {.lex_state = 1},
  [829] = {.lex_state = 1},
  [830] = {.lex_state = 1},
  [831] = {.lex_state = 1},
  [832] = {.lex_state = 1},
  [833] = {.lex_state = 1},
  [834] = {.lex_state = 9},
  [835] = {.lex_state = 1},
  [836] = {.lex_state = 1},
  [837] = {.lex_state = 1},
  [838] = {.lex_state = 1},
  [839] = {.lex_state = 1},
  [840] = {.lex_state = 1},
  [841] = {.lex_state = 1},
  [842] = {.lex_state = 1},
  [843] = {.lex_state = 1},
  [844] = {.lex_state = 1},
  [845] = {.lex_state = 1},
  [846] = {.lex_state = 1},
  [847] = {.lex_state = 1},
  [848] = {.lex_state = 1},
  [849] = {.lex_state = 1},
  [850] = {.lex_state = 1},
  [851] = {.lex_state = 1},
  [852] = {.lex_state = 1},
  [853] = {.lex_state = 1},
  [854] = {.lex_state = 1},
  [855] = {.lex_state = 1},
  [856] = {.lex_state = 1},
  [857] = {.lex_state = 1},
  [858] = {.lex_state = 1},
  [859] = {.lex_state = 1},
  [860] = {.lex_state = 1},
  [861] = {.lex_state = 1},
  [862] = {.lex_state = 1},
  [863] = {.lex_state = 1},
  [864] = {.lex_state = 1},
  [865] = {.lex_state = 1},
  [866] = {.lex_state = 1},
  [867] = {.lex_state = 1},
  [868] = {.lex_state = 1},
  [869] = {.lex_state = 1},
  [870] = {.lex_state = 1},
  [871] = {.lex_state = 1},
  [872] = {.lex_state = 1},
  [873] = {.lex_state = 1},
  [874] = {.lex_state = 1},
  [875] = {.lex_state = 1},
  [876] = {.lex_state = 1},
  [877] = {.lex_state = 1},
  [878] = {.lex_state = 1},
  [879] = {.lex_state = 1},
  [880] = {.lex_state = 1},
  [881] = {.lex_state = 1},
  [882] = {.lex_state = 1},
  [883] = {.lex_state = 1},
  [884] = {.lex_state = 1},
  [885] = {.lex_state = 1},
  [886] = {.lex_state = 1},
  [887] = {.lex_state = 6},
  [888] = {.lex_state = 1},
  [889] = {.lex_state = 1},
  [890] = {.lex_state = 1},
  [891] = {.lex_state = 1},
  [892] = {.lex_state = 1},
  [893] = {.lex_state = 6},
  [894] = {.lex_state = 1},
  [895] = {.lex_state = 1},
  [896] = {.lex_state = 6},
  [897] = {.lex_state = 1},
  [898] = {.lex_state = 1},
  [899] = {.lex_state = 1},
  [900] = {.lex_state = 1},
  [901] = {.lex_state = 1},
  [902] = {.lex_state = 1},
  [903] = {.lex_state = 1},
  [904] = {.lex_state = 1},
  [905] = {.lex_state = 1},
  [906] = {.lex_state = 9},
  [907] = {.lex_state = 1},
  [908] = {.lex_state = 1},
  [909] = {.lex_state = 1},
  [910] = {.lex_state = 1},
  [911] = {.lex_state = 1},
  [912] = {.lex_state = 1},
  [913] = {.lex_state = 1},
  [914] = {.lex_state = 1},
  [915] = {.lex_state = 1},
  [916] = {.lex_state = 1},
  [917] = {.lex_state = 1},
  [918] = {.lex_state = 1},
  [919] = {.lex_state = 1},
  [920] = {.lex_state = 1},
  [921] = {.lex_state = 1},
  [922] = {.lex_state = 1},
  [923] = {.lex_state = 1},
  [924] = {.lex_state = 1},
  [925] = {.lex_state = 1},
  [926] = {.lex_state = 1},
  [927] = {.lex_state = 1},
  [928] = {.lex_state = 1},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 1},
  [931] = {.lex_state = 1},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 1},
  [934] = {.lex_state = 1},
  [935] = {.lex_state = 1},
  [936] = {.lex_state = 1},
  [937] = {.lex_state = 8},
  [938] = {.lex_state = 1},
  [939] = {.lex_state = 1},
  [940] = {.lex_state = 1},
  [941] = {.lex_state = 1},
  [942] = {.lex_state = 1},
  [943] = {.lex_state = 1},
  [944] = {.lex_state = 1},
  [945] = {.lex_state = 1},
  [946] = {.lex_state = 1},
  [947] = {.lex_state = 1},
  [948] = {.lex_state = 1},
  [949] = {.lex_state = 1},
  [950] = {.lex_state = 1},
  [951] = {.lex_state = 1},
  [952] = {.lex_state = 1},
  [953] = {.lex_state = 1},
  [954] = {.lex_state = 1},
  [955] = {.lex_state = 1},
  [956] = {.lex_state = 8},
  [957] = {.lex_state = 1},
  [958] = {.lex_state = 1},
  [959] = {.lex_state = 1},
  [960] = {.lex_state = 8},
  [961] = {.lex_state = 1},
  [962] = {.lex_state = 1},
  [963] = {.lex_state = 1},
  [964] = {.lex_state = 1},
  [965] = {.lex_state = 1},
  [966] = {.lex_state = 1},
  [967] = {.lex_state = 1},
  [968] = {.lex_state = 6},
  [969] = {.lex_state = 1},
  [970] = {.lex_state = 1},
  [971] = {.lex_state = 1},
  [972] = {.lex_state = 1},
  [973] = {.lex_state = 1},
  [974] = {.lex_state = 1},
  [975] = {.lex_state = 1},
  [976] = {.lex_state = 1},
  [977] = {.lex_state = 1},
  [978] = {.lex_state = 1},
  [979] = {.lex_state = 6},
  [980] = {.lex_state = 9},
  [981] = {.lex_state = 1},
  [982] = {.lex_state = 1},
  [983] = {.lex_state = 1},
  [984] = {.lex_state = 0},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 1},
  [987] = {.lex_state = 9},
  [988] = {.lex_state = 1},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 0},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 1},
  [1007] = {.lex_state = 1},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 1},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 1},
  [1014] = {.lex_state = 1},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 1},
  [1017] = {.lex_state = 1},
  [1018] = {.lex_state = 1},
  [1019] = {.lex_state = 1},
  [1020] = {.lex_state = 1},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 9},
  [1023] = {.lex_state = 1},
  [1024] = {.lex_state = 1},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 9},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 1},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 1},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 8},
  [1034] = {.lex_state = 1},
  [1035] = {.lex_state = 1},
  [1036] = {.lex_state = 1},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 1},
  [1039] = {.lex_state = 9},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 1},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 1},
  [1047] = {.lex_state = 1},
  [1048] = {.lex_state = 1},
  [1049] = {.lex_state = 0},
  [1050] = {.lex_state = 9},
  [1051] = {.lex_state = 1},
  [1052] = {.lex_state = 1},
  [1053] = {.lex_state = 1},
  [1054] = {.lex_state = 9},
  [1055] = {.lex_state = 1},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 1},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 1},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 9},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 1},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 9},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 1},
  [1081] = {.lex_state = 1},
  [1082] = {.lex_state = 9},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 9},
  [1088] = {.lex_state = 9},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 1},
  [1092] = {.lex_state = 1},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 9},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 9},
  [1099] = {.lex_state = 9},
  [1100] = {.lex_state = 1},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 1},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 1},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 1},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 1},
  [1122] = {.lex_state = 9},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 1},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 1},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 1},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 1},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 1},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 1},
  [1203] = {.lex_state = 1},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 1},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 9},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 1},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 9},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 1},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 1},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 9},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 1},
  [1251] = {.lex_state = 1},
  [1252] = {.lex_state = 9},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 9},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 1},
  [1263] = {.lex_state = 1},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 9},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 1},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 9},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 1},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 1},
  [1303] = {.lex_state = 1},
  [1304] = {.lex_state = 1},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0},
  [1307] = {.lex_state = 0},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 0},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 1},
  [1312] = {.lex_state = 0},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 1},
  [1319] = {.lex_state = 0},
  [1320] = {.lex_state = 0},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 0},
  [1323] = {.lex_state = 1},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 0},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 1},
  [1332] = {.lex_state = 1},
  [1333] = {.lex_state = 1},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 1},
  [1338] = {.lex_state = 1},
  [1339] = {.lex_state = 1},
  [1340] = {.lex_state = 0},
  [1341] = {.lex_state = 0},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 0},
  [1350] = {.lex_state = 1},
  [1351] = {.lex_state = 0},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 0},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 1},
  [1359] = {.lex_state = 1},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 0},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 0},
  [1365] = {.lex_state = 1},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 0},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 0},
  [1371] = {.lex_state = 0},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 1},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_decimal_integer_literal] = ACTIONS(1),
    [sym_hex_integer_literal] = ACTIONS(1),
    [sym_octal_integer_literal] = ACTIONS(1),
    [sym_binary_integer_literal] = ACTIONS(1),
    [sym_decimal_floating_point_literal] = ACTIONS(1),
    [sym_hex_floating_point_literal] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_character_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_BSLASH_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym__escape_sequence_token1] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [sym_underscore_pattern] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_synchronized] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_transitive] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_exports] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_opens] = ACTIONS(1),
    [anon_sym_uses] = ACTIONS(1),
    [anon_sym_provides] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_strictfp] = ACTIONS(1),
    [anon_sym_native] = ACTIONS(1),
    [anon_sym_transient] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_non_DASHsealed] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_permits] = ACTIONS(1),
    [anon_sym_record] = ACTIONS(1),
    [anon_sym_ATinterface] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_char] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_double] = ACTIONS(1),
    [sym_boolean_type] = ACTIONS(1),
    [sym_void_type] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_throws] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_program] = STATE(1308),
    [sym__toplevel_statement] = STATE(2),
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(2),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(713),
    [sym_type_parameters] = STATE(776),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(758),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym__method_header] = STATE(1166),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym_method_declaration] = STATE(2),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__toplevel_statement] = STATE(3),
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(3),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(713),
    [sym_type_parameters] = STATE(776),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(758),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym__method_header] = STATE(1166),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym_method_declaration] = STATE(3),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(97),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__toplevel_statement] = STATE(3),
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(3),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(713),
    [sym_type_parameters] = STATE(776),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(758),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym__method_header] = STATE(1166),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym_method_declaration] = STATE(3),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(99),
    [sym_identifier] = ACTIONS(101),
    [sym_decimal_integer_literal] = ACTIONS(104),
    [sym_hex_integer_literal] = ACTIONS(104),
    [sym_octal_integer_literal] = ACTIONS(104),
    [sym_binary_integer_literal] = ACTIONS(107),
    [sym_decimal_floating_point_literal] = ACTIONS(107),
    [sym_hex_floating_point_literal] = ACTIONS(104),
    [sym_true] = ACTIONS(104),
    [sym_false] = ACTIONS(104),
    [sym_character_literal] = ACTIONS(107),
    [anon_sym_DQUOTE] = ACTIONS(110),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(113),
    [sym_null_literal] = ACTIONS(104),
    [anon_sym_LPAREN] = ACTIONS(116),
    [anon_sym_LT] = ACTIONS(119),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(128),
    [anon_sym_TILDE] = ACTIONS(128),
    [anon_sym_PLUS_PLUS] = ACTIONS(131),
    [anon_sym_DASH_DASH] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(134),
    [anon_sym_class] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(140),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_SEMI] = ACTIONS(146),
    [anon_sym_assert] = ACTIONS(149),
    [anon_sym_do] = ACTIONS(152),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_break] = ACTIONS(158),
    [anon_sym_continue] = ACTIONS(161),
    [anon_sym_return] = ACTIONS(164),
    [anon_sym_yield] = ACTIONS(167),
    [anon_sym_synchronized] = ACTIONS(170),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_try] = ACTIONS(176),
    [anon_sym_if] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(185),
    [anon_sym_open] = ACTIONS(188),
    [anon_sym_module] = ACTIONS(191),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_with] = ACTIONS(194),
    [anon_sym_package] = ACTIONS(197),
    [anon_sym_import] = ACTIONS(200),
    [anon_sym_enum] = ACTIONS(203),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_sealed] = ACTIONS(206),
    [anon_sym_non_DASHsealed] = ACTIONS(209),
    [anon_sym_record] = ACTIONS(212),
    [anon_sym_ATinterface] = ACTIONS(215),
    [anon_sym_interface] = ACTIONS(218),
    [anon_sym_byte] = ACTIONS(221),
    [anon_sym_short] = ACTIONS(221),
    [anon_sym_int] = ACTIONS(221),
    [anon_sym_long] = ACTIONS(221),
    [anon_sym_char] = ACTIONS(221),
    [anon_sym_float] = ACTIONS(224),
    [anon_sym_double] = ACTIONS(224),
    [sym_boolean_type] = ACTIONS(227),
    [sym_void_type] = ACTIONS(227),
    [sym_this] = ACTIONS(230),
    [sym_super] = ACTIONS(233),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_switch_label] = STATE(1322),
    [sym_statement] = STATE(7),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_switch_block_statement_group_repeat1] = STATE(388),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(7),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(238),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(240),
    [anon_sym_default] = ACTIONS(240),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(636),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_type_arguments] = STATE(1251),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(11),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_explicit_constructor_invocation] = STATE(10),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(11),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(250),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(254),
    [sym_super] = ACTIONS(256),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(6),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(6),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(258),
    [sym_decimal_integer_literal] = ACTIONS(261),
    [sym_hex_integer_literal] = ACTIONS(261),
    [sym_octal_integer_literal] = ACTIONS(261),
    [sym_binary_integer_literal] = ACTIONS(264),
    [sym_decimal_floating_point_literal] = ACTIONS(264),
    [sym_hex_floating_point_literal] = ACTIONS(261),
    [sym_true] = ACTIONS(261),
    [sym_false] = ACTIONS(261),
    [sym_character_literal] = ACTIONS(264),
    [anon_sym_DQUOTE] = ACTIONS(267),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(270),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(261),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_final] = ACTIONS(281),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_new] = ACTIONS(290),
    [anon_sym_class] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(296),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(302),
    [anon_sym_default] = ACTIONS(281),
    [anon_sym_SEMI] = ACTIONS(304),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_while] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(316),
    [anon_sym_continue] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(322),
    [anon_sym_yield] = ACTIONS(325),
    [anon_sym_synchronized] = ACTIONS(328),
    [anon_sym_throw] = ACTIONS(331),
    [anon_sym_try] = ACTIONS(334),
    [anon_sym_if] = ACTIONS(337),
    [anon_sym_for] = ACTIONS(340),
    [anon_sym_AT] = ACTIONS(343),
    [anon_sym_open] = ACTIONS(346),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_static] = ACTIONS(281),
    [anon_sym_with] = ACTIONS(352),
    [anon_sym_package] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(358),
    [anon_sym_enum] = ACTIONS(361),
    [anon_sym_public] = ACTIONS(281),
    [anon_sym_protected] = ACTIONS(281),
    [anon_sym_private] = ACTIONS(281),
    [anon_sym_abstract] = ACTIONS(281),
    [anon_sym_strictfp] = ACTIONS(281),
    [anon_sym_native] = ACTIONS(281),
    [anon_sym_transient] = ACTIONS(281),
    [anon_sym_volatile] = ACTIONS(281),
    [anon_sym_sealed] = ACTIONS(364),
    [anon_sym_non_DASHsealed] = ACTIONS(367),
    [anon_sym_record] = ACTIONS(370),
    [anon_sym_ATinterface] = ACTIONS(373),
    [anon_sym_interface] = ACTIONS(376),
    [anon_sym_byte] = ACTIONS(379),
    [anon_sym_short] = ACTIONS(379),
    [anon_sym_int] = ACTIONS(379),
    [anon_sym_long] = ACTIONS(379),
    [anon_sym_char] = ACTIONS(379),
    [anon_sym_float] = ACTIONS(382),
    [anon_sym_double] = ACTIONS(382),
    [sym_boolean_type] = ACTIONS(385),
    [sym_void_type] = ACTIONS(385),
    [sym_this] = ACTIONS(388),
    [sym_super] = ACTIONS(391),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(6),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(6),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(394),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(396),
    [anon_sym_default] = ACTIONS(396),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(6),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(6),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(398),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(8),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(8),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(400),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(12),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(12),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(402),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(6),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(6),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(402),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(6),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(6),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(404),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(14),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(14),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(406),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(6),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(6),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(408),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(307),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(316),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(1339),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(326),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(383),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(257),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [21] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(319),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [22] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(393),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [23] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(275),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [24] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(276),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [25] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(278),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [26] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(282),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [27] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(283),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [28] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(292),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [29] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(293),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [30] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(294),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [31] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(295),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [32] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(297),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [33] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(298),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(299),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [35] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(300),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [36] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(304),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(305),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [38] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(306),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(307),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [40] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(309),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [41] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(311),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [42] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(312),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [43] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(313),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [44] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(314),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [45] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(315),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [46] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(316),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [47] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(346),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [48] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(319),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [49] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(389),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [50] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(346),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [51] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(326),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [52] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(383),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [53] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(257),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [54] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(275),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [55] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(278),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [56] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(282),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [57] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(283),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [58] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(292),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [59] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(293),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [60] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(294),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [61] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(295),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [62] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(297),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [63] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(298),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [64] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(299),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [65] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(300),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [66] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(304),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [67] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(305),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [68] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(306),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [69] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(307),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [70] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(309),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [71] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(311),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [72] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(312),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [73] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(313),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [74] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(314),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [75] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(315),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [76] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(316),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [77] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(319),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [78] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(1262),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [79] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(346),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [80] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(326),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [81] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(383),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [82] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(257),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [83] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(275),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [84] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(276),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [85] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(278),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [86] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(282),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [87] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(283),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [88] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(292),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [89] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(293),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [90] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(294),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [91] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(295),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [92] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(297),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [93] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(298),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [94] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(299),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [95] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(300),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [96] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(304),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [97] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(305),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [98] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(306),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [99] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(309),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [100] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(311),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [101] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(312),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [102] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(313),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [103] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(314),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [104] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(667),
    [sym_statement] = STATE(315),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [105] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(276),
    [sym_block] = STATE(373),
    [sym_expression_statement] = STATE(373),
    [sym_labeled_statement] = STATE(373),
    [sym_assert_statement] = STATE(373),
    [sym_do_statement] = STATE(373),
    [sym_break_statement] = STATE(373),
    [sym_continue_statement] = STATE(373),
    [sym_return_statement] = STATE(373),
    [sym_yield_statement] = STATE(373),
    [sym_synchronized_statement] = STATE(373),
    [sym_throw_statement] = STATE(373),
    [sym_try_statement] = STATE(373),
    [sym_try_with_resources_statement] = STATE(373),
    [sym_if_statement] = STATE(373),
    [sym_while_statement] = STATE(373),
    [sym_for_statement] = STATE(373),
    [sym_enhanced_for_statement] = STATE(373),
    [sym__annotation] = STATE(574),
    [sym_marker_annotation] = STATE(574),
    [sym_annotation] = STATE(574),
    [sym_declaration] = STATE(373),
    [sym_module_declaration] = STATE(310),
    [sym_package_declaration] = STATE(310),
    [sym_import_declaration] = STATE(310),
    [sym_enum_declaration] = STATE(310),
    [sym_class_declaration] = STATE(310),
    [sym_modifiers] = STATE(773),
    [sym_record_declaration] = STATE(310),
    [sym_annotation_type_declaration] = STATE(310),
    [sym_interface_declaration] = STATE(310),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(769),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(373),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(710),
    [aux_sym_modifiers_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [106] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(723),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_AMP] = ACTIONS(420),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_PLUS_EQ] = ACTIONS(422),
    [anon_sym_DASH_EQ] = ACTIONS(422),
    [anon_sym_STAR_EQ] = ACTIONS(422),
    [anon_sym_SLASH_EQ] = ACTIONS(422),
    [anon_sym_AMP_EQ] = ACTIONS(422),
    [anon_sym_PIPE_EQ] = ACTIONS(422),
    [anon_sym_CARET_EQ] = ACTIONS(422),
    [anon_sym_PERCENT_EQ] = ACTIONS(422),
    [anon_sym_LT_LT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT] = ACTIONS(420),
    [anon_sym_LT] = ACTIONS(420),
    [anon_sym_GT_EQ] = ACTIONS(422),
    [anon_sym_LT_EQ] = ACTIONS(422),
    [anon_sym_EQ_EQ] = ACTIONS(422),
    [anon_sym_BANG_EQ] = ACTIONS(422),
    [anon_sym_AMP_AMP] = ACTIONS(422),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(420),
    [anon_sym_SLASH] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(420),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(420),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(420),
    [anon_sym_DASH_GT] = ACTIONS(422),
    [anon_sym_QMARK] = ACTIONS(422),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(422),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_COLON_COLON] = ACTIONS(422),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [107] = {
    [ts_builtin_sym_end] = ACTIONS(426),
    [sym_identifier] = ACTIONS(428),
    [sym_decimal_integer_literal] = ACTIONS(428),
    [sym_hex_integer_literal] = ACTIONS(428),
    [sym_octal_integer_literal] = ACTIONS(428),
    [sym_binary_integer_literal] = ACTIONS(426),
    [sym_decimal_floating_point_literal] = ACTIONS(426),
    [sym_hex_floating_point_literal] = ACTIONS(428),
    [sym_true] = ACTIONS(428),
    [sym_false] = ACTIONS(428),
    [sym_character_literal] = ACTIONS(426),
    [anon_sym_DQUOTE] = ACTIONS(428),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(426),
    [anon_sym_RBRACE] = ACTIONS(426),
    [sym_null_literal] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_RPAREN] = ACTIONS(426),
    [anon_sym_AMP] = ACTIONS(428),
    [anon_sym_GT] = ACTIONS(428),
    [anon_sym_LT] = ACTIONS(428),
    [anon_sym_GT_EQ] = ACTIONS(426),
    [anon_sym_LT_EQ] = ACTIONS(426),
    [anon_sym_EQ_EQ] = ACTIONS(426),
    [anon_sym_BANG_EQ] = ACTIONS(426),
    [anon_sym_AMP_AMP] = ACTIONS(426),
    [anon_sym_PIPE_PIPE] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(428),
    [anon_sym_DASH] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(428),
    [anon_sym_CARET] = ACTIONS(426),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(428),
    [anon_sym_final] = ACTIONS(428),
    [anon_sym_DASH_GT] = ACTIONS(426),
    [anon_sym_COMMA] = ACTIONS(426),
    [anon_sym_QMARK] = ACTIONS(426),
    [anon_sym_COLON] = ACTIONS(428),
    [anon_sym_BANG] = ACTIONS(428),
    [anon_sym_TILDE] = ACTIONS(426),
    [anon_sym_PLUS_PLUS] = ACTIONS(426),
    [anon_sym_DASH_DASH] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_LBRACK] = ACTIONS(426),
    [anon_sym_RBRACK] = ACTIONS(426),
    [anon_sym_DOT] = ACTIONS(428),
    [anon_sym_class] = ACTIONS(428),
    [anon_sym_COLON_COLON] = ACTIONS(426),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(426),
    [anon_sym_case] = ACTIONS(428),
    [anon_sym_default] = ACTIONS(428),
    [anon_sym_when] = ACTIONS(428),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym_assert] = ACTIONS(428),
    [anon_sym_do] = ACTIONS(428),
    [anon_sym_while] = ACTIONS(428),
    [anon_sym_break] = ACTIONS(428),
    [anon_sym_continue] = ACTIONS(428),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_yield] = ACTIONS(428),
    [anon_sym_synchronized] = ACTIONS(428),
    [anon_sym_throw] = ACTIONS(428),
    [anon_sym_try] = ACTIONS(428),
    [anon_sym_if] = ACTIONS(428),
    [anon_sym_else] = ACTIONS(428),
    [anon_sym_for] = ACTIONS(428),
    [anon_sym_AT] = ACTIONS(428),
    [anon_sym_open] = ACTIONS(428),
    [anon_sym_module] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_with] = ACTIONS(428),
    [anon_sym_package] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(428),
    [anon_sym_enum] = ACTIONS(428),
    [anon_sym_public] = ACTIONS(428),
    [anon_sym_protected] = ACTIONS(428),
    [anon_sym_private] = ACTIONS(428),
    [anon_sym_abstract] = ACTIONS(428),
    [anon_sym_strictfp] = ACTIONS(428),
    [anon_sym_native] = ACTIONS(428),
    [anon_sym_transient] = ACTIONS(428),
    [anon_sym_volatile] = ACTIONS(428),
    [anon_sym_sealed] = ACTIONS(428),
    [anon_sym_non_DASHsealed] = ACTIONS(426),
    [anon_sym_record] = ACTIONS(428),
    [anon_sym_ATinterface] = ACTIONS(426),
    [anon_sym_interface] = ACTIONS(428),
    [anon_sym_byte] = ACTIONS(428),
    [anon_sym_short] = ACTIONS(428),
    [anon_sym_int] = ACTIONS(428),
    [anon_sym_long] = ACTIONS(428),
    [anon_sym_char] = ACTIONS(428),
    [anon_sym_float] = ACTIONS(428),
    [anon_sym_double] = ACTIONS(428),
    [sym_boolean_type] = ACTIONS(428),
    [sym_void_type] = ACTIONS(428),
    [sym_this] = ACTIONS(428),
    [sym_super] = ACTIONS(428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [108] = {
    [ts_builtin_sym_end] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [sym_decimal_integer_literal] = ACTIONS(432),
    [sym_hex_integer_literal] = ACTIONS(432),
    [sym_octal_integer_literal] = ACTIONS(432),
    [sym_binary_integer_literal] = ACTIONS(430),
    [sym_decimal_floating_point_literal] = ACTIONS(430),
    [sym_hex_floating_point_literal] = ACTIONS(432),
    [sym_true] = ACTIONS(432),
    [sym_false] = ACTIONS(432),
    [sym_character_literal] = ACTIONS(430),
    [anon_sym_DQUOTE] = ACTIONS(432),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(430),
    [anon_sym_RBRACE] = ACTIONS(430),
    [sym_null_literal] = ACTIONS(432),
    [anon_sym_LPAREN] = ACTIONS(430),
    [anon_sym_RPAREN] = ACTIONS(430),
    [anon_sym_AMP] = ACTIONS(432),
    [anon_sym_GT] = ACTIONS(432),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_GT_EQ] = ACTIONS(430),
    [anon_sym_LT_EQ] = ACTIONS(430),
    [anon_sym_EQ_EQ] = ACTIONS(430),
    [anon_sym_BANG_EQ] = ACTIONS(430),
    [anon_sym_AMP_AMP] = ACTIONS(430),
    [anon_sym_PIPE_PIPE] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_STAR] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_PIPE] = ACTIONS(432),
    [anon_sym_CARET] = ACTIONS(430),
    [anon_sym_PERCENT] = ACTIONS(430),
    [anon_sym_LT_LT] = ACTIONS(430),
    [anon_sym_GT_GT] = ACTIONS(432),
    [anon_sym_GT_GT_GT] = ACTIONS(430),
    [anon_sym_instanceof] = ACTIONS(432),
    [anon_sym_final] = ACTIONS(432),
    [anon_sym_DASH_GT] = ACTIONS(430),
    [anon_sym_COMMA] = ACTIONS(430),
    [anon_sym_QMARK] = ACTIONS(430),
    [anon_sym_COLON] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(432),
    [anon_sym_TILDE] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(430),
    [anon_sym_DASH_DASH] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(430),
    [anon_sym_RBRACK] = ACTIONS(430),
    [anon_sym_DOT] = ACTIONS(432),
    [anon_sym_class] = ACTIONS(432),
    [anon_sym_COLON_COLON] = ACTIONS(430),
    [anon_sym_switch] = ACTIONS(432),
    [anon_sym_LBRACE] = ACTIONS(430),
    [anon_sym_case] = ACTIONS(432),
    [anon_sym_default] = ACTIONS(432),
    [anon_sym_when] = ACTIONS(432),
    [anon_sym_SEMI] = ACTIONS(430),
    [anon_sym_assert] = ACTIONS(432),
    [anon_sym_do] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(432),
    [anon_sym_break] = ACTIONS(432),
    [anon_sym_continue] = ACTIONS(432),
    [anon_sym_return] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_synchronized] = ACTIONS(432),
    [anon_sym_throw] = ACTIONS(432),
    [anon_sym_try] = ACTIONS(432),
    [anon_sym_if] = ACTIONS(432),
    [anon_sym_else] = ACTIONS(432),
    [anon_sym_for] = ACTIONS(432),
    [anon_sym_AT] = ACTIONS(432),
    [anon_sym_open] = ACTIONS(432),
    [anon_sym_module] = ACTIONS(432),
    [anon_sym_static] = ACTIONS(432),
    [anon_sym_with] = ACTIONS(432),
    [anon_sym_package] = ACTIONS(432),
    [anon_sym_import] = ACTIONS(432),
    [anon_sym_enum] = ACTIONS(432),
    [anon_sym_public] = ACTIONS(432),
    [anon_sym_protected] = ACTIONS(432),
    [anon_sym_private] = ACTIONS(432),
    [anon_sym_abstract] = ACTIONS(432),
    [anon_sym_strictfp] = ACTIONS(432),
    [anon_sym_native] = ACTIONS(432),
    [anon_sym_transient] = ACTIONS(432),
    [anon_sym_volatile] = ACTIONS(432),
    [anon_sym_sealed] = ACTIONS(432),
    [anon_sym_non_DASHsealed] = ACTIONS(430),
    [anon_sym_record] = ACTIONS(432),
    [anon_sym_ATinterface] = ACTIONS(430),
    [anon_sym_interface] = ACTIONS(432),
    [anon_sym_byte] = ACTIONS(432),
    [anon_sym_short] = ACTIONS(432),
    [anon_sym_int] = ACTIONS(432),
    [anon_sym_long] = ACTIONS(432),
    [anon_sym_char] = ACTIONS(432),
    [anon_sym_float] = ACTIONS(432),
    [anon_sym_double] = ACTIONS(432),
    [sym_boolean_type] = ACTIONS(432),
    [sym_void_type] = ACTIONS(432),
    [sym_this] = ACTIONS(432),
    [sym_super] = ACTIONS(432),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [109] = {
    [ts_builtin_sym_end] = ACTIONS(434),
    [sym_identifier] = ACTIONS(436),
    [sym_decimal_integer_literal] = ACTIONS(436),
    [sym_hex_integer_literal] = ACTIONS(436),
    [sym_octal_integer_literal] = ACTIONS(436),
    [sym_binary_integer_literal] = ACTIONS(434),
    [sym_decimal_floating_point_literal] = ACTIONS(434),
    [sym_hex_floating_point_literal] = ACTIONS(436),
    [sym_true] = ACTIONS(436),
    [sym_false] = ACTIONS(436),
    [sym_character_literal] = ACTIONS(434),
    [anon_sym_DQUOTE] = ACTIONS(436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(434),
    [anon_sym_RBRACE] = ACTIONS(434),
    [sym_null_literal] = ACTIONS(436),
    [anon_sym_LPAREN] = ACTIONS(434),
    [anon_sym_RPAREN] = ACTIONS(434),
    [anon_sym_AMP] = ACTIONS(436),
    [anon_sym_GT] = ACTIONS(436),
    [anon_sym_LT] = ACTIONS(436),
    [anon_sym_GT_EQ] = ACTIONS(434),
    [anon_sym_LT_EQ] = ACTIONS(434),
    [anon_sym_EQ_EQ] = ACTIONS(434),
    [anon_sym_BANG_EQ] = ACTIONS(434),
    [anon_sym_AMP_AMP] = ACTIONS(434),
    [anon_sym_PIPE_PIPE] = ACTIONS(434),
    [anon_sym_PLUS] = ACTIONS(436),
    [anon_sym_DASH] = ACTIONS(436),
    [anon_sym_STAR] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_PIPE] = ACTIONS(436),
    [anon_sym_CARET] = ACTIONS(434),
    [anon_sym_PERCENT] = ACTIONS(434),
    [anon_sym_LT_LT] = ACTIONS(434),
    [anon_sym_GT_GT] = ACTIONS(436),
    [anon_sym_GT_GT_GT] = ACTIONS(434),
    [anon_sym_instanceof] = ACTIONS(436),
    [anon_sym_final] = ACTIONS(436),
    [anon_sym_DASH_GT] = ACTIONS(434),
    [anon_sym_COMMA] = ACTIONS(434),
    [anon_sym_QMARK] = ACTIONS(434),
    [anon_sym_COLON] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(434),
    [anon_sym_DASH_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_RBRACK] = ACTIONS(434),
    [anon_sym_class] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_case] = ACTIONS(436),
    [anon_sym_default] = ACTIONS(436),
    [anon_sym_when] = ACTIONS(436),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_assert] = ACTIONS(436),
    [anon_sym_do] = ACTIONS(436),
    [anon_sym_while] = ACTIONS(436),
    [anon_sym_break] = ACTIONS(436),
    [anon_sym_continue] = ACTIONS(436),
    [anon_sym_return] = ACTIONS(436),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_synchronized] = ACTIONS(436),
    [anon_sym_throw] = ACTIONS(436),
    [anon_sym_try] = ACTIONS(436),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_else] = ACTIONS(436),
    [anon_sym_for] = ACTIONS(436),
    [anon_sym_AT] = ACTIONS(436),
    [anon_sym_open] = ACTIONS(436),
    [anon_sym_module] = ACTIONS(436),
    [anon_sym_static] = ACTIONS(436),
    [anon_sym_with] = ACTIONS(436),
    [anon_sym_package] = ACTIONS(436),
    [anon_sym_import] = ACTIONS(436),
    [anon_sym_enum] = ACTIONS(436),
    [anon_sym_public] = ACTIONS(436),
    [anon_sym_protected] = ACTIONS(436),
    [anon_sym_private] = ACTIONS(436),
    [anon_sym_abstract] = ACTIONS(436),
    [anon_sym_strictfp] = ACTIONS(436),
    [anon_sym_native] = ACTIONS(436),
    [anon_sym_transient] = ACTIONS(436),
    [anon_sym_volatile] = ACTIONS(436),
    [anon_sym_sealed] = ACTIONS(436),
    [anon_sym_non_DASHsealed] = ACTIONS(434),
    [anon_sym_record] = ACTIONS(436),
    [anon_sym_ATinterface] = ACTIONS(434),
    [anon_sym_interface] = ACTIONS(436),
    [anon_sym_byte] = ACTIONS(436),
    [anon_sym_short] = ACTIONS(436),
    [anon_sym_int] = ACTIONS(436),
    [anon_sym_long] = ACTIONS(436),
    [anon_sym_char] = ACTIONS(436),
    [anon_sym_float] = ACTIONS(436),
    [anon_sym_double] = ACTIONS(436),
    [sym_boolean_type] = ACTIONS(436),
    [sym_void_type] = ACTIONS(436),
    [sym_this] = ACTIONS(436),
    [sym_super] = ACTIONS(436),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [110] = {
    [ts_builtin_sym_end] = ACTIONS(438),
    [sym_identifier] = ACTIONS(440),
    [sym_decimal_integer_literal] = ACTIONS(440),
    [sym_hex_integer_literal] = ACTIONS(440),
    [sym_octal_integer_literal] = ACTIONS(440),
    [sym_binary_integer_literal] = ACTIONS(438),
    [sym_decimal_floating_point_literal] = ACTIONS(438),
    [sym_hex_floating_point_literal] = ACTIONS(440),
    [sym_true] = ACTIONS(440),
    [sym_false] = ACTIONS(440),
    [sym_character_literal] = ACTIONS(438),
    [anon_sym_DQUOTE] = ACTIONS(440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(438),
    [anon_sym_RBRACE] = ACTIONS(438),
    [sym_null_literal] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(438),
    [anon_sym_RPAREN] = ACTIONS(438),
    [anon_sym_AMP] = ACTIONS(440),
    [anon_sym_GT] = ACTIONS(440),
    [anon_sym_LT] = ACTIONS(440),
    [anon_sym_GT_EQ] = ACTIONS(438),
    [anon_sym_LT_EQ] = ACTIONS(438),
    [anon_sym_EQ_EQ] = ACTIONS(438),
    [anon_sym_BANG_EQ] = ACTIONS(438),
    [anon_sym_AMP_AMP] = ACTIONS(438),
    [anon_sym_PIPE_PIPE] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_STAR] = ACTIONS(438),
    [anon_sym_SLASH] = ACTIONS(440),
    [anon_sym_PIPE] = ACTIONS(440),
    [anon_sym_CARET] = ACTIONS(438),
    [anon_sym_PERCENT] = ACTIONS(438),
    [anon_sym_LT_LT] = ACTIONS(438),
    [anon_sym_GT_GT] = ACTIONS(440),
    [anon_sym_GT_GT_GT] = ACTIONS(438),
    [anon_sym_instanceof] = ACTIONS(440),
    [anon_sym_final] = ACTIONS(440),
    [anon_sym_DASH_GT] = ACTIONS(438),
    [anon_sym_COMMA] = ACTIONS(438),
    [anon_sym_QMARK] = ACTIONS(438),
    [anon_sym_COLON] = ACTIONS(438),
    [anon_sym_BANG] = ACTIONS(440),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_RBRACK] = ACTIONS(438),
    [anon_sym_class] = ACTIONS(440),
    [anon_sym_switch] = ACTIONS(440),
    [anon_sym_LBRACE] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(440),
    [anon_sym_default] = ACTIONS(440),
    [anon_sym_when] = ACTIONS(440),
    [anon_sym_SEMI] = ACTIONS(438),
    [anon_sym_assert] = ACTIONS(440),
    [anon_sym_do] = ACTIONS(440),
    [anon_sym_while] = ACTIONS(440),
    [anon_sym_break] = ACTIONS(440),
    [anon_sym_continue] = ACTIONS(440),
    [anon_sym_return] = ACTIONS(440),
    [anon_sym_yield] = ACTIONS(440),
    [anon_sym_synchronized] = ACTIONS(440),
    [anon_sym_throw] = ACTIONS(440),
    [anon_sym_try] = ACTIONS(440),
    [anon_sym_if] = ACTIONS(440),
    [anon_sym_else] = ACTIONS(440),
    [anon_sym_for] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(440),
    [anon_sym_open] = ACTIONS(440),
    [anon_sym_module] = ACTIONS(440),
    [anon_sym_static] = ACTIONS(440),
    [anon_sym_with] = ACTIONS(440),
    [anon_sym_package] = ACTIONS(440),
    [anon_sym_import] = ACTIONS(440),
    [anon_sym_enum] = ACTIONS(440),
    [anon_sym_public] = ACTIONS(440),
    [anon_sym_protected] = ACTIONS(440),
    [anon_sym_private] = ACTIONS(440),
    [anon_sym_abstract] = ACTIONS(440),
    [anon_sym_strictfp] = ACTIONS(440),
    [anon_sym_native] = ACTIONS(440),
    [anon_sym_transient] = ACTIONS(440),
    [anon_sym_volatile] = ACTIONS(440),
    [anon_sym_sealed] = ACTIONS(440),
    [anon_sym_non_DASHsealed] = ACTIONS(438),
    [anon_sym_record] = ACTIONS(440),
    [anon_sym_ATinterface] = ACTIONS(438),
    [anon_sym_interface] = ACTIONS(440),
    [anon_sym_byte] = ACTIONS(440),
    [anon_sym_short] = ACTIONS(440),
    [anon_sym_int] = ACTIONS(440),
    [anon_sym_long] = ACTIONS(440),
    [anon_sym_char] = ACTIONS(440),
    [anon_sym_float] = ACTIONS(440),
    [anon_sym_double] = ACTIONS(440),
    [sym_boolean_type] = ACTIONS(440),
    [sym_void_type] = ACTIONS(440),
    [sym_this] = ACTIONS(440),
    [sym_super] = ACTIONS(440),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [111] = {
    [ts_builtin_sym_end] = ACTIONS(442),
    [sym_identifier] = ACTIONS(444),
    [sym_decimal_integer_literal] = ACTIONS(444),
    [sym_hex_integer_literal] = ACTIONS(444),
    [sym_octal_integer_literal] = ACTIONS(444),
    [sym_binary_integer_literal] = ACTIONS(442),
    [sym_decimal_floating_point_literal] = ACTIONS(442),
    [sym_hex_floating_point_literal] = ACTIONS(444),
    [sym_true] = ACTIONS(444),
    [sym_false] = ACTIONS(444),
    [sym_character_literal] = ACTIONS(442),
    [anon_sym_DQUOTE] = ACTIONS(444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(442),
    [anon_sym_RBRACE] = ACTIONS(442),
    [sym_null_literal] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(442),
    [anon_sym_RPAREN] = ACTIONS(442),
    [anon_sym_AMP] = ACTIONS(444),
    [anon_sym_GT] = ACTIONS(444),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_GT_EQ] = ACTIONS(442),
    [anon_sym_LT_EQ] = ACTIONS(442),
    [anon_sym_EQ_EQ] = ACTIONS(442),
    [anon_sym_BANG_EQ] = ACTIONS(442),
    [anon_sym_AMP_AMP] = ACTIONS(442),
    [anon_sym_PIPE_PIPE] = ACTIONS(442),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_STAR] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_PIPE] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_PERCENT] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(442),
    [anon_sym_GT_GT] = ACTIONS(444),
    [anon_sym_GT_GT_GT] = ACTIONS(442),
    [anon_sym_instanceof] = ACTIONS(444),
    [anon_sym_final] = ACTIONS(444),
    [anon_sym_DASH_GT] = ACTIONS(442),
    [anon_sym_COMMA] = ACTIONS(442),
    [anon_sym_QMARK] = ACTIONS(442),
    [anon_sym_COLON] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(442),
    [anon_sym_DASH_DASH] = ACTIONS(442),
    [anon_sym_new] = ACTIONS(444),
    [anon_sym_RBRACK] = ACTIONS(442),
    [anon_sym_class] = ACTIONS(444),
    [anon_sym_switch] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(442),
    [anon_sym_case] = ACTIONS(444),
    [anon_sym_default] = ACTIONS(444),
    [anon_sym_when] = ACTIONS(444),
    [anon_sym_SEMI] = ACTIONS(442),
    [anon_sym_assert] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_break] = ACTIONS(444),
    [anon_sym_continue] = ACTIONS(444),
    [anon_sym_return] = ACTIONS(444),
    [anon_sym_yield] = ACTIONS(444),
    [anon_sym_synchronized] = ACTIONS(444),
    [anon_sym_throw] = ACTIONS(444),
    [anon_sym_try] = ACTIONS(444),
    [anon_sym_if] = ACTIONS(444),
    [anon_sym_else] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(444),
    [anon_sym_open] = ACTIONS(444),
    [anon_sym_module] = ACTIONS(444),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_with] = ACTIONS(444),
    [anon_sym_package] = ACTIONS(444),
    [anon_sym_import] = ACTIONS(444),
    [anon_sym_enum] = ACTIONS(444),
    [anon_sym_public] = ACTIONS(444),
    [anon_sym_protected] = ACTIONS(444),
    [anon_sym_private] = ACTIONS(444),
    [anon_sym_abstract] = ACTIONS(444),
    [anon_sym_strictfp] = ACTIONS(444),
    [anon_sym_native] = ACTIONS(444),
    [anon_sym_transient] = ACTIONS(444),
    [anon_sym_volatile] = ACTIONS(444),
    [anon_sym_sealed] = ACTIONS(444),
    [anon_sym_non_DASHsealed] = ACTIONS(442),
    [anon_sym_record] = ACTIONS(444),
    [anon_sym_ATinterface] = ACTIONS(442),
    [anon_sym_interface] = ACTIONS(444),
    [anon_sym_byte] = ACTIONS(444),
    [anon_sym_short] = ACTIONS(444),
    [anon_sym_int] = ACTIONS(444),
    [anon_sym_long] = ACTIONS(444),
    [anon_sym_char] = ACTIONS(444),
    [anon_sym_float] = ACTIONS(444),
    [anon_sym_double] = ACTIONS(444),
    [sym_boolean_type] = ACTIONS(444),
    [sym_void_type] = ACTIONS(444),
    [sym_this] = ACTIONS(444),
    [sym_super] = ACTIONS(444),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [112] = {
    [ts_builtin_sym_end] = ACTIONS(446),
    [sym_identifier] = ACTIONS(448),
    [sym_decimal_integer_literal] = ACTIONS(448),
    [sym_hex_integer_literal] = ACTIONS(448),
    [sym_octal_integer_literal] = ACTIONS(448),
    [sym_binary_integer_literal] = ACTIONS(446),
    [sym_decimal_floating_point_literal] = ACTIONS(446),
    [sym_hex_floating_point_literal] = ACTIONS(448),
    [sym_true] = ACTIONS(448),
    [sym_false] = ACTIONS(448),
    [sym_character_literal] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(448),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(446),
    [anon_sym_RBRACE] = ACTIONS(446),
    [sym_null_literal] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(446),
    [anon_sym_RPAREN] = ACTIONS(446),
    [anon_sym_AMP] = ACTIONS(448),
    [anon_sym_GT] = ACTIONS(448),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_GT_EQ] = ACTIONS(446),
    [anon_sym_LT_EQ] = ACTIONS(446),
    [anon_sym_EQ_EQ] = ACTIONS(446),
    [anon_sym_BANG_EQ] = ACTIONS(446),
    [anon_sym_AMP_AMP] = ACTIONS(446),
    [anon_sym_PIPE_PIPE] = ACTIONS(446),
    [anon_sym_PLUS] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_SLASH] = ACTIONS(448),
    [anon_sym_PIPE] = ACTIONS(448),
    [anon_sym_CARET] = ACTIONS(446),
    [anon_sym_PERCENT] = ACTIONS(446),
    [anon_sym_LT_LT] = ACTIONS(446),
    [anon_sym_GT_GT] = ACTIONS(448),
    [anon_sym_GT_GT_GT] = ACTIONS(446),
    [anon_sym_instanceof] = ACTIONS(448),
    [anon_sym_final] = ACTIONS(448),
    [anon_sym_DASH_GT] = ACTIONS(446),
    [anon_sym_COMMA] = ACTIONS(446),
    [anon_sym_QMARK] = ACTIONS(446),
    [anon_sym_COLON] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(448),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_new] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(446),
    [anon_sym_class] = ACTIONS(448),
    [anon_sym_switch] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(446),
    [anon_sym_case] = ACTIONS(448),
    [anon_sym_default] = ACTIONS(448),
    [anon_sym_when] = ACTIONS(448),
    [anon_sym_SEMI] = ACTIONS(446),
    [anon_sym_assert] = ACTIONS(448),
    [anon_sym_do] = ACTIONS(448),
    [anon_sym_while] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(448),
    [anon_sym_continue] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_yield] = ACTIONS(448),
    [anon_sym_synchronized] = ACTIONS(448),
    [anon_sym_throw] = ACTIONS(448),
    [anon_sym_try] = ACTIONS(448),
    [anon_sym_if] = ACTIONS(448),
    [anon_sym_else] = ACTIONS(448),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(448),
    [anon_sym_open] = ACTIONS(448),
    [anon_sym_module] = ACTIONS(448),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_with] = ACTIONS(448),
    [anon_sym_package] = ACTIONS(448),
    [anon_sym_import] = ACTIONS(448),
    [anon_sym_enum] = ACTIONS(448),
    [anon_sym_public] = ACTIONS(448),
    [anon_sym_protected] = ACTIONS(448),
    [anon_sym_private] = ACTIONS(448),
    [anon_sym_abstract] = ACTIONS(448),
    [anon_sym_strictfp] = ACTIONS(448),
    [anon_sym_native] = ACTIONS(448),
    [anon_sym_transient] = ACTIONS(448),
    [anon_sym_volatile] = ACTIONS(448),
    [anon_sym_sealed] = ACTIONS(448),
    [anon_sym_non_DASHsealed] = ACTIONS(446),
    [anon_sym_record] = ACTIONS(448),
    [anon_sym_ATinterface] = ACTIONS(446),
    [anon_sym_interface] = ACTIONS(448),
    [anon_sym_byte] = ACTIONS(448),
    [anon_sym_short] = ACTIONS(448),
    [anon_sym_int] = ACTIONS(448),
    [anon_sym_long] = ACTIONS(448),
    [anon_sym_char] = ACTIONS(448),
    [anon_sym_float] = ACTIONS(448),
    [anon_sym_double] = ACTIONS(448),
    [sym_boolean_type] = ACTIONS(448),
    [sym_void_type] = ACTIONS(448),
    [sym_this] = ACTIONS(448),
    [sym_super] = ACTIONS(448),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_identifier] = ACTIONS(450),
    [sym_decimal_integer_literal] = ACTIONS(450),
    [sym_hex_integer_literal] = ACTIONS(450),
    [sym_octal_integer_literal] = ACTIONS(450),
    [sym_binary_integer_literal] = ACTIONS(452),
    [sym_decimal_floating_point_literal] = ACTIONS(452),
    [sym_hex_floating_point_literal] = ACTIONS(450),
    [sym_true] = ACTIONS(450),
    [sym_false] = ACTIONS(450),
    [sym_character_literal] = ACTIONS(452),
    [anon_sym_DQUOTE] = ACTIONS(450),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(452),
    [anon_sym_RBRACE] = ACTIONS(452),
    [sym_null_literal] = ACTIONS(450),
    [anon_sym_LPAREN] = ACTIONS(452),
    [anon_sym_RPAREN] = ACTIONS(452),
    [anon_sym_AMP] = ACTIONS(450),
    [anon_sym_GT] = ACTIONS(450),
    [anon_sym_LT] = ACTIONS(450),
    [anon_sym_GT_EQ] = ACTIONS(452),
    [anon_sym_LT_EQ] = ACTIONS(452),
    [anon_sym_EQ_EQ] = ACTIONS(452),
    [anon_sym_BANG_EQ] = ACTIONS(452),
    [anon_sym_AMP_AMP] = ACTIONS(452),
    [anon_sym_PIPE_PIPE] = ACTIONS(452),
    [anon_sym_PLUS] = ACTIONS(450),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_STAR] = ACTIONS(452),
    [anon_sym_SLASH] = ACTIONS(450),
    [anon_sym_PIPE] = ACTIONS(450),
    [anon_sym_CARET] = ACTIONS(452),
    [anon_sym_PERCENT] = ACTIONS(452),
    [anon_sym_LT_LT] = ACTIONS(452),
    [anon_sym_GT_GT] = ACTIONS(450),
    [anon_sym_GT_GT_GT] = ACTIONS(452),
    [anon_sym_instanceof] = ACTIONS(450),
    [anon_sym_final] = ACTIONS(450),
    [anon_sym_DASH_GT] = ACTIONS(452),
    [anon_sym_COMMA] = ACTIONS(452),
    [anon_sym_QMARK] = ACTIONS(452),
    [anon_sym_COLON] = ACTIONS(450),
    [anon_sym_BANG] = ACTIONS(450),
    [anon_sym_TILDE] = ACTIONS(452),
    [anon_sym_PLUS_PLUS] = ACTIONS(452),
    [anon_sym_DASH_DASH] = ACTIONS(452),
    [anon_sym_new] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(452),
    [anon_sym_RBRACK] = ACTIONS(452),
    [anon_sym_DOT] = ACTIONS(450),
    [anon_sym_class] = ACTIONS(450),
    [anon_sym_COLON_COLON] = ACTIONS(452),
    [anon_sym_switch] = ACTIONS(450),
    [anon_sym_LBRACE] = ACTIONS(452),
    [anon_sym_default] = ACTIONS(450),
    [anon_sym_when] = ACTIONS(450),
    [anon_sym_SEMI] = ACTIONS(452),
    [anon_sym_assert] = ACTIONS(450),
    [anon_sym_do] = ACTIONS(450),
    [anon_sym_while] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(450),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_yield] = ACTIONS(450),
    [anon_sym_synchronized] = ACTIONS(450),
    [anon_sym_throw] = ACTIONS(450),
    [anon_sym_try] = ACTIONS(450),
    [anon_sym_if] = ACTIONS(450),
    [anon_sym_for] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(450),
    [anon_sym_open] = ACTIONS(450),
    [anon_sym_module] = ACTIONS(450),
    [anon_sym_static] = ACTIONS(450),
    [anon_sym_with] = ACTIONS(450),
    [anon_sym_package] = ACTIONS(450),
    [anon_sym_import] = ACTIONS(450),
    [anon_sym_enum] = ACTIONS(450),
    [anon_sym_public] = ACTIONS(450),
    [anon_sym_protected] = ACTIONS(450),
    [anon_sym_private] = ACTIONS(450),
    [anon_sym_abstract] = ACTIONS(450),
    [anon_sym_strictfp] = ACTIONS(450),
    [anon_sym_native] = ACTIONS(450),
    [anon_sym_transient] = ACTIONS(450),
    [anon_sym_volatile] = ACTIONS(450),
    [anon_sym_sealed] = ACTIONS(450),
    [anon_sym_non_DASHsealed] = ACTIONS(452),
    [anon_sym_record] = ACTIONS(450),
    [anon_sym_ATinterface] = ACTIONS(452),
    [anon_sym_interface] = ACTIONS(450),
    [anon_sym_byte] = ACTIONS(450),
    [anon_sym_short] = ACTIONS(450),
    [anon_sym_int] = ACTIONS(450),
    [anon_sym_long] = ACTIONS(450),
    [anon_sym_char] = ACTIONS(450),
    [anon_sym_float] = ACTIONS(450),
    [anon_sym_double] = ACTIONS(450),
    [sym_boolean_type] = ACTIONS(450),
    [sym_void_type] = ACTIONS(450),
    [sym_this] = ACTIONS(450),
    [sym_super] = ACTIONS(450),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [114] = {
    [ts_builtin_sym_end] = ACTIONS(454),
    [sym_identifier] = ACTIONS(456),
    [sym_decimal_integer_literal] = ACTIONS(456),
    [sym_hex_integer_literal] = ACTIONS(456),
    [sym_octal_integer_literal] = ACTIONS(456),
    [sym_binary_integer_literal] = ACTIONS(454),
    [sym_decimal_floating_point_literal] = ACTIONS(454),
    [sym_hex_floating_point_literal] = ACTIONS(456),
    [sym_true] = ACTIONS(456),
    [sym_false] = ACTIONS(456),
    [sym_character_literal] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(454),
    [anon_sym_RBRACE] = ACTIONS(454),
    [sym_null_literal] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(454),
    [anon_sym_RPAREN] = ACTIONS(454),
    [anon_sym_AMP] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(456),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(454),
    [anon_sym_LT_EQ] = ACTIONS(454),
    [anon_sym_EQ_EQ] = ACTIONS(454),
    [anon_sym_BANG_EQ] = ACTIONS(454),
    [anon_sym_AMP_AMP] = ACTIONS(454),
    [anon_sym_PIPE_PIPE] = ACTIONS(454),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(454),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(456),
    [anon_sym_CARET] = ACTIONS(454),
    [anon_sym_PERCENT] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(454),
    [anon_sym_GT_GT] = ACTIONS(456),
    [anon_sym_GT_GT_GT] = ACTIONS(454),
    [anon_sym_instanceof] = ACTIONS(456),
    [anon_sym_final] = ACTIONS(456),
    [anon_sym_DASH_GT] = ACTIONS(454),
    [anon_sym_COMMA] = ACTIONS(454),
    [anon_sym_QMARK] = ACTIONS(454),
    [anon_sym_COLON] = ACTIONS(454),
    [anon_sym_BANG] = ACTIONS(456),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_PLUS_PLUS] = ACTIONS(454),
    [anon_sym_DASH_DASH] = ACTIONS(454),
    [anon_sym_new] = ACTIONS(456),
    [anon_sym_RBRACK] = ACTIONS(454),
    [anon_sym_class] = ACTIONS(456),
    [anon_sym_switch] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_case] = ACTIONS(456),
    [anon_sym_default] = ACTIONS(456),
    [anon_sym_when] = ACTIONS(456),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_assert] = ACTIONS(456),
    [anon_sym_do] = ACTIONS(456),
    [anon_sym_while] = ACTIONS(456),
    [anon_sym_break] = ACTIONS(456),
    [anon_sym_continue] = ACTIONS(456),
    [anon_sym_return] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(456),
    [anon_sym_synchronized] = ACTIONS(456),
    [anon_sym_throw] = ACTIONS(456),
    [anon_sym_try] = ACTIONS(456),
    [anon_sym_if] = ACTIONS(456),
    [anon_sym_else] = ACTIONS(456),
    [anon_sym_for] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(456),
    [anon_sym_open] = ACTIONS(456),
    [anon_sym_module] = ACTIONS(456),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_with] = ACTIONS(456),
    [anon_sym_package] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(456),
    [anon_sym_enum] = ACTIONS(456),
    [anon_sym_public] = ACTIONS(456),
    [anon_sym_protected] = ACTIONS(456),
    [anon_sym_private] = ACTIONS(456),
    [anon_sym_abstract] = ACTIONS(456),
    [anon_sym_strictfp] = ACTIONS(456),
    [anon_sym_native] = ACTIONS(456),
    [anon_sym_transient] = ACTIONS(456),
    [anon_sym_volatile] = ACTIONS(456),
    [anon_sym_sealed] = ACTIONS(456),
    [anon_sym_non_DASHsealed] = ACTIONS(454),
    [anon_sym_record] = ACTIONS(456),
    [anon_sym_ATinterface] = ACTIONS(454),
    [anon_sym_interface] = ACTIONS(456),
    [anon_sym_byte] = ACTIONS(456),
    [anon_sym_short] = ACTIONS(456),
    [anon_sym_int] = ACTIONS(456),
    [anon_sym_long] = ACTIONS(456),
    [anon_sym_char] = ACTIONS(456),
    [anon_sym_float] = ACTIONS(456),
    [anon_sym_double] = ACTIONS(456),
    [sym_boolean_type] = ACTIONS(456),
    [sym_void_type] = ACTIONS(456),
    [sym_this] = ACTIONS(456),
    [sym_super] = ACTIONS(456),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [115] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(719),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(827),
    [sym__type] = STATE(1015),
    [sym__unannotated_type] = STATE(706),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_formal_parameter] = STATE(1109),
    [sym_receiver_parameter] = STATE(1200),
    [sym_spread_parameter] = STATE(1109),
    [sym__reserved_identifier] = STATE(441),
    [aux_sym_array_creation_expression_repeat1] = STATE(791),
    [aux_sym_modifiers_repeat1] = STATE(625),
    [sym_identifier] = ACTIONS(458),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(460),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(462),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(462),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(462),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(462),
    [anon_sym_protected] = ACTIONS(462),
    [anon_sym_private] = ACTIONS(462),
    [anon_sym_abstract] = ACTIONS(462),
    [anon_sym_strictfp] = ACTIONS(462),
    [anon_sym_native] = ACTIONS(462),
    [anon_sym_transient] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_sealed] = ACTIONS(466),
    [anon_sym_non_DASHsealed] = ACTIONS(468),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [116] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(719),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(827),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(706),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_formal_parameter] = STATE(1109),
    [sym_receiver_parameter] = STATE(1200),
    [sym_spread_parameter] = STATE(1109),
    [sym__reserved_identifier] = STATE(441),
    [aux_sym_array_creation_expression_repeat1] = STATE(791),
    [aux_sym_modifiers_repeat1] = STATE(625),
    [sym_identifier] = ACTIONS(470),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(460),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(462),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(462),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(462),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(462),
    [anon_sym_protected] = ACTIONS(462),
    [anon_sym_private] = ACTIONS(462),
    [anon_sym_abstract] = ACTIONS(462),
    [anon_sym_strictfp] = ACTIONS(462),
    [anon_sym_native] = ACTIONS(462),
    [anon_sym_transient] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_sealed] = ACTIONS(466),
    [anon_sym_non_DASHsealed] = ACTIONS(468),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [117] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(719),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(827),
    [sym__type] = STATE(1056),
    [sym__unannotated_type] = STATE(706),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_formal_parameter] = STATE(1109),
    [sym_receiver_parameter] = STATE(1200),
    [sym_spread_parameter] = STATE(1109),
    [sym__reserved_identifier] = STATE(441),
    [aux_sym_array_creation_expression_repeat1] = STATE(791),
    [aux_sym_modifiers_repeat1] = STATE(625),
    [sym_identifier] = ACTIONS(458),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(460),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(462),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(462),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(462),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(462),
    [anon_sym_protected] = ACTIONS(462),
    [anon_sym_private] = ACTIONS(462),
    [anon_sym_abstract] = ACTIONS(462),
    [anon_sym_strictfp] = ACTIONS(462),
    [anon_sym_native] = ACTIONS(462),
    [anon_sym_transient] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_sealed] = ACTIONS(466),
    [anon_sym_non_DASHsealed] = ACTIONS(468),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [118] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(652),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(829),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(764),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(161),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [aux_sym_modifiers_repeat1] = STATE(625),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(462),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(462),
    [anon_sym_SEMI] = ACTIONS(472),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(462),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(462),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(462),
    [anon_sym_protected] = ACTIONS(462),
    [anon_sym_private] = ACTIONS(462),
    [anon_sym_abstract] = ACTIONS(462),
    [anon_sym_strictfp] = ACTIONS(462),
    [anon_sym_native] = ACTIONS(462),
    [anon_sym_transient] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_sealed] = ACTIONS(466),
    [anon_sym_non_DASHsealed] = ACTIONS(468),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [119] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(650),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(836),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(770),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(184),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [aux_sym_modifiers_repeat1] = STATE(625),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(462),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(462),
    [anon_sym_SEMI] = ACTIONS(474),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(462),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(462),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(462),
    [anon_sym_protected] = ACTIONS(462),
    [anon_sym_private] = ACTIONS(462),
    [anon_sym_abstract] = ACTIONS(462),
    [anon_sym_strictfp] = ACTIONS(462),
    [anon_sym_native] = ACTIONS(462),
    [anon_sym_transient] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_sealed] = ACTIONS(466),
    [anon_sym_non_DASHsealed] = ACTIONS(468),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [120] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(664),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(833),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(771),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym_local_variable_declaration] = STATE(188),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [aux_sym_modifiers_repeat1] = STATE(625),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(462),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(462),
    [anon_sym_SEMI] = ACTIONS(476),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(462),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(462),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(462),
    [anon_sym_protected] = ACTIONS(462),
    [anon_sym_private] = ACTIONS(462),
    [anon_sym_abstract] = ACTIONS(462),
    [anon_sym_strictfp] = ACTIONS(462),
    [anon_sym_native] = ACTIONS(462),
    [anon_sym_transient] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_sealed] = ACTIONS(466),
    [anon_sym_non_DASHsealed] = ACTIONS(468),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_identifier] = ACTIONS(478),
    [sym_decimal_integer_literal] = ACTIONS(478),
    [sym_hex_integer_literal] = ACTIONS(478),
    [sym_octal_integer_literal] = ACTIONS(478),
    [sym_binary_integer_literal] = ACTIONS(480),
    [sym_decimal_floating_point_literal] = ACTIONS(480),
    [sym_hex_floating_point_literal] = ACTIONS(478),
    [sym_true] = ACTIONS(478),
    [sym_false] = ACTIONS(478),
    [sym_character_literal] = ACTIONS(480),
    [anon_sym_DQUOTE] = ACTIONS(478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(480),
    [anon_sym_RBRACE] = ACTIONS(480),
    [sym_null_literal] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(480),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(484),
    [anon_sym_EQ_EQ] = ACTIONS(484),
    [anon_sym_BANG_EQ] = ACTIONS(484),
    [anon_sym_AMP_AMP] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(484),
    [anon_sym_PLUS] = ACTIONS(486),
    [anon_sym_DASH] = ACTIONS(486),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(482),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(484),
    [anon_sym_LT_LT] = ACTIONS(484),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_GT_GT_GT] = ACTIONS(484),
    [anon_sym_instanceof] = ACTIONS(482),
    [anon_sym_final] = ACTIONS(478),
    [anon_sym_QMARK] = ACTIONS(484),
    [anon_sym_BANG] = ACTIONS(478),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_PLUS_PLUS] = ACTIONS(489),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_new] = ACTIONS(478),
    [anon_sym_class] = ACTIONS(478),
    [anon_sym_switch] = ACTIONS(478),
    [anon_sym_LBRACE] = ACTIONS(480),
    [anon_sym_case] = ACTIONS(478),
    [anon_sym_default] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(478),
    [anon_sym_do] = ACTIONS(478),
    [anon_sym_while] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(478),
    [anon_sym_continue] = ACTIONS(478),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_yield] = ACTIONS(478),
    [anon_sym_synchronized] = ACTIONS(478),
    [anon_sym_throw] = ACTIONS(478),
    [anon_sym_try] = ACTIONS(478),
    [anon_sym_if] = ACTIONS(478),
    [anon_sym_else] = ACTIONS(478),
    [anon_sym_for] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(478),
    [anon_sym_open] = ACTIONS(478),
    [anon_sym_module] = ACTIONS(478),
    [anon_sym_static] = ACTIONS(478),
    [anon_sym_with] = ACTIONS(478),
    [anon_sym_package] = ACTIONS(478),
    [anon_sym_import] = ACTIONS(478),
    [anon_sym_enum] = ACTIONS(478),
    [anon_sym_public] = ACTIONS(478),
    [anon_sym_protected] = ACTIONS(478),
    [anon_sym_private] = ACTIONS(478),
    [anon_sym_abstract] = ACTIONS(478),
    [anon_sym_strictfp] = ACTIONS(478),
    [anon_sym_native] = ACTIONS(478),
    [anon_sym_transient] = ACTIONS(478),
    [anon_sym_volatile] = ACTIONS(478),
    [anon_sym_sealed] = ACTIONS(478),
    [anon_sym_non_DASHsealed] = ACTIONS(480),
    [anon_sym_record] = ACTIONS(478),
    [anon_sym_ATinterface] = ACTIONS(480),
    [anon_sym_interface] = ACTIONS(478),
    [anon_sym_byte] = ACTIONS(478),
    [anon_sym_short] = ACTIONS(478),
    [anon_sym_int] = ACTIONS(478),
    [anon_sym_long] = ACTIONS(478),
    [anon_sym_char] = ACTIONS(478),
    [anon_sym_float] = ACTIONS(478),
    [anon_sym_double] = ACTIONS(478),
    [sym_boolean_type] = ACTIONS(478),
    [sym_void_type] = ACTIONS(478),
    [sym_this] = ACTIONS(478),
    [sym_super] = ACTIONS(478),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [122] = {
    [ts_builtin_sym_end] = ACTIONS(480),
    [sym_identifier] = ACTIONS(478),
    [sym_decimal_integer_literal] = ACTIONS(478),
    [sym_hex_integer_literal] = ACTIONS(478),
    [sym_octal_integer_literal] = ACTIONS(478),
    [sym_binary_integer_literal] = ACTIONS(480),
    [sym_decimal_floating_point_literal] = ACTIONS(480),
    [sym_hex_floating_point_literal] = ACTIONS(478),
    [sym_true] = ACTIONS(478),
    [sym_false] = ACTIONS(478),
    [sym_character_literal] = ACTIONS(480),
    [anon_sym_DQUOTE] = ACTIONS(478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(480),
    [sym_null_literal] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(480),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(486),
    [anon_sym_GT_EQ] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(484),
    [anon_sym_EQ_EQ] = ACTIONS(484),
    [anon_sym_BANG_EQ] = ACTIONS(484),
    [anon_sym_AMP_AMP] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(484),
    [anon_sym_PLUS] = ACTIONS(486),
    [anon_sym_DASH] = ACTIONS(486),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(482),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(484),
    [anon_sym_LT_LT] = ACTIONS(484),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_GT_GT_GT] = ACTIONS(484),
    [anon_sym_instanceof] = ACTIONS(482),
    [anon_sym_final] = ACTIONS(478),
    [anon_sym_QMARK] = ACTIONS(484),
    [anon_sym_BANG] = ACTIONS(478),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_PLUS_PLUS] = ACTIONS(489),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_new] = ACTIONS(478),
    [anon_sym_class] = ACTIONS(478),
    [anon_sym_switch] = ACTIONS(478),
    [anon_sym_LBRACE] = ACTIONS(480),
    [anon_sym_default] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(478),
    [anon_sym_do] = ACTIONS(478),
    [anon_sym_while] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(478),
    [anon_sym_continue] = ACTIONS(478),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_yield] = ACTIONS(478),
    [anon_sym_synchronized] = ACTIONS(478),
    [anon_sym_throw] = ACTIONS(478),
    [anon_sym_try] = ACTIONS(478),
    [anon_sym_if] = ACTIONS(478),
    [anon_sym_else] = ACTIONS(478),
    [anon_sym_for] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(478),
    [anon_sym_open] = ACTIONS(478),
    [anon_sym_module] = ACTIONS(478),
    [anon_sym_static] = ACTIONS(478),
    [anon_sym_with] = ACTIONS(478),
    [anon_sym_package] = ACTIONS(478),
    [anon_sym_import] = ACTIONS(478),
    [anon_sym_enum] = ACTIONS(478),
    [anon_sym_public] = ACTIONS(478),
    [anon_sym_protected] = ACTIONS(478),
    [anon_sym_private] = ACTIONS(478),
    [anon_sym_abstract] = ACTIONS(478),
    [anon_sym_strictfp] = ACTIONS(478),
    [anon_sym_native] = ACTIONS(478),
    [anon_sym_transient] = ACTIONS(478),
    [anon_sym_volatile] = ACTIONS(478),
    [anon_sym_sealed] = ACTIONS(478),
    [anon_sym_non_DASHsealed] = ACTIONS(480),
    [anon_sym_record] = ACTIONS(478),
    [anon_sym_ATinterface] = ACTIONS(480),
    [anon_sym_interface] = ACTIONS(478),
    [anon_sym_byte] = ACTIONS(478),
    [anon_sym_short] = ACTIONS(478),
    [anon_sym_int] = ACTIONS(478),
    [anon_sym_long] = ACTIONS(478),
    [anon_sym_char] = ACTIONS(478),
    [anon_sym_float] = ACTIONS(478),
    [anon_sym_double] = ACTIONS(478),
    [sym_boolean_type] = ACTIONS(478),
    [sym_void_type] = ACTIONS(478),
    [sym_this] = ACTIONS(478),
    [sym_super] = ACTIONS(478),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [123] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(645),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(845),
    [sym_marker_annotation] = STATE(845),
    [sym_annotation] = STATE(845),
    [sym_element_value_pair] = STATE(1114),
    [sym__element_value] = STATE(1315),
    [sym_element_value_array_initializer] = STATE(1315),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(492),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [124] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(737),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym_block] = STATE(1092),
    [sym_expression_statement] = STATE(1092),
    [sym_throw_statement] = STATE(1092),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [125] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(645),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(845),
    [sym_marker_annotation] = STATE(845),
    [sym_annotation] = STATE(845),
    [sym_element_value_pair] = STATE(1101),
    [sym__element_value] = STATE(1343),
    [sym_element_value_array_initializer] = STATE(1343),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(492),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(498),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [126] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(645),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(845),
    [sym_marker_annotation] = STATE(845),
    [sym_annotation] = STATE(845),
    [sym_element_value_pair] = STATE(1138),
    [sym__element_value] = STATE(1300),
    [sym_element_value_array_initializer] = STATE(1300),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(492),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [127] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(645),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(845),
    [sym_marker_annotation] = STATE(845),
    [sym_annotation] = STATE(845),
    [sym__element_value] = STATE(1089),
    [sym_element_value_array_initializer] = STATE(1089),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(502),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [128] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(645),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(845),
    [sym_marker_annotation] = STATE(845),
    [sym_annotation] = STATE(845),
    [sym__element_value] = STATE(1209),
    [sym_element_value_array_initializer] = STATE(1209),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(506),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [129] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(662),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym_array_initializer] = STATE(1107),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(508),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(512),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [130] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(658),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym_record_pattern] = STATE(1154),
    [sym_record_pattern_component] = STATE(1154),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(814),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(858),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(514),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [sym_underscore_pattern] = ACTIONS(518),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [131] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(658),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym_record_pattern] = STATE(1154),
    [sym_record_pattern_component] = STATE(1154),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(814),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(858),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(514),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(520),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [sym_underscore_pattern] = ACTIONS(518),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [132] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(645),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(845),
    [sym_marker_annotation] = STATE(845),
    [sym_annotation] = STATE(845),
    [sym__element_value] = STATE(1209),
    [sym_element_value_array_initializer] = STATE(1209),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(522),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [133] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(705),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym_array_initializer] = STATE(1296),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(524),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(512),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [134] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(626),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym_pattern] = STATE(1030),
    [sym_type_pattern] = STATE(1132),
    [sym_record_pattern] = STATE(1132),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(819),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(858),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(438),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(526),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [135] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(705),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym_array_initializer] = STATE(1296),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(536),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(512),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_identifier] = ACTIONS(420),
    [anon_sym_RBRACE] = ACTIONS(422),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(422),
    [anon_sym_AMP] = ACTIONS(420),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_PLUS_EQ] = ACTIONS(422),
    [anon_sym_DASH_EQ] = ACTIONS(422),
    [anon_sym_STAR_EQ] = ACTIONS(422),
    [anon_sym_SLASH_EQ] = ACTIONS(422),
    [anon_sym_AMP_EQ] = ACTIONS(422),
    [anon_sym_PIPE_EQ] = ACTIONS(422),
    [anon_sym_CARET_EQ] = ACTIONS(422),
    [anon_sym_PERCENT_EQ] = ACTIONS(422),
    [anon_sym_LT_LT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT] = ACTIONS(420),
    [anon_sym_LT] = ACTIONS(420),
    [anon_sym_GT_EQ] = ACTIONS(422),
    [anon_sym_LT_EQ] = ACTIONS(422),
    [anon_sym_EQ_EQ] = ACTIONS(422),
    [anon_sym_BANG_EQ] = ACTIONS(422),
    [anon_sym_AMP_AMP] = ACTIONS(422),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(420),
    [anon_sym_DASH] = ACTIONS(420),
    [anon_sym_STAR] = ACTIONS(420),
    [anon_sym_SLASH] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(420),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(420),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(420),
    [anon_sym_final] = ACTIONS(420),
    [anon_sym_DASH_GT] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(422),
    [anon_sym_QMARK] = ACTIONS(422),
    [anon_sym_COLON] = ACTIONS(420),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(422),
    [anon_sym_RBRACK] = ACTIONS(422),
    [anon_sym_DOT] = ACTIONS(422),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_COLON_COLON] = ACTIONS(422),
    [anon_sym_LBRACE] = ACTIONS(422),
    [anon_sym_default] = ACTIONS(420),
    [anon_sym_when] = ACTIONS(420),
    [anon_sym_SEMI] = ACTIONS(422),
    [anon_sym_synchronized] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(420),
    [anon_sym_open] = ACTIONS(420),
    [anon_sym_module] = ACTIONS(420),
    [anon_sym_static] = ACTIONS(420),
    [anon_sym_to] = ACTIONS(420),
    [anon_sym_with] = ACTIONS(420),
    [anon_sym_package] = ACTIONS(420),
    [anon_sym_enum] = ACTIONS(420),
    [anon_sym_public] = ACTIONS(420),
    [anon_sym_protected] = ACTIONS(420),
    [anon_sym_private] = ACTIONS(420),
    [anon_sym_abstract] = ACTIONS(420),
    [anon_sym_strictfp] = ACTIONS(420),
    [anon_sym_native] = ACTIONS(420),
    [anon_sym_transient] = ACTIONS(420),
    [anon_sym_volatile] = ACTIONS(420),
    [anon_sym_sealed] = ACTIONS(420),
    [anon_sym_non_DASHsealed] = ACTIONS(422),
    [anon_sym_record] = ACTIONS(420),
    [anon_sym_ATinterface] = ACTIONS(422),
    [anon_sym_interface] = ACTIONS(420),
    [anon_sym_byte] = ACTIONS(420),
    [anon_sym_short] = ACTIONS(420),
    [anon_sym_int] = ACTIONS(420),
    [anon_sym_long] = ACTIONS(420),
    [anon_sym_char] = ACTIONS(420),
    [anon_sym_float] = ACTIONS(420),
    [anon_sym_double] = ACTIONS(420),
    [sym_boolean_type] = ACTIONS(420),
    [sym_void_type] = ACTIONS(420),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [137] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(645),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(845),
    [sym_marker_annotation] = STATE(845),
    [sym_annotation] = STATE(845),
    [sym__element_value] = STATE(1209),
    [sym_element_value_array_initializer] = STATE(1209),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [138] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(645),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(845),
    [sym_marker_annotation] = STATE(845),
    [sym_annotation] = STATE(845),
    [sym__element_value] = STATE(1330),
    [sym_element_value_array_initializer] = STATE(1330),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [139] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(691),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(845),
    [sym_marker_annotation] = STATE(845),
    [sym_annotation] = STATE(845),
    [sym__element_value] = STATE(1235),
    [sym_element_value_array_initializer] = STATE(1235),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [140] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(645),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(845),
    [sym_marker_annotation] = STATE(845),
    [sym_annotation] = STATE(845),
    [sym__element_value] = STATE(1235),
    [sym_element_value_array_initializer] = STATE(1235),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [141] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(630),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym_pattern] = STATE(1102),
    [sym_type_pattern] = STATE(1132),
    [sym_record_pattern] = STATE(1132),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(819),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(858),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(440),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(538),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [142] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(653),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym_array_initializer] = STATE(1134),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(512),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [143] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(635),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym_block] = STATE(609),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [144] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(618),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym_block] = STATE(609),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [145] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(705),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym_array_initializer] = STATE(1296),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(512),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [146] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(682),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(542),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [147] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(669),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(544),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [148] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(670),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(546),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [149] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(727),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(548),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [150] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(671),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(550),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [151] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(658),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [152] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(655),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(554),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [153] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(657),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(556),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [154] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(660),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(558),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [155] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(722),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [156] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(722),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(562),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [157] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(714),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(564),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_catch_clause] = STATE(214),
    [sym_finally_clause] = STATE(356),
    [aux_sym_try_statement_repeat1] = STATE(214),
    [ts_builtin_sym_end] = ACTIONS(566),
    [sym_identifier] = ACTIONS(568),
    [sym_decimal_integer_literal] = ACTIONS(568),
    [sym_hex_integer_literal] = ACTIONS(568),
    [sym_octal_integer_literal] = ACTIONS(568),
    [sym_binary_integer_literal] = ACTIONS(566),
    [sym_decimal_floating_point_literal] = ACTIONS(566),
    [sym_hex_floating_point_literal] = ACTIONS(568),
    [sym_true] = ACTIONS(568),
    [sym_false] = ACTIONS(568),
    [sym_character_literal] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(568),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(566),
    [anon_sym_RBRACE] = ACTIONS(566),
    [sym_null_literal] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_LT] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(568),
    [anon_sym_DASH] = ACTIONS(568),
    [anon_sym_final] = ACTIONS(568),
    [anon_sym_BANG] = ACTIONS(566),
    [anon_sym_TILDE] = ACTIONS(566),
    [anon_sym_PLUS_PLUS] = ACTIONS(566),
    [anon_sym_DASH_DASH] = ACTIONS(566),
    [anon_sym_new] = ACTIONS(568),
    [anon_sym_class] = ACTIONS(568),
    [anon_sym_switch] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(566),
    [anon_sym_case] = ACTIONS(568),
    [anon_sym_default] = ACTIONS(568),
    [anon_sym_SEMI] = ACTIONS(566),
    [anon_sym_assert] = ACTIONS(568),
    [anon_sym_do] = ACTIONS(568),
    [anon_sym_while] = ACTIONS(568),
    [anon_sym_break] = ACTIONS(568),
    [anon_sym_continue] = ACTIONS(568),
    [anon_sym_return] = ACTIONS(568),
    [anon_sym_yield] = ACTIONS(568),
    [anon_sym_synchronized] = ACTIONS(568),
    [anon_sym_throw] = ACTIONS(568),
    [anon_sym_try] = ACTIONS(568),
    [anon_sym_catch] = ACTIONS(570),
    [anon_sym_finally] = ACTIONS(572),
    [anon_sym_if] = ACTIONS(568),
    [anon_sym_else] = ACTIONS(568),
    [anon_sym_for] = ACTIONS(568),
    [anon_sym_AT] = ACTIONS(568),
    [anon_sym_open] = ACTIONS(568),
    [anon_sym_module] = ACTIONS(568),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_with] = ACTIONS(568),
    [anon_sym_package] = ACTIONS(568),
    [anon_sym_import] = ACTIONS(568),
    [anon_sym_enum] = ACTIONS(568),
    [anon_sym_public] = ACTIONS(568),
    [anon_sym_protected] = ACTIONS(568),
    [anon_sym_private] = ACTIONS(568),
    [anon_sym_abstract] = ACTIONS(568),
    [anon_sym_strictfp] = ACTIONS(568),
    [anon_sym_native] = ACTIONS(568),
    [anon_sym_transient] = ACTIONS(568),
    [anon_sym_volatile] = ACTIONS(568),
    [anon_sym_sealed] = ACTIONS(568),
    [anon_sym_non_DASHsealed] = ACTIONS(566),
    [anon_sym_record] = ACTIONS(568),
    [anon_sym_ATinterface] = ACTIONS(566),
    [anon_sym_interface] = ACTIONS(568),
    [anon_sym_byte] = ACTIONS(568),
    [anon_sym_short] = ACTIONS(568),
    [anon_sym_int] = ACTIONS(568),
    [anon_sym_long] = ACTIONS(568),
    [anon_sym_char] = ACTIONS(568),
    [anon_sym_float] = ACTIONS(568),
    [anon_sym_double] = ACTIONS(568),
    [sym_boolean_type] = ACTIONS(568),
    [sym_void_type] = ACTIONS(568),
    [sym_this] = ACTIONS(568),
    [sym_super] = ACTIONS(568),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_catch_clause] = STATE(163),
    [sym_finally_clause] = STATE(358),
    [aux_sym_try_statement_repeat1] = STATE(163),
    [ts_builtin_sym_end] = ACTIONS(574),
    [sym_identifier] = ACTIONS(576),
    [sym_decimal_integer_literal] = ACTIONS(576),
    [sym_hex_integer_literal] = ACTIONS(576),
    [sym_octal_integer_literal] = ACTIONS(576),
    [sym_binary_integer_literal] = ACTIONS(574),
    [sym_decimal_floating_point_literal] = ACTIONS(574),
    [sym_hex_floating_point_literal] = ACTIONS(576),
    [sym_true] = ACTIONS(576),
    [sym_false] = ACTIONS(576),
    [sym_character_literal] = ACTIONS(574),
    [anon_sym_DQUOTE] = ACTIONS(576),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(574),
    [anon_sym_RBRACE] = ACTIONS(574),
    [sym_null_literal] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(574),
    [anon_sym_LT] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_final] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(574),
    [anon_sym_TILDE] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_new] = ACTIONS(576),
    [anon_sym_class] = ACTIONS(576),
    [anon_sym_switch] = ACTIONS(576),
    [anon_sym_LBRACE] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(576),
    [anon_sym_default] = ACTIONS(576),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym_assert] = ACTIONS(576),
    [anon_sym_do] = ACTIONS(576),
    [anon_sym_while] = ACTIONS(576),
    [anon_sym_break] = ACTIONS(576),
    [anon_sym_continue] = ACTIONS(576),
    [anon_sym_return] = ACTIONS(576),
    [anon_sym_yield] = ACTIONS(576),
    [anon_sym_synchronized] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(576),
    [anon_sym_try] = ACTIONS(576),
    [anon_sym_catch] = ACTIONS(570),
    [anon_sym_finally] = ACTIONS(572),
    [anon_sym_if] = ACTIONS(576),
    [anon_sym_else] = ACTIONS(576),
    [anon_sym_for] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(576),
    [anon_sym_open] = ACTIONS(576),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_static] = ACTIONS(576),
    [anon_sym_with] = ACTIONS(576),
    [anon_sym_package] = ACTIONS(576),
    [anon_sym_import] = ACTIONS(576),
    [anon_sym_enum] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(576),
    [anon_sym_protected] = ACTIONS(576),
    [anon_sym_private] = ACTIONS(576),
    [anon_sym_abstract] = ACTIONS(576),
    [anon_sym_strictfp] = ACTIONS(576),
    [anon_sym_native] = ACTIONS(576),
    [anon_sym_transient] = ACTIONS(576),
    [anon_sym_volatile] = ACTIONS(576),
    [anon_sym_sealed] = ACTIONS(576),
    [anon_sym_non_DASHsealed] = ACTIONS(574),
    [anon_sym_record] = ACTIONS(576),
    [anon_sym_ATinterface] = ACTIONS(574),
    [anon_sym_interface] = ACTIONS(576),
    [anon_sym_byte] = ACTIONS(576),
    [anon_sym_short] = ACTIONS(576),
    [anon_sym_int] = ACTIONS(576),
    [anon_sym_long] = ACTIONS(576),
    [anon_sym_char] = ACTIONS(576),
    [anon_sym_float] = ACTIONS(576),
    [anon_sym_double] = ACTIONS(576),
    [sym_boolean_type] = ACTIONS(576),
    [sym_void_type] = ACTIONS(576),
    [sym_this] = ACTIONS(576),
    [sym_super] = ACTIONS(576),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [160] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(736),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(578),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [161] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(738),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(580),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [162] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(714),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_catch_clause] = STATE(214),
    [sym_finally_clause] = STATE(325),
    [aux_sym_try_statement_repeat1] = STATE(214),
    [ts_builtin_sym_end] = ACTIONS(584),
    [sym_identifier] = ACTIONS(586),
    [sym_decimal_integer_literal] = ACTIONS(586),
    [sym_hex_integer_literal] = ACTIONS(586),
    [sym_octal_integer_literal] = ACTIONS(586),
    [sym_binary_integer_literal] = ACTIONS(584),
    [sym_decimal_floating_point_literal] = ACTIONS(584),
    [sym_hex_floating_point_literal] = ACTIONS(586),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_character_literal] = ACTIONS(584),
    [anon_sym_DQUOTE] = ACTIONS(586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(584),
    [anon_sym_RBRACE] = ACTIONS(584),
    [sym_null_literal] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_final] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_PLUS_PLUS] = ACTIONS(584),
    [anon_sym_DASH_DASH] = ACTIONS(584),
    [anon_sym_new] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_case] = ACTIONS(586),
    [anon_sym_default] = ACTIONS(586),
    [anon_sym_SEMI] = ACTIONS(584),
    [anon_sym_assert] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(586),
    [anon_sym_continue] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_synchronized] = ACTIONS(586),
    [anon_sym_throw] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_catch] = ACTIONS(570),
    [anon_sym_finally] = ACTIONS(572),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_else] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(586),
    [anon_sym_open] = ACTIONS(586),
    [anon_sym_module] = ACTIONS(586),
    [anon_sym_static] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_package] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_enum] = ACTIONS(586),
    [anon_sym_public] = ACTIONS(586),
    [anon_sym_protected] = ACTIONS(586),
    [anon_sym_private] = ACTIONS(586),
    [anon_sym_abstract] = ACTIONS(586),
    [anon_sym_strictfp] = ACTIONS(586),
    [anon_sym_native] = ACTIONS(586),
    [anon_sym_transient] = ACTIONS(586),
    [anon_sym_volatile] = ACTIONS(586),
    [anon_sym_sealed] = ACTIONS(586),
    [anon_sym_non_DASHsealed] = ACTIONS(584),
    [anon_sym_record] = ACTIONS(586),
    [anon_sym_ATinterface] = ACTIONS(584),
    [anon_sym_interface] = ACTIONS(586),
    [anon_sym_byte] = ACTIONS(586),
    [anon_sym_short] = ACTIONS(586),
    [anon_sym_int] = ACTIONS(586),
    [anon_sym_long] = ACTIONS(586),
    [anon_sym_char] = ACTIONS(586),
    [anon_sym_float] = ACTIONS(586),
    [anon_sym_double] = ACTIONS(586),
    [sym_boolean_type] = ACTIONS(586),
    [sym_void_type] = ACTIONS(586),
    [sym_this] = ACTIONS(586),
    [sym_super] = ACTIONS(586),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [164] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(659),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(588),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [165] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(742),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(590),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [166] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(729),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [167] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(709),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [168] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(672),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(596),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [169] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(673),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [170] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(674),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(600),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [171] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(675),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(602),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [172] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(676),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(604),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [173] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(677),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [174] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(678),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(608),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [175] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(679),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [176] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(680),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [177] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(681),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(614),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [178] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(683),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(616),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [179] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(684),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [180] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(685),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [181] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(686),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [182] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(687),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(624),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [183] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(744),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(626),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [184] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(745),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(628),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [185] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(746),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(630),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [186] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(747),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(632),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [187] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [188] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(749),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(636),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [189] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(750),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(638),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [190] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(661),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(640),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [191] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(632),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [192] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(640),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [193] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(641),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [194] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(644),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [195] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(646),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [196] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(584),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [197] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(647),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [198] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(648),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [199] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(649),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [200] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(599),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(600),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(557),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [201] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(743),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [202] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(633),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [203] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(720),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [204] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(598),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [205] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(601),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [206] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(722),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [207] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(732),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [208] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(725),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [209] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(610),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [210] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(714),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [211] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(601),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [212] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(619),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [213] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(721),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_catch_clause] = STATE(214),
    [aux_sym_try_statement_repeat1] = STATE(214),
    [ts_builtin_sym_end] = ACTIONS(642),
    [sym_identifier] = ACTIONS(644),
    [sym_decimal_integer_literal] = ACTIONS(644),
    [sym_hex_integer_literal] = ACTIONS(644),
    [sym_octal_integer_literal] = ACTIONS(644),
    [sym_binary_integer_literal] = ACTIONS(642),
    [sym_decimal_floating_point_literal] = ACTIONS(642),
    [sym_hex_floating_point_literal] = ACTIONS(644),
    [sym_true] = ACTIONS(644),
    [sym_false] = ACTIONS(644),
    [sym_character_literal] = ACTIONS(642),
    [anon_sym_DQUOTE] = ACTIONS(644),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(642),
    [anon_sym_RBRACE] = ACTIONS(642),
    [sym_null_literal] = ACTIONS(644),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_LT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_final] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(642),
    [anon_sym_TILDE] = ACTIONS(642),
    [anon_sym_PLUS_PLUS] = ACTIONS(642),
    [anon_sym_DASH_DASH] = ACTIONS(642),
    [anon_sym_new] = ACTIONS(644),
    [anon_sym_class] = ACTIONS(644),
    [anon_sym_switch] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(642),
    [anon_sym_case] = ACTIONS(644),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_SEMI] = ACTIONS(642),
    [anon_sym_assert] = ACTIONS(644),
    [anon_sym_do] = ACTIONS(644),
    [anon_sym_while] = ACTIONS(644),
    [anon_sym_break] = ACTIONS(644),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_return] = ACTIONS(644),
    [anon_sym_yield] = ACTIONS(644),
    [anon_sym_synchronized] = ACTIONS(644),
    [anon_sym_throw] = ACTIONS(644),
    [anon_sym_try] = ACTIONS(644),
    [anon_sym_catch] = ACTIONS(646),
    [anon_sym_finally] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(644),
    [anon_sym_else] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(644),
    [anon_sym_open] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_with] = ACTIONS(644),
    [anon_sym_package] = ACTIONS(644),
    [anon_sym_import] = ACTIONS(644),
    [anon_sym_enum] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_abstract] = ACTIONS(644),
    [anon_sym_strictfp] = ACTIONS(644),
    [anon_sym_native] = ACTIONS(644),
    [anon_sym_transient] = ACTIONS(644),
    [anon_sym_volatile] = ACTIONS(644),
    [anon_sym_sealed] = ACTIONS(644),
    [anon_sym_non_DASHsealed] = ACTIONS(642),
    [anon_sym_record] = ACTIONS(644),
    [anon_sym_ATinterface] = ACTIONS(642),
    [anon_sym_interface] = ACTIONS(644),
    [anon_sym_byte] = ACTIONS(644),
    [anon_sym_short] = ACTIONS(644),
    [anon_sym_int] = ACTIONS(644),
    [anon_sym_long] = ACTIONS(644),
    [anon_sym_char] = ACTIONS(644),
    [anon_sym_float] = ACTIONS(644),
    [anon_sym_double] = ACTIONS(644),
    [sym_boolean_type] = ACTIONS(644),
    [sym_void_type] = ACTIONS(644),
    [sym_this] = ACTIONS(644),
    [sym_super] = ACTIONS(644),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [215] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(690),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [216] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(631),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [217] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(700),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [218] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(698),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [219] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(620),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [220] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(699),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [221] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(726),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [222] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(728),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [223] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(751),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [224] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(621),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [225] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(611),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [226] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(701),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [227] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(724),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [228] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(617),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [229] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(622),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [230] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(584),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [231] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(612),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [232] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(615),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [233] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(616),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [234] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(711),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [235] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(712),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [236] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(614),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [237] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(599),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(600),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(557),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [238] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(598),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [239] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(708),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [240] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(733),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [241] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(739),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [242] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(740),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [243] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(634),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [244] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(638),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [245] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(643),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1327),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [246] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(741),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [247] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_expression] = STATE(719),
    [sym_cast_expression] = STATE(585),
    [sym_assignment_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_instanceof_expression] = STATE(585),
    [sym_lambda_expression] = STATE(585),
    [sym_inferred_parameters] = STATE(1348),
    [sym_ternary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_primary_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(439),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(439),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_switch_expression] = STATE(585),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(427),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [248] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_primary_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(999),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(568),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_resource] = STATE(1291),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(831),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(799),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym__reserved_identifier] = STATE(1003),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [aux_sym_modifiers_repeat1] = STATE(625),
    [sym_identifier] = ACTIONS(649),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(653),
    [anon_sym_final] = ACTIONS(462),
    [anon_sym_new] = ACTIONS(655),
    [anon_sym_default] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(462),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(462),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(462),
    [anon_sym_protected] = ACTIONS(462),
    [anon_sym_private] = ACTIONS(462),
    [anon_sym_abstract] = ACTIONS(462),
    [anon_sym_strictfp] = ACTIONS(462),
    [anon_sym_native] = ACTIONS(462),
    [anon_sym_transient] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_sealed] = ACTIONS(466),
    [anon_sym_non_DASHsealed] = ACTIONS(468),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(454),
    [sym_identifier] = ACTIONS(456),
    [sym_decimal_integer_literal] = ACTIONS(456),
    [sym_hex_integer_literal] = ACTIONS(456),
    [sym_octal_integer_literal] = ACTIONS(456),
    [sym_binary_integer_literal] = ACTIONS(454),
    [sym_decimal_floating_point_literal] = ACTIONS(454),
    [sym_hex_floating_point_literal] = ACTIONS(456),
    [sym_true] = ACTIONS(456),
    [sym_false] = ACTIONS(456),
    [sym_character_literal] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(454),
    [anon_sym_RBRACE] = ACTIONS(454),
    [sym_null_literal] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(454),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_final] = ACTIONS(456),
    [anon_sym_BANG] = ACTIONS(454),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_PLUS_PLUS] = ACTIONS(454),
    [anon_sym_DASH_DASH] = ACTIONS(454),
    [anon_sym_new] = ACTIONS(456),
    [anon_sym_class] = ACTIONS(456),
    [anon_sym_switch] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_case] = ACTIONS(456),
    [anon_sym_default] = ACTIONS(456),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_assert] = ACTIONS(456),
    [anon_sym_do] = ACTIONS(456),
    [anon_sym_while] = ACTIONS(456),
    [anon_sym_break] = ACTIONS(456),
    [anon_sym_continue] = ACTIONS(456),
    [anon_sym_return] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(456),
    [anon_sym_synchronized] = ACTIONS(456),
    [anon_sym_throw] = ACTIONS(456),
    [anon_sym_try] = ACTIONS(456),
    [anon_sym_catch] = ACTIONS(456),
    [anon_sym_finally] = ACTIONS(456),
    [anon_sym_if] = ACTIONS(456),
    [anon_sym_else] = ACTIONS(456),
    [anon_sym_for] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(456),
    [anon_sym_open] = ACTIONS(456),
    [anon_sym_module] = ACTIONS(456),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_with] = ACTIONS(456),
    [anon_sym_package] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(456),
    [anon_sym_enum] = ACTIONS(456),
    [anon_sym_public] = ACTIONS(456),
    [anon_sym_protected] = ACTIONS(456),
    [anon_sym_private] = ACTIONS(456),
    [anon_sym_abstract] = ACTIONS(456),
    [anon_sym_strictfp] = ACTIONS(456),
    [anon_sym_native] = ACTIONS(456),
    [anon_sym_transient] = ACTIONS(456),
    [anon_sym_volatile] = ACTIONS(456),
    [anon_sym_sealed] = ACTIONS(456),
    [anon_sym_non_DASHsealed] = ACTIONS(454),
    [anon_sym_record] = ACTIONS(456),
    [anon_sym_ATinterface] = ACTIONS(454),
    [anon_sym_interface] = ACTIONS(456),
    [anon_sym_byte] = ACTIONS(456),
    [anon_sym_short] = ACTIONS(456),
    [anon_sym_int] = ACTIONS(456),
    [anon_sym_long] = ACTIONS(456),
    [anon_sym_char] = ACTIONS(456),
    [anon_sym_float] = ACTIONS(456),
    [anon_sym_double] = ACTIONS(456),
    [sym_boolean_type] = ACTIONS(456),
    [sym_void_type] = ACTIONS(456),
    [sym_this] = ACTIONS(456),
    [sym_super] = ACTIONS(456),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(434),
    [sym_identifier] = ACTIONS(436),
    [sym_decimal_integer_literal] = ACTIONS(436),
    [sym_hex_integer_literal] = ACTIONS(436),
    [sym_octal_integer_literal] = ACTIONS(436),
    [sym_binary_integer_literal] = ACTIONS(434),
    [sym_decimal_floating_point_literal] = ACTIONS(434),
    [sym_hex_floating_point_literal] = ACTIONS(436),
    [sym_true] = ACTIONS(436),
    [sym_false] = ACTIONS(436),
    [sym_character_literal] = ACTIONS(434),
    [anon_sym_DQUOTE] = ACTIONS(436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(434),
    [anon_sym_RBRACE] = ACTIONS(434),
    [sym_null_literal] = ACTIONS(436),
    [anon_sym_LPAREN] = ACTIONS(434),
    [anon_sym_LT] = ACTIONS(434),
    [anon_sym_PLUS] = ACTIONS(436),
    [anon_sym_DASH] = ACTIONS(436),
    [anon_sym_final] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(434),
    [anon_sym_DASH_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_case] = ACTIONS(436),
    [anon_sym_default] = ACTIONS(436),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_assert] = ACTIONS(436),
    [anon_sym_do] = ACTIONS(436),
    [anon_sym_while] = ACTIONS(436),
    [anon_sym_break] = ACTIONS(436),
    [anon_sym_continue] = ACTIONS(436),
    [anon_sym_return] = ACTIONS(436),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_synchronized] = ACTIONS(436),
    [anon_sym_throw] = ACTIONS(436),
    [anon_sym_try] = ACTIONS(436),
    [anon_sym_catch] = ACTIONS(436),
    [anon_sym_finally] = ACTIONS(436),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_else] = ACTIONS(436),
    [anon_sym_for] = ACTIONS(436),
    [anon_sym_AT] = ACTIONS(436),
    [anon_sym_open] = ACTIONS(436),
    [anon_sym_module] = ACTIONS(436),
    [anon_sym_static] = ACTIONS(436),
    [anon_sym_with] = ACTIONS(436),
    [anon_sym_package] = ACTIONS(436),
    [anon_sym_import] = ACTIONS(436),
    [anon_sym_enum] = ACTIONS(436),
    [anon_sym_public] = ACTIONS(436),
    [anon_sym_protected] = ACTIONS(436),
    [anon_sym_private] = ACTIONS(436),
    [anon_sym_abstract] = ACTIONS(436),
    [anon_sym_strictfp] = ACTIONS(436),
    [anon_sym_native] = ACTIONS(436),
    [anon_sym_transient] = ACTIONS(436),
    [anon_sym_volatile] = ACTIONS(436),
    [anon_sym_sealed] = ACTIONS(436),
    [anon_sym_non_DASHsealed] = ACTIONS(434),
    [anon_sym_record] = ACTIONS(436),
    [anon_sym_ATinterface] = ACTIONS(434),
    [anon_sym_interface] = ACTIONS(436),
    [anon_sym_byte] = ACTIONS(436),
    [anon_sym_short] = ACTIONS(436),
    [anon_sym_int] = ACTIONS(436),
    [anon_sym_long] = ACTIONS(436),
    [anon_sym_char] = ACTIONS(436),
    [anon_sym_float] = ACTIONS(436),
    [anon_sym_double] = ACTIONS(436),
    [sym_boolean_type] = ACTIONS(436),
    [sym_void_type] = ACTIONS(436),
    [sym_this] = ACTIONS(436),
    [sym_super] = ACTIONS(436),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [251] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_primary_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(999),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(568),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_resource] = STATE(1291),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(831),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(799),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym__reserved_identifier] = STATE(1003),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [aux_sym_modifiers_repeat1] = STATE(625),
    [sym_identifier] = ACTIONS(649),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(657),
    [anon_sym_final] = ACTIONS(462),
    [anon_sym_new] = ACTIONS(655),
    [anon_sym_default] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(462),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(462),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(462),
    [anon_sym_protected] = ACTIONS(462),
    [anon_sym_private] = ACTIONS(462),
    [anon_sym_abstract] = ACTIONS(462),
    [anon_sym_strictfp] = ACTIONS(462),
    [anon_sym_native] = ACTIONS(462),
    [anon_sym_transient] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_sealed] = ACTIONS(466),
    [anon_sym_non_DASHsealed] = ACTIONS(468),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(659),
    [sym_identifier] = ACTIONS(661),
    [sym_decimal_integer_literal] = ACTIONS(661),
    [sym_hex_integer_literal] = ACTIONS(661),
    [sym_octal_integer_literal] = ACTIONS(661),
    [sym_binary_integer_literal] = ACTIONS(659),
    [sym_decimal_floating_point_literal] = ACTIONS(659),
    [sym_hex_floating_point_literal] = ACTIONS(661),
    [sym_true] = ACTIONS(661),
    [sym_false] = ACTIONS(661),
    [sym_character_literal] = ACTIONS(659),
    [anon_sym_DQUOTE] = ACTIONS(661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(659),
    [anon_sym_RBRACE] = ACTIONS(659),
    [sym_null_literal] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_final] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(661),
    [anon_sym_class] = ACTIONS(661),
    [anon_sym_switch] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_case] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(659),
    [anon_sym_assert] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_yield] = ACTIONS(661),
    [anon_sym_synchronized] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_catch] = ACTIONS(661),
    [anon_sym_finally] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_else] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_AT] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_module] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_with] = ACTIONS(661),
    [anon_sym_package] = ACTIONS(661),
    [anon_sym_import] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_public] = ACTIONS(661),
    [anon_sym_protected] = ACTIONS(661),
    [anon_sym_private] = ACTIONS(661),
    [anon_sym_abstract] = ACTIONS(661),
    [anon_sym_strictfp] = ACTIONS(661),
    [anon_sym_native] = ACTIONS(661),
    [anon_sym_transient] = ACTIONS(661),
    [anon_sym_volatile] = ACTIONS(661),
    [anon_sym_sealed] = ACTIONS(661),
    [anon_sym_non_DASHsealed] = ACTIONS(659),
    [anon_sym_record] = ACTIONS(661),
    [anon_sym_ATinterface] = ACTIONS(659),
    [anon_sym_interface] = ACTIONS(661),
    [anon_sym_byte] = ACTIONS(661),
    [anon_sym_short] = ACTIONS(661),
    [anon_sym_int] = ACTIONS(661),
    [anon_sym_long] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_float] = ACTIONS(661),
    [anon_sym_double] = ACTIONS(661),
    [sym_boolean_type] = ACTIONS(661),
    [sym_void_type] = ACTIONS(661),
    [sym_this] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [253] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_primary_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(999),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(568),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_resource] = STATE(1291),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(831),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(799),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym__reserved_identifier] = STATE(1003),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [aux_sym_modifiers_repeat1] = STATE(625),
    [sym_identifier] = ACTIONS(649),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_final] = ACTIONS(462),
    [anon_sym_new] = ACTIONS(655),
    [anon_sym_default] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(462),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(462),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(462),
    [anon_sym_protected] = ACTIONS(462),
    [anon_sym_private] = ACTIONS(462),
    [anon_sym_abstract] = ACTIONS(462),
    [anon_sym_strictfp] = ACTIONS(462),
    [anon_sym_native] = ACTIONS(462),
    [anon_sym_transient] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_sealed] = ACTIONS(466),
    [anon_sym_non_DASHsealed] = ACTIONS(468),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [254] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_primary_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(999),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(568),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym_resource] = STATE(1139),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(831),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(799),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym__reserved_identifier] = STATE(1003),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [aux_sym_modifiers_repeat1] = STATE(625),
    [sym_identifier] = ACTIONS(649),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_final] = ACTIONS(462),
    [anon_sym_new] = ACTIONS(655),
    [anon_sym_default] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(462),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(462),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(462),
    [anon_sym_protected] = ACTIONS(462),
    [anon_sym_private] = ACTIONS(462),
    [anon_sym_abstract] = ACTIONS(462),
    [anon_sym_strictfp] = ACTIONS(462),
    [anon_sym_native] = ACTIONS(462),
    [anon_sym_transient] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_sealed] = ACTIONS(466),
    [anon_sym_non_DASHsealed] = ACTIONS(468),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [255] = {
    [ts_builtin_sym_end] = ACTIONS(663),
    [sym_identifier] = ACTIONS(665),
    [sym_decimal_integer_literal] = ACTIONS(665),
    [sym_hex_integer_literal] = ACTIONS(665),
    [sym_octal_integer_literal] = ACTIONS(665),
    [sym_binary_integer_literal] = ACTIONS(663),
    [sym_decimal_floating_point_literal] = ACTIONS(663),
    [sym_hex_floating_point_literal] = ACTIONS(665),
    [sym_true] = ACTIONS(665),
    [sym_false] = ACTIONS(665),
    [sym_character_literal] = ACTIONS(663),
    [anon_sym_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(663),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_final] = ACTIONS(665),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_PLUS_PLUS] = ACTIONS(663),
    [anon_sym_DASH_DASH] = ACTIONS(663),
    [anon_sym_new] = ACTIONS(665),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_switch] = ACTIONS(665),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_case] = ACTIONS(665),
    [anon_sym_default] = ACTIONS(665),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_assert] = ACTIONS(665),
    [anon_sym_do] = ACTIONS(665),
    [anon_sym_while] = ACTIONS(665),
    [anon_sym_break] = ACTIONS(665),
    [anon_sym_continue] = ACTIONS(665),
    [anon_sym_return] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(665),
    [anon_sym_synchronized] = ACTIONS(665),
    [anon_sym_throw] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_if] = ACTIONS(665),
    [anon_sym_else] = ACTIONS(665),
    [anon_sym_for] = ACTIONS(665),
    [anon_sym_AT] = ACTIONS(665),
    [anon_sym_open] = ACTIONS(665),
    [anon_sym_module] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(665),
    [anon_sym_with] = ACTIONS(665),
    [anon_sym_package] = ACTIONS(665),
    [anon_sym_import] = ACTIONS(665),
    [anon_sym_enum] = ACTIONS(665),
    [anon_sym_public] = ACTIONS(665),
    [anon_sym_protected] = ACTIONS(665),
    [anon_sym_private] = ACTIONS(665),
    [anon_sym_abstract] = ACTIONS(665),
    [anon_sym_strictfp] = ACTIONS(665),
    [anon_sym_native] = ACTIONS(665),
    [anon_sym_transient] = ACTIONS(665),
    [anon_sym_volatile] = ACTIONS(665),
    [anon_sym_sealed] = ACTIONS(665),
    [anon_sym_non_DASHsealed] = ACTIONS(663),
    [anon_sym_record] = ACTIONS(665),
    [anon_sym_ATinterface] = ACTIONS(663),
    [anon_sym_interface] = ACTIONS(665),
    [anon_sym_byte] = ACTIONS(665),
    [anon_sym_short] = ACTIONS(665),
    [anon_sym_int] = ACTIONS(665),
    [anon_sym_long] = ACTIONS(665),
    [anon_sym_char] = ACTIONS(665),
    [anon_sym_float] = ACTIONS(665),
    [anon_sym_double] = ACTIONS(665),
    [sym_boolean_type] = ACTIONS(665),
    [sym_void_type] = ACTIONS(665),
    [sym_this] = ACTIONS(665),
    [sym_super] = ACTIONS(665),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(667),
    [sym_identifier] = ACTIONS(669),
    [sym_decimal_integer_literal] = ACTIONS(669),
    [sym_hex_integer_literal] = ACTIONS(669),
    [sym_octal_integer_literal] = ACTIONS(669),
    [sym_binary_integer_literal] = ACTIONS(667),
    [sym_decimal_floating_point_literal] = ACTIONS(667),
    [sym_hex_floating_point_literal] = ACTIONS(669),
    [sym_true] = ACTIONS(669),
    [sym_false] = ACTIONS(669),
    [sym_character_literal] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(667),
    [anon_sym_RBRACE] = ACTIONS(667),
    [sym_null_literal] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_final] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_class] = ACTIONS(669),
    [anon_sym_switch] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(667),
    [anon_sym_case] = ACTIONS(669),
    [anon_sym_default] = ACTIONS(669),
    [anon_sym_SEMI] = ACTIONS(667),
    [anon_sym_assert] = ACTIONS(669),
    [anon_sym_do] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(669),
    [anon_sym_break] = ACTIONS(669),
    [anon_sym_continue] = ACTIONS(669),
    [anon_sym_return] = ACTIONS(669),
    [anon_sym_yield] = ACTIONS(669),
    [anon_sym_synchronized] = ACTIONS(669),
    [anon_sym_throw] = ACTIONS(669),
    [anon_sym_try] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_else] = ACTIONS(669),
    [anon_sym_for] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_module] = ACTIONS(669),
    [anon_sym_static] = ACTIONS(669),
    [anon_sym_with] = ACTIONS(669),
    [anon_sym_package] = ACTIONS(669),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_enum] = ACTIONS(669),
    [anon_sym_public] = ACTIONS(669),
    [anon_sym_protected] = ACTIONS(669),
    [anon_sym_private] = ACTIONS(669),
    [anon_sym_abstract] = ACTIONS(669),
    [anon_sym_strictfp] = ACTIONS(669),
    [anon_sym_native] = ACTIONS(669),
    [anon_sym_transient] = ACTIONS(669),
    [anon_sym_volatile] = ACTIONS(669),
    [anon_sym_sealed] = ACTIONS(669),
    [anon_sym_non_DASHsealed] = ACTIONS(667),
    [anon_sym_record] = ACTIONS(669),
    [anon_sym_ATinterface] = ACTIONS(667),
    [anon_sym_interface] = ACTIONS(669),
    [anon_sym_byte] = ACTIONS(669),
    [anon_sym_short] = ACTIONS(669),
    [anon_sym_int] = ACTIONS(669),
    [anon_sym_long] = ACTIONS(669),
    [anon_sym_char] = ACTIONS(669),
    [anon_sym_float] = ACTIONS(669),
    [anon_sym_double] = ACTIONS(669),
    [sym_boolean_type] = ACTIONS(669),
    [sym_void_type] = ACTIONS(669),
    [sym_this] = ACTIONS(669),
    [sym_super] = ACTIONS(669),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(671),
    [sym_identifier] = ACTIONS(673),
    [sym_decimal_integer_literal] = ACTIONS(673),
    [sym_hex_integer_literal] = ACTIONS(673),
    [sym_octal_integer_literal] = ACTIONS(673),
    [sym_binary_integer_literal] = ACTIONS(671),
    [sym_decimal_floating_point_literal] = ACTIONS(671),
    [sym_hex_floating_point_literal] = ACTIONS(673),
    [sym_true] = ACTIONS(673),
    [sym_false] = ACTIONS(673),
    [sym_character_literal] = ACTIONS(671),
    [anon_sym_DQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(671),
    [sym_null_literal] = ACTIONS(673),
    [anon_sym_LPAREN] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_final] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(671),
    [anon_sym_PLUS_PLUS] = ACTIONS(671),
    [anon_sym_DASH_DASH] = ACTIONS(671),
    [anon_sym_new] = ACTIONS(673),
    [anon_sym_class] = ACTIONS(673),
    [anon_sym_switch] = ACTIONS(673),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_case] = ACTIONS(673),
    [anon_sym_default] = ACTIONS(673),
    [anon_sym_SEMI] = ACTIONS(671),
    [anon_sym_assert] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(673),
    [anon_sym_while] = ACTIONS(673),
    [anon_sym_break] = ACTIONS(673),
    [anon_sym_continue] = ACTIONS(673),
    [anon_sym_return] = ACTIONS(673),
    [anon_sym_yield] = ACTIONS(673),
    [anon_sym_synchronized] = ACTIONS(673),
    [anon_sym_throw] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(673),
    [anon_sym_if] = ACTIONS(673),
    [anon_sym_else] = ACTIONS(673),
    [anon_sym_for] = ACTIONS(673),
    [anon_sym_AT] = ACTIONS(673),
    [anon_sym_open] = ACTIONS(673),
    [anon_sym_module] = ACTIONS(673),
    [anon_sym_static] = ACTIONS(673),
    [anon_sym_with] = ACTIONS(673),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(673),
    [anon_sym_enum] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(673),
    [anon_sym_protected] = ACTIONS(673),
    [anon_sym_private] = ACTIONS(673),
    [anon_sym_abstract] = ACTIONS(673),
    [anon_sym_strictfp] = ACTIONS(673),
    [anon_sym_native] = ACTIONS(673),
    [anon_sym_transient] = ACTIONS(673),
    [anon_sym_volatile] = ACTIONS(673),
    [anon_sym_sealed] = ACTIONS(673),
    [anon_sym_non_DASHsealed] = ACTIONS(671),
    [anon_sym_record] = ACTIONS(673),
    [anon_sym_ATinterface] = ACTIONS(671),
    [anon_sym_interface] = ACTIONS(673),
    [anon_sym_byte] = ACTIONS(673),
    [anon_sym_short] = ACTIONS(673),
    [anon_sym_int] = ACTIONS(673),
    [anon_sym_long] = ACTIONS(673),
    [anon_sym_char] = ACTIONS(673),
    [anon_sym_float] = ACTIONS(673),
    [anon_sym_double] = ACTIONS(673),
    [sym_boolean_type] = ACTIONS(673),
    [sym_void_type] = ACTIONS(673),
    [sym_this] = ACTIONS(673),
    [sym_super] = ACTIONS(673),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(675),
    [sym_identifier] = ACTIONS(677),
    [sym_decimal_integer_literal] = ACTIONS(677),
    [sym_hex_integer_literal] = ACTIONS(677),
    [sym_octal_integer_literal] = ACTIONS(677),
    [sym_binary_integer_literal] = ACTIONS(675),
    [sym_decimal_floating_point_literal] = ACTIONS(675),
    [sym_hex_floating_point_literal] = ACTIONS(677),
    [sym_true] = ACTIONS(677),
    [sym_false] = ACTIONS(677),
    [sym_character_literal] = ACTIONS(675),
    [anon_sym_DQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(675),
    [anon_sym_RBRACE] = ACTIONS(675),
    [sym_null_literal] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(677),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_final] = ACTIONS(677),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(675),
    [anon_sym_DASH_DASH] = ACTIONS(675),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_class] = ACTIONS(677),
    [anon_sym_switch] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(675),
    [anon_sym_case] = ACTIONS(677),
    [anon_sym_default] = ACTIONS(677),
    [anon_sym_SEMI] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(677),
    [anon_sym_do] = ACTIONS(677),
    [anon_sym_while] = ACTIONS(677),
    [anon_sym_break] = ACTIONS(677),
    [anon_sym_continue] = ACTIONS(677),
    [anon_sym_return] = ACTIONS(677),
    [anon_sym_yield] = ACTIONS(677),
    [anon_sym_synchronized] = ACTIONS(677),
    [anon_sym_throw] = ACTIONS(677),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(677),
    [anon_sym_else] = ACTIONS(677),
    [anon_sym_for] = ACTIONS(677),
    [anon_sym_AT] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_module] = ACTIONS(677),
    [anon_sym_static] = ACTIONS(677),
    [anon_sym_with] = ACTIONS(677),
    [anon_sym_package] = ACTIONS(677),
    [anon_sym_import] = ACTIONS(677),
    [anon_sym_enum] = ACTIONS(677),
    [anon_sym_public] = ACTIONS(677),
    [anon_sym_protected] = ACTIONS(677),
    [anon_sym_private] = ACTIONS(677),
    [anon_sym_abstract] = ACTIONS(677),
    [anon_sym_strictfp] = ACTIONS(677),
    [anon_sym_native] = ACTIONS(677),
    [anon_sym_transient] = ACTIONS(677),
    [anon_sym_volatile] = ACTIONS(677),
    [anon_sym_sealed] = ACTIONS(677),
    [anon_sym_non_DASHsealed] = ACTIONS(675),
    [anon_sym_record] = ACTIONS(677),
    [anon_sym_ATinterface] = ACTIONS(675),
    [anon_sym_interface] = ACTIONS(677),
    [anon_sym_byte] = ACTIONS(677),
    [anon_sym_short] = ACTIONS(677),
    [anon_sym_int] = ACTIONS(677),
    [anon_sym_long] = ACTIONS(677),
    [anon_sym_char] = ACTIONS(677),
    [anon_sym_float] = ACTIONS(677),
    [anon_sym_double] = ACTIONS(677),
    [sym_boolean_type] = ACTIONS(677),
    [sym_void_type] = ACTIONS(677),
    [sym_this] = ACTIONS(677),
    [sym_super] = ACTIONS(677),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [259] = {
    [ts_builtin_sym_end] = ACTIONS(679),
    [sym_identifier] = ACTIONS(681),
    [sym_decimal_integer_literal] = ACTIONS(681),
    [sym_hex_integer_literal] = ACTIONS(681),
    [sym_octal_integer_literal] = ACTIONS(681),
    [sym_binary_integer_literal] = ACTIONS(679),
    [sym_decimal_floating_point_literal] = ACTIONS(679),
    [sym_hex_floating_point_literal] = ACTIONS(681),
    [sym_true] = ACTIONS(681),
    [sym_false] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(679),
    [sym_null_literal] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_final] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_new] = ACTIONS(681),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_switch] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_case] = ACTIONS(681),
    [anon_sym_default] = ACTIONS(681),
    [anon_sym_SEMI] = ACTIONS(679),
    [anon_sym_assert] = ACTIONS(681),
    [anon_sym_do] = ACTIONS(681),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_break] = ACTIONS(681),
    [anon_sym_continue] = ACTIONS(681),
    [anon_sym_return] = ACTIONS(681),
    [anon_sym_yield] = ACTIONS(681),
    [anon_sym_synchronized] = ACTIONS(681),
    [anon_sym_throw] = ACTIONS(681),
    [anon_sym_try] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_else] = ACTIONS(681),
    [anon_sym_for] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(681),
    [anon_sym_open] = ACTIONS(681),
    [anon_sym_module] = ACTIONS(681),
    [anon_sym_static] = ACTIONS(681),
    [anon_sym_with] = ACTIONS(681),
    [anon_sym_package] = ACTIONS(681),
    [anon_sym_import] = ACTIONS(681),
    [anon_sym_enum] = ACTIONS(681),
    [anon_sym_public] = ACTIONS(681),
    [anon_sym_protected] = ACTIONS(681),
    [anon_sym_private] = ACTIONS(681),
    [anon_sym_abstract] = ACTIONS(681),
    [anon_sym_strictfp] = ACTIONS(681),
    [anon_sym_native] = ACTIONS(681),
    [anon_sym_transient] = ACTIONS(681),
    [anon_sym_volatile] = ACTIONS(681),
    [anon_sym_sealed] = ACTIONS(681),
    [anon_sym_non_DASHsealed] = ACTIONS(679),
    [anon_sym_record] = ACTIONS(681),
    [anon_sym_ATinterface] = ACTIONS(679),
    [anon_sym_interface] = ACTIONS(681),
    [anon_sym_byte] = ACTIONS(681),
    [anon_sym_short] = ACTIONS(681),
    [anon_sym_int] = ACTIONS(681),
    [anon_sym_long] = ACTIONS(681),
    [anon_sym_char] = ACTIONS(681),
    [anon_sym_float] = ACTIONS(681),
    [anon_sym_double] = ACTIONS(681),
    [sym_boolean_type] = ACTIONS(681),
    [sym_void_type] = ACTIONS(681),
    [sym_this] = ACTIONS(681),
    [sym_super] = ACTIONS(681),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(683),
    [sym_identifier] = ACTIONS(685),
    [sym_decimal_integer_literal] = ACTIONS(685),
    [sym_hex_integer_literal] = ACTIONS(685),
    [sym_octal_integer_literal] = ACTIONS(685),
    [sym_binary_integer_literal] = ACTIONS(683),
    [sym_decimal_floating_point_literal] = ACTIONS(683),
    [sym_hex_floating_point_literal] = ACTIONS(685),
    [sym_true] = ACTIONS(685),
    [sym_false] = ACTIONS(685),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(685),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(683),
    [anon_sym_RBRACE] = ACTIONS(683),
    [sym_null_literal] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_final] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_PLUS_PLUS] = ACTIONS(683),
    [anon_sym_DASH_DASH] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(685),
    [anon_sym_class] = ACTIONS(685),
    [anon_sym_switch] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(683),
    [anon_sym_case] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(683),
    [anon_sym_assert] = ACTIONS(685),
    [anon_sym_do] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_yield] = ACTIONS(685),
    [anon_sym_synchronized] = ACTIONS(685),
    [anon_sym_throw] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_else] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(685),
    [anon_sym_open] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_with] = ACTIONS(685),
    [anon_sym_package] = ACTIONS(685),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_abstract] = ACTIONS(685),
    [anon_sym_strictfp] = ACTIONS(685),
    [anon_sym_native] = ACTIONS(685),
    [anon_sym_transient] = ACTIONS(685),
    [anon_sym_volatile] = ACTIONS(685),
    [anon_sym_sealed] = ACTIONS(685),
    [anon_sym_non_DASHsealed] = ACTIONS(683),
    [anon_sym_record] = ACTIONS(685),
    [anon_sym_ATinterface] = ACTIONS(683),
    [anon_sym_interface] = ACTIONS(685),
    [anon_sym_byte] = ACTIONS(685),
    [anon_sym_short] = ACTIONS(685),
    [anon_sym_int] = ACTIONS(685),
    [anon_sym_long] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_float] = ACTIONS(685),
    [anon_sym_double] = ACTIONS(685),
    [sym_boolean_type] = ACTIONS(685),
    [sym_void_type] = ACTIONS(685),
    [sym_this] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(687),
    [sym_identifier] = ACTIONS(689),
    [sym_decimal_integer_literal] = ACTIONS(689),
    [sym_hex_integer_literal] = ACTIONS(689),
    [sym_octal_integer_literal] = ACTIONS(689),
    [sym_binary_integer_literal] = ACTIONS(687),
    [sym_decimal_floating_point_literal] = ACTIONS(687),
    [sym_hex_floating_point_literal] = ACTIONS(689),
    [sym_true] = ACTIONS(689),
    [sym_false] = ACTIONS(689),
    [sym_character_literal] = ACTIONS(687),
    [anon_sym_DQUOTE] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(687),
    [anon_sym_RBRACE] = ACTIONS(687),
    [sym_null_literal] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_LT] = ACTIONS(687),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_final] = ACTIONS(689),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_PLUS_PLUS] = ACTIONS(687),
    [anon_sym_DASH_DASH] = ACTIONS(687),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_class] = ACTIONS(689),
    [anon_sym_switch] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_case] = ACTIONS(689),
    [anon_sym_default] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(687),
    [anon_sym_assert] = ACTIONS(689),
    [anon_sym_do] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(689),
    [anon_sym_break] = ACTIONS(689),
    [anon_sym_continue] = ACTIONS(689),
    [anon_sym_return] = ACTIONS(689),
    [anon_sym_yield] = ACTIONS(689),
    [anon_sym_synchronized] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(689),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_else] = ACTIONS(689),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_AT] = ACTIONS(689),
    [anon_sym_open] = ACTIONS(689),
    [anon_sym_module] = ACTIONS(689),
    [anon_sym_static] = ACTIONS(689),
    [anon_sym_with] = ACTIONS(689),
    [anon_sym_package] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_enum] = ACTIONS(689),
    [anon_sym_public] = ACTIONS(689),
    [anon_sym_protected] = ACTIONS(689),
    [anon_sym_private] = ACTIONS(689),
    [anon_sym_abstract] = ACTIONS(689),
    [anon_sym_strictfp] = ACTIONS(689),
    [anon_sym_native] = ACTIONS(689),
    [anon_sym_transient] = ACTIONS(689),
    [anon_sym_volatile] = ACTIONS(689),
    [anon_sym_sealed] = ACTIONS(689),
    [anon_sym_non_DASHsealed] = ACTIONS(687),
    [anon_sym_record] = ACTIONS(689),
    [anon_sym_ATinterface] = ACTIONS(687),
    [anon_sym_interface] = ACTIONS(689),
    [anon_sym_byte] = ACTIONS(689),
    [anon_sym_short] = ACTIONS(689),
    [anon_sym_int] = ACTIONS(689),
    [anon_sym_long] = ACTIONS(689),
    [anon_sym_char] = ACTIONS(689),
    [anon_sym_float] = ACTIONS(689),
    [anon_sym_double] = ACTIONS(689),
    [sym_boolean_type] = ACTIONS(689),
    [sym_void_type] = ACTIONS(689),
    [sym_this] = ACTIONS(689),
    [sym_super] = ACTIONS(689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(691),
    [sym_identifier] = ACTIONS(693),
    [sym_decimal_integer_literal] = ACTIONS(693),
    [sym_hex_integer_literal] = ACTIONS(693),
    [sym_octal_integer_literal] = ACTIONS(693),
    [sym_binary_integer_literal] = ACTIONS(691),
    [sym_decimal_floating_point_literal] = ACTIONS(691),
    [sym_hex_floating_point_literal] = ACTIONS(693),
    [sym_true] = ACTIONS(693),
    [sym_false] = ACTIONS(693),
    [sym_character_literal] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [anon_sym_RBRACE] = ACTIONS(691),
    [sym_null_literal] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(691),
    [anon_sym_PLUS] = ACTIONS(693),
    [anon_sym_DASH] = ACTIONS(693),
    [anon_sym_final] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_class] = ACTIONS(693),
    [anon_sym_switch] = ACTIONS(693),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_default] = ACTIONS(693),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_assert] = ACTIONS(693),
    [anon_sym_do] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(693),
    [anon_sym_break] = ACTIONS(693),
    [anon_sym_continue] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(693),
    [anon_sym_yield] = ACTIONS(693),
    [anon_sym_synchronized] = ACTIONS(693),
    [anon_sym_throw] = ACTIONS(693),
    [anon_sym_try] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(693),
    [anon_sym_else] = ACTIONS(693),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_AT] = ACTIONS(693),
    [anon_sym_open] = ACTIONS(693),
    [anon_sym_module] = ACTIONS(693),
    [anon_sym_static] = ACTIONS(693),
    [anon_sym_with] = ACTIONS(693),
    [anon_sym_package] = ACTIONS(693),
    [anon_sym_import] = ACTIONS(693),
    [anon_sym_enum] = ACTIONS(693),
    [anon_sym_public] = ACTIONS(693),
    [anon_sym_protected] = ACTIONS(693),
    [anon_sym_private] = ACTIONS(693),
    [anon_sym_abstract] = ACTIONS(693),
    [anon_sym_strictfp] = ACTIONS(693),
    [anon_sym_native] = ACTIONS(693),
    [anon_sym_transient] = ACTIONS(693),
    [anon_sym_volatile] = ACTIONS(693),
    [anon_sym_sealed] = ACTIONS(693),
    [anon_sym_non_DASHsealed] = ACTIONS(691),
    [anon_sym_record] = ACTIONS(693),
    [anon_sym_ATinterface] = ACTIONS(691),
    [anon_sym_interface] = ACTIONS(693),
    [anon_sym_byte] = ACTIONS(693),
    [anon_sym_short] = ACTIONS(693),
    [anon_sym_int] = ACTIONS(693),
    [anon_sym_long] = ACTIONS(693),
    [anon_sym_char] = ACTIONS(693),
    [anon_sym_float] = ACTIONS(693),
    [anon_sym_double] = ACTIONS(693),
    [sym_boolean_type] = ACTIONS(693),
    [sym_void_type] = ACTIONS(693),
    [sym_this] = ACTIONS(693),
    [sym_super] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(695),
    [sym_identifier] = ACTIONS(697),
    [sym_decimal_integer_literal] = ACTIONS(697),
    [sym_hex_integer_literal] = ACTIONS(697),
    [sym_octal_integer_literal] = ACTIONS(697),
    [sym_binary_integer_literal] = ACTIONS(695),
    [sym_decimal_floating_point_literal] = ACTIONS(695),
    [sym_hex_floating_point_literal] = ACTIONS(697),
    [sym_true] = ACTIONS(697),
    [sym_false] = ACTIONS(697),
    [sym_character_literal] = ACTIONS(695),
    [anon_sym_DQUOTE] = ACTIONS(697),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(695),
    [anon_sym_RBRACE] = ACTIONS(695),
    [sym_null_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LT] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_final] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_new] = ACTIONS(697),
    [anon_sym_class] = ACTIONS(697),
    [anon_sym_switch] = ACTIONS(697),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_case] = ACTIONS(697),
    [anon_sym_default] = ACTIONS(697),
    [anon_sym_SEMI] = ACTIONS(695),
    [anon_sym_assert] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(697),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_synchronized] = ACTIONS(697),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_try] = ACTIONS(697),
    [anon_sym_if] = ACTIONS(697),
    [anon_sym_else] = ACTIONS(697),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(697),
    [anon_sym_open] = ACTIONS(697),
    [anon_sym_module] = ACTIONS(697),
    [anon_sym_static] = ACTIONS(697),
    [anon_sym_with] = ACTIONS(697),
    [anon_sym_package] = ACTIONS(697),
    [anon_sym_import] = ACTIONS(697),
    [anon_sym_enum] = ACTIONS(697),
    [anon_sym_public] = ACTIONS(697),
    [anon_sym_protected] = ACTIONS(697),
    [anon_sym_private] = ACTIONS(697),
    [anon_sym_abstract] = ACTIONS(697),
    [anon_sym_strictfp] = ACTIONS(697),
    [anon_sym_native] = ACTIONS(697),
    [anon_sym_transient] = ACTIONS(697),
    [anon_sym_volatile] = ACTIONS(697),
    [anon_sym_sealed] = ACTIONS(697),
    [anon_sym_non_DASHsealed] = ACTIONS(695),
    [anon_sym_record] = ACTIONS(697),
    [anon_sym_ATinterface] = ACTIONS(695),
    [anon_sym_interface] = ACTIONS(697),
    [anon_sym_byte] = ACTIONS(697),
    [anon_sym_short] = ACTIONS(697),
    [anon_sym_int] = ACTIONS(697),
    [anon_sym_long] = ACTIONS(697),
    [anon_sym_char] = ACTIONS(697),
    [anon_sym_float] = ACTIONS(697),
    [anon_sym_double] = ACTIONS(697),
    [sym_boolean_type] = ACTIONS(697),
    [sym_void_type] = ACTIONS(697),
    [sym_this] = ACTIONS(697),
    [sym_super] = ACTIONS(697),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(699),
    [sym_identifier] = ACTIONS(701),
    [sym_decimal_integer_literal] = ACTIONS(701),
    [sym_hex_integer_literal] = ACTIONS(701),
    [sym_octal_integer_literal] = ACTIONS(701),
    [sym_binary_integer_literal] = ACTIONS(699),
    [sym_decimal_floating_point_literal] = ACTIONS(699),
    [sym_hex_floating_point_literal] = ACTIONS(701),
    [sym_true] = ACTIONS(701),
    [sym_false] = ACTIONS(701),
    [sym_character_literal] = ACTIONS(699),
    [anon_sym_DQUOTE] = ACTIONS(701),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(699),
    [anon_sym_RBRACE] = ACTIONS(699),
    [sym_null_literal] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_final] = ACTIONS(701),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_PLUS_PLUS] = ACTIONS(699),
    [anon_sym_DASH_DASH] = ACTIONS(699),
    [anon_sym_new] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(701),
    [anon_sym_switch] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(699),
    [anon_sym_case] = ACTIONS(701),
    [anon_sym_default] = ACTIONS(701),
    [anon_sym_SEMI] = ACTIONS(699),
    [anon_sym_assert] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(701),
    [anon_sym_yield] = ACTIONS(701),
    [anon_sym_synchronized] = ACTIONS(701),
    [anon_sym_throw] = ACTIONS(701),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_else] = ACTIONS(701),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_AT] = ACTIONS(701),
    [anon_sym_open] = ACTIONS(701),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_static] = ACTIONS(701),
    [anon_sym_with] = ACTIONS(701),
    [anon_sym_package] = ACTIONS(701),
    [anon_sym_import] = ACTIONS(701),
    [anon_sym_enum] = ACTIONS(701),
    [anon_sym_public] = ACTIONS(701),
    [anon_sym_protected] = ACTIONS(701),
    [anon_sym_private] = ACTIONS(701),
    [anon_sym_abstract] = ACTIONS(701),
    [anon_sym_strictfp] = ACTIONS(701),
    [anon_sym_native] = ACTIONS(701),
    [anon_sym_transient] = ACTIONS(701),
    [anon_sym_volatile] = ACTIONS(701),
    [anon_sym_sealed] = ACTIONS(701),
    [anon_sym_non_DASHsealed] = ACTIONS(699),
    [anon_sym_record] = ACTIONS(701),
    [anon_sym_ATinterface] = ACTIONS(699),
    [anon_sym_interface] = ACTIONS(701),
    [anon_sym_byte] = ACTIONS(701),
    [anon_sym_short] = ACTIONS(701),
    [anon_sym_int] = ACTIONS(701),
    [anon_sym_long] = ACTIONS(701),
    [anon_sym_char] = ACTIONS(701),
    [anon_sym_float] = ACTIONS(701),
    [anon_sym_double] = ACTIONS(701),
    [sym_boolean_type] = ACTIONS(701),
    [sym_void_type] = ACTIONS(701),
    [sym_this] = ACTIONS(701),
    [sym_super] = ACTIONS(701),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(703),
    [sym_identifier] = ACTIONS(705),
    [sym_decimal_integer_literal] = ACTIONS(705),
    [sym_hex_integer_literal] = ACTIONS(705),
    [sym_octal_integer_literal] = ACTIONS(705),
    [sym_binary_integer_literal] = ACTIONS(703),
    [sym_decimal_floating_point_literal] = ACTIONS(703),
    [sym_hex_floating_point_literal] = ACTIONS(705),
    [sym_true] = ACTIONS(705),
    [sym_false] = ACTIONS(705),
    [sym_character_literal] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(703),
    [anon_sym_RBRACE] = ACTIONS(703),
    [sym_null_literal] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(703),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_DASH] = ACTIONS(705),
    [anon_sym_final] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_class] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(705),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_case] = ACTIONS(705),
    [anon_sym_default] = ACTIONS(705),
    [anon_sym_SEMI] = ACTIONS(703),
    [anon_sym_assert] = ACTIONS(705),
    [anon_sym_do] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(705),
    [anon_sym_return] = ACTIONS(705),
    [anon_sym_yield] = ACTIONS(705),
    [anon_sym_synchronized] = ACTIONS(705),
    [anon_sym_throw] = ACTIONS(705),
    [anon_sym_try] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_else] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(705),
    [anon_sym_open] = ACTIONS(705),
    [anon_sym_module] = ACTIONS(705),
    [anon_sym_static] = ACTIONS(705),
    [anon_sym_with] = ACTIONS(705),
    [anon_sym_package] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(705),
    [anon_sym_enum] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_strictfp] = ACTIONS(705),
    [anon_sym_native] = ACTIONS(705),
    [anon_sym_transient] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_non_DASHsealed] = ACTIONS(703),
    [anon_sym_record] = ACTIONS(705),
    [anon_sym_ATinterface] = ACTIONS(703),
    [anon_sym_interface] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_short] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_long] = ACTIONS(705),
    [anon_sym_char] = ACTIONS(705),
    [anon_sym_float] = ACTIONS(705),
    [anon_sym_double] = ACTIONS(705),
    [sym_boolean_type] = ACTIONS(705),
    [sym_void_type] = ACTIONS(705),
    [sym_this] = ACTIONS(705),
    [sym_super] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(707),
    [sym_identifier] = ACTIONS(709),
    [sym_decimal_integer_literal] = ACTIONS(709),
    [sym_hex_integer_literal] = ACTIONS(709),
    [sym_octal_integer_literal] = ACTIONS(709),
    [sym_binary_integer_literal] = ACTIONS(707),
    [sym_decimal_floating_point_literal] = ACTIONS(707),
    [sym_hex_floating_point_literal] = ACTIONS(709),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_character_literal] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(709),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(707),
    [sym_null_literal] = ACTIONS(709),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_PLUS] = ACTIONS(709),
    [anon_sym_DASH] = ACTIONS(709),
    [anon_sym_final] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_switch] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_case] = ACTIONS(709),
    [anon_sym_default] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(707),
    [anon_sym_assert] = ACTIONS(709),
    [anon_sym_do] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(709),
    [anon_sym_break] = ACTIONS(709),
    [anon_sym_continue] = ACTIONS(709),
    [anon_sym_return] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(709),
    [anon_sym_synchronized] = ACTIONS(709),
    [anon_sym_throw] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(709),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_else] = ACTIONS(709),
    [anon_sym_for] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(709),
    [anon_sym_open] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(709),
    [anon_sym_static] = ACTIONS(709),
    [anon_sym_with] = ACTIONS(709),
    [anon_sym_package] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(709),
    [anon_sym_enum] = ACTIONS(709),
    [anon_sym_public] = ACTIONS(709),
    [anon_sym_protected] = ACTIONS(709),
    [anon_sym_private] = ACTIONS(709),
    [anon_sym_abstract] = ACTIONS(709),
    [anon_sym_strictfp] = ACTIONS(709),
    [anon_sym_native] = ACTIONS(709),
    [anon_sym_transient] = ACTIONS(709),
    [anon_sym_volatile] = ACTIONS(709),
    [anon_sym_sealed] = ACTIONS(709),
    [anon_sym_non_DASHsealed] = ACTIONS(707),
    [anon_sym_record] = ACTIONS(709),
    [anon_sym_ATinterface] = ACTIONS(707),
    [anon_sym_interface] = ACTIONS(709),
    [anon_sym_byte] = ACTIONS(709),
    [anon_sym_short] = ACTIONS(709),
    [anon_sym_int] = ACTIONS(709),
    [anon_sym_long] = ACTIONS(709),
    [anon_sym_char] = ACTIONS(709),
    [anon_sym_float] = ACTIONS(709),
    [anon_sym_double] = ACTIONS(709),
    [sym_boolean_type] = ACTIONS(709),
    [sym_void_type] = ACTIONS(709),
    [sym_this] = ACTIONS(709),
    [sym_super] = ACTIONS(709),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(711),
    [sym_identifier] = ACTIONS(713),
    [sym_decimal_integer_literal] = ACTIONS(713),
    [sym_hex_integer_literal] = ACTIONS(713),
    [sym_octal_integer_literal] = ACTIONS(713),
    [sym_binary_integer_literal] = ACTIONS(711),
    [sym_decimal_floating_point_literal] = ACTIONS(711),
    [sym_hex_floating_point_literal] = ACTIONS(713),
    [sym_true] = ACTIONS(713),
    [sym_false] = ACTIONS(713),
    [sym_character_literal] = ACTIONS(711),
    [anon_sym_DQUOTE] = ACTIONS(713),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(711),
    [anon_sym_RBRACE] = ACTIONS(711),
    [sym_null_literal] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(713),
    [anon_sym_final] = ACTIONS(713),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(711),
    [anon_sym_DASH_DASH] = ACTIONS(711),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_class] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_case] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(713),
    [anon_sym_do] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(713),
    [anon_sym_break] = ACTIONS(713),
    [anon_sym_continue] = ACTIONS(713),
    [anon_sym_return] = ACTIONS(713),
    [anon_sym_yield] = ACTIONS(713),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_else] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_module] = ACTIONS(713),
    [anon_sym_static] = ACTIONS(713),
    [anon_sym_with] = ACTIONS(713),
    [anon_sym_package] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(713),
    [anon_sym_enum] = ACTIONS(713),
    [anon_sym_public] = ACTIONS(713),
    [anon_sym_protected] = ACTIONS(713),
    [anon_sym_private] = ACTIONS(713),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_strictfp] = ACTIONS(713),
    [anon_sym_native] = ACTIONS(713),
    [anon_sym_transient] = ACTIONS(713),
    [anon_sym_volatile] = ACTIONS(713),
    [anon_sym_sealed] = ACTIONS(713),
    [anon_sym_non_DASHsealed] = ACTIONS(711),
    [anon_sym_record] = ACTIONS(713),
    [anon_sym_ATinterface] = ACTIONS(711),
    [anon_sym_interface] = ACTIONS(713),
    [anon_sym_byte] = ACTIONS(713),
    [anon_sym_short] = ACTIONS(713),
    [anon_sym_int] = ACTIONS(713),
    [anon_sym_long] = ACTIONS(713),
    [anon_sym_char] = ACTIONS(713),
    [anon_sym_float] = ACTIONS(713),
    [anon_sym_double] = ACTIONS(713),
    [sym_boolean_type] = ACTIONS(713),
    [sym_void_type] = ACTIONS(713),
    [sym_this] = ACTIONS(713),
    [sym_super] = ACTIONS(713),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(715),
    [sym_identifier] = ACTIONS(717),
    [sym_decimal_integer_literal] = ACTIONS(717),
    [sym_hex_integer_literal] = ACTIONS(717),
    [sym_octal_integer_literal] = ACTIONS(717),
    [sym_binary_integer_literal] = ACTIONS(715),
    [sym_decimal_floating_point_literal] = ACTIONS(715),
    [sym_hex_floating_point_literal] = ACTIONS(717),
    [sym_true] = ACTIONS(717),
    [sym_false] = ACTIONS(717),
    [sym_character_literal] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(715),
    [anon_sym_RBRACE] = ACTIONS(715),
    [sym_null_literal] = ACTIONS(717),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(715),
    [anon_sym_PLUS] = ACTIONS(717),
    [anon_sym_DASH] = ACTIONS(717),
    [anon_sym_final] = ACTIONS(717),
    [anon_sym_BANG] = ACTIONS(715),
    [anon_sym_TILDE] = ACTIONS(715),
    [anon_sym_PLUS_PLUS] = ACTIONS(715),
    [anon_sym_DASH_DASH] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_class] = ACTIONS(717),
    [anon_sym_switch] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(715),
    [anon_sym_case] = ACTIONS(717),
    [anon_sym_default] = ACTIONS(717),
    [anon_sym_SEMI] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(717),
    [anon_sym_do] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_break] = ACTIONS(717),
    [anon_sym_continue] = ACTIONS(717),
    [anon_sym_return] = ACTIONS(717),
    [anon_sym_yield] = ACTIONS(717),
    [anon_sym_synchronized] = ACTIONS(717),
    [anon_sym_throw] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_else] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(717),
    [anon_sym_AT] = ACTIONS(717),
    [anon_sym_open] = ACTIONS(717),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_static] = ACTIONS(717),
    [anon_sym_with] = ACTIONS(717),
    [anon_sym_package] = ACTIONS(717),
    [anon_sym_import] = ACTIONS(717),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_public] = ACTIONS(717),
    [anon_sym_protected] = ACTIONS(717),
    [anon_sym_private] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(717),
    [anon_sym_strictfp] = ACTIONS(717),
    [anon_sym_native] = ACTIONS(717),
    [anon_sym_transient] = ACTIONS(717),
    [anon_sym_volatile] = ACTIONS(717),
    [anon_sym_sealed] = ACTIONS(717),
    [anon_sym_non_DASHsealed] = ACTIONS(715),
    [anon_sym_record] = ACTIONS(717),
    [anon_sym_ATinterface] = ACTIONS(715),
    [anon_sym_interface] = ACTIONS(717),
    [anon_sym_byte] = ACTIONS(717),
    [anon_sym_short] = ACTIONS(717),
    [anon_sym_int] = ACTIONS(717),
    [anon_sym_long] = ACTIONS(717),
    [anon_sym_char] = ACTIONS(717),
    [anon_sym_float] = ACTIONS(717),
    [anon_sym_double] = ACTIONS(717),
    [sym_boolean_type] = ACTIONS(717),
    [sym_void_type] = ACTIONS(717),
    [sym_this] = ACTIONS(717),
    [sym_super] = ACTIONS(717),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(719),
    [sym_identifier] = ACTIONS(721),
    [sym_decimal_integer_literal] = ACTIONS(721),
    [sym_hex_integer_literal] = ACTIONS(721),
    [sym_octal_integer_literal] = ACTIONS(721),
    [sym_binary_integer_literal] = ACTIONS(719),
    [sym_decimal_floating_point_literal] = ACTIONS(719),
    [sym_hex_floating_point_literal] = ACTIONS(721),
    [sym_true] = ACTIONS(721),
    [sym_false] = ACTIONS(721),
    [sym_character_literal] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(719),
    [anon_sym_RBRACE] = ACTIONS(719),
    [sym_null_literal] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(719),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_final] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_class] = ACTIONS(721),
    [anon_sym_switch] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(719),
    [anon_sym_case] = ACTIONS(721),
    [anon_sym_default] = ACTIONS(721),
    [anon_sym_SEMI] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_do] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_break] = ACTIONS(721),
    [anon_sym_continue] = ACTIONS(721),
    [anon_sym_return] = ACTIONS(721),
    [anon_sym_yield] = ACTIONS(721),
    [anon_sym_synchronized] = ACTIONS(721),
    [anon_sym_throw] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_else] = ACTIONS(721),
    [anon_sym_for] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(721),
    [anon_sym_open] = ACTIONS(721),
    [anon_sym_module] = ACTIONS(721),
    [anon_sym_static] = ACTIONS(721),
    [anon_sym_with] = ACTIONS(721),
    [anon_sym_package] = ACTIONS(721),
    [anon_sym_import] = ACTIONS(721),
    [anon_sym_enum] = ACTIONS(721),
    [anon_sym_public] = ACTIONS(721),
    [anon_sym_protected] = ACTIONS(721),
    [anon_sym_private] = ACTIONS(721),
    [anon_sym_abstract] = ACTIONS(721),
    [anon_sym_strictfp] = ACTIONS(721),
    [anon_sym_native] = ACTIONS(721),
    [anon_sym_transient] = ACTIONS(721),
    [anon_sym_volatile] = ACTIONS(721),
    [anon_sym_sealed] = ACTIONS(721),
    [anon_sym_non_DASHsealed] = ACTIONS(719),
    [anon_sym_record] = ACTIONS(721),
    [anon_sym_ATinterface] = ACTIONS(719),
    [anon_sym_interface] = ACTIONS(721),
    [anon_sym_byte] = ACTIONS(721),
    [anon_sym_short] = ACTIONS(721),
    [anon_sym_int] = ACTIONS(721),
    [anon_sym_long] = ACTIONS(721),
    [anon_sym_char] = ACTIONS(721),
    [anon_sym_float] = ACTIONS(721),
    [anon_sym_double] = ACTIONS(721),
    [sym_boolean_type] = ACTIONS(721),
    [sym_void_type] = ACTIONS(721),
    [sym_this] = ACTIONS(721),
    [sym_super] = ACTIONS(721),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(723),
    [sym_identifier] = ACTIONS(725),
    [sym_decimal_integer_literal] = ACTIONS(725),
    [sym_hex_integer_literal] = ACTIONS(725),
    [sym_octal_integer_literal] = ACTIONS(725),
    [sym_binary_integer_literal] = ACTIONS(723),
    [sym_decimal_floating_point_literal] = ACTIONS(723),
    [sym_hex_floating_point_literal] = ACTIONS(725),
    [sym_true] = ACTIONS(725),
    [sym_false] = ACTIONS(725),
    [sym_character_literal] = ACTIONS(723),
    [anon_sym_DQUOTE] = ACTIONS(725),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [anon_sym_RBRACE] = ACTIONS(723),
    [sym_null_literal] = ACTIONS(725),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_LT] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_final] = ACTIONS(725),
    [anon_sym_BANG] = ACTIONS(723),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_PLUS_PLUS] = ACTIONS(723),
    [anon_sym_DASH_DASH] = ACTIONS(723),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_class] = ACTIONS(725),
    [anon_sym_switch] = ACTIONS(725),
    [anon_sym_LBRACE] = ACTIONS(723),
    [anon_sym_case] = ACTIONS(725),
    [anon_sym_default] = ACTIONS(725),
    [anon_sym_SEMI] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(725),
    [anon_sym_do] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(725),
    [anon_sym_break] = ACTIONS(725),
    [anon_sym_continue] = ACTIONS(725),
    [anon_sym_return] = ACTIONS(725),
    [anon_sym_yield] = ACTIONS(725),
    [anon_sym_synchronized] = ACTIONS(725),
    [anon_sym_throw] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_else] = ACTIONS(725),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_AT] = ACTIONS(725),
    [anon_sym_open] = ACTIONS(725),
    [anon_sym_module] = ACTIONS(725),
    [anon_sym_static] = ACTIONS(725),
    [anon_sym_with] = ACTIONS(725),
    [anon_sym_package] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(725),
    [anon_sym_public] = ACTIONS(725),
    [anon_sym_protected] = ACTIONS(725),
    [anon_sym_private] = ACTIONS(725),
    [anon_sym_abstract] = ACTIONS(725),
    [anon_sym_strictfp] = ACTIONS(725),
    [anon_sym_native] = ACTIONS(725),
    [anon_sym_transient] = ACTIONS(725),
    [anon_sym_volatile] = ACTIONS(725),
    [anon_sym_sealed] = ACTIONS(725),
    [anon_sym_non_DASHsealed] = ACTIONS(723),
    [anon_sym_record] = ACTIONS(725),
    [anon_sym_ATinterface] = ACTIONS(723),
    [anon_sym_interface] = ACTIONS(725),
    [anon_sym_byte] = ACTIONS(725),
    [anon_sym_short] = ACTIONS(725),
    [anon_sym_int] = ACTIONS(725),
    [anon_sym_long] = ACTIONS(725),
    [anon_sym_char] = ACTIONS(725),
    [anon_sym_float] = ACTIONS(725),
    [anon_sym_double] = ACTIONS(725),
    [sym_boolean_type] = ACTIONS(725),
    [sym_void_type] = ACTIONS(725),
    [sym_this] = ACTIONS(725),
    [sym_super] = ACTIONS(725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(727),
    [sym_identifier] = ACTIONS(729),
    [sym_decimal_integer_literal] = ACTIONS(729),
    [sym_hex_integer_literal] = ACTIONS(729),
    [sym_octal_integer_literal] = ACTIONS(729),
    [sym_binary_integer_literal] = ACTIONS(727),
    [sym_decimal_floating_point_literal] = ACTIONS(727),
    [sym_hex_floating_point_literal] = ACTIONS(729),
    [sym_true] = ACTIONS(729),
    [sym_false] = ACTIONS(729),
    [sym_character_literal] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(727),
    [anon_sym_RBRACE] = ACTIONS(727),
    [sym_null_literal] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_final] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_class] = ACTIONS(729),
    [anon_sym_switch] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(727),
    [anon_sym_case] = ACTIONS(729),
    [anon_sym_default] = ACTIONS(729),
    [anon_sym_SEMI] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(729),
    [anon_sym_do] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(729),
    [anon_sym_break] = ACTIONS(729),
    [anon_sym_continue] = ACTIONS(729),
    [anon_sym_return] = ACTIONS(729),
    [anon_sym_yield] = ACTIONS(729),
    [anon_sym_synchronized] = ACTIONS(729),
    [anon_sym_throw] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_else] = ACTIONS(729),
    [anon_sym_for] = ACTIONS(729),
    [anon_sym_AT] = ACTIONS(729),
    [anon_sym_open] = ACTIONS(729),
    [anon_sym_module] = ACTIONS(729),
    [anon_sym_static] = ACTIONS(729),
    [anon_sym_with] = ACTIONS(729),
    [anon_sym_package] = ACTIONS(729),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_enum] = ACTIONS(729),
    [anon_sym_public] = ACTIONS(729),
    [anon_sym_protected] = ACTIONS(729),
    [anon_sym_private] = ACTIONS(729),
    [anon_sym_abstract] = ACTIONS(729),
    [anon_sym_strictfp] = ACTIONS(729),
    [anon_sym_native] = ACTIONS(729),
    [anon_sym_transient] = ACTIONS(729),
    [anon_sym_volatile] = ACTIONS(729),
    [anon_sym_sealed] = ACTIONS(729),
    [anon_sym_non_DASHsealed] = ACTIONS(727),
    [anon_sym_record] = ACTIONS(729),
    [anon_sym_ATinterface] = ACTIONS(727),
    [anon_sym_interface] = ACTIONS(729),
    [anon_sym_byte] = ACTIONS(729),
    [anon_sym_short] = ACTIONS(729),
    [anon_sym_int] = ACTIONS(729),
    [anon_sym_long] = ACTIONS(729),
    [anon_sym_char] = ACTIONS(729),
    [anon_sym_float] = ACTIONS(729),
    [anon_sym_double] = ACTIONS(729),
    [sym_boolean_type] = ACTIONS(729),
    [sym_void_type] = ACTIONS(729),
    [sym_this] = ACTIONS(729),
    [sym_super] = ACTIONS(729),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(731),
    [sym_identifier] = ACTIONS(733),
    [sym_decimal_integer_literal] = ACTIONS(733),
    [sym_hex_integer_literal] = ACTIONS(733),
    [sym_octal_integer_literal] = ACTIONS(733),
    [sym_binary_integer_literal] = ACTIONS(731),
    [sym_decimal_floating_point_literal] = ACTIONS(731),
    [sym_hex_floating_point_literal] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_character_literal] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [anon_sym_RBRACE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(731),
    [anon_sym_LT] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_final] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(731),
    [anon_sym_PLUS_PLUS] = ACTIONS(731),
    [anon_sym_DASH_DASH] = ACTIONS(731),
    [anon_sym_new] = ACTIONS(733),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_default] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(731),
    [anon_sym_assert] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_continue] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_synchronized] = ACTIONS(733),
    [anon_sym_throw] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_else] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(733),
    [anon_sym_open] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_static] = ACTIONS(733),
    [anon_sym_with] = ACTIONS(733),
    [anon_sym_package] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(733),
    [anon_sym_enum] = ACTIONS(733),
    [anon_sym_public] = ACTIONS(733),
    [anon_sym_protected] = ACTIONS(733),
    [anon_sym_private] = ACTIONS(733),
    [anon_sym_abstract] = ACTIONS(733),
    [anon_sym_strictfp] = ACTIONS(733),
    [anon_sym_native] = ACTIONS(733),
    [anon_sym_transient] = ACTIONS(733),
    [anon_sym_volatile] = ACTIONS(733),
    [anon_sym_sealed] = ACTIONS(733),
    [anon_sym_non_DASHsealed] = ACTIONS(731),
    [anon_sym_record] = ACTIONS(733),
    [anon_sym_ATinterface] = ACTIONS(731),
    [anon_sym_interface] = ACTIONS(733),
    [anon_sym_byte] = ACTIONS(733),
    [anon_sym_short] = ACTIONS(733),
    [anon_sym_int] = ACTIONS(733),
    [anon_sym_long] = ACTIONS(733),
    [anon_sym_char] = ACTIONS(733),
    [anon_sym_float] = ACTIONS(733),
    [anon_sym_double] = ACTIONS(733),
    [sym_boolean_type] = ACTIONS(733),
    [sym_void_type] = ACTIONS(733),
    [sym_this] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(735),
    [sym_identifier] = ACTIONS(737),
    [sym_decimal_integer_literal] = ACTIONS(737),
    [sym_hex_integer_literal] = ACTIONS(737),
    [sym_octal_integer_literal] = ACTIONS(737),
    [sym_binary_integer_literal] = ACTIONS(735),
    [sym_decimal_floating_point_literal] = ACTIONS(735),
    [sym_hex_floating_point_literal] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_character_literal] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(735),
    [anon_sym_RBRACE] = ACTIONS(735),
    [sym_null_literal] = ACTIONS(737),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(735),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_final] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_PLUS_PLUS] = ACTIONS(735),
    [anon_sym_DASH_DASH] = ACTIONS(735),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_class] = ACTIONS(737),
    [anon_sym_switch] = ACTIONS(737),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_case] = ACTIONS(737),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(737),
    [anon_sym_do] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(737),
    [anon_sym_break] = ACTIONS(737),
    [anon_sym_continue] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(737),
    [anon_sym_yield] = ACTIONS(737),
    [anon_sym_synchronized] = ACTIONS(737),
    [anon_sym_throw] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_if] = ACTIONS(737),
    [anon_sym_else] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(737),
    [anon_sym_AT] = ACTIONS(737),
    [anon_sym_open] = ACTIONS(737),
    [anon_sym_module] = ACTIONS(737),
    [anon_sym_static] = ACTIONS(737),
    [anon_sym_with] = ACTIONS(737),
    [anon_sym_package] = ACTIONS(737),
    [anon_sym_import] = ACTIONS(737),
    [anon_sym_enum] = ACTIONS(737),
    [anon_sym_public] = ACTIONS(737),
    [anon_sym_protected] = ACTIONS(737),
    [anon_sym_private] = ACTIONS(737),
    [anon_sym_abstract] = ACTIONS(737),
    [anon_sym_strictfp] = ACTIONS(737),
    [anon_sym_native] = ACTIONS(737),
    [anon_sym_transient] = ACTIONS(737),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_sealed] = ACTIONS(737),
    [anon_sym_non_DASHsealed] = ACTIONS(735),
    [anon_sym_record] = ACTIONS(737),
    [anon_sym_ATinterface] = ACTIONS(735),
    [anon_sym_interface] = ACTIONS(737),
    [anon_sym_byte] = ACTIONS(737),
    [anon_sym_short] = ACTIONS(737),
    [anon_sym_int] = ACTIONS(737),
    [anon_sym_long] = ACTIONS(737),
    [anon_sym_char] = ACTIONS(737),
    [anon_sym_float] = ACTIONS(737),
    [anon_sym_double] = ACTIONS(737),
    [sym_boolean_type] = ACTIONS(737),
    [sym_void_type] = ACTIONS(737),
    [sym_this] = ACTIONS(737),
    [sym_super] = ACTIONS(737),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [274] = {
    [ts_builtin_sym_end] = ACTIONS(739),
    [sym_identifier] = ACTIONS(741),
    [sym_decimal_integer_literal] = ACTIONS(741),
    [sym_hex_integer_literal] = ACTIONS(741),
    [sym_octal_integer_literal] = ACTIONS(741),
    [sym_binary_integer_literal] = ACTIONS(739),
    [sym_decimal_floating_point_literal] = ACTIONS(739),
    [sym_hex_floating_point_literal] = ACTIONS(741),
    [sym_true] = ACTIONS(741),
    [sym_false] = ACTIONS(741),
    [sym_character_literal] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(739),
    [anon_sym_RBRACE] = ACTIONS(739),
    [sym_null_literal] = ACTIONS(741),
    [anon_sym_LPAREN] = ACTIONS(739),
    [anon_sym_LT] = ACTIONS(739),
    [anon_sym_PLUS] = ACTIONS(741),
    [anon_sym_DASH] = ACTIONS(741),
    [anon_sym_final] = ACTIONS(741),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_class] = ACTIONS(741),
    [anon_sym_switch] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(739),
    [anon_sym_case] = ACTIONS(741),
    [anon_sym_default] = ACTIONS(741),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(741),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_synchronized] = ACTIONS(741),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_else] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(741),
    [anon_sym_AT] = ACTIONS(741),
    [anon_sym_open] = ACTIONS(741),
    [anon_sym_module] = ACTIONS(741),
    [anon_sym_static] = ACTIONS(741),
    [anon_sym_with] = ACTIONS(741),
    [anon_sym_package] = ACTIONS(741),
    [anon_sym_import] = ACTIONS(741),
    [anon_sym_enum] = ACTIONS(741),
    [anon_sym_public] = ACTIONS(741),
    [anon_sym_protected] = ACTIONS(741),
    [anon_sym_private] = ACTIONS(741),
    [anon_sym_abstract] = ACTIONS(741),
    [anon_sym_strictfp] = ACTIONS(741),
    [anon_sym_native] = ACTIONS(741),
    [anon_sym_transient] = ACTIONS(741),
    [anon_sym_volatile] = ACTIONS(741),
    [anon_sym_sealed] = ACTIONS(741),
    [anon_sym_non_DASHsealed] = ACTIONS(739),
    [anon_sym_record] = ACTIONS(741),
    [anon_sym_ATinterface] = ACTIONS(739),
    [anon_sym_interface] = ACTIONS(741),
    [anon_sym_byte] = ACTIONS(741),
    [anon_sym_short] = ACTIONS(741),
    [anon_sym_int] = ACTIONS(741),
    [anon_sym_long] = ACTIONS(741),
    [anon_sym_char] = ACTIONS(741),
    [anon_sym_float] = ACTIONS(741),
    [anon_sym_double] = ACTIONS(741),
    [sym_boolean_type] = ACTIONS(741),
    [sym_void_type] = ACTIONS(741),
    [sym_this] = ACTIONS(741),
    [sym_super] = ACTIONS(741),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [275] = {
    [ts_builtin_sym_end] = ACTIONS(743),
    [sym_identifier] = ACTIONS(745),
    [sym_decimal_integer_literal] = ACTIONS(745),
    [sym_hex_integer_literal] = ACTIONS(745),
    [sym_octal_integer_literal] = ACTIONS(745),
    [sym_binary_integer_literal] = ACTIONS(743),
    [sym_decimal_floating_point_literal] = ACTIONS(743),
    [sym_hex_floating_point_literal] = ACTIONS(745),
    [sym_true] = ACTIONS(745),
    [sym_false] = ACTIONS(745),
    [sym_character_literal] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(743),
    [anon_sym_RBRACE] = ACTIONS(743),
    [sym_null_literal] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(743),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_PLUS] = ACTIONS(745),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_final] = ACTIONS(745),
    [anon_sym_BANG] = ACTIONS(743),
    [anon_sym_TILDE] = ACTIONS(743),
    [anon_sym_PLUS_PLUS] = ACTIONS(743),
    [anon_sym_DASH_DASH] = ACTIONS(743),
    [anon_sym_new] = ACTIONS(745),
    [anon_sym_class] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(745),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_case] = ACTIONS(745),
    [anon_sym_default] = ACTIONS(745),
    [anon_sym_SEMI] = ACTIONS(743),
    [anon_sym_assert] = ACTIONS(745),
    [anon_sym_do] = ACTIONS(745),
    [anon_sym_while] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(745),
    [anon_sym_continue] = ACTIONS(745),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_synchronized] = ACTIONS(745),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_try] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(745),
    [anon_sym_else] = ACTIONS(745),
    [anon_sym_for] = ACTIONS(745),
    [anon_sym_AT] = ACTIONS(745),
    [anon_sym_open] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_with] = ACTIONS(745),
    [anon_sym_package] = ACTIONS(745),
    [anon_sym_import] = ACTIONS(745),
    [anon_sym_enum] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_abstract] = ACTIONS(745),
    [anon_sym_strictfp] = ACTIONS(745),
    [anon_sym_native] = ACTIONS(745),
    [anon_sym_transient] = ACTIONS(745),
    [anon_sym_volatile] = ACTIONS(745),
    [anon_sym_sealed] = ACTIONS(745),
    [anon_sym_non_DASHsealed] = ACTIONS(743),
    [anon_sym_record] = ACTIONS(745),
    [anon_sym_ATinterface] = ACTIONS(743),
    [anon_sym_interface] = ACTIONS(745),
    [anon_sym_byte] = ACTIONS(745),
    [anon_sym_short] = ACTIONS(745),
    [anon_sym_int] = ACTIONS(745),
    [anon_sym_long] = ACTIONS(745),
    [anon_sym_char] = ACTIONS(745),
    [anon_sym_float] = ACTIONS(745),
    [anon_sym_double] = ACTIONS(745),
    [sym_boolean_type] = ACTIONS(745),
    [sym_void_type] = ACTIONS(745),
    [sym_this] = ACTIONS(745),
    [sym_super] = ACTIONS(745),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [276] = {
    [ts_builtin_sym_end] = ACTIONS(747),
    [sym_identifier] = ACTIONS(749),
    [sym_decimal_integer_literal] = ACTIONS(749),
    [sym_hex_integer_literal] = ACTIONS(749),
    [sym_octal_integer_literal] = ACTIONS(749),
    [sym_binary_integer_literal] = ACTIONS(747),
    [sym_decimal_floating_point_literal] = ACTIONS(747),
    [sym_hex_floating_point_literal] = ACTIONS(749),
    [sym_true] = ACTIONS(749),
    [sym_false] = ACTIONS(749),
    [sym_character_literal] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(747),
    [anon_sym_RBRACE] = ACTIONS(747),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(749),
    [anon_sym_final] = ACTIONS(749),
    [anon_sym_BANG] = ACTIONS(747),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_PLUS_PLUS] = ACTIONS(747),
    [anon_sym_DASH_DASH] = ACTIONS(747),
    [anon_sym_new] = ACTIONS(749),
    [anon_sym_class] = ACTIONS(749),
    [anon_sym_switch] = ACTIONS(749),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_case] = ACTIONS(749),
    [anon_sym_default] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_assert] = ACTIONS(749),
    [anon_sym_do] = ACTIONS(749),
    [anon_sym_while] = ACTIONS(749),
    [anon_sym_break] = ACTIONS(749),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(749),
    [anon_sym_yield] = ACTIONS(749),
    [anon_sym_synchronized] = ACTIONS(749),
    [anon_sym_throw] = ACTIONS(749),
    [anon_sym_try] = ACTIONS(749),
    [anon_sym_if] = ACTIONS(749),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_for] = ACTIONS(749),
    [anon_sym_AT] = ACTIONS(749),
    [anon_sym_open] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(749),
    [anon_sym_static] = ACTIONS(749),
    [anon_sym_with] = ACTIONS(749),
    [anon_sym_package] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(749),
    [anon_sym_enum] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(749),
    [anon_sym_protected] = ACTIONS(749),
    [anon_sym_private] = ACTIONS(749),
    [anon_sym_abstract] = ACTIONS(749),
    [anon_sym_strictfp] = ACTIONS(749),
    [anon_sym_native] = ACTIONS(749),
    [anon_sym_transient] = ACTIONS(749),
    [anon_sym_volatile] = ACTIONS(749),
    [anon_sym_sealed] = ACTIONS(749),
    [anon_sym_non_DASHsealed] = ACTIONS(747),
    [anon_sym_record] = ACTIONS(749),
    [anon_sym_ATinterface] = ACTIONS(747),
    [anon_sym_interface] = ACTIONS(749),
    [anon_sym_byte] = ACTIONS(749),
    [anon_sym_short] = ACTIONS(749),
    [anon_sym_int] = ACTIONS(749),
    [anon_sym_long] = ACTIONS(749),
    [anon_sym_char] = ACTIONS(749),
    [anon_sym_float] = ACTIONS(749),
    [anon_sym_double] = ACTIONS(749),
    [sym_boolean_type] = ACTIONS(749),
    [sym_void_type] = ACTIONS(749),
    [sym_this] = ACTIONS(749),
    [sym_super] = ACTIONS(749),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(751),
    [sym_identifier] = ACTIONS(753),
    [sym_decimal_integer_literal] = ACTIONS(753),
    [sym_hex_integer_literal] = ACTIONS(753),
    [sym_octal_integer_literal] = ACTIONS(753),
    [sym_binary_integer_literal] = ACTIONS(751),
    [sym_decimal_floating_point_literal] = ACTIONS(751),
    [sym_hex_floating_point_literal] = ACTIONS(753),
    [sym_true] = ACTIONS(753),
    [sym_false] = ACTIONS(753),
    [sym_character_literal] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_RBRACE] = ACTIONS(751),
    [sym_null_literal] = ACTIONS(753),
    [anon_sym_LPAREN] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(753),
    [anon_sym_DASH] = ACTIONS(753),
    [anon_sym_final] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(751),
    [anon_sym_TILDE] = ACTIONS(751),
    [anon_sym_PLUS_PLUS] = ACTIONS(751),
    [anon_sym_DASH_DASH] = ACTIONS(751),
    [anon_sym_new] = ACTIONS(753),
    [anon_sym_class] = ACTIONS(753),
    [anon_sym_switch] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_case] = ACTIONS(753),
    [anon_sym_default] = ACTIONS(753),
    [anon_sym_SEMI] = ACTIONS(751),
    [anon_sym_assert] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(753),
    [anon_sym_while] = ACTIONS(753),
    [anon_sym_break] = ACTIONS(753),
    [anon_sym_continue] = ACTIONS(753),
    [anon_sym_return] = ACTIONS(753),
    [anon_sym_yield] = ACTIONS(753),
    [anon_sym_synchronized] = ACTIONS(753),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_try] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_else] = ACTIONS(753),
    [anon_sym_for] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(753),
    [anon_sym_open] = ACTIONS(753),
    [anon_sym_module] = ACTIONS(753),
    [anon_sym_static] = ACTIONS(753),
    [anon_sym_with] = ACTIONS(753),
    [anon_sym_package] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_enum] = ACTIONS(753),
    [anon_sym_public] = ACTIONS(753),
    [anon_sym_protected] = ACTIONS(753),
    [anon_sym_private] = ACTIONS(753),
    [anon_sym_abstract] = ACTIONS(753),
    [anon_sym_strictfp] = ACTIONS(753),
    [anon_sym_native] = ACTIONS(753),
    [anon_sym_transient] = ACTIONS(753),
    [anon_sym_volatile] = ACTIONS(753),
    [anon_sym_sealed] = ACTIONS(753),
    [anon_sym_non_DASHsealed] = ACTIONS(751),
    [anon_sym_record] = ACTIONS(753),
    [anon_sym_ATinterface] = ACTIONS(751),
    [anon_sym_interface] = ACTIONS(753),
    [anon_sym_byte] = ACTIONS(753),
    [anon_sym_short] = ACTIONS(753),
    [anon_sym_int] = ACTIONS(753),
    [anon_sym_long] = ACTIONS(753),
    [anon_sym_char] = ACTIONS(753),
    [anon_sym_float] = ACTIONS(753),
    [anon_sym_double] = ACTIONS(753),
    [sym_boolean_type] = ACTIONS(753),
    [sym_void_type] = ACTIONS(753),
    [sym_this] = ACTIONS(753),
    [sym_super] = ACTIONS(753),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(755),
    [sym_identifier] = ACTIONS(757),
    [sym_decimal_integer_literal] = ACTIONS(757),
    [sym_hex_integer_literal] = ACTIONS(757),
    [sym_octal_integer_literal] = ACTIONS(757),
    [sym_binary_integer_literal] = ACTIONS(755),
    [sym_decimal_floating_point_literal] = ACTIONS(755),
    [sym_hex_floating_point_literal] = ACTIONS(757),
    [sym_true] = ACTIONS(757),
    [sym_false] = ACTIONS(757),
    [sym_character_literal] = ACTIONS(755),
    [anon_sym_DQUOTE] = ACTIONS(757),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(755),
    [anon_sym_RBRACE] = ACTIONS(755),
    [sym_null_literal] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_LT] = ACTIONS(755),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(757),
    [anon_sym_final] = ACTIONS(757),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_class] = ACTIONS(757),
    [anon_sym_switch] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(757),
    [anon_sym_default] = ACTIONS(757),
    [anon_sym_SEMI] = ACTIONS(755),
    [anon_sym_assert] = ACTIONS(757),
    [anon_sym_do] = ACTIONS(757),
    [anon_sym_while] = ACTIONS(757),
    [anon_sym_break] = ACTIONS(757),
    [anon_sym_continue] = ACTIONS(757),
    [anon_sym_return] = ACTIONS(757),
    [anon_sym_yield] = ACTIONS(757),
    [anon_sym_synchronized] = ACTIONS(757),
    [anon_sym_throw] = ACTIONS(757),
    [anon_sym_try] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(757),
    [anon_sym_AT] = ACTIONS(757),
    [anon_sym_open] = ACTIONS(757),
    [anon_sym_module] = ACTIONS(757),
    [anon_sym_static] = ACTIONS(757),
    [anon_sym_with] = ACTIONS(757),
    [anon_sym_package] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_enum] = ACTIONS(757),
    [anon_sym_public] = ACTIONS(757),
    [anon_sym_protected] = ACTIONS(757),
    [anon_sym_private] = ACTIONS(757),
    [anon_sym_abstract] = ACTIONS(757),
    [anon_sym_strictfp] = ACTIONS(757),
    [anon_sym_native] = ACTIONS(757),
    [anon_sym_transient] = ACTIONS(757),
    [anon_sym_volatile] = ACTIONS(757),
    [anon_sym_sealed] = ACTIONS(757),
    [anon_sym_non_DASHsealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(757),
    [anon_sym_ATinterface] = ACTIONS(755),
    [anon_sym_interface] = ACTIONS(757),
    [anon_sym_byte] = ACTIONS(757),
    [anon_sym_short] = ACTIONS(757),
    [anon_sym_int] = ACTIONS(757),
    [anon_sym_long] = ACTIONS(757),
    [anon_sym_char] = ACTIONS(757),
    [anon_sym_float] = ACTIONS(757),
    [anon_sym_double] = ACTIONS(757),
    [sym_boolean_type] = ACTIONS(757),
    [sym_void_type] = ACTIONS(757),
    [sym_this] = ACTIONS(757),
    [sym_super] = ACTIONS(757),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [279] = {
    [ts_builtin_sym_end] = ACTIONS(759),
    [sym_identifier] = ACTIONS(761),
    [sym_decimal_integer_literal] = ACTIONS(761),
    [sym_hex_integer_literal] = ACTIONS(761),
    [sym_octal_integer_literal] = ACTIONS(761),
    [sym_binary_integer_literal] = ACTIONS(759),
    [sym_decimal_floating_point_literal] = ACTIONS(759),
    [sym_hex_floating_point_literal] = ACTIONS(761),
    [sym_true] = ACTIONS(761),
    [sym_false] = ACTIONS(761),
    [sym_character_literal] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(761),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(759),
    [anon_sym_RBRACE] = ACTIONS(759),
    [sym_null_literal] = ACTIONS(761),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LT] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(761),
    [anon_sym_DASH] = ACTIONS(761),
    [anon_sym_final] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(759),
    [anon_sym_DASH_DASH] = ACTIONS(759),
    [anon_sym_new] = ACTIONS(761),
    [anon_sym_class] = ACTIONS(761),
    [anon_sym_switch] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_case] = ACTIONS(761),
    [anon_sym_default] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(759),
    [anon_sym_assert] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_break] = ACTIONS(761),
    [anon_sym_continue] = ACTIONS(761),
    [anon_sym_return] = ACTIONS(761),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_synchronized] = ACTIONS(761),
    [anon_sym_throw] = ACTIONS(761),
    [anon_sym_try] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_else] = ACTIONS(761),
    [anon_sym_for] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(761),
    [anon_sym_open] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(761),
    [anon_sym_static] = ACTIONS(761),
    [anon_sym_with] = ACTIONS(761),
    [anon_sym_package] = ACTIONS(761),
    [anon_sym_import] = ACTIONS(761),
    [anon_sym_enum] = ACTIONS(761),
    [anon_sym_public] = ACTIONS(761),
    [anon_sym_protected] = ACTIONS(761),
    [anon_sym_private] = ACTIONS(761),
    [anon_sym_abstract] = ACTIONS(761),
    [anon_sym_strictfp] = ACTIONS(761),
    [anon_sym_native] = ACTIONS(761),
    [anon_sym_transient] = ACTIONS(761),
    [anon_sym_volatile] = ACTIONS(761),
    [anon_sym_sealed] = ACTIONS(761),
    [anon_sym_non_DASHsealed] = ACTIONS(759),
    [anon_sym_record] = ACTIONS(761),
    [anon_sym_ATinterface] = ACTIONS(759),
    [anon_sym_interface] = ACTIONS(761),
    [anon_sym_byte] = ACTIONS(761),
    [anon_sym_short] = ACTIONS(761),
    [anon_sym_int] = ACTIONS(761),
    [anon_sym_long] = ACTIONS(761),
    [anon_sym_char] = ACTIONS(761),
    [anon_sym_float] = ACTIONS(761),
    [anon_sym_double] = ACTIONS(761),
    [sym_boolean_type] = ACTIONS(761),
    [sym_void_type] = ACTIONS(761),
    [sym_this] = ACTIONS(761),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(763),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(765),
    [sym_hex_integer_literal] = ACTIONS(765),
    [sym_octal_integer_literal] = ACTIONS(765),
    [sym_binary_integer_literal] = ACTIONS(763),
    [sym_decimal_floating_point_literal] = ACTIONS(763),
    [sym_hex_floating_point_literal] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_character_literal] = ACTIONS(763),
    [anon_sym_DQUOTE] = ACTIONS(765),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(763),
    [anon_sym_RBRACE] = ACTIONS(763),
    [sym_null_literal] = ACTIONS(765),
    [anon_sym_LPAREN] = ACTIONS(763),
    [anon_sym_LT] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_final] = ACTIONS(765),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(763),
    [anon_sym_DASH_DASH] = ACTIONS(763),
    [anon_sym_new] = ACTIONS(765),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_switch] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_case] = ACTIONS(765),
    [anon_sym_default] = ACTIONS(765),
    [anon_sym_SEMI] = ACTIONS(763),
    [anon_sym_assert] = ACTIONS(765),
    [anon_sym_do] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_break] = ACTIONS(765),
    [anon_sym_continue] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(765),
    [anon_sym_yield] = ACTIONS(765),
    [anon_sym_synchronized] = ACTIONS(765),
    [anon_sym_throw] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_else] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_AT] = ACTIONS(765),
    [anon_sym_open] = ACTIONS(765),
    [anon_sym_module] = ACTIONS(765),
    [anon_sym_static] = ACTIONS(765),
    [anon_sym_with] = ACTIONS(765),
    [anon_sym_package] = ACTIONS(765),
    [anon_sym_import] = ACTIONS(765),
    [anon_sym_enum] = ACTIONS(765),
    [anon_sym_public] = ACTIONS(765),
    [anon_sym_protected] = ACTIONS(765),
    [anon_sym_private] = ACTIONS(765),
    [anon_sym_abstract] = ACTIONS(765),
    [anon_sym_strictfp] = ACTIONS(765),
    [anon_sym_native] = ACTIONS(765),
    [anon_sym_transient] = ACTIONS(765),
    [anon_sym_volatile] = ACTIONS(765),
    [anon_sym_sealed] = ACTIONS(765),
    [anon_sym_non_DASHsealed] = ACTIONS(763),
    [anon_sym_record] = ACTIONS(765),
    [anon_sym_ATinterface] = ACTIONS(763),
    [anon_sym_interface] = ACTIONS(765),
    [anon_sym_byte] = ACTIONS(765),
    [anon_sym_short] = ACTIONS(765),
    [anon_sym_int] = ACTIONS(765),
    [anon_sym_long] = ACTIONS(765),
    [anon_sym_char] = ACTIONS(765),
    [anon_sym_float] = ACTIONS(765),
    [anon_sym_double] = ACTIONS(765),
    [sym_boolean_type] = ACTIONS(765),
    [sym_void_type] = ACTIONS(765),
    [sym_this] = ACTIONS(765),
    [sym_super] = ACTIONS(765),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(767),
    [sym_identifier] = ACTIONS(769),
    [sym_decimal_integer_literal] = ACTIONS(769),
    [sym_hex_integer_literal] = ACTIONS(769),
    [sym_octal_integer_literal] = ACTIONS(769),
    [sym_binary_integer_literal] = ACTIONS(767),
    [sym_decimal_floating_point_literal] = ACTIONS(767),
    [sym_hex_floating_point_literal] = ACTIONS(769),
    [sym_true] = ACTIONS(769),
    [sym_false] = ACTIONS(769),
    [sym_character_literal] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(767),
    [sym_null_literal] = ACTIONS(769),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_PLUS] = ACTIONS(769),
    [anon_sym_DASH] = ACTIONS(769),
    [anon_sym_final] = ACTIONS(769),
    [anon_sym_BANG] = ACTIONS(767),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_class] = ACTIONS(769),
    [anon_sym_switch] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_case] = ACTIONS(769),
    [anon_sym_default] = ACTIONS(769),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_do] = ACTIONS(769),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(769),
    [anon_sym_return] = ACTIONS(769),
    [anon_sym_yield] = ACTIONS(769),
    [anon_sym_synchronized] = ACTIONS(769),
    [anon_sym_throw] = ACTIONS(769),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(769),
    [anon_sym_else] = ACTIONS(769),
    [anon_sym_for] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_open] = ACTIONS(769),
    [anon_sym_module] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(769),
    [anon_sym_with] = ACTIONS(769),
    [anon_sym_package] = ACTIONS(769),
    [anon_sym_import] = ACTIONS(769),
    [anon_sym_enum] = ACTIONS(769),
    [anon_sym_public] = ACTIONS(769),
    [anon_sym_protected] = ACTIONS(769),
    [anon_sym_private] = ACTIONS(769),
    [anon_sym_abstract] = ACTIONS(769),
    [anon_sym_strictfp] = ACTIONS(769),
    [anon_sym_native] = ACTIONS(769),
    [anon_sym_transient] = ACTIONS(769),
    [anon_sym_volatile] = ACTIONS(769),
    [anon_sym_sealed] = ACTIONS(769),
    [anon_sym_non_DASHsealed] = ACTIONS(767),
    [anon_sym_record] = ACTIONS(769),
    [anon_sym_ATinterface] = ACTIONS(767),
    [anon_sym_interface] = ACTIONS(769),
    [anon_sym_byte] = ACTIONS(769),
    [anon_sym_short] = ACTIONS(769),
    [anon_sym_int] = ACTIONS(769),
    [anon_sym_long] = ACTIONS(769),
    [anon_sym_char] = ACTIONS(769),
    [anon_sym_float] = ACTIONS(769),
    [anon_sym_double] = ACTIONS(769),
    [sym_boolean_type] = ACTIONS(769),
    [sym_void_type] = ACTIONS(769),
    [sym_this] = ACTIONS(769),
    [sym_super] = ACTIONS(769),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(771),
    [sym_identifier] = ACTIONS(773),
    [sym_decimal_integer_literal] = ACTIONS(773),
    [sym_hex_integer_literal] = ACTIONS(773),
    [sym_octal_integer_literal] = ACTIONS(773),
    [sym_binary_integer_literal] = ACTIONS(771),
    [sym_decimal_floating_point_literal] = ACTIONS(771),
    [sym_hex_floating_point_literal] = ACTIONS(773),
    [sym_true] = ACTIONS(773),
    [sym_false] = ACTIONS(773),
    [sym_character_literal] = ACTIONS(771),
    [anon_sym_DQUOTE] = ACTIONS(773),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(771),
    [anon_sym_RBRACE] = ACTIONS(771),
    [sym_null_literal] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(771),
    [anon_sym_LT] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_final] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(771),
    [anon_sym_PLUS_PLUS] = ACTIONS(771),
    [anon_sym_DASH_DASH] = ACTIONS(771),
    [anon_sym_new] = ACTIONS(773),
    [anon_sym_class] = ACTIONS(773),
    [anon_sym_switch] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(771),
    [anon_sym_case] = ACTIONS(773),
    [anon_sym_default] = ACTIONS(773),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_assert] = ACTIONS(773),
    [anon_sym_do] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(773),
    [anon_sym_break] = ACTIONS(773),
    [anon_sym_continue] = ACTIONS(773),
    [anon_sym_return] = ACTIONS(773),
    [anon_sym_yield] = ACTIONS(773),
    [anon_sym_synchronized] = ACTIONS(773),
    [anon_sym_throw] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(773),
    [anon_sym_for] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(773),
    [anon_sym_open] = ACTIONS(773),
    [anon_sym_module] = ACTIONS(773),
    [anon_sym_static] = ACTIONS(773),
    [anon_sym_with] = ACTIONS(773),
    [anon_sym_package] = ACTIONS(773),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_enum] = ACTIONS(773),
    [anon_sym_public] = ACTIONS(773),
    [anon_sym_protected] = ACTIONS(773),
    [anon_sym_private] = ACTIONS(773),
    [anon_sym_abstract] = ACTIONS(773),
    [anon_sym_strictfp] = ACTIONS(773),
    [anon_sym_native] = ACTIONS(773),
    [anon_sym_transient] = ACTIONS(773),
    [anon_sym_volatile] = ACTIONS(773),
    [anon_sym_sealed] = ACTIONS(773),
    [anon_sym_non_DASHsealed] = ACTIONS(771),
    [anon_sym_record] = ACTIONS(773),
    [anon_sym_ATinterface] = ACTIONS(771),
    [anon_sym_interface] = ACTIONS(773),
    [anon_sym_byte] = ACTIONS(773),
    [anon_sym_short] = ACTIONS(773),
    [anon_sym_int] = ACTIONS(773),
    [anon_sym_long] = ACTIONS(773),
    [anon_sym_char] = ACTIONS(773),
    [anon_sym_float] = ACTIONS(773),
    [anon_sym_double] = ACTIONS(773),
    [sym_boolean_type] = ACTIONS(773),
    [sym_void_type] = ACTIONS(773),
    [sym_this] = ACTIONS(773),
    [sym_super] = ACTIONS(773),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(775),
    [sym_identifier] = ACTIONS(777),
    [sym_decimal_integer_literal] = ACTIONS(777),
    [sym_hex_integer_literal] = ACTIONS(777),
    [sym_octal_integer_literal] = ACTIONS(777),
    [sym_binary_integer_literal] = ACTIONS(775),
    [sym_decimal_floating_point_literal] = ACTIONS(775),
    [sym_hex_floating_point_literal] = ACTIONS(777),
    [sym_true] = ACTIONS(777),
    [sym_false] = ACTIONS(777),
    [sym_character_literal] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(777),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(775),
    [anon_sym_RBRACE] = ACTIONS(775),
    [sym_null_literal] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_final] = ACTIONS(777),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(775),
    [anon_sym_DASH_DASH] = ACTIONS(775),
    [anon_sym_new] = ACTIONS(777),
    [anon_sym_class] = ACTIONS(777),
    [anon_sym_switch] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(777),
    [anon_sym_default] = ACTIONS(777),
    [anon_sym_SEMI] = ACTIONS(775),
    [anon_sym_assert] = ACTIONS(777),
    [anon_sym_do] = ACTIONS(777),
    [anon_sym_while] = ACTIONS(777),
    [anon_sym_break] = ACTIONS(777),
    [anon_sym_continue] = ACTIONS(777),
    [anon_sym_return] = ACTIONS(777),
    [anon_sym_yield] = ACTIONS(777),
    [anon_sym_synchronized] = ACTIONS(777),
    [anon_sym_throw] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(777),
    [anon_sym_else] = ACTIONS(777),
    [anon_sym_for] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(777),
    [anon_sym_open] = ACTIONS(777),
    [anon_sym_module] = ACTIONS(777),
    [anon_sym_static] = ACTIONS(777),
    [anon_sym_with] = ACTIONS(777),
    [anon_sym_package] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(777),
    [anon_sym_enum] = ACTIONS(777),
    [anon_sym_public] = ACTIONS(777),
    [anon_sym_protected] = ACTIONS(777),
    [anon_sym_private] = ACTIONS(777),
    [anon_sym_abstract] = ACTIONS(777),
    [anon_sym_strictfp] = ACTIONS(777),
    [anon_sym_native] = ACTIONS(777),
    [anon_sym_transient] = ACTIONS(777),
    [anon_sym_volatile] = ACTIONS(777),
    [anon_sym_sealed] = ACTIONS(777),
    [anon_sym_non_DASHsealed] = ACTIONS(775),
    [anon_sym_record] = ACTIONS(777),
    [anon_sym_ATinterface] = ACTIONS(775),
    [anon_sym_interface] = ACTIONS(777),
    [anon_sym_byte] = ACTIONS(777),
    [anon_sym_short] = ACTIONS(777),
    [anon_sym_int] = ACTIONS(777),
    [anon_sym_long] = ACTIONS(777),
    [anon_sym_char] = ACTIONS(777),
    [anon_sym_float] = ACTIONS(777),
    [anon_sym_double] = ACTIONS(777),
    [sym_boolean_type] = ACTIONS(777),
    [sym_void_type] = ACTIONS(777),
    [sym_this] = ACTIONS(777),
    [sym_super] = ACTIONS(777),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(779),
    [sym_identifier] = ACTIONS(781),
    [sym_decimal_integer_literal] = ACTIONS(781),
    [sym_hex_integer_literal] = ACTIONS(781),
    [sym_octal_integer_literal] = ACTIONS(781),
    [sym_binary_integer_literal] = ACTIONS(779),
    [sym_decimal_floating_point_literal] = ACTIONS(779),
    [sym_hex_floating_point_literal] = ACTIONS(781),
    [sym_true] = ACTIONS(781),
    [sym_false] = ACTIONS(781),
    [sym_character_literal] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(779),
    [anon_sym_RBRACE] = ACTIONS(779),
    [sym_null_literal] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_final] = ACTIONS(781),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_class] = ACTIONS(781),
    [anon_sym_switch] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_case] = ACTIONS(781),
    [anon_sym_default] = ACTIONS(781),
    [anon_sym_SEMI] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(781),
    [anon_sym_do] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(781),
    [anon_sym_break] = ACTIONS(781),
    [anon_sym_continue] = ACTIONS(781),
    [anon_sym_return] = ACTIONS(781),
    [anon_sym_yield] = ACTIONS(781),
    [anon_sym_synchronized] = ACTIONS(781),
    [anon_sym_throw] = ACTIONS(781),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_else] = ACTIONS(781),
    [anon_sym_for] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [anon_sym_open] = ACTIONS(781),
    [anon_sym_module] = ACTIONS(781),
    [anon_sym_static] = ACTIONS(781),
    [anon_sym_with] = ACTIONS(781),
    [anon_sym_package] = ACTIONS(781),
    [anon_sym_import] = ACTIONS(781),
    [anon_sym_enum] = ACTIONS(781),
    [anon_sym_public] = ACTIONS(781),
    [anon_sym_protected] = ACTIONS(781),
    [anon_sym_private] = ACTIONS(781),
    [anon_sym_abstract] = ACTIONS(781),
    [anon_sym_strictfp] = ACTIONS(781),
    [anon_sym_native] = ACTIONS(781),
    [anon_sym_transient] = ACTIONS(781),
    [anon_sym_volatile] = ACTIONS(781),
    [anon_sym_sealed] = ACTIONS(781),
    [anon_sym_non_DASHsealed] = ACTIONS(779),
    [anon_sym_record] = ACTIONS(781),
    [anon_sym_ATinterface] = ACTIONS(779),
    [anon_sym_interface] = ACTIONS(781),
    [anon_sym_byte] = ACTIONS(781),
    [anon_sym_short] = ACTIONS(781),
    [anon_sym_int] = ACTIONS(781),
    [anon_sym_long] = ACTIONS(781),
    [anon_sym_char] = ACTIONS(781),
    [anon_sym_float] = ACTIONS(781),
    [anon_sym_double] = ACTIONS(781),
    [sym_boolean_type] = ACTIONS(781),
    [sym_void_type] = ACTIONS(781),
    [sym_this] = ACTIONS(781),
    [sym_super] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(783),
    [sym_identifier] = ACTIONS(785),
    [sym_decimal_integer_literal] = ACTIONS(785),
    [sym_hex_integer_literal] = ACTIONS(785),
    [sym_octal_integer_literal] = ACTIONS(785),
    [sym_binary_integer_literal] = ACTIONS(783),
    [sym_decimal_floating_point_literal] = ACTIONS(783),
    [sym_hex_floating_point_literal] = ACTIONS(785),
    [sym_true] = ACTIONS(785),
    [sym_false] = ACTIONS(785),
    [sym_character_literal] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(783),
    [anon_sym_RBRACE] = ACTIONS(783),
    [sym_null_literal] = ACTIONS(785),
    [anon_sym_LPAREN] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_final] = ACTIONS(785),
    [anon_sym_BANG] = ACTIONS(783),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_new] = ACTIONS(785),
    [anon_sym_class] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_case] = ACTIONS(785),
    [anon_sym_default] = ACTIONS(785),
    [anon_sym_SEMI] = ACTIONS(783),
    [anon_sym_assert] = ACTIONS(785),
    [anon_sym_do] = ACTIONS(785),
    [anon_sym_while] = ACTIONS(785),
    [anon_sym_break] = ACTIONS(785),
    [anon_sym_continue] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(785),
    [anon_sym_yield] = ACTIONS(785),
    [anon_sym_synchronized] = ACTIONS(785),
    [anon_sym_throw] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(785),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_for] = ACTIONS(785),
    [anon_sym_AT] = ACTIONS(785),
    [anon_sym_open] = ACTIONS(785),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_static] = ACTIONS(785),
    [anon_sym_with] = ACTIONS(785),
    [anon_sym_package] = ACTIONS(785),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_enum] = ACTIONS(785),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_abstract] = ACTIONS(785),
    [anon_sym_strictfp] = ACTIONS(785),
    [anon_sym_native] = ACTIONS(785),
    [anon_sym_transient] = ACTIONS(785),
    [anon_sym_volatile] = ACTIONS(785),
    [anon_sym_sealed] = ACTIONS(785),
    [anon_sym_non_DASHsealed] = ACTIONS(783),
    [anon_sym_record] = ACTIONS(785),
    [anon_sym_ATinterface] = ACTIONS(783),
    [anon_sym_interface] = ACTIONS(785),
    [anon_sym_byte] = ACTIONS(785),
    [anon_sym_short] = ACTIONS(785),
    [anon_sym_int] = ACTIONS(785),
    [anon_sym_long] = ACTIONS(785),
    [anon_sym_char] = ACTIONS(785),
    [anon_sym_float] = ACTIONS(785),
    [anon_sym_double] = ACTIONS(785),
    [sym_boolean_type] = ACTIONS(785),
    [sym_void_type] = ACTIONS(785),
    [sym_this] = ACTIONS(785),
    [sym_super] = ACTIONS(785),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(787),
    [sym_identifier] = ACTIONS(789),
    [sym_decimal_integer_literal] = ACTIONS(789),
    [sym_hex_integer_literal] = ACTIONS(789),
    [sym_octal_integer_literal] = ACTIONS(789),
    [sym_binary_integer_literal] = ACTIONS(787),
    [sym_decimal_floating_point_literal] = ACTIONS(787),
    [sym_hex_floating_point_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(789),
    [sym_false] = ACTIONS(789),
    [sym_character_literal] = ACTIONS(787),
    [anon_sym_DQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(787),
    [anon_sym_RBRACE] = ACTIONS(787),
    [sym_null_literal] = ACTIONS(789),
    [anon_sym_LPAREN] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_final] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(787),
    [anon_sym_TILDE] = ACTIONS(787),
    [anon_sym_PLUS_PLUS] = ACTIONS(787),
    [anon_sym_DASH_DASH] = ACTIONS(787),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(789),
    [anon_sym_LBRACE] = ACTIONS(787),
    [anon_sym_case] = ACTIONS(789),
    [anon_sym_default] = ACTIONS(789),
    [anon_sym_SEMI] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_do] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(789),
    [anon_sym_continue] = ACTIONS(789),
    [anon_sym_return] = ACTIONS(789),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_synchronized] = ACTIONS(789),
    [anon_sym_throw] = ACTIONS(789),
    [anon_sym_try] = ACTIONS(789),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_else] = ACTIONS(789),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_open] = ACTIONS(789),
    [anon_sym_module] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(789),
    [anon_sym_with] = ACTIONS(789),
    [anon_sym_package] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(789),
    [anon_sym_enum] = ACTIONS(789),
    [anon_sym_public] = ACTIONS(789),
    [anon_sym_protected] = ACTIONS(789),
    [anon_sym_private] = ACTIONS(789),
    [anon_sym_abstract] = ACTIONS(789),
    [anon_sym_strictfp] = ACTIONS(789),
    [anon_sym_native] = ACTIONS(789),
    [anon_sym_transient] = ACTIONS(789),
    [anon_sym_volatile] = ACTIONS(789),
    [anon_sym_sealed] = ACTIONS(789),
    [anon_sym_non_DASHsealed] = ACTIONS(787),
    [anon_sym_record] = ACTIONS(789),
    [anon_sym_ATinterface] = ACTIONS(787),
    [anon_sym_interface] = ACTIONS(789),
    [anon_sym_byte] = ACTIONS(789),
    [anon_sym_short] = ACTIONS(789),
    [anon_sym_int] = ACTIONS(789),
    [anon_sym_long] = ACTIONS(789),
    [anon_sym_char] = ACTIONS(789),
    [anon_sym_float] = ACTIONS(789),
    [anon_sym_double] = ACTIONS(789),
    [sym_boolean_type] = ACTIONS(789),
    [sym_void_type] = ACTIONS(789),
    [sym_this] = ACTIONS(789),
    [sym_super] = ACTIONS(789),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(791),
    [sym_identifier] = ACTIONS(793),
    [sym_decimal_integer_literal] = ACTIONS(793),
    [sym_hex_integer_literal] = ACTIONS(793),
    [sym_octal_integer_literal] = ACTIONS(793),
    [sym_binary_integer_literal] = ACTIONS(791),
    [sym_decimal_floating_point_literal] = ACTIONS(791),
    [sym_hex_floating_point_literal] = ACTIONS(793),
    [sym_true] = ACTIONS(793),
    [sym_false] = ACTIONS(793),
    [sym_character_literal] = ACTIONS(791),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(791),
    [anon_sym_RBRACE] = ACTIONS(791),
    [sym_null_literal] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(791),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_final] = ACTIONS(793),
    [anon_sym_BANG] = ACTIONS(791),
    [anon_sym_TILDE] = ACTIONS(791),
    [anon_sym_PLUS_PLUS] = ACTIONS(791),
    [anon_sym_DASH_DASH] = ACTIONS(791),
    [anon_sym_new] = ACTIONS(793),
    [anon_sym_class] = ACTIONS(793),
    [anon_sym_switch] = ACTIONS(793),
    [anon_sym_LBRACE] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(793),
    [anon_sym_SEMI] = ACTIONS(791),
    [anon_sym_assert] = ACTIONS(793),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_while] = ACTIONS(793),
    [anon_sym_break] = ACTIONS(793),
    [anon_sym_continue] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_yield] = ACTIONS(793),
    [anon_sym_synchronized] = ACTIONS(793),
    [anon_sym_throw] = ACTIONS(793),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_if] = ACTIONS(793),
    [anon_sym_else] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(793),
    [anon_sym_AT] = ACTIONS(793),
    [anon_sym_open] = ACTIONS(793),
    [anon_sym_module] = ACTIONS(793),
    [anon_sym_static] = ACTIONS(793),
    [anon_sym_with] = ACTIONS(793),
    [anon_sym_package] = ACTIONS(793),
    [anon_sym_import] = ACTIONS(793),
    [anon_sym_enum] = ACTIONS(793),
    [anon_sym_public] = ACTIONS(793),
    [anon_sym_protected] = ACTIONS(793),
    [anon_sym_private] = ACTIONS(793),
    [anon_sym_abstract] = ACTIONS(793),
    [anon_sym_strictfp] = ACTIONS(793),
    [anon_sym_native] = ACTIONS(793),
    [anon_sym_transient] = ACTIONS(793),
    [anon_sym_volatile] = ACTIONS(793),
    [anon_sym_sealed] = ACTIONS(793),
    [anon_sym_non_DASHsealed] = ACTIONS(791),
    [anon_sym_record] = ACTIONS(793),
    [anon_sym_ATinterface] = ACTIONS(791),
    [anon_sym_interface] = ACTIONS(793),
    [anon_sym_byte] = ACTIONS(793),
    [anon_sym_short] = ACTIONS(793),
    [anon_sym_int] = ACTIONS(793),
    [anon_sym_long] = ACTIONS(793),
    [anon_sym_char] = ACTIONS(793),
    [anon_sym_float] = ACTIONS(793),
    [anon_sym_double] = ACTIONS(793),
    [sym_boolean_type] = ACTIONS(793),
    [sym_void_type] = ACTIONS(793),
    [sym_this] = ACTIONS(793),
    [sym_super] = ACTIONS(793),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(795),
    [sym_identifier] = ACTIONS(797),
    [sym_decimal_integer_literal] = ACTIONS(797),
    [sym_hex_integer_literal] = ACTIONS(797),
    [sym_octal_integer_literal] = ACTIONS(797),
    [sym_binary_integer_literal] = ACTIONS(795),
    [sym_decimal_floating_point_literal] = ACTIONS(795),
    [sym_hex_floating_point_literal] = ACTIONS(797),
    [sym_true] = ACTIONS(797),
    [sym_false] = ACTIONS(797),
    [sym_character_literal] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(795),
    [anon_sym_RBRACE] = ACTIONS(795),
    [sym_null_literal] = ACTIONS(797),
    [anon_sym_LPAREN] = ACTIONS(795),
    [anon_sym_LT] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_final] = ACTIONS(797),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(795),
    [anon_sym_PLUS_PLUS] = ACTIONS(795),
    [anon_sym_DASH_DASH] = ACTIONS(795),
    [anon_sym_new] = ACTIONS(797),
    [anon_sym_class] = ACTIONS(797),
    [anon_sym_switch] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(795),
    [anon_sym_case] = ACTIONS(797),
    [anon_sym_default] = ACTIONS(797),
    [anon_sym_SEMI] = ACTIONS(795),
    [anon_sym_assert] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(797),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_yield] = ACTIONS(797),
    [anon_sym_synchronized] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(797),
    [anon_sym_try] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(797),
    [anon_sym_else] = ACTIONS(797),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_AT] = ACTIONS(797),
    [anon_sym_open] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_with] = ACTIONS(797),
    [anon_sym_package] = ACTIONS(797),
    [anon_sym_import] = ACTIONS(797),
    [anon_sym_enum] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_abstract] = ACTIONS(797),
    [anon_sym_strictfp] = ACTIONS(797),
    [anon_sym_native] = ACTIONS(797),
    [anon_sym_transient] = ACTIONS(797),
    [anon_sym_volatile] = ACTIONS(797),
    [anon_sym_sealed] = ACTIONS(797),
    [anon_sym_non_DASHsealed] = ACTIONS(795),
    [anon_sym_record] = ACTIONS(797),
    [anon_sym_ATinterface] = ACTIONS(795),
    [anon_sym_interface] = ACTIONS(797),
    [anon_sym_byte] = ACTIONS(797),
    [anon_sym_short] = ACTIONS(797),
    [anon_sym_int] = ACTIONS(797),
    [anon_sym_long] = ACTIONS(797),
    [anon_sym_char] = ACTIONS(797),
    [anon_sym_float] = ACTIONS(797),
    [anon_sym_double] = ACTIONS(797),
    [sym_boolean_type] = ACTIONS(797),
    [sym_void_type] = ACTIONS(797),
    [sym_this] = ACTIONS(797),
    [sym_super] = ACTIONS(797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [sym_decimal_integer_literal] = ACTIONS(801),
    [sym_hex_integer_literal] = ACTIONS(801),
    [sym_octal_integer_literal] = ACTIONS(801),
    [sym_binary_integer_literal] = ACTIONS(799),
    [sym_decimal_floating_point_literal] = ACTIONS(799),
    [sym_hex_floating_point_literal] = ACTIONS(801),
    [sym_true] = ACTIONS(801),
    [sym_false] = ACTIONS(801),
    [sym_character_literal] = ACTIONS(799),
    [anon_sym_DQUOTE] = ACTIONS(801),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(799),
    [anon_sym_RBRACE] = ACTIONS(799),
    [sym_null_literal] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(799),
    [anon_sym_LT] = ACTIONS(799),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_final] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(799),
    [anon_sym_TILDE] = ACTIONS(799),
    [anon_sym_PLUS_PLUS] = ACTIONS(799),
    [anon_sym_DASH_DASH] = ACTIONS(799),
    [anon_sym_new] = ACTIONS(801),
    [anon_sym_class] = ACTIONS(801),
    [anon_sym_switch] = ACTIONS(801),
    [anon_sym_LBRACE] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(801),
    [anon_sym_SEMI] = ACTIONS(799),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_do] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(801),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_yield] = ACTIONS(801),
    [anon_sym_synchronized] = ACTIONS(801),
    [anon_sym_throw] = ACTIONS(801),
    [anon_sym_try] = ACTIONS(801),
    [anon_sym_if] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(801),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_AT] = ACTIONS(801),
    [anon_sym_open] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_with] = ACTIONS(801),
    [anon_sym_package] = ACTIONS(801),
    [anon_sym_import] = ACTIONS(801),
    [anon_sym_enum] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_abstract] = ACTIONS(801),
    [anon_sym_strictfp] = ACTIONS(801),
    [anon_sym_native] = ACTIONS(801),
    [anon_sym_transient] = ACTIONS(801),
    [anon_sym_volatile] = ACTIONS(801),
    [anon_sym_sealed] = ACTIONS(801),
    [anon_sym_non_DASHsealed] = ACTIONS(799),
    [anon_sym_record] = ACTIONS(801),
    [anon_sym_ATinterface] = ACTIONS(799),
    [anon_sym_interface] = ACTIONS(801),
    [anon_sym_byte] = ACTIONS(801),
    [anon_sym_short] = ACTIONS(801),
    [anon_sym_int] = ACTIONS(801),
    [anon_sym_long] = ACTIONS(801),
    [anon_sym_char] = ACTIONS(801),
    [anon_sym_float] = ACTIONS(801),
    [anon_sym_double] = ACTIONS(801),
    [sym_boolean_type] = ACTIONS(801),
    [sym_void_type] = ACTIONS(801),
    [sym_this] = ACTIONS(801),
    [sym_super] = ACTIONS(801),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(803),
    [sym_identifier] = ACTIONS(805),
    [sym_decimal_integer_literal] = ACTIONS(805),
    [sym_hex_integer_literal] = ACTIONS(805),
    [sym_octal_integer_literal] = ACTIONS(805),
    [sym_binary_integer_literal] = ACTIONS(803),
    [sym_decimal_floating_point_literal] = ACTIONS(803),
    [sym_hex_floating_point_literal] = ACTIONS(805),
    [sym_true] = ACTIONS(805),
    [sym_false] = ACTIONS(805),
    [sym_character_literal] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(803),
    [anon_sym_RBRACE] = ACTIONS(803),
    [sym_null_literal] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_DASH] = ACTIONS(805),
    [anon_sym_final] = ACTIONS(805),
    [anon_sym_BANG] = ACTIONS(803),
    [anon_sym_TILDE] = ACTIONS(803),
    [anon_sym_PLUS_PLUS] = ACTIONS(803),
    [anon_sym_DASH_DASH] = ACTIONS(803),
    [anon_sym_new] = ACTIONS(805),
    [anon_sym_class] = ACTIONS(805),
    [anon_sym_switch] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(803),
    [anon_sym_case] = ACTIONS(805),
    [anon_sym_default] = ACTIONS(805),
    [anon_sym_SEMI] = ACTIONS(803),
    [anon_sym_assert] = ACTIONS(805),
    [anon_sym_do] = ACTIONS(805),
    [anon_sym_while] = ACTIONS(805),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(805),
    [anon_sym_return] = ACTIONS(805),
    [anon_sym_yield] = ACTIONS(805),
    [anon_sym_synchronized] = ACTIONS(805),
    [anon_sym_throw] = ACTIONS(805),
    [anon_sym_try] = ACTIONS(805),
    [anon_sym_if] = ACTIONS(805),
    [anon_sym_else] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(805),
    [anon_sym_open] = ACTIONS(805),
    [anon_sym_module] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(805),
    [anon_sym_with] = ACTIONS(805),
    [anon_sym_package] = ACTIONS(805),
    [anon_sym_import] = ACTIONS(805),
    [anon_sym_enum] = ACTIONS(805),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_abstract] = ACTIONS(805),
    [anon_sym_strictfp] = ACTIONS(805),
    [anon_sym_native] = ACTIONS(805),
    [anon_sym_transient] = ACTIONS(805),
    [anon_sym_volatile] = ACTIONS(805),
    [anon_sym_sealed] = ACTIONS(805),
    [anon_sym_non_DASHsealed] = ACTIONS(803),
    [anon_sym_record] = ACTIONS(805),
    [anon_sym_ATinterface] = ACTIONS(803),
    [anon_sym_interface] = ACTIONS(805),
    [anon_sym_byte] = ACTIONS(805),
    [anon_sym_short] = ACTIONS(805),
    [anon_sym_int] = ACTIONS(805),
    [anon_sym_long] = ACTIONS(805),
    [anon_sym_char] = ACTIONS(805),
    [anon_sym_float] = ACTIONS(805),
    [anon_sym_double] = ACTIONS(805),
    [sym_boolean_type] = ACTIONS(805),
    [sym_void_type] = ACTIONS(805),
    [sym_this] = ACTIONS(805),
    [sym_super] = ACTIONS(805),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(807),
    [sym_identifier] = ACTIONS(809),
    [sym_decimal_integer_literal] = ACTIONS(809),
    [sym_hex_integer_literal] = ACTIONS(809),
    [sym_octal_integer_literal] = ACTIONS(809),
    [sym_binary_integer_literal] = ACTIONS(807),
    [sym_decimal_floating_point_literal] = ACTIONS(807),
    [sym_hex_floating_point_literal] = ACTIONS(809),
    [sym_true] = ACTIONS(809),
    [sym_false] = ACTIONS(809),
    [sym_character_literal] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [sym_null_literal] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_final] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(807),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [anon_sym_new] = ACTIONS(809),
    [anon_sym_class] = ACTIONS(809),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_case] = ACTIONS(809),
    [anon_sym_default] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_assert] = ACTIONS(809),
    [anon_sym_do] = ACTIONS(809),
    [anon_sym_while] = ACTIONS(809),
    [anon_sym_break] = ACTIONS(809),
    [anon_sym_continue] = ACTIONS(809),
    [anon_sym_return] = ACTIONS(809),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_synchronized] = ACTIONS(809),
    [anon_sym_throw] = ACTIONS(809),
    [anon_sym_try] = ACTIONS(809),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_for] = ACTIONS(809),
    [anon_sym_AT] = ACTIONS(809),
    [anon_sym_open] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(809),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_with] = ACTIONS(809),
    [anon_sym_package] = ACTIONS(809),
    [anon_sym_import] = ACTIONS(809),
    [anon_sym_enum] = ACTIONS(809),
    [anon_sym_public] = ACTIONS(809),
    [anon_sym_protected] = ACTIONS(809),
    [anon_sym_private] = ACTIONS(809),
    [anon_sym_abstract] = ACTIONS(809),
    [anon_sym_strictfp] = ACTIONS(809),
    [anon_sym_native] = ACTIONS(809),
    [anon_sym_transient] = ACTIONS(809),
    [anon_sym_volatile] = ACTIONS(809),
    [anon_sym_sealed] = ACTIONS(809),
    [anon_sym_non_DASHsealed] = ACTIONS(807),
    [anon_sym_record] = ACTIONS(809),
    [anon_sym_ATinterface] = ACTIONS(807),
    [anon_sym_interface] = ACTIONS(809),
    [anon_sym_byte] = ACTIONS(809),
    [anon_sym_short] = ACTIONS(809),
    [anon_sym_int] = ACTIONS(809),
    [anon_sym_long] = ACTIONS(809),
    [anon_sym_char] = ACTIONS(809),
    [anon_sym_float] = ACTIONS(809),
    [anon_sym_double] = ACTIONS(809),
    [sym_boolean_type] = ACTIONS(809),
    [sym_void_type] = ACTIONS(809),
    [sym_this] = ACTIONS(809),
    [sym_super] = ACTIONS(809),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(811),
    [sym_identifier] = ACTIONS(813),
    [sym_decimal_integer_literal] = ACTIONS(813),
    [sym_hex_integer_literal] = ACTIONS(813),
    [sym_octal_integer_literal] = ACTIONS(813),
    [sym_binary_integer_literal] = ACTIONS(811),
    [sym_decimal_floating_point_literal] = ACTIONS(811),
    [sym_hex_floating_point_literal] = ACTIONS(813),
    [sym_true] = ACTIONS(813),
    [sym_false] = ACTIONS(813),
    [sym_character_literal] = ACTIONS(811),
    [anon_sym_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(811),
    [anon_sym_RBRACE] = ACTIONS(811),
    [sym_null_literal] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_LT] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(813),
    [anon_sym_DASH] = ACTIONS(813),
    [anon_sym_final] = ACTIONS(813),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [anon_sym_PLUS_PLUS] = ACTIONS(811),
    [anon_sym_DASH_DASH] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_class] = ACTIONS(813),
    [anon_sym_switch] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_case] = ACTIONS(813),
    [anon_sym_default] = ACTIONS(813),
    [anon_sym_SEMI] = ACTIONS(811),
    [anon_sym_assert] = ACTIONS(813),
    [anon_sym_do] = ACTIONS(813),
    [anon_sym_while] = ACTIONS(813),
    [anon_sym_break] = ACTIONS(813),
    [anon_sym_continue] = ACTIONS(813),
    [anon_sym_return] = ACTIONS(813),
    [anon_sym_yield] = ACTIONS(813),
    [anon_sym_synchronized] = ACTIONS(813),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_try] = ACTIONS(813),
    [anon_sym_if] = ACTIONS(813),
    [anon_sym_else] = ACTIONS(813),
    [anon_sym_for] = ACTIONS(813),
    [anon_sym_AT] = ACTIONS(813),
    [anon_sym_open] = ACTIONS(813),
    [anon_sym_module] = ACTIONS(813),
    [anon_sym_static] = ACTIONS(813),
    [anon_sym_with] = ACTIONS(813),
    [anon_sym_package] = ACTIONS(813),
    [anon_sym_import] = ACTIONS(813),
    [anon_sym_enum] = ACTIONS(813),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_strictfp] = ACTIONS(813),
    [anon_sym_native] = ACTIONS(813),
    [anon_sym_transient] = ACTIONS(813),
    [anon_sym_volatile] = ACTIONS(813),
    [anon_sym_sealed] = ACTIONS(813),
    [anon_sym_non_DASHsealed] = ACTIONS(811),
    [anon_sym_record] = ACTIONS(813),
    [anon_sym_ATinterface] = ACTIONS(811),
    [anon_sym_interface] = ACTIONS(813),
    [anon_sym_byte] = ACTIONS(813),
    [anon_sym_short] = ACTIONS(813),
    [anon_sym_int] = ACTIONS(813),
    [anon_sym_long] = ACTIONS(813),
    [anon_sym_char] = ACTIONS(813),
    [anon_sym_float] = ACTIONS(813),
    [anon_sym_double] = ACTIONS(813),
    [sym_boolean_type] = ACTIONS(813),
    [sym_void_type] = ACTIONS(813),
    [sym_this] = ACTIONS(813),
    [sym_super] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(815),
    [sym_identifier] = ACTIONS(817),
    [sym_decimal_integer_literal] = ACTIONS(817),
    [sym_hex_integer_literal] = ACTIONS(817),
    [sym_octal_integer_literal] = ACTIONS(817),
    [sym_binary_integer_literal] = ACTIONS(815),
    [sym_decimal_floating_point_literal] = ACTIONS(815),
    [sym_hex_floating_point_literal] = ACTIONS(817),
    [sym_true] = ACTIONS(817),
    [sym_false] = ACTIONS(817),
    [sym_character_literal] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(817),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [sym_null_literal] = ACTIONS(817),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(815),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_final] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_TILDE] = ACTIONS(815),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [anon_sym_new] = ACTIONS(817),
    [anon_sym_class] = ACTIONS(817),
    [anon_sym_switch] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_default] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_assert] = ACTIONS(817),
    [anon_sym_do] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(817),
    [anon_sym_break] = ACTIONS(817),
    [anon_sym_continue] = ACTIONS(817),
    [anon_sym_return] = ACTIONS(817),
    [anon_sym_yield] = ACTIONS(817),
    [anon_sym_synchronized] = ACTIONS(817),
    [anon_sym_throw] = ACTIONS(817),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(817),
    [anon_sym_for] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [anon_sym_open] = ACTIONS(817),
    [anon_sym_module] = ACTIONS(817),
    [anon_sym_static] = ACTIONS(817),
    [anon_sym_with] = ACTIONS(817),
    [anon_sym_package] = ACTIONS(817),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_enum] = ACTIONS(817),
    [anon_sym_public] = ACTIONS(817),
    [anon_sym_protected] = ACTIONS(817),
    [anon_sym_private] = ACTIONS(817),
    [anon_sym_abstract] = ACTIONS(817),
    [anon_sym_strictfp] = ACTIONS(817),
    [anon_sym_native] = ACTIONS(817),
    [anon_sym_transient] = ACTIONS(817),
    [anon_sym_volatile] = ACTIONS(817),
    [anon_sym_sealed] = ACTIONS(817),
    [anon_sym_non_DASHsealed] = ACTIONS(815),
    [anon_sym_record] = ACTIONS(817),
    [anon_sym_ATinterface] = ACTIONS(815),
    [anon_sym_interface] = ACTIONS(817),
    [anon_sym_byte] = ACTIONS(817),
    [anon_sym_short] = ACTIONS(817),
    [anon_sym_int] = ACTIONS(817),
    [anon_sym_long] = ACTIONS(817),
    [anon_sym_char] = ACTIONS(817),
    [anon_sym_float] = ACTIONS(817),
    [anon_sym_double] = ACTIONS(817),
    [sym_boolean_type] = ACTIONS(817),
    [sym_void_type] = ACTIONS(817),
    [sym_this] = ACTIONS(817),
    [sym_super] = ACTIONS(817),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(819),
    [sym_identifier] = ACTIONS(821),
    [sym_decimal_integer_literal] = ACTIONS(821),
    [sym_hex_integer_literal] = ACTIONS(821),
    [sym_octal_integer_literal] = ACTIONS(821),
    [sym_binary_integer_literal] = ACTIONS(819),
    [sym_decimal_floating_point_literal] = ACTIONS(819),
    [sym_hex_floating_point_literal] = ACTIONS(821),
    [sym_true] = ACTIONS(821),
    [sym_false] = ACTIONS(821),
    [sym_character_literal] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(821),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(819),
    [anon_sym_RBRACE] = ACTIONS(819),
    [sym_null_literal] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_final] = ACTIONS(821),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(819),
    [anon_sym_DASH_DASH] = ACTIONS(819),
    [anon_sym_new] = ACTIONS(821),
    [anon_sym_class] = ACTIONS(821),
    [anon_sym_switch] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(819),
    [anon_sym_case] = ACTIONS(821),
    [anon_sym_default] = ACTIONS(821),
    [anon_sym_SEMI] = ACTIONS(819),
    [anon_sym_assert] = ACTIONS(821),
    [anon_sym_do] = ACTIONS(821),
    [anon_sym_while] = ACTIONS(821),
    [anon_sym_break] = ACTIONS(821),
    [anon_sym_continue] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(821),
    [anon_sym_yield] = ACTIONS(821),
    [anon_sym_synchronized] = ACTIONS(821),
    [anon_sym_throw] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(821),
    [anon_sym_else] = ACTIONS(821),
    [anon_sym_for] = ACTIONS(821),
    [anon_sym_AT] = ACTIONS(821),
    [anon_sym_open] = ACTIONS(821),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_static] = ACTIONS(821),
    [anon_sym_with] = ACTIONS(821),
    [anon_sym_package] = ACTIONS(821),
    [anon_sym_import] = ACTIONS(821),
    [anon_sym_enum] = ACTIONS(821),
    [anon_sym_public] = ACTIONS(821),
    [anon_sym_protected] = ACTIONS(821),
    [anon_sym_private] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(821),
    [anon_sym_strictfp] = ACTIONS(821),
    [anon_sym_native] = ACTIONS(821),
    [anon_sym_transient] = ACTIONS(821),
    [anon_sym_volatile] = ACTIONS(821),
    [anon_sym_sealed] = ACTIONS(821),
    [anon_sym_non_DASHsealed] = ACTIONS(819),
    [anon_sym_record] = ACTIONS(821),
    [anon_sym_ATinterface] = ACTIONS(819),
    [anon_sym_interface] = ACTIONS(821),
    [anon_sym_byte] = ACTIONS(821),
    [anon_sym_short] = ACTIONS(821),
    [anon_sym_int] = ACTIONS(821),
    [anon_sym_long] = ACTIONS(821),
    [anon_sym_char] = ACTIONS(821),
    [anon_sym_float] = ACTIONS(821),
    [anon_sym_double] = ACTIONS(821),
    [sym_boolean_type] = ACTIONS(821),
    [sym_void_type] = ACTIONS(821),
    [sym_this] = ACTIONS(821),
    [sym_super] = ACTIONS(821),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(823),
    [sym_identifier] = ACTIONS(825),
    [sym_decimal_integer_literal] = ACTIONS(825),
    [sym_hex_integer_literal] = ACTIONS(825),
    [sym_octal_integer_literal] = ACTIONS(825),
    [sym_binary_integer_literal] = ACTIONS(823),
    [sym_decimal_floating_point_literal] = ACTIONS(823),
    [sym_hex_floating_point_literal] = ACTIONS(825),
    [sym_true] = ACTIONS(825),
    [sym_false] = ACTIONS(825),
    [sym_character_literal] = ACTIONS(823),
    [anon_sym_DQUOTE] = ACTIONS(825),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(823),
    [anon_sym_RBRACE] = ACTIONS(823),
    [sym_null_literal] = ACTIONS(825),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LT] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_final] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(823),
    [anon_sym_TILDE] = ACTIONS(823),
    [anon_sym_PLUS_PLUS] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(823),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_switch] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_case] = ACTIONS(825),
    [anon_sym_default] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(825),
    [anon_sym_while] = ACTIONS(825),
    [anon_sym_break] = ACTIONS(825),
    [anon_sym_continue] = ACTIONS(825),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_synchronized] = ACTIONS(825),
    [anon_sym_throw] = ACTIONS(825),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_if] = ACTIONS(825),
    [anon_sym_else] = ACTIONS(825),
    [anon_sym_for] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [anon_sym_open] = ACTIONS(825),
    [anon_sym_module] = ACTIONS(825),
    [anon_sym_static] = ACTIONS(825),
    [anon_sym_with] = ACTIONS(825),
    [anon_sym_package] = ACTIONS(825),
    [anon_sym_import] = ACTIONS(825),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_public] = ACTIONS(825),
    [anon_sym_protected] = ACTIONS(825),
    [anon_sym_private] = ACTIONS(825),
    [anon_sym_abstract] = ACTIONS(825),
    [anon_sym_strictfp] = ACTIONS(825),
    [anon_sym_native] = ACTIONS(825),
    [anon_sym_transient] = ACTIONS(825),
    [anon_sym_volatile] = ACTIONS(825),
    [anon_sym_sealed] = ACTIONS(825),
    [anon_sym_non_DASHsealed] = ACTIONS(823),
    [anon_sym_record] = ACTIONS(825),
    [anon_sym_ATinterface] = ACTIONS(823),
    [anon_sym_interface] = ACTIONS(825),
    [anon_sym_byte] = ACTIONS(825),
    [anon_sym_short] = ACTIONS(825),
    [anon_sym_int] = ACTIONS(825),
    [anon_sym_long] = ACTIONS(825),
    [anon_sym_char] = ACTIONS(825),
    [anon_sym_float] = ACTIONS(825),
    [anon_sym_double] = ACTIONS(825),
    [sym_boolean_type] = ACTIONS(825),
    [sym_void_type] = ACTIONS(825),
    [sym_this] = ACTIONS(825),
    [sym_super] = ACTIONS(825),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(827),
    [sym_identifier] = ACTIONS(829),
    [sym_decimal_integer_literal] = ACTIONS(829),
    [sym_hex_integer_literal] = ACTIONS(829),
    [sym_octal_integer_literal] = ACTIONS(829),
    [sym_binary_integer_literal] = ACTIONS(827),
    [sym_decimal_floating_point_literal] = ACTIONS(827),
    [sym_hex_floating_point_literal] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_character_literal] = ACTIONS(827),
    [anon_sym_DQUOTE] = ACTIONS(829),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(827),
    [anon_sym_RBRACE] = ACTIONS(827),
    [sym_null_literal] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_PLUS] = ACTIONS(829),
    [anon_sym_DASH] = ACTIONS(829),
    [anon_sym_final] = ACTIONS(829),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_PLUS_PLUS] = ACTIONS(827),
    [anon_sym_DASH_DASH] = ACTIONS(827),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_class] = ACTIONS(829),
    [anon_sym_switch] = ACTIONS(829),
    [anon_sym_LBRACE] = ACTIONS(827),
    [anon_sym_case] = ACTIONS(829),
    [anon_sym_default] = ACTIONS(829),
    [anon_sym_SEMI] = ACTIONS(827),
    [anon_sym_assert] = ACTIONS(829),
    [anon_sym_do] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_break] = ACTIONS(829),
    [anon_sym_continue] = ACTIONS(829),
    [anon_sym_return] = ACTIONS(829),
    [anon_sym_yield] = ACTIONS(829),
    [anon_sym_synchronized] = ACTIONS(829),
    [anon_sym_throw] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_else] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(829),
    [anon_sym_open] = ACTIONS(829),
    [anon_sym_module] = ACTIONS(829),
    [anon_sym_static] = ACTIONS(829),
    [anon_sym_with] = ACTIONS(829),
    [anon_sym_package] = ACTIONS(829),
    [anon_sym_import] = ACTIONS(829),
    [anon_sym_enum] = ACTIONS(829),
    [anon_sym_public] = ACTIONS(829),
    [anon_sym_protected] = ACTIONS(829),
    [anon_sym_private] = ACTIONS(829),
    [anon_sym_abstract] = ACTIONS(829),
    [anon_sym_strictfp] = ACTIONS(829),
    [anon_sym_native] = ACTIONS(829),
    [anon_sym_transient] = ACTIONS(829),
    [anon_sym_volatile] = ACTIONS(829),
    [anon_sym_sealed] = ACTIONS(829),
    [anon_sym_non_DASHsealed] = ACTIONS(827),
    [anon_sym_record] = ACTIONS(829),
    [anon_sym_ATinterface] = ACTIONS(827),
    [anon_sym_interface] = ACTIONS(829),
    [anon_sym_byte] = ACTIONS(829),
    [anon_sym_short] = ACTIONS(829),
    [anon_sym_int] = ACTIONS(829),
    [anon_sym_long] = ACTIONS(829),
    [anon_sym_char] = ACTIONS(829),
    [anon_sym_float] = ACTIONS(829),
    [anon_sym_double] = ACTIONS(829),
    [sym_boolean_type] = ACTIONS(829),
    [sym_void_type] = ACTIONS(829),
    [sym_this] = ACTIONS(829),
    [sym_super] = ACTIONS(829),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(831),
    [sym_identifier] = ACTIONS(833),
    [sym_decimal_integer_literal] = ACTIONS(833),
    [sym_hex_integer_literal] = ACTIONS(833),
    [sym_octal_integer_literal] = ACTIONS(833),
    [sym_binary_integer_literal] = ACTIONS(831),
    [sym_decimal_floating_point_literal] = ACTIONS(831),
    [sym_hex_floating_point_literal] = ACTIONS(833),
    [sym_true] = ACTIONS(833),
    [sym_false] = ACTIONS(833),
    [sym_character_literal] = ACTIONS(831),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(831),
    [anon_sym_RBRACE] = ACTIONS(831),
    [sym_null_literal] = ACTIONS(833),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_final] = ACTIONS(833),
    [anon_sym_BANG] = ACTIONS(831),
    [anon_sym_TILDE] = ACTIONS(831),
    [anon_sym_PLUS_PLUS] = ACTIONS(831),
    [anon_sym_DASH_DASH] = ACTIONS(831),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_class] = ACTIONS(833),
    [anon_sym_switch] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_case] = ACTIONS(833),
    [anon_sym_default] = ACTIONS(833),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_assert] = ACTIONS(833),
    [anon_sym_do] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(833),
    [anon_sym_break] = ACTIONS(833),
    [anon_sym_continue] = ACTIONS(833),
    [anon_sym_return] = ACTIONS(833),
    [anon_sym_yield] = ACTIONS(833),
    [anon_sym_synchronized] = ACTIONS(833),
    [anon_sym_throw] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(833),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(833),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_AT] = ACTIONS(833),
    [anon_sym_open] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(833),
    [anon_sym_static] = ACTIONS(833),
    [anon_sym_with] = ACTIONS(833),
    [anon_sym_package] = ACTIONS(833),
    [anon_sym_import] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(833),
    [anon_sym_public] = ACTIONS(833),
    [anon_sym_protected] = ACTIONS(833),
    [anon_sym_private] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(833),
    [anon_sym_strictfp] = ACTIONS(833),
    [anon_sym_native] = ACTIONS(833),
    [anon_sym_transient] = ACTIONS(833),
    [anon_sym_volatile] = ACTIONS(833),
    [anon_sym_sealed] = ACTIONS(833),
    [anon_sym_non_DASHsealed] = ACTIONS(831),
    [anon_sym_record] = ACTIONS(833),
    [anon_sym_ATinterface] = ACTIONS(831),
    [anon_sym_interface] = ACTIONS(833),
    [anon_sym_byte] = ACTIONS(833),
    [anon_sym_short] = ACTIONS(833),
    [anon_sym_int] = ACTIONS(833),
    [anon_sym_long] = ACTIONS(833),
    [anon_sym_char] = ACTIONS(833),
    [anon_sym_float] = ACTIONS(833),
    [anon_sym_double] = ACTIONS(833),
    [sym_boolean_type] = ACTIONS(833),
    [sym_void_type] = ACTIONS(833),
    [sym_this] = ACTIONS(833),
    [sym_super] = ACTIONS(833),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(835),
    [sym_identifier] = ACTIONS(837),
    [sym_decimal_integer_literal] = ACTIONS(837),
    [sym_hex_integer_literal] = ACTIONS(837),
    [sym_octal_integer_literal] = ACTIONS(837),
    [sym_binary_integer_literal] = ACTIONS(835),
    [sym_decimal_floating_point_literal] = ACTIONS(835),
    [sym_hex_floating_point_literal] = ACTIONS(837),
    [sym_true] = ACTIONS(837),
    [sym_false] = ACTIONS(837),
    [sym_character_literal] = ACTIONS(835),
    [anon_sym_DQUOTE] = ACTIONS(837),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(835),
    [sym_null_literal] = ACTIONS(837),
    [anon_sym_LPAREN] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_final] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_TILDE] = ACTIONS(835),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_class] = ACTIONS(837),
    [anon_sym_switch] = ACTIONS(837),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_case] = ACTIONS(837),
    [anon_sym_default] = ACTIONS(837),
    [anon_sym_SEMI] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(837),
    [anon_sym_do] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(837),
    [anon_sym_break] = ACTIONS(837),
    [anon_sym_continue] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(837),
    [anon_sym_yield] = ACTIONS(837),
    [anon_sym_synchronized] = ACTIONS(837),
    [anon_sym_throw] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_else] = ACTIONS(837),
    [anon_sym_for] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(837),
    [anon_sym_open] = ACTIONS(837),
    [anon_sym_module] = ACTIONS(837),
    [anon_sym_static] = ACTIONS(837),
    [anon_sym_with] = ACTIONS(837),
    [anon_sym_package] = ACTIONS(837),
    [anon_sym_import] = ACTIONS(837),
    [anon_sym_enum] = ACTIONS(837),
    [anon_sym_public] = ACTIONS(837),
    [anon_sym_protected] = ACTIONS(837),
    [anon_sym_private] = ACTIONS(837),
    [anon_sym_abstract] = ACTIONS(837),
    [anon_sym_strictfp] = ACTIONS(837),
    [anon_sym_native] = ACTIONS(837),
    [anon_sym_transient] = ACTIONS(837),
    [anon_sym_volatile] = ACTIONS(837),
    [anon_sym_sealed] = ACTIONS(837),
    [anon_sym_non_DASHsealed] = ACTIONS(835),
    [anon_sym_record] = ACTIONS(837),
    [anon_sym_ATinterface] = ACTIONS(835),
    [anon_sym_interface] = ACTIONS(837),
    [anon_sym_byte] = ACTIONS(837),
    [anon_sym_short] = ACTIONS(837),
    [anon_sym_int] = ACTIONS(837),
    [anon_sym_long] = ACTIONS(837),
    [anon_sym_char] = ACTIONS(837),
    [anon_sym_float] = ACTIONS(837),
    [anon_sym_double] = ACTIONS(837),
    [sym_boolean_type] = ACTIONS(837),
    [sym_void_type] = ACTIONS(837),
    [sym_this] = ACTIONS(837),
    [sym_super] = ACTIONS(837),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(839),
    [sym_identifier] = ACTIONS(841),
    [sym_decimal_integer_literal] = ACTIONS(841),
    [sym_hex_integer_literal] = ACTIONS(841),
    [sym_octal_integer_literal] = ACTIONS(841),
    [sym_binary_integer_literal] = ACTIONS(839),
    [sym_decimal_floating_point_literal] = ACTIONS(839),
    [sym_hex_floating_point_literal] = ACTIONS(841),
    [sym_true] = ACTIONS(841),
    [sym_false] = ACTIONS(841),
    [sym_character_literal] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [sym_null_literal] = ACTIONS(841),
    [anon_sym_LPAREN] = ACTIONS(839),
    [anon_sym_LT] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(841),
    [anon_sym_DASH] = ACTIONS(841),
    [anon_sym_final] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_TILDE] = ACTIONS(839),
    [anon_sym_PLUS_PLUS] = ACTIONS(839),
    [anon_sym_DASH_DASH] = ACTIONS(839),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_class] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_case] = ACTIONS(841),
    [anon_sym_default] = ACTIONS(841),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(841),
    [anon_sym_do] = ACTIONS(841),
    [anon_sym_while] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(841),
    [anon_sym_continue] = ACTIONS(841),
    [anon_sym_return] = ACTIONS(841),
    [anon_sym_yield] = ACTIONS(841),
    [anon_sym_synchronized] = ACTIONS(841),
    [anon_sym_throw] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(841),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [anon_sym_open] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_with] = ACTIONS(841),
    [anon_sym_package] = ACTIONS(841),
    [anon_sym_import] = ACTIONS(841),
    [anon_sym_enum] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_abstract] = ACTIONS(841),
    [anon_sym_strictfp] = ACTIONS(841),
    [anon_sym_native] = ACTIONS(841),
    [anon_sym_transient] = ACTIONS(841),
    [anon_sym_volatile] = ACTIONS(841),
    [anon_sym_sealed] = ACTIONS(841),
    [anon_sym_non_DASHsealed] = ACTIONS(839),
    [anon_sym_record] = ACTIONS(841),
    [anon_sym_ATinterface] = ACTIONS(839),
    [anon_sym_interface] = ACTIONS(841),
    [anon_sym_byte] = ACTIONS(841),
    [anon_sym_short] = ACTIONS(841),
    [anon_sym_int] = ACTIONS(841),
    [anon_sym_long] = ACTIONS(841),
    [anon_sym_char] = ACTIONS(841),
    [anon_sym_float] = ACTIONS(841),
    [anon_sym_double] = ACTIONS(841),
    [sym_boolean_type] = ACTIONS(841),
    [sym_void_type] = ACTIONS(841),
    [sym_this] = ACTIONS(841),
    [sym_super] = ACTIONS(841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [300] = {
    [ts_builtin_sym_end] = ACTIONS(843),
    [sym_identifier] = ACTIONS(845),
    [sym_decimal_integer_literal] = ACTIONS(845),
    [sym_hex_integer_literal] = ACTIONS(845),
    [sym_octal_integer_literal] = ACTIONS(845),
    [sym_binary_integer_literal] = ACTIONS(843),
    [sym_decimal_floating_point_literal] = ACTIONS(843),
    [sym_hex_floating_point_literal] = ACTIONS(845),
    [sym_true] = ACTIONS(845),
    [sym_false] = ACTIONS(845),
    [sym_character_literal] = ACTIONS(843),
    [anon_sym_DQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(843),
    [anon_sym_RBRACE] = ACTIONS(843),
    [sym_null_literal] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(843),
    [anon_sym_LT] = ACTIONS(843),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_final] = ACTIONS(845),
    [anon_sym_BANG] = ACTIONS(843),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_PLUS_PLUS] = ACTIONS(843),
    [anon_sym_DASH_DASH] = ACTIONS(843),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_class] = ACTIONS(845),
    [anon_sym_switch] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(843),
    [anon_sym_case] = ACTIONS(845),
    [anon_sym_default] = ACTIONS(845),
    [anon_sym_SEMI] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(845),
    [anon_sym_do] = ACTIONS(845),
    [anon_sym_while] = ACTIONS(845),
    [anon_sym_break] = ACTIONS(845),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_return] = ACTIONS(845),
    [anon_sym_yield] = ACTIONS(845),
    [anon_sym_synchronized] = ACTIONS(845),
    [anon_sym_throw] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(845),
    [anon_sym_if] = ACTIONS(845),
    [anon_sym_else] = ACTIONS(845),
    [anon_sym_for] = ACTIONS(845),
    [anon_sym_AT] = ACTIONS(845),
    [anon_sym_open] = ACTIONS(845),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_static] = ACTIONS(845),
    [anon_sym_with] = ACTIONS(845),
    [anon_sym_package] = ACTIONS(845),
    [anon_sym_import] = ACTIONS(845),
    [anon_sym_enum] = ACTIONS(845),
    [anon_sym_public] = ACTIONS(845),
    [anon_sym_protected] = ACTIONS(845),
    [anon_sym_private] = ACTIONS(845),
    [anon_sym_abstract] = ACTIONS(845),
    [anon_sym_strictfp] = ACTIONS(845),
    [anon_sym_native] = ACTIONS(845),
    [anon_sym_transient] = ACTIONS(845),
    [anon_sym_volatile] = ACTIONS(845),
    [anon_sym_sealed] = ACTIONS(845),
    [anon_sym_non_DASHsealed] = ACTIONS(843),
    [anon_sym_record] = ACTIONS(845),
    [anon_sym_ATinterface] = ACTIONS(843),
    [anon_sym_interface] = ACTIONS(845),
    [anon_sym_byte] = ACTIONS(845),
    [anon_sym_short] = ACTIONS(845),
    [anon_sym_int] = ACTIONS(845),
    [anon_sym_long] = ACTIONS(845),
    [anon_sym_char] = ACTIONS(845),
    [anon_sym_float] = ACTIONS(845),
    [anon_sym_double] = ACTIONS(845),
    [sym_boolean_type] = ACTIONS(845),
    [sym_void_type] = ACTIONS(845),
    [sym_this] = ACTIONS(845),
    [sym_super] = ACTIONS(845),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [301] = {
    [ts_builtin_sym_end] = ACTIONS(847),
    [sym_identifier] = ACTIONS(849),
    [sym_decimal_integer_literal] = ACTIONS(849),
    [sym_hex_integer_literal] = ACTIONS(849),
    [sym_octal_integer_literal] = ACTIONS(849),
    [sym_binary_integer_literal] = ACTIONS(847),
    [sym_decimal_floating_point_literal] = ACTIONS(847),
    [sym_hex_floating_point_literal] = ACTIONS(849),
    [sym_true] = ACTIONS(849),
    [sym_false] = ACTIONS(849),
    [sym_character_literal] = ACTIONS(847),
    [anon_sym_DQUOTE] = ACTIONS(849),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(847),
    [anon_sym_RBRACE] = ACTIONS(847),
    [sym_null_literal] = ACTIONS(849),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(847),
    [anon_sym_PLUS] = ACTIONS(849),
    [anon_sym_DASH] = ACTIONS(849),
    [anon_sym_final] = ACTIONS(849),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_PLUS_PLUS] = ACTIONS(847),
    [anon_sym_DASH_DASH] = ACTIONS(847),
    [anon_sym_new] = ACTIONS(849),
    [anon_sym_class] = ACTIONS(849),
    [anon_sym_switch] = ACTIONS(849),
    [anon_sym_LBRACE] = ACTIONS(847),
    [anon_sym_case] = ACTIONS(849),
    [anon_sym_default] = ACTIONS(849),
    [anon_sym_SEMI] = ACTIONS(847),
    [anon_sym_assert] = ACTIONS(849),
    [anon_sym_do] = ACTIONS(849),
    [anon_sym_while] = ACTIONS(849),
    [anon_sym_break] = ACTIONS(849),
    [anon_sym_continue] = ACTIONS(849),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(849),
    [anon_sym_synchronized] = ACTIONS(849),
    [anon_sym_throw] = ACTIONS(849),
    [anon_sym_try] = ACTIONS(849),
    [anon_sym_if] = ACTIONS(849),
    [anon_sym_else] = ACTIONS(849),
    [anon_sym_for] = ACTIONS(849),
    [anon_sym_AT] = ACTIONS(849),
    [anon_sym_open] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(849),
    [anon_sym_static] = ACTIONS(849),
    [anon_sym_with] = ACTIONS(849),
    [anon_sym_package] = ACTIONS(849),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_enum] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(849),
    [anon_sym_protected] = ACTIONS(849),
    [anon_sym_private] = ACTIONS(849),
    [anon_sym_abstract] = ACTIONS(849),
    [anon_sym_strictfp] = ACTIONS(849),
    [anon_sym_native] = ACTIONS(849),
    [anon_sym_transient] = ACTIONS(849),
    [anon_sym_volatile] = ACTIONS(849),
    [anon_sym_sealed] = ACTIONS(849),
    [anon_sym_non_DASHsealed] = ACTIONS(847),
    [anon_sym_record] = ACTIONS(849),
    [anon_sym_ATinterface] = ACTIONS(847),
    [anon_sym_interface] = ACTIONS(849),
    [anon_sym_byte] = ACTIONS(849),
    [anon_sym_short] = ACTIONS(849),
    [anon_sym_int] = ACTIONS(849),
    [anon_sym_long] = ACTIONS(849),
    [anon_sym_char] = ACTIONS(849),
    [anon_sym_float] = ACTIONS(849),
    [anon_sym_double] = ACTIONS(849),
    [sym_boolean_type] = ACTIONS(849),
    [sym_void_type] = ACTIONS(849),
    [sym_this] = ACTIONS(849),
    [sym_super] = ACTIONS(849),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [302] = {
    [ts_builtin_sym_end] = ACTIONS(851),
    [sym_identifier] = ACTIONS(853),
    [sym_decimal_integer_literal] = ACTIONS(853),
    [sym_hex_integer_literal] = ACTIONS(853),
    [sym_octal_integer_literal] = ACTIONS(853),
    [sym_binary_integer_literal] = ACTIONS(851),
    [sym_decimal_floating_point_literal] = ACTIONS(851),
    [sym_hex_floating_point_literal] = ACTIONS(853),
    [sym_true] = ACTIONS(853),
    [sym_false] = ACTIONS(853),
    [sym_character_literal] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(851),
    [anon_sym_RBRACE] = ACTIONS(851),
    [sym_null_literal] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(851),
    [anon_sym_LT] = ACTIONS(851),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(853),
    [anon_sym_final] = ACTIONS(853),
    [anon_sym_BANG] = ACTIONS(851),
    [anon_sym_TILDE] = ACTIONS(851),
    [anon_sym_PLUS_PLUS] = ACTIONS(851),
    [anon_sym_DASH_DASH] = ACTIONS(851),
    [anon_sym_new] = ACTIONS(853),
    [anon_sym_class] = ACTIONS(853),
    [anon_sym_switch] = ACTIONS(853),
    [anon_sym_LBRACE] = ACTIONS(851),
    [anon_sym_case] = ACTIONS(853),
    [anon_sym_default] = ACTIONS(853),
    [anon_sym_SEMI] = ACTIONS(851),
    [anon_sym_assert] = ACTIONS(853),
    [anon_sym_do] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(853),
    [anon_sym_break] = ACTIONS(853),
    [anon_sym_continue] = ACTIONS(853),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(853),
    [anon_sym_synchronized] = ACTIONS(853),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_try] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(853),
    [anon_sym_else] = ACTIONS(853),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_AT] = ACTIONS(853),
    [anon_sym_open] = ACTIONS(853),
    [anon_sym_module] = ACTIONS(853),
    [anon_sym_static] = ACTIONS(853),
    [anon_sym_with] = ACTIONS(853),
    [anon_sym_package] = ACTIONS(853),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_enum] = ACTIONS(853),
    [anon_sym_public] = ACTIONS(853),
    [anon_sym_protected] = ACTIONS(853),
    [anon_sym_private] = ACTIONS(853),
    [anon_sym_abstract] = ACTIONS(853),
    [anon_sym_strictfp] = ACTIONS(853),
    [anon_sym_native] = ACTIONS(853),
    [anon_sym_transient] = ACTIONS(853),
    [anon_sym_volatile] = ACTIONS(853),
    [anon_sym_sealed] = ACTIONS(853),
    [anon_sym_non_DASHsealed] = ACTIONS(851),
    [anon_sym_record] = ACTIONS(853),
    [anon_sym_ATinterface] = ACTIONS(851),
    [anon_sym_interface] = ACTIONS(853),
    [anon_sym_byte] = ACTIONS(853),
    [anon_sym_short] = ACTIONS(853),
    [anon_sym_int] = ACTIONS(853),
    [anon_sym_long] = ACTIONS(853),
    [anon_sym_char] = ACTIONS(853),
    [anon_sym_float] = ACTIONS(853),
    [anon_sym_double] = ACTIONS(853),
    [sym_boolean_type] = ACTIONS(853),
    [sym_void_type] = ACTIONS(853),
    [sym_this] = ACTIONS(853),
    [sym_super] = ACTIONS(853),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [303] = {
    [ts_builtin_sym_end] = ACTIONS(855),
    [sym_identifier] = ACTIONS(857),
    [sym_decimal_integer_literal] = ACTIONS(857),
    [sym_hex_integer_literal] = ACTIONS(857),
    [sym_octal_integer_literal] = ACTIONS(857),
    [sym_binary_integer_literal] = ACTIONS(855),
    [sym_decimal_floating_point_literal] = ACTIONS(855),
    [sym_hex_floating_point_literal] = ACTIONS(857),
    [sym_true] = ACTIONS(857),
    [sym_false] = ACTIONS(857),
    [sym_character_literal] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [sym_null_literal] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_final] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_PLUS_PLUS] = ACTIONS(855),
    [anon_sym_DASH_DASH] = ACTIONS(855),
    [anon_sym_new] = ACTIONS(857),
    [anon_sym_class] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_case] = ACTIONS(857),
    [anon_sym_default] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(857),
    [anon_sym_while] = ACTIONS(857),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_continue] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_synchronized] = ACTIONS(857),
    [anon_sym_throw] = ACTIONS(857),
    [anon_sym_try] = ACTIONS(857),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_AT] = ACTIONS(857),
    [anon_sym_open] = ACTIONS(857),
    [anon_sym_module] = ACTIONS(857),
    [anon_sym_static] = ACTIONS(857),
    [anon_sym_with] = ACTIONS(857),
    [anon_sym_package] = ACTIONS(857),
    [anon_sym_import] = ACTIONS(857),
    [anon_sym_enum] = ACTIONS(857),
    [anon_sym_public] = ACTIONS(857),
    [anon_sym_protected] = ACTIONS(857),
    [anon_sym_private] = ACTIONS(857),
    [anon_sym_abstract] = ACTIONS(857),
    [anon_sym_strictfp] = ACTIONS(857),
    [anon_sym_native] = ACTIONS(857),
    [anon_sym_transient] = ACTIONS(857),
    [anon_sym_volatile] = ACTIONS(857),
    [anon_sym_sealed] = ACTIONS(857),
    [anon_sym_non_DASHsealed] = ACTIONS(855),
    [anon_sym_record] = ACTIONS(857),
    [anon_sym_ATinterface] = ACTIONS(855),
    [anon_sym_interface] = ACTIONS(857),
    [anon_sym_byte] = ACTIONS(857),
    [anon_sym_short] = ACTIONS(857),
    [anon_sym_int] = ACTIONS(857),
    [anon_sym_long] = ACTIONS(857),
    [anon_sym_char] = ACTIONS(857),
    [anon_sym_float] = ACTIONS(857),
    [anon_sym_double] = ACTIONS(857),
    [sym_boolean_type] = ACTIONS(857),
    [sym_void_type] = ACTIONS(857),
    [sym_this] = ACTIONS(857),
    [sym_super] = ACTIONS(857),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [304] = {
    [ts_builtin_sym_end] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [sym_decimal_integer_literal] = ACTIONS(861),
    [sym_hex_integer_literal] = ACTIONS(861),
    [sym_octal_integer_literal] = ACTIONS(861),
    [sym_binary_integer_literal] = ACTIONS(859),
    [sym_decimal_floating_point_literal] = ACTIONS(859),
    [sym_hex_floating_point_literal] = ACTIONS(861),
    [sym_true] = ACTIONS(861),
    [sym_false] = ACTIONS(861),
    [sym_character_literal] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_RBRACE] = ACTIONS(859),
    [sym_null_literal] = ACTIONS(861),
    [anon_sym_LPAREN] = ACTIONS(859),
    [anon_sym_LT] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_final] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(859),
    [anon_sym_TILDE] = ACTIONS(859),
    [anon_sym_PLUS_PLUS] = ACTIONS(859),
    [anon_sym_DASH_DASH] = ACTIONS(859),
    [anon_sym_new] = ACTIONS(861),
    [anon_sym_class] = ACTIONS(861),
    [anon_sym_switch] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_case] = ACTIONS(861),
    [anon_sym_default] = ACTIONS(861),
    [anon_sym_SEMI] = ACTIONS(859),
    [anon_sym_assert] = ACTIONS(861),
    [anon_sym_do] = ACTIONS(861),
    [anon_sym_while] = ACTIONS(861),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [anon_sym_return] = ACTIONS(861),
    [anon_sym_yield] = ACTIONS(861),
    [anon_sym_synchronized] = ACTIONS(861),
    [anon_sym_throw] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(861),
    [anon_sym_else] = ACTIONS(861),
    [anon_sym_for] = ACTIONS(861),
    [anon_sym_AT] = ACTIONS(861),
    [anon_sym_open] = ACTIONS(861),
    [anon_sym_module] = ACTIONS(861),
    [anon_sym_static] = ACTIONS(861),
    [anon_sym_with] = ACTIONS(861),
    [anon_sym_package] = ACTIONS(861),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_enum] = ACTIONS(861),
    [anon_sym_public] = ACTIONS(861),
    [anon_sym_protected] = ACTIONS(861),
    [anon_sym_private] = ACTIONS(861),
    [anon_sym_abstract] = ACTIONS(861),
    [anon_sym_strictfp] = ACTIONS(861),
    [anon_sym_native] = ACTIONS(861),
    [anon_sym_transient] = ACTIONS(861),
    [anon_sym_volatile] = ACTIONS(861),
    [anon_sym_sealed] = ACTIONS(861),
    [anon_sym_non_DASHsealed] = ACTIONS(859),
    [anon_sym_record] = ACTIONS(861),
    [anon_sym_ATinterface] = ACTIONS(859),
    [anon_sym_interface] = ACTIONS(861),
    [anon_sym_byte] = ACTIONS(861),
    [anon_sym_short] = ACTIONS(861),
    [anon_sym_int] = ACTIONS(861),
    [anon_sym_long] = ACTIONS(861),
    [anon_sym_char] = ACTIONS(861),
    [anon_sym_float] = ACTIONS(861),
    [anon_sym_double] = ACTIONS(861),
    [sym_boolean_type] = ACTIONS(861),
    [sym_void_type] = ACTIONS(861),
    [sym_this] = ACTIONS(861),
    [sym_super] = ACTIONS(861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(863),
    [sym_identifier] = ACTIONS(865),
    [sym_decimal_integer_literal] = ACTIONS(865),
    [sym_hex_integer_literal] = ACTIONS(865),
    [sym_octal_integer_literal] = ACTIONS(865),
    [sym_binary_integer_literal] = ACTIONS(863),
    [sym_decimal_floating_point_literal] = ACTIONS(863),
    [sym_hex_floating_point_literal] = ACTIONS(865),
    [sym_true] = ACTIONS(865),
    [sym_false] = ACTIONS(865),
    [sym_character_literal] = ACTIONS(863),
    [anon_sym_DQUOTE] = ACTIONS(865),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(863),
    [anon_sym_RBRACE] = ACTIONS(863),
    [sym_null_literal] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_final] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(863),
    [anon_sym_DASH_DASH] = ACTIONS(863),
    [anon_sym_new] = ACTIONS(865),
    [anon_sym_class] = ACTIONS(865),
    [anon_sym_switch] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_case] = ACTIONS(865),
    [anon_sym_default] = ACTIONS(865),
    [anon_sym_SEMI] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_do] = ACTIONS(865),
    [anon_sym_while] = ACTIONS(865),
    [anon_sym_break] = ACTIONS(865),
    [anon_sym_continue] = ACTIONS(865),
    [anon_sym_return] = ACTIONS(865),
    [anon_sym_yield] = ACTIONS(865),
    [anon_sym_synchronized] = ACTIONS(865),
    [anon_sym_throw] = ACTIONS(865),
    [anon_sym_try] = ACTIONS(865),
    [anon_sym_if] = ACTIONS(865),
    [anon_sym_else] = ACTIONS(865),
    [anon_sym_for] = ACTIONS(865),
    [anon_sym_AT] = ACTIONS(865),
    [anon_sym_open] = ACTIONS(865),
    [anon_sym_module] = ACTIONS(865),
    [anon_sym_static] = ACTIONS(865),
    [anon_sym_with] = ACTIONS(865),
    [anon_sym_package] = ACTIONS(865),
    [anon_sym_import] = ACTIONS(865),
    [anon_sym_enum] = ACTIONS(865),
    [anon_sym_public] = ACTIONS(865),
    [anon_sym_protected] = ACTIONS(865),
    [anon_sym_private] = ACTIONS(865),
    [anon_sym_abstract] = ACTIONS(865),
    [anon_sym_strictfp] = ACTIONS(865),
    [anon_sym_native] = ACTIONS(865),
    [anon_sym_transient] = ACTIONS(865),
    [anon_sym_volatile] = ACTIONS(865),
    [anon_sym_sealed] = ACTIONS(865),
    [anon_sym_non_DASHsealed] = ACTIONS(863),
    [anon_sym_record] = ACTIONS(865),
    [anon_sym_ATinterface] = ACTIONS(863),
    [anon_sym_interface] = ACTIONS(865),
    [anon_sym_byte] = ACTIONS(865),
    [anon_sym_short] = ACTIONS(865),
    [anon_sym_int] = ACTIONS(865),
    [anon_sym_long] = ACTIONS(865),
    [anon_sym_char] = ACTIONS(865),
    [anon_sym_float] = ACTIONS(865),
    [anon_sym_double] = ACTIONS(865),
    [sym_boolean_type] = ACTIONS(865),
    [sym_void_type] = ACTIONS(865),
    [sym_this] = ACTIONS(865),
    [sym_super] = ACTIONS(865),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(867),
    [sym_identifier] = ACTIONS(869),
    [sym_decimal_integer_literal] = ACTIONS(869),
    [sym_hex_integer_literal] = ACTIONS(869),
    [sym_octal_integer_literal] = ACTIONS(869),
    [sym_binary_integer_literal] = ACTIONS(867),
    [sym_decimal_floating_point_literal] = ACTIONS(867),
    [sym_hex_floating_point_literal] = ACTIONS(869),
    [sym_true] = ACTIONS(869),
    [sym_false] = ACTIONS(869),
    [sym_character_literal] = ACTIONS(867),
    [anon_sym_DQUOTE] = ACTIONS(869),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(867),
    [anon_sym_RBRACE] = ACTIONS(867),
    [sym_null_literal] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_final] = ACTIONS(869),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_PLUS_PLUS] = ACTIONS(867),
    [anon_sym_DASH_DASH] = ACTIONS(867),
    [anon_sym_new] = ACTIONS(869),
    [anon_sym_class] = ACTIONS(869),
    [anon_sym_switch] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_case] = ACTIONS(869),
    [anon_sym_default] = ACTIONS(869),
    [anon_sym_SEMI] = ACTIONS(867),
    [anon_sym_assert] = ACTIONS(869),
    [anon_sym_do] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(869),
    [anon_sym_continue] = ACTIONS(869),
    [anon_sym_return] = ACTIONS(869),
    [anon_sym_yield] = ACTIONS(869),
    [anon_sym_synchronized] = ACTIONS(869),
    [anon_sym_throw] = ACTIONS(869),
    [anon_sym_try] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(869),
    [anon_sym_else] = ACTIONS(869),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(869),
    [anon_sym_open] = ACTIONS(869),
    [anon_sym_module] = ACTIONS(869),
    [anon_sym_static] = ACTIONS(869),
    [anon_sym_with] = ACTIONS(869),
    [anon_sym_package] = ACTIONS(869),
    [anon_sym_import] = ACTIONS(869),
    [anon_sym_enum] = ACTIONS(869),
    [anon_sym_public] = ACTIONS(869),
    [anon_sym_protected] = ACTIONS(869),
    [anon_sym_private] = ACTIONS(869),
    [anon_sym_abstract] = ACTIONS(869),
    [anon_sym_strictfp] = ACTIONS(869),
    [anon_sym_native] = ACTIONS(869),
    [anon_sym_transient] = ACTIONS(869),
    [anon_sym_volatile] = ACTIONS(869),
    [anon_sym_sealed] = ACTIONS(869),
    [anon_sym_non_DASHsealed] = ACTIONS(867),
    [anon_sym_record] = ACTIONS(869),
    [anon_sym_ATinterface] = ACTIONS(867),
    [anon_sym_interface] = ACTIONS(869),
    [anon_sym_byte] = ACTIONS(869),
    [anon_sym_short] = ACTIONS(869),
    [anon_sym_int] = ACTIONS(869),
    [anon_sym_long] = ACTIONS(869),
    [anon_sym_char] = ACTIONS(869),
    [anon_sym_float] = ACTIONS(869),
    [anon_sym_double] = ACTIONS(869),
    [sym_boolean_type] = ACTIONS(869),
    [sym_void_type] = ACTIONS(869),
    [sym_this] = ACTIONS(869),
    [sym_super] = ACTIONS(869),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(871),
    [sym_identifier] = ACTIONS(873),
    [sym_decimal_integer_literal] = ACTIONS(873),
    [sym_hex_integer_literal] = ACTIONS(873),
    [sym_octal_integer_literal] = ACTIONS(873),
    [sym_binary_integer_literal] = ACTIONS(871),
    [sym_decimal_floating_point_literal] = ACTIONS(871),
    [sym_hex_floating_point_literal] = ACTIONS(873),
    [sym_true] = ACTIONS(873),
    [sym_false] = ACTIONS(873),
    [sym_character_literal] = ACTIONS(871),
    [anon_sym_DQUOTE] = ACTIONS(873),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(871),
    [anon_sym_RBRACE] = ACTIONS(871),
    [sym_null_literal] = ACTIONS(873),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(873),
    [anon_sym_DASH] = ACTIONS(873),
    [anon_sym_final] = ACTIONS(873),
    [anon_sym_BANG] = ACTIONS(871),
    [anon_sym_TILDE] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(871),
    [anon_sym_DASH_DASH] = ACTIONS(871),
    [anon_sym_new] = ACTIONS(873),
    [anon_sym_class] = ACTIONS(873),
    [anon_sym_switch] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_case] = ACTIONS(873),
    [anon_sym_default] = ACTIONS(873),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_assert] = ACTIONS(873),
    [anon_sym_do] = ACTIONS(873),
    [anon_sym_while] = ACTIONS(873),
    [anon_sym_break] = ACTIONS(873),
    [anon_sym_continue] = ACTIONS(873),
    [anon_sym_return] = ACTIONS(873),
    [anon_sym_yield] = ACTIONS(873),
    [anon_sym_synchronized] = ACTIONS(873),
    [anon_sym_throw] = ACTIONS(873),
    [anon_sym_try] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(873),
    [anon_sym_else] = ACTIONS(873),
    [anon_sym_for] = ACTIONS(873),
    [anon_sym_AT] = ACTIONS(873),
    [anon_sym_open] = ACTIONS(873),
    [anon_sym_module] = ACTIONS(873),
    [anon_sym_static] = ACTIONS(873),
    [anon_sym_with] = ACTIONS(873),
    [anon_sym_package] = ACTIONS(873),
    [anon_sym_import] = ACTIONS(873),
    [anon_sym_enum] = ACTIONS(873),
    [anon_sym_public] = ACTIONS(873),
    [anon_sym_protected] = ACTIONS(873),
    [anon_sym_private] = ACTIONS(873),
    [anon_sym_abstract] = ACTIONS(873),
    [anon_sym_strictfp] = ACTIONS(873),
    [anon_sym_native] = ACTIONS(873),
    [anon_sym_transient] = ACTIONS(873),
    [anon_sym_volatile] = ACTIONS(873),
    [anon_sym_sealed] = ACTIONS(873),
    [anon_sym_non_DASHsealed] = ACTIONS(871),
    [anon_sym_record] = ACTIONS(873),
    [anon_sym_ATinterface] = ACTIONS(871),
    [anon_sym_interface] = ACTIONS(873),
    [anon_sym_byte] = ACTIONS(873),
    [anon_sym_short] = ACTIONS(873),
    [anon_sym_int] = ACTIONS(873),
    [anon_sym_long] = ACTIONS(873),
    [anon_sym_char] = ACTIONS(873),
    [anon_sym_float] = ACTIONS(873),
    [anon_sym_double] = ACTIONS(873),
    [sym_boolean_type] = ACTIONS(873),
    [sym_void_type] = ACTIONS(873),
    [sym_this] = ACTIONS(873),
    [sym_super] = ACTIONS(873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(875),
    [sym_identifier] = ACTIONS(877),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(877),
    [sym_octal_integer_literal] = ACTIONS(877),
    [sym_binary_integer_literal] = ACTIONS(875),
    [sym_decimal_floating_point_literal] = ACTIONS(875),
    [sym_hex_floating_point_literal] = ACTIONS(877),
    [sym_true] = ACTIONS(877),
    [sym_false] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(875),
    [anon_sym_DQUOTE] = ACTIONS(877),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [sym_null_literal] = ACTIONS(877),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(877),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_final] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(875),
    [anon_sym_TILDE] = ACTIONS(875),
    [anon_sym_PLUS_PLUS] = ACTIONS(875),
    [anon_sym_DASH_DASH] = ACTIONS(875),
    [anon_sym_new] = ACTIONS(877),
    [anon_sym_class] = ACTIONS(877),
    [anon_sym_switch] = ACTIONS(877),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_case] = ACTIONS(877),
    [anon_sym_default] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_assert] = ACTIONS(877),
    [anon_sym_do] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(877),
    [anon_sym_break] = ACTIONS(877),
    [anon_sym_continue] = ACTIONS(877),
    [anon_sym_return] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(877),
    [anon_sym_synchronized] = ACTIONS(877),
    [anon_sym_throw] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_for] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [anon_sym_open] = ACTIONS(877),
    [anon_sym_module] = ACTIONS(877),
    [anon_sym_static] = ACTIONS(877),
    [anon_sym_with] = ACTIONS(877),
    [anon_sym_package] = ACTIONS(877),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_enum] = ACTIONS(877),
    [anon_sym_public] = ACTIONS(877),
    [anon_sym_protected] = ACTIONS(877),
    [anon_sym_private] = ACTIONS(877),
    [anon_sym_abstract] = ACTIONS(877),
    [anon_sym_strictfp] = ACTIONS(877),
    [anon_sym_native] = ACTIONS(877),
    [anon_sym_transient] = ACTIONS(877),
    [anon_sym_volatile] = ACTIONS(877),
    [anon_sym_sealed] = ACTIONS(877),
    [anon_sym_non_DASHsealed] = ACTIONS(875),
    [anon_sym_record] = ACTIONS(877),
    [anon_sym_ATinterface] = ACTIONS(875),
    [anon_sym_interface] = ACTIONS(877),
    [anon_sym_byte] = ACTIONS(877),
    [anon_sym_short] = ACTIONS(877),
    [anon_sym_int] = ACTIONS(877),
    [anon_sym_long] = ACTIONS(877),
    [anon_sym_char] = ACTIONS(877),
    [anon_sym_float] = ACTIONS(877),
    [anon_sym_double] = ACTIONS(877),
    [sym_boolean_type] = ACTIONS(877),
    [sym_void_type] = ACTIONS(877),
    [sym_this] = ACTIONS(877),
    [sym_super] = ACTIONS(877),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [309] = {
    [ts_builtin_sym_end] = ACTIONS(879),
    [sym_identifier] = ACTIONS(881),
    [sym_decimal_integer_literal] = ACTIONS(881),
    [sym_hex_integer_literal] = ACTIONS(881),
    [sym_octal_integer_literal] = ACTIONS(881),
    [sym_binary_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(879),
    [sym_hex_floating_point_literal] = ACTIONS(881),
    [sym_true] = ACTIONS(881),
    [sym_false] = ACTIONS(881),
    [sym_character_literal] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(879),
    [anon_sym_RBRACE] = ACTIONS(879),
    [sym_null_literal] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(879),
    [anon_sym_LT] = ACTIONS(879),
    [anon_sym_PLUS] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(881),
    [anon_sym_final] = ACTIONS(881),
    [anon_sym_BANG] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(879),
    [anon_sym_PLUS_PLUS] = ACTIONS(879),
    [anon_sym_DASH_DASH] = ACTIONS(879),
    [anon_sym_new] = ACTIONS(881),
    [anon_sym_class] = ACTIONS(881),
    [anon_sym_switch] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(879),
    [anon_sym_case] = ACTIONS(881),
    [anon_sym_default] = ACTIONS(881),
    [anon_sym_SEMI] = ACTIONS(879),
    [anon_sym_assert] = ACTIONS(881),
    [anon_sym_do] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(881),
    [anon_sym_break] = ACTIONS(881),
    [anon_sym_continue] = ACTIONS(881),
    [anon_sym_return] = ACTIONS(881),
    [anon_sym_yield] = ACTIONS(881),
    [anon_sym_synchronized] = ACTIONS(881),
    [anon_sym_throw] = ACTIONS(881),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_else] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_AT] = ACTIONS(881),
    [anon_sym_open] = ACTIONS(881),
    [anon_sym_module] = ACTIONS(881),
    [anon_sym_static] = ACTIONS(881),
    [anon_sym_with] = ACTIONS(881),
    [anon_sym_package] = ACTIONS(881),
    [anon_sym_import] = ACTIONS(881),
    [anon_sym_enum] = ACTIONS(881),
    [anon_sym_public] = ACTIONS(881),
    [anon_sym_protected] = ACTIONS(881),
    [anon_sym_private] = ACTIONS(881),
    [anon_sym_abstract] = ACTIONS(881),
    [anon_sym_strictfp] = ACTIONS(881),
    [anon_sym_native] = ACTIONS(881),
    [anon_sym_transient] = ACTIONS(881),
    [anon_sym_volatile] = ACTIONS(881),
    [anon_sym_sealed] = ACTIONS(881),
    [anon_sym_non_DASHsealed] = ACTIONS(879),
    [anon_sym_record] = ACTIONS(881),
    [anon_sym_ATinterface] = ACTIONS(879),
    [anon_sym_interface] = ACTIONS(881),
    [anon_sym_byte] = ACTIONS(881),
    [anon_sym_short] = ACTIONS(881),
    [anon_sym_int] = ACTIONS(881),
    [anon_sym_long] = ACTIONS(881),
    [anon_sym_char] = ACTIONS(881),
    [anon_sym_float] = ACTIONS(881),
    [anon_sym_double] = ACTIONS(881),
    [sym_boolean_type] = ACTIONS(881),
    [sym_void_type] = ACTIONS(881),
    [sym_this] = ACTIONS(881),
    [sym_super] = ACTIONS(881),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(883),
    [sym_identifier] = ACTIONS(885),
    [sym_decimal_integer_literal] = ACTIONS(885),
    [sym_hex_integer_literal] = ACTIONS(885),
    [sym_octal_integer_literal] = ACTIONS(885),
    [sym_binary_integer_literal] = ACTIONS(883),
    [sym_decimal_floating_point_literal] = ACTIONS(883),
    [sym_hex_floating_point_literal] = ACTIONS(885),
    [sym_true] = ACTIONS(885),
    [sym_false] = ACTIONS(885),
    [sym_character_literal] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(883),
    [anon_sym_RBRACE] = ACTIONS(883),
    [sym_null_literal] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_final] = ACTIONS(885),
    [anon_sym_BANG] = ACTIONS(883),
    [anon_sym_TILDE] = ACTIONS(883),
    [anon_sym_PLUS_PLUS] = ACTIONS(883),
    [anon_sym_DASH_DASH] = ACTIONS(883),
    [anon_sym_new] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(885),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(883),
    [anon_sym_case] = ACTIONS(885),
    [anon_sym_default] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_assert] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(885),
    [anon_sym_break] = ACTIONS(885),
    [anon_sym_continue] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(885),
    [anon_sym_yield] = ACTIONS(885),
    [anon_sym_synchronized] = ACTIONS(885),
    [anon_sym_throw] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(885),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_else] = ACTIONS(885),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_AT] = ACTIONS(885),
    [anon_sym_open] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(885),
    [anon_sym_static] = ACTIONS(885),
    [anon_sym_with] = ACTIONS(885),
    [anon_sym_package] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(885),
    [anon_sym_enum] = ACTIONS(885),
    [anon_sym_public] = ACTIONS(885),
    [anon_sym_protected] = ACTIONS(885),
    [anon_sym_private] = ACTIONS(885),
    [anon_sym_abstract] = ACTIONS(885),
    [anon_sym_strictfp] = ACTIONS(885),
    [anon_sym_native] = ACTIONS(885),
    [anon_sym_transient] = ACTIONS(885),
    [anon_sym_volatile] = ACTIONS(885),
    [anon_sym_sealed] = ACTIONS(885),
    [anon_sym_non_DASHsealed] = ACTIONS(883),
    [anon_sym_record] = ACTIONS(885),
    [anon_sym_ATinterface] = ACTIONS(883),
    [anon_sym_interface] = ACTIONS(885),
    [anon_sym_byte] = ACTIONS(885),
    [anon_sym_short] = ACTIONS(885),
    [anon_sym_int] = ACTIONS(885),
    [anon_sym_long] = ACTIONS(885),
    [anon_sym_char] = ACTIONS(885),
    [anon_sym_float] = ACTIONS(885),
    [anon_sym_double] = ACTIONS(885),
    [sym_boolean_type] = ACTIONS(885),
    [sym_void_type] = ACTIONS(885),
    [sym_this] = ACTIONS(885),
    [sym_super] = ACTIONS(885),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(887),
    [sym_identifier] = ACTIONS(889),
    [sym_decimal_integer_literal] = ACTIONS(889),
    [sym_hex_integer_literal] = ACTIONS(889),
    [sym_octal_integer_literal] = ACTIONS(889),
    [sym_binary_integer_literal] = ACTIONS(887),
    [sym_decimal_floating_point_literal] = ACTIONS(887),
    [sym_hex_floating_point_literal] = ACTIONS(889),
    [sym_true] = ACTIONS(889),
    [sym_false] = ACTIONS(889),
    [sym_character_literal] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(887),
    [anon_sym_RBRACE] = ACTIONS(887),
    [sym_null_literal] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_LT] = ACTIONS(887),
    [anon_sym_PLUS] = ACTIONS(889),
    [anon_sym_DASH] = ACTIONS(889),
    [anon_sym_final] = ACTIONS(889),
    [anon_sym_BANG] = ACTIONS(887),
    [anon_sym_TILDE] = ACTIONS(887),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_class] = ACTIONS(889),
    [anon_sym_switch] = ACTIONS(889),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_case] = ACTIONS(889),
    [anon_sym_default] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(889),
    [anon_sym_do] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(889),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(889),
    [anon_sym_synchronized] = ACTIONS(889),
    [anon_sym_throw] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_else] = ACTIONS(889),
    [anon_sym_for] = ACTIONS(889),
    [anon_sym_AT] = ACTIONS(889),
    [anon_sym_open] = ACTIONS(889),
    [anon_sym_module] = ACTIONS(889),
    [anon_sym_static] = ACTIONS(889),
    [anon_sym_with] = ACTIONS(889),
    [anon_sym_package] = ACTIONS(889),
    [anon_sym_import] = ACTIONS(889),
    [anon_sym_enum] = ACTIONS(889),
    [anon_sym_public] = ACTIONS(889),
    [anon_sym_protected] = ACTIONS(889),
    [anon_sym_private] = ACTIONS(889),
    [anon_sym_abstract] = ACTIONS(889),
    [anon_sym_strictfp] = ACTIONS(889),
    [anon_sym_native] = ACTIONS(889),
    [anon_sym_transient] = ACTIONS(889),
    [anon_sym_volatile] = ACTIONS(889),
    [anon_sym_sealed] = ACTIONS(889),
    [anon_sym_non_DASHsealed] = ACTIONS(887),
    [anon_sym_record] = ACTIONS(889),
    [anon_sym_ATinterface] = ACTIONS(887),
    [anon_sym_interface] = ACTIONS(889),
    [anon_sym_byte] = ACTIONS(889),
    [anon_sym_short] = ACTIONS(889),
    [anon_sym_int] = ACTIONS(889),
    [anon_sym_long] = ACTIONS(889),
    [anon_sym_char] = ACTIONS(889),
    [anon_sym_float] = ACTIONS(889),
    [anon_sym_double] = ACTIONS(889),
    [sym_boolean_type] = ACTIONS(889),
    [sym_void_type] = ACTIONS(889),
    [sym_this] = ACTIONS(889),
    [sym_super] = ACTIONS(889),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [312] = {
    [ts_builtin_sym_end] = ACTIONS(891),
    [sym_identifier] = ACTIONS(893),
    [sym_decimal_integer_literal] = ACTIONS(893),
    [sym_hex_integer_literal] = ACTIONS(893),
    [sym_octal_integer_literal] = ACTIONS(893),
    [sym_binary_integer_literal] = ACTIONS(891),
    [sym_decimal_floating_point_literal] = ACTIONS(891),
    [sym_hex_floating_point_literal] = ACTIONS(893),
    [sym_true] = ACTIONS(893),
    [sym_false] = ACTIONS(893),
    [sym_character_literal] = ACTIONS(891),
    [anon_sym_DQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [sym_null_literal] = ACTIONS(893),
    [anon_sym_LPAREN] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_final] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_PLUS_PLUS] = ACTIONS(891),
    [anon_sym_DASH_DASH] = ACTIONS(891),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_class] = ACTIONS(893),
    [anon_sym_switch] = ACTIONS(893),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_case] = ACTIONS(893),
    [anon_sym_default] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(893),
    [anon_sym_do] = ACTIONS(893),
    [anon_sym_while] = ACTIONS(893),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_continue] = ACTIONS(893),
    [anon_sym_return] = ACTIONS(893),
    [anon_sym_yield] = ACTIONS(893),
    [anon_sym_synchronized] = ACTIONS(893),
    [anon_sym_throw] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_for] = ACTIONS(893),
    [anon_sym_AT] = ACTIONS(893),
    [anon_sym_open] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_package] = ACTIONS(893),
    [anon_sym_import] = ACTIONS(893),
    [anon_sym_enum] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_abstract] = ACTIONS(893),
    [anon_sym_strictfp] = ACTIONS(893),
    [anon_sym_native] = ACTIONS(893),
    [anon_sym_transient] = ACTIONS(893),
    [anon_sym_volatile] = ACTIONS(893),
    [anon_sym_sealed] = ACTIONS(893),
    [anon_sym_non_DASHsealed] = ACTIONS(891),
    [anon_sym_record] = ACTIONS(893),
    [anon_sym_ATinterface] = ACTIONS(891),
    [anon_sym_interface] = ACTIONS(893),
    [anon_sym_byte] = ACTIONS(893),
    [anon_sym_short] = ACTIONS(893),
    [anon_sym_int] = ACTIONS(893),
    [anon_sym_long] = ACTIONS(893),
    [anon_sym_char] = ACTIONS(893),
    [anon_sym_float] = ACTIONS(893),
    [anon_sym_double] = ACTIONS(893),
    [sym_boolean_type] = ACTIONS(893),
    [sym_void_type] = ACTIONS(893),
    [sym_this] = ACTIONS(893),
    [sym_super] = ACTIONS(893),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(895),
    [sym_identifier] = ACTIONS(897),
    [sym_decimal_integer_literal] = ACTIONS(897),
    [sym_hex_integer_literal] = ACTIONS(897),
    [sym_octal_integer_literal] = ACTIONS(897),
    [sym_binary_integer_literal] = ACTIONS(895),
    [sym_decimal_floating_point_literal] = ACTIONS(895),
    [sym_hex_floating_point_literal] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [sym_character_literal] = ACTIONS(895),
    [anon_sym_DQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(895),
    [sym_null_literal] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_PLUS] = ACTIONS(897),
    [anon_sym_DASH] = ACTIONS(897),
    [anon_sym_final] = ACTIONS(897),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_PLUS_PLUS] = ACTIONS(895),
    [anon_sym_DASH_DASH] = ACTIONS(895),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_class] = ACTIONS(897),
    [anon_sym_switch] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(895),
    [anon_sym_case] = ACTIONS(897),
    [anon_sym_default] = ACTIONS(897),
    [anon_sym_SEMI] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(897),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_break] = ACTIONS(897),
    [anon_sym_continue] = ACTIONS(897),
    [anon_sym_return] = ACTIONS(897),
    [anon_sym_yield] = ACTIONS(897),
    [anon_sym_synchronized] = ACTIONS(897),
    [anon_sym_throw] = ACTIONS(897),
    [anon_sym_try] = ACTIONS(897),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_else] = ACTIONS(897),
    [anon_sym_for] = ACTIONS(897),
    [anon_sym_AT] = ACTIONS(897),
    [anon_sym_open] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_with] = ACTIONS(897),
    [anon_sym_package] = ACTIONS(897),
    [anon_sym_import] = ACTIONS(897),
    [anon_sym_enum] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_abstract] = ACTIONS(897),
    [anon_sym_strictfp] = ACTIONS(897),
    [anon_sym_native] = ACTIONS(897),
    [anon_sym_transient] = ACTIONS(897),
    [anon_sym_volatile] = ACTIONS(897),
    [anon_sym_sealed] = ACTIONS(897),
    [anon_sym_non_DASHsealed] = ACTIONS(895),
    [anon_sym_record] = ACTIONS(897),
    [anon_sym_ATinterface] = ACTIONS(895),
    [anon_sym_interface] = ACTIONS(897),
    [anon_sym_byte] = ACTIONS(897),
    [anon_sym_short] = ACTIONS(897),
    [anon_sym_int] = ACTIONS(897),
    [anon_sym_long] = ACTIONS(897),
    [anon_sym_char] = ACTIONS(897),
    [anon_sym_float] = ACTIONS(897),
    [anon_sym_double] = ACTIONS(897),
    [sym_boolean_type] = ACTIONS(897),
    [sym_void_type] = ACTIONS(897),
    [sym_this] = ACTIONS(897),
    [sym_super] = ACTIONS(897),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(899),
    [sym_identifier] = ACTIONS(901),
    [sym_decimal_integer_literal] = ACTIONS(901),
    [sym_hex_integer_literal] = ACTIONS(901),
    [sym_octal_integer_literal] = ACTIONS(901),
    [sym_binary_integer_literal] = ACTIONS(899),
    [sym_decimal_floating_point_literal] = ACTIONS(899),
    [sym_hex_floating_point_literal] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_character_literal] = ACTIONS(899),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(899),
    [sym_null_literal] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_final] = ACTIONS(901),
    [anon_sym_BANG] = ACTIONS(899),
    [anon_sym_TILDE] = ACTIONS(899),
    [anon_sym_PLUS_PLUS] = ACTIONS(899),
    [anon_sym_DASH_DASH] = ACTIONS(899),
    [anon_sym_new] = ACTIONS(901),
    [anon_sym_class] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_case] = ACTIONS(901),
    [anon_sym_default] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(899),
    [anon_sym_assert] = ACTIONS(901),
    [anon_sym_do] = ACTIONS(901),
    [anon_sym_while] = ACTIONS(901),
    [anon_sym_break] = ACTIONS(901),
    [anon_sym_continue] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(901),
    [anon_sym_yield] = ACTIONS(901),
    [anon_sym_synchronized] = ACTIONS(901),
    [anon_sym_throw] = ACTIONS(901),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_else] = ACTIONS(901),
    [anon_sym_for] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(901),
    [anon_sym_open] = ACTIONS(901),
    [anon_sym_module] = ACTIONS(901),
    [anon_sym_static] = ACTIONS(901),
    [anon_sym_with] = ACTIONS(901),
    [anon_sym_package] = ACTIONS(901),
    [anon_sym_import] = ACTIONS(901),
    [anon_sym_enum] = ACTIONS(901),
    [anon_sym_public] = ACTIONS(901),
    [anon_sym_protected] = ACTIONS(901),
    [anon_sym_private] = ACTIONS(901),
    [anon_sym_abstract] = ACTIONS(901),
    [anon_sym_strictfp] = ACTIONS(901),
    [anon_sym_native] = ACTIONS(901),
    [anon_sym_transient] = ACTIONS(901),
    [anon_sym_volatile] = ACTIONS(901),
    [anon_sym_sealed] = ACTIONS(901),
    [anon_sym_non_DASHsealed] = ACTIONS(899),
    [anon_sym_record] = ACTIONS(901),
    [anon_sym_ATinterface] = ACTIONS(899),
    [anon_sym_interface] = ACTIONS(901),
    [anon_sym_byte] = ACTIONS(901),
    [anon_sym_short] = ACTIONS(901),
    [anon_sym_int] = ACTIONS(901),
    [anon_sym_long] = ACTIONS(901),
    [anon_sym_char] = ACTIONS(901),
    [anon_sym_float] = ACTIONS(901),
    [anon_sym_double] = ACTIONS(901),
    [sym_boolean_type] = ACTIONS(901),
    [sym_void_type] = ACTIONS(901),
    [sym_this] = ACTIONS(901),
    [sym_super] = ACTIONS(901),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(903),
    [sym_identifier] = ACTIONS(905),
    [sym_decimal_integer_literal] = ACTIONS(905),
    [sym_hex_integer_literal] = ACTIONS(905),
    [sym_octal_integer_literal] = ACTIONS(905),
    [sym_binary_integer_literal] = ACTIONS(903),
    [sym_decimal_floating_point_literal] = ACTIONS(903),
    [sym_hex_floating_point_literal] = ACTIONS(905),
    [sym_true] = ACTIONS(905),
    [sym_false] = ACTIONS(905),
    [sym_character_literal] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(903),
    [anon_sym_RBRACE] = ACTIONS(903),
    [sym_null_literal] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(903),
    [anon_sym_LT] = ACTIONS(903),
    [anon_sym_PLUS] = ACTIONS(905),
    [anon_sym_DASH] = ACTIONS(905),
    [anon_sym_final] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(903),
    [anon_sym_TILDE] = ACTIONS(903),
    [anon_sym_PLUS_PLUS] = ACTIONS(903),
    [anon_sym_DASH_DASH] = ACTIONS(903),
    [anon_sym_new] = ACTIONS(905),
    [anon_sym_class] = ACTIONS(905),
    [anon_sym_switch] = ACTIONS(905),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(905),
    [anon_sym_SEMI] = ACTIONS(903),
    [anon_sym_assert] = ACTIONS(905),
    [anon_sym_do] = ACTIONS(905),
    [anon_sym_while] = ACTIONS(905),
    [anon_sym_break] = ACTIONS(905),
    [anon_sym_continue] = ACTIONS(905),
    [anon_sym_return] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_synchronized] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(905),
    [anon_sym_try] = ACTIONS(905),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_else] = ACTIONS(905),
    [anon_sym_for] = ACTIONS(905),
    [anon_sym_AT] = ACTIONS(905),
    [anon_sym_open] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_with] = ACTIONS(905),
    [anon_sym_package] = ACTIONS(905),
    [anon_sym_import] = ACTIONS(905),
    [anon_sym_enum] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_abstract] = ACTIONS(905),
    [anon_sym_strictfp] = ACTIONS(905),
    [anon_sym_native] = ACTIONS(905),
    [anon_sym_transient] = ACTIONS(905),
    [anon_sym_volatile] = ACTIONS(905),
    [anon_sym_sealed] = ACTIONS(905),
    [anon_sym_non_DASHsealed] = ACTIONS(903),
    [anon_sym_record] = ACTIONS(905),
    [anon_sym_ATinterface] = ACTIONS(903),
    [anon_sym_interface] = ACTIONS(905),
    [anon_sym_byte] = ACTIONS(905),
    [anon_sym_short] = ACTIONS(905),
    [anon_sym_int] = ACTIONS(905),
    [anon_sym_long] = ACTIONS(905),
    [anon_sym_char] = ACTIONS(905),
    [anon_sym_float] = ACTIONS(905),
    [anon_sym_double] = ACTIONS(905),
    [sym_boolean_type] = ACTIONS(905),
    [sym_void_type] = ACTIONS(905),
    [sym_this] = ACTIONS(905),
    [sym_super] = ACTIONS(905),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [316] = {
    [ts_builtin_sym_end] = ACTIONS(907),
    [sym_identifier] = ACTIONS(909),
    [sym_decimal_integer_literal] = ACTIONS(909),
    [sym_hex_integer_literal] = ACTIONS(909),
    [sym_octal_integer_literal] = ACTIONS(909),
    [sym_binary_integer_literal] = ACTIONS(907),
    [sym_decimal_floating_point_literal] = ACTIONS(907),
    [sym_hex_floating_point_literal] = ACTIONS(909),
    [sym_true] = ACTIONS(909),
    [sym_false] = ACTIONS(909),
    [sym_character_literal] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [sym_null_literal] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_final] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [anon_sym_PLUS_PLUS] = ACTIONS(907),
    [anon_sym_DASH_DASH] = ACTIONS(907),
    [anon_sym_new] = ACTIONS(909),
    [anon_sym_class] = ACTIONS(909),
    [anon_sym_switch] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_default] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_assert] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_break] = ACTIONS(909),
    [anon_sym_continue] = ACTIONS(909),
    [anon_sym_return] = ACTIONS(909),
    [anon_sym_yield] = ACTIONS(909),
    [anon_sym_synchronized] = ACTIONS(909),
    [anon_sym_throw] = ACTIONS(909),
    [anon_sym_try] = ACTIONS(909),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_for] = ACTIONS(909),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_open] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(909),
    [anon_sym_with] = ACTIONS(909),
    [anon_sym_package] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(909),
    [anon_sym_enum] = ACTIONS(909),
    [anon_sym_public] = ACTIONS(909),
    [anon_sym_protected] = ACTIONS(909),
    [anon_sym_private] = ACTIONS(909),
    [anon_sym_abstract] = ACTIONS(909),
    [anon_sym_strictfp] = ACTIONS(909),
    [anon_sym_native] = ACTIONS(909),
    [anon_sym_transient] = ACTIONS(909),
    [anon_sym_volatile] = ACTIONS(909),
    [anon_sym_sealed] = ACTIONS(909),
    [anon_sym_non_DASHsealed] = ACTIONS(907),
    [anon_sym_record] = ACTIONS(909),
    [anon_sym_ATinterface] = ACTIONS(907),
    [anon_sym_interface] = ACTIONS(909),
    [anon_sym_byte] = ACTIONS(909),
    [anon_sym_short] = ACTIONS(909),
    [anon_sym_int] = ACTIONS(909),
    [anon_sym_long] = ACTIONS(909),
    [anon_sym_char] = ACTIONS(909),
    [anon_sym_float] = ACTIONS(909),
    [anon_sym_double] = ACTIONS(909),
    [sym_boolean_type] = ACTIONS(909),
    [sym_void_type] = ACTIONS(909),
    [sym_this] = ACTIONS(909),
    [sym_super] = ACTIONS(909),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [317] = {
    [ts_builtin_sym_end] = ACTIONS(911),
    [sym_identifier] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(913),
    [sym_hex_integer_literal] = ACTIONS(913),
    [sym_octal_integer_literal] = ACTIONS(913),
    [sym_binary_integer_literal] = ACTIONS(911),
    [sym_decimal_floating_point_literal] = ACTIONS(911),
    [sym_hex_floating_point_literal] = ACTIONS(913),
    [sym_true] = ACTIONS(913),
    [sym_false] = ACTIONS(913),
    [sym_character_literal] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(911),
    [anon_sym_RBRACE] = ACTIONS(911),
    [sym_null_literal] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_final] = ACTIONS(913),
    [anon_sym_BANG] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_PLUS_PLUS] = ACTIONS(911),
    [anon_sym_DASH_DASH] = ACTIONS(911),
    [anon_sym_new] = ACTIONS(913),
    [anon_sym_class] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(911),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_SEMI] = ACTIONS(911),
    [anon_sym_assert] = ACTIONS(913),
    [anon_sym_do] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(913),
    [anon_sym_break] = ACTIONS(913),
    [anon_sym_continue] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(913),
    [anon_sym_yield] = ACTIONS(913),
    [anon_sym_synchronized] = ACTIONS(913),
    [anon_sym_throw] = ACTIONS(913),
    [anon_sym_try] = ACTIONS(913),
    [anon_sym_if] = ACTIONS(913),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_AT] = ACTIONS(913),
    [anon_sym_open] = ACTIONS(913),
    [anon_sym_module] = ACTIONS(913),
    [anon_sym_static] = ACTIONS(913),
    [anon_sym_with] = ACTIONS(913),
    [anon_sym_package] = ACTIONS(913),
    [anon_sym_import] = ACTIONS(913),
    [anon_sym_enum] = ACTIONS(913),
    [anon_sym_public] = ACTIONS(913),
    [anon_sym_protected] = ACTIONS(913),
    [anon_sym_private] = ACTIONS(913),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_strictfp] = ACTIONS(913),
    [anon_sym_native] = ACTIONS(913),
    [anon_sym_transient] = ACTIONS(913),
    [anon_sym_volatile] = ACTIONS(913),
    [anon_sym_sealed] = ACTIONS(913),
    [anon_sym_non_DASHsealed] = ACTIONS(911),
    [anon_sym_record] = ACTIONS(913),
    [anon_sym_ATinterface] = ACTIONS(911),
    [anon_sym_interface] = ACTIONS(913),
    [anon_sym_byte] = ACTIONS(913),
    [anon_sym_short] = ACTIONS(913),
    [anon_sym_int] = ACTIONS(913),
    [anon_sym_long] = ACTIONS(913),
    [anon_sym_char] = ACTIONS(913),
    [anon_sym_float] = ACTIONS(913),
    [anon_sym_double] = ACTIONS(913),
    [sym_boolean_type] = ACTIONS(913),
    [sym_void_type] = ACTIONS(913),
    [sym_this] = ACTIONS(913),
    [sym_super] = ACTIONS(913),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [318] = {
    [ts_builtin_sym_end] = ACTIONS(915),
    [sym_identifier] = ACTIONS(917),
    [sym_decimal_integer_literal] = ACTIONS(917),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_octal_integer_literal] = ACTIONS(917),
    [sym_binary_integer_literal] = ACTIONS(915),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [sym_hex_floating_point_literal] = ACTIONS(917),
    [sym_true] = ACTIONS(917),
    [sym_false] = ACTIONS(917),
    [sym_character_literal] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(915),
    [anon_sym_RBRACE] = ACTIONS(915),
    [sym_null_literal] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(915),
    [anon_sym_LT] = ACTIONS(915),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(917),
    [anon_sym_final] = ACTIONS(917),
    [anon_sym_BANG] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(915),
    [anon_sym_DASH_DASH] = ACTIONS(915),
    [anon_sym_new] = ACTIONS(917),
    [anon_sym_class] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(915),
    [anon_sym_assert] = ACTIONS(917),
    [anon_sym_do] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(917),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_synchronized] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(917),
    [anon_sym_try] = ACTIONS(917),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_for] = ACTIONS(917),
    [anon_sym_AT] = ACTIONS(917),
    [anon_sym_open] = ACTIONS(917),
    [anon_sym_module] = ACTIONS(917),
    [anon_sym_static] = ACTIONS(917),
    [anon_sym_with] = ACTIONS(917),
    [anon_sym_package] = ACTIONS(917),
    [anon_sym_import] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(917),
    [anon_sym_public] = ACTIONS(917),
    [anon_sym_protected] = ACTIONS(917),
    [anon_sym_private] = ACTIONS(917),
    [anon_sym_abstract] = ACTIONS(917),
    [anon_sym_strictfp] = ACTIONS(917),
    [anon_sym_native] = ACTIONS(917),
    [anon_sym_transient] = ACTIONS(917),
    [anon_sym_volatile] = ACTIONS(917),
    [anon_sym_sealed] = ACTIONS(917),
    [anon_sym_non_DASHsealed] = ACTIONS(915),
    [anon_sym_record] = ACTIONS(917),
    [anon_sym_ATinterface] = ACTIONS(915),
    [anon_sym_interface] = ACTIONS(917),
    [anon_sym_byte] = ACTIONS(917),
    [anon_sym_short] = ACTIONS(917),
    [anon_sym_int] = ACTIONS(917),
    [anon_sym_long] = ACTIONS(917),
    [anon_sym_char] = ACTIONS(917),
    [anon_sym_float] = ACTIONS(917),
    [anon_sym_double] = ACTIONS(917),
    [sym_boolean_type] = ACTIONS(917),
    [sym_void_type] = ACTIONS(917),
    [sym_this] = ACTIONS(917),
    [sym_super] = ACTIONS(917),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [319] = {
    [ts_builtin_sym_end] = ACTIONS(919),
    [sym_identifier] = ACTIONS(921),
    [sym_decimal_integer_literal] = ACTIONS(921),
    [sym_hex_integer_literal] = ACTIONS(921),
    [sym_octal_integer_literal] = ACTIONS(921),
    [sym_binary_integer_literal] = ACTIONS(919),
    [sym_decimal_floating_point_literal] = ACTIONS(919),
    [sym_hex_floating_point_literal] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_character_literal] = ACTIONS(919),
    [anon_sym_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(919),
    [anon_sym_RBRACE] = ACTIONS(919),
    [sym_null_literal] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(919),
    [anon_sym_LT] = ACTIONS(919),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_final] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(919),
    [anon_sym_PLUS_PLUS] = ACTIONS(919),
    [anon_sym_DASH_DASH] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(921),
    [anon_sym_switch] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(919),
    [anon_sym_case] = ACTIONS(921),
    [anon_sym_default] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(919),
    [anon_sym_assert] = ACTIONS(921),
    [anon_sym_do] = ACTIONS(921),
    [anon_sym_while] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(921),
    [anon_sym_continue] = ACTIONS(921),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_yield] = ACTIONS(921),
    [anon_sym_synchronized] = ACTIONS(921),
    [anon_sym_throw] = ACTIONS(921),
    [anon_sym_try] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(921),
    [anon_sym_else] = ACTIONS(921),
    [anon_sym_for] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(921),
    [anon_sym_open] = ACTIONS(921),
    [anon_sym_module] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(921),
    [anon_sym_with] = ACTIONS(921),
    [anon_sym_package] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(921),
    [anon_sym_enum] = ACTIONS(921),
    [anon_sym_public] = ACTIONS(921),
    [anon_sym_protected] = ACTIONS(921),
    [anon_sym_private] = ACTIONS(921),
    [anon_sym_abstract] = ACTIONS(921),
    [anon_sym_strictfp] = ACTIONS(921),
    [anon_sym_native] = ACTIONS(921),
    [anon_sym_transient] = ACTIONS(921),
    [anon_sym_volatile] = ACTIONS(921),
    [anon_sym_sealed] = ACTIONS(921),
    [anon_sym_non_DASHsealed] = ACTIONS(919),
    [anon_sym_record] = ACTIONS(921),
    [anon_sym_ATinterface] = ACTIONS(919),
    [anon_sym_interface] = ACTIONS(921),
    [anon_sym_byte] = ACTIONS(921),
    [anon_sym_short] = ACTIONS(921),
    [anon_sym_int] = ACTIONS(921),
    [anon_sym_long] = ACTIONS(921),
    [anon_sym_char] = ACTIONS(921),
    [anon_sym_float] = ACTIONS(921),
    [anon_sym_double] = ACTIONS(921),
    [sym_boolean_type] = ACTIONS(921),
    [sym_void_type] = ACTIONS(921),
    [sym_this] = ACTIONS(921),
    [sym_super] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [320] = {
    [ts_builtin_sym_end] = ACTIONS(923),
    [sym_identifier] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(925),
    [sym_hex_integer_literal] = ACTIONS(925),
    [sym_octal_integer_literal] = ACTIONS(925),
    [sym_binary_integer_literal] = ACTIONS(923),
    [sym_decimal_floating_point_literal] = ACTIONS(923),
    [sym_hex_floating_point_literal] = ACTIONS(925),
    [sym_true] = ACTIONS(925),
    [sym_false] = ACTIONS(925),
    [sym_character_literal] = ACTIONS(923),
    [anon_sym_DQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [anon_sym_RBRACE] = ACTIONS(923),
    [sym_null_literal] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_final] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(923),
    [anon_sym_TILDE] = ACTIONS(923),
    [anon_sym_PLUS_PLUS] = ACTIONS(923),
    [anon_sym_DASH_DASH] = ACTIONS(923),
    [anon_sym_new] = ACTIONS(925),
    [anon_sym_class] = ACTIONS(925),
    [anon_sym_switch] = ACTIONS(925),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(925),
    [anon_sym_default] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(923),
    [anon_sym_assert] = ACTIONS(925),
    [anon_sym_do] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(925),
    [anon_sym_break] = ACTIONS(925),
    [anon_sym_continue] = ACTIONS(925),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_yield] = ACTIONS(925),
    [anon_sym_synchronized] = ACTIONS(925),
    [anon_sym_throw] = ACTIONS(925),
    [anon_sym_try] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_else] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(925),
    [anon_sym_open] = ACTIONS(925),
    [anon_sym_module] = ACTIONS(925),
    [anon_sym_static] = ACTIONS(925),
    [anon_sym_with] = ACTIONS(925),
    [anon_sym_package] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(925),
    [anon_sym_enum] = ACTIONS(925),
    [anon_sym_public] = ACTIONS(925),
    [anon_sym_protected] = ACTIONS(925),
    [anon_sym_private] = ACTIONS(925),
    [anon_sym_abstract] = ACTIONS(925),
    [anon_sym_strictfp] = ACTIONS(925),
    [anon_sym_native] = ACTIONS(925),
    [anon_sym_transient] = ACTIONS(925),
    [anon_sym_volatile] = ACTIONS(925),
    [anon_sym_sealed] = ACTIONS(925),
    [anon_sym_non_DASHsealed] = ACTIONS(923),
    [anon_sym_record] = ACTIONS(925),
    [anon_sym_ATinterface] = ACTIONS(923),
    [anon_sym_interface] = ACTIONS(925),
    [anon_sym_byte] = ACTIONS(925),
    [anon_sym_short] = ACTIONS(925),
    [anon_sym_int] = ACTIONS(925),
    [anon_sym_long] = ACTIONS(925),
    [anon_sym_char] = ACTIONS(925),
    [anon_sym_float] = ACTIONS(925),
    [anon_sym_double] = ACTIONS(925),
    [sym_boolean_type] = ACTIONS(925),
    [sym_void_type] = ACTIONS(925),
    [sym_this] = ACTIONS(925),
    [sym_super] = ACTIONS(925),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [321] = {
    [ts_builtin_sym_end] = ACTIONS(927),
    [sym_identifier] = ACTIONS(929),
    [sym_decimal_integer_literal] = ACTIONS(929),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_octal_integer_literal] = ACTIONS(929),
    [sym_binary_integer_literal] = ACTIONS(927),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [sym_hex_floating_point_literal] = ACTIONS(929),
    [sym_true] = ACTIONS(929),
    [sym_false] = ACTIONS(929),
    [sym_character_literal] = ACTIONS(927),
    [anon_sym_DQUOTE] = ACTIONS(929),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_RBRACE] = ACTIONS(927),
    [sym_null_literal] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LT] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_final] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(927),
    [anon_sym_DASH_DASH] = ACTIONS(927),
    [anon_sym_new] = ACTIONS(929),
    [anon_sym_class] = ACTIONS(929),
    [anon_sym_switch] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_case] = ACTIONS(929),
    [anon_sym_default] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(927),
    [anon_sym_assert] = ACTIONS(929),
    [anon_sym_do] = ACTIONS(929),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_break] = ACTIONS(929),
    [anon_sym_continue] = ACTIONS(929),
    [anon_sym_return] = ACTIONS(929),
    [anon_sym_yield] = ACTIONS(929),
    [anon_sym_synchronized] = ACTIONS(929),
    [anon_sym_throw] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_for] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(929),
    [anon_sym_open] = ACTIONS(929),
    [anon_sym_module] = ACTIONS(929),
    [anon_sym_static] = ACTIONS(929),
    [anon_sym_with] = ACTIONS(929),
    [anon_sym_package] = ACTIONS(929),
    [anon_sym_import] = ACTIONS(929),
    [anon_sym_enum] = ACTIONS(929),
    [anon_sym_public] = ACTIONS(929),
    [anon_sym_protected] = ACTIONS(929),
    [anon_sym_private] = ACTIONS(929),
    [anon_sym_abstract] = ACTIONS(929),
    [anon_sym_strictfp] = ACTIONS(929),
    [anon_sym_native] = ACTIONS(929),
    [anon_sym_transient] = ACTIONS(929),
    [anon_sym_volatile] = ACTIONS(929),
    [anon_sym_sealed] = ACTIONS(929),
    [anon_sym_non_DASHsealed] = ACTIONS(927),
    [anon_sym_record] = ACTIONS(929),
    [anon_sym_ATinterface] = ACTIONS(927),
    [anon_sym_interface] = ACTIONS(929),
    [anon_sym_byte] = ACTIONS(929),
    [anon_sym_short] = ACTIONS(929),
    [anon_sym_int] = ACTIONS(929),
    [anon_sym_long] = ACTIONS(929),
    [anon_sym_char] = ACTIONS(929),
    [anon_sym_float] = ACTIONS(929),
    [anon_sym_double] = ACTIONS(929),
    [sym_boolean_type] = ACTIONS(929),
    [sym_void_type] = ACTIONS(929),
    [sym_this] = ACTIONS(929),
    [sym_super] = ACTIONS(929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [322] = {
    [ts_builtin_sym_end] = ACTIONS(931),
    [sym_identifier] = ACTIONS(933),
    [sym_decimal_integer_literal] = ACTIONS(933),
    [sym_hex_integer_literal] = ACTIONS(933),
    [sym_octal_integer_literal] = ACTIONS(933),
    [sym_binary_integer_literal] = ACTIONS(931),
    [sym_decimal_floating_point_literal] = ACTIONS(931),
    [sym_hex_floating_point_literal] = ACTIONS(933),
    [sym_true] = ACTIONS(933),
    [sym_false] = ACTIONS(933),
    [sym_character_literal] = ACTIONS(931),
    [anon_sym_DQUOTE] = ACTIONS(933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(931),
    [anon_sym_RBRACE] = ACTIONS(931),
    [sym_null_literal] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_LT] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_final] = ACTIONS(933),
    [anon_sym_BANG] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_PLUS_PLUS] = ACTIONS(931),
    [anon_sym_DASH_DASH] = ACTIONS(931),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_switch] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_case] = ACTIONS(933),
    [anon_sym_default] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(933),
    [anon_sym_do] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(933),
    [anon_sym_continue] = ACTIONS(933),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_yield] = ACTIONS(933),
    [anon_sym_synchronized] = ACTIONS(933),
    [anon_sym_throw] = ACTIONS(933),
    [anon_sym_try] = ACTIONS(933),
    [anon_sym_if] = ACTIONS(933),
    [anon_sym_else] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_AT] = ACTIONS(933),
    [anon_sym_open] = ACTIONS(933),
    [anon_sym_module] = ACTIONS(933),
    [anon_sym_static] = ACTIONS(933),
    [anon_sym_with] = ACTIONS(933),
    [anon_sym_package] = ACTIONS(933),
    [anon_sym_import] = ACTIONS(933),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_public] = ACTIONS(933),
    [anon_sym_protected] = ACTIONS(933),
    [anon_sym_private] = ACTIONS(933),
    [anon_sym_abstract] = ACTIONS(933),
    [anon_sym_strictfp] = ACTIONS(933),
    [anon_sym_native] = ACTIONS(933),
    [anon_sym_transient] = ACTIONS(933),
    [anon_sym_volatile] = ACTIONS(933),
    [anon_sym_sealed] = ACTIONS(933),
    [anon_sym_non_DASHsealed] = ACTIONS(931),
    [anon_sym_record] = ACTIONS(933),
    [anon_sym_ATinterface] = ACTIONS(931),
    [anon_sym_interface] = ACTIONS(933),
    [anon_sym_byte] = ACTIONS(933),
    [anon_sym_short] = ACTIONS(933),
    [anon_sym_int] = ACTIONS(933),
    [anon_sym_long] = ACTIONS(933),
    [anon_sym_char] = ACTIONS(933),
    [anon_sym_float] = ACTIONS(933),
    [anon_sym_double] = ACTIONS(933),
    [sym_boolean_type] = ACTIONS(933),
    [sym_void_type] = ACTIONS(933),
    [sym_this] = ACTIONS(933),
    [sym_super] = ACTIONS(933),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(935),
    [sym_identifier] = ACTIONS(937),
    [sym_decimal_integer_literal] = ACTIONS(937),
    [sym_hex_integer_literal] = ACTIONS(937),
    [sym_octal_integer_literal] = ACTIONS(937),
    [sym_binary_integer_literal] = ACTIONS(935),
    [sym_decimal_floating_point_literal] = ACTIONS(935),
    [sym_hex_floating_point_literal] = ACTIONS(937),
    [sym_true] = ACTIONS(937),
    [sym_false] = ACTIONS(937),
    [sym_character_literal] = ACTIONS(935),
    [anon_sym_DQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_RBRACE] = ACTIONS(935),
    [sym_null_literal] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_LT] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(937),
    [anon_sym_final] = ACTIONS(937),
    [anon_sym_BANG] = ACTIONS(935),
    [anon_sym_TILDE] = ACTIONS(935),
    [anon_sym_PLUS_PLUS] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(935),
    [anon_sym_new] = ACTIONS(937),
    [anon_sym_class] = ACTIONS(937),
    [anon_sym_switch] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(935),
    [anon_sym_case] = ACTIONS(937),
    [anon_sym_default] = ACTIONS(937),
    [anon_sym_SEMI] = ACTIONS(935),
    [anon_sym_assert] = ACTIONS(937),
    [anon_sym_do] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(937),
    [anon_sym_break] = ACTIONS(937),
    [anon_sym_continue] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(937),
    [anon_sym_yield] = ACTIONS(937),
    [anon_sym_synchronized] = ACTIONS(937),
    [anon_sym_throw] = ACTIONS(937),
    [anon_sym_try] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_else] = ACTIONS(937),
    [anon_sym_for] = ACTIONS(937),
    [anon_sym_AT] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_static] = ACTIONS(937),
    [anon_sym_with] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(937),
    [anon_sym_import] = ACTIONS(937),
    [anon_sym_enum] = ACTIONS(937),
    [anon_sym_public] = ACTIONS(937),
    [anon_sym_protected] = ACTIONS(937),
    [anon_sym_private] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(937),
    [anon_sym_strictfp] = ACTIONS(937),
    [anon_sym_native] = ACTIONS(937),
    [anon_sym_transient] = ACTIONS(937),
    [anon_sym_volatile] = ACTIONS(937),
    [anon_sym_sealed] = ACTIONS(937),
    [anon_sym_non_DASHsealed] = ACTIONS(935),
    [anon_sym_record] = ACTIONS(937),
    [anon_sym_ATinterface] = ACTIONS(935),
    [anon_sym_interface] = ACTIONS(937),
    [anon_sym_byte] = ACTIONS(937),
    [anon_sym_short] = ACTIONS(937),
    [anon_sym_int] = ACTIONS(937),
    [anon_sym_long] = ACTIONS(937),
    [anon_sym_char] = ACTIONS(937),
    [anon_sym_float] = ACTIONS(937),
    [anon_sym_double] = ACTIONS(937),
    [sym_boolean_type] = ACTIONS(937),
    [sym_void_type] = ACTIONS(937),
    [sym_this] = ACTIONS(937),
    [sym_super] = ACTIONS(937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [324] = {
    [ts_builtin_sym_end] = ACTIONS(939),
    [sym_identifier] = ACTIONS(941),
    [sym_decimal_integer_literal] = ACTIONS(941),
    [sym_hex_integer_literal] = ACTIONS(941),
    [sym_octal_integer_literal] = ACTIONS(941),
    [sym_binary_integer_literal] = ACTIONS(939),
    [sym_decimal_floating_point_literal] = ACTIONS(939),
    [sym_hex_floating_point_literal] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [sym_false] = ACTIONS(941),
    [sym_character_literal] = ACTIONS(939),
    [anon_sym_DQUOTE] = ACTIONS(941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [sym_null_literal] = ACTIONS(941),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_final] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(939),
    [anon_sym_TILDE] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(939),
    [anon_sym_DASH_DASH] = ACTIONS(939),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_class] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_case] = ACTIONS(941),
    [anon_sym_default] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_assert] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_break] = ACTIONS(941),
    [anon_sym_continue] = ACTIONS(941),
    [anon_sym_return] = ACTIONS(941),
    [anon_sym_yield] = ACTIONS(941),
    [anon_sym_synchronized] = ACTIONS(941),
    [anon_sym_throw] = ACTIONS(941),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_else] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_AT] = ACTIONS(941),
    [anon_sym_open] = ACTIONS(941),
    [anon_sym_module] = ACTIONS(941),
    [anon_sym_static] = ACTIONS(941),
    [anon_sym_with] = ACTIONS(941),
    [anon_sym_package] = ACTIONS(941),
    [anon_sym_import] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(941),
    [anon_sym_public] = ACTIONS(941),
    [anon_sym_protected] = ACTIONS(941),
    [anon_sym_private] = ACTIONS(941),
    [anon_sym_abstract] = ACTIONS(941),
    [anon_sym_strictfp] = ACTIONS(941),
    [anon_sym_native] = ACTIONS(941),
    [anon_sym_transient] = ACTIONS(941),
    [anon_sym_volatile] = ACTIONS(941),
    [anon_sym_sealed] = ACTIONS(941),
    [anon_sym_non_DASHsealed] = ACTIONS(939),
    [anon_sym_record] = ACTIONS(941),
    [anon_sym_ATinterface] = ACTIONS(939),
    [anon_sym_interface] = ACTIONS(941),
    [anon_sym_byte] = ACTIONS(941),
    [anon_sym_short] = ACTIONS(941),
    [anon_sym_int] = ACTIONS(941),
    [anon_sym_long] = ACTIONS(941),
    [anon_sym_char] = ACTIONS(941),
    [anon_sym_float] = ACTIONS(941),
    [anon_sym_double] = ACTIONS(941),
    [sym_boolean_type] = ACTIONS(941),
    [sym_void_type] = ACTIONS(941),
    [sym_this] = ACTIONS(941),
    [sym_super] = ACTIONS(941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(943),
    [sym_identifier] = ACTIONS(945),
    [sym_decimal_integer_literal] = ACTIONS(945),
    [sym_hex_integer_literal] = ACTIONS(945),
    [sym_octal_integer_literal] = ACTIONS(945),
    [sym_binary_integer_literal] = ACTIONS(943),
    [sym_decimal_floating_point_literal] = ACTIONS(943),
    [sym_hex_floating_point_literal] = ACTIONS(945),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_character_literal] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(943),
    [sym_null_literal] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(943),
    [anon_sym_LT] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_final] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_TILDE] = ACTIONS(943),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_new] = ACTIONS(945),
    [anon_sym_class] = ACTIONS(945),
    [anon_sym_switch] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(945),
    [anon_sym_default] = ACTIONS(945),
    [anon_sym_SEMI] = ACTIONS(943),
    [anon_sym_assert] = ACTIONS(945),
    [anon_sym_do] = ACTIONS(945),
    [anon_sym_while] = ACTIONS(945),
    [anon_sym_break] = ACTIONS(945),
    [anon_sym_continue] = ACTIONS(945),
    [anon_sym_return] = ACTIONS(945),
    [anon_sym_yield] = ACTIONS(945),
    [anon_sym_synchronized] = ACTIONS(945),
    [anon_sym_throw] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_if] = ACTIONS(945),
    [anon_sym_else] = ACTIONS(945),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(945),
    [anon_sym_open] = ACTIONS(945),
    [anon_sym_module] = ACTIONS(945),
    [anon_sym_static] = ACTIONS(945),
    [anon_sym_with] = ACTIONS(945),
    [anon_sym_package] = ACTIONS(945),
    [anon_sym_import] = ACTIONS(945),
    [anon_sym_enum] = ACTIONS(945),
    [anon_sym_public] = ACTIONS(945),
    [anon_sym_protected] = ACTIONS(945),
    [anon_sym_private] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(945),
    [anon_sym_strictfp] = ACTIONS(945),
    [anon_sym_native] = ACTIONS(945),
    [anon_sym_transient] = ACTIONS(945),
    [anon_sym_volatile] = ACTIONS(945),
    [anon_sym_sealed] = ACTIONS(945),
    [anon_sym_non_DASHsealed] = ACTIONS(943),
    [anon_sym_record] = ACTIONS(945),
    [anon_sym_ATinterface] = ACTIONS(943),
    [anon_sym_interface] = ACTIONS(945),
    [anon_sym_byte] = ACTIONS(945),
    [anon_sym_short] = ACTIONS(945),
    [anon_sym_int] = ACTIONS(945),
    [anon_sym_long] = ACTIONS(945),
    [anon_sym_char] = ACTIONS(945),
    [anon_sym_float] = ACTIONS(945),
    [anon_sym_double] = ACTIONS(945),
    [sym_boolean_type] = ACTIONS(945),
    [sym_void_type] = ACTIONS(945),
    [sym_this] = ACTIONS(945),
    [sym_super] = ACTIONS(945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [326] = {
    [ts_builtin_sym_end] = ACTIONS(947),
    [sym_identifier] = ACTIONS(949),
    [sym_decimal_integer_literal] = ACTIONS(949),
    [sym_hex_integer_literal] = ACTIONS(949),
    [sym_octal_integer_literal] = ACTIONS(949),
    [sym_binary_integer_literal] = ACTIONS(947),
    [sym_decimal_floating_point_literal] = ACTIONS(947),
    [sym_hex_floating_point_literal] = ACTIONS(949),
    [sym_true] = ACTIONS(949),
    [sym_false] = ACTIONS(949),
    [sym_character_literal] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_RBRACE] = ACTIONS(947),
    [sym_null_literal] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_final] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(947),
    [anon_sym_TILDE] = ACTIONS(947),
    [anon_sym_PLUS_PLUS] = ACTIONS(947),
    [anon_sym_DASH_DASH] = ACTIONS(947),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_class] = ACTIONS(949),
    [anon_sym_switch] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(947),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_default] = ACTIONS(949),
    [anon_sym_SEMI] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(949),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_break] = ACTIONS(949),
    [anon_sym_continue] = ACTIONS(949),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(949),
    [anon_sym_synchronized] = ACTIONS(949),
    [anon_sym_throw] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(949),
    [anon_sym_else] = ACTIONS(949),
    [anon_sym_for] = ACTIONS(949),
    [anon_sym_AT] = ACTIONS(949),
    [anon_sym_open] = ACTIONS(949),
    [anon_sym_module] = ACTIONS(949),
    [anon_sym_static] = ACTIONS(949),
    [anon_sym_with] = ACTIONS(949),
    [anon_sym_package] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(949),
    [anon_sym_enum] = ACTIONS(949),
    [anon_sym_public] = ACTIONS(949),
    [anon_sym_protected] = ACTIONS(949),
    [anon_sym_private] = ACTIONS(949),
    [anon_sym_abstract] = ACTIONS(949),
    [anon_sym_strictfp] = ACTIONS(949),
    [anon_sym_native] = ACTIONS(949),
    [anon_sym_transient] = ACTIONS(949),
    [anon_sym_volatile] = ACTIONS(949),
    [anon_sym_sealed] = ACTIONS(949),
    [anon_sym_non_DASHsealed] = ACTIONS(947),
    [anon_sym_record] = ACTIONS(949),
    [anon_sym_ATinterface] = ACTIONS(947),
    [anon_sym_interface] = ACTIONS(949),
    [anon_sym_byte] = ACTIONS(949),
    [anon_sym_short] = ACTIONS(949),
    [anon_sym_int] = ACTIONS(949),
    [anon_sym_long] = ACTIONS(949),
    [anon_sym_char] = ACTIONS(949),
    [anon_sym_float] = ACTIONS(949),
    [anon_sym_double] = ACTIONS(949),
    [sym_boolean_type] = ACTIONS(949),
    [sym_void_type] = ACTIONS(949),
    [sym_this] = ACTIONS(949),
    [sym_super] = ACTIONS(949),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [327] = {
    [ts_builtin_sym_end] = ACTIONS(951),
    [sym_identifier] = ACTIONS(953),
    [sym_decimal_integer_literal] = ACTIONS(953),
    [sym_hex_integer_literal] = ACTIONS(953),
    [sym_octal_integer_literal] = ACTIONS(953),
    [sym_binary_integer_literal] = ACTIONS(951),
    [sym_decimal_floating_point_literal] = ACTIONS(951),
    [sym_hex_floating_point_literal] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [sym_character_literal] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(951),
    [anon_sym_RBRACE] = ACTIONS(951),
    [sym_null_literal] = ACTIONS(953),
    [anon_sym_LPAREN] = ACTIONS(951),
    [anon_sym_LT] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(953),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_final] = ACTIONS(953),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_PLUS_PLUS] = ACTIONS(951),
    [anon_sym_DASH_DASH] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_switch] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_case] = ACTIONS(953),
    [anon_sym_default] = ACTIONS(953),
    [anon_sym_SEMI] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_do] = ACTIONS(953),
    [anon_sym_while] = ACTIONS(953),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_continue] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(953),
    [anon_sym_yield] = ACTIONS(953),
    [anon_sym_synchronized] = ACTIONS(953),
    [anon_sym_throw] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(953),
    [anon_sym_else] = ACTIONS(953),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym_open] = ACTIONS(953),
    [anon_sym_module] = ACTIONS(953),
    [anon_sym_static] = ACTIONS(953),
    [anon_sym_with] = ACTIONS(953),
    [anon_sym_package] = ACTIONS(953),
    [anon_sym_import] = ACTIONS(953),
    [anon_sym_enum] = ACTIONS(953),
    [anon_sym_public] = ACTIONS(953),
    [anon_sym_protected] = ACTIONS(953),
    [anon_sym_private] = ACTIONS(953),
    [anon_sym_abstract] = ACTIONS(953),
    [anon_sym_strictfp] = ACTIONS(953),
    [anon_sym_native] = ACTIONS(953),
    [anon_sym_transient] = ACTIONS(953),
    [anon_sym_volatile] = ACTIONS(953),
    [anon_sym_sealed] = ACTIONS(953),
    [anon_sym_non_DASHsealed] = ACTIONS(951),
    [anon_sym_record] = ACTIONS(953),
    [anon_sym_ATinterface] = ACTIONS(951),
    [anon_sym_interface] = ACTIONS(953),
    [anon_sym_byte] = ACTIONS(953),
    [anon_sym_short] = ACTIONS(953),
    [anon_sym_int] = ACTIONS(953),
    [anon_sym_long] = ACTIONS(953),
    [anon_sym_char] = ACTIONS(953),
    [anon_sym_float] = ACTIONS(953),
    [anon_sym_double] = ACTIONS(953),
    [sym_boolean_type] = ACTIONS(953),
    [sym_void_type] = ACTIONS(953),
    [sym_this] = ACTIONS(953),
    [sym_super] = ACTIONS(953),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [328] = {
    [ts_builtin_sym_end] = ACTIONS(955),
    [sym_identifier] = ACTIONS(957),
    [sym_decimal_integer_literal] = ACTIONS(957),
    [sym_hex_integer_literal] = ACTIONS(957),
    [sym_octal_integer_literal] = ACTIONS(957),
    [sym_binary_integer_literal] = ACTIONS(955),
    [sym_decimal_floating_point_literal] = ACTIONS(955),
    [sym_hex_floating_point_literal] = ACTIONS(957),
    [sym_true] = ACTIONS(957),
    [sym_false] = ACTIONS(957),
    [sym_character_literal] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(957),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(955),
    [sym_null_literal] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(955),
    [anon_sym_LT] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [anon_sym_final] = ACTIONS(957),
    [anon_sym_BANG] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(955),
    [anon_sym_PLUS_PLUS] = ACTIONS(955),
    [anon_sym_DASH_DASH] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_class] = ACTIONS(957),
    [anon_sym_switch] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_case] = ACTIONS(957),
    [anon_sym_default] = ACTIONS(957),
    [anon_sym_SEMI] = ACTIONS(955),
    [anon_sym_assert] = ACTIONS(957),
    [anon_sym_do] = ACTIONS(957),
    [anon_sym_while] = ACTIONS(957),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(957),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_yield] = ACTIONS(957),
    [anon_sym_synchronized] = ACTIONS(957),
    [anon_sym_throw] = ACTIONS(957),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(957),
    [anon_sym_else] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(957),
    [anon_sym_open] = ACTIONS(957),
    [anon_sym_module] = ACTIONS(957),
    [anon_sym_static] = ACTIONS(957),
    [anon_sym_with] = ACTIONS(957),
    [anon_sym_package] = ACTIONS(957),
    [anon_sym_import] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(957),
    [anon_sym_public] = ACTIONS(957),
    [anon_sym_protected] = ACTIONS(957),
    [anon_sym_private] = ACTIONS(957),
    [anon_sym_abstract] = ACTIONS(957),
    [anon_sym_strictfp] = ACTIONS(957),
    [anon_sym_native] = ACTIONS(957),
    [anon_sym_transient] = ACTIONS(957),
    [anon_sym_volatile] = ACTIONS(957),
    [anon_sym_sealed] = ACTIONS(957),
    [anon_sym_non_DASHsealed] = ACTIONS(955),
    [anon_sym_record] = ACTIONS(957),
    [anon_sym_ATinterface] = ACTIONS(955),
    [anon_sym_interface] = ACTIONS(957),
    [anon_sym_byte] = ACTIONS(957),
    [anon_sym_short] = ACTIONS(957),
    [anon_sym_int] = ACTIONS(957),
    [anon_sym_long] = ACTIONS(957),
    [anon_sym_char] = ACTIONS(957),
    [anon_sym_float] = ACTIONS(957),
    [anon_sym_double] = ACTIONS(957),
    [sym_boolean_type] = ACTIONS(957),
    [sym_void_type] = ACTIONS(957),
    [sym_this] = ACTIONS(957),
    [sym_super] = ACTIONS(957),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [329] = {
    [ts_builtin_sym_end] = ACTIONS(959),
    [sym_identifier] = ACTIONS(961),
    [sym_decimal_integer_literal] = ACTIONS(961),
    [sym_hex_integer_literal] = ACTIONS(961),
    [sym_octal_integer_literal] = ACTIONS(961),
    [sym_binary_integer_literal] = ACTIONS(959),
    [sym_decimal_floating_point_literal] = ACTIONS(959),
    [sym_hex_floating_point_literal] = ACTIONS(961),
    [sym_true] = ACTIONS(961),
    [sym_false] = ACTIONS(961),
    [sym_character_literal] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(959),
    [anon_sym_RBRACE] = ACTIONS(959),
    [sym_null_literal] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_final] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(959),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS_PLUS] = ACTIONS(959),
    [anon_sym_DASH_DASH] = ACTIONS(959),
    [anon_sym_new] = ACTIONS(961),
    [anon_sym_class] = ACTIONS(961),
    [anon_sym_switch] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(959),
    [anon_sym_case] = ACTIONS(961),
    [anon_sym_default] = ACTIONS(961),
    [anon_sym_SEMI] = ACTIONS(959),
    [anon_sym_assert] = ACTIONS(961),
    [anon_sym_do] = ACTIONS(961),
    [anon_sym_while] = ACTIONS(961),
    [anon_sym_break] = ACTIONS(961),
    [anon_sym_continue] = ACTIONS(961),
    [anon_sym_return] = ACTIONS(961),
    [anon_sym_yield] = ACTIONS(961),
    [anon_sym_synchronized] = ACTIONS(961),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_try] = ACTIONS(961),
    [anon_sym_if] = ACTIONS(961),
    [anon_sym_else] = ACTIONS(961),
    [anon_sym_for] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_open] = ACTIONS(961),
    [anon_sym_module] = ACTIONS(961),
    [anon_sym_static] = ACTIONS(961),
    [anon_sym_with] = ACTIONS(961),
    [anon_sym_package] = ACTIONS(961),
    [anon_sym_import] = ACTIONS(961),
    [anon_sym_enum] = ACTIONS(961),
    [anon_sym_public] = ACTIONS(961),
    [anon_sym_protected] = ACTIONS(961),
    [anon_sym_private] = ACTIONS(961),
    [anon_sym_abstract] = ACTIONS(961),
    [anon_sym_strictfp] = ACTIONS(961),
    [anon_sym_native] = ACTIONS(961),
    [anon_sym_transient] = ACTIONS(961),
    [anon_sym_volatile] = ACTIONS(961),
    [anon_sym_sealed] = ACTIONS(961),
    [anon_sym_non_DASHsealed] = ACTIONS(959),
    [anon_sym_record] = ACTIONS(961),
    [anon_sym_ATinterface] = ACTIONS(959),
    [anon_sym_interface] = ACTIONS(961),
    [anon_sym_byte] = ACTIONS(961),
    [anon_sym_short] = ACTIONS(961),
    [anon_sym_int] = ACTIONS(961),
    [anon_sym_long] = ACTIONS(961),
    [anon_sym_char] = ACTIONS(961),
    [anon_sym_float] = ACTIONS(961),
    [anon_sym_double] = ACTIONS(961),
    [sym_boolean_type] = ACTIONS(961),
    [sym_void_type] = ACTIONS(961),
    [sym_this] = ACTIONS(961),
    [sym_super] = ACTIONS(961),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [330] = {
    [ts_builtin_sym_end] = ACTIONS(963),
    [sym_identifier] = ACTIONS(965),
    [sym_decimal_integer_literal] = ACTIONS(965),
    [sym_hex_integer_literal] = ACTIONS(965),
    [sym_octal_integer_literal] = ACTIONS(965),
    [sym_binary_integer_literal] = ACTIONS(963),
    [sym_decimal_floating_point_literal] = ACTIONS(963),
    [sym_hex_floating_point_literal] = ACTIONS(965),
    [sym_true] = ACTIONS(965),
    [sym_false] = ACTIONS(965),
    [sym_character_literal] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(963),
    [sym_null_literal] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(963),
    [anon_sym_PLUS] = ACTIONS(965),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_final] = ACTIONS(965),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [anon_sym_PLUS_PLUS] = ACTIONS(963),
    [anon_sym_DASH_DASH] = ACTIONS(963),
    [anon_sym_new] = ACTIONS(965),
    [anon_sym_class] = ACTIONS(965),
    [anon_sym_switch] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_case] = ACTIONS(965),
    [anon_sym_default] = ACTIONS(965),
    [anon_sym_SEMI] = ACTIONS(963),
    [anon_sym_assert] = ACTIONS(965),
    [anon_sym_do] = ACTIONS(965),
    [anon_sym_while] = ACTIONS(965),
    [anon_sym_break] = ACTIONS(965),
    [anon_sym_continue] = ACTIONS(965),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_yield] = ACTIONS(965),
    [anon_sym_synchronized] = ACTIONS(965),
    [anon_sym_throw] = ACTIONS(965),
    [anon_sym_try] = ACTIONS(965),
    [anon_sym_if] = ACTIONS(965),
    [anon_sym_else] = ACTIONS(965),
    [anon_sym_for] = ACTIONS(965),
    [anon_sym_AT] = ACTIONS(965),
    [anon_sym_open] = ACTIONS(965),
    [anon_sym_module] = ACTIONS(965),
    [anon_sym_static] = ACTIONS(965),
    [anon_sym_with] = ACTIONS(965),
    [anon_sym_package] = ACTIONS(965),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_enum] = ACTIONS(965),
    [anon_sym_public] = ACTIONS(965),
    [anon_sym_protected] = ACTIONS(965),
    [anon_sym_private] = ACTIONS(965),
    [anon_sym_abstract] = ACTIONS(965),
    [anon_sym_strictfp] = ACTIONS(965),
    [anon_sym_native] = ACTIONS(965),
    [anon_sym_transient] = ACTIONS(965),
    [anon_sym_volatile] = ACTIONS(965),
    [anon_sym_sealed] = ACTIONS(965),
    [anon_sym_non_DASHsealed] = ACTIONS(963),
    [anon_sym_record] = ACTIONS(965),
    [anon_sym_ATinterface] = ACTIONS(963),
    [anon_sym_interface] = ACTIONS(965),
    [anon_sym_byte] = ACTIONS(965),
    [anon_sym_short] = ACTIONS(965),
    [anon_sym_int] = ACTIONS(965),
    [anon_sym_long] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_float] = ACTIONS(965),
    [anon_sym_double] = ACTIONS(965),
    [sym_boolean_type] = ACTIONS(965),
    [sym_void_type] = ACTIONS(965),
    [sym_this] = ACTIONS(965),
    [sym_super] = ACTIONS(965),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [331] = {
    [ts_builtin_sym_end] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_decimal_integer_literal] = ACTIONS(969),
    [sym_hex_integer_literal] = ACTIONS(969),
    [sym_octal_integer_literal] = ACTIONS(969),
    [sym_binary_integer_literal] = ACTIONS(967),
    [sym_decimal_floating_point_literal] = ACTIONS(967),
    [sym_hex_floating_point_literal] = ACTIONS(969),
    [sym_true] = ACTIONS(969),
    [sym_false] = ACTIONS(969),
    [sym_character_literal] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_RBRACE] = ACTIONS(967),
    [sym_null_literal] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_final] = ACTIONS(969),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(969),
    [anon_sym_class] = ACTIONS(969),
    [anon_sym_switch] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_case] = ACTIONS(969),
    [anon_sym_default] = ACTIONS(969),
    [anon_sym_SEMI] = ACTIONS(967),
    [anon_sym_assert] = ACTIONS(969),
    [anon_sym_do] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(969),
    [anon_sym_break] = ACTIONS(969),
    [anon_sym_continue] = ACTIONS(969),
    [anon_sym_return] = ACTIONS(969),
    [anon_sym_yield] = ACTIONS(969),
    [anon_sym_synchronized] = ACTIONS(969),
    [anon_sym_throw] = ACTIONS(969),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_if] = ACTIONS(969),
    [anon_sym_else] = ACTIONS(969),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(969),
    [anon_sym_open] = ACTIONS(969),
    [anon_sym_module] = ACTIONS(969),
    [anon_sym_static] = ACTIONS(969),
    [anon_sym_with] = ACTIONS(969),
    [anon_sym_package] = ACTIONS(969),
    [anon_sym_import] = ACTIONS(969),
    [anon_sym_enum] = ACTIONS(969),
    [anon_sym_public] = ACTIONS(969),
    [anon_sym_protected] = ACTIONS(969),
    [anon_sym_private] = ACTIONS(969),
    [anon_sym_abstract] = ACTIONS(969),
    [anon_sym_strictfp] = ACTIONS(969),
    [anon_sym_native] = ACTIONS(969),
    [anon_sym_transient] = ACTIONS(969),
    [anon_sym_volatile] = ACTIONS(969),
    [anon_sym_sealed] = ACTIONS(969),
    [anon_sym_non_DASHsealed] = ACTIONS(967),
    [anon_sym_record] = ACTIONS(969),
    [anon_sym_ATinterface] = ACTIONS(967),
    [anon_sym_interface] = ACTIONS(969),
    [anon_sym_byte] = ACTIONS(969),
    [anon_sym_short] = ACTIONS(969),
    [anon_sym_int] = ACTIONS(969),
    [anon_sym_long] = ACTIONS(969),
    [anon_sym_char] = ACTIONS(969),
    [anon_sym_float] = ACTIONS(969),
    [anon_sym_double] = ACTIONS(969),
    [sym_boolean_type] = ACTIONS(969),
    [sym_void_type] = ACTIONS(969),
    [sym_this] = ACTIONS(969),
    [sym_super] = ACTIONS(969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [332] = {
    [ts_builtin_sym_end] = ACTIONS(971),
    [sym_identifier] = ACTIONS(973),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(973),
    [sym_octal_integer_literal] = ACTIONS(973),
    [sym_binary_integer_literal] = ACTIONS(971),
    [sym_decimal_floating_point_literal] = ACTIONS(971),
    [sym_hex_floating_point_literal] = ACTIONS(973),
    [sym_true] = ACTIONS(973),
    [sym_false] = ACTIONS(973),
    [sym_character_literal] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(971),
    [anon_sym_RBRACE] = ACTIONS(971),
    [sym_null_literal] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(971),
    [anon_sym_LT] = ACTIONS(971),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_final] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(971),
    [anon_sym_TILDE] = ACTIONS(971),
    [anon_sym_PLUS_PLUS] = ACTIONS(971),
    [anon_sym_DASH_DASH] = ACTIONS(971),
    [anon_sym_new] = ACTIONS(973),
    [anon_sym_class] = ACTIONS(973),
    [anon_sym_switch] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(971),
    [anon_sym_case] = ACTIONS(973),
    [anon_sym_default] = ACTIONS(973),
    [anon_sym_SEMI] = ACTIONS(971),
    [anon_sym_assert] = ACTIONS(973),
    [anon_sym_do] = ACTIONS(973),
    [anon_sym_while] = ACTIONS(973),
    [anon_sym_break] = ACTIONS(973),
    [anon_sym_continue] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(973),
    [anon_sym_yield] = ACTIONS(973),
    [anon_sym_synchronized] = ACTIONS(973),
    [anon_sym_throw] = ACTIONS(973),
    [anon_sym_try] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(973),
    [anon_sym_else] = ACTIONS(973),
    [anon_sym_for] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(973),
    [anon_sym_open] = ACTIONS(973),
    [anon_sym_module] = ACTIONS(973),
    [anon_sym_static] = ACTIONS(973),
    [anon_sym_with] = ACTIONS(973),
    [anon_sym_package] = ACTIONS(973),
    [anon_sym_import] = ACTIONS(973),
    [anon_sym_enum] = ACTIONS(973),
    [anon_sym_public] = ACTIONS(973),
    [anon_sym_protected] = ACTIONS(973),
    [anon_sym_private] = ACTIONS(973),
    [anon_sym_abstract] = ACTIONS(973),
    [anon_sym_strictfp] = ACTIONS(973),
    [anon_sym_native] = ACTIONS(973),
    [anon_sym_transient] = ACTIONS(973),
    [anon_sym_volatile] = ACTIONS(973),
    [anon_sym_sealed] = ACTIONS(973),
    [anon_sym_non_DASHsealed] = ACTIONS(971),
    [anon_sym_record] = ACTIONS(973),
    [anon_sym_ATinterface] = ACTIONS(971),
    [anon_sym_interface] = ACTIONS(973),
    [anon_sym_byte] = ACTIONS(973),
    [anon_sym_short] = ACTIONS(973),
    [anon_sym_int] = ACTIONS(973),
    [anon_sym_long] = ACTIONS(973),
    [anon_sym_char] = ACTIONS(973),
    [anon_sym_float] = ACTIONS(973),
    [anon_sym_double] = ACTIONS(973),
    [sym_boolean_type] = ACTIONS(973),
    [sym_void_type] = ACTIONS(973),
    [sym_this] = ACTIONS(973),
    [sym_super] = ACTIONS(973),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [333] = {
    [ts_builtin_sym_end] = ACTIONS(975),
    [sym_identifier] = ACTIONS(977),
    [sym_decimal_integer_literal] = ACTIONS(977),
    [sym_hex_integer_literal] = ACTIONS(977),
    [sym_octal_integer_literal] = ACTIONS(977),
    [sym_binary_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(975),
    [sym_hex_floating_point_literal] = ACTIONS(977),
    [sym_true] = ACTIONS(977),
    [sym_false] = ACTIONS(977),
    [sym_character_literal] = ACTIONS(975),
    [anon_sym_DQUOTE] = ACTIONS(977),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(975),
    [anon_sym_RBRACE] = ACTIONS(975),
    [sym_null_literal] = ACTIONS(977),
    [anon_sym_LPAREN] = ACTIONS(975),
    [anon_sym_LT] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_final] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(975),
    [anon_sym_TILDE] = ACTIONS(975),
    [anon_sym_PLUS_PLUS] = ACTIONS(975),
    [anon_sym_DASH_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(977),
    [anon_sym_class] = ACTIONS(977),
    [anon_sym_switch] = ACTIONS(977),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_case] = ACTIONS(977),
    [anon_sym_default] = ACTIONS(977),
    [anon_sym_SEMI] = ACTIONS(975),
    [anon_sym_assert] = ACTIONS(977),
    [anon_sym_do] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(977),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [anon_sym_return] = ACTIONS(977),
    [anon_sym_yield] = ACTIONS(977),
    [anon_sym_synchronized] = ACTIONS(977),
    [anon_sym_throw] = ACTIONS(977),
    [anon_sym_try] = ACTIONS(977),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_else] = ACTIONS(977),
    [anon_sym_for] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(977),
    [anon_sym_open] = ACTIONS(977),
    [anon_sym_module] = ACTIONS(977),
    [anon_sym_static] = ACTIONS(977),
    [anon_sym_with] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(977),
    [anon_sym_enum] = ACTIONS(977),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_protected] = ACTIONS(977),
    [anon_sym_private] = ACTIONS(977),
    [anon_sym_abstract] = ACTIONS(977),
    [anon_sym_strictfp] = ACTIONS(977),
    [anon_sym_native] = ACTIONS(977),
    [anon_sym_transient] = ACTIONS(977),
    [anon_sym_volatile] = ACTIONS(977),
    [anon_sym_sealed] = ACTIONS(977),
    [anon_sym_non_DASHsealed] = ACTIONS(975),
    [anon_sym_record] = ACTIONS(977),
    [anon_sym_ATinterface] = ACTIONS(975),
    [anon_sym_interface] = ACTIONS(977),
    [anon_sym_byte] = ACTIONS(977),
    [anon_sym_short] = ACTIONS(977),
    [anon_sym_int] = ACTIONS(977),
    [anon_sym_long] = ACTIONS(977),
    [anon_sym_char] = ACTIONS(977),
    [anon_sym_float] = ACTIONS(977),
    [anon_sym_double] = ACTIONS(977),
    [sym_boolean_type] = ACTIONS(977),
    [sym_void_type] = ACTIONS(977),
    [sym_this] = ACTIONS(977),
    [sym_super] = ACTIONS(977),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [334] = {
    [ts_builtin_sym_end] = ACTIONS(979),
    [sym_identifier] = ACTIONS(981),
    [sym_decimal_integer_literal] = ACTIONS(981),
    [sym_hex_integer_literal] = ACTIONS(981),
    [sym_octal_integer_literal] = ACTIONS(981),
    [sym_binary_integer_literal] = ACTIONS(979),
    [sym_decimal_floating_point_literal] = ACTIONS(979),
    [sym_hex_floating_point_literal] = ACTIONS(981),
    [sym_true] = ACTIONS(981),
    [sym_false] = ACTIONS(981),
    [sym_character_literal] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(979),
    [anon_sym_RBRACE] = ACTIONS(979),
    [sym_null_literal] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(979),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_final] = ACTIONS(981),
    [anon_sym_BANG] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [anon_sym_new] = ACTIONS(981),
    [anon_sym_class] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_case] = ACTIONS(981),
    [anon_sym_default] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(979),
    [anon_sym_assert] = ACTIONS(981),
    [anon_sym_do] = ACTIONS(981),
    [anon_sym_while] = ACTIONS(981),
    [anon_sym_break] = ACTIONS(981),
    [anon_sym_continue] = ACTIONS(981),
    [anon_sym_return] = ACTIONS(981),
    [anon_sym_yield] = ACTIONS(981),
    [anon_sym_synchronized] = ACTIONS(981),
    [anon_sym_throw] = ACTIONS(981),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_else] = ACTIONS(981),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_AT] = ACTIONS(981),
    [anon_sym_open] = ACTIONS(981),
    [anon_sym_module] = ACTIONS(981),
    [anon_sym_static] = ACTIONS(981),
    [anon_sym_with] = ACTIONS(981),
    [anon_sym_package] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(981),
    [anon_sym_enum] = ACTIONS(981),
    [anon_sym_public] = ACTIONS(981),
    [anon_sym_protected] = ACTIONS(981),
    [anon_sym_private] = ACTIONS(981),
    [anon_sym_abstract] = ACTIONS(981),
    [anon_sym_strictfp] = ACTIONS(981),
    [anon_sym_native] = ACTIONS(981),
    [anon_sym_transient] = ACTIONS(981),
    [anon_sym_volatile] = ACTIONS(981),
    [anon_sym_sealed] = ACTIONS(981),
    [anon_sym_non_DASHsealed] = ACTIONS(979),
    [anon_sym_record] = ACTIONS(981),
    [anon_sym_ATinterface] = ACTIONS(979),
    [anon_sym_interface] = ACTIONS(981),
    [anon_sym_byte] = ACTIONS(981),
    [anon_sym_short] = ACTIONS(981),
    [anon_sym_int] = ACTIONS(981),
    [anon_sym_long] = ACTIONS(981),
    [anon_sym_char] = ACTIONS(981),
    [anon_sym_float] = ACTIONS(981),
    [anon_sym_double] = ACTIONS(981),
    [sym_boolean_type] = ACTIONS(981),
    [sym_void_type] = ACTIONS(981),
    [sym_this] = ACTIONS(981),
    [sym_super] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(983),
    [sym_identifier] = ACTIONS(985),
    [sym_decimal_integer_literal] = ACTIONS(985),
    [sym_hex_integer_literal] = ACTIONS(985),
    [sym_octal_integer_literal] = ACTIONS(985),
    [sym_binary_integer_literal] = ACTIONS(983),
    [sym_decimal_floating_point_literal] = ACTIONS(983),
    [sym_hex_floating_point_literal] = ACTIONS(985),
    [sym_true] = ACTIONS(985),
    [sym_false] = ACTIONS(985),
    [sym_character_literal] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(983),
    [anon_sym_RBRACE] = ACTIONS(983),
    [sym_null_literal] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LT] = ACTIONS(983),
    [anon_sym_PLUS] = ACTIONS(985),
    [anon_sym_DASH] = ACTIONS(985),
    [anon_sym_final] = ACTIONS(985),
    [anon_sym_BANG] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(983),
    [anon_sym_PLUS_PLUS] = ACTIONS(983),
    [anon_sym_DASH_DASH] = ACTIONS(983),
    [anon_sym_new] = ACTIONS(985),
    [anon_sym_class] = ACTIONS(985),
    [anon_sym_switch] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_case] = ACTIONS(985),
    [anon_sym_default] = ACTIONS(985),
    [anon_sym_SEMI] = ACTIONS(983),
    [anon_sym_assert] = ACTIONS(985),
    [anon_sym_do] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(985),
    [anon_sym_break] = ACTIONS(985),
    [anon_sym_continue] = ACTIONS(985),
    [anon_sym_return] = ACTIONS(985),
    [anon_sym_yield] = ACTIONS(985),
    [anon_sym_synchronized] = ACTIONS(985),
    [anon_sym_throw] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(985),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_else] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(985),
    [anon_sym_AT] = ACTIONS(985),
    [anon_sym_open] = ACTIONS(985),
    [anon_sym_module] = ACTIONS(985),
    [anon_sym_static] = ACTIONS(985),
    [anon_sym_with] = ACTIONS(985),
    [anon_sym_package] = ACTIONS(985),
    [anon_sym_import] = ACTIONS(985),
    [anon_sym_enum] = ACTIONS(985),
    [anon_sym_public] = ACTIONS(985),
    [anon_sym_protected] = ACTIONS(985),
    [anon_sym_private] = ACTIONS(985),
    [anon_sym_abstract] = ACTIONS(985),
    [anon_sym_strictfp] = ACTIONS(985),
    [anon_sym_native] = ACTIONS(985),
    [anon_sym_transient] = ACTIONS(985),
    [anon_sym_volatile] = ACTIONS(985),
    [anon_sym_sealed] = ACTIONS(985),
    [anon_sym_non_DASHsealed] = ACTIONS(983),
    [anon_sym_record] = ACTIONS(985),
    [anon_sym_ATinterface] = ACTIONS(983),
    [anon_sym_interface] = ACTIONS(985),
    [anon_sym_byte] = ACTIONS(985),
    [anon_sym_short] = ACTIONS(985),
    [anon_sym_int] = ACTIONS(985),
    [anon_sym_long] = ACTIONS(985),
    [anon_sym_char] = ACTIONS(985),
    [anon_sym_float] = ACTIONS(985),
    [anon_sym_double] = ACTIONS(985),
    [sym_boolean_type] = ACTIONS(985),
    [sym_void_type] = ACTIONS(985),
    [sym_this] = ACTIONS(985),
    [sym_super] = ACTIONS(985),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(566),
    [sym_identifier] = ACTIONS(568),
    [sym_decimal_integer_literal] = ACTIONS(568),
    [sym_hex_integer_literal] = ACTIONS(568),
    [sym_octal_integer_literal] = ACTIONS(568),
    [sym_binary_integer_literal] = ACTIONS(566),
    [sym_decimal_floating_point_literal] = ACTIONS(566),
    [sym_hex_floating_point_literal] = ACTIONS(568),
    [sym_true] = ACTIONS(568),
    [sym_false] = ACTIONS(568),
    [sym_character_literal] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(568),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(566),
    [anon_sym_RBRACE] = ACTIONS(566),
    [sym_null_literal] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_LT] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(568),
    [anon_sym_DASH] = ACTIONS(568),
    [anon_sym_final] = ACTIONS(568),
    [anon_sym_BANG] = ACTIONS(566),
    [anon_sym_TILDE] = ACTIONS(566),
    [anon_sym_PLUS_PLUS] = ACTIONS(566),
    [anon_sym_DASH_DASH] = ACTIONS(566),
    [anon_sym_new] = ACTIONS(568),
    [anon_sym_class] = ACTIONS(568),
    [anon_sym_switch] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(566),
    [anon_sym_case] = ACTIONS(568),
    [anon_sym_default] = ACTIONS(568),
    [anon_sym_SEMI] = ACTIONS(566),
    [anon_sym_assert] = ACTIONS(568),
    [anon_sym_do] = ACTIONS(568),
    [anon_sym_while] = ACTIONS(568),
    [anon_sym_break] = ACTIONS(568),
    [anon_sym_continue] = ACTIONS(568),
    [anon_sym_return] = ACTIONS(568),
    [anon_sym_yield] = ACTIONS(568),
    [anon_sym_synchronized] = ACTIONS(568),
    [anon_sym_throw] = ACTIONS(568),
    [anon_sym_try] = ACTIONS(568),
    [anon_sym_if] = ACTIONS(568),
    [anon_sym_else] = ACTIONS(568),
    [anon_sym_for] = ACTIONS(568),
    [anon_sym_AT] = ACTIONS(568),
    [anon_sym_open] = ACTIONS(568),
    [anon_sym_module] = ACTIONS(568),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_with] = ACTIONS(568),
    [anon_sym_package] = ACTIONS(568),
    [anon_sym_import] = ACTIONS(568),
    [anon_sym_enum] = ACTIONS(568),
    [anon_sym_public] = ACTIONS(568),
    [anon_sym_protected] = ACTIONS(568),
    [anon_sym_private] = ACTIONS(568),
    [anon_sym_abstract] = ACTIONS(568),
    [anon_sym_strictfp] = ACTIONS(568),
    [anon_sym_native] = ACTIONS(568),
    [anon_sym_transient] = ACTIONS(568),
    [anon_sym_volatile] = ACTIONS(568),
    [anon_sym_sealed] = ACTIONS(568),
    [anon_sym_non_DASHsealed] = ACTIONS(566),
    [anon_sym_record] = ACTIONS(568),
    [anon_sym_ATinterface] = ACTIONS(566),
    [anon_sym_interface] = ACTIONS(568),
    [anon_sym_byte] = ACTIONS(568),
    [anon_sym_short] = ACTIONS(568),
    [anon_sym_int] = ACTIONS(568),
    [anon_sym_long] = ACTIONS(568),
    [anon_sym_char] = ACTIONS(568),
    [anon_sym_float] = ACTIONS(568),
    [anon_sym_double] = ACTIONS(568),
    [sym_boolean_type] = ACTIONS(568),
    [sym_void_type] = ACTIONS(568),
    [sym_this] = ACTIONS(568),
    [sym_super] = ACTIONS(568),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(987),
    [sym_identifier] = ACTIONS(989),
    [sym_decimal_integer_literal] = ACTIONS(989),
    [sym_hex_integer_literal] = ACTIONS(989),
    [sym_octal_integer_literal] = ACTIONS(989),
    [sym_binary_integer_literal] = ACTIONS(987),
    [sym_decimal_floating_point_literal] = ACTIONS(987),
    [sym_hex_floating_point_literal] = ACTIONS(989),
    [sym_true] = ACTIONS(989),
    [sym_false] = ACTIONS(989),
    [sym_character_literal] = ACTIONS(987),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [sym_null_literal] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_final] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [anon_sym_new] = ACTIONS(989),
    [anon_sym_class] = ACTIONS(989),
    [anon_sym_switch] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_case] = ACTIONS(989),
    [anon_sym_default] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_break] = ACTIONS(989),
    [anon_sym_continue] = ACTIONS(989),
    [anon_sym_return] = ACTIONS(989),
    [anon_sym_yield] = ACTIONS(989),
    [anon_sym_synchronized] = ACTIONS(989),
    [anon_sym_throw] = ACTIONS(989),
    [anon_sym_try] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_else] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(989),
    [anon_sym_open] = ACTIONS(989),
    [anon_sym_module] = ACTIONS(989),
    [anon_sym_static] = ACTIONS(989),
    [anon_sym_with] = ACTIONS(989),
    [anon_sym_package] = ACTIONS(989),
    [anon_sym_import] = ACTIONS(989),
    [anon_sym_enum] = ACTIONS(989),
    [anon_sym_public] = ACTIONS(989),
    [anon_sym_protected] = ACTIONS(989),
    [anon_sym_private] = ACTIONS(989),
    [anon_sym_abstract] = ACTIONS(989),
    [anon_sym_strictfp] = ACTIONS(989),
    [anon_sym_native] = ACTIONS(989),
    [anon_sym_transient] = ACTIONS(989),
    [anon_sym_volatile] = ACTIONS(989),
    [anon_sym_sealed] = ACTIONS(989),
    [anon_sym_non_DASHsealed] = ACTIONS(987),
    [anon_sym_record] = ACTIONS(989),
    [anon_sym_ATinterface] = ACTIONS(987),
    [anon_sym_interface] = ACTIONS(989),
    [anon_sym_byte] = ACTIONS(989),
    [anon_sym_short] = ACTIONS(989),
    [anon_sym_int] = ACTIONS(989),
    [anon_sym_long] = ACTIONS(989),
    [anon_sym_char] = ACTIONS(989),
    [anon_sym_float] = ACTIONS(989),
    [anon_sym_double] = ACTIONS(989),
    [sym_boolean_type] = ACTIONS(989),
    [sym_void_type] = ACTIONS(989),
    [sym_this] = ACTIONS(989),
    [sym_super] = ACTIONS(989),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [338] = {
    [ts_builtin_sym_end] = ACTIONS(991),
    [sym_identifier] = ACTIONS(993),
    [sym_decimal_integer_literal] = ACTIONS(993),
    [sym_hex_integer_literal] = ACTIONS(993),
    [sym_octal_integer_literal] = ACTIONS(993),
    [sym_binary_integer_literal] = ACTIONS(991),
    [sym_decimal_floating_point_literal] = ACTIONS(991),
    [sym_hex_floating_point_literal] = ACTIONS(993),
    [sym_true] = ACTIONS(993),
    [sym_false] = ACTIONS(993),
    [sym_character_literal] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [sym_null_literal] = ACTIONS(993),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_LT] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_final] = ACTIONS(993),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(993),
    [anon_sym_class] = ACTIONS(993),
    [anon_sym_switch] = ACTIONS(993),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_case] = ACTIONS(993),
    [anon_sym_default] = ACTIONS(993),
    [anon_sym_SEMI] = ACTIONS(991),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(993),
    [anon_sym_continue] = ACTIONS(993),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_synchronized] = ACTIONS(993),
    [anon_sym_throw] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_else] = ACTIONS(993),
    [anon_sym_for] = ACTIONS(993),
    [anon_sym_AT] = ACTIONS(993),
    [anon_sym_open] = ACTIONS(993),
    [anon_sym_module] = ACTIONS(993),
    [anon_sym_static] = ACTIONS(993),
    [anon_sym_with] = ACTIONS(993),
    [anon_sym_package] = ACTIONS(993),
    [anon_sym_import] = ACTIONS(993),
    [anon_sym_enum] = ACTIONS(993),
    [anon_sym_public] = ACTIONS(993),
    [anon_sym_protected] = ACTIONS(993),
    [anon_sym_private] = ACTIONS(993),
    [anon_sym_abstract] = ACTIONS(993),
    [anon_sym_strictfp] = ACTIONS(993),
    [anon_sym_native] = ACTIONS(993),
    [anon_sym_transient] = ACTIONS(993),
    [anon_sym_volatile] = ACTIONS(993),
    [anon_sym_sealed] = ACTIONS(993),
    [anon_sym_non_DASHsealed] = ACTIONS(991),
    [anon_sym_record] = ACTIONS(993),
    [anon_sym_ATinterface] = ACTIONS(991),
    [anon_sym_interface] = ACTIONS(993),
    [anon_sym_byte] = ACTIONS(993),
    [anon_sym_short] = ACTIONS(993),
    [anon_sym_int] = ACTIONS(993),
    [anon_sym_long] = ACTIONS(993),
    [anon_sym_char] = ACTIONS(993),
    [anon_sym_float] = ACTIONS(993),
    [anon_sym_double] = ACTIONS(993),
    [sym_boolean_type] = ACTIONS(993),
    [sym_void_type] = ACTIONS(993),
    [sym_this] = ACTIONS(993),
    [sym_super] = ACTIONS(993),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [339] = {
    [ts_builtin_sym_end] = ACTIONS(995),
    [sym_identifier] = ACTIONS(997),
    [sym_decimal_integer_literal] = ACTIONS(997),
    [sym_hex_integer_literal] = ACTIONS(997),
    [sym_octal_integer_literal] = ACTIONS(997),
    [sym_binary_integer_literal] = ACTIONS(995),
    [sym_decimal_floating_point_literal] = ACTIONS(995),
    [sym_hex_floating_point_literal] = ACTIONS(997),
    [sym_true] = ACTIONS(997),
    [sym_false] = ACTIONS(997),
    [sym_character_literal] = ACTIONS(995),
    [anon_sym_DQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(995),
    [anon_sym_RBRACE] = ACTIONS(995),
    [sym_null_literal] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_DASH] = ACTIONS(997),
    [anon_sym_final] = ACTIONS(997),
    [anon_sym_BANG] = ACTIONS(995),
    [anon_sym_TILDE] = ACTIONS(995),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [anon_sym_DASH_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_class] = ACTIONS(997),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(995),
    [anon_sym_case] = ACTIONS(997),
    [anon_sym_default] = ACTIONS(997),
    [anon_sym_SEMI] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(997),
    [anon_sym_break] = ACTIONS(997),
    [anon_sym_continue] = ACTIONS(997),
    [anon_sym_return] = ACTIONS(997),
    [anon_sym_yield] = ACTIONS(997),
    [anon_sym_synchronized] = ACTIONS(997),
    [anon_sym_throw] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_else] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(997),
    [anon_sym_open] = ACTIONS(997),
    [anon_sym_module] = ACTIONS(997),
    [anon_sym_static] = ACTIONS(997),
    [anon_sym_with] = ACTIONS(997),
    [anon_sym_package] = ACTIONS(997),
    [anon_sym_import] = ACTIONS(997),
    [anon_sym_enum] = ACTIONS(997),
    [anon_sym_public] = ACTIONS(997),
    [anon_sym_protected] = ACTIONS(997),
    [anon_sym_private] = ACTIONS(997),
    [anon_sym_abstract] = ACTIONS(997),
    [anon_sym_strictfp] = ACTIONS(997),
    [anon_sym_native] = ACTIONS(997),
    [anon_sym_transient] = ACTIONS(997),
    [anon_sym_volatile] = ACTIONS(997),
    [anon_sym_sealed] = ACTIONS(997),
    [anon_sym_non_DASHsealed] = ACTIONS(995),
    [anon_sym_record] = ACTIONS(997),
    [anon_sym_ATinterface] = ACTIONS(995),
    [anon_sym_interface] = ACTIONS(997),
    [anon_sym_byte] = ACTIONS(997),
    [anon_sym_short] = ACTIONS(997),
    [anon_sym_int] = ACTIONS(997),
    [anon_sym_long] = ACTIONS(997),
    [anon_sym_char] = ACTIONS(997),
    [anon_sym_float] = ACTIONS(997),
    [anon_sym_double] = ACTIONS(997),
    [sym_boolean_type] = ACTIONS(997),
    [sym_void_type] = ACTIONS(997),
    [sym_this] = ACTIONS(997),
    [sym_super] = ACTIONS(997),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [340] = {
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_identifier] = ACTIONS(1001),
    [sym_decimal_integer_literal] = ACTIONS(1001),
    [sym_hex_integer_literal] = ACTIONS(1001),
    [sym_octal_integer_literal] = ACTIONS(1001),
    [sym_binary_integer_literal] = ACTIONS(999),
    [sym_decimal_floating_point_literal] = ACTIONS(999),
    [sym_hex_floating_point_literal] = ACTIONS(1001),
    [sym_true] = ACTIONS(1001),
    [sym_false] = ACTIONS(1001),
    [sym_character_literal] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(1001),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [sym_null_literal] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LT] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_final] = ACTIONS(1001),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_PLUS_PLUS] = ACTIONS(999),
    [anon_sym_DASH_DASH] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_class] = ACTIONS(1001),
    [anon_sym_switch] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_case] = ACTIONS(1001),
    [anon_sym_default] = ACTIONS(1001),
    [anon_sym_SEMI] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(1001),
    [anon_sym_do] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_break] = ACTIONS(1001),
    [anon_sym_continue] = ACTIONS(1001),
    [anon_sym_return] = ACTIONS(1001),
    [anon_sym_yield] = ACTIONS(1001),
    [anon_sym_synchronized] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_else] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1001),
    [anon_sym_AT] = ACTIONS(1001),
    [anon_sym_open] = ACTIONS(1001),
    [anon_sym_module] = ACTIONS(1001),
    [anon_sym_static] = ACTIONS(1001),
    [anon_sym_with] = ACTIONS(1001),
    [anon_sym_package] = ACTIONS(1001),
    [anon_sym_import] = ACTIONS(1001),
    [anon_sym_enum] = ACTIONS(1001),
    [anon_sym_public] = ACTIONS(1001),
    [anon_sym_protected] = ACTIONS(1001),
    [anon_sym_private] = ACTIONS(1001),
    [anon_sym_abstract] = ACTIONS(1001),
    [anon_sym_strictfp] = ACTIONS(1001),
    [anon_sym_native] = ACTIONS(1001),
    [anon_sym_transient] = ACTIONS(1001),
    [anon_sym_volatile] = ACTIONS(1001),
    [anon_sym_sealed] = ACTIONS(1001),
    [anon_sym_non_DASHsealed] = ACTIONS(999),
    [anon_sym_record] = ACTIONS(1001),
    [anon_sym_ATinterface] = ACTIONS(999),
    [anon_sym_interface] = ACTIONS(1001),
    [anon_sym_byte] = ACTIONS(1001),
    [anon_sym_short] = ACTIONS(1001),
    [anon_sym_int] = ACTIONS(1001),
    [anon_sym_long] = ACTIONS(1001),
    [anon_sym_char] = ACTIONS(1001),
    [anon_sym_float] = ACTIONS(1001),
    [anon_sym_double] = ACTIONS(1001),
    [sym_boolean_type] = ACTIONS(1001),
    [sym_void_type] = ACTIONS(1001),
    [sym_this] = ACTIONS(1001),
    [sym_super] = ACTIONS(1001),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [341] = {
    [ts_builtin_sym_end] = ACTIONS(1003),
    [sym_identifier] = ACTIONS(1005),
    [sym_decimal_integer_literal] = ACTIONS(1005),
    [sym_hex_integer_literal] = ACTIONS(1005),
    [sym_octal_integer_literal] = ACTIONS(1005),
    [sym_binary_integer_literal] = ACTIONS(1003),
    [sym_decimal_floating_point_literal] = ACTIONS(1003),
    [sym_hex_floating_point_literal] = ACTIONS(1005),
    [sym_true] = ACTIONS(1005),
    [sym_false] = ACTIONS(1005),
    [sym_character_literal] = ACTIONS(1003),
    [anon_sym_DQUOTE] = ACTIONS(1005),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1003),
    [sym_null_literal] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1003),
    [anon_sym_LT] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(1005),
    [anon_sym_DASH] = ACTIONS(1005),
    [anon_sym_final] = ACTIONS(1005),
    [anon_sym_BANG] = ACTIONS(1003),
    [anon_sym_TILDE] = ACTIONS(1003),
    [anon_sym_PLUS_PLUS] = ACTIONS(1003),
    [anon_sym_DASH_DASH] = ACTIONS(1003),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_class] = ACTIONS(1005),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_case] = ACTIONS(1005),
    [anon_sym_default] = ACTIONS(1005),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(1005),
    [anon_sym_do] = ACTIONS(1005),
    [anon_sym_while] = ACTIONS(1005),
    [anon_sym_break] = ACTIONS(1005),
    [anon_sym_continue] = ACTIONS(1005),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_yield] = ACTIONS(1005),
    [anon_sym_synchronized] = ACTIONS(1005),
    [anon_sym_throw] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1005),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_else] = ACTIONS(1005),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(1005),
    [anon_sym_open] = ACTIONS(1005),
    [anon_sym_module] = ACTIONS(1005),
    [anon_sym_static] = ACTIONS(1005),
    [anon_sym_with] = ACTIONS(1005),
    [anon_sym_package] = ACTIONS(1005),
    [anon_sym_import] = ACTIONS(1005),
    [anon_sym_enum] = ACTIONS(1005),
    [anon_sym_public] = ACTIONS(1005),
    [anon_sym_protected] = ACTIONS(1005),
    [anon_sym_private] = ACTIONS(1005),
    [anon_sym_abstract] = ACTIONS(1005),
    [anon_sym_strictfp] = ACTIONS(1005),
    [anon_sym_native] = ACTIONS(1005),
    [anon_sym_transient] = ACTIONS(1005),
    [anon_sym_volatile] = ACTIONS(1005),
    [anon_sym_sealed] = ACTIONS(1005),
    [anon_sym_non_DASHsealed] = ACTIONS(1003),
    [anon_sym_record] = ACTIONS(1005),
    [anon_sym_ATinterface] = ACTIONS(1003),
    [anon_sym_interface] = ACTIONS(1005),
    [anon_sym_byte] = ACTIONS(1005),
    [anon_sym_short] = ACTIONS(1005),
    [anon_sym_int] = ACTIONS(1005),
    [anon_sym_long] = ACTIONS(1005),
    [anon_sym_char] = ACTIONS(1005),
    [anon_sym_float] = ACTIONS(1005),
    [anon_sym_double] = ACTIONS(1005),
    [sym_boolean_type] = ACTIONS(1005),
    [sym_void_type] = ACTIONS(1005),
    [sym_this] = ACTIONS(1005),
    [sym_super] = ACTIONS(1005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(1007),
    [sym_identifier] = ACTIONS(1009),
    [sym_decimal_integer_literal] = ACTIONS(1009),
    [sym_hex_integer_literal] = ACTIONS(1009),
    [sym_octal_integer_literal] = ACTIONS(1009),
    [sym_binary_integer_literal] = ACTIONS(1007),
    [sym_decimal_floating_point_literal] = ACTIONS(1007),
    [sym_hex_floating_point_literal] = ACTIONS(1009),
    [sym_true] = ACTIONS(1009),
    [sym_false] = ACTIONS(1009),
    [sym_character_literal] = ACTIONS(1007),
    [anon_sym_DQUOTE] = ACTIONS(1009),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1007),
    [anon_sym_RBRACE] = ACTIONS(1007),
    [sym_null_literal] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LT] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1009),
    [anon_sym_final] = ACTIONS(1009),
    [anon_sym_BANG] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(1007),
    [anon_sym_PLUS_PLUS] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(1009),
    [anon_sym_class] = ACTIONS(1009),
    [anon_sym_switch] = ACTIONS(1009),
    [anon_sym_LBRACE] = ACTIONS(1007),
    [anon_sym_case] = ACTIONS(1009),
    [anon_sym_default] = ACTIONS(1009),
    [anon_sym_SEMI] = ACTIONS(1007),
    [anon_sym_assert] = ACTIONS(1009),
    [anon_sym_do] = ACTIONS(1009),
    [anon_sym_while] = ACTIONS(1009),
    [anon_sym_break] = ACTIONS(1009),
    [anon_sym_continue] = ACTIONS(1009),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_yield] = ACTIONS(1009),
    [anon_sym_synchronized] = ACTIONS(1009),
    [anon_sym_throw] = ACTIONS(1009),
    [anon_sym_try] = ACTIONS(1009),
    [anon_sym_if] = ACTIONS(1009),
    [anon_sym_else] = ACTIONS(1009),
    [anon_sym_for] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1009),
    [anon_sym_open] = ACTIONS(1009),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_static] = ACTIONS(1009),
    [anon_sym_with] = ACTIONS(1009),
    [anon_sym_package] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1009),
    [anon_sym_enum] = ACTIONS(1009),
    [anon_sym_public] = ACTIONS(1009),
    [anon_sym_protected] = ACTIONS(1009),
    [anon_sym_private] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1009),
    [anon_sym_strictfp] = ACTIONS(1009),
    [anon_sym_native] = ACTIONS(1009),
    [anon_sym_transient] = ACTIONS(1009),
    [anon_sym_volatile] = ACTIONS(1009),
    [anon_sym_sealed] = ACTIONS(1009),
    [anon_sym_non_DASHsealed] = ACTIONS(1007),
    [anon_sym_record] = ACTIONS(1009),
    [anon_sym_ATinterface] = ACTIONS(1007),
    [anon_sym_interface] = ACTIONS(1009),
    [anon_sym_byte] = ACTIONS(1009),
    [anon_sym_short] = ACTIONS(1009),
    [anon_sym_int] = ACTIONS(1009),
    [anon_sym_long] = ACTIONS(1009),
    [anon_sym_char] = ACTIONS(1009),
    [anon_sym_float] = ACTIONS(1009),
    [anon_sym_double] = ACTIONS(1009),
    [sym_boolean_type] = ACTIONS(1009),
    [sym_void_type] = ACTIONS(1009),
    [sym_this] = ACTIONS(1009),
    [sym_super] = ACTIONS(1009),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(1013),
    [sym_decimal_integer_literal] = ACTIONS(1013),
    [sym_hex_integer_literal] = ACTIONS(1013),
    [sym_octal_integer_literal] = ACTIONS(1013),
    [sym_binary_integer_literal] = ACTIONS(1011),
    [sym_decimal_floating_point_literal] = ACTIONS(1011),
    [sym_hex_floating_point_literal] = ACTIONS(1013),
    [sym_true] = ACTIONS(1013),
    [sym_false] = ACTIONS(1013),
    [sym_character_literal] = ACTIONS(1011),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1011),
    [anon_sym_RBRACE] = ACTIONS(1011),
    [sym_null_literal] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [anon_sym_LT] = ACTIONS(1011),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1013),
    [anon_sym_final] = ACTIONS(1013),
    [anon_sym_BANG] = ACTIONS(1011),
    [anon_sym_TILDE] = ACTIONS(1011),
    [anon_sym_PLUS_PLUS] = ACTIONS(1011),
    [anon_sym_DASH_DASH] = ACTIONS(1011),
    [anon_sym_new] = ACTIONS(1013),
    [anon_sym_class] = ACTIONS(1013),
    [anon_sym_switch] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_case] = ACTIONS(1013),
    [anon_sym_default] = ACTIONS(1013),
    [anon_sym_SEMI] = ACTIONS(1011),
    [anon_sym_assert] = ACTIONS(1013),
    [anon_sym_do] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(1013),
    [anon_sym_break] = ACTIONS(1013),
    [anon_sym_continue] = ACTIONS(1013),
    [anon_sym_return] = ACTIONS(1013),
    [anon_sym_yield] = ACTIONS(1013),
    [anon_sym_synchronized] = ACTIONS(1013),
    [anon_sym_throw] = ACTIONS(1013),
    [anon_sym_try] = ACTIONS(1013),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_else] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1013),
    [anon_sym_open] = ACTIONS(1013),
    [anon_sym_module] = ACTIONS(1013),
    [anon_sym_static] = ACTIONS(1013),
    [anon_sym_with] = ACTIONS(1013),
    [anon_sym_package] = ACTIONS(1013),
    [anon_sym_import] = ACTIONS(1013),
    [anon_sym_enum] = ACTIONS(1013),
    [anon_sym_public] = ACTIONS(1013),
    [anon_sym_protected] = ACTIONS(1013),
    [anon_sym_private] = ACTIONS(1013),
    [anon_sym_abstract] = ACTIONS(1013),
    [anon_sym_strictfp] = ACTIONS(1013),
    [anon_sym_native] = ACTIONS(1013),
    [anon_sym_transient] = ACTIONS(1013),
    [anon_sym_volatile] = ACTIONS(1013),
    [anon_sym_sealed] = ACTIONS(1013),
    [anon_sym_non_DASHsealed] = ACTIONS(1011),
    [anon_sym_record] = ACTIONS(1013),
    [anon_sym_ATinterface] = ACTIONS(1011),
    [anon_sym_interface] = ACTIONS(1013),
    [anon_sym_byte] = ACTIONS(1013),
    [anon_sym_short] = ACTIONS(1013),
    [anon_sym_int] = ACTIONS(1013),
    [anon_sym_long] = ACTIONS(1013),
    [anon_sym_char] = ACTIONS(1013),
    [anon_sym_float] = ACTIONS(1013),
    [anon_sym_double] = ACTIONS(1013),
    [sym_boolean_type] = ACTIONS(1013),
    [sym_void_type] = ACTIONS(1013),
    [sym_this] = ACTIONS(1013),
    [sym_super] = ACTIONS(1013),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_identifier] = ACTIONS(1017),
    [sym_decimal_integer_literal] = ACTIONS(1017),
    [sym_hex_integer_literal] = ACTIONS(1017),
    [sym_octal_integer_literal] = ACTIONS(1017),
    [sym_binary_integer_literal] = ACTIONS(1015),
    [sym_decimal_floating_point_literal] = ACTIONS(1015),
    [sym_hex_floating_point_literal] = ACTIONS(1017),
    [sym_true] = ACTIONS(1017),
    [sym_false] = ACTIONS(1017),
    [sym_character_literal] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1015),
    [anon_sym_RBRACE] = ACTIONS(1015),
    [sym_null_literal] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1015),
    [anon_sym_LT] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(1017),
    [anon_sym_DASH] = ACTIONS(1017),
    [anon_sym_final] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1015),
    [anon_sym_TILDE] = ACTIONS(1015),
    [anon_sym_PLUS_PLUS] = ACTIONS(1015),
    [anon_sym_DASH_DASH] = ACTIONS(1015),
    [anon_sym_new] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1017),
    [anon_sym_switch] = ACTIONS(1017),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_case] = ACTIONS(1017),
    [anon_sym_default] = ACTIONS(1017),
    [anon_sym_SEMI] = ACTIONS(1015),
    [anon_sym_assert] = ACTIONS(1017),
    [anon_sym_do] = ACTIONS(1017),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_continue] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1017),
    [anon_sym_synchronized] = ACTIONS(1017),
    [anon_sym_throw] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1017),
    [anon_sym_else] = ACTIONS(1017),
    [anon_sym_for] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(1017),
    [anon_sym_open] = ACTIONS(1017),
    [anon_sym_module] = ACTIONS(1017),
    [anon_sym_static] = ACTIONS(1017),
    [anon_sym_with] = ACTIONS(1017),
    [anon_sym_package] = ACTIONS(1017),
    [anon_sym_import] = ACTIONS(1017),
    [anon_sym_enum] = ACTIONS(1017),
    [anon_sym_public] = ACTIONS(1017),
    [anon_sym_protected] = ACTIONS(1017),
    [anon_sym_private] = ACTIONS(1017),
    [anon_sym_abstract] = ACTIONS(1017),
    [anon_sym_strictfp] = ACTIONS(1017),
    [anon_sym_native] = ACTIONS(1017),
    [anon_sym_transient] = ACTIONS(1017),
    [anon_sym_volatile] = ACTIONS(1017),
    [anon_sym_sealed] = ACTIONS(1017),
    [anon_sym_non_DASHsealed] = ACTIONS(1015),
    [anon_sym_record] = ACTIONS(1017),
    [anon_sym_ATinterface] = ACTIONS(1015),
    [anon_sym_interface] = ACTIONS(1017),
    [anon_sym_byte] = ACTIONS(1017),
    [anon_sym_short] = ACTIONS(1017),
    [anon_sym_int] = ACTIONS(1017),
    [anon_sym_long] = ACTIONS(1017),
    [anon_sym_char] = ACTIONS(1017),
    [anon_sym_float] = ACTIONS(1017),
    [anon_sym_double] = ACTIONS(1017),
    [sym_boolean_type] = ACTIONS(1017),
    [sym_void_type] = ACTIONS(1017),
    [sym_this] = ACTIONS(1017),
    [sym_super] = ACTIONS(1017),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym_identifier] = ACTIONS(1021),
    [sym_decimal_integer_literal] = ACTIONS(1021),
    [sym_hex_integer_literal] = ACTIONS(1021),
    [sym_octal_integer_literal] = ACTIONS(1021),
    [sym_binary_integer_literal] = ACTIONS(1019),
    [sym_decimal_floating_point_literal] = ACTIONS(1019),
    [sym_hex_floating_point_literal] = ACTIONS(1021),
    [sym_true] = ACTIONS(1021),
    [sym_false] = ACTIONS(1021),
    [sym_character_literal] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1019),
    [sym_null_literal] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1021),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_final] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_switch] = ACTIONS(1021),
    [anon_sym_LBRACE] = ACTIONS(1019),
    [anon_sym_case] = ACTIONS(1021),
    [anon_sym_default] = ACTIONS(1021),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1021),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_continue] = ACTIONS(1021),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_yield] = ACTIONS(1021),
    [anon_sym_synchronized] = ACTIONS(1021),
    [anon_sym_throw] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_else] = ACTIONS(1021),
    [anon_sym_for] = ACTIONS(1021),
    [anon_sym_AT] = ACTIONS(1021),
    [anon_sym_open] = ACTIONS(1021),
    [anon_sym_module] = ACTIONS(1021),
    [anon_sym_static] = ACTIONS(1021),
    [anon_sym_with] = ACTIONS(1021),
    [anon_sym_package] = ACTIONS(1021),
    [anon_sym_import] = ACTIONS(1021),
    [anon_sym_enum] = ACTIONS(1021),
    [anon_sym_public] = ACTIONS(1021),
    [anon_sym_protected] = ACTIONS(1021),
    [anon_sym_private] = ACTIONS(1021),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_strictfp] = ACTIONS(1021),
    [anon_sym_native] = ACTIONS(1021),
    [anon_sym_transient] = ACTIONS(1021),
    [anon_sym_volatile] = ACTIONS(1021),
    [anon_sym_sealed] = ACTIONS(1021),
    [anon_sym_non_DASHsealed] = ACTIONS(1019),
    [anon_sym_record] = ACTIONS(1021),
    [anon_sym_ATinterface] = ACTIONS(1019),
    [anon_sym_interface] = ACTIONS(1021),
    [anon_sym_byte] = ACTIONS(1021),
    [anon_sym_short] = ACTIONS(1021),
    [anon_sym_int] = ACTIONS(1021),
    [anon_sym_long] = ACTIONS(1021),
    [anon_sym_char] = ACTIONS(1021),
    [anon_sym_float] = ACTIONS(1021),
    [anon_sym_double] = ACTIONS(1021),
    [sym_boolean_type] = ACTIONS(1021),
    [sym_void_type] = ACTIONS(1021),
    [sym_this] = ACTIONS(1021),
    [sym_super] = ACTIONS(1021),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_identifier] = ACTIONS(1025),
    [sym_decimal_integer_literal] = ACTIONS(1025),
    [sym_hex_integer_literal] = ACTIONS(1025),
    [sym_octal_integer_literal] = ACTIONS(1025),
    [sym_binary_integer_literal] = ACTIONS(1023),
    [sym_decimal_floating_point_literal] = ACTIONS(1023),
    [sym_hex_floating_point_literal] = ACTIONS(1025),
    [sym_true] = ACTIONS(1025),
    [sym_false] = ACTIONS(1025),
    [sym_character_literal] = ACTIONS(1023),
    [anon_sym_DQUOTE] = ACTIONS(1025),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1023),
    [anon_sym_RBRACE] = ACTIONS(1023),
    [sym_null_literal] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(1025),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_final] = ACTIONS(1025),
    [anon_sym_BANG] = ACTIONS(1023),
    [anon_sym_TILDE] = ACTIONS(1023),
    [anon_sym_PLUS_PLUS] = ACTIONS(1023),
    [anon_sym_DASH_DASH] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1025),
    [anon_sym_class] = ACTIONS(1025),
    [anon_sym_switch] = ACTIONS(1025),
    [anon_sym_LBRACE] = ACTIONS(1023),
    [anon_sym_case] = ACTIONS(1025),
    [anon_sym_default] = ACTIONS(1025),
    [anon_sym_SEMI] = ACTIONS(1023),
    [anon_sym_assert] = ACTIONS(1025),
    [anon_sym_do] = ACTIONS(1025),
    [anon_sym_while] = ACTIONS(1025),
    [anon_sym_break] = ACTIONS(1025),
    [anon_sym_continue] = ACTIONS(1025),
    [anon_sym_return] = ACTIONS(1025),
    [anon_sym_yield] = ACTIONS(1025),
    [anon_sym_synchronized] = ACTIONS(1025),
    [anon_sym_throw] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1025),
    [anon_sym_else] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_AT] = ACTIONS(1025),
    [anon_sym_open] = ACTIONS(1025),
    [anon_sym_module] = ACTIONS(1025),
    [anon_sym_static] = ACTIONS(1025),
    [anon_sym_with] = ACTIONS(1025),
    [anon_sym_package] = ACTIONS(1025),
    [anon_sym_import] = ACTIONS(1025),
    [anon_sym_enum] = ACTIONS(1025),
    [anon_sym_public] = ACTIONS(1025),
    [anon_sym_protected] = ACTIONS(1025),
    [anon_sym_private] = ACTIONS(1025),
    [anon_sym_abstract] = ACTIONS(1025),
    [anon_sym_strictfp] = ACTIONS(1025),
    [anon_sym_native] = ACTIONS(1025),
    [anon_sym_transient] = ACTIONS(1025),
    [anon_sym_volatile] = ACTIONS(1025),
    [anon_sym_sealed] = ACTIONS(1025),
    [anon_sym_non_DASHsealed] = ACTIONS(1023),
    [anon_sym_record] = ACTIONS(1025),
    [anon_sym_ATinterface] = ACTIONS(1023),
    [anon_sym_interface] = ACTIONS(1025),
    [anon_sym_byte] = ACTIONS(1025),
    [anon_sym_short] = ACTIONS(1025),
    [anon_sym_int] = ACTIONS(1025),
    [anon_sym_long] = ACTIONS(1025),
    [anon_sym_char] = ACTIONS(1025),
    [anon_sym_float] = ACTIONS(1025),
    [anon_sym_double] = ACTIONS(1025),
    [sym_boolean_type] = ACTIONS(1025),
    [sym_void_type] = ACTIONS(1025),
    [sym_this] = ACTIONS(1025),
    [sym_super] = ACTIONS(1025),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [347] = {
    [ts_builtin_sym_end] = ACTIONS(1027),
    [sym_identifier] = ACTIONS(1029),
    [sym_decimal_integer_literal] = ACTIONS(1029),
    [sym_hex_integer_literal] = ACTIONS(1029),
    [sym_octal_integer_literal] = ACTIONS(1029),
    [sym_binary_integer_literal] = ACTIONS(1027),
    [sym_decimal_floating_point_literal] = ACTIONS(1027),
    [sym_hex_floating_point_literal] = ACTIONS(1029),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [sym_character_literal] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1027),
    [anon_sym_RBRACE] = ACTIONS(1027),
    [sym_null_literal] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_final] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1027),
    [anon_sym_TILDE] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1027),
    [anon_sym_DASH_DASH] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1027),
    [anon_sym_case] = ACTIONS(1029),
    [anon_sym_default] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(1029),
    [anon_sym_do] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1029),
    [anon_sym_break] = ACTIONS(1029),
    [anon_sym_continue] = ACTIONS(1029),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_synchronized] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1029),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_else] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1029),
    [anon_sym_open] = ACTIONS(1029),
    [anon_sym_module] = ACTIONS(1029),
    [anon_sym_static] = ACTIONS(1029),
    [anon_sym_with] = ACTIONS(1029),
    [anon_sym_package] = ACTIONS(1029),
    [anon_sym_import] = ACTIONS(1029),
    [anon_sym_enum] = ACTIONS(1029),
    [anon_sym_public] = ACTIONS(1029),
    [anon_sym_protected] = ACTIONS(1029),
    [anon_sym_private] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1029),
    [anon_sym_strictfp] = ACTIONS(1029),
    [anon_sym_native] = ACTIONS(1029),
    [anon_sym_transient] = ACTIONS(1029),
    [anon_sym_volatile] = ACTIONS(1029),
    [anon_sym_sealed] = ACTIONS(1029),
    [anon_sym_non_DASHsealed] = ACTIONS(1027),
    [anon_sym_record] = ACTIONS(1029),
    [anon_sym_ATinterface] = ACTIONS(1027),
    [anon_sym_interface] = ACTIONS(1029),
    [anon_sym_byte] = ACTIONS(1029),
    [anon_sym_short] = ACTIONS(1029),
    [anon_sym_int] = ACTIONS(1029),
    [anon_sym_long] = ACTIONS(1029),
    [anon_sym_char] = ACTIONS(1029),
    [anon_sym_float] = ACTIONS(1029),
    [anon_sym_double] = ACTIONS(1029),
    [sym_boolean_type] = ACTIONS(1029),
    [sym_void_type] = ACTIONS(1029),
    [sym_this] = ACTIONS(1029),
    [sym_super] = ACTIONS(1029),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [348] = {
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_identifier] = ACTIONS(1033),
    [sym_decimal_integer_literal] = ACTIONS(1033),
    [sym_hex_integer_literal] = ACTIONS(1033),
    [sym_octal_integer_literal] = ACTIONS(1033),
    [sym_binary_integer_literal] = ACTIONS(1031),
    [sym_decimal_floating_point_literal] = ACTIONS(1031),
    [sym_hex_floating_point_literal] = ACTIONS(1033),
    [sym_true] = ACTIONS(1033),
    [sym_false] = ACTIONS(1033),
    [sym_character_literal] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(1033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1031),
    [anon_sym_RBRACE] = ACTIONS(1031),
    [sym_null_literal] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [anon_sym_final] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1031),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_new] = ACTIONS(1033),
    [anon_sym_class] = ACTIONS(1033),
    [anon_sym_switch] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_case] = ACTIONS(1033),
    [anon_sym_default] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_assert] = ACTIONS(1033),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_while] = ACTIONS(1033),
    [anon_sym_break] = ACTIONS(1033),
    [anon_sym_continue] = ACTIONS(1033),
    [anon_sym_return] = ACTIONS(1033),
    [anon_sym_yield] = ACTIONS(1033),
    [anon_sym_synchronized] = ACTIONS(1033),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1033),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_else] = ACTIONS(1033),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1033),
    [anon_sym_open] = ACTIONS(1033),
    [anon_sym_module] = ACTIONS(1033),
    [anon_sym_static] = ACTIONS(1033),
    [anon_sym_with] = ACTIONS(1033),
    [anon_sym_package] = ACTIONS(1033),
    [anon_sym_import] = ACTIONS(1033),
    [anon_sym_enum] = ACTIONS(1033),
    [anon_sym_public] = ACTIONS(1033),
    [anon_sym_protected] = ACTIONS(1033),
    [anon_sym_private] = ACTIONS(1033),
    [anon_sym_abstract] = ACTIONS(1033),
    [anon_sym_strictfp] = ACTIONS(1033),
    [anon_sym_native] = ACTIONS(1033),
    [anon_sym_transient] = ACTIONS(1033),
    [anon_sym_volatile] = ACTIONS(1033),
    [anon_sym_sealed] = ACTIONS(1033),
    [anon_sym_non_DASHsealed] = ACTIONS(1031),
    [anon_sym_record] = ACTIONS(1033),
    [anon_sym_ATinterface] = ACTIONS(1031),
    [anon_sym_interface] = ACTIONS(1033),
    [anon_sym_byte] = ACTIONS(1033),
    [anon_sym_short] = ACTIONS(1033),
    [anon_sym_int] = ACTIONS(1033),
    [anon_sym_long] = ACTIONS(1033),
    [anon_sym_char] = ACTIONS(1033),
    [anon_sym_float] = ACTIONS(1033),
    [anon_sym_double] = ACTIONS(1033),
    [sym_boolean_type] = ACTIONS(1033),
    [sym_void_type] = ACTIONS(1033),
    [sym_this] = ACTIONS(1033),
    [sym_super] = ACTIONS(1033),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [349] = {
    [ts_builtin_sym_end] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1037),
    [sym_decimal_integer_literal] = ACTIONS(1037),
    [sym_hex_integer_literal] = ACTIONS(1037),
    [sym_octal_integer_literal] = ACTIONS(1037),
    [sym_binary_integer_literal] = ACTIONS(1035),
    [sym_decimal_floating_point_literal] = ACTIONS(1035),
    [sym_hex_floating_point_literal] = ACTIONS(1037),
    [sym_true] = ACTIONS(1037),
    [sym_false] = ACTIONS(1037),
    [sym_character_literal] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1035),
    [anon_sym_RBRACE] = ACTIONS(1035),
    [sym_null_literal] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_final] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1035),
    [anon_sym_TILDE] = ACTIONS(1035),
    [anon_sym_PLUS_PLUS] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_class] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_case] = ACTIONS(1037),
    [anon_sym_default] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(1035),
    [anon_sym_assert] = ACTIONS(1037),
    [anon_sym_do] = ACTIONS(1037),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_break] = ACTIONS(1037),
    [anon_sym_continue] = ACTIONS(1037),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_synchronized] = ACTIONS(1037),
    [anon_sym_throw] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_open] = ACTIONS(1037),
    [anon_sym_module] = ACTIONS(1037),
    [anon_sym_static] = ACTIONS(1037),
    [anon_sym_with] = ACTIONS(1037),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_enum] = ACTIONS(1037),
    [anon_sym_public] = ACTIONS(1037),
    [anon_sym_protected] = ACTIONS(1037),
    [anon_sym_private] = ACTIONS(1037),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_strictfp] = ACTIONS(1037),
    [anon_sym_native] = ACTIONS(1037),
    [anon_sym_transient] = ACTIONS(1037),
    [anon_sym_volatile] = ACTIONS(1037),
    [anon_sym_sealed] = ACTIONS(1037),
    [anon_sym_non_DASHsealed] = ACTIONS(1035),
    [anon_sym_record] = ACTIONS(1037),
    [anon_sym_ATinterface] = ACTIONS(1035),
    [anon_sym_interface] = ACTIONS(1037),
    [anon_sym_byte] = ACTIONS(1037),
    [anon_sym_short] = ACTIONS(1037),
    [anon_sym_int] = ACTIONS(1037),
    [anon_sym_long] = ACTIONS(1037),
    [anon_sym_char] = ACTIONS(1037),
    [anon_sym_float] = ACTIONS(1037),
    [anon_sym_double] = ACTIONS(1037),
    [sym_boolean_type] = ACTIONS(1037),
    [sym_void_type] = ACTIONS(1037),
    [sym_this] = ACTIONS(1037),
    [sym_super] = ACTIONS(1037),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [350] = {
    [ts_builtin_sym_end] = ACTIONS(1039),
    [sym_identifier] = ACTIONS(1041),
    [sym_decimal_integer_literal] = ACTIONS(1041),
    [sym_hex_integer_literal] = ACTIONS(1041),
    [sym_octal_integer_literal] = ACTIONS(1041),
    [sym_binary_integer_literal] = ACTIONS(1039),
    [sym_decimal_floating_point_literal] = ACTIONS(1039),
    [sym_hex_floating_point_literal] = ACTIONS(1041),
    [sym_true] = ACTIONS(1041),
    [sym_false] = ACTIONS(1041),
    [sym_character_literal] = ACTIONS(1039),
    [anon_sym_DQUOTE] = ACTIONS(1041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1039),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [sym_null_literal] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1041),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_final] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1039),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [anon_sym_new] = ACTIONS(1041),
    [anon_sym_class] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym_case] = ACTIONS(1041),
    [anon_sym_default] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_do] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1041),
    [anon_sym_break] = ACTIONS(1041),
    [anon_sym_continue] = ACTIONS(1041),
    [anon_sym_return] = ACTIONS(1041),
    [anon_sym_yield] = ACTIONS(1041),
    [anon_sym_synchronized] = ACTIONS(1041),
    [anon_sym_throw] = ACTIONS(1041),
    [anon_sym_try] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(1041),
    [anon_sym_open] = ACTIONS(1041),
    [anon_sym_module] = ACTIONS(1041),
    [anon_sym_static] = ACTIONS(1041),
    [anon_sym_with] = ACTIONS(1041),
    [anon_sym_package] = ACTIONS(1041),
    [anon_sym_import] = ACTIONS(1041),
    [anon_sym_enum] = ACTIONS(1041),
    [anon_sym_public] = ACTIONS(1041),
    [anon_sym_protected] = ACTIONS(1041),
    [anon_sym_private] = ACTIONS(1041),
    [anon_sym_abstract] = ACTIONS(1041),
    [anon_sym_strictfp] = ACTIONS(1041),
    [anon_sym_native] = ACTIONS(1041),
    [anon_sym_transient] = ACTIONS(1041),
    [anon_sym_volatile] = ACTIONS(1041),
    [anon_sym_sealed] = ACTIONS(1041),
    [anon_sym_non_DASHsealed] = ACTIONS(1039),
    [anon_sym_record] = ACTIONS(1041),
    [anon_sym_ATinterface] = ACTIONS(1039),
    [anon_sym_interface] = ACTIONS(1041),
    [anon_sym_byte] = ACTIONS(1041),
    [anon_sym_short] = ACTIONS(1041),
    [anon_sym_int] = ACTIONS(1041),
    [anon_sym_long] = ACTIONS(1041),
    [anon_sym_char] = ACTIONS(1041),
    [anon_sym_float] = ACTIONS(1041),
    [anon_sym_double] = ACTIONS(1041),
    [sym_boolean_type] = ACTIONS(1041),
    [sym_void_type] = ACTIONS(1041),
    [sym_this] = ACTIONS(1041),
    [sym_super] = ACTIONS(1041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(1043),
    [sym_identifier] = ACTIONS(1045),
    [sym_decimal_integer_literal] = ACTIONS(1045),
    [sym_hex_integer_literal] = ACTIONS(1045),
    [sym_octal_integer_literal] = ACTIONS(1045),
    [sym_binary_integer_literal] = ACTIONS(1043),
    [sym_decimal_floating_point_literal] = ACTIONS(1043),
    [sym_hex_floating_point_literal] = ACTIONS(1045),
    [sym_true] = ACTIONS(1045),
    [sym_false] = ACTIONS(1045),
    [sym_character_literal] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1043),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [sym_null_literal] = ACTIONS(1045),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_LT] = ACTIONS(1043),
    [anon_sym_PLUS] = ACTIONS(1045),
    [anon_sym_DASH] = ACTIONS(1045),
    [anon_sym_final] = ACTIONS(1045),
    [anon_sym_BANG] = ACTIONS(1043),
    [anon_sym_TILDE] = ACTIONS(1043),
    [anon_sym_PLUS_PLUS] = ACTIONS(1043),
    [anon_sym_DASH_DASH] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(1045),
    [anon_sym_class] = ACTIONS(1045),
    [anon_sym_switch] = ACTIONS(1045),
    [anon_sym_LBRACE] = ACTIONS(1043),
    [anon_sym_case] = ACTIONS(1045),
    [anon_sym_default] = ACTIONS(1045),
    [anon_sym_SEMI] = ACTIONS(1043),
    [anon_sym_assert] = ACTIONS(1045),
    [anon_sym_do] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_break] = ACTIONS(1045),
    [anon_sym_continue] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1045),
    [anon_sym_yield] = ACTIONS(1045),
    [anon_sym_synchronized] = ACTIONS(1045),
    [anon_sym_throw] = ACTIONS(1045),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_else] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1045),
    [anon_sym_AT] = ACTIONS(1045),
    [anon_sym_open] = ACTIONS(1045),
    [anon_sym_module] = ACTIONS(1045),
    [anon_sym_static] = ACTIONS(1045),
    [anon_sym_with] = ACTIONS(1045),
    [anon_sym_package] = ACTIONS(1045),
    [anon_sym_import] = ACTIONS(1045),
    [anon_sym_enum] = ACTIONS(1045),
    [anon_sym_public] = ACTIONS(1045),
    [anon_sym_protected] = ACTIONS(1045),
    [anon_sym_private] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1045),
    [anon_sym_strictfp] = ACTIONS(1045),
    [anon_sym_native] = ACTIONS(1045),
    [anon_sym_transient] = ACTIONS(1045),
    [anon_sym_volatile] = ACTIONS(1045),
    [anon_sym_sealed] = ACTIONS(1045),
    [anon_sym_non_DASHsealed] = ACTIONS(1043),
    [anon_sym_record] = ACTIONS(1045),
    [anon_sym_ATinterface] = ACTIONS(1043),
    [anon_sym_interface] = ACTIONS(1045),
    [anon_sym_byte] = ACTIONS(1045),
    [anon_sym_short] = ACTIONS(1045),
    [anon_sym_int] = ACTIONS(1045),
    [anon_sym_long] = ACTIONS(1045),
    [anon_sym_char] = ACTIONS(1045),
    [anon_sym_float] = ACTIONS(1045),
    [anon_sym_double] = ACTIONS(1045),
    [sym_boolean_type] = ACTIONS(1045),
    [sym_void_type] = ACTIONS(1045),
    [sym_this] = ACTIONS(1045),
    [sym_super] = ACTIONS(1045),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(1047),
    [sym_identifier] = ACTIONS(1049),
    [sym_decimal_integer_literal] = ACTIONS(1049),
    [sym_hex_integer_literal] = ACTIONS(1049),
    [sym_octal_integer_literal] = ACTIONS(1049),
    [sym_binary_integer_literal] = ACTIONS(1047),
    [sym_decimal_floating_point_literal] = ACTIONS(1047),
    [sym_hex_floating_point_literal] = ACTIONS(1049),
    [sym_true] = ACTIONS(1049),
    [sym_false] = ACTIONS(1049),
    [sym_character_literal] = ACTIONS(1047),
    [anon_sym_DQUOTE] = ACTIONS(1049),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1047),
    [anon_sym_RBRACE] = ACTIONS(1047),
    [sym_null_literal] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1047),
    [anon_sym_LT] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_final] = ACTIONS(1049),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1047),
    [anon_sym_DASH_DASH] = ACTIONS(1047),
    [anon_sym_new] = ACTIONS(1049),
    [anon_sym_class] = ACTIONS(1049),
    [anon_sym_switch] = ACTIONS(1049),
    [anon_sym_LBRACE] = ACTIONS(1047),
    [anon_sym_case] = ACTIONS(1049),
    [anon_sym_default] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(1047),
    [anon_sym_assert] = ACTIONS(1049),
    [anon_sym_do] = ACTIONS(1049),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_yield] = ACTIONS(1049),
    [anon_sym_synchronized] = ACTIONS(1049),
    [anon_sym_throw] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1049),
    [anon_sym_else] = ACTIONS(1049),
    [anon_sym_for] = ACTIONS(1049),
    [anon_sym_AT] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_module] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(1049),
    [anon_sym_with] = ACTIONS(1049),
    [anon_sym_package] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_enum] = ACTIONS(1049),
    [anon_sym_public] = ACTIONS(1049),
    [anon_sym_protected] = ACTIONS(1049),
    [anon_sym_private] = ACTIONS(1049),
    [anon_sym_abstract] = ACTIONS(1049),
    [anon_sym_strictfp] = ACTIONS(1049),
    [anon_sym_native] = ACTIONS(1049),
    [anon_sym_transient] = ACTIONS(1049),
    [anon_sym_volatile] = ACTIONS(1049),
    [anon_sym_sealed] = ACTIONS(1049),
    [anon_sym_non_DASHsealed] = ACTIONS(1047),
    [anon_sym_record] = ACTIONS(1049),
    [anon_sym_ATinterface] = ACTIONS(1047),
    [anon_sym_interface] = ACTIONS(1049),
    [anon_sym_byte] = ACTIONS(1049),
    [anon_sym_short] = ACTIONS(1049),
    [anon_sym_int] = ACTIONS(1049),
    [anon_sym_long] = ACTIONS(1049),
    [anon_sym_char] = ACTIONS(1049),
    [anon_sym_float] = ACTIONS(1049),
    [anon_sym_double] = ACTIONS(1049),
    [sym_boolean_type] = ACTIONS(1049),
    [sym_void_type] = ACTIONS(1049),
    [sym_this] = ACTIONS(1049),
    [sym_super] = ACTIONS(1049),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(1051),
    [sym_identifier] = ACTIONS(1053),
    [sym_decimal_integer_literal] = ACTIONS(1053),
    [sym_hex_integer_literal] = ACTIONS(1053),
    [sym_octal_integer_literal] = ACTIONS(1053),
    [sym_binary_integer_literal] = ACTIONS(1051),
    [sym_decimal_floating_point_literal] = ACTIONS(1051),
    [sym_hex_floating_point_literal] = ACTIONS(1053),
    [sym_true] = ACTIONS(1053),
    [sym_false] = ACTIONS(1053),
    [sym_character_literal] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1051),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [sym_null_literal] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(1051),
    [anon_sym_LT] = ACTIONS(1051),
    [anon_sym_PLUS] = ACTIONS(1053),
    [anon_sym_DASH] = ACTIONS(1053),
    [anon_sym_final] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(1051),
    [anon_sym_TILDE] = ACTIONS(1051),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_class] = ACTIONS(1053),
    [anon_sym_switch] = ACTIONS(1053),
    [anon_sym_LBRACE] = ACTIONS(1051),
    [anon_sym_case] = ACTIONS(1053),
    [anon_sym_default] = ACTIONS(1053),
    [anon_sym_SEMI] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(1053),
    [anon_sym_do] = ACTIONS(1053),
    [anon_sym_while] = ACTIONS(1053),
    [anon_sym_break] = ACTIONS(1053),
    [anon_sym_continue] = ACTIONS(1053),
    [anon_sym_return] = ACTIONS(1053),
    [anon_sym_yield] = ACTIONS(1053),
    [anon_sym_synchronized] = ACTIONS(1053),
    [anon_sym_throw] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1053),
    [anon_sym_if] = ACTIONS(1053),
    [anon_sym_else] = ACTIONS(1053),
    [anon_sym_for] = ACTIONS(1053),
    [anon_sym_AT] = ACTIONS(1053),
    [anon_sym_open] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_with] = ACTIONS(1053),
    [anon_sym_package] = ACTIONS(1053),
    [anon_sym_import] = ACTIONS(1053),
    [anon_sym_enum] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_abstract] = ACTIONS(1053),
    [anon_sym_strictfp] = ACTIONS(1053),
    [anon_sym_native] = ACTIONS(1053),
    [anon_sym_transient] = ACTIONS(1053),
    [anon_sym_volatile] = ACTIONS(1053),
    [anon_sym_sealed] = ACTIONS(1053),
    [anon_sym_non_DASHsealed] = ACTIONS(1051),
    [anon_sym_record] = ACTIONS(1053),
    [anon_sym_ATinterface] = ACTIONS(1051),
    [anon_sym_interface] = ACTIONS(1053),
    [anon_sym_byte] = ACTIONS(1053),
    [anon_sym_short] = ACTIONS(1053),
    [anon_sym_int] = ACTIONS(1053),
    [anon_sym_long] = ACTIONS(1053),
    [anon_sym_char] = ACTIONS(1053),
    [anon_sym_float] = ACTIONS(1053),
    [anon_sym_double] = ACTIONS(1053),
    [sym_boolean_type] = ACTIONS(1053),
    [sym_void_type] = ACTIONS(1053),
    [sym_this] = ACTIONS(1053),
    [sym_super] = ACTIONS(1053),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(1055),
    [sym_identifier] = ACTIONS(1057),
    [sym_decimal_integer_literal] = ACTIONS(1057),
    [sym_hex_integer_literal] = ACTIONS(1057),
    [sym_octal_integer_literal] = ACTIONS(1057),
    [sym_binary_integer_literal] = ACTIONS(1055),
    [sym_decimal_floating_point_literal] = ACTIONS(1055),
    [sym_hex_floating_point_literal] = ACTIONS(1057),
    [sym_true] = ACTIONS(1057),
    [sym_false] = ACTIONS(1057),
    [sym_character_literal] = ACTIONS(1055),
    [anon_sym_DQUOTE] = ACTIONS(1057),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [sym_null_literal] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_LT] = ACTIONS(1055),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_DASH] = ACTIONS(1057),
    [anon_sym_final] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(1055),
    [anon_sym_TILDE] = ACTIONS(1055),
    [anon_sym_PLUS_PLUS] = ACTIONS(1055),
    [anon_sym_DASH_DASH] = ACTIONS(1055),
    [anon_sym_new] = ACTIONS(1057),
    [anon_sym_class] = ACTIONS(1057),
    [anon_sym_switch] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1055),
    [anon_sym_case] = ACTIONS(1057),
    [anon_sym_default] = ACTIONS(1057),
    [anon_sym_SEMI] = ACTIONS(1055),
    [anon_sym_assert] = ACTIONS(1057),
    [anon_sym_do] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1057),
    [anon_sym_break] = ACTIONS(1057),
    [anon_sym_continue] = ACTIONS(1057),
    [anon_sym_return] = ACTIONS(1057),
    [anon_sym_yield] = ACTIONS(1057),
    [anon_sym_synchronized] = ACTIONS(1057),
    [anon_sym_throw] = ACTIONS(1057),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_else] = ACTIONS(1057),
    [anon_sym_for] = ACTIONS(1057),
    [anon_sym_AT] = ACTIONS(1057),
    [anon_sym_open] = ACTIONS(1057),
    [anon_sym_module] = ACTIONS(1057),
    [anon_sym_static] = ACTIONS(1057),
    [anon_sym_with] = ACTIONS(1057),
    [anon_sym_package] = ACTIONS(1057),
    [anon_sym_import] = ACTIONS(1057),
    [anon_sym_enum] = ACTIONS(1057),
    [anon_sym_public] = ACTIONS(1057),
    [anon_sym_protected] = ACTIONS(1057),
    [anon_sym_private] = ACTIONS(1057),
    [anon_sym_abstract] = ACTIONS(1057),
    [anon_sym_strictfp] = ACTIONS(1057),
    [anon_sym_native] = ACTIONS(1057),
    [anon_sym_transient] = ACTIONS(1057),
    [anon_sym_volatile] = ACTIONS(1057),
    [anon_sym_sealed] = ACTIONS(1057),
    [anon_sym_non_DASHsealed] = ACTIONS(1055),
    [anon_sym_record] = ACTIONS(1057),
    [anon_sym_ATinterface] = ACTIONS(1055),
    [anon_sym_interface] = ACTIONS(1057),
    [anon_sym_byte] = ACTIONS(1057),
    [anon_sym_short] = ACTIONS(1057),
    [anon_sym_int] = ACTIONS(1057),
    [anon_sym_long] = ACTIONS(1057),
    [anon_sym_char] = ACTIONS(1057),
    [anon_sym_float] = ACTIONS(1057),
    [anon_sym_double] = ACTIONS(1057),
    [sym_boolean_type] = ACTIONS(1057),
    [sym_void_type] = ACTIONS(1057),
    [sym_this] = ACTIONS(1057),
    [sym_super] = ACTIONS(1057),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(1059),
    [sym_identifier] = ACTIONS(1061),
    [sym_decimal_integer_literal] = ACTIONS(1061),
    [sym_hex_integer_literal] = ACTIONS(1061),
    [sym_octal_integer_literal] = ACTIONS(1061),
    [sym_binary_integer_literal] = ACTIONS(1059),
    [sym_decimal_floating_point_literal] = ACTIONS(1059),
    [sym_hex_floating_point_literal] = ACTIONS(1061),
    [sym_true] = ACTIONS(1061),
    [sym_false] = ACTIONS(1061),
    [sym_character_literal] = ACTIONS(1059),
    [anon_sym_DQUOTE] = ACTIONS(1061),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1059),
    [sym_null_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1059),
    [anon_sym_LT] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1061),
    [anon_sym_DASH] = ACTIONS(1061),
    [anon_sym_final] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(1059),
    [anon_sym_TILDE] = ACTIONS(1059),
    [anon_sym_PLUS_PLUS] = ACTIONS(1059),
    [anon_sym_DASH_DASH] = ACTIONS(1059),
    [anon_sym_new] = ACTIONS(1061),
    [anon_sym_class] = ACTIONS(1061),
    [anon_sym_switch] = ACTIONS(1061),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_case] = ACTIONS(1061),
    [anon_sym_default] = ACTIONS(1061),
    [anon_sym_SEMI] = ACTIONS(1059),
    [anon_sym_assert] = ACTIONS(1061),
    [anon_sym_do] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(1061),
    [anon_sym_break] = ACTIONS(1061),
    [anon_sym_continue] = ACTIONS(1061),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1061),
    [anon_sym_synchronized] = ACTIONS(1061),
    [anon_sym_throw] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1061),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_else] = ACTIONS(1061),
    [anon_sym_for] = ACTIONS(1061),
    [anon_sym_AT] = ACTIONS(1061),
    [anon_sym_open] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_with] = ACTIONS(1061),
    [anon_sym_package] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(1061),
    [anon_sym_enum] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_abstract] = ACTIONS(1061),
    [anon_sym_strictfp] = ACTIONS(1061),
    [anon_sym_native] = ACTIONS(1061),
    [anon_sym_transient] = ACTIONS(1061),
    [anon_sym_volatile] = ACTIONS(1061),
    [anon_sym_sealed] = ACTIONS(1061),
    [anon_sym_non_DASHsealed] = ACTIONS(1059),
    [anon_sym_record] = ACTIONS(1061),
    [anon_sym_ATinterface] = ACTIONS(1059),
    [anon_sym_interface] = ACTIONS(1061),
    [anon_sym_byte] = ACTIONS(1061),
    [anon_sym_short] = ACTIONS(1061),
    [anon_sym_int] = ACTIONS(1061),
    [anon_sym_long] = ACTIONS(1061),
    [anon_sym_char] = ACTIONS(1061),
    [anon_sym_float] = ACTIONS(1061),
    [anon_sym_double] = ACTIONS(1061),
    [sym_boolean_type] = ACTIONS(1061),
    [sym_void_type] = ACTIONS(1061),
    [sym_this] = ACTIONS(1061),
    [sym_super] = ACTIONS(1061),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(1063),
    [sym_identifier] = ACTIONS(1065),
    [sym_decimal_integer_literal] = ACTIONS(1065),
    [sym_hex_integer_literal] = ACTIONS(1065),
    [sym_octal_integer_literal] = ACTIONS(1065),
    [sym_binary_integer_literal] = ACTIONS(1063),
    [sym_decimal_floating_point_literal] = ACTIONS(1063),
    [sym_hex_floating_point_literal] = ACTIONS(1065),
    [sym_true] = ACTIONS(1065),
    [sym_false] = ACTIONS(1065),
    [sym_character_literal] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1063),
    [anon_sym_RBRACE] = ACTIONS(1063),
    [sym_null_literal] = ACTIONS(1065),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(1065),
    [anon_sym_DASH] = ACTIONS(1065),
    [anon_sym_final] = ACTIONS(1065),
    [anon_sym_BANG] = ACTIONS(1063),
    [anon_sym_TILDE] = ACTIONS(1063),
    [anon_sym_PLUS_PLUS] = ACTIONS(1063),
    [anon_sym_DASH_DASH] = ACTIONS(1063),
    [anon_sym_new] = ACTIONS(1065),
    [anon_sym_class] = ACTIONS(1065),
    [anon_sym_switch] = ACTIONS(1065),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_case] = ACTIONS(1065),
    [anon_sym_default] = ACTIONS(1065),
    [anon_sym_SEMI] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1065),
    [anon_sym_do] = ACTIONS(1065),
    [anon_sym_while] = ACTIONS(1065),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_continue] = ACTIONS(1065),
    [anon_sym_return] = ACTIONS(1065),
    [anon_sym_yield] = ACTIONS(1065),
    [anon_sym_synchronized] = ACTIONS(1065),
    [anon_sym_throw] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1065),
    [anon_sym_else] = ACTIONS(1065),
    [anon_sym_for] = ACTIONS(1065),
    [anon_sym_AT] = ACTIONS(1065),
    [anon_sym_open] = ACTIONS(1065),
    [anon_sym_module] = ACTIONS(1065),
    [anon_sym_static] = ACTIONS(1065),
    [anon_sym_with] = ACTIONS(1065),
    [anon_sym_package] = ACTIONS(1065),
    [anon_sym_import] = ACTIONS(1065),
    [anon_sym_enum] = ACTIONS(1065),
    [anon_sym_public] = ACTIONS(1065),
    [anon_sym_protected] = ACTIONS(1065),
    [anon_sym_private] = ACTIONS(1065),
    [anon_sym_abstract] = ACTIONS(1065),
    [anon_sym_strictfp] = ACTIONS(1065),
    [anon_sym_native] = ACTIONS(1065),
    [anon_sym_transient] = ACTIONS(1065),
    [anon_sym_volatile] = ACTIONS(1065),
    [anon_sym_sealed] = ACTIONS(1065),
    [anon_sym_non_DASHsealed] = ACTIONS(1063),
    [anon_sym_record] = ACTIONS(1065),
    [anon_sym_ATinterface] = ACTIONS(1063),
    [anon_sym_interface] = ACTIONS(1065),
    [anon_sym_byte] = ACTIONS(1065),
    [anon_sym_short] = ACTIONS(1065),
    [anon_sym_int] = ACTIONS(1065),
    [anon_sym_long] = ACTIONS(1065),
    [anon_sym_char] = ACTIONS(1065),
    [anon_sym_float] = ACTIONS(1065),
    [anon_sym_double] = ACTIONS(1065),
    [sym_boolean_type] = ACTIONS(1065),
    [sym_void_type] = ACTIONS(1065),
    [sym_this] = ACTIONS(1065),
    [sym_super] = ACTIONS(1065),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(1067),
    [sym_identifier] = ACTIONS(1069),
    [sym_decimal_integer_literal] = ACTIONS(1069),
    [sym_hex_integer_literal] = ACTIONS(1069),
    [sym_octal_integer_literal] = ACTIONS(1069),
    [sym_binary_integer_literal] = ACTIONS(1067),
    [sym_decimal_floating_point_literal] = ACTIONS(1067),
    [sym_hex_floating_point_literal] = ACTIONS(1069),
    [sym_true] = ACTIONS(1069),
    [sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1067),
    [anon_sym_RBRACE] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1067),
    [anon_sym_LT] = ACTIONS(1067),
    [anon_sym_PLUS] = ACTIONS(1069),
    [anon_sym_DASH] = ACTIONS(1069),
    [anon_sym_final] = ACTIONS(1069),
    [anon_sym_BANG] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_class] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_case] = ACTIONS(1069),
    [anon_sym_default] = ACTIONS(1069),
    [anon_sym_SEMI] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(1069),
    [anon_sym_do] = ACTIONS(1069),
    [anon_sym_while] = ACTIONS(1069),
    [anon_sym_break] = ACTIONS(1069),
    [anon_sym_continue] = ACTIONS(1069),
    [anon_sym_return] = ACTIONS(1069),
    [anon_sym_yield] = ACTIONS(1069),
    [anon_sym_synchronized] = ACTIONS(1069),
    [anon_sym_throw] = ACTIONS(1069),
    [anon_sym_try] = ACTIONS(1069),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_else] = ACTIONS(1069),
    [anon_sym_for] = ACTIONS(1069),
    [anon_sym_AT] = ACTIONS(1069),
    [anon_sym_open] = ACTIONS(1069),
    [anon_sym_module] = ACTIONS(1069),
    [anon_sym_static] = ACTIONS(1069),
    [anon_sym_with] = ACTIONS(1069),
    [anon_sym_package] = ACTIONS(1069),
    [anon_sym_import] = ACTIONS(1069),
    [anon_sym_enum] = ACTIONS(1069),
    [anon_sym_public] = ACTIONS(1069),
    [anon_sym_protected] = ACTIONS(1069),
    [anon_sym_private] = ACTIONS(1069),
    [anon_sym_abstract] = ACTIONS(1069),
    [anon_sym_strictfp] = ACTIONS(1069),
    [anon_sym_native] = ACTIONS(1069),
    [anon_sym_transient] = ACTIONS(1069),
    [anon_sym_volatile] = ACTIONS(1069),
    [anon_sym_sealed] = ACTIONS(1069),
    [anon_sym_non_DASHsealed] = ACTIONS(1067),
    [anon_sym_record] = ACTIONS(1069),
    [anon_sym_ATinterface] = ACTIONS(1067),
    [anon_sym_interface] = ACTIONS(1069),
    [anon_sym_byte] = ACTIONS(1069),
    [anon_sym_short] = ACTIONS(1069),
    [anon_sym_int] = ACTIONS(1069),
    [anon_sym_long] = ACTIONS(1069),
    [anon_sym_char] = ACTIONS(1069),
    [anon_sym_float] = ACTIONS(1069),
    [anon_sym_double] = ACTIONS(1069),
    [sym_boolean_type] = ACTIONS(1069),
    [sym_void_type] = ACTIONS(1069),
    [sym_this] = ACTIONS(1069),
    [sym_super] = ACTIONS(1069),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(584),
    [sym_identifier] = ACTIONS(586),
    [sym_decimal_integer_literal] = ACTIONS(586),
    [sym_hex_integer_literal] = ACTIONS(586),
    [sym_octal_integer_literal] = ACTIONS(586),
    [sym_binary_integer_literal] = ACTIONS(584),
    [sym_decimal_floating_point_literal] = ACTIONS(584),
    [sym_hex_floating_point_literal] = ACTIONS(586),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_character_literal] = ACTIONS(584),
    [anon_sym_DQUOTE] = ACTIONS(586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(584),
    [anon_sym_RBRACE] = ACTIONS(584),
    [sym_null_literal] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_final] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_PLUS_PLUS] = ACTIONS(584),
    [anon_sym_DASH_DASH] = ACTIONS(584),
    [anon_sym_new] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_case] = ACTIONS(586),
    [anon_sym_default] = ACTIONS(586),
    [anon_sym_SEMI] = ACTIONS(584),
    [anon_sym_assert] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(586),
    [anon_sym_continue] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_synchronized] = ACTIONS(586),
    [anon_sym_throw] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_else] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(586),
    [anon_sym_open] = ACTIONS(586),
    [anon_sym_module] = ACTIONS(586),
    [anon_sym_static] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_package] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_enum] = ACTIONS(586),
    [anon_sym_public] = ACTIONS(586),
    [anon_sym_protected] = ACTIONS(586),
    [anon_sym_private] = ACTIONS(586),
    [anon_sym_abstract] = ACTIONS(586),
    [anon_sym_strictfp] = ACTIONS(586),
    [anon_sym_native] = ACTIONS(586),
    [anon_sym_transient] = ACTIONS(586),
    [anon_sym_volatile] = ACTIONS(586),
    [anon_sym_sealed] = ACTIONS(586),
    [anon_sym_non_DASHsealed] = ACTIONS(584),
    [anon_sym_record] = ACTIONS(586),
    [anon_sym_ATinterface] = ACTIONS(584),
    [anon_sym_interface] = ACTIONS(586),
    [anon_sym_byte] = ACTIONS(586),
    [anon_sym_short] = ACTIONS(586),
    [anon_sym_int] = ACTIONS(586),
    [anon_sym_long] = ACTIONS(586),
    [anon_sym_char] = ACTIONS(586),
    [anon_sym_float] = ACTIONS(586),
    [anon_sym_double] = ACTIONS(586),
    [sym_boolean_type] = ACTIONS(586),
    [sym_void_type] = ACTIONS(586),
    [sym_this] = ACTIONS(586),
    [sym_super] = ACTIONS(586),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(1071),
    [sym_identifier] = ACTIONS(1073),
    [sym_decimal_integer_literal] = ACTIONS(1073),
    [sym_hex_integer_literal] = ACTIONS(1073),
    [sym_octal_integer_literal] = ACTIONS(1073),
    [sym_binary_integer_literal] = ACTIONS(1071),
    [sym_decimal_floating_point_literal] = ACTIONS(1071),
    [sym_hex_floating_point_literal] = ACTIONS(1073),
    [sym_true] = ACTIONS(1073),
    [sym_false] = ACTIONS(1073),
    [sym_character_literal] = ACTIONS(1071),
    [anon_sym_DQUOTE] = ACTIONS(1073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [sym_null_literal] = ACTIONS(1073),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_final] = ACTIONS(1073),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_TILDE] = ACTIONS(1071),
    [anon_sym_PLUS_PLUS] = ACTIONS(1071),
    [anon_sym_DASH_DASH] = ACTIONS(1071),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_class] = ACTIONS(1073),
    [anon_sym_switch] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_case] = ACTIONS(1073),
    [anon_sym_default] = ACTIONS(1073),
    [anon_sym_SEMI] = ACTIONS(1071),
    [anon_sym_assert] = ACTIONS(1073),
    [anon_sym_do] = ACTIONS(1073),
    [anon_sym_while] = ACTIONS(1073),
    [anon_sym_break] = ACTIONS(1073),
    [anon_sym_continue] = ACTIONS(1073),
    [anon_sym_return] = ACTIONS(1073),
    [anon_sym_yield] = ACTIONS(1073),
    [anon_sym_synchronized] = ACTIONS(1073),
    [anon_sym_throw] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(1073),
    [anon_sym_if] = ACTIONS(1073),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_for] = ACTIONS(1073),
    [anon_sym_AT] = ACTIONS(1073),
    [anon_sym_open] = ACTIONS(1073),
    [anon_sym_module] = ACTIONS(1073),
    [anon_sym_static] = ACTIONS(1073),
    [anon_sym_with] = ACTIONS(1073),
    [anon_sym_package] = ACTIONS(1073),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_enum] = ACTIONS(1073),
    [anon_sym_public] = ACTIONS(1073),
    [anon_sym_protected] = ACTIONS(1073),
    [anon_sym_private] = ACTIONS(1073),
    [anon_sym_abstract] = ACTIONS(1073),
    [anon_sym_strictfp] = ACTIONS(1073),
    [anon_sym_native] = ACTIONS(1073),
    [anon_sym_transient] = ACTIONS(1073),
    [anon_sym_volatile] = ACTIONS(1073),
    [anon_sym_sealed] = ACTIONS(1073),
    [anon_sym_non_DASHsealed] = ACTIONS(1071),
    [anon_sym_record] = ACTIONS(1073),
    [anon_sym_ATinterface] = ACTIONS(1071),
    [anon_sym_interface] = ACTIONS(1073),
    [anon_sym_byte] = ACTIONS(1073),
    [anon_sym_short] = ACTIONS(1073),
    [anon_sym_int] = ACTIONS(1073),
    [anon_sym_long] = ACTIONS(1073),
    [anon_sym_char] = ACTIONS(1073),
    [anon_sym_float] = ACTIONS(1073),
    [anon_sym_double] = ACTIONS(1073),
    [sym_boolean_type] = ACTIONS(1073),
    [sym_void_type] = ACTIONS(1073),
    [sym_this] = ACTIONS(1073),
    [sym_super] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1077),
    [sym_decimal_integer_literal] = ACTIONS(1077),
    [sym_hex_integer_literal] = ACTIONS(1077),
    [sym_octal_integer_literal] = ACTIONS(1077),
    [sym_binary_integer_literal] = ACTIONS(1075),
    [sym_decimal_floating_point_literal] = ACTIONS(1075),
    [sym_hex_floating_point_literal] = ACTIONS(1077),
    [sym_true] = ACTIONS(1077),
    [sym_false] = ACTIONS(1077),
    [sym_character_literal] = ACTIONS(1075),
    [anon_sym_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1075),
    [anon_sym_RBRACE] = ACTIONS(1075),
    [sym_null_literal] = ACTIONS(1077),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_final] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_PLUS_PLUS] = ACTIONS(1075),
    [anon_sym_DASH_DASH] = ACTIONS(1075),
    [anon_sym_new] = ACTIONS(1077),
    [anon_sym_class] = ACTIONS(1077),
    [anon_sym_switch] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_case] = ACTIONS(1077),
    [anon_sym_default] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1075),
    [anon_sym_assert] = ACTIONS(1077),
    [anon_sym_do] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1077),
    [anon_sym_break] = ACTIONS(1077),
    [anon_sym_continue] = ACTIONS(1077),
    [anon_sym_return] = ACTIONS(1077),
    [anon_sym_yield] = ACTIONS(1077),
    [anon_sym_synchronized] = ACTIONS(1077),
    [anon_sym_throw] = ACTIONS(1077),
    [anon_sym_try] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_else] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1077),
    [anon_sym_open] = ACTIONS(1077),
    [anon_sym_module] = ACTIONS(1077),
    [anon_sym_static] = ACTIONS(1077),
    [anon_sym_with] = ACTIONS(1077),
    [anon_sym_package] = ACTIONS(1077),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_enum] = ACTIONS(1077),
    [anon_sym_public] = ACTIONS(1077),
    [anon_sym_protected] = ACTIONS(1077),
    [anon_sym_private] = ACTIONS(1077),
    [anon_sym_abstract] = ACTIONS(1077),
    [anon_sym_strictfp] = ACTIONS(1077),
    [anon_sym_native] = ACTIONS(1077),
    [anon_sym_transient] = ACTIONS(1077),
    [anon_sym_volatile] = ACTIONS(1077),
    [anon_sym_sealed] = ACTIONS(1077),
    [anon_sym_non_DASHsealed] = ACTIONS(1075),
    [anon_sym_record] = ACTIONS(1077),
    [anon_sym_ATinterface] = ACTIONS(1075),
    [anon_sym_interface] = ACTIONS(1077),
    [anon_sym_byte] = ACTIONS(1077),
    [anon_sym_short] = ACTIONS(1077),
    [anon_sym_int] = ACTIONS(1077),
    [anon_sym_long] = ACTIONS(1077),
    [anon_sym_char] = ACTIONS(1077),
    [anon_sym_float] = ACTIONS(1077),
    [anon_sym_double] = ACTIONS(1077),
    [sym_boolean_type] = ACTIONS(1077),
    [sym_void_type] = ACTIONS(1077),
    [sym_this] = ACTIONS(1077),
    [sym_super] = ACTIONS(1077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(1079),
    [sym_identifier] = ACTIONS(1081),
    [sym_decimal_integer_literal] = ACTIONS(1081),
    [sym_hex_integer_literal] = ACTIONS(1081),
    [sym_octal_integer_literal] = ACTIONS(1081),
    [sym_binary_integer_literal] = ACTIONS(1079),
    [sym_decimal_floating_point_literal] = ACTIONS(1079),
    [sym_hex_floating_point_literal] = ACTIONS(1081),
    [sym_true] = ACTIONS(1081),
    [sym_false] = ACTIONS(1081),
    [sym_character_literal] = ACTIONS(1079),
    [anon_sym_DQUOTE] = ACTIONS(1081),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1079),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [sym_null_literal] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1081),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_final] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1079),
    [anon_sym_TILDE] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1079),
    [anon_sym_DASH_DASH] = ACTIONS(1079),
    [anon_sym_new] = ACTIONS(1081),
    [anon_sym_class] = ACTIONS(1081),
    [anon_sym_switch] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1081),
    [anon_sym_default] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_assert] = ACTIONS(1081),
    [anon_sym_do] = ACTIONS(1081),
    [anon_sym_while] = ACTIONS(1081),
    [anon_sym_break] = ACTIONS(1081),
    [anon_sym_continue] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1081),
    [anon_sym_yield] = ACTIONS(1081),
    [anon_sym_synchronized] = ACTIONS(1081),
    [anon_sym_throw] = ACTIONS(1081),
    [anon_sym_try] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1081),
    [anon_sym_else] = ACTIONS(1081),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1081),
    [anon_sym_open] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_with] = ACTIONS(1081),
    [anon_sym_package] = ACTIONS(1081),
    [anon_sym_import] = ACTIONS(1081),
    [anon_sym_enum] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_abstract] = ACTIONS(1081),
    [anon_sym_strictfp] = ACTIONS(1081),
    [anon_sym_native] = ACTIONS(1081),
    [anon_sym_transient] = ACTIONS(1081),
    [anon_sym_volatile] = ACTIONS(1081),
    [anon_sym_sealed] = ACTIONS(1081),
    [anon_sym_non_DASHsealed] = ACTIONS(1079),
    [anon_sym_record] = ACTIONS(1081),
    [anon_sym_ATinterface] = ACTIONS(1079),
    [anon_sym_interface] = ACTIONS(1081),
    [anon_sym_byte] = ACTIONS(1081),
    [anon_sym_short] = ACTIONS(1081),
    [anon_sym_int] = ACTIONS(1081),
    [anon_sym_long] = ACTIONS(1081),
    [anon_sym_char] = ACTIONS(1081),
    [anon_sym_float] = ACTIONS(1081),
    [anon_sym_double] = ACTIONS(1081),
    [sym_boolean_type] = ACTIONS(1081),
    [sym_void_type] = ACTIONS(1081),
    [sym_this] = ACTIONS(1081),
    [sym_super] = ACTIONS(1081),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym_identifier] = ACTIONS(1085),
    [sym_decimal_integer_literal] = ACTIONS(1085),
    [sym_hex_integer_literal] = ACTIONS(1085),
    [sym_octal_integer_literal] = ACTIONS(1085),
    [sym_binary_integer_literal] = ACTIONS(1083),
    [sym_decimal_floating_point_literal] = ACTIONS(1083),
    [sym_hex_floating_point_literal] = ACTIONS(1085),
    [sym_true] = ACTIONS(1085),
    [sym_false] = ACTIONS(1085),
    [sym_character_literal] = ACTIONS(1083),
    [anon_sym_DQUOTE] = ACTIONS(1085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [sym_null_literal] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LT] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_final] = ACTIONS(1085),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS_PLUS] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(1083),
    [anon_sym_new] = ACTIONS(1085),
    [anon_sym_class] = ACTIONS(1085),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_case] = ACTIONS(1085),
    [anon_sym_default] = ACTIONS(1085),
    [anon_sym_SEMI] = ACTIONS(1083),
    [anon_sym_assert] = ACTIONS(1085),
    [anon_sym_do] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(1085),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [anon_sym_return] = ACTIONS(1085),
    [anon_sym_yield] = ACTIONS(1085),
    [anon_sym_synchronized] = ACTIONS(1085),
    [anon_sym_throw] = ACTIONS(1085),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_else] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1085),
    [anon_sym_AT] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_module] = ACTIONS(1085),
    [anon_sym_static] = ACTIONS(1085),
    [anon_sym_with] = ACTIONS(1085),
    [anon_sym_package] = ACTIONS(1085),
    [anon_sym_import] = ACTIONS(1085),
    [anon_sym_enum] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1085),
    [anon_sym_protected] = ACTIONS(1085),
    [anon_sym_private] = ACTIONS(1085),
    [anon_sym_abstract] = ACTIONS(1085),
    [anon_sym_strictfp] = ACTIONS(1085),
    [anon_sym_native] = ACTIONS(1085),
    [anon_sym_transient] = ACTIONS(1085),
    [anon_sym_volatile] = ACTIONS(1085),
    [anon_sym_sealed] = ACTIONS(1085),
    [anon_sym_non_DASHsealed] = ACTIONS(1083),
    [anon_sym_record] = ACTIONS(1085),
    [anon_sym_ATinterface] = ACTIONS(1083),
    [anon_sym_interface] = ACTIONS(1085),
    [anon_sym_byte] = ACTIONS(1085),
    [anon_sym_short] = ACTIONS(1085),
    [anon_sym_int] = ACTIONS(1085),
    [anon_sym_long] = ACTIONS(1085),
    [anon_sym_char] = ACTIONS(1085),
    [anon_sym_float] = ACTIONS(1085),
    [anon_sym_double] = ACTIONS(1085),
    [sym_boolean_type] = ACTIONS(1085),
    [sym_void_type] = ACTIONS(1085),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(1085),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(1087),
    [sym_identifier] = ACTIONS(1089),
    [sym_decimal_integer_literal] = ACTIONS(1089),
    [sym_hex_integer_literal] = ACTIONS(1089),
    [sym_octal_integer_literal] = ACTIONS(1089),
    [sym_binary_integer_literal] = ACTIONS(1087),
    [sym_decimal_floating_point_literal] = ACTIONS(1087),
    [sym_hex_floating_point_literal] = ACTIONS(1089),
    [sym_true] = ACTIONS(1089),
    [sym_false] = ACTIONS(1089),
    [sym_character_literal] = ACTIONS(1087),
    [anon_sym_DQUOTE] = ACTIONS(1089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1087),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [sym_null_literal] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1087),
    [anon_sym_LT] = ACTIONS(1087),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_final] = ACTIONS(1089),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_PLUS_PLUS] = ACTIONS(1087),
    [anon_sym_DASH_DASH] = ACTIONS(1087),
    [anon_sym_new] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1089),
    [anon_sym_switch] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_case] = ACTIONS(1089),
    [anon_sym_default] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(1087),
    [anon_sym_assert] = ACTIONS(1089),
    [anon_sym_do] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_break] = ACTIONS(1089),
    [anon_sym_continue] = ACTIONS(1089),
    [anon_sym_return] = ACTIONS(1089),
    [anon_sym_yield] = ACTIONS(1089),
    [anon_sym_synchronized] = ACTIONS(1089),
    [anon_sym_throw] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_else] = ACTIONS(1089),
    [anon_sym_for] = ACTIONS(1089),
    [anon_sym_AT] = ACTIONS(1089),
    [anon_sym_open] = ACTIONS(1089),
    [anon_sym_module] = ACTIONS(1089),
    [anon_sym_static] = ACTIONS(1089),
    [anon_sym_with] = ACTIONS(1089),
    [anon_sym_package] = ACTIONS(1089),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_enum] = ACTIONS(1089),
    [anon_sym_public] = ACTIONS(1089),
    [anon_sym_protected] = ACTIONS(1089),
    [anon_sym_private] = ACTIONS(1089),
    [anon_sym_abstract] = ACTIONS(1089),
    [anon_sym_strictfp] = ACTIONS(1089),
    [anon_sym_native] = ACTIONS(1089),
    [anon_sym_transient] = ACTIONS(1089),
    [anon_sym_volatile] = ACTIONS(1089),
    [anon_sym_sealed] = ACTIONS(1089),
    [anon_sym_non_DASHsealed] = ACTIONS(1087),
    [anon_sym_record] = ACTIONS(1089),
    [anon_sym_ATinterface] = ACTIONS(1087),
    [anon_sym_interface] = ACTIONS(1089),
    [anon_sym_byte] = ACTIONS(1089),
    [anon_sym_short] = ACTIONS(1089),
    [anon_sym_int] = ACTIONS(1089),
    [anon_sym_long] = ACTIONS(1089),
    [anon_sym_char] = ACTIONS(1089),
    [anon_sym_float] = ACTIONS(1089),
    [anon_sym_double] = ACTIONS(1089),
    [sym_boolean_type] = ACTIONS(1089),
    [sym_void_type] = ACTIONS(1089),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(1089),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1093),
    [sym_decimal_integer_literal] = ACTIONS(1093),
    [sym_hex_integer_literal] = ACTIONS(1093),
    [sym_octal_integer_literal] = ACTIONS(1093),
    [sym_binary_integer_literal] = ACTIONS(1091),
    [sym_decimal_floating_point_literal] = ACTIONS(1091),
    [sym_hex_floating_point_literal] = ACTIONS(1093),
    [sym_true] = ACTIONS(1093),
    [sym_false] = ACTIONS(1093),
    [sym_character_literal] = ACTIONS(1091),
    [anon_sym_DQUOTE] = ACTIONS(1093),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1091),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [sym_null_literal] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_final] = ACTIONS(1093),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [anon_sym_PLUS_PLUS] = ACTIONS(1091),
    [anon_sym_DASH_DASH] = ACTIONS(1091),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_class] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(1093),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1093),
    [anon_sym_default] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(1093),
    [anon_sym_do] = ACTIONS(1093),
    [anon_sym_while] = ACTIONS(1093),
    [anon_sym_break] = ACTIONS(1093),
    [anon_sym_continue] = ACTIONS(1093),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_synchronized] = ACTIONS(1093),
    [anon_sym_throw] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_else] = ACTIONS(1093),
    [anon_sym_for] = ACTIONS(1093),
    [anon_sym_AT] = ACTIONS(1093),
    [anon_sym_open] = ACTIONS(1093),
    [anon_sym_module] = ACTIONS(1093),
    [anon_sym_static] = ACTIONS(1093),
    [anon_sym_with] = ACTIONS(1093),
    [anon_sym_package] = ACTIONS(1093),
    [anon_sym_import] = ACTIONS(1093),
    [anon_sym_enum] = ACTIONS(1093),
    [anon_sym_public] = ACTIONS(1093),
    [anon_sym_protected] = ACTIONS(1093),
    [anon_sym_private] = ACTIONS(1093),
    [anon_sym_abstract] = ACTIONS(1093),
    [anon_sym_strictfp] = ACTIONS(1093),
    [anon_sym_native] = ACTIONS(1093),
    [anon_sym_transient] = ACTIONS(1093),
    [anon_sym_volatile] = ACTIONS(1093),
    [anon_sym_sealed] = ACTIONS(1093),
    [anon_sym_non_DASHsealed] = ACTIONS(1091),
    [anon_sym_record] = ACTIONS(1093),
    [anon_sym_ATinterface] = ACTIONS(1091),
    [anon_sym_interface] = ACTIONS(1093),
    [anon_sym_byte] = ACTIONS(1093),
    [anon_sym_short] = ACTIONS(1093),
    [anon_sym_int] = ACTIONS(1093),
    [anon_sym_long] = ACTIONS(1093),
    [anon_sym_char] = ACTIONS(1093),
    [anon_sym_float] = ACTIONS(1093),
    [anon_sym_double] = ACTIONS(1093),
    [sym_boolean_type] = ACTIONS(1093),
    [sym_void_type] = ACTIONS(1093),
    [sym_this] = ACTIONS(1093),
    [sym_super] = ACTIONS(1093),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(1095),
    [sym_identifier] = ACTIONS(1097),
    [sym_decimal_integer_literal] = ACTIONS(1097),
    [sym_hex_integer_literal] = ACTIONS(1097),
    [sym_octal_integer_literal] = ACTIONS(1097),
    [sym_binary_integer_literal] = ACTIONS(1095),
    [sym_decimal_floating_point_literal] = ACTIONS(1095),
    [sym_hex_floating_point_literal] = ACTIONS(1097),
    [sym_true] = ACTIONS(1097),
    [sym_false] = ACTIONS(1097),
    [sym_character_literal] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1095),
    [anon_sym_RBRACE] = ACTIONS(1095),
    [sym_null_literal] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_LT] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_final] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_PLUS_PLUS] = ACTIONS(1095),
    [anon_sym_DASH_DASH] = ACTIONS(1095),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_class] = ACTIONS(1097),
    [anon_sym_switch] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1095),
    [anon_sym_case] = ACTIONS(1097),
    [anon_sym_default] = ACTIONS(1097),
    [anon_sym_SEMI] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(1097),
    [anon_sym_do] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(1097),
    [anon_sym_break] = ACTIONS(1097),
    [anon_sym_continue] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_yield] = ACTIONS(1097),
    [anon_sym_synchronized] = ACTIONS(1097),
    [anon_sym_throw] = ACTIONS(1097),
    [anon_sym_try] = ACTIONS(1097),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_else] = ACTIONS(1097),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_AT] = ACTIONS(1097),
    [anon_sym_open] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_with] = ACTIONS(1097),
    [anon_sym_package] = ACTIONS(1097),
    [anon_sym_import] = ACTIONS(1097),
    [anon_sym_enum] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_abstract] = ACTIONS(1097),
    [anon_sym_strictfp] = ACTIONS(1097),
    [anon_sym_native] = ACTIONS(1097),
    [anon_sym_transient] = ACTIONS(1097),
    [anon_sym_volatile] = ACTIONS(1097),
    [anon_sym_sealed] = ACTIONS(1097),
    [anon_sym_non_DASHsealed] = ACTIONS(1095),
    [anon_sym_record] = ACTIONS(1097),
    [anon_sym_ATinterface] = ACTIONS(1095),
    [anon_sym_interface] = ACTIONS(1097),
    [anon_sym_byte] = ACTIONS(1097),
    [anon_sym_short] = ACTIONS(1097),
    [anon_sym_int] = ACTIONS(1097),
    [anon_sym_long] = ACTIONS(1097),
    [anon_sym_char] = ACTIONS(1097),
    [anon_sym_float] = ACTIONS(1097),
    [anon_sym_double] = ACTIONS(1097),
    [sym_boolean_type] = ACTIONS(1097),
    [sym_void_type] = ACTIONS(1097),
    [sym_this] = ACTIONS(1097),
    [sym_super] = ACTIONS(1097),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [366] = {
    [ts_builtin_sym_end] = ACTIONS(1099),
    [sym_identifier] = ACTIONS(1101),
    [sym_decimal_integer_literal] = ACTIONS(1101),
    [sym_hex_integer_literal] = ACTIONS(1101),
    [sym_octal_integer_literal] = ACTIONS(1101),
    [sym_binary_integer_literal] = ACTIONS(1099),
    [sym_decimal_floating_point_literal] = ACTIONS(1099),
    [sym_hex_floating_point_literal] = ACTIONS(1101),
    [sym_true] = ACTIONS(1101),
    [sym_false] = ACTIONS(1101),
    [sym_character_literal] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1099),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [sym_null_literal] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_LT] = ACTIONS(1099),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_final] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1099),
    [anon_sym_TILDE] = ACTIONS(1099),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_new] = ACTIONS(1101),
    [anon_sym_class] = ACTIONS(1101),
    [anon_sym_switch] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_case] = ACTIONS(1101),
    [anon_sym_default] = ACTIONS(1101),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1101),
    [anon_sym_while] = ACTIONS(1101),
    [anon_sym_break] = ACTIONS(1101),
    [anon_sym_continue] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_synchronized] = ACTIONS(1101),
    [anon_sym_throw] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1101),
    [anon_sym_else] = ACTIONS(1101),
    [anon_sym_for] = ACTIONS(1101),
    [anon_sym_AT] = ACTIONS(1101),
    [anon_sym_open] = ACTIONS(1101),
    [anon_sym_module] = ACTIONS(1101),
    [anon_sym_static] = ACTIONS(1101),
    [anon_sym_with] = ACTIONS(1101),
    [anon_sym_package] = ACTIONS(1101),
    [anon_sym_import] = ACTIONS(1101),
    [anon_sym_enum] = ACTIONS(1101),
    [anon_sym_public] = ACTIONS(1101),
    [anon_sym_protected] = ACTIONS(1101),
    [anon_sym_private] = ACTIONS(1101),
    [anon_sym_abstract] = ACTIONS(1101),
    [anon_sym_strictfp] = ACTIONS(1101),
    [anon_sym_native] = ACTIONS(1101),
    [anon_sym_transient] = ACTIONS(1101),
    [anon_sym_volatile] = ACTIONS(1101),
    [anon_sym_sealed] = ACTIONS(1101),
    [anon_sym_non_DASHsealed] = ACTIONS(1099),
    [anon_sym_record] = ACTIONS(1101),
    [anon_sym_ATinterface] = ACTIONS(1099),
    [anon_sym_interface] = ACTIONS(1101),
    [anon_sym_byte] = ACTIONS(1101),
    [anon_sym_short] = ACTIONS(1101),
    [anon_sym_int] = ACTIONS(1101),
    [anon_sym_long] = ACTIONS(1101),
    [anon_sym_char] = ACTIONS(1101),
    [anon_sym_float] = ACTIONS(1101),
    [anon_sym_double] = ACTIONS(1101),
    [sym_boolean_type] = ACTIONS(1101),
    [sym_void_type] = ACTIONS(1101),
    [sym_this] = ACTIONS(1101),
    [sym_super] = ACTIONS(1101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(1103),
    [sym_identifier] = ACTIONS(1105),
    [sym_decimal_integer_literal] = ACTIONS(1105),
    [sym_hex_integer_literal] = ACTIONS(1105),
    [sym_octal_integer_literal] = ACTIONS(1105),
    [sym_binary_integer_literal] = ACTIONS(1103),
    [sym_decimal_floating_point_literal] = ACTIONS(1103),
    [sym_hex_floating_point_literal] = ACTIONS(1105),
    [sym_true] = ACTIONS(1105),
    [sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1103),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_LT] = ACTIONS(1103),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [anon_sym_final] = ACTIONS(1105),
    [anon_sym_BANG] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(1103),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_class] = ACTIONS(1105),
    [anon_sym_switch] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_case] = ACTIONS(1105),
    [anon_sym_default] = ACTIONS(1105),
    [anon_sym_SEMI] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(1105),
    [anon_sym_do] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1105),
    [anon_sym_break] = ACTIONS(1105),
    [anon_sym_continue] = ACTIONS(1105),
    [anon_sym_return] = ACTIONS(1105),
    [anon_sym_yield] = ACTIONS(1105),
    [anon_sym_synchronized] = ACTIONS(1105),
    [anon_sym_throw] = ACTIONS(1105),
    [anon_sym_try] = ACTIONS(1105),
    [anon_sym_if] = ACTIONS(1105),
    [anon_sym_else] = ACTIONS(1105),
    [anon_sym_for] = ACTIONS(1105),
    [anon_sym_AT] = ACTIONS(1105),
    [anon_sym_open] = ACTIONS(1105),
    [anon_sym_module] = ACTIONS(1105),
    [anon_sym_static] = ACTIONS(1105),
    [anon_sym_with] = ACTIONS(1105),
    [anon_sym_package] = ACTIONS(1105),
    [anon_sym_import] = ACTIONS(1105),
    [anon_sym_enum] = ACTIONS(1105),
    [anon_sym_public] = ACTIONS(1105),
    [anon_sym_protected] = ACTIONS(1105),
    [anon_sym_private] = ACTIONS(1105),
    [anon_sym_abstract] = ACTIONS(1105),
    [anon_sym_strictfp] = ACTIONS(1105),
    [anon_sym_native] = ACTIONS(1105),
    [anon_sym_transient] = ACTIONS(1105),
    [anon_sym_volatile] = ACTIONS(1105),
    [anon_sym_sealed] = ACTIONS(1105),
    [anon_sym_non_DASHsealed] = ACTIONS(1103),
    [anon_sym_record] = ACTIONS(1105),
    [anon_sym_ATinterface] = ACTIONS(1103),
    [anon_sym_interface] = ACTIONS(1105),
    [anon_sym_byte] = ACTIONS(1105),
    [anon_sym_short] = ACTIONS(1105),
    [anon_sym_int] = ACTIONS(1105),
    [anon_sym_long] = ACTIONS(1105),
    [anon_sym_char] = ACTIONS(1105),
    [anon_sym_float] = ACTIONS(1105),
    [anon_sym_double] = ACTIONS(1105),
    [sym_boolean_type] = ACTIONS(1105),
    [sym_void_type] = ACTIONS(1105),
    [sym_this] = ACTIONS(1105),
    [sym_super] = ACTIONS(1105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(1107),
    [sym_identifier] = ACTIONS(1109),
    [sym_decimal_integer_literal] = ACTIONS(1109),
    [sym_hex_integer_literal] = ACTIONS(1109),
    [sym_octal_integer_literal] = ACTIONS(1109),
    [sym_binary_integer_literal] = ACTIONS(1107),
    [sym_decimal_floating_point_literal] = ACTIONS(1107),
    [sym_hex_floating_point_literal] = ACTIONS(1109),
    [sym_true] = ACTIONS(1109),
    [sym_false] = ACTIONS(1109),
    [sym_character_literal] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_RBRACE] = ACTIONS(1107),
    [sym_null_literal] = ACTIONS(1109),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1107),
    [anon_sym_PLUS] = ACTIONS(1109),
    [anon_sym_DASH] = ACTIONS(1109),
    [anon_sym_final] = ACTIONS(1109),
    [anon_sym_BANG] = ACTIONS(1107),
    [anon_sym_TILDE] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1107),
    [anon_sym_DASH_DASH] = ACTIONS(1107),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(1109),
    [anon_sym_switch] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(1107),
    [anon_sym_case] = ACTIONS(1109),
    [anon_sym_default] = ACTIONS(1109),
    [anon_sym_SEMI] = ACTIONS(1107),
    [anon_sym_assert] = ACTIONS(1109),
    [anon_sym_do] = ACTIONS(1109),
    [anon_sym_while] = ACTIONS(1109),
    [anon_sym_break] = ACTIONS(1109),
    [anon_sym_continue] = ACTIONS(1109),
    [anon_sym_return] = ACTIONS(1109),
    [anon_sym_yield] = ACTIONS(1109),
    [anon_sym_synchronized] = ACTIONS(1109),
    [anon_sym_throw] = ACTIONS(1109),
    [anon_sym_try] = ACTIONS(1109),
    [anon_sym_if] = ACTIONS(1109),
    [anon_sym_else] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1109),
    [anon_sym_AT] = ACTIONS(1109),
    [anon_sym_open] = ACTIONS(1109),
    [anon_sym_module] = ACTIONS(1109),
    [anon_sym_static] = ACTIONS(1109),
    [anon_sym_with] = ACTIONS(1109),
    [anon_sym_package] = ACTIONS(1109),
    [anon_sym_import] = ACTIONS(1109),
    [anon_sym_enum] = ACTIONS(1109),
    [anon_sym_public] = ACTIONS(1109),
    [anon_sym_protected] = ACTIONS(1109),
    [anon_sym_private] = ACTIONS(1109),
    [anon_sym_abstract] = ACTIONS(1109),
    [anon_sym_strictfp] = ACTIONS(1109),
    [anon_sym_native] = ACTIONS(1109),
    [anon_sym_transient] = ACTIONS(1109),
    [anon_sym_volatile] = ACTIONS(1109),
    [anon_sym_sealed] = ACTIONS(1109),
    [anon_sym_non_DASHsealed] = ACTIONS(1107),
    [anon_sym_record] = ACTIONS(1109),
    [anon_sym_ATinterface] = ACTIONS(1107),
    [anon_sym_interface] = ACTIONS(1109),
    [anon_sym_byte] = ACTIONS(1109),
    [anon_sym_short] = ACTIONS(1109),
    [anon_sym_int] = ACTIONS(1109),
    [anon_sym_long] = ACTIONS(1109),
    [anon_sym_char] = ACTIONS(1109),
    [anon_sym_float] = ACTIONS(1109),
    [anon_sym_double] = ACTIONS(1109),
    [sym_boolean_type] = ACTIONS(1109),
    [sym_void_type] = ACTIONS(1109),
    [sym_this] = ACTIONS(1109),
    [sym_super] = ACTIONS(1109),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(1111),
    [sym_identifier] = ACTIONS(1113),
    [sym_decimal_integer_literal] = ACTIONS(1113),
    [sym_hex_integer_literal] = ACTIONS(1113),
    [sym_octal_integer_literal] = ACTIONS(1113),
    [sym_binary_integer_literal] = ACTIONS(1111),
    [sym_decimal_floating_point_literal] = ACTIONS(1111),
    [sym_hex_floating_point_literal] = ACTIONS(1113),
    [sym_true] = ACTIONS(1113),
    [sym_false] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1111),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [sym_null_literal] = ACTIONS(1113),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(1111),
    [anon_sym_PLUS] = ACTIONS(1113),
    [anon_sym_DASH] = ACTIONS(1113),
    [anon_sym_final] = ACTIONS(1113),
    [anon_sym_BANG] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(1111),
    [anon_sym_PLUS_PLUS] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1111),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_class] = ACTIONS(1113),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_case] = ACTIONS(1113),
    [anon_sym_default] = ACTIONS(1113),
    [anon_sym_SEMI] = ACTIONS(1111),
    [anon_sym_assert] = ACTIONS(1113),
    [anon_sym_do] = ACTIONS(1113),
    [anon_sym_while] = ACTIONS(1113),
    [anon_sym_break] = ACTIONS(1113),
    [anon_sym_continue] = ACTIONS(1113),
    [anon_sym_return] = ACTIONS(1113),
    [anon_sym_yield] = ACTIONS(1113),
    [anon_sym_synchronized] = ACTIONS(1113),
    [anon_sym_throw] = ACTIONS(1113),
    [anon_sym_try] = ACTIONS(1113),
    [anon_sym_if] = ACTIONS(1113),
    [anon_sym_else] = ACTIONS(1113),
    [anon_sym_for] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(1113),
    [anon_sym_open] = ACTIONS(1113),
    [anon_sym_module] = ACTIONS(1113),
    [anon_sym_static] = ACTIONS(1113),
    [anon_sym_with] = ACTIONS(1113),
    [anon_sym_package] = ACTIONS(1113),
    [anon_sym_import] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1113),
    [anon_sym_public] = ACTIONS(1113),
    [anon_sym_protected] = ACTIONS(1113),
    [anon_sym_private] = ACTIONS(1113),
    [anon_sym_abstract] = ACTIONS(1113),
    [anon_sym_strictfp] = ACTIONS(1113),
    [anon_sym_native] = ACTIONS(1113),
    [anon_sym_transient] = ACTIONS(1113),
    [anon_sym_volatile] = ACTIONS(1113),
    [anon_sym_sealed] = ACTIONS(1113),
    [anon_sym_non_DASHsealed] = ACTIONS(1111),
    [anon_sym_record] = ACTIONS(1113),
    [anon_sym_ATinterface] = ACTIONS(1111),
    [anon_sym_interface] = ACTIONS(1113),
    [anon_sym_byte] = ACTIONS(1113),
    [anon_sym_short] = ACTIONS(1113),
    [anon_sym_int] = ACTIONS(1113),
    [anon_sym_long] = ACTIONS(1113),
    [anon_sym_char] = ACTIONS(1113),
    [anon_sym_float] = ACTIONS(1113),
    [anon_sym_double] = ACTIONS(1113),
    [sym_boolean_type] = ACTIONS(1113),
    [sym_void_type] = ACTIONS(1113),
    [sym_this] = ACTIONS(1113),
    [sym_super] = ACTIONS(1113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(1115),
    [sym_identifier] = ACTIONS(1117),
    [sym_decimal_integer_literal] = ACTIONS(1117),
    [sym_hex_integer_literal] = ACTIONS(1117),
    [sym_octal_integer_literal] = ACTIONS(1117),
    [sym_binary_integer_literal] = ACTIONS(1115),
    [sym_decimal_floating_point_literal] = ACTIONS(1115),
    [sym_hex_floating_point_literal] = ACTIONS(1117),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_character_literal] = ACTIONS(1115),
    [anon_sym_DQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1115),
    [anon_sym_RBRACE] = ACTIONS(1115),
    [sym_null_literal] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1115),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_final] = ACTIONS(1117),
    [anon_sym_BANG] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_PLUS_PLUS] = ACTIONS(1115),
    [anon_sym_DASH_DASH] = ACTIONS(1115),
    [anon_sym_new] = ACTIONS(1117),
    [anon_sym_class] = ACTIONS(1117),
    [anon_sym_switch] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_case] = ACTIONS(1117),
    [anon_sym_default] = ACTIONS(1117),
    [anon_sym_SEMI] = ACTIONS(1115),
    [anon_sym_assert] = ACTIONS(1117),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_return] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(1117),
    [anon_sym_synchronized] = ACTIONS(1117),
    [anon_sym_throw] = ACTIONS(1117),
    [anon_sym_try] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_else] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(1117),
    [anon_sym_open] = ACTIONS(1117),
    [anon_sym_module] = ACTIONS(1117),
    [anon_sym_static] = ACTIONS(1117),
    [anon_sym_with] = ACTIONS(1117),
    [anon_sym_package] = ACTIONS(1117),
    [anon_sym_import] = ACTIONS(1117),
    [anon_sym_enum] = ACTIONS(1117),
    [anon_sym_public] = ACTIONS(1117),
    [anon_sym_protected] = ACTIONS(1117),
    [anon_sym_private] = ACTIONS(1117),
    [anon_sym_abstract] = ACTIONS(1117),
    [anon_sym_strictfp] = ACTIONS(1117),
    [anon_sym_native] = ACTIONS(1117),
    [anon_sym_transient] = ACTIONS(1117),
    [anon_sym_volatile] = ACTIONS(1117),
    [anon_sym_sealed] = ACTIONS(1117),
    [anon_sym_non_DASHsealed] = ACTIONS(1115),
    [anon_sym_record] = ACTIONS(1117),
    [anon_sym_ATinterface] = ACTIONS(1115),
    [anon_sym_interface] = ACTIONS(1117),
    [anon_sym_byte] = ACTIONS(1117),
    [anon_sym_short] = ACTIONS(1117),
    [anon_sym_int] = ACTIONS(1117),
    [anon_sym_long] = ACTIONS(1117),
    [anon_sym_char] = ACTIONS(1117),
    [anon_sym_float] = ACTIONS(1117),
    [anon_sym_double] = ACTIONS(1117),
    [sym_boolean_type] = ACTIONS(1117),
    [sym_void_type] = ACTIONS(1117),
    [sym_this] = ACTIONS(1117),
    [sym_super] = ACTIONS(1117),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(1119),
    [sym_identifier] = ACTIONS(1121),
    [sym_decimal_integer_literal] = ACTIONS(1121),
    [sym_hex_integer_literal] = ACTIONS(1121),
    [sym_octal_integer_literal] = ACTIONS(1121),
    [sym_binary_integer_literal] = ACTIONS(1119),
    [sym_decimal_floating_point_literal] = ACTIONS(1119),
    [sym_hex_floating_point_literal] = ACTIONS(1121),
    [sym_true] = ACTIONS(1121),
    [sym_false] = ACTIONS(1121),
    [sym_character_literal] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1119),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [sym_null_literal] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LT] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_final] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_class] = ACTIONS(1121),
    [anon_sym_switch] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_case] = ACTIONS(1121),
    [anon_sym_default] = ACTIONS(1121),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym_assert] = ACTIONS(1121),
    [anon_sym_do] = ACTIONS(1121),
    [anon_sym_while] = ACTIONS(1121),
    [anon_sym_break] = ACTIONS(1121),
    [anon_sym_continue] = ACTIONS(1121),
    [anon_sym_return] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1121),
    [anon_sym_synchronized] = ACTIONS(1121),
    [anon_sym_throw] = ACTIONS(1121),
    [anon_sym_try] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1121),
    [anon_sym_else] = ACTIONS(1121),
    [anon_sym_for] = ACTIONS(1121),
    [anon_sym_AT] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_with] = ACTIONS(1121),
    [anon_sym_package] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1121),
    [anon_sym_enum] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1121),
    [anon_sym_protected] = ACTIONS(1121),
    [anon_sym_private] = ACTIONS(1121),
    [anon_sym_abstract] = ACTIONS(1121),
    [anon_sym_strictfp] = ACTIONS(1121),
    [anon_sym_native] = ACTIONS(1121),
    [anon_sym_transient] = ACTIONS(1121),
    [anon_sym_volatile] = ACTIONS(1121),
    [anon_sym_sealed] = ACTIONS(1121),
    [anon_sym_non_DASHsealed] = ACTIONS(1119),
    [anon_sym_record] = ACTIONS(1121),
    [anon_sym_ATinterface] = ACTIONS(1119),
    [anon_sym_interface] = ACTIONS(1121),
    [anon_sym_byte] = ACTIONS(1121),
    [anon_sym_short] = ACTIONS(1121),
    [anon_sym_int] = ACTIONS(1121),
    [anon_sym_long] = ACTIONS(1121),
    [anon_sym_char] = ACTIONS(1121),
    [anon_sym_float] = ACTIONS(1121),
    [anon_sym_double] = ACTIONS(1121),
    [sym_boolean_type] = ACTIONS(1121),
    [sym_void_type] = ACTIONS(1121),
    [sym_this] = ACTIONS(1121),
    [sym_super] = ACTIONS(1121),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1125),
    [sym_decimal_integer_literal] = ACTIONS(1125),
    [sym_hex_integer_literal] = ACTIONS(1125),
    [sym_octal_integer_literal] = ACTIONS(1125),
    [sym_binary_integer_literal] = ACTIONS(1123),
    [sym_decimal_floating_point_literal] = ACTIONS(1123),
    [sym_hex_floating_point_literal] = ACTIONS(1125),
    [sym_true] = ACTIONS(1125),
    [sym_false] = ACTIONS(1125),
    [sym_character_literal] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [sym_null_literal] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_final] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_new] = ACTIONS(1125),
    [anon_sym_class] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_assert] = ACTIONS(1125),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_yield] = ACTIONS(1125),
    [anon_sym_synchronized] = ACTIONS(1125),
    [anon_sym_throw] = ACTIONS(1125),
    [anon_sym_try] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1125),
    [anon_sym_open] = ACTIONS(1125),
    [anon_sym_module] = ACTIONS(1125),
    [anon_sym_static] = ACTIONS(1125),
    [anon_sym_with] = ACTIONS(1125),
    [anon_sym_package] = ACTIONS(1125),
    [anon_sym_import] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_public] = ACTIONS(1125),
    [anon_sym_protected] = ACTIONS(1125),
    [anon_sym_private] = ACTIONS(1125),
    [anon_sym_abstract] = ACTIONS(1125),
    [anon_sym_strictfp] = ACTIONS(1125),
    [anon_sym_native] = ACTIONS(1125),
    [anon_sym_transient] = ACTIONS(1125),
    [anon_sym_volatile] = ACTIONS(1125),
    [anon_sym_sealed] = ACTIONS(1125),
    [anon_sym_non_DASHsealed] = ACTIONS(1123),
    [anon_sym_record] = ACTIONS(1125),
    [anon_sym_ATinterface] = ACTIONS(1123),
    [anon_sym_interface] = ACTIONS(1125),
    [anon_sym_byte] = ACTIONS(1125),
    [anon_sym_short] = ACTIONS(1125),
    [anon_sym_int] = ACTIONS(1125),
    [anon_sym_long] = ACTIONS(1125),
    [anon_sym_char] = ACTIONS(1125),
    [anon_sym_float] = ACTIONS(1125),
    [anon_sym_double] = ACTIONS(1125),
    [sym_boolean_type] = ACTIONS(1125),
    [sym_void_type] = ACTIONS(1125),
    [sym_this] = ACTIONS(1125),
    [sym_super] = ACTIONS(1125),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(480),
    [sym_identifier] = ACTIONS(478),
    [sym_decimal_integer_literal] = ACTIONS(478),
    [sym_hex_integer_literal] = ACTIONS(478),
    [sym_octal_integer_literal] = ACTIONS(478),
    [sym_binary_integer_literal] = ACTIONS(480),
    [sym_decimal_floating_point_literal] = ACTIONS(480),
    [sym_hex_floating_point_literal] = ACTIONS(478),
    [sym_true] = ACTIONS(478),
    [sym_false] = ACTIONS(478),
    [sym_character_literal] = ACTIONS(480),
    [anon_sym_DQUOTE] = ACTIONS(478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(480),
    [anon_sym_RBRACE] = ACTIONS(480),
    [sym_null_literal] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(480),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_final] = ACTIONS(478),
    [anon_sym_BANG] = ACTIONS(480),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_PLUS_PLUS] = ACTIONS(480),
    [anon_sym_DASH_DASH] = ACTIONS(480),
    [anon_sym_new] = ACTIONS(478),
    [anon_sym_class] = ACTIONS(478),
    [anon_sym_switch] = ACTIONS(478),
    [anon_sym_LBRACE] = ACTIONS(480),
    [anon_sym_case] = ACTIONS(478),
    [anon_sym_default] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(480),
    [anon_sym_assert] = ACTIONS(478),
    [anon_sym_do] = ACTIONS(478),
    [anon_sym_while] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(478),
    [anon_sym_continue] = ACTIONS(478),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_yield] = ACTIONS(478),
    [anon_sym_synchronized] = ACTIONS(478),
    [anon_sym_throw] = ACTIONS(478),
    [anon_sym_try] = ACTIONS(478),
    [anon_sym_if] = ACTIONS(478),
    [anon_sym_else] = ACTIONS(478),
    [anon_sym_for] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(478),
    [anon_sym_open] = ACTIONS(478),
    [anon_sym_module] = ACTIONS(478),
    [anon_sym_static] = ACTIONS(478),
    [anon_sym_with] = ACTIONS(478),
    [anon_sym_package] = ACTIONS(478),
    [anon_sym_import] = ACTIONS(478),
    [anon_sym_enum] = ACTIONS(478),
    [anon_sym_public] = ACTIONS(478),
    [anon_sym_protected] = ACTIONS(478),
    [anon_sym_private] = ACTIONS(478),
    [anon_sym_abstract] = ACTIONS(478),
    [anon_sym_strictfp] = ACTIONS(478),
    [anon_sym_native] = ACTIONS(478),
    [anon_sym_transient] = ACTIONS(478),
    [anon_sym_volatile] = ACTIONS(478),
    [anon_sym_sealed] = ACTIONS(478),
    [anon_sym_non_DASHsealed] = ACTIONS(480),
    [anon_sym_record] = ACTIONS(478),
    [anon_sym_ATinterface] = ACTIONS(480),
    [anon_sym_interface] = ACTIONS(478),
    [anon_sym_byte] = ACTIONS(478),
    [anon_sym_short] = ACTIONS(478),
    [anon_sym_int] = ACTIONS(478),
    [anon_sym_long] = ACTIONS(478),
    [anon_sym_char] = ACTIONS(478),
    [anon_sym_float] = ACTIONS(478),
    [anon_sym_double] = ACTIONS(478),
    [sym_boolean_type] = ACTIONS(478),
    [sym_void_type] = ACTIONS(478),
    [sym_this] = ACTIONS(478),
    [sym_super] = ACTIONS(478),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(1127),
    [sym_identifier] = ACTIONS(1129),
    [sym_decimal_integer_literal] = ACTIONS(1129),
    [sym_hex_integer_literal] = ACTIONS(1129),
    [sym_octal_integer_literal] = ACTIONS(1129),
    [sym_binary_integer_literal] = ACTIONS(1127),
    [sym_decimal_floating_point_literal] = ACTIONS(1127),
    [sym_hex_floating_point_literal] = ACTIONS(1129),
    [sym_true] = ACTIONS(1129),
    [sym_false] = ACTIONS(1129),
    [sym_character_literal] = ACTIONS(1127),
    [anon_sym_DQUOTE] = ACTIONS(1129),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1127),
    [anon_sym_RBRACE] = ACTIONS(1127),
    [sym_null_literal] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LT] = ACTIONS(1127),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_final] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_class] = ACTIONS(1129),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_case] = ACTIONS(1129),
    [anon_sym_default] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(1127),
    [anon_sym_assert] = ACTIONS(1129),
    [anon_sym_do] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_break] = ACTIONS(1129),
    [anon_sym_continue] = ACTIONS(1129),
    [anon_sym_return] = ACTIONS(1129),
    [anon_sym_yield] = ACTIONS(1129),
    [anon_sym_synchronized] = ACTIONS(1129),
    [anon_sym_throw] = ACTIONS(1129),
    [anon_sym_try] = ACTIONS(1129),
    [anon_sym_if] = ACTIONS(1129),
    [anon_sym_else] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_open] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_with] = ACTIONS(1129),
    [anon_sym_package] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(1129),
    [anon_sym_enum] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_abstract] = ACTIONS(1129),
    [anon_sym_strictfp] = ACTIONS(1129),
    [anon_sym_native] = ACTIONS(1129),
    [anon_sym_transient] = ACTIONS(1129),
    [anon_sym_volatile] = ACTIONS(1129),
    [anon_sym_sealed] = ACTIONS(1129),
    [anon_sym_non_DASHsealed] = ACTIONS(1127),
    [anon_sym_record] = ACTIONS(1129),
    [anon_sym_ATinterface] = ACTIONS(1127),
    [anon_sym_interface] = ACTIONS(1129),
    [anon_sym_byte] = ACTIONS(1129),
    [anon_sym_short] = ACTIONS(1129),
    [anon_sym_int] = ACTIONS(1129),
    [anon_sym_long] = ACTIONS(1129),
    [anon_sym_char] = ACTIONS(1129),
    [anon_sym_float] = ACTIONS(1129),
    [anon_sym_double] = ACTIONS(1129),
    [sym_boolean_type] = ACTIONS(1129),
    [sym_void_type] = ACTIONS(1129),
    [sym_this] = ACTIONS(1129),
    [sym_super] = ACTIONS(1129),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(1131),
    [sym_identifier] = ACTIONS(1133),
    [sym_decimal_integer_literal] = ACTIONS(1133),
    [sym_hex_integer_literal] = ACTIONS(1133),
    [sym_octal_integer_literal] = ACTIONS(1133),
    [sym_binary_integer_literal] = ACTIONS(1131),
    [sym_decimal_floating_point_literal] = ACTIONS(1131),
    [sym_hex_floating_point_literal] = ACTIONS(1133),
    [sym_true] = ACTIONS(1133),
    [sym_false] = ACTIONS(1133),
    [sym_character_literal] = ACTIONS(1131),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1131),
    [anon_sym_RBRACE] = ACTIONS(1131),
    [sym_null_literal] = ACTIONS(1133),
    [anon_sym_LPAREN] = ACTIONS(1131),
    [anon_sym_LT] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1133),
    [anon_sym_final] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1131),
    [anon_sym_new] = ACTIONS(1133),
    [anon_sym_class] = ACTIONS(1133),
    [anon_sym_switch] = ACTIONS(1133),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1133),
    [anon_sym_default] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1131),
    [anon_sym_assert] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1133),
    [anon_sym_continue] = ACTIONS(1133),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1133),
    [anon_sym_synchronized] = ACTIONS(1133),
    [anon_sym_throw] = ACTIONS(1133),
    [anon_sym_try] = ACTIONS(1133),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_else] = ACTIONS(1133),
    [anon_sym_for] = ACTIONS(1133),
    [anon_sym_AT] = ACTIONS(1133),
    [anon_sym_open] = ACTIONS(1133),
    [anon_sym_module] = ACTIONS(1133),
    [anon_sym_static] = ACTIONS(1133),
    [anon_sym_with] = ACTIONS(1133),
    [anon_sym_package] = ACTIONS(1133),
    [anon_sym_import] = ACTIONS(1133),
    [anon_sym_enum] = ACTIONS(1133),
    [anon_sym_public] = ACTIONS(1133),
    [anon_sym_protected] = ACTIONS(1133),
    [anon_sym_private] = ACTIONS(1133),
    [anon_sym_abstract] = ACTIONS(1133),
    [anon_sym_strictfp] = ACTIONS(1133),
    [anon_sym_native] = ACTIONS(1133),
    [anon_sym_transient] = ACTIONS(1133),
    [anon_sym_volatile] = ACTIONS(1133),
    [anon_sym_sealed] = ACTIONS(1133),
    [anon_sym_non_DASHsealed] = ACTIONS(1131),
    [anon_sym_record] = ACTIONS(1133),
    [anon_sym_ATinterface] = ACTIONS(1131),
    [anon_sym_interface] = ACTIONS(1133),
    [anon_sym_byte] = ACTIONS(1133),
    [anon_sym_short] = ACTIONS(1133),
    [anon_sym_int] = ACTIONS(1133),
    [anon_sym_long] = ACTIONS(1133),
    [anon_sym_char] = ACTIONS(1133),
    [anon_sym_float] = ACTIONS(1133),
    [anon_sym_double] = ACTIONS(1133),
    [sym_boolean_type] = ACTIONS(1133),
    [sym_void_type] = ACTIONS(1133),
    [sym_this] = ACTIONS(1133),
    [sym_super] = ACTIONS(1133),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(1135),
    [sym_identifier] = ACTIONS(1137),
    [sym_decimal_integer_literal] = ACTIONS(1137),
    [sym_hex_integer_literal] = ACTIONS(1137),
    [sym_octal_integer_literal] = ACTIONS(1137),
    [sym_binary_integer_literal] = ACTIONS(1135),
    [sym_decimal_floating_point_literal] = ACTIONS(1135),
    [sym_hex_floating_point_literal] = ACTIONS(1137),
    [sym_true] = ACTIONS(1137),
    [sym_false] = ACTIONS(1137),
    [sym_character_literal] = ACTIONS(1135),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1135),
    [anon_sym_RBRACE] = ACTIONS(1135),
    [sym_null_literal] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LT] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1137),
    [anon_sym_final] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1135),
    [anon_sym_TILDE] = ACTIONS(1135),
    [anon_sym_PLUS_PLUS] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1135),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_class] = ACTIONS(1137),
    [anon_sym_switch] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1135),
    [anon_sym_case] = ACTIONS(1137),
    [anon_sym_default] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1135),
    [anon_sym_assert] = ACTIONS(1137),
    [anon_sym_do] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1137),
    [anon_sym_break] = ACTIONS(1137),
    [anon_sym_continue] = ACTIONS(1137),
    [anon_sym_return] = ACTIONS(1137),
    [anon_sym_yield] = ACTIONS(1137),
    [anon_sym_synchronized] = ACTIONS(1137),
    [anon_sym_throw] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_else] = ACTIONS(1137),
    [anon_sym_for] = ACTIONS(1137),
    [anon_sym_AT] = ACTIONS(1137),
    [anon_sym_open] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(1137),
    [anon_sym_static] = ACTIONS(1137),
    [anon_sym_with] = ACTIONS(1137),
    [anon_sym_package] = ACTIONS(1137),
    [anon_sym_import] = ACTIONS(1137),
    [anon_sym_enum] = ACTIONS(1137),
    [anon_sym_public] = ACTIONS(1137),
    [anon_sym_protected] = ACTIONS(1137),
    [anon_sym_private] = ACTIONS(1137),
    [anon_sym_abstract] = ACTIONS(1137),
    [anon_sym_strictfp] = ACTIONS(1137),
    [anon_sym_native] = ACTIONS(1137),
    [anon_sym_transient] = ACTIONS(1137),
    [anon_sym_volatile] = ACTIONS(1137),
    [anon_sym_sealed] = ACTIONS(1137),
    [anon_sym_non_DASHsealed] = ACTIONS(1135),
    [anon_sym_record] = ACTIONS(1137),
    [anon_sym_ATinterface] = ACTIONS(1135),
    [anon_sym_interface] = ACTIONS(1137),
    [anon_sym_byte] = ACTIONS(1137),
    [anon_sym_short] = ACTIONS(1137),
    [anon_sym_int] = ACTIONS(1137),
    [anon_sym_long] = ACTIONS(1137),
    [anon_sym_char] = ACTIONS(1137),
    [anon_sym_float] = ACTIONS(1137),
    [anon_sym_double] = ACTIONS(1137),
    [sym_boolean_type] = ACTIONS(1137),
    [sym_void_type] = ACTIONS(1137),
    [sym_this] = ACTIONS(1137),
    [sym_super] = ACTIONS(1137),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(1139),
    [sym_identifier] = ACTIONS(1141),
    [sym_decimal_integer_literal] = ACTIONS(1141),
    [sym_hex_integer_literal] = ACTIONS(1141),
    [sym_octal_integer_literal] = ACTIONS(1141),
    [sym_binary_integer_literal] = ACTIONS(1139),
    [sym_decimal_floating_point_literal] = ACTIONS(1139),
    [sym_hex_floating_point_literal] = ACTIONS(1141),
    [sym_true] = ACTIONS(1141),
    [sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1139),
    [anon_sym_RBRACE] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1141),
    [anon_sym_LPAREN] = ACTIONS(1139),
    [anon_sym_LT] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_final] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1139),
    [anon_sym_TILDE] = ACTIONS(1139),
    [anon_sym_PLUS_PLUS] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1139),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_class] = ACTIONS(1141),
    [anon_sym_switch] = ACTIONS(1141),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_case] = ACTIONS(1141),
    [anon_sym_default] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(1141),
    [anon_sym_do] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(1141),
    [anon_sym_break] = ACTIONS(1141),
    [anon_sym_continue] = ACTIONS(1141),
    [anon_sym_return] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1141),
    [anon_sym_synchronized] = ACTIONS(1141),
    [anon_sym_throw] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1141),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_else] = ACTIONS(1141),
    [anon_sym_for] = ACTIONS(1141),
    [anon_sym_AT] = ACTIONS(1141),
    [anon_sym_open] = ACTIONS(1141),
    [anon_sym_module] = ACTIONS(1141),
    [anon_sym_static] = ACTIONS(1141),
    [anon_sym_with] = ACTIONS(1141),
    [anon_sym_package] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(1141),
    [anon_sym_enum] = ACTIONS(1141),
    [anon_sym_public] = ACTIONS(1141),
    [anon_sym_protected] = ACTIONS(1141),
    [anon_sym_private] = ACTIONS(1141),
    [anon_sym_abstract] = ACTIONS(1141),
    [anon_sym_strictfp] = ACTIONS(1141),
    [anon_sym_native] = ACTIONS(1141),
    [anon_sym_transient] = ACTIONS(1141),
    [anon_sym_volatile] = ACTIONS(1141),
    [anon_sym_sealed] = ACTIONS(1141),
    [anon_sym_non_DASHsealed] = ACTIONS(1139),
    [anon_sym_record] = ACTIONS(1141),
    [anon_sym_ATinterface] = ACTIONS(1139),
    [anon_sym_interface] = ACTIONS(1141),
    [anon_sym_byte] = ACTIONS(1141),
    [anon_sym_short] = ACTIONS(1141),
    [anon_sym_int] = ACTIONS(1141),
    [anon_sym_long] = ACTIONS(1141),
    [anon_sym_char] = ACTIONS(1141),
    [anon_sym_float] = ACTIONS(1141),
    [anon_sym_double] = ACTIONS(1141),
    [sym_boolean_type] = ACTIONS(1141),
    [sym_void_type] = ACTIONS(1141),
    [sym_this] = ACTIONS(1141),
    [sym_super] = ACTIONS(1141),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [378] = {
    [ts_builtin_sym_end] = ACTIONS(1143),
    [sym_identifier] = ACTIONS(1145),
    [sym_decimal_integer_literal] = ACTIONS(1145),
    [sym_hex_integer_literal] = ACTIONS(1145),
    [sym_octal_integer_literal] = ACTIONS(1145),
    [sym_binary_integer_literal] = ACTIONS(1143),
    [sym_decimal_floating_point_literal] = ACTIONS(1143),
    [sym_hex_floating_point_literal] = ACTIONS(1145),
    [sym_true] = ACTIONS(1145),
    [sym_false] = ACTIONS(1145),
    [sym_character_literal] = ACTIONS(1143),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1143),
    [anon_sym_RBRACE] = ACTIONS(1143),
    [sym_null_literal] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_LT] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_final] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1143),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_class] = ACTIONS(1145),
    [anon_sym_switch] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1145),
    [anon_sym_default] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1145),
    [anon_sym_do] = ACTIONS(1145),
    [anon_sym_while] = ACTIONS(1145),
    [anon_sym_break] = ACTIONS(1145),
    [anon_sym_continue] = ACTIONS(1145),
    [anon_sym_return] = ACTIONS(1145),
    [anon_sym_yield] = ACTIONS(1145),
    [anon_sym_synchronized] = ACTIONS(1145),
    [anon_sym_throw] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1145),
    [anon_sym_else] = ACTIONS(1145),
    [anon_sym_for] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1145),
    [anon_sym_open] = ACTIONS(1145),
    [anon_sym_module] = ACTIONS(1145),
    [anon_sym_static] = ACTIONS(1145),
    [anon_sym_with] = ACTIONS(1145),
    [anon_sym_package] = ACTIONS(1145),
    [anon_sym_import] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1145),
    [anon_sym_public] = ACTIONS(1145),
    [anon_sym_protected] = ACTIONS(1145),
    [anon_sym_private] = ACTIONS(1145),
    [anon_sym_abstract] = ACTIONS(1145),
    [anon_sym_strictfp] = ACTIONS(1145),
    [anon_sym_native] = ACTIONS(1145),
    [anon_sym_transient] = ACTIONS(1145),
    [anon_sym_volatile] = ACTIONS(1145),
    [anon_sym_sealed] = ACTIONS(1145),
    [anon_sym_non_DASHsealed] = ACTIONS(1143),
    [anon_sym_record] = ACTIONS(1145),
    [anon_sym_ATinterface] = ACTIONS(1143),
    [anon_sym_interface] = ACTIONS(1145),
    [anon_sym_byte] = ACTIONS(1145),
    [anon_sym_short] = ACTIONS(1145),
    [anon_sym_int] = ACTIONS(1145),
    [anon_sym_long] = ACTIONS(1145),
    [anon_sym_char] = ACTIONS(1145),
    [anon_sym_float] = ACTIONS(1145),
    [anon_sym_double] = ACTIONS(1145),
    [sym_boolean_type] = ACTIONS(1145),
    [sym_void_type] = ACTIONS(1145),
    [sym_this] = ACTIONS(1145),
    [sym_super] = ACTIONS(1145),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(1147),
    [sym_identifier] = ACTIONS(1149),
    [sym_decimal_integer_literal] = ACTIONS(1149),
    [sym_hex_integer_literal] = ACTIONS(1149),
    [sym_octal_integer_literal] = ACTIONS(1149),
    [sym_binary_integer_literal] = ACTIONS(1147),
    [sym_decimal_floating_point_literal] = ACTIONS(1147),
    [sym_hex_floating_point_literal] = ACTIONS(1149),
    [sym_true] = ACTIONS(1149),
    [sym_false] = ACTIONS(1149),
    [sym_character_literal] = ACTIONS(1147),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1147),
    [anon_sym_RBRACE] = ACTIONS(1147),
    [sym_null_literal] = ACTIONS(1149),
    [anon_sym_LPAREN] = ACTIONS(1147),
    [anon_sym_LT] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_final] = ACTIONS(1149),
    [anon_sym_BANG] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1147),
    [anon_sym_PLUS_PLUS] = ACTIONS(1147),
    [anon_sym_DASH_DASH] = ACTIONS(1147),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_class] = ACTIONS(1149),
    [anon_sym_switch] = ACTIONS(1149),
    [anon_sym_LBRACE] = ACTIONS(1147),
    [anon_sym_case] = ACTIONS(1149),
    [anon_sym_default] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(1149),
    [anon_sym_do] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(1149),
    [anon_sym_break] = ACTIONS(1149),
    [anon_sym_continue] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1149),
    [anon_sym_yield] = ACTIONS(1149),
    [anon_sym_synchronized] = ACTIONS(1149),
    [anon_sym_throw] = ACTIONS(1149),
    [anon_sym_try] = ACTIONS(1149),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_else] = ACTIONS(1149),
    [anon_sym_for] = ACTIONS(1149),
    [anon_sym_AT] = ACTIONS(1149),
    [anon_sym_open] = ACTIONS(1149),
    [anon_sym_module] = ACTIONS(1149),
    [anon_sym_static] = ACTIONS(1149),
    [anon_sym_with] = ACTIONS(1149),
    [anon_sym_package] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(1149),
    [anon_sym_enum] = ACTIONS(1149),
    [anon_sym_public] = ACTIONS(1149),
    [anon_sym_protected] = ACTIONS(1149),
    [anon_sym_private] = ACTIONS(1149),
    [anon_sym_abstract] = ACTIONS(1149),
    [anon_sym_strictfp] = ACTIONS(1149),
    [anon_sym_native] = ACTIONS(1149),
    [anon_sym_transient] = ACTIONS(1149),
    [anon_sym_volatile] = ACTIONS(1149),
    [anon_sym_sealed] = ACTIONS(1149),
    [anon_sym_non_DASHsealed] = ACTIONS(1147),
    [anon_sym_record] = ACTIONS(1149),
    [anon_sym_ATinterface] = ACTIONS(1147),
    [anon_sym_interface] = ACTIONS(1149),
    [anon_sym_byte] = ACTIONS(1149),
    [anon_sym_short] = ACTIONS(1149),
    [anon_sym_int] = ACTIONS(1149),
    [anon_sym_long] = ACTIONS(1149),
    [anon_sym_char] = ACTIONS(1149),
    [anon_sym_float] = ACTIONS(1149),
    [anon_sym_double] = ACTIONS(1149),
    [sym_boolean_type] = ACTIONS(1149),
    [sym_void_type] = ACTIONS(1149),
    [sym_this] = ACTIONS(1149),
    [sym_super] = ACTIONS(1149),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [380] = {
    [ts_builtin_sym_end] = ACTIONS(1151),
    [sym_identifier] = ACTIONS(1153),
    [sym_decimal_integer_literal] = ACTIONS(1153),
    [sym_hex_integer_literal] = ACTIONS(1153),
    [sym_octal_integer_literal] = ACTIONS(1153),
    [sym_binary_integer_literal] = ACTIONS(1151),
    [sym_decimal_floating_point_literal] = ACTIONS(1151),
    [sym_hex_floating_point_literal] = ACTIONS(1153),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_character_literal] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1151),
    [anon_sym_RBRACE] = ACTIONS(1151),
    [sym_null_literal] = ACTIONS(1153),
    [anon_sym_LPAREN] = ACTIONS(1151),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1153),
    [anon_sym_final] = ACTIONS(1153),
    [anon_sym_BANG] = ACTIONS(1151),
    [anon_sym_TILDE] = ACTIONS(1151),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_new] = ACTIONS(1153),
    [anon_sym_class] = ACTIONS(1153),
    [anon_sym_switch] = ACTIONS(1153),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(1153),
    [anon_sym_default] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1151),
    [anon_sym_assert] = ACTIONS(1153),
    [anon_sym_do] = ACTIONS(1153),
    [anon_sym_while] = ACTIONS(1153),
    [anon_sym_break] = ACTIONS(1153),
    [anon_sym_continue] = ACTIONS(1153),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_yield] = ACTIONS(1153),
    [anon_sym_synchronized] = ACTIONS(1153),
    [anon_sym_throw] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_if] = ACTIONS(1153),
    [anon_sym_else] = ACTIONS(1153),
    [anon_sym_for] = ACTIONS(1153),
    [anon_sym_AT] = ACTIONS(1153),
    [anon_sym_open] = ACTIONS(1153),
    [anon_sym_module] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(1153),
    [anon_sym_with] = ACTIONS(1153),
    [anon_sym_package] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(1153),
    [anon_sym_enum] = ACTIONS(1153),
    [anon_sym_public] = ACTIONS(1153),
    [anon_sym_protected] = ACTIONS(1153),
    [anon_sym_private] = ACTIONS(1153),
    [anon_sym_abstract] = ACTIONS(1153),
    [anon_sym_strictfp] = ACTIONS(1153),
    [anon_sym_native] = ACTIONS(1153),
    [anon_sym_transient] = ACTIONS(1153),
    [anon_sym_volatile] = ACTIONS(1153),
    [anon_sym_sealed] = ACTIONS(1153),
    [anon_sym_non_DASHsealed] = ACTIONS(1151),
    [anon_sym_record] = ACTIONS(1153),
    [anon_sym_ATinterface] = ACTIONS(1151),
    [anon_sym_interface] = ACTIONS(1153),
    [anon_sym_byte] = ACTIONS(1153),
    [anon_sym_short] = ACTIONS(1153),
    [anon_sym_int] = ACTIONS(1153),
    [anon_sym_long] = ACTIONS(1153),
    [anon_sym_char] = ACTIONS(1153),
    [anon_sym_float] = ACTIONS(1153),
    [anon_sym_double] = ACTIONS(1153),
    [sym_boolean_type] = ACTIONS(1153),
    [sym_void_type] = ACTIONS(1153),
    [sym_this] = ACTIONS(1153),
    [sym_super] = ACTIONS(1153),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [381] = {
    [ts_builtin_sym_end] = ACTIONS(1155),
    [sym_identifier] = ACTIONS(1157),
    [sym_decimal_integer_literal] = ACTIONS(1157),
    [sym_hex_integer_literal] = ACTIONS(1157),
    [sym_octal_integer_literal] = ACTIONS(1157),
    [sym_binary_integer_literal] = ACTIONS(1155),
    [sym_decimal_floating_point_literal] = ACTIONS(1155),
    [sym_hex_floating_point_literal] = ACTIONS(1157),
    [sym_true] = ACTIONS(1157),
    [sym_false] = ACTIONS(1157),
    [sym_character_literal] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1155),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [sym_null_literal] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1155),
    [anon_sym_LT] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_final] = ACTIONS(1157),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_PLUS_PLUS] = ACTIONS(1155),
    [anon_sym_DASH_DASH] = ACTIONS(1155),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_class] = ACTIONS(1157),
    [anon_sym_switch] = ACTIONS(1157),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_case] = ACTIONS(1157),
    [anon_sym_default] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(1157),
    [anon_sym_do] = ACTIONS(1157),
    [anon_sym_while] = ACTIONS(1157),
    [anon_sym_break] = ACTIONS(1157),
    [anon_sym_continue] = ACTIONS(1157),
    [anon_sym_return] = ACTIONS(1157),
    [anon_sym_yield] = ACTIONS(1157),
    [anon_sym_synchronized] = ACTIONS(1157),
    [anon_sym_throw] = ACTIONS(1157),
    [anon_sym_try] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(1157),
    [anon_sym_else] = ACTIONS(1157),
    [anon_sym_for] = ACTIONS(1157),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_module] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(1157),
    [anon_sym_with] = ACTIONS(1157),
    [anon_sym_package] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(1157),
    [anon_sym_enum] = ACTIONS(1157),
    [anon_sym_public] = ACTIONS(1157),
    [anon_sym_protected] = ACTIONS(1157),
    [anon_sym_private] = ACTIONS(1157),
    [anon_sym_abstract] = ACTIONS(1157),
    [anon_sym_strictfp] = ACTIONS(1157),
    [anon_sym_native] = ACTIONS(1157),
    [anon_sym_transient] = ACTIONS(1157),
    [anon_sym_volatile] = ACTIONS(1157),
    [anon_sym_sealed] = ACTIONS(1157),
    [anon_sym_non_DASHsealed] = ACTIONS(1155),
    [anon_sym_record] = ACTIONS(1157),
    [anon_sym_ATinterface] = ACTIONS(1155),
    [anon_sym_interface] = ACTIONS(1157),
    [anon_sym_byte] = ACTIONS(1157),
    [anon_sym_short] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_long] = ACTIONS(1157),
    [anon_sym_char] = ACTIONS(1157),
    [anon_sym_float] = ACTIONS(1157),
    [anon_sym_double] = ACTIONS(1157),
    [sym_boolean_type] = ACTIONS(1157),
    [sym_void_type] = ACTIONS(1157),
    [sym_this] = ACTIONS(1157),
    [sym_super] = ACTIONS(1157),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [382] = {
    [ts_builtin_sym_end] = ACTIONS(1159),
    [sym_identifier] = ACTIONS(1161),
    [sym_decimal_integer_literal] = ACTIONS(1161),
    [sym_hex_integer_literal] = ACTIONS(1161),
    [sym_octal_integer_literal] = ACTIONS(1161),
    [sym_binary_integer_literal] = ACTIONS(1159),
    [sym_decimal_floating_point_literal] = ACTIONS(1159),
    [sym_hex_floating_point_literal] = ACTIONS(1161),
    [sym_true] = ACTIONS(1161),
    [sym_false] = ACTIONS(1161),
    [sym_character_literal] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1159),
    [anon_sym_RBRACE] = ACTIONS(1159),
    [sym_null_literal] = ACTIONS(1161),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_LT] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1161),
    [anon_sym_final] = ACTIONS(1161),
    [anon_sym_BANG] = ACTIONS(1159),
    [anon_sym_TILDE] = ACTIONS(1159),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [anon_sym_new] = ACTIONS(1161),
    [anon_sym_class] = ACTIONS(1161),
    [anon_sym_switch] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1161),
    [anon_sym_default] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(1159),
    [anon_sym_assert] = ACTIONS(1161),
    [anon_sym_do] = ACTIONS(1161),
    [anon_sym_while] = ACTIONS(1161),
    [anon_sym_break] = ACTIONS(1161),
    [anon_sym_continue] = ACTIONS(1161),
    [anon_sym_return] = ACTIONS(1161),
    [anon_sym_yield] = ACTIONS(1161),
    [anon_sym_synchronized] = ACTIONS(1161),
    [anon_sym_throw] = ACTIONS(1161),
    [anon_sym_try] = ACTIONS(1161),
    [anon_sym_if] = ACTIONS(1161),
    [anon_sym_else] = ACTIONS(1161),
    [anon_sym_for] = ACTIONS(1161),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_open] = ACTIONS(1161),
    [anon_sym_module] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1161),
    [anon_sym_with] = ACTIONS(1161),
    [anon_sym_package] = ACTIONS(1161),
    [anon_sym_import] = ACTIONS(1161),
    [anon_sym_enum] = ACTIONS(1161),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_abstract] = ACTIONS(1161),
    [anon_sym_strictfp] = ACTIONS(1161),
    [anon_sym_native] = ACTIONS(1161),
    [anon_sym_transient] = ACTIONS(1161),
    [anon_sym_volatile] = ACTIONS(1161),
    [anon_sym_sealed] = ACTIONS(1161),
    [anon_sym_non_DASHsealed] = ACTIONS(1159),
    [anon_sym_record] = ACTIONS(1161),
    [anon_sym_ATinterface] = ACTIONS(1159),
    [anon_sym_interface] = ACTIONS(1161),
    [anon_sym_byte] = ACTIONS(1161),
    [anon_sym_short] = ACTIONS(1161),
    [anon_sym_int] = ACTIONS(1161),
    [anon_sym_long] = ACTIONS(1161),
    [anon_sym_char] = ACTIONS(1161),
    [anon_sym_float] = ACTIONS(1161),
    [anon_sym_double] = ACTIONS(1161),
    [sym_boolean_type] = ACTIONS(1161),
    [sym_void_type] = ACTIONS(1161),
    [sym_this] = ACTIONS(1161),
    [sym_super] = ACTIONS(1161),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [383] = {
    [ts_builtin_sym_end] = ACTIONS(1163),
    [sym_identifier] = ACTIONS(1165),
    [sym_decimal_integer_literal] = ACTIONS(1165),
    [sym_hex_integer_literal] = ACTIONS(1165),
    [sym_octal_integer_literal] = ACTIONS(1165),
    [sym_binary_integer_literal] = ACTIONS(1163),
    [sym_decimal_floating_point_literal] = ACTIONS(1163),
    [sym_hex_floating_point_literal] = ACTIONS(1165),
    [sym_true] = ACTIONS(1165),
    [sym_false] = ACTIONS(1165),
    [sym_character_literal] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(1163),
    [sym_null_literal] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1165),
    [anon_sym_final] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_PLUS_PLUS] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1163),
    [anon_sym_new] = ACTIONS(1165),
    [anon_sym_class] = ACTIONS(1165),
    [anon_sym_switch] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1165),
    [anon_sym_default] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1163),
    [anon_sym_assert] = ACTIONS(1165),
    [anon_sym_do] = ACTIONS(1165),
    [anon_sym_while] = ACTIONS(1165),
    [anon_sym_break] = ACTIONS(1165),
    [anon_sym_continue] = ACTIONS(1165),
    [anon_sym_return] = ACTIONS(1165),
    [anon_sym_yield] = ACTIONS(1165),
    [anon_sym_synchronized] = ACTIONS(1165),
    [anon_sym_throw] = ACTIONS(1165),
    [anon_sym_try] = ACTIONS(1165),
    [anon_sym_if] = ACTIONS(1165),
    [anon_sym_else] = ACTIONS(1165),
    [anon_sym_for] = ACTIONS(1165),
    [anon_sym_AT] = ACTIONS(1165),
    [anon_sym_open] = ACTIONS(1165),
    [anon_sym_module] = ACTIONS(1165),
    [anon_sym_static] = ACTIONS(1165),
    [anon_sym_with] = ACTIONS(1165),
    [anon_sym_package] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(1165),
    [anon_sym_enum] = ACTIONS(1165),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_abstract] = ACTIONS(1165),
    [anon_sym_strictfp] = ACTIONS(1165),
    [anon_sym_native] = ACTIONS(1165),
    [anon_sym_transient] = ACTIONS(1165),
    [anon_sym_volatile] = ACTIONS(1165),
    [anon_sym_sealed] = ACTIONS(1165),
    [anon_sym_non_DASHsealed] = ACTIONS(1163),
    [anon_sym_record] = ACTIONS(1165),
    [anon_sym_ATinterface] = ACTIONS(1163),
    [anon_sym_interface] = ACTIONS(1165),
    [anon_sym_byte] = ACTIONS(1165),
    [anon_sym_short] = ACTIONS(1165),
    [anon_sym_int] = ACTIONS(1165),
    [anon_sym_long] = ACTIONS(1165),
    [anon_sym_char] = ACTIONS(1165),
    [anon_sym_float] = ACTIONS(1165),
    [anon_sym_double] = ACTIONS(1165),
    [sym_boolean_type] = ACTIONS(1165),
    [sym_void_type] = ACTIONS(1165),
    [sym_this] = ACTIONS(1165),
    [sym_super] = ACTIONS(1165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [384] = {
    [ts_builtin_sym_end] = ACTIONS(1167),
    [sym_identifier] = ACTIONS(1169),
    [sym_decimal_integer_literal] = ACTIONS(1169),
    [sym_hex_integer_literal] = ACTIONS(1169),
    [sym_octal_integer_literal] = ACTIONS(1169),
    [sym_binary_integer_literal] = ACTIONS(1167),
    [sym_decimal_floating_point_literal] = ACTIONS(1167),
    [sym_hex_floating_point_literal] = ACTIONS(1169),
    [sym_true] = ACTIONS(1169),
    [sym_false] = ACTIONS(1169),
    [sym_character_literal] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [anon_sym_RBRACE] = ACTIONS(1167),
    [sym_null_literal] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1169),
    [anon_sym_final] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1167),
    [anon_sym_TILDE] = ACTIONS(1167),
    [anon_sym_PLUS_PLUS] = ACTIONS(1167),
    [anon_sym_DASH_DASH] = ACTIONS(1167),
    [anon_sym_new] = ACTIONS(1169),
    [anon_sym_class] = ACTIONS(1169),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_LBRACE] = ACTIONS(1167),
    [anon_sym_case] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1167),
    [anon_sym_assert] = ACTIONS(1169),
    [anon_sym_do] = ACTIONS(1169),
    [anon_sym_while] = ACTIONS(1169),
    [anon_sym_break] = ACTIONS(1169),
    [anon_sym_continue] = ACTIONS(1169),
    [anon_sym_return] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1169),
    [anon_sym_synchronized] = ACTIONS(1169),
    [anon_sym_throw] = ACTIONS(1169),
    [anon_sym_try] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1169),
    [anon_sym_else] = ACTIONS(1169),
    [anon_sym_for] = ACTIONS(1169),
    [anon_sym_AT] = ACTIONS(1169),
    [anon_sym_open] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_package] = ACTIONS(1169),
    [anon_sym_import] = ACTIONS(1169),
    [anon_sym_enum] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_abstract] = ACTIONS(1169),
    [anon_sym_strictfp] = ACTIONS(1169),
    [anon_sym_native] = ACTIONS(1169),
    [anon_sym_transient] = ACTIONS(1169),
    [anon_sym_volatile] = ACTIONS(1169),
    [anon_sym_sealed] = ACTIONS(1169),
    [anon_sym_non_DASHsealed] = ACTIONS(1167),
    [anon_sym_record] = ACTIONS(1169),
    [anon_sym_ATinterface] = ACTIONS(1167),
    [anon_sym_interface] = ACTIONS(1169),
    [anon_sym_byte] = ACTIONS(1169),
    [anon_sym_short] = ACTIONS(1169),
    [anon_sym_int] = ACTIONS(1169),
    [anon_sym_long] = ACTIONS(1169),
    [anon_sym_char] = ACTIONS(1169),
    [anon_sym_float] = ACTIONS(1169),
    [anon_sym_double] = ACTIONS(1169),
    [sym_boolean_type] = ACTIONS(1169),
    [sym_void_type] = ACTIONS(1169),
    [sym_this] = ACTIONS(1169),
    [sym_super] = ACTIONS(1169),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [385] = {
    [ts_builtin_sym_end] = ACTIONS(1171),
    [sym_identifier] = ACTIONS(1173),
    [sym_decimal_integer_literal] = ACTIONS(1173),
    [sym_hex_integer_literal] = ACTIONS(1173),
    [sym_octal_integer_literal] = ACTIONS(1173),
    [sym_binary_integer_literal] = ACTIONS(1171),
    [sym_decimal_floating_point_literal] = ACTIONS(1171),
    [sym_hex_floating_point_literal] = ACTIONS(1173),
    [sym_true] = ACTIONS(1173),
    [sym_false] = ACTIONS(1173),
    [sym_character_literal] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1171),
    [anon_sym_RBRACE] = ACTIONS(1171),
    [sym_null_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LT] = ACTIONS(1171),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_final] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1171),
    [anon_sym_TILDE] = ACTIONS(1171),
    [anon_sym_PLUS_PLUS] = ACTIONS(1171),
    [anon_sym_DASH_DASH] = ACTIONS(1171),
    [anon_sym_new] = ACTIONS(1173),
    [anon_sym_class] = ACTIONS(1173),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_LBRACE] = ACTIONS(1171),
    [anon_sym_case] = ACTIONS(1173),
    [anon_sym_default] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1171),
    [anon_sym_assert] = ACTIONS(1173),
    [anon_sym_do] = ACTIONS(1173),
    [anon_sym_while] = ACTIONS(1173),
    [anon_sym_break] = ACTIONS(1173),
    [anon_sym_continue] = ACTIONS(1173),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_yield] = ACTIONS(1173),
    [anon_sym_synchronized] = ACTIONS(1173),
    [anon_sym_throw] = ACTIONS(1173),
    [anon_sym_try] = ACTIONS(1173),
    [anon_sym_if] = ACTIONS(1173),
    [anon_sym_else] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1173),
    [anon_sym_AT] = ACTIONS(1173),
    [anon_sym_open] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(1173),
    [anon_sym_static] = ACTIONS(1173),
    [anon_sym_with] = ACTIONS(1173),
    [anon_sym_package] = ACTIONS(1173),
    [anon_sym_import] = ACTIONS(1173),
    [anon_sym_enum] = ACTIONS(1173),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_abstract] = ACTIONS(1173),
    [anon_sym_strictfp] = ACTIONS(1173),
    [anon_sym_native] = ACTIONS(1173),
    [anon_sym_transient] = ACTIONS(1173),
    [anon_sym_volatile] = ACTIONS(1173),
    [anon_sym_sealed] = ACTIONS(1173),
    [anon_sym_non_DASHsealed] = ACTIONS(1171),
    [anon_sym_record] = ACTIONS(1173),
    [anon_sym_ATinterface] = ACTIONS(1171),
    [anon_sym_interface] = ACTIONS(1173),
    [anon_sym_byte] = ACTIONS(1173),
    [anon_sym_short] = ACTIONS(1173),
    [anon_sym_int] = ACTIONS(1173),
    [anon_sym_long] = ACTIONS(1173),
    [anon_sym_char] = ACTIONS(1173),
    [anon_sym_float] = ACTIONS(1173),
    [anon_sym_double] = ACTIONS(1173),
    [sym_boolean_type] = ACTIONS(1173),
    [sym_void_type] = ACTIONS(1173),
    [sym_this] = ACTIONS(1173),
    [sym_super] = ACTIONS(1173),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [386] = {
    [ts_builtin_sym_end] = ACTIONS(1175),
    [sym_identifier] = ACTIONS(1177),
    [sym_decimal_integer_literal] = ACTIONS(1177),
    [sym_hex_integer_literal] = ACTIONS(1177),
    [sym_octal_integer_literal] = ACTIONS(1177),
    [sym_binary_integer_literal] = ACTIONS(1175),
    [sym_decimal_floating_point_literal] = ACTIONS(1175),
    [sym_hex_floating_point_literal] = ACTIONS(1177),
    [sym_true] = ACTIONS(1177),
    [sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [anon_sym_DQUOTE] = ACTIONS(1177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [anon_sym_RBRACE] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_final] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_new] = ACTIONS(1177),
    [anon_sym_class] = ACTIONS(1177),
    [anon_sym_switch] = ACTIONS(1177),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1177),
    [anon_sym_default] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(1175),
    [anon_sym_assert] = ACTIONS(1177),
    [anon_sym_do] = ACTIONS(1177),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_break] = ACTIONS(1177),
    [anon_sym_continue] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1177),
    [anon_sym_yield] = ACTIONS(1177),
    [anon_sym_synchronized] = ACTIONS(1177),
    [anon_sym_throw] = ACTIONS(1177),
    [anon_sym_try] = ACTIONS(1177),
    [anon_sym_if] = ACTIONS(1177),
    [anon_sym_else] = ACTIONS(1177),
    [anon_sym_for] = ACTIONS(1177),
    [anon_sym_AT] = ACTIONS(1177),
    [anon_sym_open] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_static] = ACTIONS(1177),
    [anon_sym_with] = ACTIONS(1177),
    [anon_sym_package] = ACTIONS(1177),
    [anon_sym_import] = ACTIONS(1177),
    [anon_sym_enum] = ACTIONS(1177),
    [anon_sym_public] = ACTIONS(1177),
    [anon_sym_protected] = ACTIONS(1177),
    [anon_sym_private] = ACTIONS(1177),
    [anon_sym_abstract] = ACTIONS(1177),
    [anon_sym_strictfp] = ACTIONS(1177),
    [anon_sym_native] = ACTIONS(1177),
    [anon_sym_transient] = ACTIONS(1177),
    [anon_sym_volatile] = ACTIONS(1177),
    [anon_sym_sealed] = ACTIONS(1177),
    [anon_sym_non_DASHsealed] = ACTIONS(1175),
    [anon_sym_record] = ACTIONS(1177),
    [anon_sym_ATinterface] = ACTIONS(1175),
    [anon_sym_interface] = ACTIONS(1177),
    [anon_sym_byte] = ACTIONS(1177),
    [anon_sym_short] = ACTIONS(1177),
    [anon_sym_int] = ACTIONS(1177),
    [anon_sym_long] = ACTIONS(1177),
    [anon_sym_char] = ACTIONS(1177),
    [anon_sym_float] = ACTIONS(1177),
    [anon_sym_double] = ACTIONS(1177),
    [sym_boolean_type] = ACTIONS(1177),
    [sym_void_type] = ACTIONS(1177),
    [sym_this] = ACTIONS(1177),
    [sym_super] = ACTIONS(1177),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [387] = {
    [ts_builtin_sym_end] = ACTIONS(1179),
    [sym_identifier] = ACTIONS(1181),
    [sym_decimal_integer_literal] = ACTIONS(1181),
    [sym_hex_integer_literal] = ACTIONS(1181),
    [sym_octal_integer_literal] = ACTIONS(1181),
    [sym_binary_integer_literal] = ACTIONS(1179),
    [sym_decimal_floating_point_literal] = ACTIONS(1179),
    [sym_hex_floating_point_literal] = ACTIONS(1181),
    [sym_true] = ACTIONS(1181),
    [sym_false] = ACTIONS(1181),
    [sym_character_literal] = ACTIONS(1179),
    [anon_sym_DQUOTE] = ACTIONS(1181),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1179),
    [anon_sym_RBRACE] = ACTIONS(1179),
    [sym_null_literal] = ACTIONS(1181),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LT] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_final] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_new] = ACTIONS(1181),
    [anon_sym_class] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1179),
    [anon_sym_case] = ACTIONS(1181),
    [anon_sym_default] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(1179),
    [anon_sym_assert] = ACTIONS(1181),
    [anon_sym_do] = ACTIONS(1181),
    [anon_sym_while] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1181),
    [anon_sym_continue] = ACTIONS(1181),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_synchronized] = ACTIONS(1181),
    [anon_sym_throw] = ACTIONS(1181),
    [anon_sym_try] = ACTIONS(1181),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_else] = ACTIONS(1181),
    [anon_sym_for] = ACTIONS(1181),
    [anon_sym_AT] = ACTIONS(1181),
    [anon_sym_open] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(1181),
    [anon_sym_static] = ACTIONS(1181),
    [anon_sym_with] = ACTIONS(1181),
    [anon_sym_package] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(1181),
    [anon_sym_enum] = ACTIONS(1181),
    [anon_sym_public] = ACTIONS(1181),
    [anon_sym_protected] = ACTIONS(1181),
    [anon_sym_private] = ACTIONS(1181),
    [anon_sym_abstract] = ACTIONS(1181),
    [anon_sym_strictfp] = ACTIONS(1181),
    [anon_sym_native] = ACTIONS(1181),
    [anon_sym_transient] = ACTIONS(1181),
    [anon_sym_volatile] = ACTIONS(1181),
    [anon_sym_sealed] = ACTIONS(1181),
    [anon_sym_non_DASHsealed] = ACTIONS(1179),
    [anon_sym_record] = ACTIONS(1181),
    [anon_sym_ATinterface] = ACTIONS(1179),
    [anon_sym_interface] = ACTIONS(1181),
    [anon_sym_byte] = ACTIONS(1181),
    [anon_sym_short] = ACTIONS(1181),
    [anon_sym_int] = ACTIONS(1181),
    [anon_sym_long] = ACTIONS(1181),
    [anon_sym_char] = ACTIONS(1181),
    [anon_sym_float] = ACTIONS(1181),
    [anon_sym_double] = ACTIONS(1181),
    [sym_boolean_type] = ACTIONS(1181),
    [sym_void_type] = ACTIONS(1181),
    [sym_this] = ACTIONS(1181),
    [sym_super] = ACTIONS(1181),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_switch_label] = STATE(1322),
    [aux_sym_switch_block_statement_group_repeat1] = STATE(388),
    [sym_identifier] = ACTIONS(1183),
    [sym_decimal_integer_literal] = ACTIONS(1183),
    [sym_hex_integer_literal] = ACTIONS(1183),
    [sym_octal_integer_literal] = ACTIONS(1183),
    [sym_binary_integer_literal] = ACTIONS(1185),
    [sym_decimal_floating_point_literal] = ACTIONS(1185),
    [sym_hex_floating_point_literal] = ACTIONS(1183),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [sym_character_literal] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1183),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1185),
    [sym_null_literal] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_final] = ACTIONS(1183),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_new] = ACTIONS(1183),
    [anon_sym_class] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym_assert] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_yield] = ACTIONS(1183),
    [anon_sym_synchronized] = ACTIONS(1183),
    [anon_sym_throw] = ACTIONS(1183),
    [anon_sym_try] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_AT] = ACTIONS(1183),
    [anon_sym_open] = ACTIONS(1183),
    [anon_sym_module] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_with] = ACTIONS(1183),
    [anon_sym_package] = ACTIONS(1183),
    [anon_sym_import] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_public] = ACTIONS(1183),
    [anon_sym_protected] = ACTIONS(1183),
    [anon_sym_private] = ACTIONS(1183),
    [anon_sym_abstract] = ACTIONS(1183),
    [anon_sym_strictfp] = ACTIONS(1183),
    [anon_sym_native] = ACTIONS(1183),
    [anon_sym_transient] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_sealed] = ACTIONS(1183),
    [anon_sym_non_DASHsealed] = ACTIONS(1185),
    [anon_sym_record] = ACTIONS(1183),
    [anon_sym_ATinterface] = ACTIONS(1185),
    [anon_sym_interface] = ACTIONS(1183),
    [anon_sym_byte] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_int] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_char] = ACTIONS(1183),
    [anon_sym_float] = ACTIONS(1183),
    [anon_sym_double] = ACTIONS(1183),
    [sym_boolean_type] = ACTIONS(1183),
    [sym_void_type] = ACTIONS(1183),
    [sym_this] = ACTIONS(1183),
    [sym_super] = ACTIONS(1183),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_identifier] = ACTIONS(1193),
    [sym_decimal_integer_literal] = ACTIONS(1193),
    [sym_hex_integer_literal] = ACTIONS(1193),
    [sym_octal_integer_literal] = ACTIONS(1193),
    [sym_binary_integer_literal] = ACTIONS(1195),
    [sym_decimal_floating_point_literal] = ACTIONS(1195),
    [sym_hex_floating_point_literal] = ACTIONS(1193),
    [sym_true] = ACTIONS(1193),
    [sym_false] = ACTIONS(1193),
    [sym_character_literal] = ACTIONS(1195),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1195),
    [anon_sym_RBRACE] = ACTIONS(1195),
    [sym_null_literal] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1193),
    [anon_sym_final] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [anon_sym_PLUS_PLUS] = ACTIONS(1195),
    [anon_sym_DASH_DASH] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1193),
    [anon_sym_class] = ACTIONS(1193),
    [anon_sym_switch] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(1195),
    [anon_sym_case] = ACTIONS(1193),
    [anon_sym_default] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_do] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_break] = ACTIONS(1193),
    [anon_sym_continue] = ACTIONS(1193),
    [anon_sym_return] = ACTIONS(1193),
    [anon_sym_yield] = ACTIONS(1193),
    [anon_sym_synchronized] = ACTIONS(1193),
    [anon_sym_throw] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_else] = ACTIONS(1197),
    [anon_sym_for] = ACTIONS(1193),
    [anon_sym_AT] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_module] = ACTIONS(1193),
    [anon_sym_static] = ACTIONS(1193),
    [anon_sym_with] = ACTIONS(1193),
    [anon_sym_package] = ACTIONS(1193),
    [anon_sym_import] = ACTIONS(1193),
    [anon_sym_enum] = ACTIONS(1193),
    [anon_sym_public] = ACTIONS(1193),
    [anon_sym_protected] = ACTIONS(1193),
    [anon_sym_private] = ACTIONS(1193),
    [anon_sym_abstract] = ACTIONS(1193),
    [anon_sym_strictfp] = ACTIONS(1193),
    [anon_sym_native] = ACTIONS(1193),
    [anon_sym_transient] = ACTIONS(1193),
    [anon_sym_volatile] = ACTIONS(1193),
    [anon_sym_sealed] = ACTIONS(1193),
    [anon_sym_non_DASHsealed] = ACTIONS(1195),
    [anon_sym_record] = ACTIONS(1193),
    [anon_sym_ATinterface] = ACTIONS(1195),
    [anon_sym_interface] = ACTIONS(1193),
    [anon_sym_byte] = ACTIONS(1193),
    [anon_sym_short] = ACTIONS(1193),
    [anon_sym_int] = ACTIONS(1193),
    [anon_sym_long] = ACTIONS(1193),
    [anon_sym_char] = ACTIONS(1193),
    [anon_sym_float] = ACTIONS(1193),
    [anon_sym_double] = ACTIONS(1193),
    [sym_boolean_type] = ACTIONS(1193),
    [sym_void_type] = ACTIONS(1193),
    [sym_this] = ACTIONS(1193),
    [sym_super] = ACTIONS(1193),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [390] = {
    [ts_builtin_sym_end] = ACTIONS(1199),
    [sym_identifier] = ACTIONS(1201),
    [sym_decimal_integer_literal] = ACTIONS(1201),
    [sym_hex_integer_literal] = ACTIONS(1201),
    [sym_octal_integer_literal] = ACTIONS(1201),
    [sym_binary_integer_literal] = ACTIONS(1199),
    [sym_decimal_floating_point_literal] = ACTIONS(1199),
    [sym_hex_floating_point_literal] = ACTIONS(1201),
    [sym_true] = ACTIONS(1201),
    [sym_false] = ACTIONS(1201),
    [sym_character_literal] = ACTIONS(1199),
    [anon_sym_DQUOTE] = ACTIONS(1201),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1199),
    [anon_sym_RBRACE] = ACTIONS(1199),
    [sym_null_literal] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_LT] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_final] = ACTIONS(1201),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_PLUS_PLUS] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1199),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_class] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(1201),
    [anon_sym_LBRACE] = ACTIONS(1199),
    [anon_sym_default] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(1201),
    [anon_sym_do] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1201),
    [anon_sym_break] = ACTIONS(1201),
    [anon_sym_continue] = ACTIONS(1201),
    [anon_sym_return] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1201),
    [anon_sym_synchronized] = ACTIONS(1201),
    [anon_sym_throw] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(1201),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_for] = ACTIONS(1201),
    [anon_sym_AT] = ACTIONS(1201),
    [anon_sym_open] = ACTIONS(1201),
    [anon_sym_module] = ACTIONS(1201),
    [anon_sym_static] = ACTIONS(1201),
    [anon_sym_with] = ACTIONS(1201),
    [anon_sym_package] = ACTIONS(1201),
    [anon_sym_import] = ACTIONS(1201),
    [anon_sym_enum] = ACTIONS(1201),
    [anon_sym_public] = ACTIONS(1201),
    [anon_sym_protected] = ACTIONS(1201),
    [anon_sym_private] = ACTIONS(1201),
    [anon_sym_abstract] = ACTIONS(1201),
    [anon_sym_strictfp] = ACTIONS(1201),
    [anon_sym_native] = ACTIONS(1201),
    [anon_sym_transient] = ACTIONS(1201),
    [anon_sym_volatile] = ACTIONS(1201),
    [anon_sym_sealed] = ACTIONS(1201),
    [anon_sym_non_DASHsealed] = ACTIONS(1199),
    [anon_sym_record] = ACTIONS(1201),
    [anon_sym_ATinterface] = ACTIONS(1199),
    [anon_sym_interface] = ACTIONS(1201),
    [anon_sym_byte] = ACTIONS(1201),
    [anon_sym_short] = ACTIONS(1201),
    [anon_sym_int] = ACTIONS(1201),
    [anon_sym_long] = ACTIONS(1201),
    [anon_sym_char] = ACTIONS(1201),
    [anon_sym_float] = ACTIONS(1201),
    [anon_sym_double] = ACTIONS(1201),
    [sym_boolean_type] = ACTIONS(1201),
    [sym_void_type] = ACTIONS(1201),
    [sym_this] = ACTIONS(1201),
    [sym_super] = ACTIONS(1201),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [391] = {
    [ts_builtin_sym_end] = ACTIONS(1203),
    [sym_identifier] = ACTIONS(1205),
    [sym_decimal_integer_literal] = ACTIONS(1205),
    [sym_hex_integer_literal] = ACTIONS(1205),
    [sym_octal_integer_literal] = ACTIONS(1205),
    [sym_binary_integer_literal] = ACTIONS(1203),
    [sym_decimal_floating_point_literal] = ACTIONS(1203),
    [sym_hex_floating_point_literal] = ACTIONS(1205),
    [sym_true] = ACTIONS(1205),
    [sym_false] = ACTIONS(1205),
    [sym_character_literal] = ACTIONS(1203),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1203),
    [anon_sym_RBRACE] = ACTIONS(1203),
    [sym_null_literal] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1203),
    [anon_sym_LT] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_final] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1203),
    [anon_sym_TILDE] = ACTIONS(1203),
    [anon_sym_PLUS_PLUS] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1203),
    [anon_sym_new] = ACTIONS(1205),
    [anon_sym_class] = ACTIONS(1205),
    [anon_sym_switch] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1203),
    [anon_sym_assert] = ACTIONS(1205),
    [anon_sym_do] = ACTIONS(1205),
    [anon_sym_while] = ACTIONS(1205),
    [anon_sym_break] = ACTIONS(1205),
    [anon_sym_continue] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(1205),
    [anon_sym_yield] = ACTIONS(1205),
    [anon_sym_synchronized] = ACTIONS(1205),
    [anon_sym_throw] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_if] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_AT] = ACTIONS(1205),
    [anon_sym_open] = ACTIONS(1205),
    [anon_sym_module] = ACTIONS(1205),
    [anon_sym_static] = ACTIONS(1205),
    [anon_sym_with] = ACTIONS(1205),
    [anon_sym_package] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1205),
    [anon_sym_enum] = ACTIONS(1205),
    [anon_sym_public] = ACTIONS(1205),
    [anon_sym_protected] = ACTIONS(1205),
    [anon_sym_private] = ACTIONS(1205),
    [anon_sym_abstract] = ACTIONS(1205),
    [anon_sym_strictfp] = ACTIONS(1205),
    [anon_sym_native] = ACTIONS(1205),
    [anon_sym_transient] = ACTIONS(1205),
    [anon_sym_volatile] = ACTIONS(1205),
    [anon_sym_sealed] = ACTIONS(1205),
    [anon_sym_non_DASHsealed] = ACTIONS(1203),
    [anon_sym_record] = ACTIONS(1205),
    [anon_sym_ATinterface] = ACTIONS(1203),
    [anon_sym_interface] = ACTIONS(1205),
    [anon_sym_byte] = ACTIONS(1205),
    [anon_sym_short] = ACTIONS(1205),
    [anon_sym_int] = ACTIONS(1205),
    [anon_sym_long] = ACTIONS(1205),
    [anon_sym_char] = ACTIONS(1205),
    [anon_sym_float] = ACTIONS(1205),
    [anon_sym_double] = ACTIONS(1205),
    [sym_boolean_type] = ACTIONS(1205),
    [sym_void_type] = ACTIONS(1205),
    [sym_this] = ACTIONS(1205),
    [sym_super] = ACTIONS(1205),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [392] = {
    [ts_builtin_sym_end] = ACTIONS(1207),
    [sym_identifier] = ACTIONS(1209),
    [sym_decimal_integer_literal] = ACTIONS(1209),
    [sym_hex_integer_literal] = ACTIONS(1209),
    [sym_octal_integer_literal] = ACTIONS(1209),
    [sym_binary_integer_literal] = ACTIONS(1207),
    [sym_decimal_floating_point_literal] = ACTIONS(1207),
    [sym_hex_floating_point_literal] = ACTIONS(1209),
    [sym_true] = ACTIONS(1209),
    [sym_false] = ACTIONS(1209),
    [sym_character_literal] = ACTIONS(1207),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1207),
    [anon_sym_RBRACE] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1209),
    [anon_sym_final] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1207),
    [anon_sym_TILDE] = ACTIONS(1207),
    [anon_sym_PLUS_PLUS] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1207),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_class] = ACTIONS(1209),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(1209),
    [anon_sym_do] = ACTIONS(1209),
    [anon_sym_while] = ACTIONS(1209),
    [anon_sym_break] = ACTIONS(1209),
    [anon_sym_continue] = ACTIONS(1209),
    [anon_sym_return] = ACTIONS(1209),
    [anon_sym_yield] = ACTIONS(1209),
    [anon_sym_synchronized] = ACTIONS(1209),
    [anon_sym_throw] = ACTIONS(1209),
    [anon_sym_try] = ACTIONS(1209),
    [anon_sym_if] = ACTIONS(1209),
    [anon_sym_for] = ACTIONS(1209),
    [anon_sym_AT] = ACTIONS(1209),
    [anon_sym_open] = ACTIONS(1209),
    [anon_sym_module] = ACTIONS(1209),
    [anon_sym_static] = ACTIONS(1209),
    [anon_sym_with] = ACTIONS(1209),
    [anon_sym_package] = ACTIONS(1209),
    [anon_sym_import] = ACTIONS(1209),
    [anon_sym_enum] = ACTIONS(1209),
    [anon_sym_public] = ACTIONS(1209),
    [anon_sym_protected] = ACTIONS(1209),
    [anon_sym_private] = ACTIONS(1209),
    [anon_sym_abstract] = ACTIONS(1209),
    [anon_sym_strictfp] = ACTIONS(1209),
    [anon_sym_native] = ACTIONS(1209),
    [anon_sym_transient] = ACTIONS(1209),
    [anon_sym_volatile] = ACTIONS(1209),
    [anon_sym_sealed] = ACTIONS(1209),
    [anon_sym_non_DASHsealed] = ACTIONS(1207),
    [anon_sym_record] = ACTIONS(1209),
    [anon_sym_ATinterface] = ACTIONS(1207),
    [anon_sym_interface] = ACTIONS(1209),
    [anon_sym_byte] = ACTIONS(1209),
    [anon_sym_short] = ACTIONS(1209),
    [anon_sym_int] = ACTIONS(1209),
    [anon_sym_long] = ACTIONS(1209),
    [anon_sym_char] = ACTIONS(1209),
    [anon_sym_float] = ACTIONS(1209),
    [anon_sym_double] = ACTIONS(1209),
    [sym_boolean_type] = ACTIONS(1209),
    [sym_void_type] = ACTIONS(1209),
    [sym_this] = ACTIONS(1209),
    [sym_super] = ACTIONS(1209),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [393] = {
    [ts_builtin_sym_end] = ACTIONS(1195),
    [sym_identifier] = ACTIONS(1193),
    [sym_decimal_integer_literal] = ACTIONS(1193),
    [sym_hex_integer_literal] = ACTIONS(1193),
    [sym_octal_integer_literal] = ACTIONS(1193),
    [sym_binary_integer_literal] = ACTIONS(1195),
    [sym_decimal_floating_point_literal] = ACTIONS(1195),
    [sym_hex_floating_point_literal] = ACTIONS(1193),
    [sym_true] = ACTIONS(1193),
    [sym_false] = ACTIONS(1193),
    [sym_character_literal] = ACTIONS(1195),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1195),
    [sym_null_literal] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1193),
    [anon_sym_final] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [anon_sym_PLUS_PLUS] = ACTIONS(1195),
    [anon_sym_DASH_DASH] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1193),
    [anon_sym_class] = ACTIONS(1193),
    [anon_sym_switch] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(1195),
    [anon_sym_default] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_do] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_break] = ACTIONS(1193),
    [anon_sym_continue] = ACTIONS(1193),
    [anon_sym_return] = ACTIONS(1193),
    [anon_sym_yield] = ACTIONS(1193),
    [anon_sym_synchronized] = ACTIONS(1193),
    [anon_sym_throw] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1193),
    [anon_sym_AT] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_module] = ACTIONS(1193),
    [anon_sym_static] = ACTIONS(1193),
    [anon_sym_with] = ACTIONS(1193),
    [anon_sym_package] = ACTIONS(1193),
    [anon_sym_import] = ACTIONS(1193),
    [anon_sym_enum] = ACTIONS(1193),
    [anon_sym_public] = ACTIONS(1193),
    [anon_sym_protected] = ACTIONS(1193),
    [anon_sym_private] = ACTIONS(1193),
    [anon_sym_abstract] = ACTIONS(1193),
    [anon_sym_strictfp] = ACTIONS(1193),
    [anon_sym_native] = ACTIONS(1193),
    [anon_sym_transient] = ACTIONS(1193),
    [anon_sym_volatile] = ACTIONS(1193),
    [anon_sym_sealed] = ACTIONS(1193),
    [anon_sym_non_DASHsealed] = ACTIONS(1195),
    [anon_sym_record] = ACTIONS(1193),
    [anon_sym_ATinterface] = ACTIONS(1195),
    [anon_sym_interface] = ACTIONS(1193),
    [anon_sym_byte] = ACTIONS(1193),
    [anon_sym_short] = ACTIONS(1193),
    [anon_sym_int] = ACTIONS(1193),
    [anon_sym_long] = ACTIONS(1193),
    [anon_sym_char] = ACTIONS(1193),
    [anon_sym_float] = ACTIONS(1193),
    [anon_sym_double] = ACTIONS(1193),
    [sym_boolean_type] = ACTIONS(1193),
    [sym_void_type] = ACTIONS(1193),
    [sym_this] = ACTIONS(1193),
    [sym_super] = ACTIONS(1193),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [394] = {
    [ts_builtin_sym_end] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1215),
    [sym_decimal_integer_literal] = ACTIONS(1215),
    [sym_hex_integer_literal] = ACTIONS(1215),
    [sym_octal_integer_literal] = ACTIONS(1215),
    [sym_binary_integer_literal] = ACTIONS(1213),
    [sym_decimal_floating_point_literal] = ACTIONS(1213),
    [sym_hex_floating_point_literal] = ACTIONS(1215),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_character_literal] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_final] = ACTIONS(1215),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_new] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_assert] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_yield] = ACTIONS(1215),
    [anon_sym_synchronized] = ACTIONS(1215),
    [anon_sym_throw] = ACTIONS(1215),
    [anon_sym_try] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_AT] = ACTIONS(1215),
    [anon_sym_open] = ACTIONS(1215),
    [anon_sym_module] = ACTIONS(1215),
    [anon_sym_static] = ACTIONS(1215),
    [anon_sym_with] = ACTIONS(1215),
    [anon_sym_package] = ACTIONS(1215),
    [anon_sym_import] = ACTIONS(1215),
    [anon_sym_enum] = ACTIONS(1215),
    [anon_sym_public] = ACTIONS(1215),
    [anon_sym_protected] = ACTIONS(1215),
    [anon_sym_private] = ACTIONS(1215),
    [anon_sym_abstract] = ACTIONS(1215),
    [anon_sym_strictfp] = ACTIONS(1215),
    [anon_sym_native] = ACTIONS(1215),
    [anon_sym_transient] = ACTIONS(1215),
    [anon_sym_volatile] = ACTIONS(1215),
    [anon_sym_sealed] = ACTIONS(1215),
    [anon_sym_non_DASHsealed] = ACTIONS(1213),
    [anon_sym_record] = ACTIONS(1215),
    [anon_sym_ATinterface] = ACTIONS(1213),
    [anon_sym_interface] = ACTIONS(1215),
    [anon_sym_byte] = ACTIONS(1215),
    [anon_sym_short] = ACTIONS(1215),
    [anon_sym_int] = ACTIONS(1215),
    [anon_sym_long] = ACTIONS(1215),
    [anon_sym_char] = ACTIONS(1215),
    [anon_sym_float] = ACTIONS(1215),
    [anon_sym_double] = ACTIONS(1215),
    [sym_boolean_type] = ACTIONS(1215),
    [sym_void_type] = ACTIONS(1215),
    [sym_this] = ACTIONS(1215),
    [sym_super] = ACTIONS(1215),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_identifier] = ACTIONS(1183),
    [sym_decimal_integer_literal] = ACTIONS(1183),
    [sym_hex_integer_literal] = ACTIONS(1183),
    [sym_octal_integer_literal] = ACTIONS(1183),
    [sym_binary_integer_literal] = ACTIONS(1185),
    [sym_decimal_floating_point_literal] = ACTIONS(1185),
    [sym_hex_floating_point_literal] = ACTIONS(1183),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [sym_character_literal] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1183),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1185),
    [sym_null_literal] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_final] = ACTIONS(1183),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_new] = ACTIONS(1183),
    [anon_sym_class] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym_assert] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_yield] = ACTIONS(1183),
    [anon_sym_synchronized] = ACTIONS(1183),
    [anon_sym_throw] = ACTIONS(1183),
    [anon_sym_try] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_AT] = ACTIONS(1183),
    [anon_sym_open] = ACTIONS(1183),
    [anon_sym_module] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_with] = ACTIONS(1183),
    [anon_sym_package] = ACTIONS(1183),
    [anon_sym_import] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_public] = ACTIONS(1183),
    [anon_sym_protected] = ACTIONS(1183),
    [anon_sym_private] = ACTIONS(1183),
    [anon_sym_abstract] = ACTIONS(1183),
    [anon_sym_strictfp] = ACTIONS(1183),
    [anon_sym_native] = ACTIONS(1183),
    [anon_sym_transient] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_sealed] = ACTIONS(1183),
    [anon_sym_non_DASHsealed] = ACTIONS(1185),
    [anon_sym_record] = ACTIONS(1183),
    [anon_sym_ATinterface] = ACTIONS(1185),
    [anon_sym_interface] = ACTIONS(1183),
    [anon_sym_byte] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_int] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_char] = ACTIONS(1183),
    [anon_sym_float] = ACTIONS(1183),
    [anon_sym_double] = ACTIONS(1183),
    [sym_boolean_type] = ACTIONS(1183),
    [sym_void_type] = ACTIONS(1183),
    [sym_this] = ACTIONS(1183),
    [sym_super] = ACTIONS(1183),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_identifier] = ACTIONS(1217),
    [sym_decimal_integer_literal] = ACTIONS(1217),
    [sym_hex_integer_literal] = ACTIONS(1217),
    [sym_octal_integer_literal] = ACTIONS(1217),
    [sym_binary_integer_literal] = ACTIONS(1219),
    [sym_decimal_floating_point_literal] = ACTIONS(1219),
    [sym_hex_floating_point_literal] = ACTIONS(1217),
    [sym_true] = ACTIONS(1217),
    [sym_false] = ACTIONS(1217),
    [sym_character_literal] = ACTIONS(1219),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1219),
    [anon_sym_RBRACE] = ACTIONS(1219),
    [sym_null_literal] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_final] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(1217),
    [anon_sym_class] = ACTIONS(1217),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_LBRACE] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1219),
    [anon_sym_assert] = ACTIONS(1217),
    [anon_sym_do] = ACTIONS(1217),
    [anon_sym_while] = ACTIONS(1217),
    [anon_sym_break] = ACTIONS(1217),
    [anon_sym_continue] = ACTIONS(1217),
    [anon_sym_return] = ACTIONS(1217),
    [anon_sym_yield] = ACTIONS(1217),
    [anon_sym_synchronized] = ACTIONS(1217),
    [anon_sym_throw] = ACTIONS(1217),
    [anon_sym_try] = ACTIONS(1217),
    [anon_sym_if] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1217),
    [anon_sym_AT] = ACTIONS(1217),
    [anon_sym_open] = ACTIONS(1217),
    [anon_sym_module] = ACTIONS(1217),
    [anon_sym_static] = ACTIONS(1217),
    [anon_sym_with] = ACTIONS(1217),
    [anon_sym_package] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(1217),
    [anon_sym_enum] = ACTIONS(1217),
    [anon_sym_public] = ACTIONS(1217),
    [anon_sym_protected] = ACTIONS(1217),
    [anon_sym_private] = ACTIONS(1217),
    [anon_sym_abstract] = ACTIONS(1217),
    [anon_sym_strictfp] = ACTIONS(1217),
    [anon_sym_native] = ACTIONS(1217),
    [anon_sym_transient] = ACTIONS(1217),
    [anon_sym_volatile] = ACTIONS(1217),
    [anon_sym_sealed] = ACTIONS(1217),
    [anon_sym_non_DASHsealed] = ACTIONS(1219),
    [anon_sym_record] = ACTIONS(1217),
    [anon_sym_ATinterface] = ACTIONS(1219),
    [anon_sym_interface] = ACTIONS(1217),
    [anon_sym_byte] = ACTIONS(1217),
    [anon_sym_short] = ACTIONS(1217),
    [anon_sym_int] = ACTIONS(1217),
    [anon_sym_long] = ACTIONS(1217),
    [anon_sym_char] = ACTIONS(1217),
    [anon_sym_float] = ACTIONS(1217),
    [anon_sym_double] = ACTIONS(1217),
    [sym_boolean_type] = ACTIONS(1217),
    [sym_void_type] = ACTIONS(1217),
    [sym_this] = ACTIONS(1217),
    [sym_super] = ACTIONS(1217),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_identifier] = ACTIONS(1221),
    [sym_decimal_integer_literal] = ACTIONS(1221),
    [sym_hex_integer_literal] = ACTIONS(1221),
    [sym_octal_integer_literal] = ACTIONS(1221),
    [sym_binary_integer_literal] = ACTIONS(1223),
    [sym_decimal_floating_point_literal] = ACTIONS(1223),
    [sym_hex_floating_point_literal] = ACTIONS(1221),
    [sym_true] = ACTIONS(1221),
    [sym_false] = ACTIONS(1221),
    [sym_character_literal] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1223),
    [anon_sym_RBRACE] = ACTIONS(1223),
    [sym_null_literal] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1221),
    [anon_sym_final] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1223),
    [anon_sym_TILDE] = ACTIONS(1223),
    [anon_sym_PLUS_PLUS] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1223),
    [anon_sym_new] = ACTIONS(1221),
    [anon_sym_class] = ACTIONS(1221),
    [anon_sym_switch] = ACTIONS(1221),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1223),
    [anon_sym_assert] = ACTIONS(1221),
    [anon_sym_do] = ACTIONS(1221),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_break] = ACTIONS(1221),
    [anon_sym_continue] = ACTIONS(1221),
    [anon_sym_return] = ACTIONS(1221),
    [anon_sym_yield] = ACTIONS(1221),
    [anon_sym_synchronized] = ACTIONS(1221),
    [anon_sym_throw] = ACTIONS(1221),
    [anon_sym_try] = ACTIONS(1221),
    [anon_sym_if] = ACTIONS(1221),
    [anon_sym_for] = ACTIONS(1221),
    [anon_sym_AT] = ACTIONS(1221),
    [anon_sym_open] = ACTIONS(1221),
    [anon_sym_module] = ACTIONS(1221),
    [anon_sym_static] = ACTIONS(1221),
    [anon_sym_with] = ACTIONS(1221),
    [anon_sym_package] = ACTIONS(1221),
    [anon_sym_import] = ACTIONS(1221),
    [anon_sym_enum] = ACTIONS(1221),
    [anon_sym_public] = ACTIONS(1221),
    [anon_sym_protected] = ACTIONS(1221),
    [anon_sym_private] = ACTIONS(1221),
    [anon_sym_abstract] = ACTIONS(1221),
    [anon_sym_strictfp] = ACTIONS(1221),
    [anon_sym_native] = ACTIONS(1221),
    [anon_sym_transient] = ACTIONS(1221),
    [anon_sym_volatile] = ACTIONS(1221),
    [anon_sym_sealed] = ACTIONS(1221),
    [anon_sym_non_DASHsealed] = ACTIONS(1223),
    [anon_sym_record] = ACTIONS(1221),
    [anon_sym_ATinterface] = ACTIONS(1223),
    [anon_sym_interface] = ACTIONS(1221),
    [anon_sym_byte] = ACTIONS(1221),
    [anon_sym_short] = ACTIONS(1221),
    [anon_sym_int] = ACTIONS(1221),
    [anon_sym_long] = ACTIONS(1221),
    [anon_sym_char] = ACTIONS(1221),
    [anon_sym_float] = ACTIONS(1221),
    [anon_sym_double] = ACTIONS(1221),
    [sym_boolean_type] = ACTIONS(1221),
    [sym_void_type] = ACTIONS(1221),
    [sym_this] = ACTIONS(1221),
    [sym_super] = ACTIONS(1221),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_identifier] = ACTIONS(1225),
    [sym_decimal_integer_literal] = ACTIONS(1225),
    [sym_hex_integer_literal] = ACTIONS(1225),
    [sym_octal_integer_literal] = ACTIONS(1225),
    [sym_binary_integer_literal] = ACTIONS(1227),
    [sym_decimal_floating_point_literal] = ACTIONS(1227),
    [sym_hex_floating_point_literal] = ACTIONS(1225),
    [sym_true] = ACTIONS(1225),
    [sym_false] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1227),
    [anon_sym_RBRACE] = ACTIONS(1227),
    [sym_null_literal] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_final] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1227),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_class] = ACTIONS(1225),
    [anon_sym_switch] = ACTIONS(1225),
    [anon_sym_LBRACE] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1227),
    [anon_sym_assert] = ACTIONS(1225),
    [anon_sym_do] = ACTIONS(1225),
    [anon_sym_while] = ACTIONS(1225),
    [anon_sym_break] = ACTIONS(1225),
    [anon_sym_continue] = ACTIONS(1225),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_yield] = ACTIONS(1225),
    [anon_sym_synchronized] = ACTIONS(1225),
    [anon_sym_throw] = ACTIONS(1225),
    [anon_sym_try] = ACTIONS(1225),
    [anon_sym_if] = ACTIONS(1225),
    [anon_sym_for] = ACTIONS(1225),
    [anon_sym_AT] = ACTIONS(1225),
    [anon_sym_open] = ACTIONS(1225),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_static] = ACTIONS(1225),
    [anon_sym_with] = ACTIONS(1225),
    [anon_sym_package] = ACTIONS(1225),
    [anon_sym_import] = ACTIONS(1225),
    [anon_sym_enum] = ACTIONS(1225),
    [anon_sym_public] = ACTIONS(1225),
    [anon_sym_protected] = ACTIONS(1225),
    [anon_sym_private] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1225),
    [anon_sym_strictfp] = ACTIONS(1225),
    [anon_sym_native] = ACTIONS(1225),
    [anon_sym_transient] = ACTIONS(1225),
    [anon_sym_volatile] = ACTIONS(1225),
    [anon_sym_sealed] = ACTIONS(1225),
    [anon_sym_non_DASHsealed] = ACTIONS(1227),
    [anon_sym_record] = ACTIONS(1225),
    [anon_sym_ATinterface] = ACTIONS(1227),
    [anon_sym_interface] = ACTIONS(1225),
    [anon_sym_byte] = ACTIONS(1225),
    [anon_sym_short] = ACTIONS(1225),
    [anon_sym_int] = ACTIONS(1225),
    [anon_sym_long] = ACTIONS(1225),
    [anon_sym_char] = ACTIONS(1225),
    [anon_sym_float] = ACTIONS(1225),
    [anon_sym_double] = ACTIONS(1225),
    [sym_boolean_type] = ACTIONS(1225),
    [sym_void_type] = ACTIONS(1225),
    [sym_this] = ACTIONS(1225),
    [sym_super] = ACTIONS(1225),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_identifier] = ACTIONS(1229),
    [sym_decimal_integer_literal] = ACTIONS(1229),
    [sym_hex_integer_literal] = ACTIONS(1229),
    [sym_octal_integer_literal] = ACTIONS(1229),
    [sym_binary_integer_literal] = ACTIONS(1231),
    [sym_decimal_floating_point_literal] = ACTIONS(1231),
    [sym_hex_floating_point_literal] = ACTIONS(1229),
    [sym_true] = ACTIONS(1229),
    [sym_false] = ACTIONS(1229),
    [sym_character_literal] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(1229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1231),
    [anon_sym_RBRACE] = ACTIONS(1231),
    [sym_null_literal] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1229),
    [anon_sym_final] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1231),
    [anon_sym_TILDE] = ACTIONS(1231),
    [anon_sym_PLUS_PLUS] = ACTIONS(1231),
    [anon_sym_DASH_DASH] = ACTIONS(1231),
    [anon_sym_new] = ACTIONS(1229),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_switch] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(1231),
    [anon_sym_default] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1231),
    [anon_sym_assert] = ACTIONS(1229),
    [anon_sym_do] = ACTIONS(1229),
    [anon_sym_while] = ACTIONS(1229),
    [anon_sym_break] = ACTIONS(1229),
    [anon_sym_continue] = ACTIONS(1229),
    [anon_sym_return] = ACTIONS(1229),
    [anon_sym_yield] = ACTIONS(1229),
    [anon_sym_synchronized] = ACTIONS(1229),
    [anon_sym_throw] = ACTIONS(1229),
    [anon_sym_try] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(1229),
    [anon_sym_for] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_module] = ACTIONS(1229),
    [anon_sym_static] = ACTIONS(1229),
    [anon_sym_with] = ACTIONS(1229),
    [anon_sym_package] = ACTIONS(1229),
    [anon_sym_import] = ACTIONS(1229),
    [anon_sym_enum] = ACTIONS(1229),
    [anon_sym_public] = ACTIONS(1229),
    [anon_sym_protected] = ACTIONS(1229),
    [anon_sym_private] = ACTIONS(1229),
    [anon_sym_abstract] = ACTIONS(1229),
    [anon_sym_strictfp] = ACTIONS(1229),
    [anon_sym_native] = ACTIONS(1229),
    [anon_sym_transient] = ACTIONS(1229),
    [anon_sym_volatile] = ACTIONS(1229),
    [anon_sym_sealed] = ACTIONS(1229),
    [anon_sym_non_DASHsealed] = ACTIONS(1231),
    [anon_sym_record] = ACTIONS(1229),
    [anon_sym_ATinterface] = ACTIONS(1231),
    [anon_sym_interface] = ACTIONS(1229),
    [anon_sym_byte] = ACTIONS(1229),
    [anon_sym_short] = ACTIONS(1229),
    [anon_sym_int] = ACTIONS(1229),
    [anon_sym_long] = ACTIONS(1229),
    [anon_sym_char] = ACTIONS(1229),
    [anon_sym_float] = ACTIONS(1229),
    [anon_sym_double] = ACTIONS(1229),
    [sym_boolean_type] = ACTIONS(1229),
    [sym_void_type] = ACTIONS(1229),
    [sym_this] = ACTIONS(1229),
    [sym_super] = ACTIONS(1229),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_identifier] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_AMP] = ACTIONS(420),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_PLUS_EQ] = ACTIONS(422),
    [anon_sym_DASH_EQ] = ACTIONS(422),
    [anon_sym_STAR_EQ] = ACTIONS(422),
    [anon_sym_SLASH_EQ] = ACTIONS(422),
    [anon_sym_AMP_EQ] = ACTIONS(422),
    [anon_sym_PIPE_EQ] = ACTIONS(422),
    [anon_sym_CARET_EQ] = ACTIONS(422),
    [anon_sym_PERCENT_EQ] = ACTIONS(422),
    [anon_sym_LT_LT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT] = ACTIONS(420),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_GT_EQ] = ACTIONS(422),
    [anon_sym_LT_EQ] = ACTIONS(422),
    [anon_sym_EQ_EQ] = ACTIONS(422),
    [anon_sym_BANG_EQ] = ACTIONS(422),
    [anon_sym_AMP_AMP] = ACTIONS(422),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(420),
    [anon_sym_DASH] = ACTIONS(420),
    [anon_sym_STAR] = ACTIONS(420),
    [anon_sym_SLASH] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(420),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(420),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(420),
    [anon_sym_final] = ACTIONS(1233),
    [anon_sym_DASH_GT] = ACTIONS(422),
    [anon_sym_QMARK] = ACTIONS(422),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(422),
    [anon_sym_DOT] = ACTIONS(422),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_COLON_COLON] = ACTIONS(422),
    [anon_sym_default] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(422),
    [anon_sym_synchronized] = ACTIONS(1233),
    [anon_sym_AT] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(1233),
    [anon_sym_enum] = ACTIONS(1233),
    [anon_sym_public] = ACTIONS(1233),
    [anon_sym_protected] = ACTIONS(1233),
    [anon_sym_private] = ACTIONS(1233),
    [anon_sym_abstract] = ACTIONS(1233),
    [anon_sym_strictfp] = ACTIONS(1233),
    [anon_sym_native] = ACTIONS(1233),
    [anon_sym_transient] = ACTIONS(1233),
    [anon_sym_volatile] = ACTIONS(1233),
    [anon_sym_sealed] = ACTIONS(1233),
    [anon_sym_non_DASHsealed] = ACTIONS(1235),
    [anon_sym_record] = ACTIONS(1233),
    [anon_sym_ATinterface] = ACTIONS(1235),
    [anon_sym_interface] = ACTIONS(1233),
    [anon_sym_byte] = ACTIONS(1233),
    [anon_sym_short] = ACTIONS(1233),
    [anon_sym_int] = ACTIONS(1233),
    [anon_sym_long] = ACTIONS(1233),
    [anon_sym_char] = ACTIONS(1233),
    [anon_sym_float] = ACTIONS(1233),
    [anon_sym_double] = ACTIONS(1233),
    [sym_boolean_type] = ACTIONS(1233),
    [sym_void_type] = ACTIONS(1233),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_identifier] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_AMP] = ACTIONS(420),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_PLUS_EQ] = ACTIONS(422),
    [anon_sym_DASH_EQ] = ACTIONS(422),
    [anon_sym_STAR_EQ] = ACTIONS(422),
    [anon_sym_SLASH_EQ] = ACTIONS(422),
    [anon_sym_AMP_EQ] = ACTIONS(422),
    [anon_sym_PIPE_EQ] = ACTIONS(422),
    [anon_sym_CARET_EQ] = ACTIONS(422),
    [anon_sym_PERCENT_EQ] = ACTIONS(422),
    [anon_sym_LT_LT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT] = ACTIONS(420),
    [anon_sym_LT] = ACTIONS(420),
    [anon_sym_GT_EQ] = ACTIONS(422),
    [anon_sym_LT_EQ] = ACTIONS(422),
    [anon_sym_EQ_EQ] = ACTIONS(422),
    [anon_sym_BANG_EQ] = ACTIONS(422),
    [anon_sym_AMP_AMP] = ACTIONS(422),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(420),
    [anon_sym_DASH] = ACTIONS(420),
    [anon_sym_STAR] = ACTIONS(420),
    [anon_sym_SLASH] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(420),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(420),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(420),
    [anon_sym_final] = ACTIONS(1233),
    [anon_sym_DASH_GT] = ACTIONS(422),
    [anon_sym_QMARK] = ACTIONS(422),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(422),
    [anon_sym_DOT] = ACTIONS(422),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_COLON_COLON] = ACTIONS(422),
    [anon_sym_default] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(422),
    [anon_sym_synchronized] = ACTIONS(1233),
    [anon_sym_AT] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(1233),
    [anon_sym_enum] = ACTIONS(1233),
    [anon_sym_public] = ACTIONS(1233),
    [anon_sym_protected] = ACTIONS(1233),
    [anon_sym_private] = ACTIONS(1233),
    [anon_sym_abstract] = ACTIONS(1233),
    [anon_sym_strictfp] = ACTIONS(1233),
    [anon_sym_native] = ACTIONS(1233),
    [anon_sym_transient] = ACTIONS(1233),
    [anon_sym_volatile] = ACTIONS(1233),
    [anon_sym_sealed] = ACTIONS(1233),
    [anon_sym_non_DASHsealed] = ACTIONS(1235),
    [anon_sym_record] = ACTIONS(1233),
    [anon_sym_ATinterface] = ACTIONS(1235),
    [anon_sym_interface] = ACTIONS(1233),
    [anon_sym_byte] = ACTIONS(1233),
    [anon_sym_short] = ACTIONS(1233),
    [anon_sym_int] = ACTIONS(1233),
    [anon_sym_long] = ACTIONS(1233),
    [anon_sym_char] = ACTIONS(1233),
    [anon_sym_float] = ACTIONS(1233),
    [anon_sym_double] = ACTIONS(1233),
    [sym_boolean_type] = ACTIONS(1233),
    [sym_void_type] = ACTIONS(1233),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_identifier] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(422),
    [anon_sym_AMP] = ACTIONS(420),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_PLUS_EQ] = ACTIONS(422),
    [anon_sym_DASH_EQ] = ACTIONS(422),
    [anon_sym_STAR_EQ] = ACTIONS(422),
    [anon_sym_SLASH_EQ] = ACTIONS(422),
    [anon_sym_AMP_EQ] = ACTIONS(422),
    [anon_sym_PIPE_EQ] = ACTIONS(422),
    [anon_sym_CARET_EQ] = ACTIONS(422),
    [anon_sym_PERCENT_EQ] = ACTIONS(422),
    [anon_sym_LT_LT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT] = ACTIONS(420),
    [anon_sym_LT] = ACTIONS(420),
    [anon_sym_GT_EQ] = ACTIONS(422),
    [anon_sym_LT_EQ] = ACTIONS(422),
    [anon_sym_EQ_EQ] = ACTIONS(422),
    [anon_sym_BANG_EQ] = ACTIONS(422),
    [anon_sym_AMP_AMP] = ACTIONS(422),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(420),
    [anon_sym_DASH] = ACTIONS(420),
    [anon_sym_STAR] = ACTIONS(420),
    [anon_sym_SLASH] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(420),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(420),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(420),
    [anon_sym_final] = ACTIONS(1233),
    [anon_sym_DASH_GT] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(422),
    [anon_sym_QMARK] = ACTIONS(422),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(422),
    [anon_sym_DOT] = ACTIONS(422),
    [anon_sym_COLON_COLON] = ACTIONS(422),
    [anon_sym_default] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(422),
    [anon_sym_synchronized] = ACTIONS(1233),
    [anon_sym_AT] = ACTIONS(1235),
    [anon_sym_static] = ACTIONS(1233),
    [anon_sym_public] = ACTIONS(1233),
    [anon_sym_protected] = ACTIONS(1233),
    [anon_sym_private] = ACTIONS(1233),
    [anon_sym_abstract] = ACTIONS(1233),
    [anon_sym_strictfp] = ACTIONS(1233),
    [anon_sym_native] = ACTIONS(1233),
    [anon_sym_transient] = ACTIONS(1233),
    [anon_sym_volatile] = ACTIONS(1233),
    [anon_sym_sealed] = ACTIONS(1233),
    [anon_sym_non_DASHsealed] = ACTIONS(1235),
    [anon_sym_byte] = ACTIONS(1233),
    [anon_sym_short] = ACTIONS(1233),
    [anon_sym_int] = ACTIONS(1233),
    [anon_sym_long] = ACTIONS(1233),
    [anon_sym_char] = ACTIONS(1233),
    [anon_sym_float] = ACTIONS(1233),
    [anon_sym_double] = ACTIONS(1233),
    [sym_boolean_type] = ACTIONS(1233),
    [sym_void_type] = ACTIONS(1233),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [403] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_lambda_expression] = STATE(602),
    [sym_inferred_parameters] = STATE(1327),
    [sym_primary_expression] = STATE(512),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(568),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(568),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1327),
    [sym__reserved_identifier] = STATE(581),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(1237),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(1241),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(1241),
    [anon_sym_module] = ACTIONS(1241),
    [anon_sym_with] = ACTIONS(1241),
    [anon_sym_sealed] = ACTIONS(1241),
    [anon_sym_record] = ACTIONS(1241),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(1243),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [404] = {
    [sym__literal] = STATE(568),
    [sym_string_literal] = STATE(542),
    [sym__string_literal] = STATE(570),
    [sym__multiline_string_literal] = STATE(570),
    [sym_lambda_expression] = STATE(602),
    [sym_inferred_parameters] = STATE(1348),
    [sym_primary_expression] = STATE(512),
    [sym_array_creation_expression] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_class_literal] = STATE(568),
    [sym_object_creation_expression] = STATE(568),
    [sym__unqualified_object_creation_expression] = STATE(573),
    [sym_field_access] = STATE(568),
    [sym_template_expression] = STATE(568),
    [sym_array_access] = STATE(568),
    [sym_method_invocation] = STATE(568),
    [sym_method_reference] = STATE(568),
    [sym__annotation] = STATE(781),
    [sym_marker_annotation] = STATE(781),
    [sym_annotation] = STATE(781),
    [sym__type] = STATE(1310),
    [sym__unannotated_type] = STATE(886),
    [sym_annotated_type] = STATE(906),
    [sym_scoped_type_identifier] = STATE(815),
    [sym_generic_type] = STATE(832),
    [sym_array_type] = STATE(753),
    [sym_integral_type] = STATE(753),
    [sym_floating_point_type] = STATE(753),
    [sym_formal_parameters] = STATE(1348),
    [sym__reserved_identifier] = STATE(498),
    [aux_sym_array_creation_expression_repeat1] = STATE(781),
    [sym_identifier] = ACTIONS(1245),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(1241),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(1241),
    [anon_sym_module] = ACTIONS(1241),
    [anon_sym_with] = ACTIONS(1241),
    [anon_sym_sealed] = ACTIONS(1241),
    [anon_sym_record] = ACTIONS(1241),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(1243),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(422), 26,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(420), 35,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_final,
      anon_sym_COLON,
      anon_sym_default,
      anon_sym_when,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [70] = 28,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1247), 1,
      sym_identifier,
    ACTIONS(1249), 1,
      anon_sym_RBRACE,
    ACTIONS(1251), 1,
      anon_sym_SEMI,
    ACTIONS(1253), 1,
      anon_sym_static,
    ACTIONS(1255), 1,
      anon_sym_record,
    STATE(689), 1,
      sym_modifiers,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(774), 1,
      sym_type_parameters,
    STATE(775), 1,
      sym__unannotated_type,
    STATE(1013), 1,
      sym__constructor_declarator,
    STATE(1166), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(509), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(23), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(409), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [189] = 28,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1247), 1,
      sym_identifier,
    ACTIONS(1253), 1,
      anon_sym_static,
    ACTIONS(1255), 1,
      anon_sym_record,
    ACTIONS(1257), 1,
      anon_sym_RBRACE,
    ACTIONS(1259), 1,
      anon_sym_SEMI,
    STATE(689), 1,
      sym_modifiers,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(774), 1,
      sym_type_parameters,
    STATE(775), 1,
      sym__unannotated_type,
    STATE(1013), 1,
      sym__constructor_declarator,
    STATE(1166), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(509), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(23), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(410), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [308] = 28,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1247), 1,
      sym_identifier,
    ACTIONS(1253), 1,
      anon_sym_static,
    ACTIONS(1255), 1,
      anon_sym_record,
    ACTIONS(1261), 1,
      anon_sym_RBRACE,
    ACTIONS(1263), 1,
      anon_sym_SEMI,
    STATE(689), 1,
      sym_modifiers,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(774), 1,
      sym_type_parameters,
    STATE(775), 1,
      sym__unannotated_type,
    STATE(1013), 1,
      sym__constructor_declarator,
    STATE(1166), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(509), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(23), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(407), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [427] = 28,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1247), 1,
      sym_identifier,
    ACTIONS(1253), 1,
      anon_sym_static,
    ACTIONS(1255), 1,
      anon_sym_record,
    ACTIONS(1259), 1,
      anon_sym_SEMI,
    ACTIONS(1265), 1,
      anon_sym_RBRACE,
    STATE(689), 1,
      sym_modifiers,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(774), 1,
      sym_type_parameters,
    STATE(775), 1,
      sym__unannotated_type,
    STATE(1013), 1,
      sym__constructor_declarator,
    STATE(1166), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(509), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(23), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(410), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [546] = 28,
    ACTIONS(1267), 1,
      sym_identifier,
    ACTIONS(1270), 1,
      anon_sym_RBRACE,
    ACTIONS(1272), 1,
      anon_sym_LT,
    ACTIONS(1278), 1,
      anon_sym_class,
    ACTIONS(1281), 1,
      anon_sym_LBRACE,
    ACTIONS(1284), 1,
      anon_sym_SEMI,
    ACTIONS(1287), 1,
      anon_sym_AT,
    ACTIONS(1290), 1,
      anon_sym_static,
    ACTIONS(1293), 1,
      anon_sym_enum,
    ACTIONS(1296), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1299), 1,
      anon_sym_record,
    ACTIONS(1302), 1,
      anon_sym_ATinterface,
    ACTIONS(1305), 1,
      anon_sym_interface,
    STATE(689), 1,
      sym_modifiers,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(774), 1,
      sym_type_parameters,
    STATE(775), 1,
      sym__unannotated_type,
    STATE(1013), 1,
      sym__constructor_declarator,
    STATE(1166), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1311), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(1314), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(509), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1308), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(1275), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(410), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [665] = 14,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    STATE(569), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1319), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(1323), 15,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
  [754] = 17,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1343), 1,
      anon_sym_RPAREN,
    ACTIONS(1346), 1,
      anon_sym_COMMA,
    ACTIONS(1348), 1,
      anon_sym_DOT,
    STATE(569), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    STATE(1153), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1341), 2,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1317), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1319), 9,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [847] = 18,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1346), 1,
      anon_sym_COMMA,
    ACTIONS(1348), 1,
      anon_sym_DOT,
    ACTIONS(1352), 1,
      anon_sym_RPAREN,
    ACTIONS(1356), 1,
      anon_sym_AMP,
    STATE(569), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    STATE(1153), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1341), 2,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1317), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1319), 9,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 12,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [942] = 25,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1255), 1,
      anon_sym_record,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(1361), 1,
      anon_sym_RBRACE,
    ACTIONS(1363), 1,
      anon_sym_SEMI,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(718), 1,
      sym_modifiers,
    STATE(757), 1,
      sym_generic_type,
    STATE(776), 1,
      sym_type_parameters,
    STATE(780), 1,
      sym__unannotated_type,
    STATE(1166), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(509), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(416), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(23), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1049] = 15,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1367), 1,
      anon_sym_EQ,
    ACTIONS(1371), 1,
      anon_sym_DASH_GT,
    STATE(569), 1,
      sym_argument_list,
    STATE(607), 1,
      sym_record_pattern_body,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1319), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1369), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 15,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
  [1136] = 25,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1255), 1,
      anon_sym_record,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(1374), 1,
      anon_sym_RBRACE,
    ACTIONS(1376), 1,
      anon_sym_SEMI,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(718), 1,
      sym_modifiers,
    STATE(757), 1,
      sym_generic_type,
    STATE(776), 1,
      sym_type_parameters,
    STATE(780), 1,
      sym__unannotated_type,
    STATE(1166), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(509), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(418), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(23), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1243] = 15,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    STATE(569), 1,
      sym_argument_list,
    STATE(607), 1,
      sym_record_pattern_body,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1319), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 15,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
  [1330] = 25,
    ACTIONS(1378), 1,
      sym_identifier,
    ACTIONS(1381), 1,
      anon_sym_RBRACE,
    ACTIONS(1383), 1,
      anon_sym_LT,
    ACTIONS(1389), 1,
      anon_sym_class,
    ACTIONS(1392), 1,
      anon_sym_SEMI,
    ACTIONS(1395), 1,
      anon_sym_AT,
    ACTIONS(1398), 1,
      anon_sym_enum,
    ACTIONS(1401), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1404), 1,
      anon_sym_record,
    ACTIONS(1407), 1,
      anon_sym_ATinterface,
    ACTIONS(1410), 1,
      anon_sym_interface,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(718), 1,
      sym_modifiers,
    STATE(757), 1,
      sym_generic_type,
    STATE(776), 1,
      sym_type_parameters,
    STATE(780), 1,
      sym__unannotated_type,
    STATE(1166), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(1419), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(509), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1413), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(418), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(1386), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1437] = 15,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1422), 1,
      anon_sym_COLON,
    STATE(569), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1319), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1523] = 15,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1424), 1,
      anon_sym_COLON,
    STATE(569), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1319), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1609] = 15,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1426), 1,
      anon_sym_COLON,
    STATE(569), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1319), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1695] = 15,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1428), 1,
      anon_sym_LPAREN,
    STATE(569), 1,
      sym_argument_list,
    STATE(607), 1,
      sym_record_pattern_body,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1319), 11,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1781] = 6,
    ACTIONS(1430), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1112), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(420), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
    ACTIONS(422), 26,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [1846] = 21,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(1432), 1,
      anon_sym_RBRACE,
    ACTIONS(1434), 1,
      anon_sym_SEMI,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(793), 1,
      sym__unannotated_type,
    STATE(802), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(509), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(426), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(23), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1940] = 21,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(1436), 1,
      anon_sym_RBRACE,
    ACTIONS(1438), 1,
      anon_sym_SEMI,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(793), 1,
      sym__unannotated_type,
    STATE(802), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(509), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(424), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(23), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [2034] = 21,
    ACTIONS(1440), 1,
      sym_identifier,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    ACTIONS(1448), 1,
      anon_sym_class,
    ACTIONS(1451), 1,
      anon_sym_SEMI,
    ACTIONS(1454), 1,
      anon_sym_AT,
    ACTIONS(1457), 1,
      anon_sym_enum,
    ACTIONS(1460), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1463), 1,
      anon_sym_ATinterface,
    ACTIONS(1466), 1,
      anon_sym_interface,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(793), 1,
      sym__unannotated_type,
    STATE(802), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1472), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(1475), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(509), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1469), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(426), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(1445), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [2128] = 8,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    STATE(569), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 19,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2195] = 5,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(543), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1480), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1478), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2256] = 5,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(541), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1484), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1482), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2317] = 7,
    ACTIONS(1490), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_AT,
    STATE(430), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(962), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1486), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1488), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [2381] = 7,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1500), 1,
      anon_sym_LBRACK,
    STATE(430), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(962), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1496), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1498), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [2445] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1484), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1482), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2500] = 8,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1500), 1,
      anon_sym_LBRACK,
    STATE(431), 1,
      aux_sym_dimensions_repeat1,
    STATE(475), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(962), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1502), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1504), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [2565] = 13,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1367), 1,
      anon_sym_EQ,
    ACTIONS(1371), 1,
      anon_sym_DASH_GT,
    STATE(569), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1369), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1319), 12,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_when,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
  [2640] = 8,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1500), 1,
      anon_sym_LBRACK,
    STATE(431), 1,
      aux_sym_dimensions_repeat1,
    STATE(475), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(962), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1506), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1508), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [2705] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1512), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1510), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2760] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1480), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1478), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2815] = 9,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1367), 1,
      anon_sym_EQ,
    ACTIONS(1371), 1,
      anon_sym_DASH_GT,
    STATE(569), 1,
      sym_argument_list,
    STATE(607), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1369), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [2881] = 5,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 19,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2939] = 9,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    STATE(569), 1,
      sym_argument_list,
    STATE(607), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [3005] = 11,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1343), 1,
      anon_sym_RPAREN,
    ACTIONS(1346), 1,
      anon_sym_COMMA,
    STATE(569), 1,
      sym_argument_list,
    STATE(1153), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1319), 13,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
  [3074] = 8,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    ACTIONS(1516), 1,
      anon_sym_LT,
    ACTIONS(1519), 1,
      anon_sym_DOT,
    STATE(453), 1,
      sym_type_arguments,
    STATE(607), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1317), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1341), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [3137] = 8,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1367), 1,
      anon_sym_EQ,
    ACTIONS(1371), 1,
      anon_sym_DASH_GT,
    STATE(569), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1369), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [3200] = 13,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1521), 1,
      anon_sym_EQ,
    STATE(569), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1319), 11,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
  [3273] = 9,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1428), 1,
      anon_sym_LPAREN,
    STATE(569), 1,
      sym_argument_list,
    STATE(607), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1319), 15,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [3338] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_LBRACK,
    STATE(431), 1,
      aux_sym_dimensions_repeat1,
    STATE(564), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(464), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(963), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1525), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1523), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [3402] = 6,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    ACTIONS(1533), 1,
      anon_sym_DOT,
    STATE(607), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1529), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1531), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [3460] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_LBRACK,
    STATE(431), 1,
      aux_sym_dimensions_repeat1,
    STATE(567), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(464), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(963), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1537), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1535), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [3524] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_LBRACK,
    STATE(431), 1,
      aux_sym_dimensions_repeat1,
    STATE(518), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(464), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(963), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1541), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1539), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [3588] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_LBRACK,
    STATE(431), 1,
      aux_sym_dimensions_repeat1,
    STATE(521), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(464), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(963), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1545), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1543), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [3652] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1547), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1549), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [3703] = 6,
    ACTIONS(1516), 1,
      anon_sym_LT,
    ACTIONS(1519), 1,
      anon_sym_DOT,
    STATE(453), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1317), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1341), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [3760] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1551), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1553), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [3811] = 4,
    ACTIONS(1555), 1,
      anon_sym_module,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(420), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(422), 27,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [3864] = 5,
    ACTIONS(1367), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1369), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [3919] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1557), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1559), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_AT,
  [3970] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1486), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1488), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_AT,
  [4021] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1561), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1563), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4072] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1565), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1567), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4123] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1569), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1571), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4174] = 6,
    ACTIONS(1533), 1,
      anon_sym_DOT,
    ACTIONS(1573), 1,
      anon_sym_LT,
    STATE(451), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1529), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1531), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [4231] = 4,
    ACTIONS(1576), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(420), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
    ACTIONS(422), 26,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [4284] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1578), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1580), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4334] = 7,
    ACTIONS(1586), 1,
      anon_sym_LBRACK,
    ACTIONS(1589), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(464), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1584), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1582), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [4392] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1027), 11,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1029), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [4442] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1592), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1594), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4492] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1596), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1598), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4542] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1602), 8,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1600), 33,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_to,
      anon_sym_with,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [4592] = 4,
    ACTIONS(1533), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1529), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1531), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [4644] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1604), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1606), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4694] = 19,
    ACTIONS(460), 1,
      anon_sym_RPAREN,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(468), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(625), 1,
      aux_sym_modifiers_repeat1,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(782), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(789), 1,
      sym__unannotated_type,
    STATE(827), 1,
      sym_modifiers,
    STATE(1200), 1,
      sym_receiver_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1109), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(692), 3,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(462), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [4776] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1159), 11,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1161), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [4826] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1608), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1610), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [4875] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1612), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1614), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [4924] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1616), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1618), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [4973] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1529), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1531), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [5022] = 6,
    ACTIONS(1620), 1,
      sym_identifier,
    STATE(608), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(1624), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
    ACTIONS(1622), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [5076] = 16,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(468), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(1626), 1,
      anon_sym_RPAREN,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(808), 1,
      sym__unannotated_type,
    STATE(827), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1079), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(625), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(462), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [5150] = 6,
    ACTIONS(1628), 1,
      sym_identifier,
    STATE(604), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(1632), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
    ACTIONS(1630), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [5204] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1506), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1508), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [5251] = 15,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(468), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(808), 1,
      sym__unannotated_type,
    STATE(827), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1211), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(625), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(462), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [5322] = 16,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(468), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(816), 1,
      sym__unannotated_type,
    STATE(822), 1,
      sym_modifiers,
    STATE(889), 1,
      sym_catch_type,
    STATE(1376), 1,
      sym_catch_formal_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(625), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(462), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [5395] = 11,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    STATE(569), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1323), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [5458] = 6,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    STATE(549), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1634), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5510] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(533), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1644), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1642), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5559] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(565), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1650), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1648), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5608] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(519), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1654), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1652), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5657] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(544), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1658), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1656), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5706] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1662), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1660), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5755] = 5,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(543), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1480), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1478), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5804] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(545), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1666), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1664), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5853] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1670), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1668), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5902] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(562), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1674), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1672), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5951] = 5,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(541), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1484), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1482), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6000] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1678), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1676), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6049] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1682), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1680), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6098] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1686), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1684), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6147] = 6,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    STATE(569), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1323), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6198] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(534), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1690), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1688), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6247] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1694), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1692), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_AT,
  [6291] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1698), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1696), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
  [6335] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1567), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1565), 23,
      anon_sym_new,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [6379] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1563), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1561), 23,
      anon_sym_new,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [6423] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1702), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1700), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
  [6467] = 7,
    ACTIONS(1711), 1,
      anon_sym_AT,
    ACTIONS(1714), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1706), 2,
      anon_sym_LT,
      anon_sym_ATinterface,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1708), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    ACTIONS(1704), 14,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [6519] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1719), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1717), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
  [6563] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1571), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1569), 23,
      anon_sym_new,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [6607] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1723), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1721), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_AT,
  [6651] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(1731), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1727), 2,
      anon_sym_LT,
      anon_sym_ATinterface,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1729), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    ACTIONS(1725), 14,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [6703] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1735), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1733), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [6746] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1739), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1737), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6789] = 6,
    ACTIONS(1745), 1,
      anon_sym_LBRACK,
    ACTIONS(1747), 1,
      anon_sym_DOT,
    ACTIONS(1749), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1743), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1741), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [6838] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1753), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1751), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6881] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1757), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1755), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6924] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1761), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1759), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6967] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1765), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1763), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7010] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1769), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1767), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7053] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1773), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1771), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7096] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1777), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1775), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7139] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1781), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1779), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7182] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1785), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1783), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7225] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1789), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1787), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7268] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1793), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1791), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7311] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1797), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1795), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7354] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1801), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1799), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7397] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1805), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1803), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7440] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1809), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1807), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7483] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1813), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1811), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7526] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1817), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1815), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7569] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1821), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1819), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7612] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1825), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1823), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7655] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1829), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1827), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7698] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1833), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1831), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7741] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1837), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1835), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7784] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1841), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1839), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7827] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1845), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1843), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7870] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1849), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1847), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7913] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1853), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1851), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7956] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1857), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1855), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7999] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1861), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1859), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8042] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1865), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1863), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8085] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1869), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1867), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8128] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1873), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1871), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8171] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1877), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1875), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8214] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1881), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1879), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8257] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1885), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1883), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8300] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1889), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1887), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8343] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1893), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1891), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8386] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1897), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1895), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8429] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1901), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1899), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8472] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1905), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1903), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8515] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1909), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1907), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8558] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1913), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1911), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8601] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1917), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1915), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8644] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1921), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1919), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8687] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1925), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1923), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8730] = 6,
    ACTIONS(1749), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1929), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1927), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [8779] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1480), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1478), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8822] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1512), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1510), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8865] = 11,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1371), 1,
      anon_sym_DASH_GT,
    STATE(569), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1323), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 17,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_when,
  [8924] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1484), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1482), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8967] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1937), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1935), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9010] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1941), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1939), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9053] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1945), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1943), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9096] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1949), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1947), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9139] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1953), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1951), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9182] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1957), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1955), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9225] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1323), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9268] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1961), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1959), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9311] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1965), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1963), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9354] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1969), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1967), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9397] = 6,
    ACTIONS(1749), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(482), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(484), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [9446] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1973), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1971), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9489] = 5,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1235), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1978), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
    ACTIONS(1975), 11,
      anon_sym_AT,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(1233), 17,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
  [9536] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1982), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1980), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9579] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1986), 5,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1984), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9621] = 5,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    STATE(1278), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1235), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1233), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9667] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1990), 5,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1988), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9709] = 5,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    STATE(522), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1235), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1233), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9755] = 7,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    STATE(582), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1498), 10,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1496), 15,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [9804] = 6,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1371), 1,
      anon_sym_DASH_GT,
    STATE(569), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1323), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 20,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [9851] = 7,
    ACTIONS(1493), 1,
      anon_sym_AT,
    ACTIONS(1994), 1,
      anon_sym_LBRACK,
    STATE(582), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1488), 10,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1486), 15,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [9900] = 17,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(1999), 1,
      anon_sym_final,
    STATE(435), 1,
      sym__unannotated_type,
    STATE(447), 1,
      sym_generic_type,
    STATE(461), 1,
      sym_scoped_type_identifier,
    STATE(477), 1,
      sym__type,
    STATE(480), 1,
      sym_annotated_type,
    STATE(589), 1,
      sym_record_pattern,
    STATE(1205), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2003), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2005), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(476), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(784), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2001), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [9969] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2009), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2007), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10011] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(482), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(484), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10051] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2015), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2013), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10091] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2019), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2017), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10131] = 16,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(435), 1,
      sym__unannotated_type,
    STATE(447), 1,
      sym_generic_type,
    STATE(461), 1,
      sym_scoped_type_identifier,
    STATE(479), 1,
      sym__type,
    STATE(480), 1,
      sym_annotated_type,
    STATE(603), 1,
      sym_record_pattern,
    STATE(1205), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2003), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2005), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(476), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(784), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2001), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [10197] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2023), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2021), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10237] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2027), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2025), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10277] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2031), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2029), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10317] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2035), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2033), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10357] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2039), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2037), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10397] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2043), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2041), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10437] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2047), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2045), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10477] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2051), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2049), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10517] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2055), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2053), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10557] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2059), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2057), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10597] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1927), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10639] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1929), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1927), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10679] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2015), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2013), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10719] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1743), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1741), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10759] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2063), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2061), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10799] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2067), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2065), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10839] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2071), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2069), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10879] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2073), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10919] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2079), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2077), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10959] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2083), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2081), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10999] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2087), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2085), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11039] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2089), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11108] = 15,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2007), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11171] = 15,
    ACTIONS(2009), 1,
      anon_sym_PIPE,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2007), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11234] = 5,
    ACTIONS(2124), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2121), 2,
      anon_sym_DASH_GT,
      anon_sym_when,
    ACTIONS(1702), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1700), 19,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [11277] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2127), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11346] = 14,
    ACTIONS(2009), 1,
      anon_sym_PIPE,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2007), 11,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11407] = 7,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2009), 5,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2007), 18,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11454] = 16,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2007), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11519] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2085), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11588] = 13,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2009), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2007), 11,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11647] = 9,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2009), 4,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(2007), 16,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11698] = 12,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2009), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2007), 13,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11755] = 6,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2009), 7,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2007), 18,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11800] = 6,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    ACTIONS(2131), 1,
      anon_sym_DOT,
    STATE(663), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1638), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1634), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [11844] = 5,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(1351), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1323), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1319), 19,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [11886] = 6,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(2135), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(627), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1725), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(2133), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [11930] = 22,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2137), 1,
      anon_sym_AMP,
    ACTIONS(2145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(2155), 1,
      anon_sym_PIPE,
    ACTIONS(2157), 1,
      anon_sym_CARET,
    ACTIONS(2161), 1,
      anon_sym_GT_GT,
    ACTIONS(2165), 1,
      anon_sym_COMMA,
    ACTIONS(2167), 1,
      anon_sym_QMARK,
    ACTIONS(2169), 1,
      anon_sym_when,
    STATE(946), 1,
      aux_sym_argument_list_repeat1,
    STATE(1273), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2141), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2143), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [12006] = 6,
    ACTIONS(2174), 1,
      anon_sym_AT,
    ACTIONS(2177), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(627), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1704), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(2171), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [12050] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1602), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1600), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [12087] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2121), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1702), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1700), 18,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [12126] = 22,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_COLON,
    ACTIONS(2180), 1,
      anon_sym_COMMA,
    ACTIONS(2182), 1,
      anon_sym_when,
    STATE(982), 1,
      aux_sym_argument_list_repeat1,
    STATE(1273), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12201] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2184), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [12267] = 18,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2137), 1,
      anon_sym_AMP,
    ACTIONS(2145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(2155), 1,
      anon_sym_PIPE,
    ACTIONS(2157), 1,
      anon_sym_CARET,
    ACTIONS(2161), 1,
      anon_sym_GT_GT,
    ACTIONS(2167), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2141), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2143), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2184), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [12333] = 18,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2137), 1,
      anon_sym_AMP,
    ACTIONS(2145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(2155), 1,
      anon_sym_PIPE,
    ACTIONS(2157), 1,
      anon_sym_CARET,
    ACTIONS(2161), 1,
      anon_sym_GT_GT,
    ACTIONS(2167), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2141), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2143), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2127), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [12399] = 18,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2137), 1,
      anon_sym_AMP,
    ACTIONS(2145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(2155), 1,
      anon_sym_PIPE,
    ACTIONS(2157), 1,
      anon_sym_CARET,
    ACTIONS(2161), 1,
      anon_sym_GT_GT,
    ACTIONS(2167), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2141), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2143), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2089), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [12465] = 18,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2137), 1,
      anon_sym_AMP,
    ACTIONS(2145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(2155), 1,
      anon_sym_PIPE,
    ACTIONS(2157), 1,
      anon_sym_CARET,
    ACTIONS(2161), 1,
      anon_sym_GT_GT,
    ACTIONS(2167), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2141), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2143), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2085), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [12531] = 6,
    ACTIONS(1749), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2186), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(482), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(484), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
  [12573] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1488), 12,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1486), 15,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [12609] = 13,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(2161), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2009), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2141), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2143), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2007), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12665] = 14,
    ACTIONS(518), 1,
      sym_underscore_pattern,
    ACTIONS(2188), 1,
      sym_identifier,
    ACTIONS(2190), 1,
      anon_sym_RPAREN,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(830), 1,
      sym__unannotated_type,
    STATE(871), 1,
      sym_generic_type,
    STATE(1205), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1154), 2,
      sym_record_pattern,
      sym_record_pattern_component,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [12723] = 12,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(2161), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2009), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2141), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2007), 10,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12777] = 15,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2137), 1,
      anon_sym_AMP,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(2155), 1,
      anon_sym_PIPE,
    ACTIONS(2157), 1,
      anon_sym_CARET,
    ACTIONS(2161), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2141), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2143), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2007), 7,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12837] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1559), 12,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1557), 15,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [12873] = 9,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(2161), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2009), 4,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(2007), 13,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12921] = 16,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2137), 1,
      anon_sym_AMP,
    ACTIONS(2145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(2155), 1,
      anon_sym_PIPE,
    ACTIONS(2157), 1,
      anon_sym_CARET,
    ACTIONS(2161), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2141), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2143), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2007), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12983] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2192), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [13049] = 6,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2009), 7,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2007), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [13091] = 15,
    ACTIONS(2009), 1,
      anon_sym_PIPE,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2137), 1,
      anon_sym_AMP,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(2157), 1,
      anon_sym_CARET,
    ACTIONS(2161), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2141), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2143), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2007), 7,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [13151] = 14,
    ACTIONS(2009), 1,
      anon_sym_PIPE,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2137), 1,
      anon_sym_AMP,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(2161), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2141), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2143), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2007), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [13209] = 7,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2009), 5,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2007), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [13253] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2194), 1,
      anon_sym_COMMA,
    ACTIONS(2196), 1,
      anon_sym_SEMI,
    STATE(1169), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13322] = 13,
    ACTIONS(518), 1,
      sym_underscore_pattern,
    ACTIONS(2188), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(830), 1,
      sym__unannotated_type,
    STATE(871), 1,
      sym_generic_type,
    STATE(1205), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1292), 2,
      sym_record_pattern,
      sym_record_pattern_component,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [13377] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2194), 1,
      anon_sym_COMMA,
    ACTIONS(2198), 1,
      anon_sym_SEMI,
    STATE(1128), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13446] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2200), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [13511] = 15,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(2202), 1,
      anon_sym_GT,
    ACTIONS(2204), 1,
      anon_sym_QMARK,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(834), 1,
      sym__unannotated_type,
    STATE(906), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1099), 2,
      sym_wildcard,
      sym__type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(768), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [13570] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2206), 1,
      anon_sym_RPAREN,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    STATE(1083), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13639] = 12,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(468), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2210), 1,
      sym_identifier,
    ACTIONS(2212), 1,
      anon_sym_RBRACE,
    ACTIONS(2214), 1,
      anon_sym_COMMA,
    ACTIONS(2216), 1,
      anon_sym_SEMI,
    STATE(1005), 1,
      sym_enum_constant,
    STATE(1355), 1,
      sym_enum_body_declarations,
    STATE(1358), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(625), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(462), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [13692] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2218), 1,
      anon_sym_RPAREN,
    STATE(1086), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13761] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2180), 1,
      anon_sym_COMMA,
    ACTIONS(2220), 1,
      anon_sym_RPAREN,
    STATE(1126), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13830] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2222), 1,
      anon_sym_RPAREN,
    STATE(1105), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13899] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_RPAREN,
    STATE(1113), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13968] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2226), 1,
      anon_sym_RPAREN,
    STATE(1175), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14037] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_RBRACE,
    ACTIONS(2230), 1,
      anon_sym_COMMA,
    STATE(1073), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14106] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1897), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1895), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [14141] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2194), 1,
      anon_sym_COMMA,
    ACTIONS(2232), 1,
      anon_sym_SEMI,
    STATE(1063), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14210] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1735), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1733), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [14245] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1861), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1859), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [14280] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(480), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(482), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(484), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
  [14317] = 15,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(2204), 1,
      anon_sym_QMARK,
    ACTIONS(2234), 1,
      anon_sym_GT,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(834), 1,
      sym__unannotated_type,
    STATE(906), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1095), 2,
      sym_wildcard,
      sym__type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(768), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [14376] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2236), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14445] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2238), 1,
      anon_sym_RPAREN,
    STATE(1084), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14514] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2240), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14583] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2242), 1,
      anon_sym_RPAREN,
    STATE(1136), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14652] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2244), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14721] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2246), 1,
      anon_sym_RPAREN,
    STATE(1142), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14790] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2248), 1,
      anon_sym_RPAREN,
    STATE(1143), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14859] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2250), 1,
      anon_sym_RPAREN,
    STATE(1146), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14928] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2252), 1,
      anon_sym_RPAREN,
    STATE(1147), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14997] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2254), 1,
      anon_sym_RPAREN,
    STATE(1148), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15066] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2256), 1,
      anon_sym_RPAREN,
    STATE(1149), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15135] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2258), 1,
      anon_sym_RPAREN,
    STATE(1152), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15204] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2260), 1,
      anon_sym_RPAREN,
    STATE(1155), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15273] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2262), 1,
      anon_sym_RPAREN,
    STATE(1156), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15342] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2264), 1,
      anon_sym_RPAREN,
    STATE(1157), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15411] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2266), 1,
      anon_sym_RPAREN,
    STATE(1159), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15480] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2268), 1,
      anon_sym_RPAREN,
    STATE(1160), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15549] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2270), 1,
      anon_sym_RPAREN,
    STATE(1161), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15618] = 20,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2272), 1,
      anon_sym_RPAREN,
    STATE(1162), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15687] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1969), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1967), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [15722] = 18,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2274), 1,
      sym_identifier,
    ACTIONS(2276), 1,
      anon_sym_class,
    ACTIONS(2278), 1,
      anon_sym_enum,
    ACTIONS(2280), 1,
      anon_sym_record,
    ACTIONS(2282), 1,
      anon_sym_ATinterface,
    ACTIONS(2284), 1,
      anon_sym_interface,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(772), 1,
      sym__unannotated_type,
    STATE(774), 1,
      sym_type_parameters,
    STATE(1051), 1,
      sym__constructor_declarator,
    STATE(1097), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [15786] = 18,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2137), 1,
      anon_sym_AMP,
    ACTIONS(2145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    ACTIONS(2155), 1,
      anon_sym_PIPE,
    ACTIONS(2157), 1,
      anon_sym_CARET,
    ACTIONS(2161), 1,
      anon_sym_GT_GT,
    ACTIONS(2167), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2139), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2141), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2143), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2286), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [15850] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2192), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [15914] = 5,
    ACTIONS(1235), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2288), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1975), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(1233), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [15952] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2291), 1,
      anon_sym_DOT,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1317), 11,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1341), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [15992] = 11,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(468), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2210), 1,
      sym_identifier,
    ACTIONS(2216), 1,
      anon_sym_SEMI,
    ACTIONS(2293), 1,
      anon_sym_RBRACE,
    STATE(1144), 1,
      sym_enum_constant,
    STATE(1309), 1,
      sym_enum_body_declarations,
    STATE(1358), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(625), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(462), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [16042] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2295), 1,
      anon_sym_DOT,
    STATE(715), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1529), 11,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1531), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16082] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1596), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1598), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16116] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1604), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1606), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16150] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2297), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [16214] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2299), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [16278] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2301), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [16342] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2303), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [16406] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1592), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1594), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16440] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1578), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1580), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16474] = 14,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(2204), 1,
      anon_sym_QMARK,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(834), 1,
      sym__unannotated_type,
    STATE(906), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1252), 2,
      sym_wildcard,
      sym__type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(768), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16530] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2305), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [16594] = 16,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      sym_identifier,
    ACTIONS(2309), 1,
      anon_sym_DOT,
    ACTIONS(2311), 1,
      sym_underscore_pattern,
    ACTIONS(2313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2315), 1,
      sym_this,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1121), 1,
      aux_sym_receiver_parameter_repeat1,
    STATE(1288), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1508), 3,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [16654] = 11,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(468), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2210), 1,
      sym_identifier,
    ACTIONS(2216), 1,
      anon_sym_SEMI,
    ACTIONS(2317), 1,
      anon_sym_RBRACE,
    STATE(1144), 1,
      sym_enum_constant,
    STATE(1358), 1,
      sym_modifiers,
    STATE(1375), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(625), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(462), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [16704] = 19,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2319), 1,
      anon_sym_COLON,
    ACTIONS(2321), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [16770] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2323), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [16833] = 14,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(2325), 1,
      anon_sym_open,
    ACTIONS(2327), 1,
      anon_sym_module,
    ACTIONS(2329), 1,
      anon_sym_package,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(826), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16888] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [16951] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2333), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17014] = 17,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(2276), 1,
      anon_sym_class,
    ACTIONS(2278), 1,
      anon_sym_enum,
    ACTIONS(2280), 1,
      anon_sym_record,
    ACTIONS(2282), 1,
      anon_sym_ATinterface,
    ACTIONS(2284), 1,
      anon_sym_interface,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(776), 1,
      sym_type_parameters,
    STATE(777), 1,
      sym__unannotated_type,
    STATE(1097), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17075] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17138] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1547), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1549), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17171] = 14,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(834), 1,
      sym__unannotated_type,
    STATE(906), 1,
      sym_annotated_type,
    STATE(1014), 1,
      sym__type,
    STATE(1203), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(781), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17226] = 14,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(834), 1,
      sym__unannotated_type,
    STATE(906), 1,
      sym_annotated_type,
    STATE(1014), 1,
      sym__type,
    STATE(1341), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(781), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17281] = 17,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(2276), 1,
      anon_sym_class,
    ACTIONS(2278), 1,
      anon_sym_enum,
    ACTIONS(2280), 1,
      anon_sym_record,
    ACTIONS(2282), 1,
      anon_sym_ATinterface,
    ACTIONS(2284), 1,
      anon_sym_interface,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(776), 1,
      sym_type_parameters,
    STATE(779), 1,
      sym__unannotated_type,
    STATE(1097), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17342] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2337), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17405] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17468] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17531] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2341), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17594] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2343), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17657] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2345), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17720] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2347), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17783] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17846] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2351), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17909] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2353), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17972] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2355), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18035] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1608), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1610), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [18068] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1612), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1614), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [18101] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18164] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2359), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18227] = 14,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(834), 1,
      sym__unannotated_type,
    STATE(906), 1,
      sym_annotated_type,
    STATE(1014), 1,
      sym__type,
    STATE(1250), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(781), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [18282] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1551), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1553), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [18315] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2361), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18378] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18441] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2365), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18504] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2367), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18567] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18630] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2371), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18693] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2373), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18756] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2375), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18819] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2377), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18882] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2379), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18945] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2381), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [19008] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2383), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [19071] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [19134] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2387), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [19197] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2389), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [19260] = 18,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_PIPE,
    ACTIONS(2111), 1,
      anon_sym_CARET,
    ACTIONS(2115), 1,
      anon_sym_GT_GT,
    ACTIONS(2117), 1,
      anon_sym_instanceof,
    ACTIONS(2119), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2093), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2095), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2097), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2105), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [19323] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1618), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1616), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [19355] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1531), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1529), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [19387] = 6,
    ACTIONS(2393), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_DOT,
    STATE(800), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1638), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1634), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [19425] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(834), 1,
      sym__unannotated_type,
    STATE(906), 1,
      sym_annotated_type,
    STATE(1042), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(781), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19477] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(834), 1,
      sym__unannotated_type,
    STATE(906), 1,
      sym_annotated_type,
    STATE(1108), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(781), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19529] = 4,
    ACTIONS(2295), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1529), 11,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1531), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [19563] = 16,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2311), 1,
      sym_underscore_pattern,
    ACTIONS(2397), 1,
      sym_identifier,
    ACTIONS(2399), 1,
      anon_sym_DOT,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(853), 1,
      sym__reserved_identifier,
    STATE(1027), 1,
      sym__variable_declarator_id,
    STATE(1038), 1,
      sym__method_declarator,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1307), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [19621] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(834), 1,
      sym__unannotated_type,
    STATE(906), 1,
      sym_annotated_type,
    STATE(1255), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(781), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19673] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(834), 1,
      sym__unannotated_type,
    STATE(906), 1,
      sym_annotated_type,
    STATE(1050), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(781), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19725] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(834), 1,
      sym__unannotated_type,
    STATE(906), 1,
      sym_annotated_type,
    STATE(1287), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(781), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19777] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(834), 1,
      sym__unannotated_type,
    STATE(906), 1,
      sym_annotated_type,
    STATE(1072), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(781), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19829] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(834), 1,
      sym__unannotated_type,
    STATE(906), 1,
      sym_annotated_type,
    STATE(1053), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(781), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19881] = 14,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2399), 1,
      anon_sym_DOT,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1031), 1,
      sym__variable_declarator_id,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1354), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [19934] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1602), 9,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1600), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [19965] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(422), 9,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(420), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [19996] = 8,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(468), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2210), 1,
      sym_identifier,
    STATE(1144), 1,
      sym_enum_constant,
    STATE(1358), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(625), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(462), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [20037] = 12,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(2401), 1,
      anon_sym_QMARK,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(826), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20086] = 14,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2399), 1,
      anon_sym_DOT,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1027), 1,
      sym__variable_declarator_id,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1307), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20139] = 14,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2399), 1,
      anon_sym_DOT,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1354), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20192] = 14,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2399), 1,
      anon_sym_DOT,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1061), 1,
      sym__variable_declarator_id,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1354), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20245] = 14,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2311), 1,
      sym_underscore_pattern,
    ACTIONS(2397), 1,
      sym_identifier,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(853), 1,
      sym__reserved_identifier,
    STATE(1027), 1,
      sym__variable_declarator_id,
    STATE(1038), 1,
      sym__method_declarator,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1320), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20297] = 14,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(2276), 1,
      anon_sym_class,
    ACTIONS(2278), 1,
      anon_sym_enum,
    ACTIONS(2280), 1,
      anon_sym_record,
    ACTIONS(2282), 1,
      anon_sym_ATinterface,
    ACTIONS(2284), 1,
      anon_sym_interface,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(801), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20349] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2403), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(825), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(786), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20395] = 14,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2311), 1,
      sym_underscore_pattern,
    ACTIONS(2397), 1,
      sym_identifier,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(853), 1,
      sym__reserved_identifier,
    STATE(1027), 1,
      sym__variable_declarator_id,
    STATE(1038), 1,
      sym__method_declarator,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1373), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20447] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(825), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(786), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20493] = 14,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2311), 1,
      sym_underscore_pattern,
    ACTIONS(2397), 1,
      sym_identifier,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(853), 1,
      sym__reserved_identifier,
    STATE(1027), 1,
      sym__variable_declarator_id,
    STATE(1038), 1,
      sym__method_declarator,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1317), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20545] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2405), 1,
      sym_identifier,
    STATE(812), 1,
      sym_type_arguments,
    STATE(985), 1,
      sym_scoped_type_identifier,
    STATE(1145), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2407), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1198), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(783), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20593] = 14,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2311), 1,
      sym_underscore_pattern,
    ACTIONS(2397), 1,
      sym_identifier,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(853), 1,
      sym__reserved_identifier,
    STATE(1027), 1,
      sym__variable_declarator_id,
    STATE(1038), 1,
      sym__method_declarator,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1316), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20645] = 14,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2311), 1,
      sym_underscore_pattern,
    ACTIONS(2397), 1,
      sym_identifier,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(853), 1,
      sym__reserved_identifier,
    STATE(1027), 1,
      sym__variable_declarator_id,
    STATE(1038), 1,
      sym__method_declarator,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1377), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20697] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(826), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20743] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(877), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20789] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2409), 1,
      sym_identifier,
    STATE(805), 1,
      sym_type_arguments,
    STATE(994), 1,
      sym_scoped_type_identifier,
    STATE(1170), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2411), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1284), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20837] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2413), 1,
      sym_identifier,
    STATE(433), 1,
      sym__unannotated_type,
    STATE(461), 1,
      sym_scoped_type_identifier,
    STATE(469), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2003), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2005), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(476), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2001), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20883] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2415), 1,
      sym_identifier,
    STATE(812), 1,
      sym_type_arguments,
    STATE(841), 1,
      sym_scoped_type_identifier,
    STATE(860), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2417), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(862), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(787), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20931] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(824), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20977] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2419), 1,
      sym_identifier,
    STATE(805), 1,
      sym_type_arguments,
    STATE(843), 1,
      sym_scoped_type_identifier,
    STATE(861), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2421), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(863), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21025] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2423), 1,
      sym_identifier,
    STATE(812), 1,
      sym_type_arguments,
    STATE(846), 1,
      sym_scoped_type_identifier,
    STATE(855), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2425), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(872), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(790), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21073] = 14,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      sym_underscore_pattern,
    ACTIONS(2313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2315), 1,
      sym_this,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1121), 1,
      aux_sym_receiver_parameter_repeat1,
    STATE(1288), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21125] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2427), 1,
      sym_identifier,
    STATE(805), 1,
      sym_type_arguments,
    STATE(844), 1,
      sym_scoped_type_identifier,
    STATE(850), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2429), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(870), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21173] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(849), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21219] = 5,
    ACTIONS(2435), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2433), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2431), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [21252] = 13,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2311), 1,
      sym_underscore_pattern,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(865), 1,
      sym__reserved_identifier,
    STATE(1027), 1,
      sym__variable_declarator_id,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1377), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21301] = 12,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1009), 1,
      sym__variable_declarator_id,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1321), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21348] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1861), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1859), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [21377] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1735), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1733), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [21406] = 13,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2311), 1,
      sym_underscore_pattern,
    ACTIONS(2440), 1,
      sym_identifier,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(864), 1,
      sym__reserved_identifier,
    STATE(1027), 1,
      sym__variable_declarator_id,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1316), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21455] = 12,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1008), 1,
      sym__variable_declarator_id,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1321), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21502] = 12,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2399), 1,
      anon_sym_DOT,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1366), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21549] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1897), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1895), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [21578] = 12,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1027), 1,
      sym__variable_declarator_id,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1317), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21625] = 13,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(2276), 1,
      anon_sym_class,
    ACTIONS(2278), 1,
      anon_sym_enum,
    ACTIONS(2282), 1,
      anon_sym_ATinterface,
    ACTIONS(2284), 1,
      anon_sym_interface,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(797), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21674] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1969), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1967), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [21703] = 12,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1059), 1,
      sym__variable_declarator_id,
    STATE(1135), 1,
      sym_variable_declarator,
    STATE(1321), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21750] = 10,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2442), 1,
      sym_identifier,
    STATE(992), 1,
      sym_scoped_type_identifier,
    STATE(1106), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2444), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1194), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(810), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21792] = 11,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2446), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1297), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21836] = 14,
    ACTIONS(13), 1,
      anon_sym_DQUOTE,
    ACTIONS(15), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2448), 1,
      sym_identifier,
    ACTIONS(2450), 1,
      anon_sym_new,
    ACTIONS(2452), 1,
      sym_this,
    ACTIONS(2454), 1,
      sym_super,
    STATE(428), 1,
      sym__reserved_identifier,
    STATE(554), 1,
      sym_string_literal,
    STATE(555), 1,
      sym__unqualified_object_creation_expression,
    STATE(919), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(570), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21886] = 11,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2313), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1288), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21930] = 10,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2456), 1,
      sym_identifier,
    STATE(990), 1,
      sym_scoped_type_identifier,
    STATE(1104), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2458), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1183), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21972] = 10,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2460), 1,
      sym_identifier,
    STATE(1001), 1,
      sym_scoped_type_identifier,
    STATE(1075), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2462), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1188), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22014] = 14,
    ACTIONS(13), 1,
      anon_sym_DQUOTE,
    ACTIONS(15), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2450), 1,
      anon_sym_new,
    ACTIONS(2464), 1,
      sym_identifier,
    ACTIONS(2466), 1,
      sym_this,
    ACTIONS(2468), 1,
      sym_super,
    STATE(490), 1,
      sym__reserved_identifier,
    STATE(554), 1,
      sym_string_literal,
    STATE(555), 1,
      sym__unqualified_object_creation_expression,
    STATE(919), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(570), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22064] = 10,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2470), 1,
      sym_identifier,
    STATE(997), 1,
      sym_scoped_type_identifier,
    STATE(1067), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2472), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1221), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(809), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22106] = 14,
    ACTIONS(13), 1,
      anon_sym_DQUOTE,
    ACTIONS(15), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2448), 1,
      sym_identifier,
    ACTIONS(2450), 1,
      anon_sym_new,
    ACTIONS(2452), 1,
      sym_this,
    ACTIONS(2474), 1,
      sym_super,
    STATE(428), 1,
      sym__reserved_identifier,
    STATE(554), 1,
      sym_string_literal,
    STATE(555), 1,
      sym__unqualified_object_creation_expression,
    STATE(902), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(570), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22156] = 11,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2399), 1,
      anon_sym_DOT,
    ACTIONS(2476), 1,
      sym_identifier,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(1277), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22199] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2478), 1,
      anon_sym_DOT,
    STATE(715), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1531), 6,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1529), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [22232] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2483), 1,
      anon_sym_PIPE,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(894), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2481), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22271] = 10,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    STATE(569), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(2485), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22312] = 10,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1371), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22353] = 11,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2399), 1,
      anon_sym_DOT,
    ACTIONS(2487), 1,
      sym_identifier,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(1091), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22396] = 10,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2489), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    STATE(535), 1,
      sym_block,
    STATE(735), 1,
      sym_type_arguments,
    STATE(1225), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1341), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22436] = 10,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2489), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    STATE(523), 1,
      sym_block,
    STATE(735), 1,
      sym_type_arguments,
    STATE(1225), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1341), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22476] = 10,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(816), 1,
      sym__unannotated_type,
    STATE(895), 1,
      sym_catch_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22516] = 8,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2493), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22552] = 10,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2497), 1,
      sym_identifier,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(1010), 1,
      sym__method_declarator,
    STATE(1272), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22592] = 10,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2497), 1,
      sym_identifier,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(1046), 1,
      sym__method_declarator,
    STATE(1272), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22632] = 7,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1504), 9,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
      anon_sym_permits,
  [22666] = 9,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(806), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22703] = 9,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(823), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22740] = 9,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(794), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22777] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2476), 1,
      sym_identifier,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(1277), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22814] = 9,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(818), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22851] = 4,
    ACTIONS(2478), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1531), 6,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1529), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [22878] = 9,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(798), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22915] = 7,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1508), 8,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
      anon_sym_permits,
  [22948] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2501), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AT,
    ACTIONS(2499), 13,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [22973] = 9,
    ACTIONS(1359), 1,
      sym_identifier,
    STATE(695), 1,
      sym_scoped_type_identifier,
    STATE(757), 1,
      sym_generic_type,
    STATE(804), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [23010] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2505), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AT,
    ACTIONS(2503), 13,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [23035] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    STATE(487), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(735), 1,
      sym_type_arguments,
    STATE(1192), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(450), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23077] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    STATE(486), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(735), 1,
      sym_type_arguments,
    STATE(1246), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(448), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23119] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    STATE(486), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(735), 1,
      sym_type_arguments,
    STATE(1246), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(867), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23161] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(493), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(715), 1,
      sym_type_arguments,
    STATE(1206), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(866), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23203] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    STATE(487), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(735), 1,
      sym_type_arguments,
    STATE(1192), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(868), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23245] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(495), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(715), 1,
      sym_type_arguments,
    STATE(1190), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(869), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23287] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(495), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(715), 1,
      sym_type_arguments,
    STATE(1190), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(449), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23329] = 4,
    ACTIONS(2511), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2192), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1978), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [23355] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(493), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(715), 1,
      sym_type_arguments,
    STATE(1206), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(446), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23397] = 8,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    STATE(607), 1,
      sym_record_pattern_body,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1341), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1317), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [23430] = 8,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2489), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    STATE(735), 1,
      sym_type_arguments,
    STATE(1237), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1341), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1317), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [23463] = 10,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2513), 1,
      sym_identifier,
    ACTIONS(2515), 1,
      sym_this,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(1080), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1504), 3,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23500] = 10,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(495), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(1190), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(449), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23536] = 8,
    ACTIONS(2517), 1,
      sym_identifier,
    STATE(882), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(900), 1,
      sym_requires_modifier,
    STATE(1242), 1,
      sym_scoped_identifier,
    STATE(1243), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2519), 2,
      anon_sym_transitive,
      anon_sym_static,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [23568] = 7,
    ACTIONS(2521), 1,
      sym_identifier,
    STATE(851), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(900), 1,
      sym_requires_modifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2519), 2,
      anon_sym_transitive,
      anon_sym_static,
    STATE(1224), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [23598] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2489), 1,
      anon_sym_LPAREN,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(884), 1,
      sym_formal_parameters,
    STATE(995), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2523), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23632] = 9,
    ACTIONS(2525), 1,
      anon_sym_RBRACE,
    ACTIONS(2527), 1,
      anon_sym_requires,
    ACTIONS(2530), 1,
      anon_sym_exports,
    ACTIONS(2533), 1,
      anon_sym_opens,
    ACTIONS(2536), 1,
      anon_sym_uses,
    ACTIONS(2539), 1,
      anon_sym_provides,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(854), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(977), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [23666] = 10,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(493), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(1206), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(446), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23702] = 9,
    ACTIONS(2542), 1,
      anon_sym_RBRACE,
    ACTIONS(2544), 1,
      anon_sym_requires,
    ACTIONS(2546), 1,
      anon_sym_exports,
    ACTIONS(2548), 1,
      anon_sym_opens,
    ACTIONS(2550), 1,
      anon_sym_uses,
    ACTIONS(2552), 1,
      anon_sym_provides,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(854), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(977), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [23736] = 9,
    ACTIONS(2544), 1,
      anon_sym_requires,
    ACTIONS(2546), 1,
      anon_sym_exports,
    ACTIONS(2548), 1,
      anon_sym_opens,
    ACTIONS(2550), 1,
      anon_sym_uses,
    ACTIONS(2552), 1,
      anon_sym_provides,
    ACTIONS(2554), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(856), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(977), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [23770] = 6,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    ACTIONS(2556), 1,
      anon_sym_DOT,
    STATE(607), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1531), 3,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
    ACTIONS(1529), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [23798] = 7,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(995), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2523), 5,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
  [23828] = 10,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(493), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(1206), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(866), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23864] = 10,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(495), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(1190), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(869), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23900] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    STATE(493), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(1206), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(866), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23933] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    STATE(495), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(1190), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(869), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23966] = 8,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(995), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2523), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23997] = 8,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2561), 1,
      anon_sym_LPAREN,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(995), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2523), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24028] = 8,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    STATE(564), 1,
      sym_dimensions,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1523), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(464), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24059] = 8,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    STATE(567), 1,
      sym_dimensions,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1535), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(464), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24090] = 8,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    STATE(521), 1,
      sym_dimensions,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1543), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(464), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24121] = 8,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    STATE(518), 1,
      sym_dimensions,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1539), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(464), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24152] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    STATE(495), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(1190), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(449), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24185] = 6,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(607), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1531), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1529), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [24212] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    STATE(493), 1,
      sym_argument_list,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(1206), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(446), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(966), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24245] = 8,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2464), 1,
      sym_identifier,
    ACTIONS(2466), 1,
      sym_this,
    ACTIONS(2468), 1,
      sym_super,
    STATE(490), 1,
      sym__reserved_identifier,
    STATE(919), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24276] = 8,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2448), 1,
      sym_identifier,
    ACTIONS(2452), 1,
      sym_this,
    ACTIONS(2454), 1,
      sym_super,
    STATE(428), 1,
      sym__reserved_identifier,
    STATE(919), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24307] = 7,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2563), 1,
      sym_identifier,
    ACTIONS(2565), 1,
      sym_this,
    STATE(494), 1,
      sym__reserved_identifier,
    STATE(921), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24335] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2567), 1,
      anon_sym_default,
    ACTIONS(2569), 1,
      anon_sym_SEMI,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(1130), 1,
      sym_dimensions,
    STATE(1326), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24367] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2513), 1,
      sym_identifier,
    ACTIONS(2515), 1,
      sym_this,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    STATE(1080), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24399] = 6,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1027), 1,
      sym__variable_declarator_id,
    STATE(1285), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24425] = 8,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2571), 1,
      anon_sym_DOT,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(995), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2523), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24455] = 7,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2573), 1,
      sym_identifier,
    ACTIONS(2575), 1,
      sym_this,
    STATE(429), 1,
      sym__reserved_identifier,
    STATE(921), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24483] = 6,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1027), 1,
      sym__variable_declarator_id,
    STATE(1223), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24509] = 5,
    STATE(882), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(900), 1,
      sym_requires_modifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2579), 2,
      anon_sym_transitive,
      anon_sym_static,
    ACTIONS(2577), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [24533] = 6,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1027), 1,
      sym__variable_declarator_id,
    STATE(1213), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24559] = 7,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(1111), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2582), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_throws,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24587] = 9,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2567), 1,
      anon_sym_default,
    ACTIONS(2584), 1,
      anon_sym_SEMI,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(1100), 1,
      sym_dimensions,
    STATE(1367), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24619] = 8,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(1508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2399), 1,
      anon_sym_DOT,
    STATE(580), 1,
      aux_sym_dimensions_repeat1,
    STATE(752), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24648] = 6,
    ACTIONS(2586), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2590), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2588), 2,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
    ACTIONS(2592), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    ACTIONS(2594), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(893), 4,
      sym__multiline_string_fragment,
      sym_string_interpolation,
      sym__escape_sequence,
      aux_sym__multiline_string_literal_repeat1,
  [24673] = 5,
    ACTIONS(2596), 1,
      sym_identifier,
    ACTIONS(2598), 1,
      anon_sym_static,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1214), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24696] = 5,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1372), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24719] = 11,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      anon_sym_extends,
    ACTIONS(2602), 1,
      anon_sym_implements,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(372), 1,
      sym_class_body,
    STATE(922), 1,
      sym_type_parameters,
    STATE(943), 1,
      sym_superclass,
    STATE(1035), 1,
      sym_super_interfaces,
    STATE(1276), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24754] = 4,
    ACTIONS(2606), 1,
      anon_sym_PIPE,
    STATE(891), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2493), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [24775] = 11,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      anon_sym_extends,
    ACTIONS(2602), 1,
      anon_sym_implements,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(302), 1,
      sym_class_body,
    STATE(923), 1,
      sym_type_parameters,
    STATE(941), 1,
      sym_superclass,
    STATE(1034), 1,
      sym_super_interfaces,
    STATE(1259), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24810] = 6,
    ACTIONS(2590), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2609), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2588), 2,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
    ACTIONS(2594), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2611), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(896), 4,
      sym__multiline_string_fragment,
      sym_string_interpolation,
      sym__escape_sequence,
      aux_sym__multiline_string_literal_repeat1,
  [24835] = 4,
    ACTIONS(2483), 1,
      anon_sym_PIPE,
    STATE(891), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2613), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [24856] = 5,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1356), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24879] = 6,
    ACTIONS(2615), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2620), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2594), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2617), 2,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
    ACTIONS(2623), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(896), 4,
      sym__multiline_string_fragment,
      sym_string_interpolation,
      sym__escape_sequence,
      aux_sym__multiline_string_literal_repeat1,
  [24904] = 4,
    ACTIONS(2626), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1245), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24924] = 4,
    ACTIONS(2628), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1293), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24944] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2630), 9,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_transitive,
      anon_sym_static,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [24960] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2632), 9,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_transitive,
      anon_sym_static,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [24976] = 4,
    ACTIONS(2634), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1120), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24996] = 5,
    ACTIONS(2636), 1,
      sym_identifier,
    ACTIONS(2638), 1,
      sym_super,
    STATE(1280), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25018] = 4,
    ACTIONS(2640), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1208), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25038] = 4,
    ACTIONS(2642), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1116), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25058] = 4,
    ACTIONS(2644), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1167), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25078] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1508), 9,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
      anon_sym_permits,
  [25094] = 8,
    ACTIONS(2646), 1,
      anon_sym_RBRACE,
    ACTIONS(2648), 1,
      anon_sym_case,
    ACTIONS(2650), 1,
      anon_sym_default,
    STATE(4), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(1219), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(935), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
    STATE(958), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [25122] = 4,
    ACTIONS(2652), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1220), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25142] = 4,
    ACTIONS(2654), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(623), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25162] = 4,
    ACTIONS(2656), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1065), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25182] = 4,
    ACTIONS(2658), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(484), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25202] = 4,
    ACTIONS(2660), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(754), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(2662), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25222] = 4,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1230), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25242] = 4,
    ACTIONS(2666), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1049), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25262] = 4,
    ACTIONS(2668), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1032), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25282] = 4,
    ACTIONS(2670), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1011), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25302] = 4,
    ACTIONS(2672), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1168), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25322] = 4,
    ACTIONS(2674), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1171), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25342] = 4,
    ACTIONS(2636), 1,
      sym_identifier,
    STATE(1280), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25361] = 9,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2604), 1,
      anon_sym_permits,
    ACTIONS(2676), 1,
      anon_sym_extends,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(381), 1,
      sym_interface_body,
    STATE(938), 1,
      sym_type_parameters,
    STATE(1007), 1,
      sym_extends_interfaces,
    STATE(1239), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25390] = 4,
    ACTIONS(2680), 1,
      sym_identifier,
    STATE(1270), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25409] = 9,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      anon_sym_extends,
    ACTIONS(2602), 1,
      anon_sym_implements,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(362), 1,
      sym_class_body,
    STATE(939), 1,
      sym_superclass,
    STATE(1019), 1,
      sym_super_interfaces,
    STATE(1294), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25438] = 9,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      anon_sym_extends,
    ACTIONS(2602), 1,
      anon_sym_implements,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(351), 1,
      sym_class_body,
    STATE(954), 1,
      sym_superclass,
    STATE(1016), 1,
      sym_super_interfaces,
    STATE(1207), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25467] = 9,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2604), 1,
      anon_sym_permits,
    ACTIONS(2676), 1,
      anon_sym_extends,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(345), 1,
      sym_interface_body,
    STATE(973), 1,
      sym_type_parameters,
    STATE(1017), 1,
      sym_extends_interfaces,
    STATE(1191), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25496] = 4,
    ACTIONS(2682), 1,
      sym_identifier,
    STATE(1222), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25515] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2684), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [25529] = 7,
    ACTIONS(2686), 1,
      anon_sym_RBRACE,
    ACTIONS(2688), 1,
      anon_sym_case,
    ACTIONS(2691), 1,
      anon_sym_default,
    STATE(4), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(1322), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(927), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
  [25553] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2694), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [25567] = 6,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(1004), 1,
      sym_argument_list,
    STATE(1085), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2696), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [25589] = 5,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2698), 1,
      sym_identifier,
    STATE(1227), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(978), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25609] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2700), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [25623] = 6,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(1000), 1,
      sym_argument_list,
    STATE(1150), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2702), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [25645] = 5,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2698), 1,
      sym_identifier,
    STATE(1122), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(978), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25665] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2704), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [25679] = 7,
    ACTIONS(2650), 1,
      anon_sym_default,
    ACTIONS(2706), 1,
      anon_sym_RBRACE,
    ACTIONS(2708), 1,
      anon_sym_case,
    STATE(4), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(1322), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(927), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
  [25703] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2710), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [25717] = 6,
    ACTIONS(2712), 1,
      anon_sym_DQUOTE,
    ACTIONS(2714), 1,
      sym_string_fragment,
    ACTIONS(2716), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2718), 1,
      sym_escape_sequence,
    ACTIONS(2594), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(960), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [25738] = 7,
    ACTIONS(2604), 1,
      anon_sym_permits,
    ACTIONS(2676), 1,
      anon_sym_extends,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(368), 1,
      sym_interface_body,
    STATE(1036), 1,
      sym_extends_interfaces,
    STATE(1248), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25761] = 7,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2602), 1,
      anon_sym_implements,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(262), 1,
      sym_class_body,
    STATE(1052), 1,
      sym_super_interfaces,
    STATE(1279), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25784] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2720), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [25797] = 7,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2602), 1,
      anon_sym_implements,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(352), 1,
      sym_class_body,
    STATE(1018), 1,
      sym_super_interfaces,
    STATE(1210), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25820] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2722), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25837] = 7,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2602), 1,
      anon_sym_implements,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(363), 1,
      sym_class_body,
    STATE(1023), 1,
      sym_super_interfaces,
    STATE(1184), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25860] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2724), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25877] = 4,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(2726), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(949), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25894] = 6,
    ACTIONS(2165), 1,
      anon_sym_COMMA,
    ACTIONS(2169), 1,
      anon_sym_when,
    STATE(981), 1,
      aux_sym_argument_list_repeat1,
    STATE(1238), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2728), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [25915] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2730), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(950), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25932] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(951), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25949] = 4,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2734), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(949), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25966] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2737), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25983] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2739), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26000] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2720), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26013] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2741), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26026] = 7,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2602), 1,
      anon_sym_implements,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(277), 1,
      sym_class_body,
    STATE(1047), 1,
      sym_super_interfaces,
    STATE(1178), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26049] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2743), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26062] = 6,
    ACTIONS(2716), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2745), 1,
      anon_sym_DQUOTE,
    ACTIONS(2747), 1,
      sym_string_fragment,
    ACTIONS(2749), 1,
      sym_escape_sequence,
    ACTIONS(2594), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(937), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [26083] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2751), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(944), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26100] = 6,
    ACTIONS(2648), 1,
      anon_sym_case,
    ACTIONS(2650), 1,
      anon_sym_default,
    ACTIONS(2706), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(976), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [26121] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2753), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26134] = 6,
    ACTIONS(2755), 1,
      anon_sym_DQUOTE,
    ACTIONS(2757), 1,
      sym_string_fragment,
    ACTIONS(2760), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2763), 1,
      sym_escape_sequence,
    ACTIONS(2594), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(960), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [26155] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2766), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(942), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26172] = 4,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(2768), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(949), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26189] = 4,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(2770), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(949), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26206] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2772), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26219] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2774), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26232] = 4,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(2776), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(949), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26249] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2778), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26262] = 2,
    ACTIONS(2594), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2780), 6,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
      anon_sym_BSLASH_LBRACE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [26275] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2782), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26288] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2784), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26301] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2786), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26314] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2788), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26327] = 7,
    ACTIONS(2604), 1,
      anon_sym_permits,
    ACTIONS(2676), 1,
      anon_sym_extends,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(324), 1,
      sym_interface_body,
    STATE(1055), 1,
      sym_extends_interfaces,
    STATE(1179), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26350] = 4,
    ACTIONS(464), 1,
      anon_sym_AT,
    ACTIONS(2790), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(949), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26367] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2720), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26380] = 6,
    ACTIONS(2792), 1,
      anon_sym_RBRACE,
    ACTIONS(2794), 1,
      anon_sym_case,
    ACTIONS(2797), 1,
      anon_sym_default,
    STATE(1328), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(976), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [26401] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2800), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26414] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2802), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(792), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26431] = 2,
    ACTIONS(2594), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2804), 6,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
      anon_sym_BSLASH_LBRACE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [26444] = 4,
    STATE(1256), 1,
      sym__wildcard_bounds,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2806), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    ACTIONS(2808), 2,
      anon_sym_extends,
      sym_super,
  [26460] = 4,
    ACTIONS(2810), 1,
      anon_sym_COMMA,
    STATE(981), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2184), 3,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_when,
  [26476] = 6,
    ACTIONS(2180), 1,
      anon_sym_COMMA,
    ACTIONS(2182), 1,
      anon_sym_when,
    ACTIONS(2728), 1,
      anon_sym_COLON,
    STATE(986), 1,
      aux_sym_argument_list_repeat1,
    STATE(1238), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26496] = 4,
    ACTIONS(2813), 1,
      anon_sym_COMMA,
    STATE(983), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2816), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_permits,
  [26512] = 6,
    ACTIONS(2216), 1,
      anon_sym_SEMI,
    ACTIONS(2317), 1,
      anon_sym_RBRACE,
    ACTIONS(2818), 1,
      anon_sym_COMMA,
    STATE(1043), 1,
      aux_sym_enum_body_repeat1,
    STATE(1375), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26532] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(493), 1,
      sym_argument_list,
    STATE(715), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26552] = 4,
    ACTIONS(2820), 1,
      anon_sym_COMMA,
    STATE(986), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2184), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_when,
  [26568] = 4,
    STATE(1247), 1,
      sym__wildcard_bounds,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2808), 2,
      anon_sym_extends,
      sym_super,
    ACTIONS(2823), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [26584] = 5,
    ACTIONS(2825), 1,
      anon_sym_catch,
    ACTIONS(2827), 1,
      anon_sym_finally,
    STATE(336), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(158), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [26602] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    STATE(492), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26622] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(497), 1,
      sym_argument_list,
    STATE(715), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26642] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    STATE(499), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26662] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(485), 1,
      sym_argument_list,
    STATE(715), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26682] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    STATE(487), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26702] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(495), 1,
      sym_argument_list,
    STATE(715), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26722] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2829), 5,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
  [26734] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    STATE(496), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26754] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(489), 1,
      sym_argument_list,
    STATE(715), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26774] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    STATE(491), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26794] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2485), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1319), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [26808] = 4,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(1163), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2831), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [26824] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(488), 1,
      sym_argument_list,
    STATE(715), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26844] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    STATE(486), 1,
      sym_argument_list,
    STATE(735), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26864] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(569), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1319), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [26880] = 4,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(1141), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2833), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [26896] = 6,
    ACTIONS(2216), 1,
      anon_sym_SEMI,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    ACTIONS(2837), 1,
      anon_sym_COMMA,
    STATE(984), 1,
      aux_sym_enum_body_repeat1,
    STATE(1368), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26916] = 4,
    ACTIONS(252), 1,
      anon_sym_LT,
    STATE(1202), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2839), 2,
      anon_sym_new,
      sym_identifier,
  [26931] = 5,
    ACTIONS(2604), 1,
      anon_sym_permits,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(370), 1,
      sym_interface_body,
    STATE(1290), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26948] = 4,
    ACTIONS(2841), 1,
      anon_sym_EQ,
    ACTIONS(2845), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2843), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [26963] = 4,
    ACTIONS(2841), 1,
      anon_sym_EQ,
    ACTIONS(2847), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2843), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [26978] = 4,
    ACTIONS(2851), 1,
      anon_sym_throws,
    STATE(1177), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2849), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [26993] = 5,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(2853), 1,
      anon_sym_COMMA,
    ACTIONS(2855), 1,
      anon_sym_SEMI,
    STATE(1096), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27010] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2857), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27021] = 5,
    ACTIONS(2851), 1,
      anon_sym_throws,
    ACTIONS(2859), 1,
      anon_sym_LBRACE,
    STATE(524), 1,
      sym_constructor_body,
    STATE(1254), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27038] = 4,
    ACTIONS(2861), 1,
      anon_sym_COMMA,
    STATE(1044), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2863), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [27053] = 5,
    ACTIONS(1749), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2865), 1,
      anon_sym_RPAREN,
    ACTIONS(2867), 1,
      anon_sym_AMP,
    STATE(1131), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27070] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(280), 1,
      sym_class_body,
    STATE(1180), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27087] = 5,
    ACTIONS(2604), 1,
      anon_sym_permits,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(328), 1,
      sym_interface_body,
    STATE(1266), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27104] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(284), 1,
      sym_class_body,
    STATE(1199), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27121] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(263), 1,
      sym_class_body,
    STATE(1281), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27138] = 5,
    ACTIONS(2602), 1,
      anon_sym_implements,
    ACTIONS(2869), 1,
      anon_sym_LBRACE,
    STATE(343), 1,
      sym_enum_body,
    STATE(1268), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27155] = 5,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2489), 1,
      anon_sym_LPAREN,
    STATE(1028), 1,
      sym_formal_parameters,
    STATE(1275), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27172] = 4,
    ACTIONS(2871), 1,
      anon_sym_AMP,
    STATE(1039), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2873), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [27187] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(265), 1,
      sym_class_body,
    STATE(1283), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27204] = 5,
    ACTIONS(2602), 1,
      anon_sym_implements,
    ACTIONS(2869), 1,
      anon_sym_LBRACE,
    STATE(379), 1,
      sym_enum_body,
    STATE(1187), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27221] = 5,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2489), 1,
      anon_sym_LPAREN,
    STATE(1048), 1,
      sym_formal_parameters,
    STATE(1215), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27238] = 4,
    ACTIONS(2877), 1,
      anon_sym_extends,
    STATE(1267), 1,
      sym_type_bound,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2875), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [27253] = 3,
    ACTIONS(2841), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2843), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27266] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2602), 1,
      anon_sym_implements,
    STATE(385), 1,
      sym_class_body,
    STATE(1186), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27283] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2879), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27294] = 4,
    ACTIONS(2169), 1,
      anon_sym_when,
    STATE(1273), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2163), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [27309] = 4,
    ACTIONS(2841), 1,
      anon_sym_EQ,
    ACTIONS(2881), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2843), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27324] = 5,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(2883), 1,
      anon_sym_COMMA,
    ACTIONS(2885), 1,
      anon_sym_SEMI,
    STATE(1090), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27341] = 3,
    ACTIONS(2887), 1,
      sym_string_fragment,
    ACTIONS(2594), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2780), 3,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_LBRACE,
      sym_escape_sequence,
  [27354] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(353), 1,
      sym_class_body,
    STATE(1176), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27371] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(364), 1,
      sym_class_body,
    STATE(1274), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27388] = 5,
    ACTIONS(2604), 1,
      anon_sym_permits,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(271), 1,
      sym_interface_body,
    STATE(1289), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27405] = 4,
    ACTIONS(2861), 1,
      anon_sym_COMMA,
    STATE(983), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2889), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27420] = 4,
    ACTIONS(2851), 1,
      anon_sym_throws,
    STATE(1181), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2891), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27435] = 4,
    ACTIONS(2893), 1,
      anon_sym_AMP,
    STATE(1039), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2896), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [27450] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2898), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27461] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2900), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27472] = 4,
    ACTIONS(2861), 1,
      anon_sym_COMMA,
    STATE(1037), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2902), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27487] = 4,
    ACTIONS(2906), 1,
      anon_sym_COMMA,
    STATE(1043), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2904), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [27502] = 4,
    ACTIONS(2861), 1,
      anon_sym_COMMA,
    STATE(983), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2909), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [27517] = 5,
    ACTIONS(2911), 1,
      anon_sym_LPAREN,
    ACTIONS(2913), 1,
      anon_sym_LBRACE,
    STATE(988), 1,
      sym_block,
    STATE(1189), 1,
      sym_resource_specification,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27534] = 4,
    ACTIONS(2851), 1,
      anon_sym_throws,
    STATE(1193), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2915), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27549] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(375), 1,
      sym_class_body,
    STATE(1257), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27566] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2602), 1,
      anon_sym_implements,
    STATE(367), 1,
      sym_class_body,
    STATE(1244), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27583] = 5,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(2883), 1,
      anon_sym_COMMA,
    ACTIONS(2917), 1,
      anon_sym_SEMI,
    STATE(1093), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27600] = 4,
    ACTIONS(2871), 1,
      anon_sym_AMP,
    STATE(1022), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2919), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [27615] = 5,
    ACTIONS(2851), 1,
      anon_sym_throws,
    ACTIONS(2859), 1,
      anon_sym_LBRACE,
    STATE(536), 1,
      sym_constructor_body,
    STATE(1233), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27632] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2604), 1,
      anon_sym_permits,
    STATE(286), 1,
      sym_class_body,
    STATE(1226), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27649] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2816), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_permits,
  [27660] = 4,
    ACTIONS(2877), 1,
      anon_sym_extends,
    STATE(1234), 1,
      sym_type_bound,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2921), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [27675] = 5,
    ACTIONS(2604), 1,
      anon_sym_permits,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(360), 1,
      sym_interface_body,
    STATE(1204), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27692] = 5,
    ACTIONS(1749), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2867), 1,
      anon_sym_AMP,
    ACTIONS(2923), 1,
      anon_sym_RPAREN,
    STATE(1172), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27709] = 5,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1749), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2925), 1,
      anon_sym_DOT,
    STATE(1351), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27726] = 4,
    ACTIONS(2841), 1,
      anon_sym_EQ,
    ACTIONS(2927), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2843), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27741] = 4,
    ACTIONS(2841), 1,
      anon_sym_EQ,
    ACTIONS(2929), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2843), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27756] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2602), 1,
      anon_sym_implements,
    STATE(348), 1,
      sym_class_body,
    STATE(1258), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27773] = 4,
    ACTIONS(2841), 1,
      anon_sym_EQ,
    ACTIONS(2931), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2843), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27788] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2602), 1,
      anon_sym_implements,
    STATE(268), 1,
      sym_class_body,
    STATE(1286), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27805] = 4,
    ACTIONS(2194), 1,
      anon_sym_COMMA,
    ACTIONS(2933), 1,
      anon_sym_SEMI,
    STATE(1151), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27819] = 4,
    ACTIONS(2935), 1,
      anon_sym_COMMA,
    ACTIONS(2937), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27833] = 4,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(2939), 1,
      anon_sym_LBRACE,
    STATE(386), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27847] = 4,
    ACTIONS(1626), 1,
      anon_sym_RPAREN,
    ACTIONS(2941), 1,
      anon_sym_COMMA,
    STATE(1078), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27861] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(489), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27875] = 4,
    ACTIONS(2943), 1,
      anon_sym_RPAREN,
    ACTIONS(2945), 1,
      anon_sym_COMMA,
    STATE(1068), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27889] = 4,
    ACTIONS(2948), 1,
      anon_sym_RPAREN,
    ACTIONS(2950), 1,
      anon_sym_AMP,
    STATE(1069), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27903] = 4,
    ACTIONS(2953), 1,
      anon_sym_RPAREN,
    ACTIONS(2955), 1,
      anon_sym_COMMA,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27917] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2958), 1,
      anon_sym_DOT,
    STATE(1364), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27931] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2896), 3,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
  [27941] = 4,
    ACTIONS(536), 1,
      anon_sym_RBRACE,
    ACTIONS(2960), 1,
      anon_sym_COMMA,
    STATE(1174), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27955] = 4,
    ACTIONS(2962), 1,
      sym_identifier,
    ACTIONS(2965), 1,
      sym_this,
    STATE(1074), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27969] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(488), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27983] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2967), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27997] = 4,
    ACTIONS(2969), 1,
      anon_sym_GT,
    ACTIONS(2971), 1,
      anon_sym_COMMA,
    STATE(1082), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28011] = 4,
    ACTIONS(2973), 1,
      anon_sym_RPAREN,
    ACTIONS(2975), 1,
      anon_sym_COMMA,
    STATE(1078), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28025] = 4,
    ACTIONS(2941), 1,
      anon_sym_COMMA,
    ACTIONS(2978), 1,
      anon_sym_RPAREN,
    STATE(1137), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28039] = 4,
    ACTIONS(2513), 1,
      sym_identifier,
    ACTIONS(2980), 1,
      sym_this,
    STATE(1074), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28053] = 4,
    ACTIONS(2982), 1,
      sym_identifier,
    ACTIONS(2984), 1,
      anon_sym_STAR,
    STATE(1346), 1,
      sym_asterisk,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28067] = 4,
    ACTIONS(2986), 1,
      anon_sym_GT,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    STATE(1082), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28081] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2991), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28095] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2993), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28109] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2995), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28119] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2997), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28133] = 4,
    ACTIONS(2999), 1,
      anon_sym_GT,
    ACTIONS(3001), 1,
      anon_sym_COMMA,
    STATE(1087), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28147] = 4,
    ACTIONS(3004), 1,
      anon_sym_GT,
    ACTIONS(3006), 1,
      anon_sym_COMMA,
    STATE(1087), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28161] = 4,
    ACTIONS(3008), 1,
      anon_sym_RBRACE,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    STATE(1129), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28175] = 4,
    ACTIONS(2883), 1,
      anon_sym_COMMA,
    ACTIONS(3012), 1,
      anon_sym_SEMI,
    STATE(1118), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28189] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3014), 3,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_when,
  [28199] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3016), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [28209] = 4,
    ACTIONS(2883), 1,
      anon_sym_COMMA,
    ACTIONS(3018), 1,
      anon_sym_SEMI,
    STATE(1118), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28223] = 4,
    ACTIONS(3020), 1,
      anon_sym_RPAREN,
    ACTIONS(3022), 1,
      anon_sym_COMMA,
    STATE(1133), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28237] = 4,
    ACTIONS(3006), 1,
      anon_sym_COMMA,
    ACTIONS(3024), 1,
      anon_sym_GT,
    STATE(1098), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28251] = 4,
    ACTIONS(2853), 1,
      anon_sym_COMMA,
    ACTIONS(3026), 1,
      anon_sym_SEMI,
    STATE(1124), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28265] = 4,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_SEMI,
    STATE(390), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28279] = 4,
    ACTIONS(3006), 1,
      anon_sym_COMMA,
    ACTIONS(3030), 1,
      anon_sym_GT,
    STATE(1087), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28293] = 4,
    ACTIONS(3006), 1,
      anon_sym_COMMA,
    ACTIONS(3032), 1,
      anon_sym_GT,
    STATE(1088), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28307] = 4,
    ACTIONS(2567), 1,
      anon_sym_default,
    ACTIONS(3034), 1,
      anon_sym_SEMI,
    STATE(1335), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28321] = 4,
    ACTIONS(3022), 1,
      anon_sym_COMMA,
    ACTIONS(3036), 1,
      anon_sym_RPAREN,
    STATE(1103), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28335] = 4,
    ACTIONS(2163), 1,
      anon_sym_COLON,
    ACTIONS(2182), 1,
      anon_sym_when,
    STATE(1273), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28349] = 4,
    ACTIONS(3022), 1,
      anon_sym_COMMA,
    ACTIONS(3038), 1,
      anon_sym_RPAREN,
    STATE(1133), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28363] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(497), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28377] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3040), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28391] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(485), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28405] = 4,
    ACTIONS(2228), 1,
      anon_sym_RBRACE,
    ACTIONS(2230), 1,
      anon_sym_COMMA,
    STATE(1073), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28419] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3042), 3,
      anon_sym_LBRACE,
      anon_sym_implements,
      anon_sym_permits,
  [28429] = 4,
    ACTIONS(2941), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_RPAREN,
    STATE(1066), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28443] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3046), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28457] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3048), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_throws,
  [28467] = 4,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(2939), 1,
      anon_sym_LBRACE,
    STATE(340), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28481] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28495] = 4,
    ACTIONS(3022), 1,
      anon_sym_COMMA,
    ACTIONS(3052), 1,
      anon_sym_RPAREN,
    STATE(1115), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28509] = 4,
    ACTIONS(3022), 1,
      anon_sym_COMMA,
    ACTIONS(3054), 1,
      anon_sym_RPAREN,
    STATE(1133), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28523] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3056), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28535] = 4,
    ACTIONS(3058), 1,
      anon_sym_RBRACE,
    ACTIONS(3060), 1,
      anon_sym_COMMA,
    STATE(1117), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28549] = 4,
    ACTIONS(3063), 1,
      anon_sym_COMMA,
    ACTIONS(3066), 1,
      anon_sym_SEMI,
    STATE(1118), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28563] = 4,
    ACTIONS(657), 1,
      anon_sym_RPAREN,
    ACTIONS(3068), 1,
      anon_sym_SEMI,
    STATE(1173), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28577] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3070), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28589] = 4,
    ACTIONS(2513), 1,
      sym_identifier,
    ACTIONS(2515), 1,
      sym_this,
    STATE(1074), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28603] = 4,
    ACTIONS(2971), 1,
      anon_sym_COMMA,
    ACTIONS(3072), 1,
      anon_sym_GT,
    STATE(1077), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28617] = 4,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    ACTIONS(3076), 1,
      anon_sym_COMMA,
    STATE(1123), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28631] = 4,
    ACTIONS(3079), 1,
      anon_sym_COMMA,
    ACTIONS(3082), 1,
      anon_sym_SEMI,
    STATE(1124), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28645] = 4,
    ACTIONS(3084), 1,
      anon_sym_COMMA,
    ACTIONS(3087), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28659] = 4,
    ACTIONS(2180), 1,
      anon_sym_COMMA,
    ACTIONS(3089), 1,
      anon_sym_RPAREN,
    STATE(986), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28673] = 4,
    ACTIONS(1749), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28687] = 4,
    ACTIONS(2194), 1,
      anon_sym_COMMA,
    ACTIONS(3091), 1,
      anon_sym_SEMI,
    STATE(1151), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28701] = 4,
    ACTIONS(506), 1,
      anon_sym_RBRACE,
    ACTIONS(3093), 1,
      anon_sym_COMMA,
    STATE(1117), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28715] = 4,
    ACTIONS(2567), 1,
      anon_sym_default,
    ACTIONS(3095), 1,
      anon_sym_SEMI,
    STATE(1305), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28729] = 4,
    ACTIONS(2867), 1,
      anon_sym_AMP,
    ACTIONS(3097), 1,
      anon_sym_RPAREN,
    STATE(1069), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28743] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3099), 3,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_when,
  [28753] = 4,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    ACTIONS(3103), 1,
      anon_sym_COMMA,
    STATE(1133), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28767] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2200), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28777] = 4,
    ACTIONS(2935), 1,
      anon_sym_COMMA,
    ACTIONS(3106), 1,
      anon_sym_SEMI,
    STATE(1064), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28791] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3108), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28805] = 4,
    ACTIONS(2941), 1,
      anon_sym_COMMA,
    ACTIONS(3110), 1,
      anon_sym_RPAREN,
    STATE(1078), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28819] = 4,
    ACTIONS(3022), 1,
      anon_sym_COMMA,
    ACTIONS(3112), 1,
      anon_sym_RPAREN,
    STATE(1094), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28833] = 4,
    ACTIONS(3114), 1,
      anon_sym_RPAREN,
    ACTIONS(3116), 1,
      anon_sym_SEMI,
    STATE(1119), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28847] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3118), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28861] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3120), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28871] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3122), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28885] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3124), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28899] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2904), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28909] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(493), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28923] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3126), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28937] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3128), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28951] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3130), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28965] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3132), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28979] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3134), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28989] = 4,
    ACTIONS(3136), 1,
      anon_sym_COMMA,
    ACTIONS(3139), 1,
      anon_sym_SEMI,
    STATE(1151), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29003] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29017] = 4,
    ACTIONS(1346), 1,
      anon_sym_COMMA,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    STATE(1068), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29031] = 4,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    ACTIONS(3147), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29045] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3149), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29059] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3151), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29073] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29087] = 4,
    ACTIONS(3147), 1,
      anon_sym_COMMA,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    STATE(1123), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29101] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29115] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29129] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29143] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29157] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3165), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29167] = 4,
    ACTIONS(2982), 1,
      sym_identifier,
    ACTIONS(2984), 1,
      anon_sym_STAR,
    STATE(1334), 1,
      sym_asterisk,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29181] = 4,
    ACTIONS(2216), 1,
      anon_sym_SEMI,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    STATE(1368), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29195] = 4,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(3167), 1,
      anon_sym_SEMI,
    STATE(394), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29209] = 4,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(2939), 1,
      anon_sym_LBRACE,
    STATE(371), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29223] = 4,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3169), 1,
      anon_sym_SEMI,
    ACTIONS(3171), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29237] = 4,
    ACTIONS(2194), 1,
      anon_sym_COMMA,
    ACTIONS(3173), 1,
      anon_sym_SEMI,
    STATE(1151), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29251] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2509), 1,
      anon_sym_DOT,
    STATE(495), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29265] = 4,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3175), 1,
      anon_sym_SEMI,
    ACTIONS(3177), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29279] = 4,
    ACTIONS(2867), 1,
      anon_sym_AMP,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    STATE(1069), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29293] = 4,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(3183), 1,
      anon_sym_SEMI,
    STATE(1173), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29307] = 4,
    ACTIONS(2305), 1,
      anon_sym_RBRACE,
    ACTIONS(3186), 1,
      anon_sym_COMMA,
    STATE(1174), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29321] = 4,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29335] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(308), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29346] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3191), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [29355] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(376), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29366] = 3,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(359), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29377] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(377), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29388] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3193), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [29397] = 3,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    STATE(1344), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29408] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(497), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29419] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(266), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29430] = 3,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    STATE(1212), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29441] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(349), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29452] = 3,
    ACTIONS(2869), 1,
      anon_sym_LBRACE,
    STATE(366), 1,
      sym_enum_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29463] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(488), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29474] = 3,
    ACTIONS(2913), 1,
      anon_sym_LBRACE,
    STATE(159), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29485] = 3,
    ACTIONS(512), 1,
      anon_sym_LBRACE,
    STATE(517), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29496] = 3,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(387), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29507] = 3,
    ACTIONS(512), 1,
      anon_sym_LBRACE,
    STATE(520), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29518] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3195), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [29527] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29538] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(1349), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29549] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3197), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29558] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3199), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29567] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(493), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29578] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(378), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29589] = 3,
    ACTIONS(3044), 1,
      anon_sym_RPAREN,
    ACTIONS(3201), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29600] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3203), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29609] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3205), 2,
      anon_sym_new,
      sym_identifier,
  [29618] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3207), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [29627] = 3,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(261), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29638] = 3,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    STATE(607), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29649] = 3,
    ACTIONS(512), 1,
      anon_sym_LBRACE,
    STATE(563), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29660] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(281), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29671] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3209), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29682] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3058), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [29691] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(296), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29702] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2973), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29711] = 3,
    ACTIONS(3211), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym_switch_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29722] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3213), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29731] = 3,
    ACTIONS(3215), 1,
      anon_sym_DOT,
    ACTIONS(3217), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29742] = 3,
    ACTIONS(2489), 1,
      anon_sym_LPAREN,
    STATE(1062), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29753] = 3,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    STATE(22), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29764] = 3,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(344), 1,
      sym_annotation_type_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29775] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3221), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [29784] = 3,
    ACTIONS(3223), 1,
      anon_sym_DASH_GT,
    ACTIONS(3225), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29795] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3227), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29806] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(489), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29817] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2943), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29826] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3229), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29835] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3231), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29846] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3233), 2,
      anon_sym_LBRACE,
      anon_sym_throws,
  [29855] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(303), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29866] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2986), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [29875] = 3,
    ACTIONS(1749), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2925), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29886] = 3,
    ACTIONS(3235), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29897] = 3,
    ACTIONS(3239), 1,
      anon_sym_DOT,
    ACTIONS(3241), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29908] = 3,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    STATE(48), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29919] = 3,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    STATE(49), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29930] = 3,
    ACTIONS(2859), 1,
      anon_sym_LBRACE,
    STATE(546), 1,
      sym_constructor_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29941] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [29950] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3245), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29959] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3101), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29968] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3247), 2,
      anon_sym_LBRACE,
      anon_sym_throws,
  [29977] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3249), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [29986] = 3,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(369), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29997] = 3,
    ACTIONS(2913), 1,
      anon_sym_LBRACE,
    STATE(252), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30008] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3251), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30019] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3253), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30030] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3255), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30041] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(269), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30052] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3257), 1,
      anon_sym_with,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30063] = 3,
    ACTIONS(512), 1,
      anon_sym_LBRACE,
    STATE(566), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30074] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2806), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30083] = 3,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(270), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30094] = 3,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(380), 1,
      sym_annotation_type_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30105] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3259), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [30114] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3261), 2,
      sym_this,
      sym_super,
  [30123] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2999), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30132] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(1370), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30143] = 3,
    ACTIONS(2859), 1,
      anon_sym_LBRACE,
    STATE(538), 1,
      sym_constructor_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30154] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3263), 2,
      anon_sym_RPAREN,
      anon_sym_AMP,
  [30163] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3265), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30172] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(273), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30183] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(260), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30194] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(354), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30205] = 3,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    STATE(77), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30216] = 3,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    STATE(78), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30227] = 3,
    ACTIONS(1195), 1,
      anon_sym_while,
    ACTIONS(3267), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30238] = 3,
    ACTIONS(3269), 1,
      sym_identifier,
    ACTIONS(3271), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30249] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3273), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30258] = 3,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    STATE(21), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30269] = 3,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(361), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30280] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3275), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30289] = 3,
    ACTIONS(2869), 1,
      anon_sym_LBRACE,
    STATE(335), 1,
      sym_enum_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30300] = 3,
    ACTIONS(3277), 1,
      sym_identifier,
    STATE(1236), 1,
      sym_element_value_pair,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30311] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(550), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30322] = 3,
    ACTIONS(1749), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30333] = 3,
    ACTIONS(2489), 1,
      anon_sym_LPAREN,
    STATE(884), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30344] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2728), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [30353] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(267), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30364] = 3,
    ACTIONS(2489), 1,
      anon_sym_LPAREN,
    STATE(1060), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30375] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(365), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30386] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3281), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30395] = 3,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30406] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(287), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30417] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(528), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30428] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(288), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30439] = 3,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    STATE(355), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30450] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(289), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30461] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(495), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30472] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3283), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30481] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(290), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30492] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3285), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30501] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3287), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30510] = 3,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(291), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30521] = 3,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(272), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30532] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3181), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [30541] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3074), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30550] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3289), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30561] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(264), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30572] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2965), 2,
      sym_this,
      sym_identifier,
  [30581] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2305), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [30590] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3291), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30599] = 2,
    ACTIONS(3293), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30607] = 2,
    ACTIONS(3008), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30615] = 2,
    ACTIONS(3112), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30623] = 2,
    ACTIONS(2228), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30631] = 2,
    ACTIONS(3295), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30639] = 2,
    ACTIONS(3297), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30647] = 2,
    ACTIONS(3299), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30655] = 2,
    ACTIONS(3301), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30663] = 2,
    ACTIONS(3303), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30671] = 2,
    ACTIONS(3305), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30679] = 2,
    ACTIONS(3307), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30687] = 2,
    ACTIONS(3309), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30695] = 2,
    ACTIONS(1749), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30703] = 2,
    ACTIONS(3311), 1,
      anon_sym_module,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30711] = 2,
    ACTIONS(2571), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30719] = 2,
    ACTIONS(3313), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30727] = 2,
    ACTIONS(2958), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30735] = 2,
    ACTIONS(3052), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30743] = 2,
    ACTIONS(3315), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30751] = 2,
    ACTIONS(3317), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30759] = 2,
    ACTIONS(3319), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30767] = 2,
    ACTIONS(3321), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30775] = 2,
    ACTIONS(3323), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30783] = 2,
    ACTIONS(3325), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30791] = 2,
    ACTIONS(3225), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30799] = 2,
    ACTIONS(3327), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30807] = 2,
    ACTIONS(3329), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30815] = 2,
    ACTIONS(582), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30823] = 2,
    ACTIONS(3331), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30831] = 2,
    ACTIONS(3333), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30839] = 2,
    ACTIONS(3223), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30847] = 2,
    ACTIONS(3335), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30855] = 2,
    ACTIONS(3337), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30863] = 2,
    ACTIONS(3339), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30871] = 2,
    ACTIONS(3341), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30879] = 2,
    ACTIONS(2982), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30887] = 2,
    ACTIONS(3343), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30895] = 2,
    ACTIONS(3345), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30903] = 2,
    ACTIONS(564), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30911] = 2,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30919] = 2,
    ACTIONS(3349), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30927] = 2,
    ACTIONS(3351), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30935] = 2,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30943] = 2,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30951] = 2,
    ACTIONS(3357), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30959] = 2,
    ACTIONS(3036), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30967] = 2,
    ACTIONS(3359), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30975] = 2,
    ACTIONS(3361), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30983] = 2,
    ACTIONS(3363), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30991] = 2,
    ACTIONS(3365), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30999] = 2,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31007] = 2,
    ACTIONS(3367), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31015] = 2,
    ACTIONS(3369), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31023] = 2,
    ACTIONS(3371), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31031] = 2,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31039] = 2,
    ACTIONS(562), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31047] = 2,
    ACTIONS(3375), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31055] = 2,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31063] = 2,
    ACTIONS(3377), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31071] = 2,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31079] = 2,
    ACTIONS(3381), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31087] = 2,
    ACTIONS(3383), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31095] = 2,
    ACTIONS(3385), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31103] = 2,
    ACTIONS(3387), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31111] = 2,
    ACTIONS(3389), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31119] = 2,
    ACTIONS(560), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31127] = 2,
    ACTIONS(3391), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31135] = 2,
    ACTIONS(3393), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31143] = 2,
    ACTIONS(3395), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31151] = 2,
    ACTIONS(3397), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31159] = 2,
    ACTIONS(2317), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31167] = 2,
    ACTIONS(3399), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31175] = 2,
    ACTIONS(3401), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31183] = 2,
    ACTIONS(3403), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31191] = 2,
    ACTIONS(3405), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31199] = 2,
    ACTIONS(3407), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31207] = 2,
    ACTIONS(3409), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31215] = 2,
    ACTIONS(2293), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31223] = 2,
    ACTIONS(3411), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31231] = 2,
    ACTIONS(3413), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(405)] = 0,
  [SMALL_STATE(406)] = 70,
  [SMALL_STATE(407)] = 189,
  [SMALL_STATE(408)] = 308,
  [SMALL_STATE(409)] = 427,
  [SMALL_STATE(410)] = 546,
  [SMALL_STATE(411)] = 665,
  [SMALL_STATE(412)] = 754,
  [SMALL_STATE(413)] = 847,
  [SMALL_STATE(414)] = 942,
  [SMALL_STATE(415)] = 1049,
  [SMALL_STATE(416)] = 1136,
  [SMALL_STATE(417)] = 1243,
  [SMALL_STATE(418)] = 1330,
  [SMALL_STATE(419)] = 1437,
  [SMALL_STATE(420)] = 1523,
  [SMALL_STATE(421)] = 1609,
  [SMALL_STATE(422)] = 1695,
  [SMALL_STATE(423)] = 1781,
  [SMALL_STATE(424)] = 1846,
  [SMALL_STATE(425)] = 1940,
  [SMALL_STATE(426)] = 2034,
  [SMALL_STATE(427)] = 2128,
  [SMALL_STATE(428)] = 2195,
  [SMALL_STATE(429)] = 2256,
  [SMALL_STATE(430)] = 2317,
  [SMALL_STATE(431)] = 2381,
  [SMALL_STATE(432)] = 2445,
  [SMALL_STATE(433)] = 2500,
  [SMALL_STATE(434)] = 2565,
  [SMALL_STATE(435)] = 2640,
  [SMALL_STATE(436)] = 2705,
  [SMALL_STATE(437)] = 2760,
  [SMALL_STATE(438)] = 2815,
  [SMALL_STATE(439)] = 2881,
  [SMALL_STATE(440)] = 2939,
  [SMALL_STATE(441)] = 3005,
  [SMALL_STATE(442)] = 3074,
  [SMALL_STATE(443)] = 3137,
  [SMALL_STATE(444)] = 3200,
  [SMALL_STATE(445)] = 3273,
  [SMALL_STATE(446)] = 3338,
  [SMALL_STATE(447)] = 3402,
  [SMALL_STATE(448)] = 3460,
  [SMALL_STATE(449)] = 3524,
  [SMALL_STATE(450)] = 3588,
  [SMALL_STATE(451)] = 3652,
  [SMALL_STATE(452)] = 3703,
  [SMALL_STATE(453)] = 3760,
  [SMALL_STATE(454)] = 3811,
  [SMALL_STATE(455)] = 3864,
  [SMALL_STATE(456)] = 3919,
  [SMALL_STATE(457)] = 3970,
  [SMALL_STATE(458)] = 4021,
  [SMALL_STATE(459)] = 4072,
  [SMALL_STATE(460)] = 4123,
  [SMALL_STATE(461)] = 4174,
  [SMALL_STATE(462)] = 4231,
  [SMALL_STATE(463)] = 4284,
  [SMALL_STATE(464)] = 4334,
  [SMALL_STATE(465)] = 4392,
  [SMALL_STATE(466)] = 4442,
  [SMALL_STATE(467)] = 4492,
  [SMALL_STATE(468)] = 4542,
  [SMALL_STATE(469)] = 4592,
  [SMALL_STATE(470)] = 4644,
  [SMALL_STATE(471)] = 4694,
  [SMALL_STATE(472)] = 4776,
  [SMALL_STATE(473)] = 4826,
  [SMALL_STATE(474)] = 4875,
  [SMALL_STATE(475)] = 4924,
  [SMALL_STATE(476)] = 4973,
  [SMALL_STATE(477)] = 5022,
  [SMALL_STATE(478)] = 5076,
  [SMALL_STATE(479)] = 5150,
  [SMALL_STATE(480)] = 5204,
  [SMALL_STATE(481)] = 5251,
  [SMALL_STATE(482)] = 5322,
  [SMALL_STATE(483)] = 5395,
  [SMALL_STATE(484)] = 5458,
  [SMALL_STATE(485)] = 5510,
  [SMALL_STATE(486)] = 5559,
  [SMALL_STATE(487)] = 5608,
  [SMALL_STATE(488)] = 5657,
  [SMALL_STATE(489)] = 5706,
  [SMALL_STATE(490)] = 5755,
  [SMALL_STATE(491)] = 5804,
  [SMALL_STATE(492)] = 5853,
  [SMALL_STATE(493)] = 5902,
  [SMALL_STATE(494)] = 5951,
  [SMALL_STATE(495)] = 6000,
  [SMALL_STATE(496)] = 6049,
  [SMALL_STATE(497)] = 6098,
  [SMALL_STATE(498)] = 6147,
  [SMALL_STATE(499)] = 6198,
  [SMALL_STATE(500)] = 6247,
  [SMALL_STATE(501)] = 6291,
  [SMALL_STATE(502)] = 6335,
  [SMALL_STATE(503)] = 6379,
  [SMALL_STATE(504)] = 6423,
  [SMALL_STATE(505)] = 6467,
  [SMALL_STATE(506)] = 6519,
  [SMALL_STATE(507)] = 6563,
  [SMALL_STATE(508)] = 6607,
  [SMALL_STATE(509)] = 6651,
  [SMALL_STATE(510)] = 6703,
  [SMALL_STATE(511)] = 6746,
  [SMALL_STATE(512)] = 6789,
  [SMALL_STATE(513)] = 6838,
  [SMALL_STATE(514)] = 6881,
  [SMALL_STATE(515)] = 6924,
  [SMALL_STATE(516)] = 6967,
  [SMALL_STATE(517)] = 7010,
  [SMALL_STATE(518)] = 7053,
  [SMALL_STATE(519)] = 7096,
  [SMALL_STATE(520)] = 7139,
  [SMALL_STATE(521)] = 7182,
  [SMALL_STATE(522)] = 7225,
  [SMALL_STATE(523)] = 7268,
  [SMALL_STATE(524)] = 7311,
  [SMALL_STATE(525)] = 7354,
  [SMALL_STATE(526)] = 7397,
  [SMALL_STATE(527)] = 7440,
  [SMALL_STATE(528)] = 7483,
  [SMALL_STATE(529)] = 7526,
  [SMALL_STATE(530)] = 7569,
  [SMALL_STATE(531)] = 7612,
  [SMALL_STATE(532)] = 7655,
  [SMALL_STATE(533)] = 7698,
  [SMALL_STATE(534)] = 7741,
  [SMALL_STATE(535)] = 7784,
  [SMALL_STATE(536)] = 7827,
  [SMALL_STATE(537)] = 7870,
  [SMALL_STATE(538)] = 7913,
  [SMALL_STATE(539)] = 7956,
  [SMALL_STATE(540)] = 7999,
  [SMALL_STATE(541)] = 8042,
  [SMALL_STATE(542)] = 8085,
  [SMALL_STATE(543)] = 8128,
  [SMALL_STATE(544)] = 8171,
  [SMALL_STATE(545)] = 8214,
  [SMALL_STATE(546)] = 8257,
  [SMALL_STATE(547)] = 8300,
  [SMALL_STATE(548)] = 8343,
  [SMALL_STATE(549)] = 8386,
  [SMALL_STATE(550)] = 8429,
  [SMALL_STATE(551)] = 8472,
  [SMALL_STATE(552)] = 8515,
  [SMALL_STATE(553)] = 8558,
  [SMALL_STATE(554)] = 8601,
  [SMALL_STATE(555)] = 8644,
  [SMALL_STATE(556)] = 8687,
  [SMALL_STATE(557)] = 8730,
  [SMALL_STATE(558)] = 8779,
  [SMALL_STATE(559)] = 8822,
  [SMALL_STATE(560)] = 8865,
  [SMALL_STATE(561)] = 8924,
  [SMALL_STATE(562)] = 8967,
  [SMALL_STATE(563)] = 9010,
  [SMALL_STATE(564)] = 9053,
  [SMALL_STATE(565)] = 9096,
  [SMALL_STATE(566)] = 9139,
  [SMALL_STATE(567)] = 9182,
  [SMALL_STATE(568)] = 9225,
  [SMALL_STATE(569)] = 9268,
  [SMALL_STATE(570)] = 9311,
  [SMALL_STATE(571)] = 9354,
  [SMALL_STATE(572)] = 9397,
  [SMALL_STATE(573)] = 9446,
  [SMALL_STATE(574)] = 9489,
  [SMALL_STATE(575)] = 9536,
  [SMALL_STATE(576)] = 9579,
  [SMALL_STATE(577)] = 9621,
  [SMALL_STATE(578)] = 9667,
  [SMALL_STATE(579)] = 9709,
  [SMALL_STATE(580)] = 9755,
  [SMALL_STATE(581)] = 9804,
  [SMALL_STATE(582)] = 9851,
  [SMALL_STATE(583)] = 9900,
  [SMALL_STATE(584)] = 9969,
  [SMALL_STATE(585)] = 10011,
  [SMALL_STATE(586)] = 10051,
  [SMALL_STATE(587)] = 10091,
  [SMALL_STATE(588)] = 10131,
  [SMALL_STATE(589)] = 10197,
  [SMALL_STATE(590)] = 10237,
  [SMALL_STATE(591)] = 10277,
  [SMALL_STATE(592)] = 10317,
  [SMALL_STATE(593)] = 10357,
  [SMALL_STATE(594)] = 10397,
  [SMALL_STATE(595)] = 10437,
  [SMALL_STATE(596)] = 10477,
  [SMALL_STATE(597)] = 10517,
  [SMALL_STATE(598)] = 10557,
  [SMALL_STATE(599)] = 10597,
  [SMALL_STATE(600)] = 10639,
  [SMALL_STATE(601)] = 10679,
  [SMALL_STATE(602)] = 10719,
  [SMALL_STATE(603)] = 10759,
  [SMALL_STATE(604)] = 10799,
  [SMALL_STATE(605)] = 10839,
  [SMALL_STATE(606)] = 10879,
  [SMALL_STATE(607)] = 10919,
  [SMALL_STATE(608)] = 10959,
  [SMALL_STATE(609)] = 10999,
  [SMALL_STATE(610)] = 11039,
  [SMALL_STATE(611)] = 11108,
  [SMALL_STATE(612)] = 11171,
  [SMALL_STATE(613)] = 11234,
  [SMALL_STATE(614)] = 11277,
  [SMALL_STATE(615)] = 11346,
  [SMALL_STATE(616)] = 11407,
  [SMALL_STATE(617)] = 11454,
  [SMALL_STATE(618)] = 11519,
  [SMALL_STATE(619)] = 11588,
  [SMALL_STATE(620)] = 11647,
  [SMALL_STATE(621)] = 11698,
  [SMALL_STATE(622)] = 11755,
  [SMALL_STATE(623)] = 11800,
  [SMALL_STATE(624)] = 11844,
  [SMALL_STATE(625)] = 11886,
  [SMALL_STATE(626)] = 11930,
  [SMALL_STATE(627)] = 12006,
  [SMALL_STATE(628)] = 12050,
  [SMALL_STATE(629)] = 12087,
  [SMALL_STATE(630)] = 12126,
  [SMALL_STATE(631)] = 12201,
  [SMALL_STATE(632)] = 12267,
  [SMALL_STATE(633)] = 12333,
  [SMALL_STATE(634)] = 12399,
  [SMALL_STATE(635)] = 12465,
  [SMALL_STATE(636)] = 12531,
  [SMALL_STATE(637)] = 12573,
  [SMALL_STATE(638)] = 12609,
  [SMALL_STATE(639)] = 12665,
  [SMALL_STATE(640)] = 12723,
  [SMALL_STATE(641)] = 12777,
  [SMALL_STATE(642)] = 12837,
  [SMALL_STATE(643)] = 12873,
  [SMALL_STATE(644)] = 12921,
  [SMALL_STATE(645)] = 12983,
  [SMALL_STATE(646)] = 13049,
  [SMALL_STATE(647)] = 13091,
  [SMALL_STATE(648)] = 13151,
  [SMALL_STATE(649)] = 13209,
  [SMALL_STATE(650)] = 13253,
  [SMALL_STATE(651)] = 13322,
  [SMALL_STATE(652)] = 13377,
  [SMALL_STATE(653)] = 13446,
  [SMALL_STATE(654)] = 13511,
  [SMALL_STATE(655)] = 13570,
  [SMALL_STATE(656)] = 13639,
  [SMALL_STATE(657)] = 13692,
  [SMALL_STATE(658)] = 13761,
  [SMALL_STATE(659)] = 13830,
  [SMALL_STATE(660)] = 13899,
  [SMALL_STATE(661)] = 13968,
  [SMALL_STATE(662)] = 14037,
  [SMALL_STATE(663)] = 14106,
  [SMALL_STATE(664)] = 14141,
  [SMALL_STATE(665)] = 14210,
  [SMALL_STATE(666)] = 14245,
  [SMALL_STATE(667)] = 14280,
  [SMALL_STATE(668)] = 14317,
  [SMALL_STATE(669)] = 14376,
  [SMALL_STATE(670)] = 14445,
  [SMALL_STATE(671)] = 14514,
  [SMALL_STATE(672)] = 14583,
  [SMALL_STATE(673)] = 14652,
  [SMALL_STATE(674)] = 14721,
  [SMALL_STATE(675)] = 14790,
  [SMALL_STATE(676)] = 14859,
  [SMALL_STATE(677)] = 14928,
  [SMALL_STATE(678)] = 14997,
  [SMALL_STATE(679)] = 15066,
  [SMALL_STATE(680)] = 15135,
  [SMALL_STATE(681)] = 15204,
  [SMALL_STATE(682)] = 15273,
  [SMALL_STATE(683)] = 15342,
  [SMALL_STATE(684)] = 15411,
  [SMALL_STATE(685)] = 15480,
  [SMALL_STATE(686)] = 15549,
  [SMALL_STATE(687)] = 15618,
  [SMALL_STATE(688)] = 15687,
  [SMALL_STATE(689)] = 15722,
  [SMALL_STATE(690)] = 15786,
  [SMALL_STATE(691)] = 15850,
  [SMALL_STATE(692)] = 15914,
  [SMALL_STATE(693)] = 15952,
  [SMALL_STATE(694)] = 15992,
  [SMALL_STATE(695)] = 16042,
  [SMALL_STATE(696)] = 16082,
  [SMALL_STATE(697)] = 16116,
  [SMALL_STATE(698)] = 16150,
  [SMALL_STATE(699)] = 16214,
  [SMALL_STATE(700)] = 16278,
  [SMALL_STATE(701)] = 16342,
  [SMALL_STATE(702)] = 16406,
  [SMALL_STATE(703)] = 16440,
  [SMALL_STATE(704)] = 16474,
  [SMALL_STATE(705)] = 16530,
  [SMALL_STATE(706)] = 16594,
  [SMALL_STATE(707)] = 16654,
  [SMALL_STATE(708)] = 16704,
  [SMALL_STATE(709)] = 16770,
  [SMALL_STATE(710)] = 16833,
  [SMALL_STATE(711)] = 16888,
  [SMALL_STATE(712)] = 16951,
  [SMALL_STATE(713)] = 17014,
  [SMALL_STATE(714)] = 17075,
  [SMALL_STATE(715)] = 17138,
  [SMALL_STATE(716)] = 17171,
  [SMALL_STATE(717)] = 17226,
  [SMALL_STATE(718)] = 17281,
  [SMALL_STATE(719)] = 17342,
  [SMALL_STATE(720)] = 17405,
  [SMALL_STATE(721)] = 17468,
  [SMALL_STATE(722)] = 17531,
  [SMALL_STATE(723)] = 17594,
  [SMALL_STATE(724)] = 17657,
  [SMALL_STATE(725)] = 17720,
  [SMALL_STATE(726)] = 17783,
  [SMALL_STATE(727)] = 17846,
  [SMALL_STATE(728)] = 17909,
  [SMALL_STATE(729)] = 17972,
  [SMALL_STATE(730)] = 18035,
  [SMALL_STATE(731)] = 18068,
  [SMALL_STATE(732)] = 18101,
  [SMALL_STATE(733)] = 18164,
  [SMALL_STATE(734)] = 18227,
  [SMALL_STATE(735)] = 18282,
  [SMALL_STATE(736)] = 18315,
  [SMALL_STATE(737)] = 18378,
  [SMALL_STATE(738)] = 18441,
  [SMALL_STATE(739)] = 18504,
  [SMALL_STATE(740)] = 18567,
  [SMALL_STATE(741)] = 18630,
  [SMALL_STATE(742)] = 18693,
  [SMALL_STATE(743)] = 18756,
  [SMALL_STATE(744)] = 18819,
  [SMALL_STATE(745)] = 18882,
  [SMALL_STATE(746)] = 18945,
  [SMALL_STATE(747)] = 19008,
  [SMALL_STATE(748)] = 19071,
  [SMALL_STATE(749)] = 19134,
  [SMALL_STATE(750)] = 19197,
  [SMALL_STATE(751)] = 19260,
  [SMALL_STATE(752)] = 19323,
  [SMALL_STATE(753)] = 19355,
  [SMALL_STATE(754)] = 19387,
  [SMALL_STATE(755)] = 19425,
  [SMALL_STATE(756)] = 19477,
  [SMALL_STATE(757)] = 19529,
  [SMALL_STATE(758)] = 19563,
  [SMALL_STATE(759)] = 19621,
  [SMALL_STATE(760)] = 19673,
  [SMALL_STATE(761)] = 19725,
  [SMALL_STATE(762)] = 19777,
  [SMALL_STATE(763)] = 19829,
  [SMALL_STATE(764)] = 19881,
  [SMALL_STATE(765)] = 19934,
  [SMALL_STATE(766)] = 19965,
  [SMALL_STATE(767)] = 19996,
  [SMALL_STATE(768)] = 20037,
  [SMALL_STATE(769)] = 20086,
  [SMALL_STATE(770)] = 20139,
  [SMALL_STATE(771)] = 20192,
  [SMALL_STATE(772)] = 20245,
  [SMALL_STATE(773)] = 20297,
  [SMALL_STATE(774)] = 20349,
  [SMALL_STATE(775)] = 20395,
  [SMALL_STATE(776)] = 20447,
  [SMALL_STATE(777)] = 20493,
  [SMALL_STATE(778)] = 20545,
  [SMALL_STATE(779)] = 20593,
  [SMALL_STATE(780)] = 20645,
  [SMALL_STATE(781)] = 20697,
  [SMALL_STATE(782)] = 20743,
  [SMALL_STATE(783)] = 20789,
  [SMALL_STATE(784)] = 20837,
  [SMALL_STATE(785)] = 20883,
  [SMALL_STATE(786)] = 20931,
  [SMALL_STATE(787)] = 20977,
  [SMALL_STATE(788)] = 21025,
  [SMALL_STATE(789)] = 21073,
  [SMALL_STATE(790)] = 21125,
  [SMALL_STATE(791)] = 21173,
  [SMALL_STATE(792)] = 21219,
  [SMALL_STATE(793)] = 21252,
  [SMALL_STATE(794)] = 21301,
  [SMALL_STATE(795)] = 21348,
  [SMALL_STATE(796)] = 21377,
  [SMALL_STATE(797)] = 21406,
  [SMALL_STATE(798)] = 21455,
  [SMALL_STATE(799)] = 21502,
  [SMALL_STATE(800)] = 21549,
  [SMALL_STATE(801)] = 21578,
  [SMALL_STATE(802)] = 21625,
  [SMALL_STATE(803)] = 21674,
  [SMALL_STATE(804)] = 21703,
  [SMALL_STATE(805)] = 21750,
  [SMALL_STATE(806)] = 21792,
  [SMALL_STATE(807)] = 21836,
  [SMALL_STATE(808)] = 21886,
  [SMALL_STATE(809)] = 21930,
  [SMALL_STATE(810)] = 21972,
  [SMALL_STATE(811)] = 22014,
  [SMALL_STATE(812)] = 22064,
  [SMALL_STATE(813)] = 22106,
  [SMALL_STATE(814)] = 22156,
  [SMALL_STATE(815)] = 22199,
  [SMALL_STATE(816)] = 22232,
  [SMALL_STATE(817)] = 22271,
  [SMALL_STATE(818)] = 22312,
  [SMALL_STATE(819)] = 22353,
  [SMALL_STATE(820)] = 22396,
  [SMALL_STATE(821)] = 22436,
  [SMALL_STATE(822)] = 22476,
  [SMALL_STATE(823)] = 22516,
  [SMALL_STATE(824)] = 22552,
  [SMALL_STATE(825)] = 22592,
  [SMALL_STATE(826)] = 22632,
  [SMALL_STATE(827)] = 22666,
  [SMALL_STATE(828)] = 22703,
  [SMALL_STATE(829)] = 22740,
  [SMALL_STATE(830)] = 22777,
  [SMALL_STATE(831)] = 22814,
  [SMALL_STATE(832)] = 22851,
  [SMALL_STATE(833)] = 22878,
  [SMALL_STATE(834)] = 22915,
  [SMALL_STATE(835)] = 22948,
  [SMALL_STATE(836)] = 22973,
  [SMALL_STATE(837)] = 23010,
  [SMALL_STATE(838)] = 23035,
  [SMALL_STATE(839)] = 23077,
  [SMALL_STATE(840)] = 23119,
  [SMALL_STATE(841)] = 23161,
  [SMALL_STATE(842)] = 23203,
  [SMALL_STATE(843)] = 23245,
  [SMALL_STATE(844)] = 23287,
  [SMALL_STATE(845)] = 23329,
  [SMALL_STATE(846)] = 23355,
  [SMALL_STATE(847)] = 23397,
  [SMALL_STATE(848)] = 23430,
  [SMALL_STATE(849)] = 23463,
  [SMALL_STATE(850)] = 23500,
  [SMALL_STATE(851)] = 23536,
  [SMALL_STATE(852)] = 23568,
  [SMALL_STATE(853)] = 23598,
  [SMALL_STATE(854)] = 23632,
  [SMALL_STATE(855)] = 23666,
  [SMALL_STATE(856)] = 23702,
  [SMALL_STATE(857)] = 23736,
  [SMALL_STATE(858)] = 23770,
  [SMALL_STATE(859)] = 23798,
  [SMALL_STATE(860)] = 23828,
  [SMALL_STATE(861)] = 23864,
  [SMALL_STATE(862)] = 23900,
  [SMALL_STATE(863)] = 23933,
  [SMALL_STATE(864)] = 23966,
  [SMALL_STATE(865)] = 23997,
  [SMALL_STATE(866)] = 24028,
  [SMALL_STATE(867)] = 24059,
  [SMALL_STATE(868)] = 24090,
  [SMALL_STATE(869)] = 24121,
  [SMALL_STATE(870)] = 24152,
  [SMALL_STATE(871)] = 24185,
  [SMALL_STATE(872)] = 24212,
  [SMALL_STATE(873)] = 24245,
  [SMALL_STATE(874)] = 24276,
  [SMALL_STATE(875)] = 24307,
  [SMALL_STATE(876)] = 24335,
  [SMALL_STATE(877)] = 24367,
  [SMALL_STATE(878)] = 24399,
  [SMALL_STATE(879)] = 24425,
  [SMALL_STATE(880)] = 24455,
  [SMALL_STATE(881)] = 24483,
  [SMALL_STATE(882)] = 24509,
  [SMALL_STATE(883)] = 24533,
  [SMALL_STATE(884)] = 24559,
  [SMALL_STATE(885)] = 24587,
  [SMALL_STATE(886)] = 24619,
  [SMALL_STATE(887)] = 24648,
  [SMALL_STATE(888)] = 24673,
  [SMALL_STATE(889)] = 24696,
  [SMALL_STATE(890)] = 24719,
  [SMALL_STATE(891)] = 24754,
  [SMALL_STATE(892)] = 24775,
  [SMALL_STATE(893)] = 24810,
  [SMALL_STATE(894)] = 24835,
  [SMALL_STATE(895)] = 24856,
  [SMALL_STATE(896)] = 24879,
  [SMALL_STATE(897)] = 24904,
  [SMALL_STATE(898)] = 24924,
  [SMALL_STATE(899)] = 24944,
  [SMALL_STATE(900)] = 24960,
  [SMALL_STATE(901)] = 24976,
  [SMALL_STATE(902)] = 24996,
  [SMALL_STATE(903)] = 25018,
  [SMALL_STATE(904)] = 25038,
  [SMALL_STATE(905)] = 25058,
  [SMALL_STATE(906)] = 25078,
  [SMALL_STATE(907)] = 25094,
  [SMALL_STATE(908)] = 25122,
  [SMALL_STATE(909)] = 25142,
  [SMALL_STATE(910)] = 25162,
  [SMALL_STATE(911)] = 25182,
  [SMALL_STATE(912)] = 25202,
  [SMALL_STATE(913)] = 25222,
  [SMALL_STATE(914)] = 25242,
  [SMALL_STATE(915)] = 25262,
  [SMALL_STATE(916)] = 25282,
  [SMALL_STATE(917)] = 25302,
  [SMALL_STATE(918)] = 25322,
  [SMALL_STATE(919)] = 25342,
  [SMALL_STATE(920)] = 25361,
  [SMALL_STATE(921)] = 25390,
  [SMALL_STATE(922)] = 25409,
  [SMALL_STATE(923)] = 25438,
  [SMALL_STATE(924)] = 25467,
  [SMALL_STATE(925)] = 25496,
  [SMALL_STATE(926)] = 25515,
  [SMALL_STATE(927)] = 25529,
  [SMALL_STATE(928)] = 25553,
  [SMALL_STATE(929)] = 25567,
  [SMALL_STATE(930)] = 25589,
  [SMALL_STATE(931)] = 25609,
  [SMALL_STATE(932)] = 25623,
  [SMALL_STATE(933)] = 25645,
  [SMALL_STATE(934)] = 25665,
  [SMALL_STATE(935)] = 25679,
  [SMALL_STATE(936)] = 25703,
  [SMALL_STATE(937)] = 25717,
  [SMALL_STATE(938)] = 25738,
  [SMALL_STATE(939)] = 25761,
  [SMALL_STATE(940)] = 25784,
  [SMALL_STATE(941)] = 25797,
  [SMALL_STATE(942)] = 25820,
  [SMALL_STATE(943)] = 25837,
  [SMALL_STATE(944)] = 25860,
  [SMALL_STATE(945)] = 25877,
  [SMALL_STATE(946)] = 25894,
  [SMALL_STATE(947)] = 25915,
  [SMALL_STATE(948)] = 25932,
  [SMALL_STATE(949)] = 25949,
  [SMALL_STATE(950)] = 25966,
  [SMALL_STATE(951)] = 25983,
  [SMALL_STATE(952)] = 26000,
  [SMALL_STATE(953)] = 26013,
  [SMALL_STATE(954)] = 26026,
  [SMALL_STATE(955)] = 26049,
  [SMALL_STATE(956)] = 26062,
  [SMALL_STATE(957)] = 26083,
  [SMALL_STATE(958)] = 26100,
  [SMALL_STATE(959)] = 26121,
  [SMALL_STATE(960)] = 26134,
  [SMALL_STATE(961)] = 26155,
  [SMALL_STATE(962)] = 26172,
  [SMALL_STATE(963)] = 26189,
  [SMALL_STATE(964)] = 26206,
  [SMALL_STATE(965)] = 26219,
  [SMALL_STATE(966)] = 26232,
  [SMALL_STATE(967)] = 26249,
  [SMALL_STATE(968)] = 26262,
  [SMALL_STATE(969)] = 26275,
  [SMALL_STATE(970)] = 26288,
  [SMALL_STATE(971)] = 26301,
  [SMALL_STATE(972)] = 26314,
  [SMALL_STATE(973)] = 26327,
  [SMALL_STATE(974)] = 26350,
  [SMALL_STATE(975)] = 26367,
  [SMALL_STATE(976)] = 26380,
  [SMALL_STATE(977)] = 26401,
  [SMALL_STATE(978)] = 26414,
  [SMALL_STATE(979)] = 26431,
  [SMALL_STATE(980)] = 26444,
  [SMALL_STATE(981)] = 26460,
  [SMALL_STATE(982)] = 26476,
  [SMALL_STATE(983)] = 26496,
  [SMALL_STATE(984)] = 26512,
  [SMALL_STATE(985)] = 26532,
  [SMALL_STATE(986)] = 26552,
  [SMALL_STATE(987)] = 26568,
  [SMALL_STATE(988)] = 26584,
  [SMALL_STATE(989)] = 26602,
  [SMALL_STATE(990)] = 26622,
  [SMALL_STATE(991)] = 26642,
  [SMALL_STATE(992)] = 26662,
  [SMALL_STATE(993)] = 26682,
  [SMALL_STATE(994)] = 26702,
  [SMALL_STATE(995)] = 26722,
  [SMALL_STATE(996)] = 26734,
  [SMALL_STATE(997)] = 26754,
  [SMALL_STATE(998)] = 26774,
  [SMALL_STATE(999)] = 26794,
  [SMALL_STATE(1000)] = 26808,
  [SMALL_STATE(1001)] = 26824,
  [SMALL_STATE(1002)] = 26844,
  [SMALL_STATE(1003)] = 26864,
  [SMALL_STATE(1004)] = 26880,
  [SMALL_STATE(1005)] = 26896,
  [SMALL_STATE(1006)] = 26916,
  [SMALL_STATE(1007)] = 26931,
  [SMALL_STATE(1008)] = 26948,
  [SMALL_STATE(1009)] = 26963,
  [SMALL_STATE(1010)] = 26978,
  [SMALL_STATE(1011)] = 26993,
  [SMALL_STATE(1012)] = 27010,
  [SMALL_STATE(1013)] = 27021,
  [SMALL_STATE(1014)] = 27038,
  [SMALL_STATE(1015)] = 27053,
  [SMALL_STATE(1016)] = 27070,
  [SMALL_STATE(1017)] = 27087,
  [SMALL_STATE(1018)] = 27104,
  [SMALL_STATE(1019)] = 27121,
  [SMALL_STATE(1020)] = 27138,
  [SMALL_STATE(1021)] = 27155,
  [SMALL_STATE(1022)] = 27172,
  [SMALL_STATE(1023)] = 27187,
  [SMALL_STATE(1024)] = 27204,
  [SMALL_STATE(1025)] = 27221,
  [SMALL_STATE(1026)] = 27238,
  [SMALL_STATE(1027)] = 27253,
  [SMALL_STATE(1028)] = 27266,
  [SMALL_STATE(1029)] = 27283,
  [SMALL_STATE(1030)] = 27294,
  [SMALL_STATE(1031)] = 27309,
  [SMALL_STATE(1032)] = 27324,
  [SMALL_STATE(1033)] = 27341,
  [SMALL_STATE(1034)] = 27354,
  [SMALL_STATE(1035)] = 27371,
  [SMALL_STATE(1036)] = 27388,
  [SMALL_STATE(1037)] = 27405,
  [SMALL_STATE(1038)] = 27420,
  [SMALL_STATE(1039)] = 27435,
  [SMALL_STATE(1040)] = 27450,
  [SMALL_STATE(1041)] = 27461,
  [SMALL_STATE(1042)] = 27472,
  [SMALL_STATE(1043)] = 27487,
  [SMALL_STATE(1044)] = 27502,
  [SMALL_STATE(1045)] = 27517,
  [SMALL_STATE(1046)] = 27534,
  [SMALL_STATE(1047)] = 27549,
  [SMALL_STATE(1048)] = 27566,
  [SMALL_STATE(1049)] = 27583,
  [SMALL_STATE(1050)] = 27600,
  [SMALL_STATE(1051)] = 27615,
  [SMALL_STATE(1052)] = 27632,
  [SMALL_STATE(1053)] = 27649,
  [SMALL_STATE(1054)] = 27660,
  [SMALL_STATE(1055)] = 27675,
  [SMALL_STATE(1056)] = 27692,
  [SMALL_STATE(1057)] = 27709,
  [SMALL_STATE(1058)] = 27726,
  [SMALL_STATE(1059)] = 27741,
  [SMALL_STATE(1060)] = 27756,
  [SMALL_STATE(1061)] = 27773,
  [SMALL_STATE(1062)] = 27788,
  [SMALL_STATE(1063)] = 27805,
  [SMALL_STATE(1064)] = 27819,
  [SMALL_STATE(1065)] = 27833,
  [SMALL_STATE(1066)] = 27847,
  [SMALL_STATE(1067)] = 27861,
  [SMALL_STATE(1068)] = 27875,
  [SMALL_STATE(1069)] = 27889,
  [SMALL_STATE(1070)] = 27903,
  [SMALL_STATE(1071)] = 27917,
  [SMALL_STATE(1072)] = 27931,
  [SMALL_STATE(1073)] = 27941,
  [SMALL_STATE(1074)] = 27955,
  [SMALL_STATE(1075)] = 27969,
  [SMALL_STATE(1076)] = 27983,
  [SMALL_STATE(1077)] = 27997,
  [SMALL_STATE(1078)] = 28011,
  [SMALL_STATE(1079)] = 28025,
  [SMALL_STATE(1080)] = 28039,
  [SMALL_STATE(1081)] = 28053,
  [SMALL_STATE(1082)] = 28067,
  [SMALL_STATE(1083)] = 28081,
  [SMALL_STATE(1084)] = 28095,
  [SMALL_STATE(1085)] = 28109,
  [SMALL_STATE(1086)] = 28119,
  [SMALL_STATE(1087)] = 28133,
  [SMALL_STATE(1088)] = 28147,
  [SMALL_STATE(1089)] = 28161,
  [SMALL_STATE(1090)] = 28175,
  [SMALL_STATE(1091)] = 28189,
  [SMALL_STATE(1092)] = 28199,
  [SMALL_STATE(1093)] = 28209,
  [SMALL_STATE(1094)] = 28223,
  [SMALL_STATE(1095)] = 28237,
  [SMALL_STATE(1096)] = 28251,
  [SMALL_STATE(1097)] = 28265,
  [SMALL_STATE(1098)] = 28279,
  [SMALL_STATE(1099)] = 28293,
  [SMALL_STATE(1100)] = 28307,
  [SMALL_STATE(1101)] = 28321,
  [SMALL_STATE(1102)] = 28335,
  [SMALL_STATE(1103)] = 28349,
  [SMALL_STATE(1104)] = 28363,
  [SMALL_STATE(1105)] = 28377,
  [SMALL_STATE(1106)] = 28391,
  [SMALL_STATE(1107)] = 28405,
  [SMALL_STATE(1108)] = 28419,
  [SMALL_STATE(1109)] = 28429,
  [SMALL_STATE(1110)] = 28443,
  [SMALL_STATE(1111)] = 28457,
  [SMALL_STATE(1112)] = 28467,
  [SMALL_STATE(1113)] = 28481,
  [SMALL_STATE(1114)] = 28495,
  [SMALL_STATE(1115)] = 28509,
  [SMALL_STATE(1116)] = 28523,
  [SMALL_STATE(1117)] = 28535,
  [SMALL_STATE(1118)] = 28549,
  [SMALL_STATE(1119)] = 28563,
  [SMALL_STATE(1120)] = 28577,
  [SMALL_STATE(1121)] = 28589,
  [SMALL_STATE(1122)] = 28603,
  [SMALL_STATE(1123)] = 28617,
  [SMALL_STATE(1124)] = 28631,
  [SMALL_STATE(1125)] = 28645,
  [SMALL_STATE(1126)] = 28659,
  [SMALL_STATE(1127)] = 28673,
  [SMALL_STATE(1128)] = 28687,
  [SMALL_STATE(1129)] = 28701,
  [SMALL_STATE(1130)] = 28715,
  [SMALL_STATE(1131)] = 28729,
  [SMALL_STATE(1132)] = 28743,
  [SMALL_STATE(1133)] = 28753,
  [SMALL_STATE(1134)] = 28767,
  [SMALL_STATE(1135)] = 28777,
  [SMALL_STATE(1136)] = 28791,
  [SMALL_STATE(1137)] = 28805,
  [SMALL_STATE(1138)] = 28819,
  [SMALL_STATE(1139)] = 28833,
  [SMALL_STATE(1140)] = 28847,
  [SMALL_STATE(1141)] = 28861,
  [SMALL_STATE(1142)] = 28871,
  [SMALL_STATE(1143)] = 28885,
  [SMALL_STATE(1144)] = 28899,
  [SMALL_STATE(1145)] = 28909,
  [SMALL_STATE(1146)] = 28923,
  [SMALL_STATE(1147)] = 28937,
  [SMALL_STATE(1148)] = 28951,
  [SMALL_STATE(1149)] = 28965,
  [SMALL_STATE(1150)] = 28979,
  [SMALL_STATE(1151)] = 28989,
  [SMALL_STATE(1152)] = 29003,
  [SMALL_STATE(1153)] = 29017,
  [SMALL_STATE(1154)] = 29031,
  [SMALL_STATE(1155)] = 29045,
  [SMALL_STATE(1156)] = 29059,
  [SMALL_STATE(1157)] = 29073,
  [SMALL_STATE(1158)] = 29087,
  [SMALL_STATE(1159)] = 29101,
  [SMALL_STATE(1160)] = 29115,
  [SMALL_STATE(1161)] = 29129,
  [SMALL_STATE(1162)] = 29143,
  [SMALL_STATE(1163)] = 29157,
  [SMALL_STATE(1164)] = 29167,
  [SMALL_STATE(1165)] = 29181,
  [SMALL_STATE(1166)] = 29195,
  [SMALL_STATE(1167)] = 29209,
  [SMALL_STATE(1168)] = 29223,
  [SMALL_STATE(1169)] = 29237,
  [SMALL_STATE(1170)] = 29251,
  [SMALL_STATE(1171)] = 29265,
  [SMALL_STATE(1172)] = 29279,
  [SMALL_STATE(1173)] = 29293,
  [SMALL_STATE(1174)] = 29307,
  [SMALL_STATE(1175)] = 29321,
  [SMALL_STATE(1176)] = 29335,
  [SMALL_STATE(1177)] = 29346,
  [SMALL_STATE(1178)] = 29355,
  [SMALL_STATE(1179)] = 29366,
  [SMALL_STATE(1180)] = 29377,
  [SMALL_STATE(1181)] = 29388,
  [SMALL_STATE(1182)] = 29397,
  [SMALL_STATE(1183)] = 29408,
  [SMALL_STATE(1184)] = 29419,
  [SMALL_STATE(1185)] = 29430,
  [SMALL_STATE(1186)] = 29441,
  [SMALL_STATE(1187)] = 29452,
  [SMALL_STATE(1188)] = 29463,
  [SMALL_STATE(1189)] = 29474,
  [SMALL_STATE(1190)] = 29485,
  [SMALL_STATE(1191)] = 29496,
  [SMALL_STATE(1192)] = 29507,
  [SMALL_STATE(1193)] = 29518,
  [SMALL_STATE(1194)] = 29527,
  [SMALL_STATE(1195)] = 29538,
  [SMALL_STATE(1196)] = 29549,
  [SMALL_STATE(1197)] = 29558,
  [SMALL_STATE(1198)] = 29567,
  [SMALL_STATE(1199)] = 29578,
  [SMALL_STATE(1200)] = 29589,
  [SMALL_STATE(1201)] = 29600,
  [SMALL_STATE(1202)] = 29609,
  [SMALL_STATE(1203)] = 29618,
  [SMALL_STATE(1204)] = 29627,
  [SMALL_STATE(1205)] = 29638,
  [SMALL_STATE(1206)] = 29649,
  [SMALL_STATE(1207)] = 29660,
  [SMALL_STATE(1208)] = 29671,
  [SMALL_STATE(1209)] = 29682,
  [SMALL_STATE(1210)] = 29691,
  [SMALL_STATE(1211)] = 29702,
  [SMALL_STATE(1212)] = 29711,
  [SMALL_STATE(1213)] = 29722,
  [SMALL_STATE(1214)] = 29731,
  [SMALL_STATE(1215)] = 29742,
  [SMALL_STATE(1216)] = 29753,
  [SMALL_STATE(1217)] = 29764,
  [SMALL_STATE(1218)] = 29775,
  [SMALL_STATE(1219)] = 29784,
  [SMALL_STATE(1220)] = 29795,
  [SMALL_STATE(1221)] = 29806,
  [SMALL_STATE(1222)] = 29817,
  [SMALL_STATE(1223)] = 29826,
  [SMALL_STATE(1224)] = 29835,
  [SMALL_STATE(1225)] = 29846,
  [SMALL_STATE(1226)] = 29855,
  [SMALL_STATE(1227)] = 29866,
  [SMALL_STATE(1228)] = 29875,
  [SMALL_STATE(1229)] = 29886,
  [SMALL_STATE(1230)] = 29897,
  [SMALL_STATE(1231)] = 29908,
  [SMALL_STATE(1232)] = 29919,
  [SMALL_STATE(1233)] = 29930,
  [SMALL_STATE(1234)] = 29941,
  [SMALL_STATE(1235)] = 29950,
  [SMALL_STATE(1236)] = 29959,
  [SMALL_STATE(1237)] = 29968,
  [SMALL_STATE(1238)] = 29977,
  [SMALL_STATE(1239)] = 29986,
  [SMALL_STATE(1240)] = 29997,
  [SMALL_STATE(1241)] = 30008,
  [SMALL_STATE(1242)] = 30019,
  [SMALL_STATE(1243)] = 30030,
  [SMALL_STATE(1244)] = 30041,
  [SMALL_STATE(1245)] = 30052,
  [SMALL_STATE(1246)] = 30063,
  [SMALL_STATE(1247)] = 30074,
  [SMALL_STATE(1248)] = 30083,
  [SMALL_STATE(1249)] = 30094,
  [SMALL_STATE(1250)] = 30105,
  [SMALL_STATE(1251)] = 30114,
  [SMALL_STATE(1252)] = 30123,
  [SMALL_STATE(1253)] = 30132,
  [SMALL_STATE(1254)] = 30143,
  [SMALL_STATE(1255)] = 30154,
  [SMALL_STATE(1256)] = 30163,
  [SMALL_STATE(1257)] = 30172,
  [SMALL_STATE(1258)] = 30183,
  [SMALL_STATE(1259)] = 30194,
  [SMALL_STATE(1260)] = 30205,
  [SMALL_STATE(1261)] = 30216,
  [SMALL_STATE(1262)] = 30227,
  [SMALL_STATE(1263)] = 30238,
  [SMALL_STATE(1264)] = 30249,
  [SMALL_STATE(1265)] = 30258,
  [SMALL_STATE(1266)] = 30269,
  [SMALL_STATE(1267)] = 30280,
  [SMALL_STATE(1268)] = 30289,
  [SMALL_STATE(1269)] = 30300,
  [SMALL_STATE(1270)] = 30311,
  [SMALL_STATE(1271)] = 30322,
  [SMALL_STATE(1272)] = 30333,
  [SMALL_STATE(1273)] = 30344,
  [SMALL_STATE(1274)] = 30353,
  [SMALL_STATE(1275)] = 30364,
  [SMALL_STATE(1276)] = 30375,
  [SMALL_STATE(1277)] = 30386,
  [SMALL_STATE(1278)] = 30395,
  [SMALL_STATE(1279)] = 30406,
  [SMALL_STATE(1280)] = 30417,
  [SMALL_STATE(1281)] = 30428,
  [SMALL_STATE(1282)] = 30439,
  [SMALL_STATE(1283)] = 30450,
  [SMALL_STATE(1284)] = 30461,
  [SMALL_STATE(1285)] = 30472,
  [SMALL_STATE(1286)] = 30481,
  [SMALL_STATE(1287)] = 30492,
  [SMALL_STATE(1288)] = 30501,
  [SMALL_STATE(1289)] = 30510,
  [SMALL_STATE(1290)] = 30521,
  [SMALL_STATE(1291)] = 30532,
  [SMALL_STATE(1292)] = 30541,
  [SMALL_STATE(1293)] = 30550,
  [SMALL_STATE(1294)] = 30561,
  [SMALL_STATE(1295)] = 30572,
  [SMALL_STATE(1296)] = 30581,
  [SMALL_STATE(1297)] = 30590,
  [SMALL_STATE(1298)] = 30599,
  [SMALL_STATE(1299)] = 30607,
  [SMALL_STATE(1300)] = 30615,
  [SMALL_STATE(1301)] = 30623,
  [SMALL_STATE(1302)] = 30631,
  [SMALL_STATE(1303)] = 30639,
  [SMALL_STATE(1304)] = 30647,
  [SMALL_STATE(1305)] = 30655,
  [SMALL_STATE(1306)] = 30663,
  [SMALL_STATE(1307)] = 30671,
  [SMALL_STATE(1308)] = 30679,
  [SMALL_STATE(1309)] = 30687,
  [SMALL_STATE(1310)] = 30695,
  [SMALL_STATE(1311)] = 30703,
  [SMALL_STATE(1312)] = 30711,
  [SMALL_STATE(1313)] = 30719,
  [SMALL_STATE(1314)] = 30727,
  [SMALL_STATE(1315)] = 30735,
  [SMALL_STATE(1316)] = 30743,
  [SMALL_STATE(1317)] = 30751,
  [SMALL_STATE(1318)] = 30759,
  [SMALL_STATE(1319)] = 30767,
  [SMALL_STATE(1320)] = 30775,
  [SMALL_STATE(1321)] = 30783,
  [SMALL_STATE(1322)] = 30791,
  [SMALL_STATE(1323)] = 30799,
  [SMALL_STATE(1324)] = 30807,
  [SMALL_STATE(1325)] = 30815,
  [SMALL_STATE(1326)] = 30823,
  [SMALL_STATE(1327)] = 30831,
  [SMALL_STATE(1328)] = 30839,
  [SMALL_STATE(1329)] = 30847,
  [SMALL_STATE(1330)] = 30855,
  [SMALL_STATE(1331)] = 30863,
  [SMALL_STATE(1332)] = 30871,
  [SMALL_STATE(1333)] = 30879,
  [SMALL_STATE(1334)] = 30887,
  [SMALL_STATE(1335)] = 30895,
  [SMALL_STATE(1336)] = 30903,
  [SMALL_STATE(1337)] = 30911,
  [SMALL_STATE(1338)] = 30919,
  [SMALL_STATE(1339)] = 30927,
  [SMALL_STATE(1340)] = 30935,
  [SMALL_STATE(1341)] = 30943,
  [SMALL_STATE(1342)] = 30951,
  [SMALL_STATE(1343)] = 30959,
  [SMALL_STATE(1344)] = 30967,
  [SMALL_STATE(1345)] = 30975,
  [SMALL_STATE(1346)] = 30983,
  [SMALL_STATE(1347)] = 30991,
  [SMALL_STATE(1348)] = 30999,
  [SMALL_STATE(1349)] = 31007,
  [SMALL_STATE(1350)] = 31015,
  [SMALL_STATE(1351)] = 31023,
  [SMALL_STATE(1352)] = 31031,
  [SMALL_STATE(1353)] = 31039,
  [SMALL_STATE(1354)] = 31047,
  [SMALL_STATE(1355)] = 31055,
  [SMALL_STATE(1356)] = 31063,
  [SMALL_STATE(1357)] = 31071,
  [SMALL_STATE(1358)] = 31079,
  [SMALL_STATE(1359)] = 31087,
  [SMALL_STATE(1360)] = 31095,
  [SMALL_STATE(1361)] = 31103,
  [SMALL_STATE(1362)] = 31111,
  [SMALL_STATE(1363)] = 31119,
  [SMALL_STATE(1364)] = 31127,
  [SMALL_STATE(1365)] = 31135,
  [SMALL_STATE(1366)] = 31143,
  [SMALL_STATE(1367)] = 31151,
  [SMALL_STATE(1368)] = 31159,
  [SMALL_STATE(1369)] = 31167,
  [SMALL_STATE(1370)] = 31175,
  [SMALL_STATE(1371)] = 31183,
  [SMALL_STATE(1372)] = 31191,
  [SMALL_STATE(1373)] = 31199,
  [SMALL_STATE(1374)] = 31207,
  [SMALL_STATE(1375)] = 31215,
  [SMALL_STATE(1376)] = 31223,
  [SMALL_STATE(1377)] = 31231,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [97] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [99] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(419),
  [104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(542),
  [107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(542),
  [110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(956),
  [113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(887),
  [116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(117),
  [119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(933),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(509),
  [128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(788),
  [137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1359),
  [140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1185),
  [143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9),
  [146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(373),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(239),
  [152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(17),
  [155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1265),
  [158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1229),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1263),
  [164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(167),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(106),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(577),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1045),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1216),
  [182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1362),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(454),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(423),
  [194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(136),
  [197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(903),
  [200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(888),
  [203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(509),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(462),
  [215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1302),
  [218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(730),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(731),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(753),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(568),
  [233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1228),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block_statement_group, 1, 0, 0),
  [240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block_statement_group, 1, 0, 0),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(421),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(542),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(542),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(956),
  [270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(887),
  [273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0),
  [275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(117),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(238),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(509),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(238),
  [287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(211),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(788),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1359),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1185),
  [299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(9),
  [302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0),
  [304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(373),
  [307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(239),
  [310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(17),
  [313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1231),
  [316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1229),
  [319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1263),
  [322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(167),
  [325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(106),
  [328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(577),
  [331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(208),
  [334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1045),
  [337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1232),
  [340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1369),
  [343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(911),
  [346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(454),
  [349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(423),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(136),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(903),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(888),
  [361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1323),
  [364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(401),
  [367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(509),
  [370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(462),
  [373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1302),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1331),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(730),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(731),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(753),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(568),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1228),
  [394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block_statement_group, 2, 0, 0),
  [396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block_statement_group, 2, 0, 0),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 1),
  [422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 1),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 0),
  [428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 0),
  [430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 3, 0, 21),
  [444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 3, 0, 21),
  [446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 23),
  [568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 23),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 3, 0, 24),
  [576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 3, 0, 24),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 4, 0, 24),
  [586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 4, 0, 24),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1342),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 149),
  [661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 149),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 4, 0, 0),
  [665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 4, 0, 0),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_body, 2, 0, 0),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_body, 2, 0, 0),
  [671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 127),
  [673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 127),
  [675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 6, 0, 0),
  [677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 6, 0, 0),
  [679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 0),
  [681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 0),
  [683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 133),
  [685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 133),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 134),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 134),
  [691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 136),
  [693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 136),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 137),
  [697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 137),
  [699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 138),
  [701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 138),
  [703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 139),
  [705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 139),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 140),
  [709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 140),
  [711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 141),
  [713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 141),
  [715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 142),
  [717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 142),
  [719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 143),
  [721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 143),
  [723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 138),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 138),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 144),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 144),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 145),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 145),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 147),
  [737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 147),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 151),
  [745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 151),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 154),
  [749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 154),
  [751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 89),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 89),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 155),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 155),
  [759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 90),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 90),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 91),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 91),
  [771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 156),
  [773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 156),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 157),
  [777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 157),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 0),
  [785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 0),
  [787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 161),
  [789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 161),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 162),
  [793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 162),
  [795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 163),
  [797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 163),
  [799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 164),
  [801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 164),
  [803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 7, 0, 165),
  [805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 7, 0, 165),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 7, 0, 166),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 7, 0, 166),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 168),
  [813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 168),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 169),
  [817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 169),
  [819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 170),
  [821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 170),
  [823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 171),
  [825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 171),
  [827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 93),
  [829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 93),
  [831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 172),
  [833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 172),
  [835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enhanced_for_statement, 8, 0, 173),
  [837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enhanced_for_statement, 8, 0, 173),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 174),
  [841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 174),
  [843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 175),
  [845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 175),
  [847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 6, 0, 0),
  [849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 6, 0, 0),
  [851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 20),
  [853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 20),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 179),
  [857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 179),
  [859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 181),
  [861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 181),
  [863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 182),
  [865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 182),
  [867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 183),
  [869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 183),
  [871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 184),
  [873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 184),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 94),
  [877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 94),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 185),
  [881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 185),
  [883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enhanced_for_statement, 9, 0, 186),
  [889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enhanced_for_statement, 9, 0, 186),
  [891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 187),
  [893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 187),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 199),
  [897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 199),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 200),
  [901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 200),
  [903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 201),
  [905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 201),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 206),
  [909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 206),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 21),
  [921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 21),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_body, 2, 0, 0),
  [929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_body, 2, 0, 0),
  [931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 5, 0, 0),
  [933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 5, 0, 0),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 95),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 95),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 57),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 57),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 5, 0, 24),
  [945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 5, 0, 24),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 96),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 96),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_body, 2, 0, 0),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_body, 2, 0, 0),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 64),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 64),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_statement, 3, 0, 0),
  [973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_statement, 3, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_synchronized_statement, 3, 0, 22),
  [977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_synchronized_statement, 3, 0, 22),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 59),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 59),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_body, 3, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_body, 3, 0, 0),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 5, 0, 0),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 5, 0, 0),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 3, 0, 20),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 3, 0, 20),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 3, 0, 0),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_declaration, 3, 0, 0),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, 0, 0),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 3, 0, 0),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 20),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 20),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_declaration, 3, 0, 20),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_declaration, 3, 0, 20),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 20),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 20),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 0),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 0),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 3, 0, 40),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 3, 0, 40),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 100),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 100),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 101),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 101),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_body, 3, 0, 0),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_body, 3, 0, 0),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 57),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 57),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 58),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 58),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 59),
  [1053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 59),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 60),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 60),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 23),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 23),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_body, 3, 0, 0),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_body, 3, 0, 0),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 91),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 91),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 102),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 102),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 103),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 103),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 108),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 108),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 109),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 109),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 110),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 110),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 112),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 112),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 108),
  [1109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 108),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 111),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 111),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 113),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 113),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 5, 0, 114),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 5, 0, 114),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 62),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 62),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2, 0, 0),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 120),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 120),
  [1135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 121),
  [1137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 121),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 122),
  [1141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 122),
  [1143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 123),
  [1145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 123),
  [1147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 62),
  [1149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 62),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_declaration, 4, 0, 62),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_declaration, 4, 0, 62),
  [1155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 62),
  [1157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 62),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 4, 0, 71),
  [1161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 4, 0, 71),
  [1163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 126),
  [1165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 126),
  [1167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 4, 0, 0),
  [1169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_declaration, 4, 0, 0),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 63),
  [1173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 63),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 4, 0, 62),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 4, 0, 62),
  [1179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 60),
  [1181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 60),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2, 0, 0),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2, 0, 0),
  [1187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [1190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1218),
  [1193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 25),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 25),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [1199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 36),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 3, 0, 36),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [1205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 35),
  [1209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 3, 0, 35),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 13),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 2, 0, 13),
  [1217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 6, 0, 205),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 6, 0, 205),
  [1221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 5, 0, 198),
  [1223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 5, 0, 198),
  [1225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 3, 0, 167),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 3, 0, 167),
  [1229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 4, 0, 180),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 4, 0, 180),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_declarations, 2, 0, 0),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_declarations, 1, 0, 0),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(821),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0),
  [1272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(933),
  [1275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(509),
  [1278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1359),
  [1281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(9),
  [1284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [1287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [1290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(579),
  [1293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [1296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(509),
  [1299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1318),
  [1302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1302),
  [1305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [1308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(730),
  [1311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(731),
  [1314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(753),
  [1317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 2),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(654),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 2),
  [1337] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 2), SHIFT(961),
  [1341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 2),
  [1343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1313),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1348] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 2), SHIFT(961),
  [1352] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 2), SHIFT(1313),
  [1356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 2),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(143),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(693),
  [1381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
  [1383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(933),
  [1386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(509),
  [1389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1359),
  [1392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(418),
  [1395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [1398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [1401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(509),
  [1404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1318),
  [1407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1302),
  [1410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [1413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(730),
  [1416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(731),
  [1419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(753),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(693),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0),
  [1445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(509),
  [1448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1359),
  [1451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [1454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [1460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(509),
  [1463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1302),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(730),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(731),
  [1475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(753),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 3, 0, 27),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 3, 0, 27),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 5, 0, 104),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 5, 0, 104),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0),
  [1490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(1353),
  [1493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(909),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions, 1, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions, 1, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_access, 4, 0, 70),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_access, 4, 0, 70),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 2), SHIFT(668),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [1523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [1525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 0),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 19),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 19),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 54),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 54),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 56),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 56),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 10, 0),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 10, 0),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 10, 2),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 10, 2),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 3, 0, 0),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 3, 0, 0),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 2, 0, 0),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 2, 0, 0),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(668),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 4, 0, 77),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 4, 0, 77),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0),
  [1586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(206),
  [1589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(909),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, 0, 30),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, 0, 30),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, 0, 42),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, 0, 42),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, 0, 61),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 61),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 4, 0, 66),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 4, 0, 66),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integral_type, 1, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integral_type, 1, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_point_type, 1, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_point_type, 1, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 8),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 8),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 3, 0, 32),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 3, 0, 32),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, 0, 68),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, 0, 68),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_marker_annotation, 2, 0, 5),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_marker_annotation, 2, 0, 5),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 85),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 85),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 3, 0, 18),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 3, 0, 18),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 55),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 55),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 115),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 115),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 51),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 51),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 116),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 116),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 80),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 80),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 3, 0, 16),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 3, 0, 16),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 53),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 53),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 52),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 52),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 79),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 79),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 86),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 86),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions_expr, 4, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions_expr, 4, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [1708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [1714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions_expr, 3, 0, 0),
  [1723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions_expr, 3, 0, 0),
  [1725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifiers, 1, 0, 0),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifiers, 1, 0, 0),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 3, 0, 0),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 3, 0, 0),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_reference, 4, 0, 0),
  [1739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_reference, 4, 0, 0),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 5, 0, 78),
  [1743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 5, 0, 78),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 2, 0, 0),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 2, 0, 0),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 51),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 51),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 52),
  [1761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 52),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 53),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 53),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 81),
  [1769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 81),
  [1771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 82),
  [1773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 82),
  [1775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 55),
  [1777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 55),
  [1779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 83),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 83),
  [1783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 84),
  [1785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 84),
  [1787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_initializer, 2, 0, 0),
  [1789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_initializer, 2, 0, 0),
  [1791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compact_constructor_declaration, 2, 0, 87),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compact_constructor_declaration, 2, 0, 87),
  [1795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, 0, 88),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, 0, 88),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 3, 0, 0),
  [1801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 3, 0, 0),
  [1803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiline_string_literal, 3, 0, 0),
  [1805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_literal, 3, 0, 0),
  [1807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 2, 0, 0),
  [1809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 2, 0, 0),
  [1811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 5, 0, 105),
  [1813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 5, 0, 105),
  [1815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiline_string_literal, 2, 0, 0),
  [1817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_literal, 2, 0, 0),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 3, 0, 0),
  [1821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 3, 0, 0),
  [1823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 79),
  [1825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 79),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 80),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 80),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 85),
  [1833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 85),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 86),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 86),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compact_constructor_declaration, 3, 0, 20),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compact_constructor_declaration, 3, 0, 20),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 117),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 117),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 2, 0, 0),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 2, 0, 0),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 119),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 119),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 40),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 40),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 4, 0, 0),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 4, 0, 0),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 6, 0, 135),
  [1865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 6, 0, 135),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal, 1, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal, 1, 0, 0),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 4, 0, 65),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 4, 0, 65),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 7, 0, 115),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 7, 0, 115),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 7, 0, 116),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 7, 0, 116),
  [1883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 146),
  [1885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 146),
  [1887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 71),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 71),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 3, 0, 0),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 3, 0, 0),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, 0, 26),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, 0, 26),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 7, 0, 160),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 7, 0, 160),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 5, 0, 0),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 5, 0, 0),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 4, 0, 0),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 4, 0, 0),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_reference, 3, 0, 0),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_reference, 3, 0, 0),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_expression, 3, 0, 33),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_expression, 3, 0, 33),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, 0, 34),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, 0, 34),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_literal, 3, 17, 0),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_literal, 3, 17, 0),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 44),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 44),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 16),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 16),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 47),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 47),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 48),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 48),
  [1947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 18),
  [1949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 18),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 49),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 49),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 50),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 50),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 2, 0, 6),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 2, 0, 6),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1, 0, 0),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1, 0, 0),
  [1967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 2, 0, 0),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 2, 0, 0),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, 0, 3),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, 0, 3),
  [1975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1, 0, 0), REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [1978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1, 0, 0),
  [1980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 4, 0, 0),
  [1982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 4, 0, 0),
  [1984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_declaration, 4, 0, 71),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_declaration, 4, 0, 71),
  [1988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_declaration, 3, 0, 40),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_declaration, 3, 0, 40),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [1994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 28),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 28),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 0),
  [2015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 0),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 5, 0, 178),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 5, 0, 178),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 3, 0, 31),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 3, 0, 31),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_body, 3, 0, 0),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern_body, 3, 0, 0),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 194),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 194),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 196),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 196),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 197),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 197),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 202),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 202),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 203),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 203),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 204),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 204),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 8, 0, 207),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 8, 0, 207),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, 0, 67),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, 0, 67),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 5, 0, 106),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 5, 0, 106),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_body, 2, 0, 0),
  [2071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern_body, 2, 0, 0),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_body, 4, 0, 0),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern_body, 4, 0, 0),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 2, 0, 0),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 2, 0, 0),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, 0, 69),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, 0, 69),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 29),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 29),
  [2089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 28),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0), REDUCE(sym_record_pattern_body, 2, 0, 0),
  [2124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0), REDUCE(sym_record_pattern_body, 2, 0, 0),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 107),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 2, 0, 0),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(627),
  [2174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(909),
  [2177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(627),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__element_value, 1, 0, 0),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 76),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 0),
  [2288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1, 0, 0), REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 5, 0, 148),
  [2299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, 0, 152),
  [2301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 97),
  [2303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 4, 0, 124),
  [2305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_initializer_repeat1, 2, 0, 0),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [2431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [2433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [2435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(912),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(957),
  [2481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_type, 1, 0, 0),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 1, 0, 0),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_catch_type_repeat1, 2, 0, 0),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_catch_type_repeat1, 2, 0, 0),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [2499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [2503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1, 0, 0),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_id, 1, 0, 7),
  [2525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0),
  [2527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(852),
  [2530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(917),
  [2533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(918),
  [2536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(898),
  [2539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(897),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(957),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [2577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 2, 0, 130),
  [2579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 2, 0, 130), SHIFT_REPEAT(899),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_declarator, 2, 0, 39),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_catch_type_repeat1, 2, 0, 0), SHIFT_REPEAT(828),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [2613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_type, 2, 0, 0),
  [2615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0),
  [2617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(979),
  [2620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [2623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(896),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [2630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_modifier, 1, 0, 0),
  [2632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 1, 0, 99),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [2684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [2688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [2691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1218),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 6, 0, 0),
  [2696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 1, 0, 7),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, 0, 5),
  [2704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [2720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_module_directive, 4, 0, 158),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 3, 0, 0),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(909),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 5, 0, 176),
  [2743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 5, 0, 176),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 5, 0, 177),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0),
  [2757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(960),
  [2760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(213),
  [2763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(960),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_module_directive, 3, 0, 129),
  [2774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 3, 0, 131),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 3, 0, 131),
  [2780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_interpolation, 3, 0, 0),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uses_module_directive, 3, 0, 45),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 6, 0, 189),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 6, 0, 189),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 6, 0, 192),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2, 0, 0),
  [2794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2, 0, 0), SHIFT_REPEAT(134),
  [2797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2, 0, 0), SHIFT_REPEAT(1218),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_directive, 1, 0, 0),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [2804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_fragment, 1, 0, 0),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 2, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(191),
  [2813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(763),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(216),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 1, 0, 0),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [2829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_id, 2, 0, 38),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, 0, 26),
  [2833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, 0, 6),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 10),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 4, 0, 72),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 4, 0, 0),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_bound, 3, 0, 0),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 2),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 3, 0, 0),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 3, 0, 0),
  [2889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throws, 3, 0, 0),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 2, 0, 11),
  [2893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_bound_repeat1, 2, 0, 0), SHIFT_REPEAT(762),
  [2896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_bound_repeat1, 2, 0, 0),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 2, 0, 0),
  [2900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 5, 0, 0),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throws, 2, 0, 0),
  [2904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0),
  [2906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0), SHIFT_REPEAT(767),
  [2909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 3, 0, 37),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_bound, 2, 0, 0),
  [2921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 15),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_list, 2, 0, 41),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2, 0, 0),
  [2945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(925),
  [2948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, 0, 46),
  [2950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, 0, 46), SHIFT_REPEAT(759),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, 0, 153),
  [2955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, 0, 153), SHIFT_REPEAT(220),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_receiver_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_receiver_parameter_repeat1, 2, 0, 0),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [2975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(481),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [2988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(930),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, 0, 87),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0),
  [3001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(704),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_pattern, 2, 0, 0),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_rule, 3, 0, 0),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_superclass, 2, 0, 0),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [3048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_declarator, 3, 0, 73),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, 0, 188),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_element_value_array_initializer_repeat1, 2, 0, 0),
  [3060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_element_value_array_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [3063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, 0, 190), SHIFT_REPEAT(904),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, 0, 190),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, 0, 191),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_body_repeat1, 2, 0, 0),
  [3076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_body_repeat1, 2, 0, 0), SHIFT_REPEAT(651),
  [3079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, 0, 193), SHIFT_REPEAT(901),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, 0, 193),
  [3084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, 0, 75), SHIFT_REPEAT(881),
  [3087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, 0, 75),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [3101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_argument_list_repeat1, 2, 0, 0),
  [3103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1269),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_list, 1, 0, 9),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, 0, 132),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, 0, 20),
  [3136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 98), SHIFT_REPEAT(217),
  [3139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 98),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 4, 0, 159),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_resource_specification_repeat1, 2, 0, 0),
  [3183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_resource_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(253),
  [3186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(145),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [3191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 5, 0, 72),
  [3193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 3, 0, 11),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 4, 0, 37),
  [3197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 4, 0, 0),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 3, 0, 0),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 2, 0, 0),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_interfaces, 2, 0, 0),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_parameter, 4, 0, 0),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 1, 0, 0),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, 0, 74),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [3233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_declarator, 2, 0, 39),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 15),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_pair, 3, 0, 128),
  [3247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_declarator, 3, 0, 118),
  [3249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 4, 0, 0),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_interfaces, 2, 0, 0),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, 0, 45),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 3, 0, 0),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_component, 1, 0, 0),
  [3275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 2),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_component, 2, 0, 0),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_parameter, 3, 0, 0),
  [3285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__wildcard_bounds, 2, 0, 0),
  [3287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 2, 0, 14),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 3, 0, 43),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3307] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_parameters, 3, 0, 0),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_value, 2, 0, 195),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 5, 0, 0),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permits, 2, 0, 0),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asterisk, 1, 0, 0),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 3, 0, 0),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [3377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_formal_parameter, 3, 0, 150),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 4, 0, 0),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_parameters, 4, 0, 0),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [3405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_formal_parameter, 2, 0, 125),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_java(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
